/*      Compiler: ECL 16.1.3                                          */
/*      Source: SRC:CLOS;CONDITIONS.LSP                               */
#include <ecl/ecl-cmp.h>
#include "clos/conditions.eclh"
/*      local function UNIQUE-ID                                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1unique_id(cl_object v1, cl_object v2)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4obj;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4obj = v5;
   }
   if (Null(v3)) { goto L8; }
   si_dm_too_many_arguments(v1);
L8:;
   value0 = cl_list(2, ECL_SYM("POINTER",1124), v4obj);
   return value0;
  }
 }
}
/*      function definition for COMPUTE-RESTARTS                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_compute_restarts(cl_narg narg, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object v1condition;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    v1condition = ECL_NIL;
   } else {
    i++;
    v1condition = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object v2assoc_restart;
   cl_object v3other;
   cl_object v4output;
   v2assoc_restart = ECL_NIL;
   v3other = ECL_NIL;
   v4output = ECL_NIL;
   if (Null(v1condition)) { goto L5; }
   {
    cl_object v5;
    v5 = ecl_symbol_value(VV[1]);
    goto L10;
L9:;
    {
     cl_object v6i;
     v6i = ecl_car(v5);
     T0 = ecl_car(v6i);
     if (!((T0)==(v1condition))) { goto L15; }
     T0 = ecl_cdr(v6i);
     v2assoc_restart = ecl_append(T0,v2assoc_restart);
     goto L14;
L15:;
     T0 = ecl_cdr(v6i);
     v3other = ecl_append(T0,v3other);
L14:;
    }
    v5 = ecl_cdr(v5);
L10:;
    if (Null(v5)) { goto L21; }
    goto L9;
L21:;
   }
L5:;
   {
    cl_object v5;
    v5 = ecl_symbol_value(ECL_SYM("*RESTART-CLUSTERS*",4));
    goto L27;
L26:;
    {
     cl_object v6restart_cluster;
     v6restart_cluster = ecl_car(v5);
     {
      cl_object v7;
      v7 = v6restart_cluster;
      goto L35;
L34:;
      {
       cl_object v8restart;
       v8restart = ecl_car(v7);
       if (Null(v1condition)) { goto L42; }
       if ((ecl_memql(v8restart,v2assoc_restart))!=ECL_NIL) { goto L42; }
       if ((ecl_memql(v8restart,v3other))!=ECL_NIL) { goto L39; }
       goto L41;
L42:;
L41:;
       T0 = ecl_function_dispatch(cl_env_copy,VV[93])(1, v8restart) /*  RESTART-TEST-FUNCTION */;
       if (Null(ecl_function_dispatch(cl_env_copy,T0)(1, v1condition))) { goto L39; }
       v4output = CONS(v8restart,v4output);
L39:;
      }
      v7 = ecl_cdr(v7);
L35:;
      if (Null(v7)) { goto L49; }
      goto L34;
L49:;
     }
    }
    v5 = ecl_cdr(v5);
L27:;
    if (Null(v5)) { goto L53; }
    goto L26;
L53:;
   }
   value0 = cl_nreverse(v4output);
   return value0;
  }
 }
}
/*      function definition for RESTART-PRINT                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2restart_print(cl_object v1restart, cl_object v2stream, cl_object v3depth)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_symbol_value(ECL_SYM("*PRINT-ESCAPE*",48)))) { goto L2; }
  T0 = cl_type_of(v1restart);
  T1 = si_pointer(v1restart);
  cl_format(4, v2stream, VV[2], T0, T1);
  goto L1;
L2:;
  L4restart_report(v1restart, v2stream);
L1:;
  value0 = v1restart;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MAKE-RESTART                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3make_restart(cl_narg narg, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1;
  cl_object v2;
  cl_object v3;
  cl_object v4;
  cl_object v5;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[10];
   cl_parse_key(args,5,L3make_restartkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v1 = keyvars[0];
   v2 = keyvars[1];
   v3 = keyvars[2];
   v4 = keyvars[3];
   if (Null(keyvars[9])) {
    v5 = cl_constantly(ECL_T);
   } else {
    v5 = keyvars[4];
   }
  }
  value0 = si_make_structure(6, VV[6], v1, v2, v3, v4, v5);
  return value0;
 }
}
/*      function definition for RESTART-REPORT                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4restart_report(cl_object v1restart, cl_object v2stream)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3fn;
   v3fn = ecl_function_dispatch(cl_env_copy,VV[101])(1, v1restart) /*  RESTART-REPORT-FUNCTION */;
   if (Null(v3fn)) { goto L2; }
   value0 = ecl_function_dispatch(cl_env_copy,v3fn)(1, v2stream);
   return value0;
L2:;
   value0 = (cl_env_copy->function=(ECL_SYM("RESTART-NAME",723)->symbol.gfdef))->cfun.entry(1, v1restart) /*  RESTART-NAME */;
   if ((value0)!=ECL_NIL) { goto L6; }
   T0 = v1restart;
   goto L4;
L6:;
   T0 = value0;
   goto L4;
L4:;
   value0 = cl_format(3, v2stream, VV[8], T0);
   return value0;
  }
 }
}
/*      function definition for BIND-SIMPLE-RESTARTS                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_bind_simple_restarts(cl_object v1tag, cl_object v2names)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3i;
   v3i = ecl_make_fixnum(1);
   {
    cl_object v4;
    cl_object v5n;
    cl_object v6;
    if (!(ECL_ATOM(v2names))) { goto L4; }
    v4 = ecl_list1(v2names);
    goto L3;
L4:;
    v4 = v2names;
L3:;
    v5n = ECL_NIL;
    {
     cl_object v7;
     v7 = v4;
     if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
     v6 = v7;
    }
    {
     cl_object v7f;
     v7f = ECL_NIL;
     {
      cl_object v8;
      cl_object v9;
      v8 = ecl_list1(ECL_NIL);
      v9 = v8;
L13:;
      if (!(ecl_endp(v6))) { goto L15; }
      goto L14;
L15:;
      v5n = _ecl_car(v6);
      {
       cl_object v10;
       v10 = _ecl_cdr(v6);
       if (ecl_unlikely(!ECL_LISTP(v10))) FEtype_error_list(v10);
       v6 = v10;
      }
      v7f = LC6simple_restart_function(v1tag, v3i);
      {
       cl_object v10;
       v10 = v9;
       if (ecl_unlikely(ECL_ATOM(v10))) FEtype_error_cons(v10);
       T1 = v10;
      }
      T2 = L3make_restart(4, ECL_SYM("NAME",1285), v5n, ECL_SYM("FUNCTION",1251), v7f);
      v9 = ecl_list1(T2);
      (ECL_CONS_CDR(T1)=v9,T1);
      v3i = ecl_one_plus(v3i);
      goto L13;
L14:;
      T0 = ecl_cdr(v8);
      goto L1;
     }
    }
   }
  }
L1:;
  value0 = CONS(T0,ecl_symbol_value(ECL_SYM("*RESTART-CLUSTERS*",4)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function SIMPLE-RESTART-FUNCTION                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC6simple_restart_function(cl_object v1tag, cl_object v2code)
{
 cl_object env0 = ECL_NIL;
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1tag,env0);                 /*  TAG             */
  CLV1 = env0 = CONS(v2code,env0);                /*  CODE            */
  {
   cl_object v3;
   v3 = ecl_make_cclosure_va((cl_objectfn)LC5__g17,env0,Cblock);
   value0 = v3;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      closure G17                                                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC5__g17(cl_narg narg, ...)
{
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  CODE            */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 {
  cl_object v1args;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1args = cl_grab_rest_args(args);
  ecl_va_end(args);
  cl_env_copy->nvalues = 2;
  cl_env_copy->values[1] = v1args;
  cl_env_copy->values[0] = ECL_CONS_CAR(CLV1);
  cl_throw(ECL_CONS_CAR(CLV0));
 }
 }
}
/*      function definition for BIND-SIMPLE-HANDLERS                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_bind_simple_handlers(cl_object v1tag, cl_object v2names)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3i;
   v3i = ecl_make_fixnum(1);
   {
    cl_object v4;
    cl_object v5n;
    cl_object v6;
    if (!(ECL_ATOM(v2names))) { goto L4; }
    v4 = ecl_list1(v2names);
    goto L3;
L4:;
    v4 = v2names;
L3:;
    v5n = ECL_NIL;
    {
     cl_object v7;
     v7 = v4;
     if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
     v6 = v7;
    }
    {
     cl_object v7f;
     v7f = ECL_NIL;
     {
      cl_object v8;
      cl_object v9;
      v8 = ecl_list1(ECL_NIL);
      v9 = v8;
L13:;
      if (!(ecl_endp(v6))) { goto L15; }
      goto L14;
L15:;
      v5n = _ecl_car(v6);
      {
       cl_object v10;
       v10 = _ecl_cdr(v6);
       if (ecl_unlikely(!ECL_LISTP(v10))) FEtype_error_list(v10);
       v6 = v10;
      }
      v7f = LC8simple_handler_function(v1tag, v3i);
      {
       cl_object v10;
       v10 = v9;
       if (ecl_unlikely(ECL_ATOM(v10))) FEtype_error_cons(v10);
       T1 = v10;
      }
      T2 = CONS(v5n,v7f);
      v9 = ecl_list1(T2);
      (ECL_CONS_CDR(T1)=v9,T1);
      v3i = ecl_one_plus(v3i);
      goto L13;
L14:;
      T0 = ecl_cdr(v8);
      goto L1;
     }
    }
   }
  }
L1:;
  value0 = CONS(T0,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function SIMPLE-HANDLER-FUNCTION                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC8simple_handler_function(cl_object v1tag, cl_object v2code)
{
 cl_object env0 = ECL_NIL;
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1tag,env0);                 /*  TAG             */
  CLV1 = env0 = CONS(v2code,env0);                /*  CODE            */
  {
   cl_object v3;
   v3 = ecl_make_cclosure_va((cl_objectfn)LC7__g23,env0,Cblock);
   value0 = v3;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      closure G23                                                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC7__g23(cl_narg narg, cl_object v1c, ...)
{
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  CODE            */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  cl_env_copy->nvalues = 2;
  cl_env_copy->values[1] = v1c;
  cl_env_copy->values[0] = ECL_CONS_CAR(CLV1);
  cl_throw(ECL_CONS_CAR(CLV0));
 }
 }
}
/*      local function RESTART-BIND                                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC10restart_bind(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4bindings;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4bindings = v5;
   }
   {
    cl_object v5;
    {
     cl_object v6;
     v6 = ecl_make_cfun((cl_objectfn_fixed)LC9__g41,ECL_NIL,Cblock,1);
     v5 = v6;
    }
    {
     cl_object v6;
     cl_object v7;
     v6 = ECL_NIL;
     {
      cl_object v8;
      v8 = v4bindings;
      if (ecl_unlikely(!ECL_LISTP(v8))) FEtype_error_list(v8);
      v7 = v8;
     }
     {
      cl_object v8;
      cl_object v9;
      v8 = ecl_list1(ECL_NIL);
      v9 = v8;
L16:;
      if (!(ecl_endp(v7))) { goto L18; }
      goto L17;
L18:;
      v6 = _ecl_car(v7);
      {
       cl_object v10;
       v10 = _ecl_cdr(v7);
       if (ecl_unlikely(!ECL_LISTP(v10))) FEtype_error_list(v10);
       v7 = v10;
      }
      {
       cl_object v10;
       v10 = v9;
       if (ecl_unlikely(ECL_ATOM(v10))) FEtype_error_cons(v10);
       T1 = v10;
      }
      T2 = ecl_function_dispatch(cl_env_copy,v5)(1, v6);
      v9 = ecl_list1(T2);
      (ECL_CONS_CDR(T1)=v9,T1);
      goto L16;
L17:;
      T0 = ecl_cdr(v8);
      goto L8;
     }
    }
   }
L8:;
   T1 = CONS(ECL_SYM("LIST",481),T0);
   T2 = cl_list(3, ECL_SYM("CONS",251), T1, ECL_SYM("*RESTART-CLUSTERS*",4));
   T3 = cl_list(2, ECL_SYM("*RESTART-CLUSTERS*",4), T2);
   T4 = ecl_list1(T3);
   value0 = cl_listX(3, ECL_SYM("LET",477), T4, v3);
   return value0;
  }
 }
}
/*      local function G41                                            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC9__g41(cl_object v1binding)
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_car(v1binding);
  T1 = cl_list(2, ECL_SYM("QUOTE",679), T0);
  T2 = ecl_cadr(v1binding);
  T3 = ecl_cddr(v1binding);
  value0 = cl_listX(6, VV[7], ECL_SYM("NAME",1285), T1, ECL_SYM("FUNCTION",1251), T2, T3);
  return value0;
 }
}
/*      function definition for FIND-RESTART                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_find_restart(cl_narg narg, cl_object v1name, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2condition;
  va_list args; va_start(args,v1name);
  {
   int i = 1;
   if (i >= narg) {
    v2condition = ECL_NIL;
   } else {
    i++;
    v2condition = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object v3;
   v3 = cl_compute_restarts(1, v2condition);
   goto L5;
L4:;
   {
    cl_object v4restart;
    v4restart = ecl_car(v3);
    if ((v4restart)==(v1name)) { goto L11; }
    T0 = (cl_env_copy->function=(ECL_SYM("RESTART-NAME",723)->symbol.gfdef))->cfun.entry(1, v4restart) /*  RESTART-NAME */;
    if (!((T0)==(v1name))) { goto L9; }
    goto L10;
L11:;
L10:;
    value0 = v4restart;
    cl_env_copy->nvalues = 1;
    return value0;
L9:;
   }
   v3 = ecl_cdr(v3);
L5:;
   if (Null(v3)) { goto L15; }
   goto L4;
L15:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for FIND-RESTART-NEVER-FAIL               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L11find_restart_never_fail(cl_narg narg, cl_object v1restart, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2condition;
  va_list args; va_start(args,v1restart);
  {
   int i = 1;
   if (i >= narg) {
    v2condition = ECL_NIL;
   } else {
    i++;
    v2condition = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = cl_find_restart(2, v1restart, v2condition);
  if ((value0)!=ECL_NIL) { goto L3; }
  T0 = ecl_list1(v1restart);
  value0 = si_signal_simple_error(4, ECL_SYM("CONTROL-ERROR",255), ECL_NIL, VV[10], T0);
  return value0;
L3:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for INVOKE-RESTART                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_invoke_restart(cl_narg narg, cl_object v1restart, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2values;
  ecl_va_list args; ecl_va_start(args,v1restart,narg,1);
  v2values = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object v3real_restart;
   v3real_restart = L11find_restart_never_fail(1, v1restart);
   T0 = ecl_function_dispatch(cl_env_copy,VV[103])(1, v3real_restart) /*  RESTART-FUNCTION */;
   value0 = cl_apply(2, T0, v2values);
   return value0;
  }
 }
}
/*      function definition for INVOKE-RESTART-INTERACTIVELY          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_invoke_restart_interactively(cl_object v1restart)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2real_restart;
   v2real_restart = L11find_restart_never_fail(1, v1restart);
   T0 = ecl_function_dispatch(cl_env_copy,VV[103])(1, v2real_restart) /*  RESTART-FUNCTION */;
   {
    cl_object v3interactive_function;
    v3interactive_function = ecl_function_dispatch(cl_env_copy,VV[104])(1, v2real_restart) /*  RESTART-INTERACTIVE-FUNCTION */;
    if (Null(v3interactive_function)) { goto L4; }
    T1 = ecl_function_dispatch(cl_env_copy,v3interactive_function)(0);
    goto L2;
L4:;
    T1 = ECL_NIL;
   }
L2:;
   value0 = cl_apply(2, T0, T1);
   return value0;
  }
 }
}
/*      local function RESTART-CASE                                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC16restart_case(cl_object v1, cl_object v2env)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7;
 cl_object env0 = ECL_NIL;
 cl_object CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4expression;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4expression = v5;
   }
   env0 = ECL_NIL;
   CLV0 = env0 = CONS(ECL_NIL,env0);              /*  TRANSFORM-KEYWORDS */
   ECL_CONS_CAR(CLV0) = ecl_make_cfun_va((cl_objectfn)LC12transform_keywords,ECL_NIL,Cblock);
   {
    cl_object v5data;
    cl_object env1 = env0;
    T0 = cl_gensym(0);
    CLV1 = env1 = CONS(T0,env1);                  /*  BLOCK-TAG       */
    T0 = cl_gensym(0);
    CLV2 = env1 = CONS(T0,env1);                  /*  TEMP-VAR        */
    {
     cl_object v6;
     {
      cl_object v7;
      v7 = ecl_make_cclosure_va((cl_objectfn)LC13__g57,env1,Cblock);
      v6 = v7;
     }
     {
      cl_object v7;
      cl_object v8;
      v7 = ECL_NIL;
      {
       cl_object v9;
       v9 = v3;
       if (ecl_unlikely(!ECL_LISTP(v9))) FEtype_error_list(v9);
       v8 = v9;
      }
      {
       cl_object v9;
       cl_object v10;
       v9 = ecl_list1(ECL_NIL);
       v10 = v9;
L16:;
       if (!(ecl_endp(v8))) { goto L18; }
       goto L17;
L18:;
       v7 = _ecl_car(v8);
       {
        cl_object v11;
        v11 = _ecl_cdr(v8);
        if (ecl_unlikely(!ECL_LISTP(v11))) FEtype_error_list(v11);
        v8 = v11;
       }
       {
        cl_object v11;
        v11 = v10;
        if (ecl_unlikely(ECL_ATOM(v11))) FEtype_error_cons(v11);
        T0 = v11;
       }
       T1 = ecl_function_dispatch(cl_env_copy,v6)(1, v7);
       v10 = ecl_list1(T1);
       (ECL_CONS_CDR(T0)=v10,T0);
       goto L16;
L17:;
       v5data = ecl_cdr(v9);
       goto L8;
      }
     }
    }
L8:;
    {
     cl_object v6expression2;
     v6expression2 = cl_macroexpand(2, v4expression, v2env);
     if (!(ECL_CONSP(v6expression2))) { goto L34; }
     {
      cl_object v7condition_form;
      cl_object v8condition_var;
      cl_object v9name;
      v7condition_form = ECL_NIL;
      v8condition_var = cl_gensym(0);
      v9name = ecl_car(v6expression2);
      if (!((v9name)==(ECL_SYM("SIGNAL",760)))) { goto L41; }
      T0 = ecl_cadr(v6expression2);
      T1 = ecl_cddr(v6expression2);
      T2 = CONS(ECL_SYM("LIST",481),T1);
      v7condition_form = cl_listX(4, VV[15], T0, T2, VV[16]);
      goto L40;
L41:;
      if (!((v9name)==(ECL_SYM("ERROR",337)))) { goto L44; }
      T0 = ecl_cadr(v6expression2);
      T1 = ecl_cddr(v6expression2);
      T2 = CONS(ECL_SYM("LIST",481),T1);
      v7condition_form = cl_listX(4, VV[15], T0, T2, VV[17]);
      goto L40;
L44:;
      if (!((v9name)==(ECL_SYM("CERROR",202)))) { goto L47; }
      T0 = ecl_caddr(v6expression2);
      T1 = ecl_cdddr(v6expression2);
      T2 = CONS(ECL_SYM("LIST",481),T1);
      v7condition_form = cl_listX(4, VV[15], T0, T2, VV[18]);
      goto L40;
L47:;
      if (!((v9name)==(ECL_SYM("WARN",903)))) { goto L40; }
      T0 = ecl_cadr(v6expression2);
      T1 = ecl_cddr(v6expression2);
      T2 = CONS(ECL_SYM("LIST",481),T1);
      v7condition_form = cl_listX(4, VV[15], T0, T2, VV[19]);
L40:;
      if (Null(v7condition_form)) { goto L34; }
      T0 = cl_list(2, v8condition_var, v7condition_form);
      T1 = ecl_list1(T0);
      if (!((v9name)==(ECL_SYM("CERROR",202)))) { goto L55; }
      T3 = ecl_cadr(v6expression2);
      T2 = cl_list(3, ECL_SYM("CERROR",202), T3, v8condition_var);
      goto L54;
L55:;
      T2 = cl_list(2, v9name, v8condition_var);
L54:;
      T3 = cl_list(4, ECL_SYM("WITH-CONDITION-RESTARTS",908), v8condition_var, VV[20], T2);
      v4expression = cl_list(3, ECL_SYM("LET",477), T1, T3);
     }
    }
L34:;
    T0 = cl_list(2, ECL_CONS_CAR(CLV2), ECL_NIL);
    T1 = ecl_list1(T0);
    {
     cl_object v6;
     {
      cl_object v7;
      v7 = ecl_make_cclosure_va((cl_objectfn)LC14__g69,env1,Cblock);
      v6 = v7;
     }
     {
      cl_object v7;
      cl_object v8;
      v7 = ECL_NIL;
      {
       cl_object v9;
       v9 = v5data;
       if (ecl_unlikely(!ECL_LISTP(v9))) FEtype_error_list(v9);
       v8 = v9;
      }
      {
       cl_object v9;
       cl_object v10;
       v9 = ecl_list1(ECL_NIL);
       v10 = v9;
L65:;
       if (!(ecl_endp(v8))) { goto L67; }
       goto L66;
L67:;
       v7 = _ecl_car(v8);
       {
        cl_object v11;
        v11 = _ecl_cdr(v8);
        if (ecl_unlikely(!ECL_LISTP(v11))) FEtype_error_list(v11);
        v8 = v11;
       }
       {
        cl_object v11;
        v11 = v10;
        if (ecl_unlikely(ECL_ATOM(v11))) FEtype_error_cons(v11);
        T3 = v11;
       }
       T4 = ecl_function_dispatch(cl_env_copy,v6)(1, v7);
       v10 = ecl_list1(T4);
       (ECL_CONS_CDR(T3)=v10,T3);
       goto L65;
L66:;
       T2 = ecl_cdr(v9);
       goto L57;
      }
     }
    }
L57:;
    T3 = cl_list(3, ECL_SYM("RETURN-FROM",725), ECL_CONS_CAR(CLV1), v4expression);
    T4 = cl_list(3, VV[9], T2, T3);
    {
     cl_object v6;
     {
      cl_object v7;
      v7 = ecl_make_cclosure_va((cl_objectfn)LC15__g77,env1,Cblock);
      v6 = v7;
     }
     {
      cl_object v7;
      cl_object v8;
      v7 = ECL_NIL;
      {
       cl_object v9;
       v9 = v5data;
       if (ecl_unlikely(!ECL_LISTP(v9))) FEtype_error_list(v9);
       v8 = v9;
      }
      {
       cl_object v9;
       cl_object v10;
       v9 = ecl_list1(ECL_NIL);
       v10 = v9;
L91:;
       if (!(ecl_endp(v8))) { goto L93; }
       goto L92;
L93:;
       v7 = _ecl_car(v8);
       {
        cl_object v11;
        v11 = _ecl_cdr(v8);
        if (ecl_unlikely(!ECL_LISTP(v11))) FEtype_error_list(v11);
        v8 = v11;
       }
       {
        cl_object v11;
        v11 = ecl_function_dispatch(cl_env_copy,v6)(1, v7);
        {
         cl_object v12;
         v12 = v10;
         if (ecl_unlikely(ECL_ATOM(v12))) FEtype_error_cons(v12);
         T6 = v12;
        }
        (ECL_CONS_CDR(T6)=v11,T6);
        if (Null(v11)) { goto L101; }
       }
       T6 = ecl_cdr(v10);
       v10 = ecl_last(T6,1);
L101:;
       goto L91;
L92:;
       T5 = ecl_cdr(v9);
       goto L83;
      }
     }
    }
L83:;
    T6 = cl_listX(3, ECL_SYM("TAGBODY",850), T4, T5);
    T7 = cl_list(3, ECL_SYM("LET",477), T1, T6);
    value0 = cl_list(3, ECL_SYM("BLOCK",137), ECL_CONS_CAR(CLV1), T7);
    return value0;
   }
  }
 }
}
/*      local function TRANSFORM-KEYWORDS                             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC12transform_keywords(cl_narg narg, ...)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1report;
  cl_object v2interactive;
  cl_object v3test;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[6];
   cl_parse_key(args,3,LC12transform_keywordskeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v1report = keyvars[0];
   v2interactive = keyvars[1];
   v3test = keyvars[2];
  }
  {
   cl_object v4keywords;
   v4keywords = ECL_NIL;
   if (Null(v3test)) { goto L2; }
   T0 = cl_list(2, ECL_SYM("FUNCTION",396), v3test);
   v4keywords = cl_list(2, VV[11], T0);
L2:;
   if (Null(v2interactive)) { goto L5; }
   T0 = cl_list(2, ECL_SYM("FUNCTION",396), v2interactive);
   v4keywords = cl_list(2, VV[12], T0);
L5:;
   if (Null(v1report)) { goto L8; }
   if (!(ECL_STRINGP(v1report))) { goto L12; }
   T1 = cl_list(3, ECL_SYM("WRITE-STRING",922), v1report, ECL_SYM("STREAM",799));
   T2 = cl_list(3, ECL_SYM("LAMBDA",452), VV[14], T1);
   T0 = cl_list(2, ECL_SYM("FUNCTION",396), T2);
   goto L11;
L12:;
   T0 = cl_list(2, ECL_SYM("FUNCTION",396), v1report);
L11:;
   v4keywords = cl_listX(3, VV[13], T0, v4keywords);
L8:;
   value0 = v4keywords;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      closure G57                                                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC13__g57(cl_narg narg, cl_object v1clause, ...)
{
 cl_object T0, T1, T2, T3;
 cl_object CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV2 = env0;
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);                           /*  TRANSFORM-KEYWORDS */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  {
   cl_object v2;
   cl_object v3keywords;
   cl_object v4forms;
   v2 = ecl_cddr(v1clause);
   v3keywords = ECL_NIL;
   v4forms = v2;
   goto L7;
L6:;
   T0 = ecl_car(v4forms);
   if (Null(cl_keywordp(T0))) { goto L10; }
   T0 = ecl_car(v4forms);
   T1 = ecl_cadr(v4forms);
   v3keywords = cl_listX(3, T0, T1, v3keywords);
   v4forms = ecl_cddr(v4forms);
   goto L9;
L10:;
   goto L4;
L9:;
L7:;
   if (v4forms==ECL_NIL) { goto L15; }
   goto L6;
L15:;
L4:;
   T0 = ecl_car(v1clause);
   T1 = cl_gensym(0);
   T2 = cl_apply(2, ECL_CONS_CAR(CLV0), v3keywords);
   T3 = ecl_cadr(v1clause);
   value0 = cl_list(5, T0, T1, T2, T3, v4forms);
   return value0;
  }
 }
 }
}
/*      closure G69                                                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC14__g69(cl_narg narg, cl_object v1datum, ...)
{
 cl_object T0, T1, T2, T3;
 cl_object CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV2 = env0;                                     /*  TEMP-VAR        */
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  {
   cl_object v2name;
   cl_object v3tag;
   cl_object v4keys;
   v2name = ecl_car(v1datum);
   v3tag = ecl_cadr(v1datum);
   v4keys = ecl_caddr(v1datum);
   T0 = cl_list(3, ECL_SYM("SETQ",751), ECL_CONS_CAR(CLV2), VV[22]);
   T1 = cl_list(2, ECL_SYM("GO",414), v3tag);
   T2 = cl_list(4, ECL_SYM("LAMBDA",452), VV[21], T0, T1);
   T3 = cl_list(2, ECL_SYM("FUNCTION",396), T2);
   value0 = cl_listX(3, v2name, T3, v4keys);
   return value0;
  }
 }
 }
}
/*      closure G77                                                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC15__g77(cl_narg narg, cl_object v1datum, ...)
{
 cl_object T0, T1, T2, T3;
 cl_object CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV2 = env0;                                     /*  TEMP-VAR        */
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  {
   cl_object v2tag;
   cl_object v3bvl;
   cl_object v4body;
   v2tag = ecl_cadr(v1datum);
   v3bvl = ecl_cadddr(v1datum);
   T0 = ecl_cddddr(v1datum);
   v4body = ecl_car(T0);
   T0 = cl_listX(3, ECL_SYM("LAMBDA",452), v3bvl, v4body);
   T1 = cl_list(2, ECL_SYM("FUNCTION",396), T0);
   T2 = cl_list(3, ECL_SYM("APPLY",89), T1, ECL_CONS_CAR(CLV2));
   T3 = cl_list(3, ECL_SYM("RETURN-FROM",725), ECL_CONS_CAR(CLV1), T2);
   value0 = cl_list(2, v2tag, T3);
   return value0;
  }
 }
 }
}
/*      local function WITH-SIMPLE-RESTART                            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC17with_simple_restart(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   cl_object v5;
   cl_object v6restart_name;
   cl_object v7format_control;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v8;
    v8 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v8;
   }
   v5 = v4;
   if (!(v5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(v1);
L10:;
   {
    cl_object v8;
    v8 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v6restart_name = v8;
   }
   if (!(v5==ECL_NIL)) { goto L16; }
   si_dm_too_few_arguments(v1);
L16:;
   {
    cl_object v8;
    v8 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v7format_control = v8;
   }
   T0 = CONS(ECL_SYM("PROGN",671),v3);
   T1 = cl_listX(4, ECL_SYM("FORMAT",387), ECL_SYM("STREAM",799), v7format_control, v5);
   T2 = cl_list(3, ECL_SYM("LAMBDA",452), VV[14], T1);
   T3 = cl_list(5, v6restart_name, ECL_NIL, ECL_SYM("REPORT",1314), T2, VV[24]);
   value0 = cl_list(3, VV[23], T0, T3);
   return value0;
  }
 }
}
/*      local function WITH-CONDITION-RESTARTS                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC18with_condition_restarts(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4condition;
   cl_object v5restarts;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4condition = v6;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5restarts = v6;
   }
   T0 = cl_list(3, ECL_SYM("CONS",251), v4condition, v5restarts);
   T1 = cl_list(3, ECL_SYM("CONS",251), T0, VV[1]);
   T2 = cl_list(2, VV[1], T1);
   T3 = ecl_list1(T2);
   value0 = cl_listX(3, ECL_SYM("LET",477), T3, v3);
   return value0;
  }
 }
}
/*      local function G103                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC19__g103(cl_object v1c, cl_object v2stream)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_symbol_value(ECL_SYM("*PRINT-ESCAPE*",48)))) { goto L1; }
  if (Null(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)))) { goto L3; }
  T0 = ecl_car(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
  T1 = ecl_cdr(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
  value0 = ecl_function_dispatch(cl_env_copy,T0)(2, ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1491)), T1);
  return value0;
L3:;
  value0 = cl_error(1, VV[27]);
  return value0;
L1:;
  {
   cl_object v3reporter;
   v3reporter = cl_slot_value(v1c, ECL_SYM("REPORT-FUNCTION",1959));
   if (!(ECL_STRINGP(v3reporter))) { goto L7; }
   value0 = cl_write_string(2, v3reporter, v2stream);
   return value0;
L7:;
   if (!(v3reporter==ECL_NIL)) { goto L9; }
   if (Null(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)))) { goto L11; }
   T0 = ecl_car(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
   T1 = ecl_cdr(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
   value0 = ecl_function_dispatch(cl_env_copy,T0)(2, ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1491)), T1);
   return value0;
L11:;
   value0 = cl_error(1, VV[27]);
   return value0;
L9:;
   value0 = ecl_function_dispatch(cl_env_copy,v3reporter)(2, v1c, v2stream);
   return value0;
  }
 }
}
/*      local function DEFINE-CONDITION                               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC20define_condition(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4name;
   cl_object v5parent_list;
   cl_object v6slot_specs;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4name = v7;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5parent_list = v7;
   }
   if (!(v3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(v1);
L15:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v6slot_specs = v7;
   }
   {
    cl_object v7class_options;
    v7class_options = ECL_NIL;
    {
     cl_object v8;
     v8 = v3;
     goto L25;
L24:;
     {
      cl_object v9option;
      v9option = ecl_car(v8);
      {
       cl_object v10;
       v10 = ecl_car(v9option);
       if (!(ecl_eql(v10,ECL_SYM("DEFAULT-INITARGS",987)))) { goto L36; }
       goto L33;
       goto L34;
L36:;
       goto L34;
L34:;
       if (!(ecl_eql(v10,ECL_SYM("DOCUMENTATION",1232)))) { goto L31; }
       goto L32;
L33:;
L32:;
       v7class_options = CONS(v9option,v7class_options);
       goto L29;
L31:;
       if (!(ecl_eql(v10,ECL_SYM("REPORT",1314)))) { goto L40; }
       {
        cl_object v11report_function;
        v11report_function = ecl_cadr(v9option);
        if (!(ECL_SYMBOLP(v11report_function))) { goto L45; }
        T0 = cl_list(2, ECL_SYM("QUOTE",679), v11report_function);
        goto L44;
L45:;
        T0 = v11report_function;
L44:;
        T1 = cl_list(3, ECL_SYM("REPORT-FUNCTION",1959), ECL_SYM("INITFORM",996), T0);
        v6slot_specs = CONS(T1,v6slot_specs);
        goto L29;
       }
L40:;
       cl_cerror(3, VV[30], VV[31], v9option);
      }
L29:;
     }
     v8 = ecl_cdr(v8);
L25:;
     if (Null(v8)) { goto L49; }
     goto L24;
L49:;
    }
    value0 = v5parent_list;
    if ((value0)!=ECL_NIL) { goto L53; }
    T0 = VV[32];
    goto L51;
L53:;
    T0 = value0;
    goto L51;
L51:;
    T1 = cl_listX(5, ECL_SYM("DEFCLASS",937), v4name, T0, v6slot_specs, v7class_options);
    T2 = cl_list(2, ECL_SYM("QUOTE",679), v4name);
    value0 = cl_list(3, ECL_SYM("PROGN",671), T1, T2);
    return value0;
   }
  }
 }
}
/*      function definition for FIND-SUBCLASSES-OF-TYPE               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L21find_subclasses_of_type(cl_object v1type, cl_object v2class)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(cl_subtypep(2, v2class, v1type))) { goto L1; }
  value0 = ecl_list1(v2class);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  {
   cl_object v3;
   cl_object v4c;
   cl_object v5;
   v3 = ecl_function_dispatch(cl_env_copy,ECL_SYM("CLASS-DIRECT-SUBCLASSES",1507))(1, v2class) /*  CLASS-DIRECT-SUBCLASSES */;
   v4c = ECL_NIL;
   {
    cl_object v6;
    v6 = v3;
    if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
    v5 = v6;
   }
   {
    cl_object v6;
    cl_object v7;
    v6 = ecl_list1(ECL_NIL);
    v7 = v6;
L10:;
    if (!(ecl_endp(v5))) { goto L12; }
    goto L11;
L12:;
    v4c = _ecl_car(v5);
    {
     cl_object v8;
     v8 = _ecl_cdr(v5);
     if (ecl_unlikely(!ECL_LISTP(v8))) FEtype_error_list(v8);
     v5 = v8;
    }
    {
     cl_object v8;
     v8 = L21find_subclasses_of_type(v1type, v4c);
     {
      cl_object v9;
      v9 = v7;
      if (ecl_unlikely(ECL_ATOM(v9))) FEtype_error_cons(v9);
      T0 = v9;
     }
     (ECL_CONS_CDR(T0)=v8,T0);
     if (Null(v8)) { goto L20; }
    }
    T0 = ecl_cdr(v7);
    v7 = ecl_last(T0,1);
L20:;
    goto L10;
L11:;
    value0 = ecl_cdr(v6);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for MAKE-CONDITION                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_make_condition(cl_narg narg, cl_object v1type, ...)
{
 cl_object T0, T1, T2, T3, T4;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2slot_initializations;
  ecl_va_list args; ecl_va_start(args,v1type,narg,1);
  v2slot_initializations = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object v3class;
   if (!(ECL_SYMBOLP(v1type))) { goto L6; }
   value0 = cl_find_class(2, v1type, ECL_NIL);
   goto L4;
L6:;
   value0 = ECL_NIL;
   goto L4;
L4:;
   if ((value0)!=ECL_NIL) { goto L3; }
   T0 = cl_find_class(1, ECL_SYM("CONDITION",248));
   T1 = L21find_subclasses_of_type(v1type, T0);
   T2 = (ECL_SYM("SUBCLASSP",1188)->symbol.gfdef);
   T3 = cl_sort(2, T1, T2);
   T4 = ecl_last(T3,1);
   v3class = ecl_car(T4);
   goto L1;
L3:;
   v3class = value0;
   goto L1;
L1:;
   if ((v3class)!=ECL_NIL) { goto L9; }
   T0 = ecl_list1(v1type);
   cl_error(9, ECL_SYM("SIMPLE-TYPE-ERROR",773), ECL_SYM("DATUM",1224), v1type, ECL_SYM("EXPECTED-TYPE",1242), ECL_SYM("CONDITION",248), ECL_SYM("FORMAT-CONTROL",1250), VV[34], ECL_SYM("FORMAT-ARGUMENTS",1249), T0);
L9:;
   T0 = (ECL_SYM("MAKE-INSTANCE",949)->symbol.gfdef);
   value0 = cl_apply(3, T0, v3class, v2slot_initializations);
   return value0;
  }
 }
}
/*      local function HANDLER-BIND                                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC24handler_bind(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4bindings;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4bindings = v5;
   }
   {
    cl_object v5;
    v5 = ecl_make_cfun((cl_objectfn_fixed)LC22__g150,ECL_NIL,Cblock,1);
    T0 = v5;
   }
   if ((cl_every(2, T0, v4bindings))!=ECL_NIL) { goto L8; }
   cl_error(1, VV[35]);
L8:;
   {
    cl_object v5;
    {
     cl_object v6;
     v6 = ecl_make_cfun((cl_objectfn_fixed)LC23__g156,ECL_NIL,Cblock,1);
     v5 = v6;
    }
    {
     cl_object v6;
     cl_object v7;
     v6 = ECL_NIL;
     {
      cl_object v8;
      v8 = v4bindings;
      if (ecl_unlikely(!ECL_LISTP(v8))) FEtype_error_list(v8);
      v7 = v8;
     }
     {
      cl_object v8;
      cl_object v9;
      v8 = ecl_list1(ECL_NIL);
      v9 = v8;
L19:;
      if (!(ecl_endp(v7))) { goto L21; }
      goto L20;
L21:;
      v6 = _ecl_car(v7);
      {
       cl_object v10;
       v10 = _ecl_cdr(v7);
       if (ecl_unlikely(!ECL_LISTP(v10))) FEtype_error_list(v10);
       v7 = v10;
      }
      {
       cl_object v10;
       v10 = v9;
       if (ecl_unlikely(ECL_ATOM(v10))) FEtype_error_cons(v10);
       T1 = v10;
      }
      T2 = ecl_function_dispatch(cl_env_copy,v5)(1, v6);
      v9 = ecl_list1(T2);
      (ECL_CONS_CDR(T1)=v9,T1);
      goto L19;
L20:;
      T0 = ecl_cdr(v8);
      goto L11;
     }
    }
   }
L11:;
   T1 = CONS(ECL_SYM("LIST",481),T0);
   T2 = cl_list(3, ECL_SYM("CONS",251), T1, ECL_SYM("*HANDLER-CLUSTERS*",5));
   T3 = cl_list(2, ECL_SYM("*HANDLER-CLUSTERS*",5), T2);
   T4 = ecl_list1(T3);
   value0 = cl_listX(3, ECL_SYM("LET",477), T4, v3);
   return value0;
  }
 }
}
/*      local function G150                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC22__g150(cl_object v1x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_LISTP(v1x))) { goto L2; }
  {
   cl_fixnum v2;
   v2 = ecl_length(v1x);
   value0 = ecl_make_bool((v2)==(2));
   cl_env_copy->nvalues = 1;
   return value0;
  }
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G156                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC23__g156(cl_object v1x)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_car(v1x);
  T1 = cl_list(2, ECL_SYM("QUOTE",679), T0);
  T2 = ecl_cadr(v1x);
  value0 = cl_list(3, ECL_SYM("CONS",251), T1, T2);
  return value0;
 }
}
/*      function definition for SIGNAL                                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L25signal(cl_narg narg, cl_object v1datum, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2arguments;
  ecl_va_list args; ecl_va_start(args,v1datum,narg,1);
  v2arguments = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object v3condition;
   v3condition = L26coerce_to_condition(v1datum, v2arguments, ECL_SYM("SIMPLE-CONDITION",767), ECL_SYM("SIGNAL",760));
   ecl_bds_push(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5)); /*  *HANDLER-CLUSTERS* */
   if (Null(cl_typep(2, v3condition, ecl_symbol_value(ECL_SYM("*BREAK-ON-SIGNALS*",25))))) { goto L2; }
   L29break(2, VV[37], v3condition);
L2:;
L5:;
   if ((ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)))!=ECL_NIL) { goto L7; }
   goto L4;
L7:;
   {
    cl_object v4cluster;
    {
     cl_object v5;
     v5 = ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5));
     {
      cl_object v6;
      v6 = v5;
      if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
     }
     if (Null(v5)) { goto L14; }
     {
      cl_object v6;
      v6 = ECL_CONS_CDR(v5);
      cl_set(ECL_SYM("*HANDLER-CLUSTERS*",5),v6);
      v5 = ECL_CONS_CAR(v5);
     }
L14:;
     v4cluster = v5;
    }
    {
     cl_object v5;
     v5 = v4cluster;
     goto L23;
L22:;
     {
      cl_object v6handler;
      v6handler = ecl_car(v5);
      T0 = ecl_car(v6handler);
      if (Null(cl_typep(2, v3condition, T0))) { goto L27; }
      T0 = ecl_cdr(v6handler);
      ecl_function_dispatch(cl_env_copy,T0)(1, v3condition);
L27:;
     }
     v5 = ecl_cdr(v5);
L23:;
     if (Null(v5)) { goto L32; }
     goto L22;
L32:;
    }
   }
   goto L5;
L4:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   ecl_bds_unwind1(cl_env_copy);
   return value0;
  }
 }
}
/*      function definition for COERCE-TO-CONDITION                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L26coerce_to_condition(cl_object v1datum, cl_object v2arguments, cl_object v3default_type, cl_object v4function_name)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(si_of_class_p(2, v1datum, ECL_SYM("CONDITION",248)))) { goto L1; }
  if (Null(v2arguments)) { goto L3; }
  T0 = cl_list(2, v1datum, v4function_name);
  cl_cerror(10, VV[39], ECL_SYM("SIMPLE-TYPE-ERROR",773), ECL_SYM("DATUM",1224), v2arguments, ECL_SYM("EXPECTED-TYPE",1242), ECL_SYM("NULL",605), ECL_SYM("FORMAT-CONTROL",1250), VV[40], ECL_SYM("FORMAT-ARGUMENTS",1249), T0);
L3:;
  value0 = v1datum;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (!(ECL_SYMBOLP(v1datum))) { goto L5; }
  T0 = (ECL_SYM("MAKE-CONDITION",524)->symbol.gfdef);
  value0 = cl_apply(3, T0, v1datum, v2arguments);
  return value0;
L5:;
  if (ECL_STRINGP(v1datum)) { goto L10; }
  if (Null(cl_functionp(v1datum))) { goto L8; }
  goto L9;
L10:;
L9:;
  value0 = cl_make_condition(5, v3default_type, ECL_SYM("FORMAT-CONTROL",1250), v1datum, ECL_SYM("FORMAT-ARGUMENTS",1249), v2arguments);
  return value0;
L8:;
  T0 = cl_list(2, v4function_name, v1datum);
  value0 = cl_error(9, ECL_SYM("SIMPLE-TYPE-ERROR",773), ECL_SYM("DATUM",1224), v1datum, ECL_SYM("EXPECTED-TYPE",1242), VV[41], ECL_SYM("FORMAT-CONTROL",1250), VV[42], ECL_SYM("FORMAT-ARGUMENTS",1249), T0);
  return value0;
 }
}
/*      function definition for BREAK                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L29break(volatile cl_narg narg, ...)
{
 cl_object T0, T1, T2, T3, T4;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object volatile v1format_control;
  cl_object volatile v2format_arguments;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   int i = 0;
   if (i >= narg) {
    v1format_control = VV[43];
   } else {
    i++;
    v1format_control = ecl_va_arg(args);
   }
  }
  v2format_arguments = cl_grab_rest_args(args);
  ecl_va_end(args);
  ecl_bds_bind(cl_env_copy,ECL_SYM("*DEBUGGER-HOOK*",31),ECL_NIL); /*  *DEBUGGER-HOOK* */
  {
   volatile cl_object env1 = env0;
   env1 = ECL_NIL;
   CLV0 = env1 = CONS(ECL_NIL,env1);
   {
    volatile cl_object env2 = env1;
    CLV1 = env2 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
    if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
    if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L3;
    ecl_internal_error("GO found an inexistent tag");
    }
    {
     cl_object v3;
     v3 = ecl_make_cclosure_va((cl_objectfn)LC27__g169,env2,Cblock);
     T0 = v3;
    }
    {
     cl_object v3;
     v3 = ecl_make_cfun((cl_objectfn_fixed)LC28__g170,ECL_NIL,Cblock,1);
     T1 = v3;
    }
    T2 = L3make_restart(6, ECL_SYM("NAME",1285), ECL_SYM("CONTINUE",250), ECL_SYM("FUNCTION",1251), T0, VV[13], T1);
    T3 = ecl_list1(T2);
    T4 = CONS(T3,ecl_symbol_value(ECL_SYM("*RESTART-CLUSTERS*",4)));
    ecl_bds_bind(cl_env_copy,ECL_SYM("*RESTART-CLUSTERS*",4),T4); /*  *RESTART-CLUSTERS* */
    T0 = cl_make_condition(5, ECL_SYM("SIMPLE-CONDITION",767), ECL_SYM("FORMAT-CONTROL",1250), v1format_control, ECL_SYM("FORMAT-ARGUMENTS",1249), v2format_arguments);
    (cl_env_copy->function=(ECL_SYM("INVOKE-DEBUGGER",445)->symbol.gfdef))->cfun.entry(1, T0) /*  INVOKE-DEBUGGER */;
    ecl_frs_pop(cl_env_copy);
    ecl_bds_unwind1(cl_env_copy);
    ecl_bds_unwind1(cl_env_copy);
    goto L2;
L3:;
    ecl_frs_pop(cl_env_copy);
    ecl_bds_unwind1(cl_env_copy);
    goto L2;
   }
  }
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      closure G169                                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC27__g169(cl_narg narg, ...)
{
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  TAGBODY         */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 {
  cl_object v1temp;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1temp = cl_grab_rest_args(args);
  ecl_va_end(args);
  ECL_CONS_CAR(CLV0) = v1temp;
  cl_go(ECL_CONS_CAR(CLV1),ecl_make_fixnum(0));
 }
 }
}
/*      local function G170                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC28__g170(cl_object v1stream)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_format(2, v1stream, VV[44]);
  return value0;
 }
}
/*      function definition for WARN                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L32warn(volatile cl_narg narg, cl_object volatile v1datum, ...)
{
 cl_object T0, T1, T2, T3, T4;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v2arguments;
  ecl_va_list args; ecl_va_start(args,v1datum,narg,1);
  v2arguments = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   volatile cl_object v3condition;
   v3condition = L26coerce_to_condition(v1datum, v2arguments, ECL_SYM("SIMPLE-WARNING",776), ECL_SYM("WARN",903));
   {
    cl_object v4;
    v4 = v3condition;
    if ((si_of_class_p(2, v4, ECL_SYM("WARNING",904)))!=ECL_NIL) { goto L4; }
    v3condition = si_do_check_type(v4, ECL_SYM("WARNING",904), VV[46], ECL_SYM("CONDITION",248));
L4:;
   }
   {
    volatile cl_object env1 = env0;
    env1 = ECL_NIL;
    CLV0 = env1 = CONS(ECL_NIL,env1);
    {
     volatile cl_object env2 = env1;
     CLV1 = env2 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
     if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
     if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L8;
     ecl_internal_error("GO found an inexistent tag");
     }
     {
      cl_object v4;
      v4 = ecl_make_cclosure_va((cl_objectfn)LC30__g178,env2,Cblock);
      T0 = v4;
     }
     {
      cl_object v4;
      v4 = ecl_make_cfun((cl_objectfn_fixed)LC31__g179,ECL_NIL,Cblock,1);
      T1 = v4;
     }
     T2 = L3make_restart(6, ECL_SYM("NAME",1285), ECL_SYM("MUFFLE-WARNING",571), ECL_SYM("FUNCTION",1251), T0, VV[13], T1);
     T3 = ecl_list1(T2);
     T4 = CONS(T3,ecl_symbol_value(ECL_SYM("*RESTART-CLUSTERS*",4)));
     ecl_bds_bind(cl_env_copy,ECL_SYM("*RESTART-CLUSTERS*",4),T4); /*  *RESTART-CLUSTERS* */
     {
      cl_object v4;
      T0 = ECL_NIL;
      v4 = L26coerce_to_condition(v3condition, T0, ECL_SYM("SIMPLE-CONDITION",767), VV[38]);
      T0 = ecl_car(ecl_symbol_value(ECL_SYM("*RESTART-CLUSTERS*",4)));
      T1 = CONS(v4,T0);
      T2 = CONS(T1,ecl_symbol_value(VV[1]));
      ecl_bds_bind(cl_env_copy,VV[1],T2);         /*  *CONDITION-RESTARTS* */
      L25signal(1, v4);
      ecl_frs_pop(cl_env_copy);
      ecl_bds_unwind1(cl_env_copy);
      ecl_bds_unwind1(cl_env_copy);
      goto L7;
     }
L8:;
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 1;
     ecl_frs_pop(cl_env_copy);
     return value0;
    }
   }
L7:;
   cl_format(3, ecl_symbol_value(ECL_SYM("*ERROR-OUTPUT*",33)), VV[48], v3condition);
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      closure G178                                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC30__g178(cl_narg narg, ...)
{
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  TAGBODY         */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 {
  cl_object v1temp;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1temp = cl_grab_rest_args(args);
  ecl_va_end(args);
  ECL_CONS_CAR(CLV0) = v1temp;
  cl_go(ECL_CONS_CAR(CLV1),ecl_make_fixnum(0));
 }
 }
}
/*      local function G179                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC31__g179(cl_object v1stream)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_write_string(2, VV[47], v1stream);
  return value0;
 }
}
/*      local function G181                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC34__g181()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC33__g182,ECL_NIL,Cblock,2);
   value0 = v1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G182                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC33__g182(cl_object v1condition, cl_object v2stream)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = (cl_env_copy->function=(ECL_SYM("SIMPLE-CONDITION-FORMAT-CONTROL",768)->symbol.gfdef))->cfun.entry(1, v1condition) /*  SIMPLE-CONDITION-FORMAT-CONTROL */;
  T1 = (cl_env_copy->function=(ECL_SYM("SIMPLE-CONDITION-FORMAT-ARGUMENTS",769)->symbol.gfdef))->cfun.entry(1, v1condition) /*  SIMPLE-CONDITION-FORMAT-ARGUMENTS */;
  value0 = cl_format(4, v2stream, VV[50], T0, T1);
  return value0;
 }
}
/*      local function G183                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC36__g183()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC35__g184,ECL_NIL,Cblock,2);
   value0 = v1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G184                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC35__g184(cl_object v1condition, cl_object v2stream)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3type;
   cl_object v4size;
   v3type = ecl_function_dispatch(cl_env_copy,ECL_SYM("STACK-OVERFLOW-TYPE",1686))(1, v1condition) /*  STACK-OVERFLOW-TYPE */;
   v4size = ecl_function_dispatch(cl_env_copy,ECL_SYM("STACK-OVERFLOW-SIZE",1685))(1, v1condition) /*  STACK-OVERFLOW-SIZE */;
   if (Null(v4size)) { goto L3; }
   value0 = cl_format(4, v2stream, VV[52], v3type, v4size);
   return value0;
L3:;
   value0 = cl_format(3, v2stream, VV[53], v3type);
   return value0;
  }
 }
}
/*      local function G185                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC38__g185()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC37__g186,ECL_NIL,Cblock,2);
   value0 = v1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G186                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC37__g186(cl_object v1condition, cl_object v2stream)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,ECL_SYM("UNIX-SIGNAL-RECEIVED-CODE",1827))(1, v1condition) /*  UNIX-SIGNAL-RECEIVED-CODE */;
  value0 = cl_format(3, v2stream, VV[54], T0);
  return value0;
 }
}
/*      local function G187                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC40__g187()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC39__g188,ECL_NIL,Cblock,2);
   value0 = v1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G188                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC39__g188(cl_object v1condition, cl_object v2stream)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = (cl_env_copy->function=(ECL_SYM("TYPE-ERROR-DATUM",871)->symbol.gfdef))->cfun.entry(1, v1condition) /*  TYPE-ERROR-DATUM */;
  T1 = (cl_env_copy->function=(ECL_SYM("TYPE-ERROR-EXPECTED-TYPE",872)->symbol.gfdef))->cfun.entry(1, v1condition) /*  TYPE-ERROR-EXPECTED-TYPE */;
  value0 = cl_format(4, v2stream, VV[55], T0, T1);
  return value0;
 }
}
/*      local function G189                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC42__g189()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC41__g190,ECL_NIL,Cblock,2);
   value0 = v1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G190                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC41__g190(cl_object v1condition, cl_object v2stream)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = (cl_env_copy->function=(ECL_SYM("TYPE-ERROR-DATUM",871)->symbol.gfdef))->cfun.entry(1, v1condition) /*  TYPE-ERROR-DATUM */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[117])(1, v1condition) /*  CASE-FAILURE-NAME */;
  T2 = ecl_function_dispatch(cl_env_copy,VV[118])(1, v1condition) /*  CASE-FAILURE-POSSIBILITIES */;
  value0 = cl_format(5, v2stream, VV[57], T0, T1, T2);
  return value0;
 }
}
/*      local function G191                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC44__g191()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC43__g192,ECL_NIL,Cblock,2);
   value0 = v1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G192                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC43__g192(cl_object v1condition, cl_object v2stream)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = (cl_env_copy->function=(ECL_SYM("STREAM-ERROR-STREAM",802)->symbol.gfdef))->cfun.entry(1, v1condition) /*  STREAM-ERROR-STREAM */;
  value0 = cl_format(3, v2stream, VV[58], T0);
  return value0;
 }
}
/*      local function G193                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC46__g193()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC45__g194,ECL_NIL,Cblock,2);
   value0 = v1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G194                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC45__g194(cl_object v1condition, cl_object v2stream)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = (cl_env_copy->function=(ECL_SYM("FILE-ERROR-PATHNAME",354)->symbol.gfdef))->cfun.entry(1, v1condition) /*  FILE-ERROR-PATHNAME */;
  value0 = cl_format(3, v2stream, VV[59], T0);
  return value0;
 }
}
/*      local function G195                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC48__g195()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC47__g196,ECL_NIL,Cblock,2);
   value0 = v1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G196                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC47__g196(cl_object v1condition, cl_object v2stream)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = (cl_env_copy->function=(ECL_SYM("CELL-ERROR-NAME",201)->symbol.gfdef))->cfun.entry(1, v1condition) /*  CELL-ERROR-NAME */;
  value0 = cl_format(3, v2stream, VV[60], T0);
  return value0;
 }
}
/*      local function G197                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC50__g197()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC49__g198,ECL_NIL,Cblock,2);
   value0 = v1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G198                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC49__g198(cl_object v1condition, cl_object v2stream)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = (cl_env_copy->function=(ECL_SYM("CELL-ERROR-NAME",201)->symbol.gfdef))->cfun.entry(1, v1condition) /*  CELL-ERROR-NAME */;
  T1 = (cl_env_copy->function=(ECL_SYM("UNBOUND-SLOT-INSTANCE",877)->symbol.gfdef))->cfun.entry(1, v1condition) /*  UNBOUND-SLOT-INSTANCE */;
  value0 = cl_format(4, v2stream, VV[61], T0, T1);
  return value0;
 }
}
/*      local function G199                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC52__g199()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC51__g200,ECL_NIL,Cblock,2);
   value0 = v1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G200                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC51__g200(cl_object v1condition, cl_object v2stream)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = (cl_env_copy->function=(ECL_SYM("CELL-ERROR-NAME",201)->symbol.gfdef))->cfun.entry(1, v1condition) /*  CELL-ERROR-NAME */;
  value0 = cl_format(3, v2stream, VV[62], T0);
  return value0;
 }
}
/*      local function G201                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC54__g201()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC53__g202,ECL_NIL,Cblock,2);
   value0 = v1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G202                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC53__g202(cl_object v1condition, cl_object v2stream)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = (cl_env_copy->function=(ECL_SYM("PRINT-NOT-READABLE-OBJECT",664)->symbol.gfdef))->cfun.entry(1, v1condition) /*  PRINT-NOT-READABLE-OBJECT */;
  value0 = cl_format(3, v2stream, VV[64], T0);
  return value0;
 }
}
/*      local function G203                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC56__g203()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC55__g204,ECL_NIL,Cblock,2);
   value0 = v1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G205                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC57__g205()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_symbol_value(VV[66]);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G206                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC58__g206()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_symbol_value(VV[67]);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G204                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC55__g204(cl_object v1condition, cl_object v2stream)
{
 cl_object T0, T1, T2, T3, T4;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[119])(1, v1condition) /*  FORMAT-ERROR-PRINT-BANNER */;
  T1 = (cl_env_copy->function=(ECL_SYM("SIMPLE-CONDITION-FORMAT-CONTROL",768)->symbol.gfdef))->cfun.entry(1, v1condition) /*  SIMPLE-CONDITION-FORMAT-CONTROL */;
  T2 = (cl_env_copy->function=(ECL_SYM("SIMPLE-CONDITION-FORMAT-ARGUMENTS",769)->symbol.gfdef))->cfun.entry(1, v1condition) /*  SIMPLE-CONDITION-FORMAT-ARGUMENTS */;
  T3 = ecl_function_dispatch(cl_env_copy,VV[120])(1, v1condition) /*  FORMAT-ERROR-CONTROL-STRING */;
  T4 = ecl_function_dispatch(cl_env_copy,VV[121])(1, v1condition) /*  FORMAT-ERROR-OFFSET */;
  value0 = cl_format(7, v2stream, VV[65], T0, T1, T2, T3, T4);
  return value0;
 }
}
/*      function definition for SIGNAL-SIMPLE-ERROR                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_signal_simple_error(cl_narg narg, cl_object v1base_condition, cl_object v2continue_message, cl_object v3format_control, cl_object v4format_args, ...)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<4)) FEwrong_num_arguments_anonym();
 {
  cl_object v5args;
  ecl_va_list args; ecl_va_start(args,v4format_args,narg,4);
  v5args = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object v6simple_error_name;
   T0 = cl_string(v1base_condition);
   T1 = cl_concatenate(3, ECL_SYM("STRING",805), VV[68], T0);
   T2 = cl_find_package(VV[69]);
   v6simple_error_name = cl_intern(2, T1, T2);
   if ((cl_find_class(2, v6simple_error_name, ECL_NIL))!=ECL_NIL) { goto L2; }
   T0 = cl_list(2, ECL_SYM("SIMPLE-ERROR",770), v1base_condition);
   T1 = cl_list(4, ECL_SYM("DEFCLASS",937), v6simple_error_name, T0, ECL_NIL);
   cl_eval(T1);
L2:;
   if (Null(v2continue_message)) { goto L4; }
   T0 = (ECL_SYM("CERROR",202)->symbol.gfdef);
   value0 = cl_apply(8, T0, v2continue_message, v6simple_error_name, ECL_SYM("FORMAT-CONTROL",1250), v3format_control, ECL_SYM("FORMAT-ARGUMENTS",1249), v4format_args, v5args);
   return value0;
L4:;
   T0 = (ECL_SYM("ERROR",337)->symbol.gfdef);
   value0 = cl_apply(7, T0, v6simple_error_name, ECL_SYM("FORMAT-CONTROL",1250), v3format_control, ECL_SYM("FORMAT-ARGUMENTS",1249), v4format_args, v5args);
   return value0;
  }
 }
}
/*      local function HANDLER-CASE                                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC62handler_case(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9;
 cl_object env0 = ECL_NIL;
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4form;
   cl_object v5cases;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4form = v6;
   }
   v5cases = v3;
   {
    cl_object v6no_error_clause;
    v6no_error_clause = ecl_assql(VV[70],v5cases);
    if (Null(v6no_error_clause)) { goto L10; }
    {
     cl_object v7normal_return;
     cl_object v8error_return;
     v7normal_return = cl_make_symbol(VV[71]);
     v8error_return = cl_make_symbol(VV[72]);
     T0 = ecl_cdr(v6no_error_clause);
     T1 = CONS(ECL_SYM("LAMBDA",452),T0);
     T2 = cl_list(2, ECL_SYM("FUNCTION",396), T1);
     T3 = cl_list(3, ECL_SYM("RETURN-FROM",725), v7normal_return, v4form);
     T4 = cl_remove(2, v6no_error_clause, v5cases);
     T5 = cl_listX(3, ECL_SYM("HANDLER-CASE",416), T3, T4);
     T6 = cl_list(3, ECL_SYM("RETURN-FROM",725), v8error_return, T5);
     T7 = cl_list(3, ECL_SYM("BLOCK",137), v7normal_return, T6);
     T8 = cl_list(3, ECL_SYM("MULTIPLE-VALUE-CALL",573), T2, T7);
     value0 = cl_list(3, ECL_SYM("BLOCK",137), v8error_return, T8);
     return value0;
    }
L10:;
    {
     cl_object v9annotated_cases;
     cl_object env1 = env0;
     T0 = cl_gensym(0);
     env1 = ECL_NIL;
     CLV0 = env1 = CONS(T0,env1);                 /*  TAG             */
     T0 = cl_gensym(0);
     CLV1 = env1 = CONS(T0,env1);                 /*  VAR             */
     {
      cl_object v10;
      {
       cl_object v11;
       v11 = ecl_make_cfun((cl_objectfn_fixed)LC59__g219,ECL_NIL,Cblock,1);
       v10 = v11;
      }
      {
       cl_object v11;
       cl_object v12;
       v11 = ECL_NIL;
       {
        cl_object v13;
        v13 = v5cases;
        if (ecl_unlikely(!ECL_LISTP(v13))) FEtype_error_list(v13);
        v12 = v13;
       }
       {
        cl_object v13;
        cl_object v14;
        v13 = ecl_list1(ECL_NIL);
        v14 = v13;
L22:;
        if (!(ecl_endp(v12))) { goto L24; }
        goto L23;
L24:;
        v11 = _ecl_car(v12);
        {
         cl_object v15;
         v15 = _ecl_cdr(v12);
         if (ecl_unlikely(!ECL_LISTP(v15))) FEtype_error_list(v15);
         v12 = v15;
        }
        {
         cl_object v15;
         v15 = v14;
         if (ecl_unlikely(ECL_ATOM(v15))) FEtype_error_cons(v15);
         T0 = v15;
        }
        T1 = ecl_function_dispatch(cl_env_copy,v10)(1, v11);
        v14 = ecl_list1(T1);
        (ECL_CONS_CDR(T0)=v14,T0);
        goto L22;
L23:;
        v9annotated_cases = ecl_cdr(v13);
        goto L14;
       }
      }
     }
L14:;
     T0 = cl_list(2, ECL_CONS_CAR(CLV1), ECL_NIL);
     T1 = ecl_list1(T0);
     T2 = cl_list(2, ECL_SYM("IGNORABLE",427), ECL_CONS_CAR(CLV1));
     T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
     {
      cl_object v10;
      {
       cl_object v11;
       v11 = ecl_make_cclosure_va((cl_objectfn)LC60__g227,env1,Cblock);
       v10 = v11;
      }
      {
       cl_object v11;
       cl_object v12;
       v11 = ECL_NIL;
       {
        cl_object v13;
        v13 = v9annotated_cases;
        if (ecl_unlikely(!ECL_LISTP(v13))) FEtype_error_list(v13);
        v12 = v13;
       }
       {
        cl_object v13;
        cl_object v14;
        v13 = ecl_list1(ECL_NIL);
        v14 = v13;
L48:;
        if (!(ecl_endp(v12))) { goto L50; }
        goto L49;
L50:;
        v11 = _ecl_car(v12);
        {
         cl_object v15;
         v15 = _ecl_cdr(v12);
         if (ecl_unlikely(!ECL_LISTP(v15))) FEtype_error_list(v15);
         v12 = v15;
        }
        {
         cl_object v15;
         v15 = v14;
         if (ecl_unlikely(ECL_ATOM(v15))) FEtype_error_cons(v15);
         T5 = v15;
        }
        T6 = ecl_function_dispatch(cl_env_copy,v10)(1, v11);
        v14 = ecl_list1(T6);
        (ECL_CONS_CDR(T5)=v14,T5);
        goto L48;
L49:;
        T4 = ecl_cdr(v13);
        goto L40;
       }
      }
     }
L40:;
     T5 = cl_list(3, ECL_SYM("RETURN-FROM",725), ECL_CONS_CAR(CLV0), v4form);
     T6 = cl_list(3, VV[36], T4, T5);
     {
      cl_object v10;
      {
       cl_object v11;
       v11 = ecl_make_cclosure_va((cl_objectfn)LC61__g235,env1,Cblock);
       v10 = v11;
      }
      {
       cl_object v11;
       cl_object v12;
       v11 = ECL_NIL;
       {
        cl_object v13;
        v13 = v9annotated_cases;
        if (ecl_unlikely(!ECL_LISTP(v13))) FEtype_error_list(v13);
        v12 = v13;
       }
       {
        cl_object v13;
        cl_object v14;
        v13 = ecl_list1(ECL_NIL);
        v14 = v13;
L74:;
        if (!(ecl_endp(v12))) { goto L76; }
        goto L75;
L76:;
        v11 = _ecl_car(v12);
        {
         cl_object v15;
         v15 = _ecl_cdr(v12);
         if (ecl_unlikely(!ECL_LISTP(v15))) FEtype_error_list(v15);
         v12 = v15;
        }
        {
         cl_object v15;
         v15 = ecl_function_dispatch(cl_env_copy,v10)(1, v11);
         {
          cl_object v16;
          v16 = v14;
          if (ecl_unlikely(ECL_ATOM(v16))) FEtype_error_cons(v16);
          T8 = v16;
         }
         (ECL_CONS_CDR(T8)=v15,T8);
         if (Null(v15)) { goto L84; }
        }
        T8 = ecl_cdr(v14);
        v14 = ecl_last(T8,1);
L84:;
        goto L74;
L75:;
        T7 = ecl_cdr(v13);
        goto L66;
       }
      }
     }
L66:;
     T8 = cl_listX(3, ECL_SYM("TAGBODY",850), T6, T7);
     T9 = cl_list(4, ECL_SYM("LET",477), T1, T3, T8);
     value0 = cl_list(3, ECL_SYM("BLOCK",137), ECL_CONS_CAR(CLV0), T9);
     return value0;
    }
   }
  }
 }
}
/*      local function G219                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC59__g219(cl_object v1case)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_gensym(0);
  value0 = CONS(T0,v1case);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      closure G227                                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC60__g227(cl_narg narg, cl_object v1annotated_case, ...)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7;
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  VAR             */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  T0 = ecl_cadr(v1annotated_case);
  if (Null(ecl_caddr(v1annotated_case))) { goto L2; }
  T2 = cl_list(3, ECL_SYM("SETQ",751), ECL_CONS_CAR(CLV1), VV[22]);
  T1 = ecl_list1(T2);
  goto L1;
L2:;
  T1 = ECL_NIL;
L1:;
  T2 = ecl_car(v1annotated_case);
  T3 = cl_list(2, ECL_SYM("GO",414), T2);
  T4 = ecl_list1(T3);
  T5 = ecl_append(T1,T4);
  T6 = cl_listX(4, ECL_SYM("LAMBDA",452), VV[73], VV[74], T5);
  T7 = cl_list(2, ECL_SYM("FUNCTION",396), T6);
  value0 = cl_list(2, T0, T7);
  return value0;
 }
 }
}
/*      closure G235                                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC61__g235(cl_narg narg, cl_object v1annotated_case, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  VAR             */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  T0 = ecl_car(v1annotated_case);
  {
   cl_object v2body;
   v2body = ecl_cdddr(v1annotated_case);
   if (Null(ecl_caddr(v1annotated_case))) { goto L4; }
   T3 = ecl_caaddr(v1annotated_case);
   T4 = cl_list(2, T3, ECL_CONS_CAR(CLV1));
   T5 = ecl_list1(T4);
   T2 = cl_listX(3, ECL_SYM("LET",477), T5, v2body);
   goto L3;
L4:;
   T2 = CONS(ECL_SYM("LOCALLY",490),v2body);
L3:;
   T1 = cl_list(3, ECL_SYM("RETURN-FROM",725), ECL_CONS_CAR(CLV0), T2);
  }
  value0 = cl_list(2, T0, T1);
  return value0;
 }
 }
}
/*      local function IGNORE-ERRORS                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC63ignore_errors(cl_object v1, cl_object v2)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = ecl_cdr(v1);
   T0 = CONS(ECL_SYM("PROGN",671),v3);
   value0 = cl_list(3, VV[75], T0, VV[76]);
   return value0;
  }
 }
}
/*      function definition for ABORT                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_abort(cl_narg narg, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object v1c;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    v1c = ECL_NIL;
   } else {
    i++;
    v1c = va_arg(args,cl_object);
   }
  }
  va_end(args);
  T0 = L11find_restart_never_fail(2, ECL_SYM("ABORT",77), v1c);
  cl_invoke_restart(1, T0);
  value0 = cl_error(1, VV[63]);
  return value0;
 }
}
/*      function definition for CONTINUE                              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_continue(cl_narg narg, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object v1c;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    v1c = ECL_NIL;
   } else {
    i++;
    v1c = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object v2restart;
   v2restart = cl_find_restart(2, ECL_SYM("CONTINUE",250), v1c);
   if (Null(v2restart)) { goto L4; }
   value0 = cl_invoke_restart(1, v2restart);
   return value0;
L4:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for MUFFLE-WARNING                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_muffle_warning(cl_narg narg, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object v1c;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    v1c = ECL_NIL;
   } else {
    i++;
    v1c = va_arg(args,cl_object);
   }
  }
  va_end(args);
  T0 = L11find_restart_never_fail(2, ECL_SYM("MUFFLE-WARNING",571), v1c);
  value0 = cl_invoke_restart(1, T0);
  return value0;
 }
}
/*      function definition for STORE-VALUE                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_store_value(cl_narg narg, cl_object v1value, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2c;
  va_list args; va_start(args,v1value);
  {
   int i = 1;
   if (i >= narg) {
    v2c = ECL_NIL;
   } else {
    i++;
    v2c = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object v3restart;
   v3restart = cl_find_restart(2, ECL_SYM("STORE-VALUE",798), v2c);
   if (Null(v3restart)) { goto L4; }
   value0 = cl_invoke_restart(2, v3restart, v1value);
   return value0;
L4:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for USE-VALUE                             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_use_value(cl_narg narg, cl_object v1value, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2c;
  va_list args; va_start(args,v1value);
  {
   int i = 1;
   if (i >= narg) {
    v2c = ECL_NIL;
   } else {
    i++;
    v2c = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object v3restart;
   v3restart = cl_find_restart(2, ECL_SYM("USE-VALUE",893), v2c);
   if (Null(v3restart)) { goto L4; }
   value0 = cl_invoke_restart(2, v3restart, v1value);
   return value0;
L4:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for ASSERT-REPORT                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L64assert_report(cl_object v1names, cl_object v2stream)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  cl_format(2, v2stream, VV[78]);
  if (Null(v1names)) { goto L2; }
  {
   cl_fixnum v3;
   v3 = ecl_length(v1names);
   value0 = cl_format(4, v2stream, VV[79], ecl_make_fixnum(v3), v1names);
   return value0;
  }
L2:;
  value0 = cl_format(2, v2stream, VV[80]);
  return value0;
 }
}
/*      function definition for ASSERT-PROMPT                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L66assert_prompt(cl_object v1name, cl_object v2value)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(cl_y_or_n_p(3, VV[81], v1name, v2value))) { goto L1; }
  cl_format(2, ecl_symbol_value(ECL_SYM("*QUERY-IO*",59)), VV[82]);
  if (!(ECL_SYMBOLP(v1name))) { goto L4; }
  {
   cl_object v4, v5; cl_index v3;
   v4 = ecl_list1(v1name);
   v5 = ecl_list1(v2value);
   v3 = ecl_progv(cl_env_copy, v4, v5);
   value0 = LC65read_it();
   ecl_bds_unwind(cl_env_copy,v3);
   return value0;
  }
L4:;
  value0 = LC65read_it();
  return value0;
L1:;
  value0 = v2value;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function READ-IT                                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC65read_it()
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_read(1, ecl_symbol_value(ECL_SYM("*QUERY-IO*",59)));
  value0 = cl_eval(T0);
  return value0;
 }
}
/*      function definition for ASSERT-FAILURE                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_assert_failure(volatile cl_narg narg, cl_object volatile v1test_form, ...)
{
 cl_object T0, T1, T2, T3, T4;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v2values;
  cl_object volatile v3arguments;
  ecl_va_list args; ecl_va_start(args,v1test_form,narg,1);
  {
   int i = 1;
   if (i >= narg) {
    env0 = ECL_NIL;
    CLV0 = env0 = CONS(ECL_NIL,env0);             /*  PLACE-NAMES     */
   } else {
    i++;
    env0 = ECL_NIL;
    CLV0 = env0 = CONS(ecl_va_arg(args),env0);    /*  PLACE-NAMES     */
   }
   if (i >= narg) {
    v2values = ECL_NIL;
   } else {
    i++;
    v2values = ecl_va_arg(args);
   }
  }
  v3arguments = cl_grab_rest_args(args);
  ecl_va_end(args);
  if ((v3arguments)!=ECL_NIL) { goto L2; }
  T0 = ecl_list1(v1test_form);
  v3arguments = cl_list(9, ECL_SYM("SIMPLE-TYPE-ERROR",773), ECL_SYM("DATUM",1224), v1test_form, ECL_SYM("EXPECTED-TYPE",1242), ECL_NIL, ECL_SYM("FORMAT-CONTROL",1250), VV[83], ECL_SYM("FORMAT-ARGUMENTS",1249), T0);
L2:;
  {
   volatile cl_object env1 = env0;
   CLV1 = env1 = CONS(ECL_NIL,env1);
   CLV2 = env1 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env1); /*  TAGBODY */
   if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV2))) {
   if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L5;
   ecl_internal_error("GO found an inexistent tag");
   }
   {
    cl_object v4;
    v4 = ecl_make_cclosure_va((cl_objectfn)LC67__g251,env1,Cblock);
    T0 = v4;
   }
   {
    cl_object v4;
    v4 = ecl_make_cclosure_va((cl_objectfn)LC68__g252,env1,Cblock);
    T1 = v4;
   }
   T2 = L3make_restart(6, ECL_SYM("NAME",1285), ECL_SYM("CONTINUE",250), ECL_SYM("FUNCTION",1251), T0, VV[13], T1);
   T3 = ecl_list1(T2);
   T4 = CONS(T3,ecl_symbol_value(ECL_SYM("*RESTART-CLUSTERS*",4)));
   ecl_bds_bind(cl_env_copy,ECL_SYM("*RESTART-CLUSTERS*",4),T4); /*  *RESTART-CLUSTERS* */
   {
    cl_object v4;
    T0 = ecl_car(v3arguments);
    T1 = ecl_cdr(v3arguments);
    T2 = L26coerce_to_condition(T0, T1, ECL_SYM("SIMPLE-ERROR",770), ECL_SYM("ASSERT",113));
    T3 = ECL_NIL;
    v4 = L26coerce_to_condition(T2, T3, ECL_SYM("SIMPLE-ERROR",770), ECL_SYM("ERROR",337));
    T0 = ecl_car(ecl_symbol_value(ECL_SYM("*RESTART-CLUSTERS*",4)));
    T1 = CONS(v4,T0);
    T2 = CONS(T1,ecl_symbol_value(VV[1]));
    ecl_bds_bind(cl_env_copy,VV[1],T2);           /*  *CONDITION-RESTARTS* */
    value0 = cl_error(1, v4);
    ecl_frs_pop(cl_env_copy);
    ecl_bds_unwind1(cl_env_copy);
    ecl_bds_unwind1(cl_env_copy);
    return value0;
   }
L5:;
   {
    cl_object v4place_name;
    cl_object v5;
    v4place_name = ECL_NIL;
    {
     cl_object v6;
     v6 = ECL_CONS_CAR(CLV0);
     if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
     v5 = v6;
    }
    {
     cl_object v6value;
     cl_object v7;
     v6value = ECL_NIL;
     {
      cl_object v8;
      v8 = v2values;
      if (ecl_unlikely(!ECL_LISTP(v8))) FEtype_error_list(v8);
      v7 = v8;
     }
     {
      cl_object v8;
      cl_object v9;
      v8 = ecl_list1(ECL_NIL);
      v9 = v8;
L22:;
      if (!(ecl_endp(v5))) { goto L24; }
      goto L23;
L24:;
      v4place_name = _ecl_car(v5);
      {
       cl_object v10;
       v10 = _ecl_cdr(v5);
       if (ecl_unlikely(!ECL_LISTP(v10))) FEtype_error_list(v10);
       v5 = v10;
      }
      if (!(ecl_endp(v7))) { goto L32; }
      goto L23;
L32:;
      v6value = _ecl_car(v7);
      {
       cl_object v10;
       v10 = _ecl_cdr(v7);
       if (ecl_unlikely(!ECL_LISTP(v10))) FEtype_error_list(v10);
       v7 = v10;
      }
      {
       cl_object v10;
       v10 = v9;
       if (ecl_unlikely(ECL_ATOM(v10))) FEtype_error_cons(v10);
       T1 = v10;
      }
      T2 = L66assert_prompt(v4place_name, v6value);
      v9 = ecl_list1(T2);
      (ECL_CONS_CDR(T1)=v9,T1);
      goto L22;
L23:;
      T0 = ecl_cdr(v8);
      goto L11;
     }
    }
   }
L11:;
   value0 = cl_values_list(T0);
   ecl_frs_pop(cl_env_copy);
   return value0;
  }
 }
}
/*      closure G251                                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC67__g251(cl_narg narg, ...)
{
 cl_object CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV2 = env0;                                     /*  TAGBODY         */
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 {
  cl_object v1temp;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1temp = cl_grab_rest_args(args);
  ecl_va_end(args);
  ECL_CONS_CAR(CLV1) = v1temp;
  cl_go(ECL_CONS_CAR(CLV2),ecl_make_fixnum(0));
 }
 }
}
/*      closure G252                                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC68__g252(cl_narg narg, cl_object v1stream, ...)
{
 cl_object CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV2 = env0;
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);                           /*  PLACE-NAMES     */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = L64assert_report(ECL_CONS_CAR(CLV0), v1stream);
  return value0;
 }
 }
}
/*      function definition for UNIVERSAL-ERROR-HANDLER               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L79universal_error_handler(cl_object volatile v1continue_string, cl_object volatile v2datum, cl_object volatile v3args)
{
 cl_object T0, T1, T2, T3, T4;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1continue_string,env0);     /*  CONTINUE-STRING */
  CLV1 = env0 = CONS(v3args,env0);                /*  ARGS            */
  {
   volatile cl_object v4condition;
   v4condition = L26coerce_to_condition(v2datum, ECL_CONS_CAR(CLV1), ECL_SYM("SIMPLE-ERROR",770), ECL_SYM("ERROR",337));
   if (!((ECL_T)==(ECL_CONS_CAR(CLV0)))) { goto L2; }
   {
    volatile cl_object env1 = env0;
    CLV2 = env1 = CONS(ECL_NIL,env1);
    {
     volatile cl_object env2 = env1;
     CLV3 = env2 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
     if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV3))) {
     if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L4;
     ecl_internal_error("GO found an inexistent tag");
     }
     {
      cl_object v5;
      v5 = ecl_make_cclosure_va((cl_objectfn)LC69__g266,env2,Cblock);
      T0 = v5;
     }
     {
      cl_object v5;
      v5 = ecl_make_cfun((cl_objectfn_fixed)LC70__g267,ECL_NIL,Cblock,1);
      T1 = v5;
     }
     T2 = L3make_restart(6, ECL_SYM("NAME",1285), ECL_SYM("IGNORE",428), ECL_SYM("FUNCTION",1251), T0, VV[13], T1);
     T3 = ecl_list1(T2);
     T4 = CONS(T3,ecl_symbol_value(ECL_SYM("*RESTART-CLUSTERS*",4)));
     ecl_bds_bind(cl_env_copy,ECL_SYM("*RESTART-CLUSTERS*",4),T4); /*  *RESTART-CLUSTERS* */
     L25signal(1, v4condition);
     value0 = (cl_env_copy->function=(ECL_SYM("INVOKE-DEBUGGER",445)->symbol.gfdef))->cfun.entry(1, v4condition) /*  INVOKE-DEBUGGER */;
     ecl_frs_pop(cl_env_copy);
     ecl_bds_unwind1(cl_env_copy);
     return value0;
L4:;
     cl_env_copy->nvalues = 2;
     cl_env_copy->values[1] = ECL_T;
     cl_env_copy->values[0] = ECL_NIL;
     value0 = cl_env_copy->values[0];
     ecl_frs_pop(cl_env_copy);
     return value0;
    }
   }
L2:;
   if (!(ECL_STRINGP(ECL_CONS_CAR(CLV0)))) { goto L10; }
   {
    volatile cl_object env1 = env0;
    CLV2 = env1 = CONS(ECL_NIL,env1);
    {
     volatile cl_object env2 = env1;
     CLV3 = env2 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
     if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV3))) {
     if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L12;
     ecl_internal_error("GO found an inexistent tag");
     }
     {
      cl_object v5;
      v5 = ecl_make_cclosure_va((cl_objectfn)LC71__g273,env2,Cblock);
      T0 = v5;
     }
     {
      cl_object v5;
      v5 = ecl_make_cclosure_va((cl_objectfn)LC72__g274,env2,Cblock);
      T1 = v5;
     }
     T2 = L3make_restart(6, ECL_SYM("NAME",1285), ECL_SYM("CONTINUE",250), ECL_SYM("FUNCTION",1251), T0, VV[13], T1);
     T3 = ecl_list1(T2);
     T4 = CONS(T3,ecl_symbol_value(ECL_SYM("*RESTART-CLUSTERS*",4)));
     ecl_bds_bind(cl_env_copy,ECL_SYM("*RESTART-CLUSTERS*",4),T4); /*  *RESTART-CLUSTERS* */
     L25signal(1, v4condition);
     value0 = (cl_env_copy->function=(ECL_SYM("INVOKE-DEBUGGER",445)->symbol.gfdef))->cfun.entry(1, v4condition) /*  INVOKE-DEBUGGER */;
     ecl_frs_pop(cl_env_copy);
     ecl_bds_unwind1(cl_env_copy);
     return value0;
L12:;
     cl_env_copy->nvalues = 2;
     cl_env_copy->values[1] = ECL_T;
     cl_env_copy->values[0] = ECL_NIL;
     value0 = cl_env_copy->values[0];
     ecl_frs_pop(cl_env_copy);
     return value0;
    }
   }
L10:;
   if (Null(ECL_CONS_CAR(CLV0))) { goto L18; }
   if (!(ECL_SYMBOLP(ECL_CONS_CAR(CLV0)))) { goto L18; }
   {
    volatile cl_object env1 = env0;
    CLV2 = env1 = CONS(ECL_NIL,env1);
    {
     volatile cl_object env2 = env1;
     CLV3 = env2 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
     if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV3))) {
     if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L21;
     ecl_internal_error("GO found an inexistent tag");
     }
     {
      cl_object volatile v5;
      v5 = ecl_make_cclosure_va((cl_objectfn)LC73__g280,env2,Cblock);
      T0 = v5;
     }
     {
      cl_object volatile v5;
      v5 = ecl_make_cfun((cl_objectfn_fixed)LC74__g281,ECL_NIL,Cblock,1);
      T1 = v5;
     }
     T2 = L3make_restart(6, ECL_SYM("NAME",1285), VV[86], ECL_SYM("FUNCTION",1251), T0, VV[13], T1);
     T3 = ecl_list1(T2);
     T4 = CONS(T3,ecl_symbol_value(ECL_SYM("*RESTART-CLUSTERS*",4)));
     ecl_bds_bind(cl_env_copy,ECL_SYM("*RESTART-CLUSTERS*",4),T4); /*  *RESTART-CLUSTERS* */
     {
      cl_object volatile v6;                      /*  RV              */
      cl_object volatile v7;                      /*  USED-RESTART    */
      {
       volatile cl_object env3 = env2;
       CLV4 = env3 = CONS(ECL_NIL,env3);
       {
        volatile cl_object env4 = env3;
        CLV5 = env4 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env4); /*  TAGBODY */
        if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV5))) {
        if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L26;
        ecl_internal_error("GO found an inexistent tag");
        }
        {
         cl_object volatile v8;
         v8 = ecl_make_cclosure_va((cl_objectfn)LC75__g286,env4,Cblock);
         T0 = v8;
        }
        {
         cl_object volatile v8;
         v8 = ecl_make_cfun((cl_objectfn_fixed)LC76__g287,ECL_NIL,Cblock,1);
         T1 = v8;
        }
        T2 = L3make_restart(6, ECL_SYM("NAME",1285), ECL_SYM("IGNORE",428), ECL_SYM("FUNCTION",1251), T0, VV[13], T1);
        T3 = ecl_list1(T2);
        T4 = CONS(T3,ecl_symbol_value(ECL_SYM("*RESTART-CLUSTERS*",4)));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*RESTART-CLUSTERS*",4),T4); /*  *RESTART-CLUSTERS* */
        {
         cl_object volatile v9;                   /*  RV              */
         cl_object volatile v10;                  /*  USED-RESTART    */
         {
          volatile cl_object env5 = env4;
          CLV6 = env5 = CONS(ECL_NIL,env5);
          {
          volatile cl_object env6 = env5;
          CLV7 = env6 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env6); /*  TAGBODY */
          if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV7))) {
          if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L31;
          ecl_internal_error("GO found an inexistent tag");
          }
          {
          cl_object v11;
          v11 = ecl_make_cclosure_va((cl_objectfn)LC77__g292,env6,Cblock);
          T0 = v11;
          }
          {
          cl_object v11;
          v11 = ecl_make_cclosure_va((cl_objectfn)LC78__g293,env6,Cblock);
          T1 = v11;
          }
          T2 = L3make_restart(6, ECL_SYM("NAME",1285), ECL_SYM("CONTINUE",250), ECL_SYM("FUNCTION",1251), T0, VV[13], T1);
          T3 = ecl_list1(T2);
          T4 = CONS(T3,ecl_symbol_value(ECL_SYM("*RESTART-CLUSTERS*",4)));
          ecl_bds_bind(cl_env_copy,ECL_SYM("*RESTART-CLUSTERS*",4),T4); /*  *RESTART-CLUSTERS* */
          L25signal(1, v4condition);
          value0 = (cl_env_copy->function=(ECL_SYM("INVOKE-DEBUGGER",445)->symbol.gfdef))->cfun.entry(1, v4condition) /*  INVOKE-DEBUGGER */;
          ecl_frs_pop(cl_env_copy);
          ecl_bds_unwind1(cl_env_copy);
          goto L30;
L31:;
          cl_env_copy->nvalues = 2;
          cl_env_copy->values[1] = ECL_T;
          cl_env_copy->values[0] = ECL_NIL;
          value0 = cl_env_copy->values[0];
          ecl_frs_pop(cl_env_copy);
          goto L30;
          }
         }
L30:;
         v9 = value0;
         {
          const int v11 = cl_env_copy->nvalues;
          cl_object v12;
          v12 = (v11<=1)? ECL_NIL : cl_env_copy->values[1];
          v10 = v12;
         }
         if (Null(v10)) { goto L37; }
         value0 = ECL_CONS_CAR(CLV0);
         cl_env_copy->nvalues = 1;
         ecl_frs_pop(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
         goto L25;
L37:;
         value0 = v9;
         cl_env_copy->nvalues = 1;
         ecl_frs_pop(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
         goto L25;
        }
L26:;
        cl_env_copy->nvalues = 2;
        cl_env_copy->values[1] = ECL_T;
        cl_env_copy->values[0] = ECL_NIL;
        value0 = cl_env_copy->values[0];
        ecl_frs_pop(cl_env_copy);
        goto L25;
       }
      }
L25:;
      v6 = value0;
      {
       const int v8 = cl_env_copy->nvalues;
       cl_object v9;
       v9 = (v8<=1)? ECL_NIL : cl_env_copy->values[1];
       v7 = v9;
      }
      if (Null(v7)) { goto L40; }
      value0 = ECL_T;
      cl_env_copy->nvalues = 1;
      ecl_frs_pop(cl_env_copy);
      ecl_bds_unwind1(cl_env_copy);
      return value0;
L40:;
      value0 = v6;
      cl_env_copy->nvalues = 1;
      ecl_frs_pop(cl_env_copy);
      ecl_bds_unwind1(cl_env_copy);
      return value0;
     }
L21:;
     cl_env_copy->nvalues = 2;
     cl_env_copy->values[1] = ECL_T;
     cl_env_copy->values[0] = ECL_NIL;
     value0 = cl_env_copy->values[0];
     ecl_frs_pop(cl_env_copy);
     return value0;
    }
   }
L18:;
   L25signal(1, v4condition);
   value0 = (cl_env_copy->function=(ECL_SYM("INVOKE-DEBUGGER",445)->symbol.gfdef))->cfun.entry(1, v4condition) /*  INVOKE-DEBUGGER */;
   return value0;
  }
 }
}
/*      closure G266                                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC69__g266(cl_narg narg, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV3 = env0;                                     /*  TAGBODY         */
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 {
  cl_object v1temp;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1temp = cl_grab_rest_args(args);
  ecl_va_end(args);
  ECL_CONS_CAR(CLV2) = v1temp;
  cl_go(ECL_CONS_CAR(CLV3),ecl_make_fixnum(0));
 }
 }
}
/*      local function G267                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC70__g267(cl_object v1stream)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_format(2, v1stream, VV[84]);
  return value0;
 }
}
/*      closure G273                                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC71__g273(cl_narg narg, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV3 = env0;                                     /*  TAGBODY         */
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 {
  cl_object v1temp;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1temp = cl_grab_rest_args(args);
  ecl_va_end(args);
  ECL_CONS_CAR(CLV2) = v1temp;
  cl_go(ECL_CONS_CAR(CLV3),ecl_make_fixnum(0));
 }
 }
}
/*      closure G274                                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC72__g274(cl_narg narg, cl_object v1stream, ...)
{
 cl_object T0;
 cl_object CLV0, CLV1, CLV2, CLV3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV3 = env0;
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);                           /*  ARGS            */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  T0 = cl_format(4, ECL_NIL, VV[50], ECL_CONS_CAR(CLV0), ECL_CONS_CAR(CLV1));
  value0 = cl_format(3, v1stream, VV[85], T0);
  return value0;
 }
 }
}
/*      closure G280                                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC73__g280(cl_narg narg, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV3 = env0;                                     /*  TAGBODY         */
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 {
  cl_object v1temp;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1temp = cl_grab_rest_args(args);
  ecl_va_end(args);
  ECL_CONS_CAR(CLV2) = v1temp;
  cl_go(ECL_CONS_CAR(CLV3),ecl_make_fixnum(0));
 }
 }
}
/*      local function G281                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC74__g281(cl_object v1stream)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_format(2, v1stream, VV[87]);
  return value0;
 }
}
/*      closure G286                                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC75__g286(cl_narg narg, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV5 = env0;                                     /*  TAGBODY         */
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 {
  cl_object v1temp;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1temp = cl_grab_rest_args(args);
  ecl_va_end(args);
  ECL_CONS_CAR(CLV4) = v1temp;
  cl_go(ECL_CONS_CAR(CLV5),ecl_make_fixnum(0));
 }
 }
}
/*      local function G287                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC76__g287(cl_object v1stream)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_format(2, v1stream, VV[84]);
  return value0;
 }
}
/*      closure G292                                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC77__g292(cl_narg narg, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV7 = env0;                                     /*  TAGBODY         */
 CLV6 = _ecl_cdr(CLV7);
 CLV5 = _ecl_cdr(CLV6);
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 {
  cl_object v1temp;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1temp = cl_grab_rest_args(args);
  ecl_va_end(args);
  ECL_CONS_CAR(CLV6) = v1temp;
  cl_go(ECL_CONS_CAR(CLV7),ecl_make_fixnum(0));
 }
 }
}
/*      closure G293                                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC78__g293(cl_narg narg, cl_object v1stream, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV7 = env0;
 CLV6 = _ecl_cdr(CLV7);
 CLV5 = _ecl_cdr(CLV6);
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);                           /*  CONTINUE-STRING */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = cl_format(3, v1stream, VV[88], ECL_CONS_CAR(CLV0));
  return value0;
 }
 }
}
/*      function definition for STACK-ERROR-HANDLER                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L80stack_error_handler(cl_object volatile v1continue_string, cl_object volatile v2datum, cl_object volatile v3args)
{
 cl_object T0;
 cl_object volatile env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile bool unwinding = FALSE;
   cl_index v4=ECL_STACK_INDEX(cl_env_copy),v5;
   ecl_frame_ptr next_fr;
   if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
     unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
   } else {
   cl_env_copy->values[0] = L79universal_error_handler(v1continue_string, v2datum, v3args);
     next_fr = NULL;
   }
   ecl_frs_pop(cl_env_copy);
   v5=ecl_stack_push_values(cl_env_copy);
   T0 = cl_getf(2, v3args, ECL_SYM("TYPE",1330));
   si_reset_margin(T0);
   ecl_stack_pop_values(cl_env_copy,v5);
   if (unwinding) ecl_unwind(cl_env_copy,next_fr);
   ECL_STACK_SET_INDEX(cl_env_copy,v4);
   return cl_env_copy->values[0];
  }
 }
}
/*      function definition for TPL-CONTINUE-COMMAND                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L81tpl_continue_command(cl_narg narg, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1any;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1any = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = (ECL_SYM("INVOKE-RESTART",446)->symbol.gfdef);
  value0 = cl_apply(3, T0, ECL_SYM("CONTINUE",250), v1any);
  return value0;
 }
}

#include "clos/conditions.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclYy2GIjZ7_sro8P531(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("SRC:CLOS;CONDITIONS.LSP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = (const cl_object *)"@EcLtAg:_eclYy2GIjZ7_sro8P531@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
  si_select_package(VVtemp[0]);
  ecl_cmp_defmacro(VV[92]);                       /*  UNIQUE-ID       */
  si_Xmake_special(ECL_SYM("*RESTART-CLUSTERS*",4));
  cl_set(ECL_SYM("*RESTART-CLUSTERS*",4),ECL_NIL);
  si_Xmake_special(VV[1]);
  cl_set(VV[1],ECL_NIL);
  (void)0; /* No entry created for COMPUTE-RESTARTS */
  ecl_cmp_defun(VV[94]);                          /*  RESTART-PRINT   */
  si_define_structure(15, ECL_SYM("RESTART",720), _ecl_static_0, ECL_NIL, ECL_NIL, VVtemp[1], VVtemp[2], VV[4], ECL_NIL, VV[3], ECL_NIL, VVtemp[3], ecl_make_fixnum(5), ECL_NIL, ECL_NIL, VV[5]);
  VV[6]= cl_find_class(1, ECL_SYM("RESTART",720));
  ecl_cmp_defun(VV[95]);                          /*  MAKE-RESTART    */
  (void)0; /* No entry created for RESTART-REPORT */
  (void)0; /* No entry created for BIND-SIMPLE-RESTARTS */
  (void)0; /* No entry created for BIND-SIMPLE-HANDLERS */
  ecl_cmp_defmacro(VV[102]);                      /*  RESTART-BIND    */
  (void)0; /* No entry created for FIND-RESTART */
  (void)0; /* No entry created for FIND-RESTART-NEVER-FAIL */
  (void)0; /* No entry created for INVOKE-RESTART */
  (void)0; /* No entry created for INVOKE-RESTART-INTERACTIVELY */
  ecl_cmp_defmacro(VV[105]);                      /*  RESTART-CASE    */
  ecl_cmp_defmacro(VV[109]);                      /*  WITH-SIMPLE-RESTART */
  ecl_cmp_defmacro(VV[110]);                      /*  WITH-CONDITION-RESTARTS */
  clos_load_defclass(ECL_SYM("CONDITION",248), ECL_NIL, VVtemp[4], ECL_NIL);
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC19__g103,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, ECL_SYM("PRINT-OBJECT",961), ECL_NIL, VVtemp[5], VVtemp[6], T0);
 }
  ecl_cmp_defmacro(VV[111]);                      /*  DEFINE-CONDITION */
  (void)0; /* No entry created for FIND-SUBCLASSES-OF-TYPE */
  (void)0; /* No entry created for MAKE-CONDITION */
  si_Xmake_special(ECL_SYM("*HANDLER-CLUSTERS*",5));
  cl_set(ECL_SYM("*HANDLER-CLUSTERS*",5),ECL_NIL);
  ecl_cmp_defmacro(VV[112]);                      /*  HANDLER-BIND    */
  ecl_cmp_defun(VV[113]);                         /*  SIGNAL          */
  ecl_cmp_defun(VV[114]);                         /*  COERCE-TO-CONDITION */
  ecl_cmp_defun(VV[115]);                         /*  BREAK           */
  ecl_cmp_defun(VV[116]);                         /*  WARN            */
  clos_load_defclass(ECL_SYM("WARNING",904), VV[32], ECL_NIL, ECL_NIL);
  clos_load_defclass(ECL_SYM("SERIOUS-CONDITION",742), VV[32], ECL_NIL, ECL_NIL);
  clos_load_defclass(ECL_SYM("ERROR",337), VVtemp[7], ECL_NIL, ECL_NIL);
 {
  cl_object T0, T1, T2;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC34__g181,ECL_NIL,Cblock,0);
   T0 = v1;
  }
  T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[8]);
  T2 = cl_list(3, T1, VVtemp[9], VVtemp[10]);
  clos_load_defclass(ECL_SYM("SIMPLE-CONDITION",767), VV[32], T2, ECL_NIL);
 }
  clos_load_defclass(ECL_SYM("SIMPLE-WARNING",776), VVtemp[11], ECL_NIL, ECL_NIL);
  clos_load_defclass(ECL_SYM("STYLE-WARNING",827), VVtemp[12], ECL_NIL, ECL_NIL);
  clos_load_defclass(VV[51], VVtemp[13], ECL_NIL, ECL_NIL);
  clos_load_defclass(ECL_SYM("SIMPLE-ERROR",770), VVtemp[14], ECL_NIL, ECL_NIL);
  clos_load_defclass(ECL_SYM("STORAGE-CONDITION",797), VVtemp[7], ECL_NIL, ECL_NIL);
  clos_load_defclass(ECL_SYM("SEGMENTATION-VIOLATION",1696), VVtemp[15], VVtemp[16], ECL_NIL);
 {
  cl_object T0, T1, T2;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC36__g183,ECL_NIL,Cblock,0);
   T0 = v1;
  }
  T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[17]);
  T2 = cl_list(3, T1, VVtemp[18], VVtemp[19]);
  clos_load_defclass(ECL_SYM("STACK-OVERFLOW",1684), VVtemp[15], T2, ECL_NIL);
 }
  clos_load_defclass(ECL_SYM("STORAGE-EXHAUSTED",1683), VVtemp[15], VVtemp[20], ECL_NIL);
  clos_load_defclass(ECL_SYM("ILLEGAL-INSTRUCTION",1692), VVtemp[7], VVtemp[21], ECL_NIL);
 {
  cl_object T0, T1, T2;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC38__g185,ECL_NIL,Cblock,0);
   T0 = v1;
  }
  T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[22]);
  T2 = cl_list(2, T1, VVtemp[23]);
  clos_load_defclass(ECL_SYM("UNIX-SIGNAL-RECEIVED",1826), VV[32], T2, ECL_NIL);
 }
 {
  cl_object T0, T1, T2;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC40__g187,ECL_NIL,Cblock,0);
   T0 = v1;
  }
  T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[25]);
  T2 = cl_list(3, T1, VVtemp[26], VVtemp[27]);
  clos_load_defclass(ECL_SYM("TYPE-ERROR",870), VVtemp[24], T2, ECL_NIL);
 }
  clos_load_defclass(ECL_SYM("SIMPLE-TYPE-ERROR",773), VVtemp[28], ECL_NIL, ECL_NIL);
 {
  cl_object T0, T1, T2;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC42__g189,ECL_NIL,Cblock,0);
   T0 = v1;
  }
  T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[30]);
  T2 = cl_list(3, T1, VVtemp[31], VVtemp[32]);
  clos_load_defclass(VV[56], VVtemp[29], T2, ECL_NIL);
 }
  clos_load_defclass(ECL_SYM("PROGRAM-ERROR",672), VVtemp[24], ECL_NIL, ECL_NIL);
  clos_load_defclass(ECL_SYM("CONTROL-ERROR",255), VVtemp[24], ECL_NIL, ECL_NIL);
  clos_load_defclass(ECL_SYM("STREAM-ERROR",801), VVtemp[24], VVtemp[33], ECL_NIL);
 {
  cl_object T0, T1, T2;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC44__g191,ECL_NIL,Cblock,0);
   T0 = v1;
  }
  T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[35]);
  T2 = ecl_list1(T1);
  clos_load_defclass(ECL_SYM("END-OF-FILE",329), VVtemp[34], T2, ECL_NIL);
 }
 {
  cl_object T0, T1, T2;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC46__g193,ECL_NIL,Cblock,0);
   T0 = v1;
  }
  T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[36]);
  T2 = cl_list(2, T1, VVtemp[37]);
  clos_load_defclass(ECL_SYM("FILE-ERROR",353), VVtemp[24], T2, ECL_NIL);
 }
  clos_load_defclass(ECL_SYM("PACKAGE-ERROR",618), VVtemp[24], VVtemp[38], ECL_NIL);
  clos_load_defclass(ECL_SYM("CELL-ERROR",200), VVtemp[24], VVtemp[39], ECL_NIL);
 {
  cl_object T0, T1, T2;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC48__g195,ECL_NIL,Cblock,0);
   T0 = v1;
  }
  T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[41]);
  T2 = ecl_list1(T1);
  clos_load_defclass(ECL_SYM("UNBOUND-VARIABLE",878), VVtemp[40], T2, ECL_NIL);
 }
 {
  cl_object T0, T1, T2;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC50__g197,ECL_NIL,Cblock,0);
   T0 = v1;
  }
  T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[42]);
  T2 = cl_list(2, T1, VVtemp[43]);
  clos_load_defclass(ECL_SYM("UNBOUND-SLOT",876), VVtemp[40], T2, ECL_NIL);
 }
 {
  cl_object T0, T1, T2;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC52__g199,ECL_NIL,Cblock,0);
   T0 = v1;
  }
  T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[44]);
  T2 = ecl_list1(T1);
  clos_load_defclass(ECL_SYM("UNDEFINED-FUNCTION",879), VVtemp[40], T2, ECL_NIL);
 }
  clos_load_defclass(ECL_SYM("ARITHMETIC-ERROR",93), VVtemp[24], VVtemp[45], ECL_NIL);
  clos_load_defclass(ECL_SYM("DIVISION-BY-ZERO",306), VVtemp[46], ECL_NIL, ECL_NIL);
  clos_load_defclass(ECL_SYM("FLOATING-POINT-OVERFLOW",381), VVtemp[46], ECL_NIL, ECL_NIL);
  clos_load_defclass(ECL_SYM("FLOATING-POINT-UNDERFLOW",382), VVtemp[46], ECL_NIL, ECL_NIL);
  clos_load_defclass(ECL_SYM("FLOATING-POINT-INEXACT",379), VVtemp[46], ECL_NIL, ECL_NIL);
  clos_load_defclass(ECL_SYM("FLOATING-POINT-INVALID-OPERATION",380), VVtemp[46], ECL_NIL, ECL_NIL);
  clos_load_defclass(VV[63], VVtemp[47], VVtemp[48], ECL_NIL);
 {
  cl_object T0, T1, T2;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC54__g201,ECL_NIL,Cblock,0);
   T0 = v1;
  }
  T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[49]);
  T2 = cl_list(2, T1, VVtemp[50]);
  clos_load_defclass(ECL_SYM("PRINT-NOT-READABLE",663), VVtemp[24], T2, ECL_NIL);
 }
  clos_load_defclass(ECL_SYM("PARSE-ERROR",627), VVtemp[24], ECL_NIL, ECL_NIL);
  clos_load_defclass(ECL_SYM("READER-ERROR",699), VVtemp[51], ECL_NIL, ECL_NIL);
 {
  cl_object T0, T1, T2, T3, T4, T5, T6;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC56__g203,ECL_NIL,Cblock,0);
   T0 = v1;
  }
  T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[53]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC57__g205,ECL_NIL,Cblock,0);
   T2 = v1;
  }
  T3 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T2, VVtemp[56]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC58__g206,ECL_NIL,Cblock,0);
   T4 = v1;
  }
  T5 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T4, VVtemp[57]);
  T6 = cl_list(6, T1, VVtemp[54], VVtemp[55], T3, T5, VVtemp[58]);
  clos_load_defclass(ECL_SYM("FORMAT-ERROR",1075), VVtemp[52], T6, ECL_NIL);
 }
  clos_load_defclass(ECL_SYM("INTERACTIVE-INTERRUPT",1682), VVtemp[7], VVtemp[59], ECL_NIL);
  (void)0; /* No entry created for SIGNAL-SIMPLE-ERROR */
  ecl_cmp_defmacro(VV[122]);                      /*  HANDLER-CASE    */
  ecl_cmp_defmacro(VV[123]);                      /*  IGNORE-ERRORS   */
  (void)0; /* No entry created for ABORT */
  (void)0; /* No entry created for CONTINUE */
  (void)0; /* No entry created for MUFFLE-WARNING */
  (void)0; /* No entry created for STORE-VALUE */
  (void)0; /* No entry created for USE-VALUE */
  (void)0; /* No entry created for ASSERT-REPORT */
  (void)0; /* No entry created for ASSERT-PROMPT */
  (void)0; /* No entry created for ASSERT-FAILURE */
  ecl_cmp_defun(VV[124]);                         /*  UNIVERSAL-ERROR-HANDLER */
  ecl_cmp_defun(VV[125]);                         /*  STACK-ERROR-HANDLER */
  ecl_cmp_defun(VV[126]);                         /*  TPL-CONTINUE-COMMAND */
}
