/*      Compiler: ECL 16.1.3                                          */
/*      Source: SRC:CMP;CMPMAIN.LSP                                   */
#include <ecl/ecl-cmp.h>
#include "cmp/cmpmain.eclh"
/*      function definition for SAFE-MKSTEMP                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1safe_mkstemp(cl_object v1template)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2base;
   v2base = si_mkstemp(v1template);
   if (Null(v2base)) { goto L2; }
   {
    cl_object v3output;
    T0 = cl_pathname_name(1, v2base);
    value0 = cl_pathname_type(1, v2base);
    if ((value0)!=ECL_NIL) { goto L7; }
    T1 = VV[0];
    goto L5;
L7:;
    T1 = value0;
    goto L5;
L5:;
    T2 = cl_concatenate(3, ECL_SYM("STRING",805), T0, T1);
    v3output = cl_make_pathname(6, ECL_SYM("NAME",1285), T2, ECL_SYM("TYPE",1330), VV[1], ECL_SYM("DEFAULTS",1226), v2base);
    if ((cl_probe_file(v3output))!=ECL_NIL) { goto L9; }
    if (Null(si_copy_file(v2base, v3output))) { goto L9; }
    T0 = cl_truename(v3output);
    T1 = cl_truename(v2base);
    v2base = cl_list(2, T0, T1);
    goto L2;
L9:;
    cl_delete_file(v2base);
    v2base = ECL_NIL;
   }
L2:;
   if ((v2base)!=ECL_NIL) { goto L15; }
   cl_error(2, VV[2], v1template);
L15:;
   value0 = v2base;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for COMPILE-FILE-PATHNAME                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2compile_file_pathname(cl_narg narg, cl_object v1name, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2output_file;
  cl_object v3type;
  cl_object v4type_supplied_p;
  cl_object v5verbose;
  cl_object v6print;
  cl_object v7c_file;
  cl_object v8h_file;
  cl_object v9data_file;
  cl_object v10system_p;
  cl_object v11load;
  cl_object v12external_format;
  cl_object v13source_truename;
  cl_object v14source_offset;
  ecl_va_list args; ecl_va_start(args,v1name,narg,1);
  {
   cl_object keyvars[24];
   cl_parse_key(args,12,L2compile_file_pathnamekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[12])) {
    v2output_file = ECL_T;
   } else {
    v2output_file = keyvars[0];
   }
   v3type = keyvars[1];
   v4type_supplied_p = keyvars[13];
   v5verbose = keyvars[2];
   v6print = keyvars[3];
   v7c_file = keyvars[4];
   v8h_file = keyvars[5];
   v9data_file = keyvars[6];
   v10system_p = keyvars[7];
   v11load = keyvars[8];
   v12external_format = keyvars[9];
   v13source_truename = keyvars[10];
   v14source_offset = keyvars[11];
  }
  {
   cl_object v15format;
   cl_object v16extension;
   v15format = ECL_NIL;
   v16extension = ECL_NIL;
   if ((v4type_supplied_p)!=ECL_NIL) { goto L4; }
   if (Null(v10system_p)) { goto L7; }
   v3type = ECL_SYM("OBJECT",1290);
   goto L6;
L7:;
   v3type = VV[4];
L6:;
L4:;
   if (!(ecl_eql(v3type,VV[5]))) { goto L15; }
   goto L12;
   goto L13;
L15:;
   goto L13;
L13:;
   if (!(ecl_eql(v3type,VV[7]))) { goto L10; }
   goto L11;
L12:;
L11:;
   v15format = ecl_symbol_value(VV[9]);
   goto L9;
L10:;
   if (!(ecl_eql(v3type,VV[10]))) { goto L24; }
   goto L21;
   goto L22;
L24:;
   goto L22;
L22:;
   if (!(ecl_eql(v3type,VV[12]))) { goto L28; }
   goto L21;
   goto L26;
L28:;
   goto L26;
L26:;
   if (!(ecl_eql(v3type,VV[14]))) { goto L19; }
   goto L20;
L21:;
L20:;
   v15format = ecl_symbol_value(VV[16]);
   goto L9;
L19:;
   if (!(ecl_eql(v3type,VV[17]))) { goto L32; }
   v16extension = VV[18];
   goto L9;
L32:;
   if (!(ecl_eql(v3type,VV[19]))) { goto L35; }
   v16extension = VV[20];
   goto L9;
L35:;
   if (!(ecl_eql(v3type,VV[21]))) { goto L38; }
   if (Null(ecl_memql(VV[22],ecl_symbol_value(ECL_SYM("*FEATURES*",34))))) { goto L41; }
   v16extension = VV[23];
   goto L40;
L41:;
   v16extension = VV[24];
L40:;
   goto L9;
L38:;
   if (!(ecl_eql(v3type,VV[25]))) { goto L43; }
   v16extension = VV[26];
   goto L9;
L43:;
   if (!(ecl_eql(v3type,ECL_SYM("OBJECT",1290)))) { goto L46; }
   v16extension = ecl_symbol_value(VV[27]);
   goto L9;
L46:;
   if (!(ecl_eql(v3type,VV[28]))) { goto L49; }
   v15format = ecl_symbol_value(VV[29]);
   goto L9;
L49:;
   if (!(ecl_eql(v3type,VV[4]))) { goto L56; }
   goto L53;
   goto L54;
L56:;
   goto L54;
L54:;
   if (!(ecl_eql(v3type,VV[31]))) { goto L9; }
   goto L52;
L53:;
L52:;
   v16extension = VV[33];
L9:;
   if (!(ecl_eql(v2output_file,ECL_T))) { goto L64; }
   goto L60;
   goto L62;
L64:;
   goto L62;
L62:;
   if (!((v2output_file)==(ECL_NIL))) { goto L67; }
   goto L60;
   goto L61;
L67:;
   goto L61;
L61:;
   value0 = v2output_file;
   cl_env_copy->nvalues = 1;
   return value0;
L60:;
   if (Null(v15format)) { goto L69; }
   T0 = cl_pathname_name(1, v1name);
   T1 = cl_format(3, ECL_NIL, v15format, T0);
   value0 = cl_merge_pathnames(2, T1, v1name);
   return value0;
L69:;
   value0 = cl_make_pathname(4, ECL_SYM("TYPE",1330), v16extension, ECL_SYM("DEFAULTS",1226), v1name);
   return value0;
  }
 }
}
/*      function definition for CMP-DELETE-FILE                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3cmp_delete_file(cl_object v1file)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = ecl_make_bool(ecl_symbol_value(VV[37])==ECL_NIL);
   if (Null(v2)) { goto L2; }
   value0 = v2;
   cl_env_copy->nvalues = 1;
   return value0;
L2:;
   {
    cl_object v3;
    v3 = si_getenv(VV[38]);
    if (Null(v3)) { goto L5; }
    value0 = v3;
    cl_env_copy->nvalues = 1;
    return value0;
L5:;
    {
     cl_object v4;
     T0 = cl_probe_file(v1file);
     v4 = ecl_make_bool(T0==ECL_NIL);
     if (Null(v4)) { goto L8; }
     value0 = v4;
     cl_env_copy->nvalues = 1;
     return value0;
L8:;
     if (Null(ecl_symbol_value(VV[39]))) { goto L10; }
     ecl_function_dispatch(cl_env_copy,VV[220])(2, VV[40], v1file) /*  CMPPROGRESS */;
     cl_set(VV[41],CONS(v1file,ecl_symbol_value(VV[41])));
     value0 = ecl_symbol_value(VV[41]);
     cl_env_copy->nvalues = 1;
     return value0;
L10:;
     value0 = cl_delete_file(v1file);
     return value0;
    }
   }
  }
 }
}
/*      local function G22                                            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC4__g22()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v1;
   v1 = ecl_symbol_value(VV[41]);
   {
    cl_object v2;
    v2 = (ECL_SYM("DELETE-FILE",293)->symbol.gfdef);
    {
     cl_object v3;
     cl_object v4;
     v3 = ECL_NIL;
     {
      cl_object v5;
      v5 = v1;
      if (ecl_unlikely(!ECL_LISTP(v5))) FEtype_error_list(v5);
      v4 = v5;
     }
L7:;
     if (!(ecl_endp(v4))) { goto L9; }
     goto L8;
L9:;
     v3 = _ecl_car(v4);
     {
      cl_object v5;
      v5 = _ecl_cdr(v4);
      if (ecl_unlikely(!ECL_LISTP(v5))) FEtype_error_list(v5);
      v4 = v5;
     }
     ecl_function_dispatch(cl_env_copy,v2)(1, v3);
     goto L7;
L8:;
     value0 = v1;
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*      local function FIX-FOR-MINGW                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC5fix_for_mingw(cl_object v1, cl_object v2)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4directory_namestring;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4directory_namestring = v5;
   }
   if (Null(v3)) { goto L8; }
   si_dm_too_many_arguments(v1);
L8:;
   value0 = v4directory_namestring;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for LINKER-CC                             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L6linker_cc(cl_narg narg, cl_object v1o_pathname, cl_object v2object_files, ...)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3type;
  cl_object v4ld_flags;
  ecl_va_list args; ecl_va_start(args,v2object_files,narg,2);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,L6linker_cckeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[2])) {
    v3type = VV[28];
   } else {
    v3type = keyvars[0];
   }
   if (Null(keyvars[3])) {
    v4ld_flags = ecl_function_dispatch(cl_env_copy,VV[223])(1, ecl_symbol_value(VV[44])) /*  SPLIT-PROGRAM-OPTIONS */;
   } else {
    v4ld_flags = keyvars[1];
   }
  }
  T0 = ecl_symbol_value(VV[45]);
  T1 = ecl_function_dispatch(cl_env_copy,VV[226])(1, v1o_pathname) /*  BRIEF-NAMESTRING */;
  T2 = L38ecl_library_directory();
  T3 = cl_concatenate(3, ECL_SYM("STRING",805), VV[47], T2);
  if (Null(ecl_symbol_value(VV[48]))) { goto L5; }
  T4 = ecl_list1(ecl_symbol_value(VV[48]));
  goto L3;
L5:;
  T4 = ECL_NIL;
  goto L3;
L3:;
  T5 = ecl_function_dispatch(cl_env_copy,VV[223])(1, ecl_symbol_value(VV[49])) /*  SPLIT-PROGRAM-OPTIONS */;
  T6 = cl_append(4, v2object_files, T4, T5, v4ld_flags);
  T7 = cl_listX(4, VV[46], T1, T3, T6);
  value0 = ecl_function_dispatch(cl_env_copy,VV[227])(2, T0, T7) /*  SAFE-RUN-PROGRAM */;
  return value0;
 }
}
/*      function definition for LINKER-AR                             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7linker_ar(cl_object v1output_name, cl_object v2o_name, cl_object v3ld_flags)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_namestring(v1output_name);
  T1 = ecl_function_dispatch(cl_env_copy,VV[226])(1, v2o_name) /*  BRIEF-NAMESTRING */;
  T2 = CONS(T1,v3ld_flags);
  value0 = L8static_lib_ar(T0, T2);
  return value0;
 }
}
/*      function definition for STATIC-LIB-AR                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8static_lib_ar(cl_object v1lib, cl_object v2object_files)
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3lib;
   v3lib = ecl_function_dispatch(cl_env_copy,VV[226])(1, v1lib) /*  BRIEF-NAMESTRING */;
   if (Null(cl_probe_file(v3lib))) { goto L2; }
   cl_delete_file(v3lib);
L2:;
   T0 = ecl_symbol_value(VV[52]);
   {
    cl_object v4;
    v4 = ecl_fdefinition(VV[226]);
    {
     cl_object v5;
     cl_object v6;
     v5 = ECL_NIL;
     {
      cl_object v7;
      v7 = v2object_files;
      if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
      v6 = v7;
     }
     {
      cl_object v7;
      cl_object v8;
      v7 = ecl_list1(ECL_NIL);
      v8 = v7;
L13:;
      if (!(ecl_endp(v6))) { goto L15; }
      goto L14;
L15:;
      v5 = _ecl_car(v6);
      {
       cl_object v9;
       v9 = _ecl_cdr(v6);
       if (ecl_unlikely(!ECL_LISTP(v9))) FEtype_error_list(v9);
       v6 = v9;
      }
      {
       cl_object v9;
       v9 = v8;
       if (ecl_unlikely(ECL_ATOM(v9))) FEtype_error_cons(v9);
       T2 = v9;
      }
      T3 = ecl_function_dispatch(cl_env_copy,v4)(1, v5);
      v8 = ecl_list1(T3);
      (ECL_CONS_CDR(T2)=v8,T2);
      goto L13;
L14:;
      T1 = ecl_cdr(v7);
      goto L5;
     }
    }
   }
L5:;
   T2 = cl_listX(3, VV[53], v3lib, T1);
   ecl_function_dispatch(cl_env_copy,VV[227])(2, T0, T2) /*  SAFE-RUN-PROGRAM */;
   T0 = ecl_list1(v3lib);
   value0 = ecl_function_dispatch(cl_env_copy,VV[227])(2, ecl_symbol_value(VV[54]), T0) /*  SAFE-RUN-PROGRAM */;
   return value0;
  }
 }
}
/*      function definition for SHARED-CC                             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L9shared_cc(cl_object v1o_pathname, cl_object v2object_files)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3ld_flags;
   v3ld_flags = ecl_function_dispatch(cl_env_copy,VV[223])(1, ecl_symbol_value(VV[56])) /*  SPLIT-PROGRAM-OPTIONS */;
   value0 = L6linker_cc(6, v1o_pathname, v2object_files, ECL_SYM("TYPE",1330), VV[7], VV[57], v3ld_flags);
   return value0;
  }
 }
}
/*      function definition for BUNDLE-CC                             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10bundle_cc(cl_object v1o_pathname, cl_object v2init_name, cl_object v3object_files)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v4ld_flags;
   v4ld_flags = ecl_function_dispatch(cl_env_copy,VV[223])(1, ecl_symbol_value(VV[59])) /*  SPLIT-PROGRAM-OPTIONS */;
   value0 = L6linker_cc(6, v1o_pathname, v3object_files, ECL_SYM("TYPE",1330), VV[4], VV[57], v4ld_flags);
   return value0;
  }
 }
}
/*      function definition for GUESS-KIND                            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L11guess_kind(cl_object v1pathname)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2record;
   {
    cl_object v3;
    v3 = cl_pathname_type(1, v1pathname);
    {
     cl_object v4;
     v4 = VV[66];
     goto L6;
L5:;
     {
      cl_object v5;
      cl_object v6;
      {
       cl_object v7;
       v7 = v4;
       if (ecl_unlikely(ECL_ATOM(v7))) FEtype_error_cons(v7);
       v5 = v7;
      }
      v6 = ECL_CONS_CAR(v5);
      if (Null(v6)) { goto L8; }
      {
       cl_object v7;
       {
        cl_object v8;
        v8 = v6;
        if (ecl_unlikely(ECL_ATOM(v8))) FEtype_error_cons(v8);
        T0 = v8;
       }
       v7 = ECL_CONS_CAR(T0);
       if (Null(cl_string_equal(2, v3, v7))) { goto L8; }
       v2record = v6;
       goto L1;
      }
     }
L8:;
     v4 = ECL_CONS_CDR(v4);
L6:;
     if (v4==ECL_NIL) { goto L21; }
     goto L5;
L21:;
     v2record = ECL_NIL;
    }
   }
L1:;
   if (Null(v2record)) { goto L23; }
   value0 = ecl_cadr(v2record);
   cl_env_copy->nvalues = 1;
   return value0;
L23:;
   (cl_env_copy->function=(ECL_SYM("WARN",903)->symbol.gfdef))->cfun.entry(2, VV[67], v1pathname) /*  WARN */;
   value0 = ECL_SYM("OBJECT",1290);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for GUESS-LD-FLAGS                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L12guess_ld_flags(cl_narg narg, cl_object v1pathname, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2kind;
  ecl_va_list args; ecl_va_start(args,v1pathname,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L12guess_ld_flagskeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[1])) {
    v2kind = L11guess_kind(v1pathname);
   } else {
    v2kind = keyvars[0];
   }
  }
  if (!(ecl_eql(v2kind,ECL_SYM("OBJECT",1290)))) { goto L7; }
  goto L4;
  goto L5;
L7:;
  goto L5;
L5:;
  if (!(ecl_eql(v2kind,VV[21]))) { goto L2; }
  goto L3;
L4:;
L3:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[226])(1, v1pathname) /*  BRIEF-NAMESTRING */;
  return value0;
L2:;
  if (!(ecl_eql(v2kind,VV[4]))) { goto L15; }
  goto L12;
  goto L13;
L15:;
  goto L13;
L13:;
  if (!(ecl_eql(v2kind,VV[31]))) { goto L10; }
  goto L11;
L12:;
L11:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L10:;
  if (!(ecl_eql(v2kind,VV[10]))) { goto L23; }
  goto L20;
  goto L21;
L23:;
  goto L21;
L21:;
  if (!(ecl_eql(v2kind,VV[14]))) { goto L18; }
  goto L19;
L20:;
L19:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[226])(1, v1pathname) /*  BRIEF-NAMESTRING */;
  return value0;
L18:;
  if (!(ecl_eql(v2kind,VV[5]))) { goto L31; }
  goto L28;
  goto L29;
L31:;
  goto L29;
L29:;
  if (!(ecl_eql(v2kind,VV[7]))) { goto L26; }
  goto L27;
L28:;
L27:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[226])(1, v1pathname) /*  BRIEF-NAMESTRING */;
  return value0;
L26:;
  if (!(ecl_eql(v2kind,VV[28]))) { goto L34; }
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L34:;
  value0 = cl_error(2, VV[73], v2kind);
  return value0;
 }
}
/*      function definition for SYSTEM-LD-FLAG                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L19system_ld_flag(cl_object v1library)
{
 volatile cl_object lex0[2];
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  lex0[0] = v1library;                            /*  LIBRARY         */
TTL:
  {
   cl_object v2system;
   lex0[1] = ECL_NIL;                             /*  ASDF            */
   v2system = ECL_NIL;
   if (Null(lex0[1])) { goto L6; }
   v2system = LC14asdfcall(3, lex0, VV[78], lex0[0], ECL_NIL);
   if (Null(v2system)) { goto L6; }
   value0 = LC17find_archive(lex0, v2system);
   goto L4;
L6:;
   value0 = ECL_NIL;
   goto L4;
L4:;
   if ((value0)!=ECL_NIL) { goto L3; }
   value0 = LC18fallback(lex0);
   return value0;
L3:;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function FALLBACK                                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC18fallback(volatile cl_object *lex0)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_string_downcase(1, lex0[0]);
  T1 = L2compile_file_pathname(3, T0, ECL_SYM("TYPE",1330), VV[12]);
  T2 = cl_merge_pathnames(2, VV[77], T1);
  value0 = cl_translate_logical_pathname(1, T2);
  return value0;
 }
}
/*      local function FIND-ARCHIVE                                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC17find_archive(volatile cl_object *lex0, cl_object v1system)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = LC16existing_system_output(lex0, v1system, VV[12]);
  if ((value0)!=ECL_NIL) { goto L2; }
  value0 = LC16existing_system_output(lex0, v1system, VV[5]);
  return value0;
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function EXISTING-SYSTEM-OUTPUT                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC16existing_system_output(volatile cl_object *lex0, cl_object v1system, cl_object v2type)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3o;
   v3o = LC15system_output(lex0, v1system, v2type);
   if (Null(v3o)) { goto L3; }
   v3o = cl_probe_file(v3o);
   if (Null(v3o)) { goto L3; }
   value0 = cl_namestring(v3o);
   return value0;
L3:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function SYSTEM-OUTPUT                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC15system_output(volatile cl_object *lex0, cl_object v1system, cl_object v2type)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3build;
   T0 = LC13asdfsym(lex0, VV[75]);
   v3build = (cl_env_copy->function=(ECL_SYM("MAKE-INSTANCE",949)->symbol.gfdef))->cfun.entry(3, T0, ECL_SYM("TYPE",1330), v2type) /*  MAKE-INSTANCE */;
   T0 = LC14asdfcall(3, lex0, VV[76], v3build, v1system);
   value0 = ecl_car(T0);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function ASDFCALL                                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC14asdfcall(cl_narg narg, volatile cl_object *lex0, cl_object v1fun, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2rest;
  ecl_va_list args; ecl_va_start(args,v1fun,narg,1);
  v2rest = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = LC13asdfsym(lex0, v1fun);
  value0 = cl_apply(2, T0, v2rest);
  return value0;
 }
}
/*      local function ASDFSYM                                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC13asdfsym(volatile cl_object *lex0, cl_object v1x)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_string(v1x);
  value0 = cl_find_symbol(2, T0, lex0[1]);
  return value0;
 }
}
/*      function definition for BUILDER                               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L20builder(cl_narg narg, cl_object v1target, cl_object v2output_name, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3lisp_files;
  cl_object v4ld_flags;
  cl_object v5init_name;
  cl_object v6main_name;
  cl_object v7prologue_code;
  cl_object v8epilogue_code;
  ecl_va_list args; ecl_va_start(args,v2output_name,narg,2);
  {
   cl_object keyvars[12];
   cl_parse_key(args,6,L20builderkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v3lisp_files = keyvars[0];
   v4ld_flags = keyvars[1];
   v5init_name = keyvars[2];
   v6main_name = keyvars[3];
   if (Null(keyvars[10])) {
    v7prologue_code = VV[0];
   } else {
    v7prologue_code = keyvars[4];
   }
   if (Null(keyvars[11])) {
    if (!((v1target)==(VV[28]))) { goto L3; }
    v8epilogue_code = VV[80];
    goto L2;
L3:;
    v8epilogue_code = ECL_NIL;
L2:;
   } else {
    v8epilogue_code = keyvars[5];
   }
  }
  {
   cl_object v9target;
   cl_object v10output_name;
   cl_object v11init_name;
   cl_object v12wrap_init_name;
   cl_object v13main_name;
   value0 = ecl_symbol_value(VV[81]);
   if ((value0)!=ECL_NIL) { goto L7; }
   T0 = Null(ecl_symbol_value(ECL_SYM("*COMPILE-VERBOSE*",29)))?ECL_T:ECL_NIL;
   goto L5;
L7:;
   T0 = value0;
   goto L5;
L5:;
   ecl_bds_bind(cl_env_copy,VV[81],T0);           /*  *SUPPRESS-COMPILER-MESSAGES* */
   v9target = ecl_function_dispatch(cl_env_copy,VV[242])(1, v1target) /*  NORMALIZE-BUILD-TARGET-NAME */;
   if (ECL_SYMBOLP(v2output_name)) { goto L13; }
   if (!(ECL_STRINGP(v2output_name))) { goto L11; }
   goto L12;
L13:;
L12:;
   v10output_name = L2compile_file_pathname(3, v2output_name, ECL_SYM("TYPE",1330), v9target);
   goto L10;
L11:;
   v10output_name = v2output_name;
L10:;
   value0 = v5init_name;
   if ((value0)!=ECL_NIL) { goto L17; }
   v11init_name = ecl_function_dispatch(cl_env_copy,VV[243])(3, v10output_name, VV[82], v9target) /*  COMPUTE-INIT-NAME */;
   goto L15;
L17:;
   v11init_name = value0;
   goto L15;
L15:;
   v12wrap_init_name = ecl_function_dispatch(cl_env_copy,VV[243])(5, v10output_name, VV[82], v9target, VV[83], ECL_T) /*  COMPUTE-INIT-NAME */;
   value0 = v6main_name;
   if ((value0)!=ECL_NIL) { goto L22; }
   v13main_name = ecl_function_dispatch(cl_env_copy,VV[243])(5, v10output_name, VV[82], v9target, VV[84], VV[85]) /*  COMPUTE-INIT-NAME */;
   goto L20;
L22:;
   v13main_name = value0;
   goto L20;
L20:;
   if (!(v8epilogue_code==ECL_NIL)) { goto L25; }
   v8epilogue_code = VV[0];
   goto L24;
L25:;
   {
    cl_object v14;
    v14 = ecl_make_bool(ECL_STRINGP(v8epilogue_code));
    if (Null(v14)) { goto L29; }
    goto L24;
L29:;
    {
     cl_object v15;
     v15 = ecl_symbol_value(ECL_SYM("+IO-SYNTAX-PROGV-LIST+",1741));
     {
      cl_object v17, v18; cl_index v16;
      v17 = _ecl_car(v15);
      v18 = _ecl_cdr(v15);
      v16 = ecl_progv(cl_env_copy, v17, v18);
      {
       cl_object v19stream;
       v19stream = cl_make_string_output_stream(0);
       ecl_princ(VV[86],v19stream);
       T0 = cl_write_to_string(1, v8epilogue_code);
       ecl_function_dispatch(cl_env_copy,VV[244])(2, T0, v19stream) /*  WT-FILTERED-DATA */;
       ecl_princ(VV[87],v19stream);
       v8epilogue_code = cl_get_output_stream_string(v19stream);
      }
      ecl_bds_unwind(cl_env_copy,v16);
     }
    }
   }
L24:;
   if (!(v7prologue_code==ECL_NIL)) { goto L40; }
   v7prologue_code = VV[0];
   goto L39;
L40:;
   {
    cl_object v14;
    v14 = ecl_make_bool(ECL_STRINGP(v7prologue_code));
    if (Null(v14)) { goto L44; }
    goto L39;
L44:;
    {
     cl_object v15;
     v15 = ecl_symbol_value(ECL_SYM("+IO-SYNTAX-PROGV-LIST+",1741));
     {
      cl_object v17, v18; cl_index v16;
      v17 = _ecl_car(v15);
      v18 = _ecl_cdr(v15);
      v16 = ecl_progv(cl_env_copy, v17, v18);
      {
       cl_object v19stream;
       v19stream = cl_make_string_output_stream(0);
       ecl_princ(VV[86],v19stream);
       T0 = cl_write_to_string(1, v7prologue_code);
       ecl_function_dispatch(cl_env_copy,VV[244])(2, T0, v19stream) /*  WT-FILTERED-DATA */;
       ecl_princ(VV[87],v19stream);
       v7prologue_code = cl_get_output_stream_string(v19stream);
      }
      ecl_bds_unwind(cl_env_copy,v16);
     }
    }
   }
L39:;
   {
    cl_object v14tmp_names;
    cl_object v15tmp_name;
    cl_object v16c_name;
    cl_object v17o_name;
    cl_object v18submodules;
    cl_object v19submodules_data;
    cl_object v20c_file;
    v14tmp_names = L1safe_mkstemp(VV[88]);
    v15tmp_name = ecl_car(v14tmp_names);
    T0 = L2compile_file_pathname(3, v15tmp_name, ECL_SYM("TYPE",1330), VV[21]);
    v16c_name = si_coerce_to_filename(T0);
    T0 = L2compile_file_pathname(3, v15tmp_name, ECL_SYM("TYPE",1330), ECL_SYM("OBJECT",1290));
    v17o_name = si_coerce_to_filename(T0);
    v18submodules = ECL_NIL;
    v19submodules_data = ECL_NIL;
    v20c_file = ECL_NIL;
    {
     cl_object v21;
     v21 = cl_reverse(v3lisp_files);
     goto L65;
L64:;
     {
      cl_object v22item;
      v22item = ecl_car(v21);
      {
       cl_object v23path;
       cl_object v24kind;
       if (!(ECL_SYMBOLP(v22item))) { goto L71; }
       v23path = L19system_ld_flag(v22item);
       goto L70;
L71:;
       if (Null(cl_pathnamep(v22item))) { goto L73; }
       v23path = v22item;
       goto L70;
L73:;
       if (!(ECL_STRINGP(v22item))) { goto L75; }
       v23path = cl_parse_namestring(1, v22item);
       goto L70;
L75:;
       v23path = si_etypecase_error(v22item, VV[89]);
L70:;
       v24kind = L11guess_kind(v23path);
       if (ecl_eql(v9target,VV[10])) { goto L81; }
       T0 = VV[90];
       goto L80;
L81:;
       T0 = ECL_NIL;
L80:;
       T1 = ecl_append(T0,VV[69]);
       if ((ecl_memql(v24kind,T1))!=ECL_NIL) { goto L78; }
       cl_error(4, VV[91], v22item, v24kind, v9target);
L78:;
       {
        cl_object v25init_fn;
        cl_object v26flags;
        v25init_fn = ecl_function_dispatch(cl_env_copy,VV[245])(2, v23path, v24kind) /*  GUESS-INIT-NAME */;
        v26flags = L12guess_ld_flags(1, v23path);
        if (Null(v26flags)) { goto L85; }
        v4ld_flags = CONS(v26flags,v4ld_flags);
L85:;
        if (Null(v25init_fn)) { goto L69; }
        T0 = cl_list(2, v25init_fn, v23path);
        v18submodules = CONS(T0,v18submodules);
       }
      }
L69:;
     }
     v21 = ecl_cdr(v21);
L65:;
     if (Null(v21)) { goto L92; }
     goto L64;
L92:;
    }
    T0 = (ECL_SYM("CONCATENATE",244)->symbol.gfdef);
    v19submodules_data = cl_apply(3, T0, VV[92], v19submodules_data);
    v20c_file = cl_open(5, v16c_name, ECL_SYM("DIRECTION",1228), ECL_SYM("OUTPUT",1294), ECL_SYM("EXTERNAL-FORMAT",1246), ECL_SYM("DEFAULT",1225));
    cl_format(3, v20c_file, ecl_symbol_value(VV[61]), v18submodules);
    {
     cl_object v21init_tag;
     v21init_tag = ecl_function_dispatch(cl_env_copy,VV[246])(3, v11init_name, VV[82], v9target) /*  INIT-NAME-TAG */;
     if (!(ecl_eql(v9target,VV[28]))) { goto L102; }
     cl_format(7, v20c_file, ecl_symbol_value(VV[62]), v11init_name, v21init_tag, VV[0], v18submodules, VV[0]);
     cl_format(5, v20c_file, ecl_symbol_value(VV[64]), v7prologue_code, v11init_name, v8epilogue_code);
     cl_close(1, v20c_file);
     L39compiler_cc(v16c_name, v17o_name);
     T0 = cl_namestring(v17o_name);
     T1 = CONS(T0,v4ld_flags);
     L6linker_cc(2, v10output_name, T1);
     goto L101;
L102:;
     if (!(ecl_eql(v9target,VV[10]))) { goto L108; }
     cl_format(7, v20c_file, ecl_symbol_value(VV[62]), v11init_name, v21init_tag, v7prologue_code, v18submodules, v8epilogue_code);
     cl_format(4, v20c_file, ecl_symbol_value(VV[63]), v12wrap_init_name, v11init_name);
     cl_format(6, v20c_file, ecl_symbol_value(VV[65]), v13main_name, v7prologue_code, v11init_name, v8epilogue_code);
     cl_close(1, v20c_file);
     L39compiler_cc(v16c_name, v17o_name);
     if (Null(cl_probe_file(v10output_name))) { goto L115; }
     cl_delete_file(v10output_name);
L115:;
     L7linker_ar(v10output_name, v17o_name, v4ld_flags);
     goto L101;
L108:;
     if (!(ecl_eql(v9target,VV[5]))) { goto L117; }
     cl_format(7, v20c_file, ecl_symbol_value(VV[62]), v11init_name, v21init_tag, v7prologue_code, v18submodules, v8epilogue_code);
     cl_format(4, v20c_file, ecl_symbol_value(VV[63]), v12wrap_init_name, v11init_name);
     cl_format(6, v20c_file, ecl_symbol_value(VV[65]), v13main_name, v7prologue_code, v11init_name, v8epilogue_code);
     cl_close(1, v20c_file);
     L39compiler_cc(v16c_name, v17o_name);
     T0 = CONS(v17o_name,v4ld_flags);
     L9shared_cc(v10output_name, T0);
     goto L101;
L117:;
     if (!(ecl_eql(v9target,VV[4]))) { goto L124; }
     cl_format(7, v20c_file, ecl_symbol_value(VV[62]), v11init_name, v21init_tag, v7prologue_code, v18submodules, v8epilogue_code);
     cl_close(1, v20c_file);
     L39compiler_cc(v16c_name, v17o_name);
     T0 = CONS(v17o_name,v4ld_flags);
     L10bundle_cc(v10output_name, v11init_name, T0);
     goto L101;
L124:;
     si_ecase_error(v9target, VV[93]);
L101:;
     {
      cl_object v22;
      cl_object v23;
      v22 = ECL_NIL;
      {
       cl_object v24;
       v24 = v14tmp_names;
       if (ecl_unlikely(!ECL_LISTP(v24))) FEtype_error_list(v24);
       v23 = v24;
      }
L134:;
      if (!(ecl_endp(v23))) { goto L136; }
      goto L135;
L136:;
      v22 = _ecl_car(v23);
      {
       cl_object v24;
       v24 = _ecl_cdr(v23);
       if (ecl_unlikely(!ECL_LISTP(v24))) FEtype_error_list(v24);
       v23 = v24;
      }
      ecl_function_dispatch(cl_env_copy,VV[42])(1, v22);
      goto L134;
L135:;
      goto L129;
     }
L129:;
     L3cmp_delete_file(v16c_name);
     L3cmp_delete_file(v17o_name);
     value0 = v10output_name;
     cl_env_copy->nvalues = 1;
     ecl_bds_unwind1(cl_env_copy);
     return value0;
    }
   }
  }
 }
}
/*      function definition for BUILD-FASL                            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L21build_fasl(cl_narg narg, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1args;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1args = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = ecl_fdefinition(VV[94]);
  value0 = cl_apply(3, T0, VV[4], v1args);
  return value0;
 }
}
/*      function definition for BUILD-PROGRAM                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L22build_program(cl_narg narg, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1args;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1args = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = ecl_fdefinition(VV[94]);
  value0 = cl_apply(3, T0, VV[28], v1args);
  return value0;
 }
}
/*      function definition for BUILD-STATIC-LIBRARY                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L23build_static_library(cl_narg narg, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1args;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1args = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = ecl_fdefinition(VV[94]);
  value0 = cl_apply(3, T0, VV[10], v1args);
  return value0;
 }
}
/*      function definition for BUILD-SHARED-LIBRARY                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L24build_shared_library(cl_narg narg, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1args;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1args = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = ecl_fdefinition(VV[94]);
  value0 = cl_apply(3, T0, VV[5], v1args);
  return value0;
 }
}
/*      function definition for COMPILE-FILE                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L27compile_file(volatile cl_narg narg, cl_object volatile v1input_pathname, ...)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7, CLV8, CLV9, CLV10, CLV11, CLV12, CLV13, CLV14, CLV15;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v2args;
  cl_object volatile v3c_file;
  cl_object volatile v4h_file;
  cl_object volatile v5data_file;
  cl_object volatile v6output_file;
  ecl_va_list args; ecl_va_start(args,v1input_pathname,narg,1);
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1input_pathname,env0);      /*  INPUT-PATHNAME  */
  {
   cl_object keyvars[22];
   cl_parse_key(args,11,L27compile_filekeys,keyvars,(cl_object*)&v2args,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[11])) {
    ecl_bds_push(cl_env_copy,ECL_SYM("*COMPILE-VERBOSE*",29)); /*  *COMPILE-VERBOSE* */
   } else {
    ecl_bds_bind(cl_env_copy,ECL_SYM("*COMPILE-VERBOSE*",29),keyvars[0]); /*  *COMPILE-VERBOSE* */
   }
   if (Null(keyvars[12])) {
    ecl_bds_push(cl_env_copy,ECL_SYM("*COMPILE-PRINT*",28)); /*  *COMPILE-PRINT* */
   } else {
    ecl_bds_bind(cl_env_copy,ECL_SYM("*COMPILE-PRINT*",28),keyvars[1]); /*  *COMPILE-PRINT* */
   }
   CLV1 = env0 = CONS(keyvars[2],env0);           /*  SOURCE-TRUENAME */
   if (Null(keyvars[14])) {
    CLV2 = env0 = CONS(ecl_make_fixnum(0),env0);  /*  SOURCE-OFFSET   */
   } else {
    CLV2 = env0 = CONS(keyvars[3],env0);          /*  SOURCE-OFFSET   */
   }
   v3c_file = keyvars[4];
   v4h_file = keyvars[5];
   v5data_file = keyvars[6];
   CLV3 = env0 = CONS(keyvars[7],env0);           /*  SYSTEM-P        */
   CLV4 = env0 = CONS(keyvars[8],env0);           /*  LOAD            */
   if (Null(keyvars[20])) {
    CLV5 = env0 = CONS(ECL_SYM("DEFAULT",1225),env0); /*  EXTERNAL-FORMAT */
   } else {
    CLV5 = env0 = CONS(keyvars[9],env0);          /*  EXTERNAL-FORMAT */
   }
   v6output_file = keyvars[10];
  }
  {
   volatile cl_object v7input_file;
   volatile cl_object env1 = env0;
   ecl_bds_push(cl_env_copy,ECL_SYM("*STANDARD-OUTPUT*",67)); /*  *STANDARD-OUTPUT* */
   ecl_bds_push(cl_env_copy,ECL_SYM("*ERROR-OUTPUT*",33)); /*  *ERROR-OUTPUT* */
   ecl_bds_push(cl_env_copy,VV[99]);              /*  *COMPILER-IN-USE* */
   ecl_bds_push(cl_env_copy,ECL_SYM("*PACKAGE*",43)); /*  *PACKAGE*   */
   ecl_bds_push(cl_env_copy,ECL_SYM("*READTABLE*",65)); /*  *READTABLE* */
   ecl_bds_bind(cl_env_copy,ECL_SYM("*PRINT-PRETTY*",55),ECL_NIL); /*  *PRINT-PRETTY* */
   ecl_bds_bind(cl_env_copy,ECL_SYM("*COMPILE-FILE-PATHNAME*",26),ECL_NIL); /*  *COMPILE-FILE-PATHNAME* */
   ecl_bds_bind(cl_env_copy,ECL_SYM("*COMPILE-FILE-TRUENAME*",27),ECL_NIL); /*  *COMPILE-FILE-TRUENAME* */
   T0 = CONS(ECL_CONS_CAR(CLV1),ecl_make_fixnum(0));
   ecl_bds_bind(cl_env_copy,ECL_SYM("*SOURCE-LOCATION*",1190),T0); /*  *SOURCE-LOCATION* */
   value0 = ecl_symbol_value(VV[81]);
   if ((value0)!=ECL_NIL) { goto L3; }
   T0 = Null(ecl_symbol_value(ECL_SYM("*COMPILE-VERBOSE*",29)))?ECL_T:ECL_NIL;
   goto L1;
L3:;
   T0 = value0;
   goto L1;
L1:;
   ecl_bds_bind(cl_env_copy,VV[81],T0);           /*  *SUPPRESS-COMPILER-MESSAGES* */
   v7input_file = ECL_NIL;
   CLV6 = env1 = CONS(ECL_NIL,env1);              /*  INIT-NAME       */
   T0 = cl_merge_pathnames(1, ECL_CONS_CAR(CLV0));
   cl_set(ECL_SYM("*COMPILE-FILE-PATHNAME*",26),cl_pathname(T0));
   if ((cl_probe_file(ecl_symbol_value(ECL_SYM("*COMPILE-FILE-PATHNAME*",26))))!=ECL_NIL) { goto L8; }
   if (Null(cl_pathname_type(1, ECL_CONS_CAR(CLV0)))) { goto L10; }
   cl_error(3, ECL_SYM("FILE-ERROR",353), ECL_SYM("PATHNAME",1297), ECL_CONS_CAR(CLV0));
   goto L8;
L10:;
   {
    cl_object v8;
    v8 = VV[100];
    goto L15;
L14:;
    {
     cl_object v9ext;
     v9ext = ecl_car(v8);
     cl_set(ECL_SYM("*COMPILE-FILE-PATHNAME*",26),cl_make_pathname(4, ECL_SYM("TYPE",1330), v9ext, ECL_SYM("DEFAULTS",1226), ECL_CONS_CAR(CLV0)));
     if (Null(cl_probe_file(ecl_symbol_value(ECL_SYM("*COMPILE-FILE-PATHNAME*",26))))) { goto L21; }
     goto L8;
L21:;
    }
    v8 = ecl_cdr(v8);
L15:;
    if (Null(v8)) { goto L25; }
    goto L14;
L25:;
    cl_error(3, ECL_SYM("FILE-ERROR",353), ECL_SYM("PATHNAME",1297), ECL_CONS_CAR(CLV0));
   }
L8:;
   v7input_file = cl_truename(ecl_symbol_value(ECL_SYM("*COMPILE-FILE-PATHNAME*",26)));
   cl_set(ECL_SYM("*COMPILE-FILE-TRUENAME*",27),v7input_file);
   if (Null(ECL_CONS_CAR(CLV3))) { goto L31; }
   if (Null(ECL_CONS_CAR(CLV4))) { goto L31; }
   cl_error(1, VV[101]);
L31:;
   T0 = cl_namestring(ECL_CONS_CAR(CLV0));
   ecl_function_dispatch(cl_env_copy,VV[220])(2, VV[102], T0) /*  CMPPROGRESS */;
   {
    volatile cl_object v8compiler_conditions;
    volatile cl_object env2 = env1;
    CLV7 = env2 = CONS(VV[35],env2);              /*  EOF             */
    ecl_bds_push(cl_env_copy,VV[99]);             /*  *COMPILER-IN-USE* */
    ecl_bds_bind(cl_env_copy,VV[103],ECL_NIL);    /*  *LOAD-TIME-VALUES* */
    T0 = (VV[36]->symbol.gfdef);
    T1 = cl_apply(3, T0, v7input_file, v2args);
    CLV8 = env2 = CONS(T1,env2);                  /*  OUTPUT-FILE     */
    CLV9 = env2 = CONS(ECL_NIL,env2);             /*  TRUE-OUTPUT-FILE */
    T0 = (VV[36]->symbol.gfdef);
    T1 = cl_apply(7, T0, ECL_CONS_CAR(CLV8), VV[104], v3c_file, ECL_SYM("TYPE",1330), VV[21], v2args);
    CLV10 = env2 = CONS(T1,env2);                 /*  C-PATHNAME      */
    T0 = (VV[36]->symbol.gfdef);
    T1 = cl_apply(7, T0, ECL_CONS_CAR(CLV8), VV[104], v4h_file, ECL_SYM("TYPE",1330), VV[25], v2args);
    CLV11 = env2 = CONS(T1,env2);                 /*  H-PATHNAME      */
    T0 = (VV[36]->symbol.gfdef);
    T1 = cl_apply(7, T0, ECL_CONS_CAR(CLV8), VV[104], v5data_file, ECL_SYM("TYPE",1330), VV[17], v2args);
    CLV12 = env2 = CONS(T1,env2);                 /*  DATA-PATHNAME   */
    v8compiler_conditions = ECL_NIL;
    if ((v3c_file)!=ECL_NIL) { goto L41; }
    T0 = ecl_list1(ECL_CONS_CAR(CLV10));
    goto L40;
L41:;
    T0 = ECL_NIL;
L40:;
    if ((v4h_file)!=ECL_NIL) { goto L44; }
    T1 = ecl_list1(ECL_CONS_CAR(CLV11));
    goto L43;
L44:;
    T1 = ECL_NIL;
L43:;
    if ((v5data_file)!=ECL_NIL) { goto L47; }
    T2 = ecl_list1(ECL_CONS_CAR(CLV12));
    goto L46;
L47:;
    T2 = ECL_NIL;
L46:;
    T3 = cl_nconc(3, T0, T1, T2);
    CLV13 = env2 = CONS(T3,env2);                 /*  TO-DELETE       */
    ecl_bds_bind(cl_env_copy,VV[105],ECL_NIL);    /*  *COMPILER-CONDITIONS* */
    {
     volatile cl_object env3 = env2;
     CLV14 = env3 = CONS(ECL_NIL,env3);
     {
      volatile cl_object env4 = env3;
      CLV15 = env4 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env4); /*  TAGBODY */
      if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV15))) {
      if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L51;
      ecl_internal_error("GO found an inexistent tag");
      }
      {
       cl_object volatile v9;
       v9 = ecl_make_cclosure_va((cl_objectfn)LC25__g84,env4,Cblock);
       T0 = v9;
      }
      T1 = ecl_function_dispatch(cl_env_copy,VV[263])(4, ECL_SYM("NAME",1285), ECL_SYM("ABORT",77), ECL_SYM("FUNCTION",1251), T0) /*  MAKE-RESTART */;
      T2 = ecl_list1(T1);
      T3 = CONS(T2,ecl_symbol_value(ECL_SYM("*RESTART-CLUSTERS*",4)));
      ecl_bds_bind(cl_env_copy,ECL_SYM("*RESTART-CLUSTERS*",4),T3); /*  *RESTART-CLUSTERS* */
      T0 = ecl_fdefinition(VV[264]);
      T1 = CONS(VV[106],T0);
      T2 = ecl_fdefinition(VV[265]);
      T3 = CONS(ECL_SYM("WARNING",904),T2);
      T4 = ecl_fdefinition(VV[266]);
      T5 = CONS(VV[107],T4);
      T6 = ecl_fdefinition(VV[267]);
      T7 = CONS(VV[108],T6);
      T8 = ecl_fdefinition(VV[267]);
      T9 = CONS(ECL_SYM("SERIOUS-CONDITION",742),T8);
      T10 = cl_list(5, T1, T3, T5, T7, T9);
      T11 = CONS(T10,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
      ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T11); /*  *HANDLER-CLUSTERS* */
      {
       volatile cl_object v9;
       volatile cl_object v10;
       volatile cl_fixnum v11;
       v9 = ecl_symbol_value(ECL_SYM("+LOAD-COMPILE-LOCK+",1440));
       v10 = mp_lock_owner(v9);
       {
        cl_object v12;
        v12 = mp_lock_count(v9);
        {
         bool v13;
         v13 = ECL_FIXNUMP(v12);
         if (ecl_unlikely(!(v13)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),v12);
        }
        v11 = ecl_fixnum(v12);
       }
       {
        struct ecl_stack_frame _ecl_inner_frame_aux;
        volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
        {
         volatile cl_object v12;
         v12 = _ecl_inner_frame;
         {
          volatile cl_object v13;
          v13 = ecl_symbol_value(ECL_SYM("*INTERRUPTS-ENABLED*",1023));
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
          ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1751),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
          {
          volatile bool unwinding = FALSE;
          cl_index v14=ECL_STACK_INDEX(cl_env_copy),v15;
          ecl_frame_ptr next_fr;
          if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
            unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
          } else {
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v13); /*  *INTERRUPTS-ENABLED* */
          mp_get_lock(1, v9);
          {
          volatile cl_object v16;
          volatile cl_object v17;
          volatile cl_object v18;
          volatile cl_object v19;
          volatile cl_object v20;
          v16 = cl_copy_tree(ecl_symbol_value(VV[110]));
          T0 = (ECL_SYM("EQUAL",335)->symbol.gfdef);
          v17 = cl_make_hash_table(4, ECL_SYM("SIZE",1320), ecl_make_fixnum(128), ECL_SYM("TEST",1328), T0);
          value0 = ecl_symbol_value(VV[112]);
          if ((value0)!=ECL_NIL) { goto L76; }
          v18 = ecl_symbol_value(VV[113]);
          goto L74;
L76:;
          v18 = value0;
          goto L74;
L74:;
          v19 = ecl_function_dispatch(cl_env_copy,VV[268])(1, ecl_symbol_value(VV[112])) /*  MAKE-OPTIMIZABLE-CONSTANTS */;
          {
          cl_object v21r;
          v21r = ecl_function_dispatch(cl_env_copy,VV[269])(1, ecl_symbol_value(VV[112])) /*  MACHINE-INLINE-INFORMATION */;
          if (Null(v21r)) { goto L81; }
          v20 = si_copy_hash_table(v21r);
          goto L79;
L81:;
          v20 = ecl_function_dispatch(cl_env_copy,VV[270])(1, ecl_symbol_value(VV[112])) /*  MAKE-INLINE-INFORMATION */;
          }
L79:;
          ecl_bds_bind(cl_env_copy,ECL_SYM("*GENSYM-COUNTER*",35),ecl_make_fixnum(0)); /*  *GENSYM-COUNTER* */
          ecl_bds_bind(cl_env_copy,VV[99],ECL_T); /*  *COMPILER-IN-USE* */
          ecl_bds_bind(cl_env_copy,VV[114],VV[109]); /*  *COMPILER-PHASE* */
          ecl_bds_bind(cl_env_copy,VV[115],ECL_NIL); /*  *CALLBACKS*  */
          ecl_bds_bind(cl_env_copy,VV[110],v16);  /*  *CMP-ENV-ROOT*  */
          ecl_bds_bind(cl_env_copy,VV[116],ECL_NIL); /*  *CMP-ENV*    */
          ecl_bds_bind(cl_env_copy,VV[117],ecl_make_fixnum(0)); /*  *MAX-TEMP* */
          ecl_bds_bind(cl_env_copy,VV[118],ecl_make_fixnum(0)); /*  *TEMP* */
          ecl_bds_bind(cl_env_copy,VV[119],ecl_make_fixnum(0)); /*  *NEXT-CMACRO* */
          ecl_bds_bind(cl_env_copy,VV[120],ecl_make_fixnum(0)); /*  *NEXT-CFUN* */
          ecl_bds_bind(cl_env_copy,VV[121],ecl_make_fixnum(0)); /*  *LAST-LABEL* */
          ecl_bds_bind(cl_env_copy,VV[122],v17);  /*  *LOAD-OBJECTS*  */
          ecl_bds_bind(cl_env_copy,VV[123],ECL_NIL); /*  *SETF-DEFINITIONS* */
          ecl_bds_bind(cl_env_copy,VV[124],ECL_NIL); /*  *MAKE-FORMS* */
          ecl_bds_bind(cl_env_copy,VV[125],ECL_NIL); /*  *STATIC-CONSTANTS* */
          ecl_bds_bind(cl_env_copy,VV[126],ECL_NIL); /*  *PERMANENT-OBJECTS* */
          ecl_bds_bind(cl_env_copy,VV[127],ECL_NIL); /*  *TEMPORARY-OBJECTS* */
          ecl_bds_bind(cl_env_copy,VV[128],ECL_NIL); /*  *LOCAL-FUNS* */
          ecl_bds_bind(cl_env_copy,VV[129],ECL_NIL); /*  *GLOBAL-VARS* */
          ecl_bds_bind(cl_env_copy,VV[130],ECL_NIL); /*  *GLOBAL-FUNS* */
          ecl_bds_bind(cl_env_copy,VV[131],ECL_NIL); /*  *GLOBAL-CFUNS-ARRAY* */
          ecl_bds_bind(cl_env_copy,VV[132],ECL_NIL); /*  *LINKING-CALLS* */
          ecl_bds_bind(cl_env_copy,VV[133],ECL_NIL); /*  *GLOBAL-ENTRIES* */
          ecl_bds_bind(cl_env_copy,VV[134],ECL_NIL); /*  *UNDEFINED-VARS* */
          ecl_bds_bind(cl_env_copy,VV[135],ECL_NIL); /*  *TOP-LEVEL-FORMS* */
          ecl_bds_bind(cl_env_copy,VV[136],ECL_NIL); /*  *COMPILE-TIME-TOO* */
          ecl_bds_bind(cl_env_copy,VV[137],ECL_NIL); /*  *CLINES-STRING-LIST* */
          ecl_bds_bind(cl_env_copy,VV[138],ecl_make_fixnum(0)); /*  *INLINE-BLOCKS* */
          ecl_bds_bind(cl_env_copy,VV[139],VV[111]); /*  *DEFUN-INLINE-HOOK* */
          ecl_bds_bind(cl_env_copy,VV[112],v18);  /*  *MACHINE*       */
          ecl_bds_bind(cl_env_copy,VV[140],v19);  /*  *OPTIMIZABLE-CONSTANTS* */
          ecl_bds_bind(cl_env_copy,VV[141],v20);  /*  *INLINE-INFORMATION* */
          {
          cl_object volatile v21;
          v21 = ecl_make_cclosure_va((cl_objectfn)LC26__g134,env4,Cblock);
          T0 = v21;
          }
          cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,VV[271])(1, T0) /*  DO-COMPILATION-UNIT */;
          ecl_bds_unwind_n(cl_env_copy,33);
          }
            next_fr = NULL;
          }
          ecl_frs_pop(cl_env_copy);
          v15=ecl_stack_push_values(cl_env_copy);
          {
          cl_object v16;
          v16 = ecl_symbol_value(ECL_SYM("*CURRENT-PROCESS*",1411));
          T0 = mp_lock_owner(v9);
          if (!((v16)==(T0))) { goto L84; }
          if (!((v10)==(v16))) { goto L88; }
          T0 = mp_lock_count(v9);
          if (!((ecl_fixnum(T0))>(v11))) { goto L84; }
          goto L86;
L88:;
L86:;
          mp_giveup_lock(v9);
          }
L84:;
          ecl_stack_pop_values(cl_env_copy,v15);
          if (unwinding) ecl_unwind(cl_env_copy,next_fr);
          ECL_STACK_SET_INDEX(cl_env_copy,v14);
          ecl_bds_unwind1(cl_env_copy);
          ecl_bds_unwind1(cl_env_copy);
          }
         }
         ecl_stack_frame_push_values(v12);
         if (Null(ecl_symbol_value(ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L90; }
         si_check_pending_interrupts();
L90:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v12);
        }
        ecl_stack_frame_close(_ecl_inner_frame);
       }
       ecl_frs_pop(cl_env_copy);
       ecl_bds_unwind1(cl_env_copy);
       ecl_bds_unwind1(cl_env_copy);
       goto L50;
      }
L51:;
      ecl_frs_pop(cl_env_copy);
      goto L50;
     }
    }
L50:;
    v8compiler_conditions = ecl_symbol_value(VV[105]);
    ecl_bds_unwind1(cl_env_copy);
    T0 = ECL_CONS_CAR(CLV9);
    value0 = L28compiler_output_values(T0, v8compiler_conditions);
    ecl_bds_unwind_n(cl_env_copy,14);
    return value0;
   }
  }
 }
}
/*      closure G84                                                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC25__g84(cl_narg narg, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7, CLV8, CLV9, CLV10, CLV11, CLV12, CLV13, CLV14, CLV15;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV15 = env0;                                    /*  TAGBODY         */
 CLV14 = _ecl_cdr(CLV15);
 CLV13 = _ecl_cdr(CLV14);
 CLV12 = _ecl_cdr(CLV13);
 CLV11 = _ecl_cdr(CLV12);
 CLV10 = _ecl_cdr(CLV11);
 CLV9 = _ecl_cdr(CLV10);
 CLV8 = _ecl_cdr(CLV9);
 CLV7 = _ecl_cdr(CLV8);
 CLV6 = _ecl_cdr(CLV7);
 CLV5 = _ecl_cdr(CLV6);
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 {
  cl_object v1si__temp;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1si__temp = cl_grab_rest_args(args);
  ecl_va_end(args);
  ECL_CONS_CAR(CLV14) = v1si__temp;
  cl_go(ECL_CONS_CAR(CLV15),ecl_make_fixnum(0));
 }
 }
}
/*      closure G134                                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC26__g134(volatile cl_narg narg, ...)
{
 cl_object T0, T1, T2, T3;
 cl_object volatile CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7, CLV8, CLV9, CLV10, CLV11, CLV12, CLV13, CLV14, CLV15;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile env0 = cl_env_copy->function->cclosure.env;
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV15 = env0;
 CLV14 = _ecl_cdr(CLV15);
 CLV13 = _ecl_cdr(CLV14);                         /*  TO-DELETE       */
 CLV12 = _ecl_cdr(CLV13);
 CLV11 = _ecl_cdr(CLV12);
 CLV10 = _ecl_cdr(CLV11);
 CLV9 = _ecl_cdr(CLV10);
 CLV8 = _ecl_cdr(CLV9);
 CLV7 = _ecl_cdr(CLV8);
 CLV6 = _ecl_cdr(CLV7);
 CLV5 = _ecl_cdr(CLV6);
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  L40print_compiler_info();
  if (Null(cl_probe_file(VV[142]))) { goto L2; }
  cl_load(3, VV[142], ECL_SYM("VERBOSE",1337), ecl_symbol_value(ECL_SYM("*COMPILE-VERBOSE*",29)));
L2:;
  ecl_function_dispatch(cl_env_copy,VV[272])(0)   /*  DATA-INIT       */;
  T0 = cl_open(3, ecl_symbol_value(ECL_SYM("*COMPILE-FILE-PATHNAME*",26)), ECL_SYM("EXTERNAL-FORMAT",1246), ECL_CONS_CAR(CLV5));
  ecl_bds_bind(cl_env_copy,VV[143],T0);           /*  *COMPILER-INPUT* */
  {
   volatile bool unwinding = FALSE;
   cl_index v1=ECL_STACK_INDEX(cl_env_copy),v2;
   ecl_frame_ptr next_fr;
   if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
     unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
   } else {
   {
    struct ecl_stack_frame _ecl_inner_frame_aux;
    volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
    {
     cl_object v3;
     v3 = _ecl_inner_frame;
     if ((ECL_CONS_CAR(CLV1))!=ECL_NIL) { goto L11; }
     {
      cl_object v4;
      v4 = ecl_symbol_value(ECL_SYM("*SOURCE-LOCATION*",1190));
      {
       cl_object v5;
       v5 = ecl_symbol_value(ECL_SYM("*COMPILE-FILE-PATHNAME*",26));
       {
        cl_object v6;
        v6 = v4;
        if (ecl_unlikely(ECL_ATOM(v6))) FEtype_error_cons(v6);
        T0 = v6;
       }
       (ECL_CONS_CAR(T0)=v5,T0);
      }
     }
L11:;
     {
      cl_object v4form;
      ecl_bds_bind(cl_env_copy,VV[144],ecl_make_fixnum(0)); /*  *COMPILE-FILE-POSITION* */
      v4form = si_read_object_or_ignore(ecl_symbol_value(VV[143]), ECL_CONS_CAR(CLV7));
      goto L22;
L21:;
      if (Null(v4form)) { goto L24; }
      {
       cl_object v5;
       v5 = ecl_symbol_value(ECL_SYM("*SOURCE-LOCATION*",1190));
       {
        cl_object v6;
        v6 = ecl_plus(ECL_CONS_CAR(CLV2),ecl_symbol_value(VV[144]));
        {
         cl_object v7;
         v7 = v5;
         if (ecl_unlikely(ECL_ATOM(v7))) FEtype_error_cons(v7);
         T0 = v7;
        }
        (ECL_CONS_CDR(T0)=v6,T0);
       }
      }
      ecl_function_dispatch(cl_env_copy,VV[273])(1, v4form) /*  T1EXPR */;
L24:;
      cl_set(VV[144],cl_file_position(1, ecl_symbol_value(VV[143])));
      v4form = si_read_object_or_ignore(ecl_symbol_value(VV[143]), ECL_CONS_CAR(CLV7));
L22:;
      if ((v4form)==(ECL_CONS_CAR(CLV7))) { goto L37; }
      goto L21;
L37:;
      cl_env_copy->values[0] = ECL_NIL;
      cl_env_copy->nvalues = 1;
      ecl_bds_unwind1(cl_env_copy);
     }
     ecl_stack_frame_push_values(v3);
     if (Null(ecl_symbol_value(VV[143]))) { goto L39; }
     cl_close(1, ecl_symbol_value(VV[143]));
L39:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v3);
    }
    ecl_stack_frame_close(_ecl_inner_frame);
   }
     next_fr = NULL;
   }
   ecl_frs_pop(cl_env_copy);
   v2=ecl_stack_push_values(cl_env_copy);
   if (Null(ecl_symbol_value(VV[143]))) { goto L41; }
   cl_close(3, ecl_symbol_value(VV[143]), ECL_SYM("ABORT",1205), ECL_T);
L41:;
   ecl_stack_pop_values(cl_env_copy,v2);
   if (unwinding) ecl_unwind(cl_env_copy,next_fr);
   ECL_STACK_SET_INDEX(cl_env_copy,v1);
   ecl_bds_unwind1(cl_env_copy);
  }
  ecl_function_dispatch(cl_env_copy,VV[220])(1, VV[145]) /*  CMPPROGRESS */;
  if (Null(ECL_CONS_CAR(CLV3))) { goto L47; }
  T0 = ECL_SYM("OBJECT",1290);
  goto L46;
L47:;
  T0 = VV[4];
L46:;
  ECL_CONS_CAR(CLV6) = ecl_function_dispatch(cl_env_copy,VV[243])(3, ECL_CONS_CAR(CLV8), VV[82], T0) /*  COMPUTE-INIT-NAME */;
  T0 = ECL_CONS_CAR(CLV6);
  T1 = cl_namestring(ECL_CONS_CAR(CLV0));
  L36compiler_pass2(6, ECL_CONS_CAR(CLV10), ECL_CONS_CAR(CLV11), ECL_CONS_CAR(CLV12), T0, VV[146], T1);
  ecl_function_dispatch(cl_env_copy,VV[274])(1, ECL_CONS_CAR(CLV12)) /*  DATA-C-DUMP */;
  {
   cl_object v1o_pathname;
   if (Null(ECL_CONS_CAR(CLV3))) { goto L53; }
   v1o_pathname = ECL_CONS_CAR(CLV8);
   goto L52;
L53:;
   v1o_pathname = L2compile_file_pathname(3, ECL_CONS_CAR(CLV8), ECL_SYM("TYPE",1330), ECL_SYM("OBJECT",1290));
L52:;
   ecl_function_dispatch(cl_env_copy,VV[194])(2, ECL_CONS_CAR(CLV10), v1o_pathname) /*  COMPILER-CC */;
   if ((ECL_CONS_CAR(CLV3))!=ECL_NIL) { goto L51; }
   ECL_CONS_CAR(CLV13) = CONS(v1o_pathname,ECL_CONS_CAR(CLV13));
   T0 = si_coerce_to_filename(ECL_CONS_CAR(CLV8));
   T1 = ECL_CONS_CAR(CLV6);
   T2 = si_coerce_to_filename(v1o_pathname);
   T3 = ecl_list1(T2);
   L10bundle_cc(T0, T1, T3);
  }
L51:;
  ECL_CONS_CAR(CLV9) = cl_probe_file(ECL_CONS_CAR(CLV8));
  if (Null(ECL_CONS_CAR(CLV9))) { goto L60; }
  T0 = cl_namestring(ECL_CONS_CAR(CLV0));
  ecl_function_dispatch(cl_env_copy,VV[220])(2, VV[147], T0) /*  CMPPROGRESS */;
  goto L59;
L60:;
  ecl_function_dispatch(cl_env_copy,VV[275])(1, VV[148]) /*  CMPERR   */;
L59:;
  {
   cl_object v1;
   v1 = ECL_CONS_CAR(CLV13);
   {
    cl_object v2;
    v2 = ecl_fdefinition(VV[42]);
    {
     cl_object v3;
     cl_object v4;
     v3 = ECL_NIL;
     {
      cl_object v5;
      v5 = v1;
      if (ecl_unlikely(!ECL_LISTP(v5))) FEtype_error_list(v5);
      v4 = v5;
     }
L70:;
     if (!(ecl_endp(v4))) { goto L72; }
     goto L71;
L72:;
     v3 = _ecl_car(v4);
     {
      cl_object v5;
      v5 = _ecl_cdr(v4);
      if (ecl_unlikely(!ECL_LISTP(v5))) FEtype_error_list(v5);
      v4 = v5;
     }
     ecl_function_dispatch(cl_env_copy,v2)(1, v3);
     goto L70;
L71:;
     goto L63;
    }
   }
  }
L63:;
  if (Null(ECL_CONS_CAR(CLV4))) { goto L83; }
  if (Null(ECL_CONS_CAR(CLV9))) { goto L83; }
  if ((ECL_CONS_CAR(CLV3))!=ECL_NIL) { goto L83; }
  T0 = ECL_CONS_CAR(CLV9);
  value0 = cl_load(3, T0, ECL_SYM("VERBOSE",1337), ecl_symbol_value(ECL_SYM("*COMPILE-VERBOSE*",29)));
  return value0;
L83:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
 }
}
/*      function definition for COMPILER-OUTPUT-VALUES                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L28compiler_output_values(cl_object v1main_value, cl_object v2conditions)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3i;
   cl_object v4;
   v3i = ECL_NIL;
   {
    cl_object v5;
    v5 = v2conditions;
    if (ecl_unlikely(!ECL_LISTP(v5))) FEtype_error_list(v5);
    v4 = v5;
   }
   {
    cl_object v5warning_p;
    v5warning_p = ECL_NIL;
    {
     cl_object v6failure_p;
     v6failure_p = ECL_NIL;
L7:;
     if (!(ecl_endp(v4))) { goto L9; }
     goto L8;
L9:;
     v3i = _ecl_car(v4);
     {
      cl_object v7;
      v7 = _ecl_cdr(v4);
      if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
      v4 = v7;
     }
     if (Null(si_of_class_p(2, v3i, ECL_SYM("STYLE-WARNING",827)))) { goto L18; }
     v5warning_p = ECL_T;
     goto L17;
L18:;
     if ((si_of_class_p(2, v3i, VV[107]))!=ECL_NIL) { goto L22; }
     if (Null(si_of_class_p(2, v3i, ECL_SYM("WARNING",904)))) { goto L17; }
     goto L21;
L22:;
L21:;
     v5warning_p = ECL_T;
     v6failure_p = ECL_T;
L17:;
     goto L7;
L8:;
     cl_env_copy->nvalues = 3;
     cl_env_copy->values[2] = v6failure_p;
     cl_env_copy->values[1] = v5warning_p;
     cl_env_copy->values[0] = v1main_value;
     return cl_env_copy->values[0];
    }
   }
  }
 }
}
/*      function definition for COMPILE                               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L31compile(volatile cl_narg narg, cl_object volatile v1name, ...)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7, CLV8, CLV9, CLV10, CLV11;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v2supplied_p;
  va_list args; va_start(args,v1name);
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1name,env0);                /*  NAME            */
  {
   int i = 1;
   if (i >= narg) {
    CLV1 = env0 = CONS(ECL_NIL,env0);             /*  DEF             */
    v2supplied_p = ECL_NIL;
   } else {
    i++;
    CLV1 = env0 = CONS(va_arg(args,cl_object),env0); /*  DEF          */
    v2supplied_p = ECL_T;
   }
  }
  va_end(args);
  {
   volatile cl_object env1 = env0;
   CLV2 = env1 = CONS(ECL_NIL,env1);              /*  FORM            */
   value0 = ecl_symbol_value(VV[81]);
   if ((value0)!=ECL_NIL) { goto L3; }
   T0 = Null(ecl_symbol_value(ECL_SYM("*COMPILE-VERBOSE*",29)))?ECL_T:ECL_NIL;
   goto L1;
L3:;
   T0 = value0;
   goto L1;
L1:;
   ecl_bds_bind(cl_env_copy,VV[81],T0);           /*  *SUPPRESS-COMPILER-MESSAGES* */
   ecl_bds_push(cl_env_copy,VV[99]);              /*  *COMPILER-IN-USE* */
   ecl_bds_push(cl_env_copy,ECL_SYM("*STANDARD-OUTPUT*",67)); /*  *STANDARD-OUTPUT* */
   ecl_bds_push(cl_env_copy,ECL_SYM("*ERROR-OUTPUT*",33)); /*  *ERROR-OUTPUT* */
   ecl_bds_push(cl_env_copy,ECL_SYM("*PACKAGE*",43)); /*  *PACKAGE*   */
   ecl_bds_bind(cl_env_copy,ECL_SYM("*COMPILE-PRINT*",28),ECL_NIL); /*  *COMPILE-PRINT* */
   ecl_bds_bind(cl_env_copy,ECL_SYM("*PRINT-PRETTY*",55),ECL_NIL); /*  *PRINT-PRETTY* */
   ecl_bds_bind(cl_env_copy,ECL_SYM("*COMPILER-CONSTANTS*",1017),ECL_T); /*  *COMPILER-CONSTANTS* */
   if (ECL_SYMBOLP(ECL_CONS_CAR(CLV0))) { goto L5; }
   cl_error(2, VV[152], ECL_CONS_CAR(CLV0));
L5:;
   if (Null(v2supplied_p)) { goto L8; }
   if (Null(ECL_CONS_CAR(CLV1))) { goto L8; }
   if (Null(cl_functionp(ECL_CONS_CAR(CLV1)))) { goto L11; }
   if ((cl_function_lambda_expression(ECL_CONS_CAR(CLV1)))!=ECL_NIL) { goto L13; }
   value0 = ECL_CONS_CAR(CLV1);
   cl_env_copy->nvalues = 1;
   ecl_bds_unwind_n(cl_env_copy,8);
   return value0;
L13:;
   ECL_CONS_CAR(CLV1) = cl_function_lambda_expression(ECL_CONS_CAR(CLV1));
L11:;
   if (Null(ECL_CONS_CAR(CLV0))) { goto L17; }
   T0 = cl_list(2, ECL_SYM("QUOTE",679), ECL_CONS_CAR(CLV0));
   T1 = cl_list(2, ECL_SYM("SYMBOL-FUNCTION",841), T0);
   T2 = cl_list(2, ECL_SYM("FUNCTION",396), ECL_CONS_CAR(CLV1));
   ECL_CONS_CAR(CLV2) = cl_list(3, ECL_SYM("SETF",750), T1, T2);
   goto L16;
L17:;
   T0 = cl_list(2, ECL_SYM("FUNCTION",396), ECL_CONS_CAR(CLV1));
   ECL_CONS_CAR(CLV2) = cl_list(3, ECL_SYM("SET",743), VV[153], T0);
L16:;
   goto L7;
L8:;
   if ((cl_fboundp(ECL_CONS_CAR(CLV0)))!=ECL_NIL) { goto L19; }
   cl_error(2, VV[154], ECL_CONS_CAR(CLV0));
   goto L7;
L19:;
   ECL_CONS_CAR(CLV1) = cl_symbol_function(ECL_CONS_CAR(CLV0));
   if (Null(si_of_class_p(2, ECL_CONS_CAR(CLV1), ECL_SYM("STANDARD-GENERIC-FUNCTION",974)))) { goto L21; }
   (cl_env_copy->function=(ECL_SYM("WARN",903)->symbol.gfdef))->cfun.entry(1, VV[155]) /*  WARN */;
   cl_env_copy->nvalues = 3;
   cl_env_copy->values[2] = ECL_NIL;
   cl_env_copy->values[1] = ECL_T;
   cl_env_copy->values[0] = ECL_CONS_CAR(CLV1);
   ecl_bds_unwind_n(cl_env_copy,8);
   return cl_env_copy->values[0];
L21:;
   ECL_CONS_CAR(CLV2) = cl_function_lambda_expression(ECL_CONS_CAR(CLV1));
   if (!(ECL_CONS_CAR(CLV2)==ECL_NIL)) { goto L25; }
   (cl_env_copy->function=(ECL_SYM("WARN",903)->symbol.gfdef))->cfun.entry(2, VV[156], ECL_CONS_CAR(CLV0)) /*  WARN */;
   cl_env_copy->nvalues = 3;
   cl_env_copy->values[2] = ECL_NIL;
   cl_env_copy->values[1] = ECL_T;
   cl_env_copy->values[0] = ECL_CONS_CAR(CLV1);
   ecl_bds_unwind_n(cl_env_copy,8);
   return cl_env_copy->values[0];
L25:;
   T0 = cl_list(2, ECL_SYM("QUOTE",679), ECL_CONS_CAR(CLV0));
   T1 = cl_list(2, ECL_SYM("SYMBOL-FUNCTION",841), T0);
   T2 = cl_list(2, ECL_SYM("FUNCTION",396), ECL_CONS_CAR(CLV2));
   ECL_CONS_CAR(CLV2) = cl_list(3, ECL_SYM("SETF",750), T1, T2);
L7:;
   {
    volatile cl_object v3compiler_conditions;
    volatile cl_object env2 = env1;
    ecl_bds_bind(cl_env_copy,VV[103],ECL_SYM("VALUES",895)); /*  *LOAD-TIME-VALUES* */
    cl_set(VV[151],ecl_plus(ecl_symbol_value(VV[151]),ecl_make_fixnum(1)));
    T0 = ecl_symbol_value(VV[151]);
    T1 = cl_format(3, ECL_NIL, VV[157], T0);
    T2 = L1safe_mkstemp(T1);
    CLV3 = env2 = CONS(T2,env2);                  /*  TMP-NAMES       */
    T0 = ecl_car(ECL_CONS_CAR(CLV3));
    CLV4 = env2 = CONS(T0,env2);                  /*  DATA-PATHNAME   */
    T0 = L2compile_file_pathname(3, ECL_CONS_CAR(CLV4), ECL_SYM("TYPE",1330), VV[21]);
    CLV5 = env2 = CONS(T0,env2);                  /*  C-PATHNAME      */
    T0 = L2compile_file_pathname(3, ECL_CONS_CAR(CLV4), ECL_SYM("TYPE",1330), VV[25]);
    CLV6 = env2 = CONS(T0,env2);                  /*  H-PATHNAME      */
    T0 = L2compile_file_pathname(3, ECL_CONS_CAR(CLV4), ECL_SYM("TYPE",1330), ECL_SYM("OBJECT",1290));
    CLV7 = env2 = CONS(T0,env2);                  /*  O-PATHNAME      */
    T0 = L2compile_file_pathname(1, ECL_CONS_CAR(CLV4));
    CLV8 = env2 = CONS(T0,env2);                  /*  SO-PATHNAME     */
    T0 = ecl_function_dispatch(cl_env_copy,VV[243])(3, ECL_CONS_CAR(CLV8), VV[82], VV[4]) /*  COMPUTE-INIT-NAME */;
    CLV9 = env2 = CONS(T0,env2);                  /*  INIT-NAME       */
    v3compiler_conditions = ECL_NIL;
    ecl_bds_bind(cl_env_copy,VV[105],ECL_NIL);    /*  *COMPILER-CONDITIONS* */
    {
     volatile cl_object env3 = env2;
     CLV10 = env3 = CONS(ECL_NIL,env3);
     {
      volatile cl_object env4 = env3;
      CLV11 = env4 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env4); /*  TAGBODY */
      if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV11))) {
      if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L35;
      ecl_internal_error("GO found an inexistent tag");
      }
      {
       cl_object volatile v4;
       v4 = ecl_make_cclosure_va((cl_objectfn)LC29__g168,env4,Cblock);
       T0 = v4;
      }
      T1 = ecl_function_dispatch(cl_env_copy,VV[263])(4, ECL_SYM("NAME",1285), ECL_SYM("ABORT",77), ECL_SYM("FUNCTION",1251), T0) /*  MAKE-RESTART */;
      T2 = ecl_list1(T1);
      T3 = CONS(T2,ecl_symbol_value(ECL_SYM("*RESTART-CLUSTERS*",4)));
      ecl_bds_bind(cl_env_copy,ECL_SYM("*RESTART-CLUSTERS*",4),T3); /*  *RESTART-CLUSTERS* */
      T0 = ecl_fdefinition(VV[264]);
      T1 = CONS(VV[106],T0);
      T2 = ecl_fdefinition(VV[265]);
      T3 = CONS(ECL_SYM("WARNING",904),T2);
      T4 = ecl_fdefinition(VV[266]);
      T5 = CONS(VV[107],T4);
      T6 = ecl_fdefinition(VV[267]);
      T7 = CONS(VV[108],T6);
      T8 = ecl_fdefinition(VV[267]);
      T9 = CONS(ECL_SYM("SERIOUS-CONDITION",742),T8);
      T10 = cl_list(5, T1, T3, T5, T7, T9);
      T11 = CONS(T10,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
      ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T11); /*  *HANDLER-CLUSTERS* */
      {
       volatile cl_object v4;
       volatile cl_object v5;
       volatile cl_fixnum v6;
       v4 = ecl_symbol_value(ECL_SYM("+LOAD-COMPILE-LOCK+",1440));
       v5 = mp_lock_owner(v4);
       {
        cl_object v7;
        v7 = mp_lock_count(v4);
        {
         bool v8;
         v8 = ECL_FIXNUMP(v7);
         if (ecl_unlikely(!(v8)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),v7);
        }
        v6 = ecl_fixnum(v7);
       }
       {
        struct ecl_stack_frame _ecl_inner_frame_aux;
        volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
        {
         volatile cl_object v7;
         v7 = _ecl_inner_frame;
         {
          volatile cl_object v8;
          v8 = ecl_symbol_value(ECL_SYM("*INTERRUPTS-ENABLED*",1023));
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
          ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1751),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
          {
          volatile bool unwinding = FALSE;
          cl_index v9=ECL_STACK_INDEX(cl_env_copy),v10;
          ecl_frame_ptr next_fr;
          if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
            unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
          } else {
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v8); /*  *INTERRUPTS-ENABLED* */
          mp_get_lock(1, v4);
          {
          cl_object v11;
          cl_object v12;
          cl_object v13;
          cl_object v14;
          cl_object v15;
          v11 = cl_copy_tree(ecl_symbol_value(VV[110]));
          T0 = (ECL_SYM("EQUAL",335)->symbol.gfdef);
          v12 = cl_make_hash_table(4, ECL_SYM("SIZE",1320), ecl_make_fixnum(128), ECL_SYM("TEST",1328), T0);
          value0 = ecl_symbol_value(VV[112]);
          if ((value0)!=ECL_NIL) { goto L60; }
          v13 = ecl_symbol_value(VV[113]);
          goto L58;
L60:;
          v13 = value0;
          goto L58;
L58:;
          v14 = ecl_function_dispatch(cl_env_copy,VV[268])(1, ecl_symbol_value(VV[112])) /*  MAKE-OPTIMIZABLE-CONSTANTS */;
          {
          cl_object v16r;
          v16r = ecl_function_dispatch(cl_env_copy,VV[269])(1, ecl_symbol_value(VV[112])) /*  MACHINE-INLINE-INFORMATION */;
          if (Null(v16r)) { goto L65; }
          v15 = si_copy_hash_table(v16r);
          goto L63;
L65:;
          v15 = ecl_function_dispatch(cl_env_copy,VV[270])(1, ecl_symbol_value(VV[112])) /*  MAKE-INLINE-INFORMATION */;
          }
L63:;
          ecl_bds_bind(cl_env_copy,ECL_SYM("*GENSYM-COUNTER*",35),ecl_make_fixnum(0)); /*  *GENSYM-COUNTER* */
          ecl_bds_bind(cl_env_copy,VV[99],ECL_T); /*  *COMPILER-IN-USE* */
          ecl_bds_bind(cl_env_copy,VV[114],VV[109]); /*  *COMPILER-PHASE* */
          ecl_bds_bind(cl_env_copy,VV[115],ECL_NIL); /*  *CALLBACKS*  */
          ecl_bds_bind(cl_env_copy,VV[110],v11);  /*  *CMP-ENV-ROOT*  */
          ecl_bds_bind(cl_env_copy,VV[116],ECL_NIL); /*  *CMP-ENV*    */
          ecl_bds_bind(cl_env_copy,VV[117],ecl_make_fixnum(0)); /*  *MAX-TEMP* */
          ecl_bds_bind(cl_env_copy,VV[118],ecl_make_fixnum(0)); /*  *TEMP* */
          ecl_bds_bind(cl_env_copy,VV[119],ecl_make_fixnum(0)); /*  *NEXT-CMACRO* */
          ecl_bds_bind(cl_env_copy,VV[120],ecl_make_fixnum(0)); /*  *NEXT-CFUN* */
          ecl_bds_bind(cl_env_copy,VV[121],ecl_make_fixnum(0)); /*  *LAST-LABEL* */
          ecl_bds_bind(cl_env_copy,VV[122],v12);  /*  *LOAD-OBJECTS*  */
          ecl_bds_bind(cl_env_copy,VV[123],ECL_NIL); /*  *SETF-DEFINITIONS* */
          ecl_bds_bind(cl_env_copy,VV[124],ECL_NIL); /*  *MAKE-FORMS* */
          ecl_bds_bind(cl_env_copy,VV[125],ECL_NIL); /*  *STATIC-CONSTANTS* */
          ecl_bds_bind(cl_env_copy,VV[126],ECL_NIL); /*  *PERMANENT-OBJECTS* */
          ecl_bds_bind(cl_env_copy,VV[127],ECL_NIL); /*  *TEMPORARY-OBJECTS* */
          ecl_bds_bind(cl_env_copy,VV[128],ECL_NIL); /*  *LOCAL-FUNS* */
          ecl_bds_bind(cl_env_copy,VV[129],ECL_NIL); /*  *GLOBAL-VARS* */
          ecl_bds_bind(cl_env_copy,VV[130],ECL_NIL); /*  *GLOBAL-FUNS* */
          ecl_bds_bind(cl_env_copy,VV[131],ECL_NIL); /*  *GLOBAL-CFUNS-ARRAY* */
          ecl_bds_bind(cl_env_copy,VV[132],ECL_NIL); /*  *LINKING-CALLS* */
          ecl_bds_bind(cl_env_copy,VV[133],ECL_NIL); /*  *GLOBAL-ENTRIES* */
          ecl_bds_bind(cl_env_copy,VV[134],ECL_NIL); /*  *UNDEFINED-VARS* */
          ecl_bds_bind(cl_env_copy,VV[135],ECL_NIL); /*  *TOP-LEVEL-FORMS* */
          ecl_bds_bind(cl_env_copy,VV[136],ECL_NIL); /*  *COMPILE-TIME-TOO* */
          ecl_bds_bind(cl_env_copy,VV[137],ECL_NIL); /*  *CLINES-STRING-LIST* */
          ecl_bds_bind(cl_env_copy,VV[138],ecl_make_fixnum(0)); /*  *INLINE-BLOCKS* */
          ecl_bds_bind(cl_env_copy,VV[139],VV[111]); /*  *DEFUN-INLINE-HOOK* */
          ecl_bds_bind(cl_env_copy,VV[112],v13);  /*  *MACHINE*       */
          ecl_bds_bind(cl_env_copy,VV[140],v14);  /*  *OPTIMIZABLE-CONSTANTS* */
          ecl_bds_bind(cl_env_copy,VV[141],v15);  /*  *INLINE-INFORMATION* */
          {
          cl_object v16;
          v16 = ecl_make_cclosure_va((cl_objectfn)LC30__g218,env4,Cblock);
          T0 = v16;
          }
          cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,VV[271])(1, T0) /*  DO-COMPILATION-UNIT */;
          ecl_bds_unwind_n(cl_env_copy,33);
          }
            next_fr = NULL;
          }
          ecl_frs_pop(cl_env_copy);
          v10=ecl_stack_push_values(cl_env_copy);
          {
          cl_object v11;
          v11 = ecl_symbol_value(ECL_SYM("*CURRENT-PROCESS*",1411));
          T0 = mp_lock_owner(v4);
          if (!((v11)==(T0))) { goto L68; }
          if (!((v5)==(v11))) { goto L72; }
          T0 = mp_lock_count(v4);
          if (!((ecl_fixnum(T0))>(v6))) { goto L68; }
          goto L70;
L72:;
L70:;
          mp_giveup_lock(v4);
          }
L68:;
          ecl_stack_pop_values(cl_env_copy,v10);
          if (unwinding) ecl_unwind(cl_env_copy,next_fr);
          ECL_STACK_SET_INDEX(cl_env_copy,v9);
          ecl_bds_unwind1(cl_env_copy);
          ecl_bds_unwind1(cl_env_copy);
          }
         }
         ecl_stack_frame_push_values(v7);
         if (Null(ecl_symbol_value(ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L74; }
         si_check_pending_interrupts();
L74:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v7);
        }
        ecl_stack_frame_close(_ecl_inner_frame);
       }
       ecl_frs_pop(cl_env_copy);
       ecl_bds_unwind1(cl_env_copy);
       ecl_bds_unwind1(cl_env_copy);
       goto L34;
      }
L35:;
      ecl_frs_pop(cl_env_copy);
      goto L34;
     }
    }
L34:;
    v3compiler_conditions = ecl_symbol_value(VV[105]);
    ecl_bds_unwind1(cl_env_copy);
    L3cmp_delete_file(ECL_CONS_CAR(CLV5));
    L3cmp_delete_file(ECL_CONS_CAR(CLV6));
    L3cmp_delete_file(ECL_CONS_CAR(CLV8));
    {
     cl_object v4;
     cl_object v5;
     v4 = ECL_NIL;
     {
      cl_object v6;
      v6 = ECL_CONS_CAR(CLV3);
      if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
      v5 = v6;
     }
L86:;
     if (!(ecl_endp(v5))) { goto L88; }
     goto L87;
L88:;
     v4 = _ecl_car(v5);
     {
      cl_object v6;
      v6 = _ecl_cdr(v5);
      if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
      v5 = v6;
     }
     ecl_function_dispatch(cl_env_copy,VV[42])(1, v4);
     goto L86;
L87:;
     goto L81;
    }
L81:;
    {
     cl_object v4output;
     value0 = ECL_CONS_CAR(CLV0);
     if ((value0)!=ECL_NIL) { goto L101; }
     v4output = cl_symbol_value(VV[159]);
     goto L99;
L101:;
     v4output = value0;
     goto L99;
L99:;
     cl_set(VV[159], ECL_NIL);
     si_gc(1, ECL_T);
     value0 = L28compiler_output_values(v4output, v3compiler_conditions);
     ecl_bds_unwind_n(cl_env_copy,9);
     return value0;
    }
   }
  }
 }
}
/*      closure G168                                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC29__g168(cl_narg narg, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7, CLV8, CLV9, CLV10, CLV11;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV11 = env0;                                    /*  TAGBODY         */
 CLV10 = _ecl_cdr(CLV11);
 CLV9 = _ecl_cdr(CLV10);
 CLV8 = _ecl_cdr(CLV9);
 CLV7 = _ecl_cdr(CLV8);
 CLV6 = _ecl_cdr(CLV7);
 CLV5 = _ecl_cdr(CLV6);
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 {
  cl_object v1si__temp;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1si__temp = cl_grab_rest_args(args);
  ecl_va_end(args);
  ECL_CONS_CAR(CLV10) = v1si__temp;
  cl_go(ECL_CONS_CAR(CLV11),ecl_make_fixnum(0));
 }
 }
}
/*      closure G218                                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC30__g218(cl_narg narg, ...)
{
 cl_object T0, T1, T2;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7, CLV8, CLV9, CLV10, CLV11;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV11 = env0;
 CLV10 = _ecl_cdr(CLV11);
 CLV9 = _ecl_cdr(CLV10);                          /*  INIT-NAME       */
 CLV8 = _ecl_cdr(CLV9);
 CLV7 = _ecl_cdr(CLV8);
 CLV6 = _ecl_cdr(CLV7);
 CLV5 = _ecl_cdr(CLV6);
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  L40print_compiler_info();
  ecl_function_dispatch(cl_env_copy,VV[272])(0)   /*  DATA-INIT       */;
  ecl_function_dispatch(cl_env_copy,VV[273])(1, ECL_CONS_CAR(CLV2)) /*  T1EXPR */;
  ecl_function_dispatch(cl_env_copy,VV[220])(1, VV[145]) /*  CMPPROGRESS */;
  ecl_bds_bind(cl_env_copy,ECL_SYM("*PRINT-CIRCLE*",47),ECL_T); /*  *PRINT-CIRCLE* */
  ecl_bds_bind(cl_env_copy,ECL_SYM("*PRINT-LENGTH*",50),ecl_make_fixnum(8)); /*  *PRINT-LENGTH* */
  T0 = cl_format(3, ECL_NIL, VV[158], ECL_CONS_CAR(CLV1));
  ecl_bds_unwind1(cl_env_copy);
  ecl_bds_unwind1(cl_env_copy);
  L36compiler_pass2(6, ECL_CONS_CAR(CLV5), ECL_CONS_CAR(CLV6), ECL_CONS_CAR(CLV4), ECL_CONS_CAR(CLV9), VV[146], T0);
  ecl_function_dispatch(cl_env_copy,VV[274])(1, ECL_CONS_CAR(CLV4)) /*  DATA-C-DUMP */;
  L39compiler_cc(ECL_CONS_CAR(CLV5), ECL_CONS_CAR(CLV7));
  T0 = si_coerce_to_filename(ECL_CONS_CAR(CLV8));
  T1 = si_coerce_to_filename(ECL_CONS_CAR(CLV7));
  T2 = ecl_list1(T1);
  L10bundle_cc(T0, ECL_CONS_CAR(CLV9), T2);
  L3cmp_delete_file(ECL_CONS_CAR(CLV5));
  L3cmp_delete_file(ECL_CONS_CAR(CLV6));
  L3cmp_delete_file(ECL_CONS_CAR(CLV7));
  {
   cl_object v1;
   cl_object v2;
   v1 = ECL_NIL;
   {
    cl_object v3;
    v3 = ECL_CONS_CAR(CLV3);
    if (ecl_unlikely(!ECL_LISTP(v3))) FEtype_error_list(v3);
    v2 = v3;
   }
L18:;
   if (!(ecl_endp(v2))) { goto L20; }
   goto L19;
L20:;
   v1 = _ecl_car(v2);
   {
    cl_object v3;
    v3 = _ecl_cdr(v2);
    if (ecl_unlikely(!ECL_LISTP(v3))) FEtype_error_list(v3);
    v2 = v3;
   }
   ecl_function_dispatch(cl_env_copy,VV[42])(1, v1);
   goto L18;
L19:;
   goto L13;
  }
L13:;
  if (Null(cl_probe_file(ECL_CONS_CAR(CLV8)))) { goto L31; }
  cl_load(3, ECL_CONS_CAR(CLV8), ECL_SYM("VERBOSE",1337), ECL_NIL);
  value0 = L3cmp_delete_file(ECL_CONS_CAR(CLV8));
  return value0;
L31:;
  ECL_CONS_CAR(CLV0) = ECL_NIL;
  cl_set(VV[159], ECL_NIL);
  value0 = ecl_function_dispatch(cl_env_copy,VV[275])(2, VV[160], ECL_CONS_CAR(CLV0)) /*  CMPERR */;
  return value0;
 }
 }
}
/*      function definition for DISASSEMBLE                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L35disassemble(volatile cl_narg narg, cl_object volatile v1thing, ...)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0, CLV1, CLV2, CLV3, CLV4, CLV5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  ecl_va_list args; ecl_va_start(args,v1thing,narg,1);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,L35disassemblekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   env0 = ECL_NIL;
   CLV0 = env0 = CONS(keyvars[0],env0);           /*  H-FILE          */
   CLV1 = env0 = CONS(keyvars[1],env0);           /*  DATA-FILE       */
  }
  {
   volatile cl_object env1 = env0;
   CLV2 = env1 = CONS(ECL_NIL,env1);              /*  DISASSEMBLED-FORM */
   ecl_bds_push(cl_env_copy,VV[99]);              /*  *COMPILER-IN-USE* */
   ecl_bds_bind(cl_env_copy,ECL_SYM("*PRINT-PRETTY*",55),ECL_NIL); /*  *PRINT-PRETTY* */
   if (Null(si_valid_function_name_p(v1thing))) { goto L1; }
   v1thing = cl_fdefinition(v1thing);
L1:;
   {
    cl_object v2;
    v2 = ecl_make_bool(v1thing==ECL_NIL);
    if (Null(v2)) { goto L6; }
    goto L4;
L6:;
    if (Null(cl_functionp(v1thing))) { goto L8; }
    if ((si_bc_disassemble(v1thing))!=ECL_NIL) { goto L4; }
    (cl_env_copy->function=(ECL_SYM("WARN",903)->symbol.gfdef))->cfun.entry(2, VV[162], v1thing) /*  WARN */;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    ecl_bds_unwind1(cl_env_copy);
    ecl_bds_unwind1(cl_env_copy);
    return value0;
L8:;
    if (!(ECL_ATOM(v1thing))) { goto L12; }
    T0 = ecl_list1(v1thing);
    cl_error(9, ECL_SYM("SIMPLE-TYPE-ERROR",773), ECL_SYM("DATUM",1224), v1thing, ECL_SYM("EXPECTED-TYPE",1242), VV[163], ECL_SYM("FORMAT-CONTROL",1250), VV[164], ECL_SYM("FORMAT-ARGUMENTS",1249), T0);
    goto L4;
L12:;
    T0 = ecl_car(v1thing);
    if (!((T0)==(ECL_SYM("LAMBDA",452)))) { goto L14; }
    T0 = ecl_cdr(v1thing);
    ECL_CONS_CAR(CLV2) = cl_listX(3, ECL_SYM("DEFUN",289), VV[159], T0);
    goto L4;
L14:;
    T0 = ecl_car(v1thing);
    if (!((T0)==(ECL_SYM("LAMBDA-BLOCK",1351)))) { goto L17; }
    T0 = ecl_cdr(v1thing);
    ECL_CONS_CAR(CLV2) = CONS(ECL_SYM("DEFUN",289),T0);
    goto L4;
L17:;
    T0 = ecl_list1(v1thing);
    cl_error(9, ECL_SYM("SIMPLE-TYPE-ERROR",773), ECL_SYM("DATUM",1224), v1thing, ECL_SYM("EXPECTED-TYPE",1242), VV[163], ECL_SYM("FORMAT-CONTROL",1250), VV[164], ECL_SYM("FORMAT-ARGUMENTS",1249), T0);
   }
L4:;
   {
    volatile cl_object v2null_stream;
    volatile cl_object v3compiler_conditions;
    volatile cl_object env2 = env1;
    v2null_stream = cl_make_broadcast_stream(0);
    ecl_bds_bind(cl_env_copy,VV[165],v2null_stream); /*  *COMPILER-OUTPUT1* */
    if (Null(ECL_CONS_CAR(CLV0))) { goto L23; }
    T0 = cl_open(5, ECL_CONS_CAR(CLV0), ECL_SYM("DIRECTION",1228), ECL_SYM("OUTPUT",1294), ECL_SYM("EXTERNAL-FORMAT",1246), ECL_SYM("DEFAULT",1225));
    goto L22;
L23:;
    T0 = v2null_stream;
L22:;
    ecl_bds_bind(cl_env_copy,VV[166],T0);         /*  *COMPILER-OUTPUT2* */
    T0 = cl_symbol_function(VV[167]);
    CLV3 = env2 = CONS(T0,env2);                  /*  T3LOCAL-FUN     */
    v3compiler_conditions = ECL_NIL;
    ecl_bds_bind(cl_env_copy,VV[105],ECL_NIL);    /*  *COMPILER-CONDITIONS* */
    {
     volatile cl_object env3 = env2;
     CLV4 = env3 = CONS(ECL_NIL,env3);
     {
      volatile cl_object env4 = env3;
      CLV5 = env4 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env4); /*  TAGBODY */
      if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV5))) {
      if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L27;
      ecl_internal_error("GO found an inexistent tag");
      }
      {
       cl_object volatile v4;
       v4 = ecl_make_cclosure_va((cl_objectfn)LC32__g239,env4,Cblock);
       T0 = v4;
      }
      T1 = ecl_function_dispatch(cl_env_copy,VV[263])(4, ECL_SYM("NAME",1285), ECL_SYM("ABORT",77), ECL_SYM("FUNCTION",1251), T0) /*  MAKE-RESTART */;
      T2 = ecl_list1(T1);
      T3 = CONS(T2,ecl_symbol_value(ECL_SYM("*RESTART-CLUSTERS*",4)));
      ecl_bds_bind(cl_env_copy,ECL_SYM("*RESTART-CLUSTERS*",4),T3); /*  *RESTART-CLUSTERS* */
      T0 = ecl_fdefinition(VV[264]);
      T1 = CONS(VV[106],T0);
      T2 = ecl_fdefinition(VV[265]);
      T3 = CONS(ECL_SYM("WARNING",904),T2);
      T4 = ecl_fdefinition(VV[266]);
      T5 = CONS(VV[107],T4);
      T6 = ecl_fdefinition(VV[267]);
      T7 = CONS(VV[108],T6);
      T8 = ecl_fdefinition(VV[267]);
      T9 = CONS(ECL_SYM("SERIOUS-CONDITION",742),T8);
      T10 = cl_list(5, T1, T3, T5, T7, T9);
      T11 = CONS(T10,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
      ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T11); /*  *HANDLER-CLUSTERS* */
      {
       volatile cl_object v4;
       volatile cl_object v5;
       volatile cl_fixnum v6;
       v4 = ecl_symbol_value(ECL_SYM("+LOAD-COMPILE-LOCK+",1440));
       v5 = mp_lock_owner(v4);
       {
        cl_object v7;
        v7 = mp_lock_count(v4);
        {
         bool v8;
         v8 = ECL_FIXNUMP(v7);
         if (ecl_unlikely(!(v8)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),v7);
        }
        v6 = ecl_fixnum(v7);
       }
       {
        struct ecl_stack_frame _ecl_inner_frame_aux;
        volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
        {
         volatile cl_object v7;
         v7 = _ecl_inner_frame;
         {
          volatile cl_object v8;
          v8 = ecl_symbol_value(ECL_SYM("*INTERRUPTS-ENABLED*",1023));
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
          ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1751),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
          {
          volatile bool unwinding = FALSE;
          cl_index v9=ECL_STACK_INDEX(cl_env_copy),v10;
          ecl_frame_ptr next_fr;
          if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
            unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
          } else {
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v8); /*  *INTERRUPTS-ENABLED* */
          mp_get_lock(1, v4);
          {
          volatile cl_object v11;
          volatile cl_object v12;
          volatile cl_object v13;
          volatile cl_object v14;
          volatile cl_object v15;
          v11 = cl_copy_tree(ecl_symbol_value(VV[110]));
          T0 = (ECL_SYM("EQUAL",335)->symbol.gfdef);
          v12 = cl_make_hash_table(4, ECL_SYM("SIZE",1320), ecl_make_fixnum(128), ECL_SYM("TEST",1328), T0);
          value0 = ecl_symbol_value(VV[112]);
          if ((value0)!=ECL_NIL) { goto L52; }
          v13 = ecl_symbol_value(VV[113]);
          goto L50;
L52:;
          v13 = value0;
          goto L50;
L50:;
          v14 = ecl_function_dispatch(cl_env_copy,VV[268])(1, ecl_symbol_value(VV[112])) /*  MAKE-OPTIMIZABLE-CONSTANTS */;
          {
          cl_object v16r;
          v16r = ecl_function_dispatch(cl_env_copy,VV[269])(1, ecl_symbol_value(VV[112])) /*  MACHINE-INLINE-INFORMATION */;
          if (Null(v16r)) { goto L57; }
          v15 = si_copy_hash_table(v16r);
          goto L55;
L57:;
          v15 = ecl_function_dispatch(cl_env_copy,VV[270])(1, ecl_symbol_value(VV[112])) /*  MAKE-INLINE-INFORMATION */;
          }
L55:;
          ecl_bds_bind(cl_env_copy,ECL_SYM("*GENSYM-COUNTER*",35),ecl_make_fixnum(0)); /*  *GENSYM-COUNTER* */
          ecl_bds_bind(cl_env_copy,VV[99],ECL_T); /*  *COMPILER-IN-USE* */
          ecl_bds_bind(cl_env_copy,VV[114],VV[109]); /*  *COMPILER-PHASE* */
          ecl_bds_bind(cl_env_copy,VV[115],ECL_NIL); /*  *CALLBACKS*  */
          ecl_bds_bind(cl_env_copy,VV[110],v11);  /*  *CMP-ENV-ROOT*  */
          ecl_bds_bind(cl_env_copy,VV[116],ECL_NIL); /*  *CMP-ENV*    */
          ecl_bds_bind(cl_env_copy,VV[117],ecl_make_fixnum(0)); /*  *MAX-TEMP* */
          ecl_bds_bind(cl_env_copy,VV[118],ecl_make_fixnum(0)); /*  *TEMP* */
          ecl_bds_bind(cl_env_copy,VV[119],ecl_make_fixnum(0)); /*  *NEXT-CMACRO* */
          ecl_bds_bind(cl_env_copy,VV[120],ecl_make_fixnum(0)); /*  *NEXT-CFUN* */
          ecl_bds_bind(cl_env_copy,VV[121],ecl_make_fixnum(0)); /*  *LAST-LABEL* */
          ecl_bds_bind(cl_env_copy,VV[122],v12);  /*  *LOAD-OBJECTS*  */
          ecl_bds_bind(cl_env_copy,VV[123],ECL_NIL); /*  *SETF-DEFINITIONS* */
          ecl_bds_bind(cl_env_copy,VV[124],ECL_NIL); /*  *MAKE-FORMS* */
          ecl_bds_bind(cl_env_copy,VV[125],ECL_NIL); /*  *STATIC-CONSTANTS* */
          ecl_bds_bind(cl_env_copy,VV[126],ECL_NIL); /*  *PERMANENT-OBJECTS* */
          ecl_bds_bind(cl_env_copy,VV[127],ECL_NIL); /*  *TEMPORARY-OBJECTS* */
          ecl_bds_bind(cl_env_copy,VV[128],ECL_NIL); /*  *LOCAL-FUNS* */
          ecl_bds_bind(cl_env_copy,VV[129],ECL_NIL); /*  *GLOBAL-VARS* */
          ecl_bds_bind(cl_env_copy,VV[130],ECL_NIL); /*  *GLOBAL-FUNS* */
          ecl_bds_bind(cl_env_copy,VV[131],ECL_NIL); /*  *GLOBAL-CFUNS-ARRAY* */
          ecl_bds_bind(cl_env_copy,VV[132],ECL_NIL); /*  *LINKING-CALLS* */
          ecl_bds_bind(cl_env_copy,VV[133],ECL_NIL); /*  *GLOBAL-ENTRIES* */
          ecl_bds_bind(cl_env_copy,VV[134],ECL_NIL); /*  *UNDEFINED-VARS* */
          ecl_bds_bind(cl_env_copy,VV[135],ECL_NIL); /*  *TOP-LEVEL-FORMS* */
          ecl_bds_bind(cl_env_copy,VV[136],ECL_NIL); /*  *COMPILE-TIME-TOO* */
          ecl_bds_bind(cl_env_copy,VV[137],ECL_NIL); /*  *CLINES-STRING-LIST* */
          ecl_bds_bind(cl_env_copy,VV[138],ecl_make_fixnum(0)); /*  *INLINE-BLOCKS* */
          ecl_bds_bind(cl_env_copy,VV[139],VV[111]); /*  *DEFUN-INLINE-HOOK* */
          ecl_bds_bind(cl_env_copy,VV[112],v13);  /*  *MACHINE*       */
          ecl_bds_bind(cl_env_copy,VV[140],v14);  /*  *OPTIMIZABLE-CONSTANTS* */
          ecl_bds_bind(cl_env_copy,VV[141],v15);  /*  *INLINE-INFORMATION* */
          {
          cl_object volatile v16;
          v16 = ecl_make_cclosure_va((cl_objectfn)LC34__g289,env4,Cblock);
          T0 = v16;
          }
          cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,VV[271])(1, T0) /*  DO-COMPILATION-UNIT */;
          ecl_bds_unwind_n(cl_env_copy,33);
          }
            next_fr = NULL;
          }
          ecl_frs_pop(cl_env_copy);
          v10=ecl_stack_push_values(cl_env_copy);
          {
          cl_object v11;
          v11 = ecl_symbol_value(ECL_SYM("*CURRENT-PROCESS*",1411));
          T0 = mp_lock_owner(v4);
          if (!((v11)==(T0))) { goto L60; }
          if (!((v5)==(v11))) { goto L64; }
          T0 = mp_lock_count(v4);
          if (!((ecl_fixnum(T0))>(v6))) { goto L60; }
          goto L62;
L64:;
L62:;
          mp_giveup_lock(v4);
          }
L60:;
          ecl_stack_pop_values(cl_env_copy,v10);
          if (unwinding) ecl_unwind(cl_env_copy,next_fr);
          ECL_STACK_SET_INDEX(cl_env_copy,v9);
          ecl_bds_unwind1(cl_env_copy);
          ecl_bds_unwind1(cl_env_copy);
          }
         }
         ecl_stack_frame_push_values(v7);
         if (Null(ecl_symbol_value(ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L66; }
         si_check_pending_interrupts();
L66:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v7);
        }
        ecl_stack_frame_close(_ecl_inner_frame);
       }
       ecl_frs_pop(cl_env_copy);
       ecl_bds_unwind1(cl_env_copy);
       ecl_bds_unwind1(cl_env_copy);
       goto L26;
      }
L27:;
      ecl_frs_pop(cl_env_copy);
      goto L26;
     }
    }
L26:;
    v3compiler_conditions = ecl_symbol_value(VV[105]);
    ecl_bds_unwind1(cl_env_copy);
    ecl_bds_unwind1(cl_env_copy);
    ecl_bds_unwind1(cl_env_copy);
   }
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   ecl_bds_unwind1(cl_env_copy);
   ecl_bds_unwind1(cl_env_copy);
   return value0;
  }
 }
}
/*      closure G239                                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC32__g239(cl_narg narg, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV5 = env0;                                     /*  TAGBODY         */
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 {
  cl_object v1si__temp;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1si__temp = cl_grab_rest_args(args);
  ecl_va_end(args);
  ECL_CONS_CAR(CLV4) = v1si__temp;
  cl_go(ECL_CONS_CAR(CLV5),ecl_make_fixnum(0));
 }
 }
}
/*      closure G289                                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC34__g289(volatile cl_narg narg, ...)
{
 cl_object T0, T1, T2;
 cl_object volatile CLV0, CLV1, CLV2, CLV3, CLV4, CLV5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile env0 = cl_env_copy->function->cclosure.env;
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV5 = env0;
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);                           /*  T3LOCAL-FUN     */
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  {
   volatile bool unwinding = FALSE;
   cl_index v1=ECL_STACK_INDEX(cl_env_copy),v2;
   ecl_frame_ptr next_fr;
   if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
     unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
   } else {
   {
    cl_object volatile v3;
    v3 = ecl_make_cclosure_va((cl_objectfn)LC33__g292,env0,Cblock);
    T0 = v3;
   }
   si_fset(2, VV[167], T0);
   ecl_function_dispatch(cl_env_copy,VV[272])(0)  /*  DATA-INIT       */;
   ecl_function_dispatch(cl_env_copy,VV[273])(1, ECL_CONS_CAR(CLV2)) /*  T1EXPR */;
   T0 = ecl_function_dispatch(cl_env_copy,VV[243])(3, VV[168], VV[82], VV[4]) /*  COMPUTE-INIT-NAME */;
   if (Null(ECL_CONS_CAR(CLV0))) { goto L8; }
   T1 = ECL_CONS_CAR(CLV0);
   goto L7;
L8:;
   T1 = VV[0];
L7:;
   if (Null(ECL_CONS_CAR(CLV1))) { goto L11; }
   T2 = ECL_CONS_CAR(CLV1);
   goto L10;
L11:;
   T2 = VV[0];
L10:;
   ecl_function_dispatch(cl_env_copy,VV[279])(3, T0, T1, T2) /*  CTOP-WRITE */;
   if (Null(ECL_CONS_CAR(CLV1))) { goto L13; }
   cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,VV[274])(1, ECL_CONS_CAR(CLV1)) /*  DATA-C-DUMP */;
   goto L1;
L13:;
   cl_env_copy->values[0] = ECL_NIL;
   cl_env_copy->nvalues = 1;
L1:;
     next_fr = NULL;
   }
   ecl_frs_pop(cl_env_copy);
   v2=ecl_stack_push_values(cl_env_copy);
   si_fset(2, VV[167], ECL_CONS_CAR(CLV3));
   if (Null(ECL_CONS_CAR(CLV0))) { goto L15; }
   cl_close(1, ecl_symbol_value(VV[166]));
L15:;
   ecl_stack_pop_values(cl_env_copy,v2);
   if (unwinding) ecl_unwind(cl_env_copy,next_fr);
   ECL_STACK_SET_INDEX(cl_env_copy,v1);
   return cl_env_copy->values[0];
  }
 }
 }
}
/*      closure G292                                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC33__g292(cl_narg narg, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV5 = env0;
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);                           /*  T3LOCAL-FUN     */
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 {
  cl_object v1args;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1args = cl_grab_rest_args(args);
  ecl_va_end(args);
  ecl_bds_bind(cl_env_copy,VV[165],ecl_symbol_value(ECL_SYM("*STANDARD-OUTPUT*",67))); /*  *COMPILER-OUTPUT1* */
  value0 = cl_apply(2, ECL_CONS_CAR(CLV3), v1args);
  ecl_bds_unwind1(cl_env_copy);
  return value0;
 }
 }
}
/*      function definition for COMPILER-PASS2                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L36compiler_pass2(volatile cl_narg narg, cl_object volatile v1c_pathname, cl_object volatile v2h_pathname, cl_object volatile v3data_pathname, cl_object volatile v4init_name, ...)
{
 cl_object T0, T1, T2;
 cl_object volatile env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<4)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v5input_designator;
  ecl_va_list args; ecl_va_start(args,v4init_name,narg,4);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L36compiler_pass2keys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v5input_designator = keyvars[0];
  }
  T0 = cl_open(7, v1c_pathname, ECL_SYM("DIRECTION",1228), ECL_SYM("OUTPUT",1294), ECL_SYM("IF-DOES-NOT-EXIST",1254), ECL_SYM("CREATE",1223), ECL_SYM("IF-EXISTS",1256), ECL_SYM("SUPERSEDE",1326));
  ecl_bds_bind(cl_env_copy,VV[165],T0);           /*  *COMPILER-OUTPUT1* */
  {
   volatile bool unwinding = FALSE;
   cl_index v6=ECL_STACK_INDEX(cl_env_copy),v7;
   ecl_frame_ptr next_fr;
   if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
     unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
   } else {
   {
    struct ecl_stack_frame _ecl_inner_frame_aux;
    volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
    {
     volatile cl_object v8;
     v8 = _ecl_inner_frame;
     T0 = cl_lisp_implementation_type();
     T1 = cl_lisp_implementation_version();
     ecl_function_dispatch(cl_env_copy,VV[281])(3, VV[170], T0, T1) /*  WT-COMMENT-NL */;
     {
      cl_object volatile v10;                     /*  MINUTE          */
      cl_object volatile v11;                     /*  HOUR            */
      cl_object volatile v12;                     /*  DAY             */
      cl_object volatile v13;                     /*  MONTH           */
      cl_object volatile v14;                     /*  YEAR            */
      value0 = cl_get_decoded_time();
      v10 = cl_env_copy->values[1];
      v11 = cl_env_copy->values[2];
      v12 = cl_env_copy->values[3];
      v13 = cl_env_copy->values[4];
      v14 = cl_env_copy->values[5];
      ecl_function_dispatch(cl_env_copy,VV[281])(6, VV[171], v14, v13, v12, v11, v10) /*  WT-COMMENT-NL */;
      T0 = cl_software_type();
      T1 = cl_software_version();
      T2 = cl_machine_type();
      ecl_function_dispatch(cl_env_copy,VV[281])(4, VV[172], T0, T1, T2) /*  WT-COMMENT-NL */;
     }
     ecl_function_dispatch(cl_env_copy,VV[281])(2, VV[173], v5input_designator) /*  WT-COMMENT-NL */;
     T0 = cl_open(7, v2h_pathname, ECL_SYM("DIRECTION",1228), ECL_SYM("OUTPUT",1294), ECL_SYM("IF-DOES-NOT-EXIST",1254), ECL_SYM("CREATE",1223), ECL_SYM("IF-EXISTS",1256), ECL_SYM("SUPERSEDE",1326));
     ecl_bds_bind(cl_env_copy,VV[166],T0);        /*  *COMPILER-OUTPUT2* */
     {
      volatile bool unwinding = FALSE;
      cl_index v9=ECL_STACK_INDEX(cl_env_copy),v10;
      ecl_frame_ptr next_fr;
      if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
        unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
      } else {
      {
       struct ecl_stack_frame _ecl_inner_frame_aux;
       volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
       {
        cl_object v11;
        v11 = _ecl_inner_frame;
        ecl_function_dispatch(cl_env_copy,VV[282])(2, VV[174], ecl_symbol_value(VV[175])) /*  WT-NL1 */;
        ecl_function_dispatch(cl_env_copy,VV[279])(3, v4init_name, v2h_pathname, v3data_pathname) /*  CTOP-WRITE */;
        ecl_terpri(ecl_symbol_value(VV[165]));
        cl_env_copy->values[0] = ecl_terpri(ecl_symbol_value(VV[166]));
        cl_env_copy->nvalues = 1;
        ecl_stack_frame_push_values(v11);
        if (Null(ecl_symbol_value(VV[166]))) { goto L19; }
        cl_close(1, ecl_symbol_value(VV[166]));
L19:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v11);
       }
       ecl_stack_frame_close(_ecl_inner_frame);
      }
        next_fr = NULL;
      }
      ecl_frs_pop(cl_env_copy);
      v10=ecl_stack_push_values(cl_env_copy);
      if (Null(ecl_symbol_value(VV[166]))) { goto L21; }
      cl_close(3, ecl_symbol_value(VV[166]), ECL_SYM("ABORT",1205), ECL_T);
L21:;
      ecl_stack_pop_values(cl_env_copy,v10);
      if (unwinding) ecl_unwind(cl_env_copy,next_fr);
      ECL_STACK_SET_INDEX(cl_env_copy,v9);
      ecl_bds_unwind1(cl_env_copy);
     }
     ecl_stack_frame_push_values(v8);
     if (Null(ecl_symbol_value(VV[165]))) { goto L23; }
     cl_close(1, ecl_symbol_value(VV[165]));
L23:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v8);
    }
    ecl_stack_frame_close(_ecl_inner_frame);
   }
     next_fr = NULL;
   }
   ecl_frs_pop(cl_env_copy);
   v7=ecl_stack_push_values(cl_env_copy);
   if (Null(ecl_symbol_value(VV[165]))) { goto L25; }
   cl_close(3, ecl_symbol_value(VV[165]), ECL_SYM("ABORT",1205), ECL_T);
L25:;
   ecl_stack_pop_values(cl_env_copy,v7);
   if (unwinding) ecl_unwind(cl_env_copy,next_fr);
   ECL_STACK_SET_INDEX(cl_env_copy,v6);
   ecl_bds_unwind1(cl_env_copy);
   return cl_env_copy->values[0];
  }
 }
}
/*      function definition for ECL-INCLUDE-DIRECTORY                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L37ecl_include_directory()
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_symbol_value(VV[177]))) { goto L1; }
  T0 = cl_merge_pathnames(2, VV[178], ecl_symbol_value(VV[177]));
  if (Null(cl_probe_file(T0))) { goto L1; }
  value0 = ecl_symbol_value(VV[177]);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (Null(cl_probe_file(VV[179]))) { goto L4; }
  T0 = cl_translate_logical_pathname(1, VV[77]);
  cl_set(VV[177],cl_namestring(T0));
  value0 = ecl_symbol_value(VV[177]);
  cl_env_copy->nvalues = 1;
  return value0;
L4:;
  {
   cl_object v1;
   v1 = cl_error(1, VV[180]);
   if (Null(v1)) { goto L8; }
   value0 = v1;
   cl_env_copy->nvalues = 1;
   return value0;
L8:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for ECL-LIBRARY-DIRECTORY                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L38ecl_library_directory()
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_symbol_value(VV[182]))) { goto L1; }
  T0 = L2compile_file_pathname(3, VV[183], ECL_SYM("TYPE",1330), VV[5]);
  T1 = cl_merge_pathnames(2, T0, ecl_symbol_value(VV[182]));
  if (Null(cl_probe_file(T1))) { goto L1; }
  value0 = ecl_symbol_value(VV[182]);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (Null(cl_probe_file(VV[184]))) { goto L4; }
  T0 = cl_translate_logical_pathname(1, VV[77]);
  cl_set(VV[182],cl_namestring(T0));
  value0 = ecl_symbol_value(VV[182]);
  cl_env_copy->nvalues = 1;
  return value0;
L4:;
  {
   cl_object v1;
   v1 = cl_error(1, VV[185]);
   if (Null(v1)) { goto L8; }
   value0 = v1;
   cl_env_copy->nvalues = 1;
   return value0;
L8:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for COMPILER-CC                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L39compiler_cc(cl_object v1c_pathname, cl_object v2o_pathname)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_symbol_value(VV[187]);
  T1 = L37ecl_include_directory();
  T2 = cl_concatenate(3, ECL_SYM("STRING",805), VV[189], T1);
  T3 = ecl_function_dispatch(cl_env_copy,VV[223])(1, ecl_symbol_value(VV[190])) /*  SPLIT-PROGRAM-OPTIONS */;
  T5 = ecl_function_dispatch(cl_env_copy,VV[286])(1, ECL_SYM("SPEED",791)) /*  CMP-ENV-OPTIMIZATION */;
  if (!(ecl_number_compare(T5,ecl_make_fixnum(2))>=0)) { goto L3; }
  T4 = ecl_function_dispatch(cl_env_copy,VV[223])(1, ecl_symbol_value(VV[191])) /*  SPLIT-PROGRAM-OPTIONS */;
  goto L1;
L3:;
  T4 = ECL_NIL;
  goto L1;
L1:;
  T5 = ecl_function_dispatch(cl_env_copy,VV[226])(1, v1c_pathname) /*  BRIEF-NAMESTRING */;
  T6 = ecl_function_dispatch(cl_env_copy,VV[226])(1, v2o_pathname) /*  BRIEF-NAMESTRING */;
  T7 = cl_list(2, VV[46], T6);
  T8 = ecl_function_dispatch(cl_env_copy,VV[223])(1, ecl_symbol_value(VV[193])) /*  SPLIT-PROGRAM-OPTIONS */;
  T9 = ecl_append(T7,T8);
  T10 = cl_listX(3, VV[192], T5, T9);
  T11 = cl_append(3, T3, T4, T10);
  T12 = cl_listX(3, VV[188], T2, T11);
  value0 = ecl_function_dispatch(cl_env_copy,VV[227])(2, T0, T12) /*  SAFE-RUN-PROGRAM */;
  return value0;
 }
}
/*      function definition for PRINT-COMPILER-INFO                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L40print_compiler_info()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[220])(5, VV[195], ecl_symbol_value(VV[196]), ecl_symbol_value(VV[197]), ecl_symbol_value(VV[198]), ecl_symbol_value(VV[199])) /*  CMPPROGRESS */;
  return value0;
 }
}
/*      local function WITH-COMPILATION-UNIT                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC41with_compilation_unit(cl_object v1, cl_object v2)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4options;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4options = v5;
   }
   value0 = CONS(ECL_SYM("PROGN",671),v3);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      closure INSTALL-C-COMPILER                                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC42install_c_compiler(cl_narg narg, ...)
{
 cl_object T0;
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  DISASSEMBLE     */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  T0 = cl_find_package(VV[203]);
  si_package_lock(T0, ECL_NIL);
  cl_set(ECL_SYM("*FEATURES*",34),cl_delete(2, VV[202], ecl_symbol_value(ECL_SYM("*FEATURES*",34))));
  si_fset(2, VV[169], ECL_CONS_CAR(CLV1));
  si_fset(2, VV[161], ECL_CONS_CAR(CLV0));
  T0 = (VV[149]->symbol.gfdef);
  si_fset(2, VV[149], T0);
  T0 = (VV[36]->symbol.gfdef);
  si_fset(2, VV[36], T0);
  T0 = cl_find_package(VV[203]);
  value0 = si_package_lock(T0, ECL_T);
  return value0;
 }
 }
}

#include "cmp/cmpmain.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _ecl6w8STuZ7_Q7m9P531(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("SRC:CMP;CMPMAIN.LSP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = (const cl_object *)"@EcLtAg:_ecl6w8STuZ7_Q7m9P531@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
  si_package_lock(VVtemp[0], ECL_NIL);
  si_select_package(VVtemp[1]);
  ecl_cmp_defun(VV[205]);                         /*  SAFE-MKSTEMP    */
  ecl_cmp_defun(VV[206]);                         /*  COMPILE-FILE-PATHNAME */
  ecl_cmp_defun(VV[219]);                         /*  CMP-DELETE-FILE */
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC4__g22,ECL_NIL,Cblock,0);
   T0 = v1;
  }
  cl_set(ECL_SYM("*EXIT-HOOKS*",1490),CONS(T0,ecl_symbol_value(ECL_SYM("*EXIT-HOOKS*",1490))));
 }
  ecl_cmp_defmacro(VV[221]);                      /*  FIX-FOR-MINGW   */
  ecl_cmp_defun(VV[222]);                         /*  LINKER-CC       */
  ecl_cmp_defun(VV[228]);                         /*  LINKER-AR       */
  ecl_cmp_defun(VV[229]);                         /*  STATIC-LIB-AR   */
  ecl_cmp_defun(VV[230]);                         /*  SHARED-CC       */
  ecl_cmp_defun(VV[231]);                         /*  BUNDLE-CC       */
  si_Xmake_constant(VV[61], VVtemp[2]);
  si_Xmake_constant(VV[62], VVtemp[3]);
  si_Xmake_constant(VV[63], VVtemp[4]);
  si_Xmake_constant(VV[64], VVtemp[5]);
  si_Xmake_constant(VV[65], VVtemp[6]);
  ecl_cmp_defun(VV[232]);                         /*  GUESS-KIND      */
  ecl_cmp_defun(VV[233]);                         /*  GUESS-LD-FLAGS  */
  ecl_cmp_defun(VV[234]);                         /*  SYSTEM-LD-FLAG  */
  ecl_cmp_defun(VV[235]);                         /*  BUILDER         */
  ecl_cmp_defun(VV[247]);                         /*  BUILD-FASL      */
  ecl_cmp_defun(VV[248]);                         /*  BUILD-PROGRAM   */
  ecl_cmp_defun(VV[249]);                         /*  BUILD-STATIC-LIBRARY */
  ecl_cmp_defun(VV[250]);                         /*  BUILD-SHARED-LIBRARY */
  ecl_cmp_defun(VV[251]);                         /*  COMPILE-FILE    */
  ecl_cmp_defun(VV[276]);                         /*  COMPILER-OUTPUT-VALUES */
  si_Xmake_special(VV[151]);
  if (ecl_boundp(cl_env_copy,VV[151])) { goto L101; }
  cl_set(VV[151],ecl_make_fixnum(0));
L101:;
  ecl_cmp_defun(VV[277]);                         /*  COMPILE         */
  ecl_cmp_defun(VV[278]);                         /*  DISASSEMBLE     */
  ecl_cmp_defun(VV[280]);                         /*  COMPILER-PASS2  */
  ecl_cmp_defun(VV[283]);                         /*  ECL-INCLUDE-DIRECTORY */
  ecl_cmp_defun(VV[284]);                         /*  ECL-LIBRARY-DIRECTORY */
  ecl_cmp_defun(VV[285]);                         /*  COMPILER-CC     */
  ecl_cmp_defun(VV[287]);                         /*  PRINT-COMPILER-INFO */
  ecl_cmp_defmacro(VV[288]);                      /*  WITH-COMPILATION-UNIT */
  si_package_lock(VVtemp[0], ECL_T);
  cl_set(ECL_SYM("*FEATURES*",34),cl_delete(2, VV[202], ecl_symbol_value(ECL_SYM("*FEATURES*",34))));
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  cl_object volatile CLV0, CLV1;
  {
   cl_object v1compile_file;
   cl_object v2compile_file_pathname;
   cl_object env1 = env0;
   T0 = (VV[161]->symbol.gfdef);
   env1 = ECL_NIL;
   CLV0 = env1 = CONS(T0,env1);                   /*  COMPILE         */
   T0 = (VV[169]->symbol.gfdef);
   CLV1 = env1 = CONS(T0,env1);                   /*  DISASSEMBLE     */
   v1compile_file = (VV[149]->symbol.gfdef);
   v2compile_file_pathname = (VV[36]->symbol.gfdef);
   {
    cl_object v3;
    v3 = ecl_make_cclosure_va((cl_objectfn)LC42install_c_compiler,env1,Cblock);
    T0 = v3;
   }
   si_fset(2, ECL_SYM("INSTALL-C-COMPILER",1979), T0);
  }
 }
  cl_provide(VV[204]);
}
