/*      Compiler: ECL 16.1.3                                          */
/*      Source: SRC:CMP;CMPSTACK.LSP                                  */
#include <ecl/ecl-cmp.h>
#include "cmp/cmpstack.eclh"
/*      function definition for C1WITH-STACK                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1c1with_stack(cl_object v1forms)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2var;
   cl_object v3body;
   {
    cl_object v4;
    v4 = v1forms;
    {
     cl_object v5;
     v5 = v4;
     if (ecl_unlikely(!ECL_LISTP(v5))) FEtype_error_list(v5);
    }
    if (Null(v4)) { goto L6; }
    {
     cl_object v5;
     v5 = ECL_CONS_CDR(v4);
     v1forms = v5;
     v4 = ECL_CONS_CAR(v4);
    }
L6:;
    v2var = v4;
   }
   T0 = cl_list(2, v2var, VV[3]);
   T1 = ecl_list1(T0);
   T2 = cl_listX(3, ECL_SYM("LET",477), T1, v1forms);
   v3body = ecl_function_dispatch(cl_env_copy,VV[30])(1, T2) /*  C1EXPR */;
   T0 = ecl_function_dispatch(cl_env_copy,VV[31])(1, v3body) /*  C1FORM-TYPE */;
   value0 = ecl_function_dispatch(cl_env_copy,VV[32])(5, VV[4], ECL_SYM("TYPE",1330), T0, VV[5], v3body) /*  MAKE-C1FORM* */;
   return value0;
  }
 }
}
/*      function definition for C2WITH-STACK                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2c2with_stack(cl_object v1c1form, cl_object v2body)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3new_destination;
   v3new_destination = ecl_function_dispatch(cl_env_copy,VV[34])(1, ecl_symbol_value(VV[7])) /*  TMP-DESTINATION */;
   ecl_bds_push(cl_env_copy,VV[8]);               /*  *TEMP*          */
   ecl_function_dispatch(cl_env_copy,VV[35])(0)   /*  WT-NL-OPEN-BRACE */;
   ecl_function_dispatch(cl_env_copy,VV[36])(1, VV[9]) /*  WT-NL      */;
   ecl_function_dispatch(cl_env_copy,VV[36])(2, ecl_symbol_value(VV[10]), VV[11]) /*  WT-NL */;
   ecl_bds_bind(cl_env_copy,VV[7],v3new_destination); /*  *DESTINATION* */
   T0 = cl_list(2, VV[13], ecl_symbol_value(VV[0]));
   T1 = CONS(T0,ecl_symbol_value(VV[12]));
   ecl_bds_bind(cl_env_copy,VV[12],T1);           /*  *UNWIND-EXIT*   */
   ecl_function_dispatch(cl_env_copy,VV[37])(1, v2body) /*  C2EXPR*   */;
   ecl_bds_unwind1(cl_env_copy);
   ecl_bds_unwind1(cl_env_copy);
   ecl_function_dispatch(cl_env_copy,VV[36])(1, VV[14]) /*  WT-NL     */;
   ecl_function_dispatch(cl_env_copy,VV[38])(0)   /*  WT-NL-CLOSE-BRACE */;
   value0 = ecl_function_dispatch(cl_env_copy,VV[39])(1, v3new_destination) /*  UNWIND-EXIT */;
   ecl_bds_unwind1(cl_env_copy);
   return value0;
  }
 }
}
/*      function definition for C1INNERMOST-STACK-FRAME               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3c1innermost_stack_frame(cl_object v1args)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_listX(6, ECL_SYM("C-INLINE",2000), ECL_NIL, ECL_NIL, ECL_SYM("OBJECT",1290), ecl_symbol_value(VV[0]), VV[16]);
  return value0;
 }
}
/*      function definition for C1STACK-PUSH                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4c1stack_push(cl_object v1args)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_listX(3, ECL_SYM("C-INLINE",2000), v1args, VV[18]);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T0, ecl_make_fixnum(1));
  return value0;
 }
}
/*      function definition for C1STACK-PUSH-VALUES                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5c1stack_push_values(cl_object v1args)
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   cl_object v3;
   {
    cl_object v4;
    v4 = v1args;
    {
     cl_object v5;
     v5 = v4;
     if (ecl_unlikely(!ECL_LISTP(v5))) FEtype_error_list(v5);
    }
    if (Null(v4)) { goto L6; }
    {
     cl_object v5;
     v5 = ECL_CONS_CDR(v4);
     v1args = v5;
     v4 = ECL_CONS_CAR(v4);
    }
L6:;
    v2 = v4;
   }
   {
    cl_object v4;
    v4 = v1args;
    {
     cl_object v5;
     v5 = v4;
     if (ecl_unlikely(!ECL_LISTP(v5))) FEtype_error_list(v5);
    }
    if (Null(v4)) { goto L17; }
    {
     cl_object v5;
     v5 = ECL_CONS_CDR(v4);
     v1args = v5;
     v4 = ECL_CONS_CAR(v4);
    }
L17:;
    v3 = v4;
   }
   T0 = ecl_function_dispatch(cl_env_copy,VV[30])(1, v3) /*  C1EXPR   */;
   T1 = ecl_list1(v2);
   T2 = cl_listX(3, ECL_SYM("C-INLINE",2000), T1, VV[22]);
   T3 = ecl_function_dispatch(cl_env_copy,VV[30])(1, T2) /*  C1EXPR   */;
   value0 = ecl_function_dispatch(cl_env_copy,VV[32])(6, VV[20], ECL_SYM("TYPE",1330), VV[21], VV[5], T0, T3) /*  MAKE-C1FORM* */;
   return value0;
  }
 }
}
/*      function definition for C2STACK-PUSH-VALUES                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L6c2stack_push_values(cl_object v1c1form, cl_object v2form, cl_object v3push_statement)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_bds_bind(cl_env_copy,VV[7],ECL_SYM("VALUES",895)); /*  *DESTINATION* */
  ecl_function_dispatch(cl_env_copy,VV[37])(1, v2form) /*  C2EXPR*    */;
  ecl_bds_unwind1(cl_env_copy);
  value0 = ecl_function_dispatch(cl_env_copy,VV[44])(1, v3push_statement) /*  C2EXPR */;
  return value0;
 }
}
/*      function definition for C1STACK-POP                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7c1stack_pop(cl_object v1args)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_listX(3, ECL_SYM("C-INLINE",2000), v1args, VV[25]);
  return value0;
 }
}
/*      function definition for C1APPLY-FROM-STACK-FRAME              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8c1apply_from_stack_frame(cl_object v1args)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_listX(3, ECL_SYM("C-INLINE",2000), v1args, VV[27]);
  return value0;
 }
}

#include "cmp/cmpstack.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclzg5gnea7_FVU9P531(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("SRC:CMP;CMPSTACK.LSP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = (const cl_object *)"@EcLtAg:_eclzg5gnea7_FVU9P531@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
  si_select_package(VVtemp[0]);
  si_Xmake_constant(VV[0], VVtemp[1]);
  si_Xmake_constant(VV[1], VVtemp[2]);
  si_Xmake_constant(VV[2], VVtemp[3]);
  ecl_cmp_defun(VV[29]);                          /*  C1WITH-STACK    */
  ecl_cmp_defun(VV[33]);                          /*  C2WITH-STACK    */
  ecl_cmp_defun(VV[40]);                          /*  C1INNERMOST-STACK-FRAME */
  ecl_cmp_defun(VV[41]);                          /*  C1STACK-PUSH    */
  ecl_cmp_defun(VV[42]);                          /*  C1STACK-PUSH-VALUES */
  ecl_cmp_defun(VV[43]);                          /*  C2STACK-PUSH-VALUES */
  ecl_cmp_defun(VV[45]);                          /*  C1STACK-POP     */
  ecl_cmp_defun(VV[46]);                          /*  C1APPLY-FROM-STACK-FRAME */
}
