/*      Compiler: ECL 16.1.3                                          */
/*      Source: EXT:PACKAGE-LOCKS;PACKAGE-LOCKS.LISP                  */
#include <ecl/ecl-cmp.h>
#include "ext/package-locks.eclh"
/*      function definition for LOCK-PACKAGE                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1lock_package(cl_object v1package)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2package;
   v2package = si_coerce_to_package(v1package);
   (v2package)->pack.locked = 1;
   value0 = ECL_T;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for UNLOCK-PACKAGE                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2unlock_package(cl_object v1package)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2package;
   v2package = si_coerce_to_package(v1package);
   (v2package)->pack.locked = 0;
   value0 = ECL_T;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for PACKAGE-LOCKED-P                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3package_locked_p(cl_object v1package)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2package;
   v2package = si_coerce_to_package(v1package);
   value0 = (v2package)->pack.locked ? ECL_T : ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function WITHOUT-PACKAGE-LOCKS                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC4without_package_locks(cl_object v1, cl_object v2)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = ecl_cdr(v1);
   value0 = cl_listX(3, ECL_SYM("LET",477), VV[4], v3);
   return value0;
  }
 }
}
/*      local function WITH-UNLOCKED-PACKAGES                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC5with_unlocked_packages(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v5;
   }
   {
    cl_object v5unlocked_packages;
    v5unlocked_packages = cl_gensym(1, _ecl_static_0);
    T0 = ecl_list1(v5unlocked_packages);
    T1 = cl_list(2, ECL_SYM("QUOTE",679), v4);
    T2 = cl_list(2, VV[6], T1);
    T3 = cl_list(3, ECL_SYM("PUSH",677), VV[6], v5unlocked_packages);
    T4 = cl_list(4, ECL_SYM("WHEN",905), VV[7], T3, VV[8]);
    T5 = cl_list(3, ECL_SYM("DOLIST",313), T2, T4);
    T6 = cl_listX(3, ECL_SYM("PROGN",671), T5, v3);
    T7 = cl_list(2, VV[6], v5unlocked_packages);
    T8 = cl_list(3, ECL_SYM("DOLIST",313), T7, VV[9]);
    T9 = cl_list(3, ECL_SYM("UNWIND-PROTECT",888), T6, T8);
    value0 = cl_list(3, ECL_SYM("LET",477), T0, T9);
    return value0;
   }
  }
 }
}

#include "ext/package-locks.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _ecluxBUfRa7_LO8BP531(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("EXT:PACKAGE-LOCKS;PACKAGE-LOCKS.LISP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = (const cl_object *)"@EcLtAg:_ecluxBUfRa7_LO8BP531@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
  si_select_package(VVtemp[0]);
  cl_set(ECL_SYM("*FEATURES*",34),cl_adjoin(2, VV[0], ecl_symbol_value(ECL_SYM("*FEATURES*",34))));
  ecl_cmp_defun(VV[12]);                          /*  LOCK-PACKAGE    */
  ecl_cmp_defun(VV[13]);                          /*  UNLOCK-PACKAGE  */
  ecl_cmp_defun(VV[14]);                          /*  PACKAGE-LOCKED-P */
  ecl_cmp_defmacro(VV[15]);                       /*  WITHOUT-PACKAGE-LOCKS */
  ecl_cmp_defmacro(VV[16]);                       /*  WITH-UNLOCKED-PACKAGES */
  cl_provide(VV[11]);
}
