/*      Compiler: ECL 16.1.3                                          */
/*      Source: EXT:ASDF;ASDF.LISP                                    */
#include <ecl/ecl-cmp.h>
#include "ext/asdf.eclh"
/*      function definition for FIND-PACKAGE*                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1find_package_(cl_narg narg, cl_object v1uiop_package__package_designator, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2error;
  va_list args; va_start(args,v1uiop_package__package_designator);
  {
   int i = 1;
   if (i >= narg) {
    v2error = ECL_T;
   } else {
    i++;
    v2error = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object v3package;
   v3package = cl_find_package(v1uiop_package__package_designator);
   if (Null(v3package)) { goto L3; }
   value0 = v3package;
   cl_env_copy->nvalues = 1;
   return value0;
L3:;
   if (Null(v2error)) { goto L5; }
   T0 = cl_string(v1uiop_package__package_designator);
   value0 = cl_error(2, VV[0], T0);
   return value0;
L5:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for FIND-SYMBOL*                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2find_symbol_(cl_narg narg, cl_object v1uiop_package__name, cl_object v2uiop_package__package_designator, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3error;
  va_list args; va_start(args,v2uiop_package__package_designator);
  {
   int i = 2;
   if (i >= narg) {
    v3error = ECL_T;
   } else {
    i++;
    v3error = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object v4package;
   v4package = L1find_package_(2, v2uiop_package__package_designator, v3error);
   if (Null(v4package)) { goto L3; }
   {
    cl_object v6;                                 /*  SYMBOL          */
    cl_object v7;                                 /*  STATUS          */
    T0 = cl_string(v1uiop_package__name);
    value0 = cl_find_symbol(2, T0, v4package);
    v6 = value0;
    v7 = cl_env_copy->values[1];
    if (Null(v7)) { goto L6; }
    cl_env_copy->nvalues = 2;
    cl_env_copy->values[1] = v7;
    cl_env_copy->values[0] = v6;
    return cl_env_copy->values[0];
L6:;
    if (Null(v3error)) { goto L3; }
    T0 = cl_package_name(v4package);
    cl_error(3, VV[2], v1uiop_package__name, T0);
   }
L3:;
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = ECL_NIL;
   cl_env_copy->values[0] = ECL_NIL;
   return cl_env_copy->values[0];
  }
 }
}
/*      function definition for SYMBOL-CALL                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3symbol_call(cl_narg narg, cl_object v1package, cl_object v2uiop_package__name, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3uiop_package__args;
  ecl_va_list args; ecl_va_start(args,v2uiop_package__name,narg,2);
  v3uiop_package__args = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = L2find_symbol_(2, v2uiop_package__name, v1package);
  value0 = cl_apply(2, T0, v3uiop_package__args);
  return value0;
 }
}
/*      function definition for INTERN*                               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4intern_(cl_narg narg, cl_object v1uiop_package__name, cl_object v2uiop_package__package_designator, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3error;
  va_list args; va_start(args,v2uiop_package__package_designator);
  {
   int i = 2;
   if (i >= narg) {
    v3error = ECL_T;
   } else {
    i++;
    v3error = va_arg(args,cl_object);
   }
  }
  va_end(args);
  T0 = cl_string(v1uiop_package__name);
  T1 = L1find_package_(2, v2uiop_package__package_designator, v3error);
  value0 = cl_intern(2, T0, T1);
  return value0;
 }
}
/*      function definition for EXPORT*                               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5export_(cl_object v1uiop_package__name, cl_object v2uiop_package__package_designator)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3package;
   cl_object v4symbol;
   v3package = L1find_package_(1, v2uiop_package__package_designator);
   v4symbol = L4intern_(2, v1uiop_package__name, v3package);
   value0 = v4symbol;
   if ((value0)!=ECL_NIL) { goto L5; }
   T0 = ecl_list1(v4symbol);
   goto L3;
L5:;
   T0 = value0;
   goto L3;
L3:;
   value0 = cl_export(2, T0, v3package);
   return value0;
  }
 }
}
/*      function definition for IMPORT*                               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L6import_(cl_object v1symbol, cl_object v2uiop_package__package_designator)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = v1symbol;
  if ((value0)!=ECL_NIL) { goto L3; }
  T0 = ecl_list1(v1symbol);
  goto L1;
L3:;
  T0 = value0;
  goto L1;
L1:;
  T1 = L1find_package_(1, v2uiop_package__package_designator);
  value0 = cl_import(2, T0, T1);
  return value0;
 }
}
/*      function definition for SHADOWING-IMPORT*                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7shadowing_import_(cl_object v1symbol, cl_object v2uiop_package__package_designator)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = v1symbol;
  if ((value0)!=ECL_NIL) { goto L3; }
  T0 = ecl_list1(v1symbol);
  goto L1;
L3:;
  T0 = value0;
  goto L1;
L1:;
  T1 = L1find_package_(1, v2uiop_package__package_designator);
  value0 = cl_shadowing_import(2, T0, T1);
  return value0;
 }
}
/*      function definition for SHADOW*                               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8shadow_(cl_object v1uiop_package__name, cl_object v2uiop_package__package_designator)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_string(v1uiop_package__name);
  T1 = ecl_list1(T0);
  T2 = L1find_package_(1, v2uiop_package__package_designator);
  value0 = cl_shadow(2, T1, T2);
  return value0;
 }
}
/*      function definition for MAKE-SYMBOL*                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L9make_symbol_(cl_object v1uiop_package__name)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_STRINGP(v1uiop_package__name))) { goto L1; }
  value0 = cl_make_symbol(v1uiop_package__name);
  return value0;
L1:;
  if (!(ECL_SYMBOLP(v1uiop_package__name))) { goto L3; }
  value0 = cl_copy_symbol(1, v1uiop_package__name);
  return value0;
L3:;
  value0 = si_etypecase_error(v1uiop_package__name, VV[10]);
  return value0;
 }
}
/*      function definition for UNINTERN*                             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10unintern_(cl_narg narg, cl_object v1uiop_package__name, cl_object v2uiop_package__package_designator, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3error;
  va_list args; va_start(args,v2uiop_package__package_designator);
  {
   int i = 2;
   if (i >= narg) {
    v3error = ECL_T;
   } else {
    i++;
    v3error = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object v4package;
   v4package = L1find_package_(2, v2uiop_package__package_designator, v3error);
   if (Null(v4package)) { goto L3; }
   {
    cl_object v6;                                 /*  SYMBOL          */
    cl_object v7;                                 /*  STATUS          */
    value0 = L2find_symbol_(3, v1uiop_package__name, v4package, v3error);
    v6 = value0;
    {
     const int v8 = cl_env_copy->nvalues;
     cl_object v9;
     v9 = (v8<=1)? ECL_NIL : cl_env_copy->values[1];
     v7 = v9;
    }
    if (Null(v7)) { goto L6; }
    cl_unintern(2, v6, v4package);
    cl_env_copy->nvalues = 2;
    cl_env_copy->values[1] = v7;
    cl_env_copy->values[0] = v6;
    return cl_env_copy->values[0];
L6:;
    if (Null(v3error)) { goto L3; }
    T0 = cl_string(v6);
    T1 = cl_package_name(v4package);
    cl_error(3, VV[12], T0, T1);
   }
L3:;
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = ECL_NIL;
   cl_env_copy->values[0] = ECL_NIL;
   return cl_env_copy->values[0];
  }
 }
}
/*      function definition for SYMBOL-SHADOWING-P                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L11symbol_shadowing_p(cl_object v1symbol, cl_object v2package)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_package_shadowing_symbols(v2package);
  if (Null(ecl_memql(v1symbol,T0))) { goto L2; }
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for HOME-PACKAGE-P                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L12home_package_p(cl_object v1symbol, cl_object v2package)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(v2package)) { goto L2; }
  {
   cl_object v3uiop_package__sp;
   v3uiop_package__sp = cl_symbol_package(v1symbol);
   if (Null(v3uiop_package__sp)) { goto L6; }
   {
    cl_object v4uiop_package__pp;
    v4uiop_package__pp = L1find_package_(1, v2package);
    if (Null(v4uiop_package__pp)) { goto L10; }
    value0 = ecl_make_bool((v3uiop_package__sp)==(v4uiop_package__pp));
    cl_env_copy->nvalues = 1;
    return value0;
L10:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
L6:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SYMBOL-PACKAGE-NAME                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L13symbol_package_name(cl_object v1symbol)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2package;
   v2package = cl_symbol_package(v1symbol);
   if (Null(v2package)) { goto L3; }
   value0 = cl_package_name(v2package);
   return value0;
L3:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for STANDARD-COMMON-LISP-SYMBOL-P         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L14standard_common_lisp_symbol_p(cl_object v1symbol)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;                                  /*  SYM             */
   cl_object v4;                                  /*  STATUS          */
   value0 = L2find_symbol_(3, v1symbol, VV[17], ECL_NIL);
   v3 = value0;
   {
    const int v5 = cl_env_copy->nvalues;
    cl_object v6;
    v6 = (v5<=1)? ECL_NIL : cl_env_copy->values[1];
    v4 = v6;
   }
   if (!((v3)==(v1symbol))) { goto L3; }
   value0 = ecl_make_bool((v4)==(ECL_SYM("EXTERNAL",1245)));
   cl_env_copy->nvalues = 1;
   return value0;
L3:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for REIFY-PACKAGE                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L15reify_package(cl_narg narg, cl_object v1package, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_package__package_context;
  va_list args; va_start(args,v1package);
  {
   int i = 1;
   if (i >= narg) {
    v2uiop_package__package_context = ECL_NIL;
   } else {
    i++;
    v2uiop_package__package_context = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (!((v1package)==(v2uiop_package__package_context))) { goto L2; }
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  if (!(v1package==ECL_NIL)) { goto L4; }
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L4:;
  if (Null(cl_typep(2, v1package, VV[19]))) { goto L6; }
  value0 = VV[20];
  cl_env_copy->nvalues = 1;
  return value0;
L6:;
  if (Null(cl_packagep(v1package))) { goto L8; }
  value0 = cl_package_name(v1package);
  return value0;
L8:;
  value0 = si_etypecase_error(v1package, VV[21]);
  return value0;
 }
}
/*      function definition for UNREIFY-PACKAGE                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L16unreify_package(cl_narg narg, cl_object v1package, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_package__package_context;
  va_list args; va_start(args,v1package);
  {
   int i = 1;
   if (i >= narg) {
    v2uiop_package__package_context = ECL_NIL;
   } else {
    i++;
    v2uiop_package__package_context = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (!(v1package==ECL_NIL)) { goto L2; }
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  if (Null(cl_typep(2, v1package, VV[23]))) { goto L4; }
  value0 = v2uiop_package__package_context;
  cl_env_copy->nvalues = 1;
  return value0;
L4:;
  if (ECL_SYMBOLP(v1package)) { goto L8; }
  if (!(ECL_STRINGP(v1package))) { goto L6; }
  goto L7;
L8:;
L7:;
  value0 = cl_find_package(v1package);
  return value0;
L6:;
  value0 = si_etypecase_error(v1package, VV[24]);
  return value0;
 }
}
/*      function definition for REIFY-SYMBOL                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L17reify_symbol(cl_narg narg, cl_object v1symbol, ...)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_package__package_context;
  va_list args; va_start(args,v1symbol);
  {
   int i = 1;
   if (i >= narg) {
    v2uiop_package__package_context = ECL_NIL;
   } else {
    i++;
    v2uiop_package__package_context = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if ((cl_keywordp(v1symbol))!=ECL_NIL) { goto L4; }
  if (Null(L14standard_common_lisp_symbol_p(v1symbol))) { goto L2; }
  goto L3;
L4:;
L3:;
  value0 = v1symbol;
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  if (!(ECL_SYMBOLP(v1symbol))) { goto L6; }
  T0 = ecl_symbol_name(v1symbol);
  T1 = cl_symbol_package(v1symbol);
  T2 = L15reify_package(2, T1, v2uiop_package__package_context);
  value0 = cl_vector(2, T0, T2);
  return value0;
L6:;
  value0 = si_etypecase_error(v1symbol, VV[26]);
  return value0;
 }
}
/*      function definition for UNREIFY-SYMBOL                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L18unreify_symbol(cl_narg narg, cl_object v1symbol, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_package__package_context;
  va_list args; va_start(args,v1symbol);
  {
   int i = 1;
   if (i >= narg) {
    v2uiop_package__package_context = ECL_NIL;
   } else {
    i++;
    v2uiop_package__package_context = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (!(ECL_SYMBOLP(v1symbol))) { goto L2; }
  value0 = v1symbol;
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  if (Null(cl_typep(2, v1symbol, VV[28]))) { goto L4; }
  {
   cl_object v3symbol_name;
   cl_object v4uiop_package__package_foo;
   cl_object v5package;
   v3symbol_name = ecl_aref1(v1symbol,0);
   v4uiop_package__package_foo = ecl_aref1(v1symbol,1);
   v5package = L16unreify_package(2, v4uiop_package__package_foo, v2uiop_package__package_context);
   if (Null(v5package)) { goto L9; }
   value0 = L4intern_(2, v3symbol_name, v5package);
   return value0;
L9:;
   value0 = L9make_symbol_(v3symbol_name);
   return value0;
  }
L4:;
  value0 = si_etypecase_error(v1symbol, VV[29]);
  return value0;
 }
}
/*      function definition for RECORD-FISHY                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L19record_fishy(cl_object v1uiop_package__info)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  cl_set(VV[32],CONS(v1uiop_package__info,ecl_symbol_value(VV[32])));
  value0 = ecl_symbol_value(VV[32]);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function WHEN-PACKAGE-FISHINESS                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC20when_package_fishiness(cl_object v1, cl_object v2)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = ecl_cdr(v1);
   value0 = cl_listX(3, ECL_SYM("WHEN",905), VV[32], v3);
   return value0;
  }
 }
}
/*      local function NOTE-PACKAGE-FISHINESS                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC21note_package_fishiness(cl_object v1, cl_object v2)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = ecl_cdr(v1);
   T0 = CONS(ECL_SYM("LIST",481),v3);
   T1 = cl_list(2, VV[33], T0);
   value0 = cl_list(2, VV[34], T1);
   return value0;
  }
 }
}
/*      function definition for SET-DUMMY-SYMBOL                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L22set_dummy_symbol(cl_object v1symbol, cl_object v2uiop_package__reason, cl_object v3uiop_package__other_symbol)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v4;
   v4 = CONS(v2uiop_package__reason,v3uiop_package__other_symbol);
   value0 = si_putprop(v1symbol, v4, VV[36]);
   return value0;
  }
 }
}
/*      function definition for MAKE-DUMMY-SYMBOL                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L23make_dummy_symbol(cl_object v1symbol)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2uiop_package__dummy;
   v2uiop_package__dummy = cl_copy_symbol(1, v1symbol);
   L22set_dummy_symbol(v2uiop_package__dummy, VV[38], v1symbol);
   L22set_dummy_symbol(v1symbol, VV[39], v2uiop_package__dummy);
   value0 = v2uiop_package__dummy;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for DUMMY-SYMBOL                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L24dummy_symbol(cl_object v1symbol)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_get(v1symbol,VV[36],ECL_NIL);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for GET-DUMMY-SYMBOL                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L25get_dummy_symbol(cl_object v1symbol)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2uiop_package__existing;
   v2uiop_package__existing = L24dummy_symbol(v1symbol);
   if (Null(v2uiop_package__existing)) { goto L2; }
   T0 = ecl_cdr(v2uiop_package__existing);
   T1 = ecl_car(v2uiop_package__existing);
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = T1;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
L2:;
   value0 = L23make_dummy_symbol(v1symbol);
   return value0;
  }
 }
}
/*      function definition for NUKE-SYMBOL-IN-PACKAGE                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L26nuke_symbol_in_package(cl_object v1symbol, cl_object v2uiop_package__package_designator)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   v3 = L1find_package_(1, v2uiop_package__package_designator);
   v4 = ecl_symbol_name(v1symbol);
   {
    cl_object v6;                                 /*  SYM             */
    cl_object v7;                                 /*  STAT            */
    value0 = cl_find_symbol(2, v4, v3);
    v6 = value0;
    v7 = cl_env_copy->values[1];
    if (!((v7)==(ECL_SYM("INTERNAL",1270)))) { goto L10; }
    goto L7;
    goto L8;
L10:;
    goto L8;
L8:;
    if (!((v7)==(ECL_SYM("EXTERNAL",1245)))) { goto L4; }
    goto L6;
L7:;
L6:;
    if (!((v1symbol)==(v6))) { goto L4; }
    if (Null(L11symbol_shadowing_p(v1symbol, v3))) { goto L13; }
    T0 = L25get_dummy_symbol(v1symbol);
    value0 = L7shadowing_import_(T0, v3);
    return value0;
L13:;
    value0 = L10unintern_(2, v1symbol, v3);
    return value0;
L4:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for NUKE-SYMBOL                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L27nuke_symbol(cl_narg narg, cl_object v1symbol, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_package__packages;
  va_list args; va_start(args,v1symbol);
  {
   int i = 1;
   if (i >= narg) {
    v2uiop_package__packages = cl_list_all_packages();
   } else {
    i++;
    v2uiop_package__packages = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object v3uiop_package__p;
   cl_object v4;
   v3uiop_package__p = ECL_NIL;
   {
    cl_object v5;
    v5 = v2uiop_package__packages;
    if (ecl_unlikely(!ECL_LISTP(v5))) FEtype_error_list(v5);
    v4 = v5;
   }
L6:;
   if (!(ecl_endp(v4))) { goto L8; }
   goto L7;
L8:;
   v3uiop_package__p = _ecl_car(v4);
   {
    cl_object v5;
    v5 = _ecl_cdr(v4);
    if (ecl_unlikely(!ECL_LISTP(v5))) FEtype_error_list(v5);
    v4 = v5;
   }
   L26nuke_symbol_in_package(v1symbol, v3uiop_package__p);
   goto L6;
L7:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for REHOME-SYMBOL                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L28rehome_symbol(cl_object v1symbol, cl_object v2uiop_package__package_designator)
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3uiop_package__name;
   cl_object v4package;
   cl_object v5uiop_package__old_package;
   cl_object v6uiop_package__old_status;
   cl_object v7uiop_package__shadowing;
   v3uiop_package__name = ecl_symbol_name(v1symbol);
   v4package = L1find_package_(1, v2uiop_package__package_designator);
   v5uiop_package__old_package = cl_symbol_package(v1symbol);
   if (Null(v5uiop_package__old_package)) { goto L6; }
   {
    struct ecl_stack_frame _ecl_inner_frame_aux;
    cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
    {
     cl_object v8;
     v8 = _ecl_inner_frame;
     {
      cl_object v9;
      v9 = ECL_SYM("LIST",481);
      cl_env_copy->values[0] = cl_find_symbol(2, v3uiop_package__name, v5uiop_package__old_package);
      ecl_stack_frame_push_values(v8);cl_env_copy->values[0]=ecl_apply_from_stack_frame(v8,v9);
      value0 = cl_env_copy->values[0];
     }
    }
    ecl_stack_frame_close(_ecl_inner_frame);
   }
   T0 = value0;
   v6uiop_package__old_status = ecl_cadr(T0);
   goto L4;
L6:;
   v6uiop_package__old_status = ECL_NIL;
   goto L4;
L4:;
   if (Null(v5uiop_package__old_package)) { goto L16; }
   if (Null(L11symbol_shadowing_p(v1symbol, v5uiop_package__old_package))) { goto L16; }
   v7uiop_package__shadowing = cl_make_symbol(v3uiop_package__name);
   goto L14;
L16:;
   v7uiop_package__shadowing = ECL_NIL;
   goto L14;
L14:;
   {
    cl_object v9;                                 /*  OVERWRITTEN-SYMBOL */
    cl_object v10;                                /*  OVERWRITTEN-SYMBOL-STATUS */
    value0 = cl_find_symbol(2, v3uiop_package__name, v4package);
    v9 = value0;
    v10 = cl_env_copy->values[1];
    if ((v4package)==(v5uiop_package__old_package)) { goto L20; }
    {
     cl_object v11uiop_package__overwritten_symbol_shadowing_p;
     if (Null(v10)) { goto L24; }
     v11uiop_package__overwritten_symbol_shadowing_p = L11symbol_shadowing_p(v9, v4package);
     goto L22;
L24:;
     v11uiop_package__overwritten_symbol_shadowing_p = ECL_NIL;
     goto L22;
L22:;
     if (Null(ecl_symbol_value(VV[32]))) { goto L26; }
     if (Null(v5uiop_package__old_package)) { goto L29; }
     T0 = cl_package_name(v5uiop_package__old_package);
     goto L28;
L29:;
     T0 = ECL_NIL;
L28:;
     if (Null(v7uiop_package__shadowing)) { goto L33; }
     T1 = ECL_T;
     goto L31;
L33:;
     T1 = ECL_NIL;
     goto L31;
L31:;
     T2 = cl_package_name(v4package);
     T3 = cl_list(8, VV[46], v3uiop_package__name, T0, v6uiop_package__old_status, T1, T2, v10, v11uiop_package__overwritten_symbol_shadowing_p);
     L19record_fishy(T3);
L26:;
     if (Null(v5uiop_package__old_package)) { goto L35; }
     if (Null(v7uiop_package__shadowing)) { goto L37; }
     L7shadowing_import_(v7uiop_package__shadowing, v5uiop_package__old_package);
L37:;
     L10unintern_(2, v1symbol, v5uiop_package__old_package);
L35:;
     if (Null(v11uiop_package__overwritten_symbol_shadowing_p)) { goto L40; }
     L7shadowing_import_(v1symbol, v4package);
     goto L39;
L40:;
     if (Null(v10)) { goto L42; }
     L10unintern_(2, v9, v4package);
L42:;
     L6import_(v1symbol, v4package);
L39:;
     if (Null(v7uiop_package__shadowing)) { goto L45; }
     L7shadowing_import_(v1symbol, v5uiop_package__old_package);
     goto L44;
L45:;
     L6import_(v1symbol, v5uiop_package__old_package);
L44:;
     if (!((v6uiop_package__old_status)==(ECL_SYM("EXTERNAL",1245)))) { goto L47; }
     L5export_(v1symbol, v5uiop_package__old_package);
L47:;
     if (!((v10)==(ECL_SYM("EXTERNAL",1245)))) { goto L20; }
     L5export_(v1symbol, v4package);
    }
L20:;
    cl_env_copy->nvalues = 2;
    cl_env_copy->values[1] = v10;
    cl_env_copy->values[0] = v9;
    return cl_env_copy->values[0];
   }
  }
 }
}
/*      function definition for ENSURE-PACKAGE-UNUSED                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L29ensure_package_unused(cl_object v1package)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   cl_object v3uiop_package__p;
   cl_object v4;
   v2 = cl_package_used_by_list(v1package);
   v3uiop_package__p = ECL_NIL;
   v4 = v2;
L4:;
   if (!(ecl_endp(v4))) { goto L6; }
   goto L5;
L6:;
   v3uiop_package__p = _ecl_car(v4);
   {
    cl_object v5;
    v5 = _ecl_cdr(v4);
    if (ecl_unlikely(!ECL_LISTP(v5))) FEtype_error_list(v5);
    v4 = v5;
   }
   cl_unuse_package(2, v1package, v3uiop_package__p);
   goto L4;
L5:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for DELETE-PACKAGE*                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L30delete_package_(cl_narg narg, cl_object v1package, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_package__nuke;
  ecl_va_list args; ecl_va_start(args,v1package,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L30delete_package_keys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v2uiop_package__nuke = keyvars[0];
  }
  {
   cl_object v3uiop_package__p;
   v3uiop_package__p = cl_find_package(v1package);
   if (Null(v3uiop_package__p)) { goto L2; }
   if (Null(v2uiop_package__nuke)) { goto L4; }
   {
    cl_object v4;
    cl_object v5;
    cl_object v6uiop_package__s;
    v4 = si_packages_iterator(3, v3uiop_package__p, VV[49], ECL_T);
    v5 = ECL_NIL;
    v6uiop_package__s = ECL_NIL;
    goto L11;
L10:;
    value0 = ecl_function_dispatch(cl_env_copy,v4)(0);
    v5 = value0;
    {
     const int v7 = cl_env_copy->nvalues;
     cl_object v8;
     v8 = (v7<=1)? ECL_NIL : cl_env_copy->values[1];
     v6uiop_package__s = v8;
    }
    if ((v5)!=ECL_NIL) { goto L15; }
    goto L4;
L15:;
    if (Null(L12home_package_p(v6uiop_package__s, v3uiop_package__p))) { goto L17; }
    L27nuke_symbol(1, v6uiop_package__s);
L17:;
L11:;
    goto L10;
   }
L4:;
   L29ensure_package_unused(v3uiop_package__p);
   value0 = cl_delete_package(v1package);
   return value0;
L2:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for PACKAGE-NAMES                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L31package_names(cl_object v1package)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_package_name(v1package);
  T1 = cl_package_nicknames(v1package);
  value0 = CONS(T0,T1);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for PACKAGES-FROM-NAMES                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L32packages_from_names(cl_object v1uiop_package__names)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = (ECL_SYM("FIND-PACKAGE",367)->symbol.gfdef);
   {
    cl_object v3;
    cl_object v4;
    v3 = ECL_NIL;
    {
     cl_object v5;
     v5 = v1uiop_package__names;
     if (ecl_unlikely(!ECL_LISTP(v5))) FEtype_error_list(v5);
     v4 = v5;
    }
    {
     cl_object v5;
     cl_object v6;
     v5 = ecl_list1(ECL_NIL);
     v6 = v5;
L9:;
     if (!(ecl_endp(v4))) { goto L11; }
     goto L10;
L11:;
     v3 = _ecl_car(v4);
     {
      cl_object v7;
      v7 = _ecl_cdr(v4);
      if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
      v4 = v7;
     }
     {
      cl_object v7;
      v7 = v6;
      if (ecl_unlikely(ECL_ATOM(v7))) FEtype_error_cons(v7);
      T1 = v7;
     }
     T2 = ecl_function_dispatch(cl_env_copy,v2)(1, v3);
     v6 = ecl_list1(T2);
     (ECL_CONS_CDR(T1)=v6,T1);
     goto L9;
L10:;
     T0 = ecl_cdr(v5);
     goto L1;
    }
   }
  }
L1:;
  T1 = cl_remove(2, ECL_NIL, T0);
  value0 = cl_remove_duplicates(3, T1, VV[52], ECL_T);
  return value0;
 }
}
/*      function definition for FRESH-PACKAGE-NAME                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L33fresh_package_name(cl_narg narg, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1uiop_package__prefix;
  cl_object v2uiop_package__separator;
  cl_object v3uiop_package__index;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[6];
   cl_parse_key(args,3,L33fresh_package_namekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[3])) {
    v1uiop_package__prefix = VV[54];
   } else {
    v1uiop_package__prefix = keyvars[0];
   }
   v2uiop_package__separator = keyvars[1];
   if (Null(keyvars[5])) {
    v3uiop_package__index = cl_random(1, ecl_make_fixnum(536870911));
   } else {
    v3uiop_package__index = keyvars[2];
   }
  }
  {
   cl_object v4uiop_package__i;
   {
    cl_object v5;
    v5 = v3uiop_package__index;
    T0 = cl_realp(v5);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("REAL",703),v5);
    v4uiop_package__i = v5;
   }
   {
    cl_object v5uiop_package__n;
    v5uiop_package__n = ECL_NIL;
    {
     cl_object v6;
     v6 = ECL_NIL;
L8:;
     if (!(ecl_plusp(v4uiop_package__i))) { goto L13; }
     value0 = v2uiop_package__separator;
     if ((value0)!=ECL_NIL) { goto L16; }
     T0 = VV[56];
     goto L11;
L16:;
     T0 = value0;
     goto L11;
L13:;
     T0 = ECL_NIL;
     goto L11;
L11:;
     v5uiop_package__n = cl_format(5, ECL_NIL, VV[55], v1uiop_package__prefix, T0, v4uiop_package__i);
     if ((cl_find_package(v5uiop_package__n))!=ECL_NIL) { goto L22; }
     v6 = v5uiop_package__n;
     goto L20;
L22:;
     v6 = ECL_NIL;
     goto L20;
L20:;
     if (Null(v6)) { goto L18; }
     value0 = v6;
     cl_env_copy->nvalues = 1;
     return value0;
L18:;
     v4uiop_package__i = ecl_one_plus(v4uiop_package__i);
     goto L8;
    }
   }
  }
 }
}
/*      function definition for RENAME-PACKAGE-AWAY                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L34rename_package_away(cl_narg narg, cl_object v1uiop_package__p, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_package__keys;
  cl_object v3uiop_package__prefix;
  ecl_va_list args; ecl_va_start(args,v1uiop_package__p,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L34rename_package_awaykeys,keyvars,(cl_object*)&v2uiop_package__keys,TRUE);
   ecl_va_end(args);
   v3uiop_package__prefix = keyvars[0];
  }
  {
   cl_object v4uiop_package__new_name;
   value0 = v3uiop_package__prefix;
   if ((value0)!=ECL_NIL) { goto L4; }
   T1 = cl_package_name(v1uiop_package__p);
   T0 = cl_format(3, ECL_NIL, VV[59], T1);
   goto L2;
L4:;
   T0 = value0;
   goto L2;
L2:;
   v4uiop_package__new_name = cl_apply(4, VV[57], VV[58], T0, v2uiop_package__keys);
   T0 = L31package_names(v1uiop_package__p);
   T1 = cl_list(3, VV[60], T0, v4uiop_package__new_name);
   L19record_fishy(T1);
   value0 = cl_rename_package(2, v1uiop_package__p, v4uiop_package__new_name);
   return value0;
  }
 }
}
/*      function definition for PACKAGE-DEFINITION-FORM               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L39package_definition_form(cl_narg narg, cl_object v1uiop_package__package_designator, ...)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_package__nicknamesp;
  cl_object v3uiop_package__usep;
  cl_object v4uiop_package__shadowp;
  cl_object v5uiop_package__shadowing_import_p;
  cl_object v6uiop_package__exportp;
  cl_object v7uiop_package__importp;
  cl_object v8uiop_package__internp;
  cl_object v9error;
  ecl_va_list args; ecl_va_start(args,v1uiop_package__package_designator,narg,1);
  {
   cl_object keyvars[16];
   cl_parse_key(args,8,L39package_definition_formkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[8])) {
    v2uiop_package__nicknamesp = ECL_T;
   } else {
    v2uiop_package__nicknamesp = keyvars[0];
   }
   if (Null(keyvars[9])) {
    v3uiop_package__usep = ECL_T;
   } else {
    v3uiop_package__usep = keyvars[1];
   }
   if (Null(keyvars[10])) {
    v4uiop_package__shadowp = ECL_T;
   } else {
    v4uiop_package__shadowp = keyvars[2];
   }
   if (Null(keyvars[11])) {
    v5uiop_package__shadowing_import_p = ECL_T;
   } else {
    v5uiop_package__shadowing_import_p = keyvars[3];
   }
   if (Null(keyvars[12])) {
    v6uiop_package__exportp = ECL_T;
   } else {
    v6uiop_package__exportp = keyvars[4];
   }
   if (Null(keyvars[13])) {
    v7uiop_package__importp = ECL_T;
   } else {
    v7uiop_package__importp = keyvars[5];
   }
   v8uiop_package__internp = keyvars[6];
   if (Null(keyvars[15])) {
    v9error = ECL_T;
   } else {
    v9error = keyvars[7];
   }
  }
  {
   cl_object v10package;
   cl_object v11uiop_package__name;
   cl_object v12uiop_package__nicknames;
   cl_object v13uiop_package__use;
   cl_object v14shadow;
   cl_object v15shadowing_import;
   cl_object v16import;
   cl_object v17export;
   cl_object v18intern;
   value0 = L1find_package_(2, v1uiop_package__package_designator, v9error);
   if ((value0)!=ECL_NIL) { goto L10; }
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L10:;
   v10package = value0;
   goto L8;
L8:;
   v11uiop_package__name = cl_package_name(v10package);
   v12uiop_package__nicknames = cl_package_nicknames(v10package);
   {
    cl_object v19;
    v19 = (ECL_SYM("PACKAGE-NAME",620)->symbol.gfdef);
    {
     cl_object v20;
     cl_object v21;
     cl_object v22;
     v20 = cl_package_use_list(v10package);
     v21 = ECL_NIL;
     v22 = v20;
     {
      cl_object v23;
      cl_object v24;
      v23 = ecl_list1(ECL_NIL);
      v24 = v23;
L21:;
      if (!(ecl_endp(v22))) { goto L23; }
      goto L22;
L23:;
      v21 = _ecl_car(v22);
      {
       cl_object v25;
       v25 = _ecl_cdr(v22);
       if (ecl_unlikely(!ECL_LISTP(v25))) FEtype_error_list(v25);
       v22 = v25;
      }
      {
       cl_object v25;
       v25 = v24;
       if (ecl_unlikely(ECL_ATOM(v25))) FEtype_error_cons(v25);
       T0 = v25;
      }
      T1 = ecl_function_dispatch(cl_env_copy,v19)(1, v21);
      v24 = ecl_list1(T1);
      (ECL_CONS_CDR(T0)=v24,T0);
      goto L21;
L22:;
      v13uiop_package__use = ecl_cdr(v23);
      goto L14;
     }
    }
   }
L14:;
   v14shadow = ECL_NIL;
   v15shadowing_import = cl_make_hash_table(2, ECL_SYM("TEST",1328), ECL_SYM("EQUAL",335));
   v16import = cl_make_hash_table(2, ECL_SYM("TEST",1328), ECL_SYM("EQUAL",335));
   v17export = ECL_NIL;
   v18intern = ECL_NIL;
   if (Null(v10package)) { goto L44; }
   {
    cl_object v19;
    cl_object v20uiop_package__sym;
    v19 = ECL_NIL;
    v20uiop_package__sym = ECL_NIL;
    {
     cl_object v21;
     v21 = si_packages_iterator(3, v10package, VV[62], ECL_T);
     {
      cl_object v22uiop_package__status;
      v22uiop_package__status = ECL_NIL;
L51:;
      value0 = ecl_function_dispatch(cl_env_copy,v21)(0);
      v19 = value0;
      {
       const int v23 = cl_env_copy->nvalues;
       cl_object v24;
       v24 = (v23<=1)? ECL_NIL : cl_env_copy->values[1];
       v20uiop_package__sym = v24;
      }
      if ((value0)!=ECL_NIL) { goto L53; }
      goto L52;
L53:;
      {
       struct ecl_stack_frame _ecl_inner_frame_aux;
       cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
       {
        cl_object v23;
        v23 = _ecl_inner_frame;
        {
         cl_object v24;
         v24 = ECL_SYM("LIST",481);
         cl_env_copy->values[0] = L2find_symbol_(2, v20uiop_package__sym, v10package);
         ecl_stack_frame_push_values(v23);cl_env_copy->values[0]=ecl_apply_from_stack_frame(v23,v24);
         value0 = cl_env_copy->values[0];
        }
       }
       ecl_stack_frame_close(_ecl_inner_frame);
      }
      T0 = value0;
      v22uiop_package__status = ecl_cadr(T0);
      if (!((v22uiop_package__status)==(ECL_NIL))) { goto L68; }
      goto L64;
      goto L66;
L68:;
      goto L66;
L66:;
      if (!(ecl_eql(v22uiop_package__status,ECL_SYM("INHERITED",1262)))) { goto L71; }
      goto L64;
      goto L65;
L71:;
      goto L65;
L65:;
      if (!(ecl_eql(v22uiop_package__status,ECL_SYM("INTERNAL",1270)))) { goto L78; }
      goto L75;
      goto L76;
L78:;
      goto L76;
L76:;
      if (!(ecl_eql(v22uiop_package__status,ECL_SYM("EXTERNAL",1245)))) { goto L73; }
      goto L74;
L75:;
L74:;
      {
       cl_object v23uiop_package__name;
       cl_object v24uiop_package__external;
       cl_object v25uiop_package__home;
       cl_object v26uiop_package__home_name;
       cl_object v27uiop_package__imported;
       cl_object v28uiop_package__shadowing;
       v23uiop_package__name = ecl_symbol_name(v20uiop_package__sym);
       v24uiop_package__external = ecl_make_bool((v22uiop_package__status)==(ECL_SYM("EXTERNAL",1245)));
       v25uiop_package__home = cl_symbol_package(v20uiop_package__sym);
       v26uiop_package__home_name = cl_package_name(v25uiop_package__home);
       {
        bool v29;
        v29 = (v25uiop_package__home)==(v10package);
        v27uiop_package__imported = (v29)?ECL_NIL:ECL_T;
       }
       v28uiop_package__shadowing = L11symbol_shadowing_p(v20uiop_package__sym, v10package);
       if (Null(v28uiop_package__shadowing)) { goto L88; }
       if (Null(v27uiop_package__imported)) { goto L88; }
       {
        cl_object v29;
        T0 = ecl_gethash_safe(v26uiop_package__home_name,v15shadowing_import,ECL_NIL);
        v29 = CONS(v23uiop_package__name,T0);
        si_hash_set(v26uiop_package__home_name, v15shadowing_import, v29);
        goto L87;
       }
L88:;
       if (Null(v28uiop_package__shadowing)) { goto L92; }
       v14shadow = CONS(v23uiop_package__name,v14shadow);
       goto L87;
L92:;
       if (Null(v27uiop_package__imported)) { goto L87; }
       {
        cl_object v30;
        T0 = ecl_gethash_safe(v26uiop_package__home_name,v16import,ECL_NIL);
        v30 = CONS(v23uiop_package__name,T0);
        si_hash_set(v26uiop_package__home_name, v16import, v30);
       }
L87:;
       if (Null(v24uiop_package__external)) { goto L97; }
       v17export = CONS(v23uiop_package__name,v17export);
       goto L64;
L97:;
       if (Null(v27uiop_package__imported)) { goto L100; }
       goto L64;
L100:;
       v18intern = CONS(v23uiop_package__name,v18intern);
       goto L64;
      }
L73:;
      si_ecase_error(v22uiop_package__status, VV[65]);
L64:;
      goto L51;
L52:;
     }
    }
   }
   if (Null(v2uiop_package__nicknamesp)) { goto L107; }
   T1 = LC35sort_names(v12uiop_package__nicknames);
   goto L105;
L107:;
   T1 = ECL_NIL;
   goto L105;
L105:;
   T0 = LC37when_relevant(ECL_SYM("NICKNAMES",1289), T1);
   if (Null(v3uiop_package__usep)) { goto L111; }
   T1 = LC35sort_names(v13uiop_package__use);
   goto L109;
L111:;
   T1 = ECL_NIL;
   goto L109;
L109:;
   T2 = CONS(ECL_SYM("USE",1335),T1);
   if (Null(v4uiop_package__shadowp)) { goto L116; }
   T4 = LC35sort_names(v14shadow);
   goto L114;
L116:;
   T4 = ECL_NIL;
   goto L114;
L114:;
   T3 = LC37when_relevant(ECL_SYM("SHADOW",1318), T4);
   if (Null(v5uiop_package__shadowing_import_p)) { goto L121; }
   T5 = v15shadowing_import;
   goto L119;
L121:;
   T5 = ECL_NIL;
   goto L119;
L119:;
   T4 = LC38import_options(VV[66], T5);
   if (Null(v7uiop_package__importp)) { goto L126; }
   T6 = v16import;
   goto L124;
L126:;
   T6 = ECL_NIL;
   goto L124;
L124:;
   T5 = LC38import_options(ECL_SYM("IMPORT-FROM",1260), T6);
   if (Null(v6uiop_package__exportp)) { goto L131; }
   T7 = LC35sort_names(v17export);
   goto L129;
L131:;
   T7 = ECL_NIL;
   goto L129;
L129:;
   T6 = LC37when_relevant(ECL_SYM("EXPORT",1243), T7);
   if (Null(v8uiop_package__internp)) { goto L136; }
   T8 = LC35sort_names(v18intern);
   goto L134;
L136:;
   T8 = ECL_NIL;
   goto L134;
L134:;
   T7 = LC37when_relevant(ECL_SYM("INTERN",1269), T8);
   T8 = cl_append(5, T3, T4, T5, T6, T7);
   T9 = CONS(T2,T8);
   T10 = ecl_append(T0,T9);
   value0 = cl_listX(3, ECL_SYM("DEFPACKAGE",284), v11uiop_package__name, T10);
   return value0;
L44:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function IMPORT-OPTIONS                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC38import_options(cl_object v1uiop_package__key, cl_object v2uiop_package__table)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4uiop_package__i;
   cl_object v5;
   T0 = LC36table_keys(v2uiop_package__table);
   v3 = LC35sort_names(T0);
   v4uiop_package__i = ECL_NIL;
   {
    cl_object v6;
    v6 = v3;
    if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
    v5 = v6;
   }
   {
    cl_object v6;
    cl_object v7;
    v6 = ecl_list1(ECL_NIL);
    v7 = v6;
L9:;
    if (!(ecl_endp(v5))) { goto L11; }
    goto L10;
L11:;
    v4uiop_package__i = _ecl_car(v5);
    {
     cl_object v8;
     v8 = _ecl_cdr(v5);
     if (ecl_unlikely(!ECL_LISTP(v8))) FEtype_error_list(v8);
     v5 = v8;
    }
    {
     cl_object v8;
     v8 = v7;
     if (ecl_unlikely(ECL_ATOM(v8))) FEtype_error_cons(v8);
     T0 = v8;
    }
    T2 = ecl_gethash_safe(v4uiop_package__i,v2uiop_package__table,ECL_NIL);
    T1 = LC35sort_names(T2);
    T2 = cl_listX(3, v1uiop_package__key, v4uiop_package__i, T1);
    v7 = ecl_list1(T2);
    (ECL_CONS_CDR(T0)=v7,T0);
    goto L9;
L10:;
    value0 = ecl_cdr(v6);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      local function WHEN-RELEVANT                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC37when_relevant(cl_object v1uiop_package__key, cl_object v2uiop_package__value)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(v2uiop_package__value)) { goto L1; }
  T0 = CONS(v1uiop_package__key,v2uiop_package__value);
  value0 = ecl_list1(T0);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function TABLE-KEYS                                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC36table_keys(cl_object v1uiop_package__table)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   cl_object v3uiop_package__k;
   cl_object v4;
   v2 = ECL_NIL;
   v3uiop_package__k = ECL_NIL;
   v4 = ECL_NIL;
   {
    cl_object v5;
    v5 = si_hash_table_iterator(v1uiop_package__table);
    {
     cl_object v6;
     cl_object v7;
     v6 = ecl_list1(ECL_NIL);
     v7 = v6;
L7:;
     {
      cl_object v9;
      cl_object v10;
      cl_object v11;
      value0 = ecl_function_dispatch(cl_env_copy,v5)(0);
      v9 = value0;
      {
       const int v12 = cl_env_copy->nvalues;
       cl_object v13;
       v13 = (v12<=1)? ECL_NIL : cl_env_copy->values[1];
       v10 = v13;
       v13 = (v12<=2)? ECL_NIL : cl_env_copy->values[2];
       v11 = v13;
      }
      if (Null(v9)) { goto L12; }
      v4 = v11;
      v3uiop_package__k = v10;
L12:;
      v2 = v9;
      if ((v2)!=ECL_NIL) { goto L9; }
     }
     goto L8;
L9:;
     {
      cl_object v8;
      v8 = v7;
      if (ecl_unlikely(ECL_ATOM(v8))) FEtype_error_cons(v8);
      T0 = v8;
     }
     v7 = ecl_list1(v3uiop_package__k);
     (ECL_CONS_CDR(T0)=v7,T0);
     goto L7;
L8:;
     value0 = ecl_cdr(v6);
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*      local function SORT-NAMES                                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC35sort_names(cl_object v1uiop_package__names)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_copy_list(v1uiop_package__names);
  T1 = (ECL_SYM("STRING<",820)->symbol.gfdef);
  value0 = cl_sort(2, T0, T1);
  return value0;
 }
}
/*      function definition for ENSURE-SHADOWING-IMPORT               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L40ensure_shadowing_import(cl_object v1uiop_package__name, cl_object v2uiop_package__to_package, cl_object v3uiop_package__from_package, cl_object v4uiop_package__shadowed, cl_object v5uiop_package__imported)
{
 cl_object T0, T1, T2, T3, T4;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v6;
   v6 = v1uiop_package__name;
   if (ECL_STRINGP(v6)) { goto L3; }
   v1uiop_package__name = si_do_check_type(v6, ECL_SYM("STRING",805), ECL_NIL, VV[68]);
L3:;
  }
  {
   cl_object v6;
   v6 = v2uiop_package__to_package;
   if ((cl_packagep(v6))!=ECL_NIL) { goto L8; }
   v2uiop_package__to_package = si_do_check_type(v6, ECL_SYM("PACKAGE",617), ECL_NIL, VV[69]);
L8:;
  }
  {
   cl_object v6;
   v6 = v3uiop_package__from_package;
   if ((cl_packagep(v6))!=ECL_NIL) { goto L13; }
   v3uiop_package__from_package = si_do_check_type(v6, ECL_SYM("PACKAGE",617), ECL_NIL, VV[70]);
L13:;
  }
  {
   cl_object v6;
   v6 = v4uiop_package__shadowed;
   if ((cl_hash_table_p(v6))!=ECL_NIL) { goto L18; }
   v4uiop_package__shadowed = si_do_check_type(v6, ECL_SYM("HASH-TABLE",418), ECL_NIL, VV[71]);
L18:;
  }
  {
   cl_object v6;
   v6 = v5uiop_package__imported;
   if ((cl_hash_table_p(v6))!=ECL_NIL) { goto L23; }
   v5uiop_package__imported = si_do_check_type(v6, ECL_SYM("HASH-TABLE",418), ECL_NIL, VV[72]);
L23:;
  }
  {
   cl_object v6uiop_package__import_me;
   v6uiop_package__import_me = L2find_symbol_(2, v1uiop_package__name, v3uiop_package__from_package);
   {
    cl_object v8;                                 /*  EXISTING        */
    cl_object v9;                                 /*  STATUS          */
    value0 = cl_find_symbol(2, v1uiop_package__name, v2uiop_package__to_package);
    v8 = value0;
    v9 = cl_env_copy->values[1];
    if (Null(ecl_gethash_safe(v1uiop_package__name,v4uiop_package__shadowed,ECL_NIL))) { goto L28; }
    if ((v6uiop_package__import_me)==(v8)) { goto L30; }
    value0 = cl_error(2, VV[73], v1uiop_package__name);
    return value0;
L30:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
L28:;
    si_hash_set(v1uiop_package__name, v4uiop_package__shadowed, ECL_T);
    si_hash_set(v1uiop_package__name, v5uiop_package__imported, ECL_T);
    if (v9==ECL_NIL) { goto L34; }
    if (!((v9)==(ECL_SYM("INTERNAL",1270)))) { goto L43; }
    goto L40;
    goto L41;
L43:;
    goto L41;
L41:;
    if (!((v9)==(ECL_SYM("EXTERNAL",1245)))) { goto L38; }
    goto L39;
L40:;
L39:;
    if (!((v8)==(v6uiop_package__import_me))) { goto L38; }
    if ((L11symbol_shadowing_p(v8, v2uiop_package__to_package))!=ECL_NIL) { goto L34; }
    goto L35;
L38:;
    goto L35;
L35:;
    if (Null(ecl_symbol_value(VV[32]))) { goto L34; }
    T0 = cl_package_name(v3uiop_package__from_package);
    value0 = L12home_package_p(v6uiop_package__import_me, v3uiop_package__from_package);
    if ((value0)!=ECL_NIL) { goto L50; }
    T1 = L13symbol_package_name(v6uiop_package__import_me);
    goto L48;
L50:;
    T1 = value0;
    goto L48;
L48:;
    T2 = cl_package_name(v2uiop_package__to_package);
    if (Null(v9)) { goto L54; }
    value0 = L12home_package_p(v8, v2uiop_package__to_package);
    if ((value0)!=ECL_NIL) { goto L57; }
    T3 = L13symbol_package_name(v8);
    goto L52;
L57:;
    T3 = value0;
    goto L52;
L54:;
    T3 = ECL_NIL;
    goto L52;
L52:;
    T4 = cl_list(7, ECL_SYM("SHADOWING-IMPORT",1319), v1uiop_package__name, T0, T1, T2, v9, T3);
    L19record_fishy(T4);
L34:;
    value0 = L7shadowing_import_(v6uiop_package__import_me, v2uiop_package__to_package);
    return value0;
   }
  }
 }
}
/*      function definition for ENSURE-IMPORTED                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L41ensure_imported(cl_narg narg, cl_object v1uiop_package__import_me, cl_object v2uiop_package__into_package, ...)
{
 cl_object T0, T1, T2, T3, T4;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3uiop_package__from_package;
  va_list args; va_start(args,v2uiop_package__into_package);
  {
   int i = 2;
   if (i >= narg) {
    v3uiop_package__from_package = ECL_NIL;
   } else {
    i++;
    v3uiop_package__from_package = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object v4;
   v4 = v1uiop_package__import_me;
   if (ECL_SYMBOLP(v4)) { goto L4; }
   v1uiop_package__import_me = si_do_check_type(v4, ECL_SYM("SYMBOL",840), ECL_NIL, VV[75]);
L4:;
  }
  {
   cl_object v4;
   v4 = v2uiop_package__into_package;
   if ((cl_packagep(v4))!=ECL_NIL) { goto L9; }
   v2uiop_package__into_package = si_do_check_type(v4, ECL_SYM("PACKAGE",617), ECL_NIL, VV[76]);
L9:;
  }
  {
   cl_object v4;
   v4 = v3uiop_package__from_package;
   if (v4==ECL_NIL) { goto L14; }
   if ((cl_packagep(v4))!=ECL_NIL) { goto L14; }
   v3uiop_package__from_package = si_do_check_type(v4, VV[77], ECL_NIL, VV[70]);
L14:;
  }
  {
   cl_object v4uiop_package__name;
   v4uiop_package__name = ecl_symbol_name(v1uiop_package__import_me);
   {
    cl_object v6;                                 /*  EXISTING        */
    cl_object v7;                                 /*  STATUS          */
    value0 = cl_find_symbol(2, v4uiop_package__name, v2uiop_package__into_package);
    v6 = value0;
    v7 = cl_env_copy->values[1];
    if ((v7)!=ECL_NIL) { goto L21; }
    L6import_(v1uiop_package__import_me, v2uiop_package__into_package);
    goto L18;
L21:;
    {
     cl_object v8;
     v8 = ecl_make_bool((v1uiop_package__import_me)==(v6));
     if (Null(v8)) { goto L24; }
     goto L18;
L24:;
     {
      cl_object v9uiop_package__shadowing_p;
      v9uiop_package__shadowing_p = L11symbol_shadowing_p(v6, v2uiop_package__into_package);
      if (Null(ecl_symbol_value(VV[32]))) { goto L27; }
      if (Null(v3uiop_package__from_package)) { goto L31; }
      T0 = cl_package_name(v3uiop_package__from_package);
      goto L29;
L31:;
      T0 = ECL_NIL;
      goto L29;
L29:;
      value0 = L12home_package_p(v1uiop_package__import_me, v3uiop_package__from_package);
      if ((value0)!=ECL_NIL) { goto L35; }
      T1 = L13symbol_package_name(v1uiop_package__import_me);
      goto L33;
L35:;
      T1 = value0;
      goto L33;
L33:;
      T2 = cl_package_name(v2uiop_package__into_package);
      if (Null(v7)) { goto L39; }
      value0 = L12home_package_p(v6, v2uiop_package__into_package);
      if ((value0)!=ECL_NIL) { goto L42; }
      T3 = L13symbol_package_name(v6);
      goto L37;
L42:;
      T3 = value0;
      goto L37;
L39:;
      T3 = ECL_NIL;
      goto L37;
L37:;
      T4 = cl_list(8, VV[78], v4uiop_package__name, T0, T1, T2, v7, T3, v9uiop_package__shadowing_p);
      L19record_fishy(T4);
L27:;
      if ((v9uiop_package__shadowing_p)!=ECL_NIL) { goto L46; }
      if (!((v7)==(ECL_SYM("INHERITED",1262)))) { goto L44; }
      goto L45;
L46:;
L45:;
      L7shadowing_import_(v1uiop_package__import_me, v2uiop_package__into_package);
      goto L18;
L44:;
      L10unintern_(2, v6, v2uiop_package__into_package);
      L6import_(v1uiop_package__import_me, v2uiop_package__into_package);
     }
    }
   }
  }
L18:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 0;
  return value0;
 }
}
/*      function definition for ENSURE-IMPORT                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L42ensure_import(cl_object v1uiop_package__name, cl_object v2uiop_package__to_package, cl_object v3uiop_package__from_package, cl_object v4uiop_package__shadowed, cl_object v5uiop_package__imported)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v6;
   v6 = v1uiop_package__name;
   if (ECL_STRINGP(v6)) { goto L3; }
   v1uiop_package__name = si_do_check_type(v6, ECL_SYM("STRING",805), ECL_NIL, VV[68]);
L3:;
  }
  {
   cl_object v6;
   v6 = v2uiop_package__to_package;
   if ((cl_packagep(v6))!=ECL_NIL) { goto L8; }
   v2uiop_package__to_package = si_do_check_type(v6, ECL_SYM("PACKAGE",617), ECL_NIL, VV[69]);
L8:;
  }
  {
   cl_object v6;
   v6 = v3uiop_package__from_package;
   if ((cl_packagep(v6))!=ECL_NIL) { goto L13; }
   v3uiop_package__from_package = si_do_check_type(v6, ECL_SYM("PACKAGE",617), ECL_NIL, VV[70]);
L13:;
  }
  {
   cl_object v6;
   v6 = v4uiop_package__shadowed;
   if ((cl_hash_table_p(v6))!=ECL_NIL) { goto L18; }
   v4uiop_package__shadowed = si_do_check_type(v6, ECL_SYM("HASH-TABLE",418), ECL_NIL, VV[71]);
L18:;
  }
  {
   cl_object v6;
   v6 = v5uiop_package__imported;
   if ((cl_hash_table_p(v6))!=ECL_NIL) { goto L23; }
   v5uiop_package__imported = si_do_check_type(v6, ECL_SYM("HASH-TABLE",418), ECL_NIL, VV[72]);
L23:;
  }
  {
   cl_object v7;                                  /*  IMPORT-ME       */
   cl_object v8;                                  /*  IMPORT-STATUS   */
   value0 = cl_find_symbol(2, v1uiop_package__name, v3uiop_package__from_package);
   v7 = value0;
   v8 = cl_env_copy->values[1];
   if (!(v8==ECL_NIL)) { goto L27; }
   if (Null(ecl_symbol_value(VV[32]))) { goto L29; }
   T0 = cl_package_name(v3uiop_package__from_package);
   T1 = cl_package_name(v2uiop_package__to_package);
   T2 = cl_list(4, VV[80], v1uiop_package__name, T0, T1);
   L19record_fishy(T2);
L29:;
   v7 = L4intern_(2, v1uiop_package__name, v3uiop_package__from_package);
L27:;
   {
    cl_object v10;                                /*  EXISTING        */
    cl_object v11;                                /*  STATUS          */
    value0 = cl_find_symbol(2, v1uiop_package__name, v2uiop_package__to_package);
    v10 = value0;
    v11 = cl_env_copy->values[1];
    if (Null(v5uiop_package__imported)) { goto L34; }
    if (Null(ecl_gethash_safe(v1uiop_package__name,v5uiop_package__imported,ECL_NIL))) { goto L34; }
    if (Null(v11)) { goto L39; }
    if ((v7)==(v10)) { goto L32; }
    goto L37;
L39:;
    goto L37;
L37:;
    T0 = cl_symbol_package(v10);
    T1 = cl_package_name(T0);
    T2 = cl_package_name(v3uiop_package__from_package);
    cl_error(4, VV[81], v1uiop_package__name, T1, T2);
    goto L32;
L34:;
    if (Null(ecl_gethash_safe(v1uiop_package__name,v4uiop_package__shadowed,ECL_NIL))) { goto L41; }
    T0 = cl_package_name(v3uiop_package__from_package);
    cl_error(3, VV[82], v1uiop_package__name, T0);
    goto L32;
L41:;
    si_hash_set(v1uiop_package__name, v5uiop_package__imported, ECL_T);
   }
L32:;
   value0 = L41ensure_imported(3, v7, v2uiop_package__to_package, v3uiop_package__from_package);
   return value0;
  }
 }
}
/*      function definition for ENSURE-INHERITED                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L43ensure_inherited(cl_object v1uiop_package__name, cl_object v2symbol, cl_object v3uiop_package__to_package, cl_object v4uiop_package__from_package, cl_object v5uiop_package__mixp, cl_object v6uiop_package__shadowed, cl_object v7uiop_package__imported, cl_object v8uiop_package__inherited)
{
 cl_object T0, T1, T2, T3, T4;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v9;
   v9 = v1uiop_package__name;
   if (ECL_STRINGP(v9)) { goto L3; }
   v1uiop_package__name = si_do_check_type(v9, ECL_SYM("STRING",805), ECL_NIL, VV[68]);
L3:;
  }
  {
   cl_object v9;
   v9 = v2symbol;
   if (ECL_SYMBOLP(v9)) { goto L8; }
   v2symbol = si_do_check_type(v9, ECL_SYM("SYMBOL",840), ECL_NIL, ECL_SYM("SYMBOL",840));
L8:;
  }
  {
   cl_object v9;
   v9 = v3uiop_package__to_package;
   if ((cl_packagep(v9))!=ECL_NIL) { goto L13; }
   v3uiop_package__to_package = si_do_check_type(v9, ECL_SYM("PACKAGE",617), ECL_NIL, VV[69]);
L13:;
  }
  {
   cl_object v9;
   v9 = v4uiop_package__from_package;
   if ((cl_packagep(v9))!=ECL_NIL) { goto L18; }
   v4uiop_package__from_package = si_do_check_type(v9, ECL_SYM("PACKAGE",617), ECL_NIL, VV[70]);
L18:;
  }
  {
   cl_object v9;
   v9 = v5uiop_package__mixp;
   if (!((v9)==(ECL_NIL))) { goto L27; }
   goto L23;
   goto L25;
L27:;
   goto L25;
L25:;
   if (!(ecl_eql(v9,ECL_T))) { goto L30; }
   goto L23;
   goto L24;
L30:;
   goto L24;
L24:;
   v5uiop_package__mixp = si_do_check_type(v9, VV[86], ECL_NIL, VV[87]);
L23:;
  }
  {
   cl_object v9;
   v9 = v6uiop_package__shadowed;
   if ((cl_hash_table_p(v9))!=ECL_NIL) { goto L35; }
   v6uiop_package__shadowed = si_do_check_type(v9, ECL_SYM("HASH-TABLE",418), ECL_NIL, VV[71]);
L35:;
  }
  {
   cl_object v9;
   v9 = v7uiop_package__imported;
   if ((cl_hash_table_p(v9))!=ECL_NIL) { goto L40; }
   v7uiop_package__imported = si_do_check_type(v9, ECL_SYM("HASH-TABLE",418), ECL_NIL, VV[72]);
L40:;
  }
  {
   cl_object v9;
   v9 = v8uiop_package__inherited;
   if ((cl_hash_table_p(v9))!=ECL_NIL) { goto L45; }
   v8uiop_package__inherited = si_do_check_type(v9, ECL_SYM("HASH-TABLE",418), ECL_NIL, VV[88]);
L45:;
  }
  {
   cl_object v10;                                 /*  EXISTING        */
   cl_object v11;                                 /*  STATUS          */
   value0 = cl_find_symbol(2, v1uiop_package__name, v3uiop_package__to_package);
   v10 = value0;
   v11 = cl_env_copy->values[1];
   {
    cl_object v12uiop_package__sp;
    cl_object v13uiop_package__in;
    cl_object v14uiop_package__xp;
    v12uiop_package__sp = cl_symbol_package(v2symbol);
    v13uiop_package__in = ecl_gethash_safe(v1uiop_package__name,v8uiop_package__inherited,ECL_NIL);
    if (Null(v11)) { goto L53; }
    v14uiop_package__xp = cl_symbol_package(v10);
    goto L51;
L53:;
    v14uiop_package__xp = ECL_NIL;
    goto L51;
L51:;
    if (!(v12uiop_package__sp==ECL_NIL)) { goto L55; }
    if (Null(ecl_symbol_value(VV[32]))) { goto L57; }
    T0 = cl_package_name(v4uiop_package__from_package);
    T1 = cl_package_name(v3uiop_package__to_package);
    T2 = cl_list(5, VV[80], v1uiop_package__name, T0, T1, v5uiop_package__mixp);
    L19record_fishy(T2);
L57:;
    L6import_(v2symbol, v4uiop_package__from_package);
    v12uiop_package__sp = cl_package_name(v4uiop_package__from_package);
L55:;
    {
     cl_object v15;
     v15 = ecl_gethash_safe(v1uiop_package__name,v6uiop_package__shadowed,ECL_NIL);
     if (Null(v15)) { goto L62; }
     value0 = v15;
     cl_env_copy->nvalues = 1;
     return value0;
L62:;
     if (Null(v13uiop_package__in)) { goto L64; }
     T0 = ecl_car(v13uiop_package__in);
     if (ecl_equal(v12uiop_package__sp,T0)) { goto L66; }
     if (Null(v5uiop_package__mixp)) { goto L68; }
     T0 = ecl_cadr(v13uiop_package__in);
     value0 = L40ensure_shadowing_import(v1uiop_package__name, v3uiop_package__to_package, T0, v6uiop_package__shadowed, v7uiop_package__imported);
     return value0;
L68:;
     T0 = cl_package_name(v12uiop_package__sp);
     T1 = ecl_car(v13uiop_package__in);
     T2 = cl_package_name(T1);
     value0 = cl_error(4, VV[89], v1uiop_package__name, T0, T2);
     return value0;
L66:;
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 1;
     return value0;
L64:;
     if (Null(ecl_gethash_safe(v1uiop_package__name,v7uiop_package__imported,ECL_NIL))) { goto L70; }
     if ((v2symbol)==(v10)) { goto L72; }
     T0 = cl_package_name(v12uiop_package__sp);
     T1 = cl_package_name(v14uiop_package__xp);
     value0 = cl_error(4, VV[90], v1uiop_package__name, T0, T1);
     return value0;
L72:;
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 1;
     return value0;
L70:;
     T0 = cl_list(2, v12uiop_package__sp, v4uiop_package__from_package);
     si_hash_set(v1uiop_package__name, v8uiop_package__inherited, T0);
     if (Null(v11)) { goto L75; }
     if ((v12uiop_package__sp)==(v14uiop_package__xp)) { goto L75; }
     {
      cl_object v16uiop_package__shadowing;
      v16uiop_package__shadowing = L11symbol_shadowing_p(v10, v3uiop_package__to_package);
      if (Null(ecl_symbol_value(VV[32]))) { goto L79; }
      T0 = cl_package_name(v4uiop_package__from_package);
      value0 = L12home_package_p(v2symbol, v4uiop_package__from_package);
      if ((value0)!=ECL_NIL) { goto L83; }
      T1 = L13symbol_package_name(v2symbol);
      goto L81;
L83:;
      T1 = value0;
      goto L81;
L81:;
      T2 = cl_package_name(v3uiop_package__to_package);
      value0 = L12home_package_p(v10, v3uiop_package__to_package);
      if ((value0)!=ECL_NIL) { goto L87; }
      T3 = L13symbol_package_name(v10);
      goto L85;
L87:;
      T3 = value0;
      goto L85;
L85:;
      T4 = cl_list(6, ECL_SYM("INHERITED",1262), v1uiop_package__name, T0, T1, T2, T3);
      L19record_fishy(T4);
L79:;
      if (Null(v16uiop_package__shadowing)) { goto L89; }
      value0 = L40ensure_shadowing_import(v1uiop_package__name, v3uiop_package__to_package, v4uiop_package__from_package, v6uiop_package__shadowed, v7uiop_package__imported);
      return value0;
L89:;
      value0 = L10unintern_(2, v10, v3uiop_package__to_package);
      return value0;
     }
L75:;
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*      function definition for ENSURE-MIX                            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L44ensure_mix(cl_object v1uiop_package__name, cl_object v2symbol, cl_object v3uiop_package__to_package, cl_object v4uiop_package__from_package, cl_object v5uiop_package__shadowed, cl_object v6uiop_package__imported, cl_object v7uiop_package__inherited)
{
 cl_object T0, T1, T2, T3, T4, T5;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v8;
   v8 = v1uiop_package__name;
   if (ECL_STRINGP(v8)) { goto L3; }
   v1uiop_package__name = si_do_check_type(v8, ECL_SYM("STRING",805), ECL_NIL, VV[68]);
L3:;
  }
  {
   cl_object v8;
   v8 = v2symbol;
   if (ECL_SYMBOLP(v8)) { goto L8; }
   v2symbol = si_do_check_type(v8, ECL_SYM("SYMBOL",840), ECL_NIL, ECL_SYM("SYMBOL",840));
L8:;
  }
  {
   cl_object v8;
   v8 = v3uiop_package__to_package;
   if ((cl_packagep(v8))!=ECL_NIL) { goto L13; }
   v3uiop_package__to_package = si_do_check_type(v8, ECL_SYM("PACKAGE",617), ECL_NIL, VV[69]);
L13:;
  }
  {
   cl_object v8;
   v8 = v4uiop_package__from_package;
   if ((cl_packagep(v8))!=ECL_NIL) { goto L18; }
   v4uiop_package__from_package = si_do_check_type(v8, ECL_SYM("PACKAGE",617), ECL_NIL, VV[70]);
L18:;
  }
  {
   cl_object v8;
   v8 = v5uiop_package__shadowed;
   if ((cl_hash_table_p(v8))!=ECL_NIL) { goto L23; }
   v5uiop_package__shadowed = si_do_check_type(v8, ECL_SYM("HASH-TABLE",418), ECL_NIL, VV[71]);
L23:;
  }
  {
   cl_object v8;
   v8 = v6uiop_package__imported;
   if ((cl_hash_table_p(v8))!=ECL_NIL) { goto L28; }
   v6uiop_package__imported = si_do_check_type(v8, ECL_SYM("HASH-TABLE",418), ECL_NIL, VV[72]);
L28:;
  }
  {
   cl_object v8;
   v8 = v7uiop_package__inherited;
   if ((cl_hash_table_p(v8))!=ECL_NIL) { goto L33; }
   v7uiop_package__inherited = si_do_check_type(v8, ECL_SYM("HASH-TABLE",418), ECL_NIL, VV[88]);
L33:;
  }
  if ((ecl_gethash_safe(v1uiop_package__name,v5uiop_package__shadowed,ECL_NIL))!=ECL_NIL) { goto L36; }
  {
   cl_object v9;                                  /*  EXISTING        */
   cl_object v10;                                 /*  STATUS          */
   value0 = cl_find_symbol(2, v1uiop_package__name, v3uiop_package__to_package);
   v9 = value0;
   v10 = cl_env_copy->values[1];
   {
    cl_object v11uiop_package__sp;
    cl_object v12uiop_package__im;
    cl_object v13uiop_package__in;
    v11uiop_package__sp = cl_symbol_package(v2symbol);
    v12uiop_package__im = ecl_gethash_safe(v1uiop_package__name,v6uiop_package__imported,ECL_NIL);
    v13uiop_package__in = ecl_gethash_safe(v1uiop_package__name,v7uiop_package__inherited,ECL_NIL);
    if (v10==ECL_NIL) { goto L44; }
    if (Null(v10)) { goto L48; }
    if ((v2symbol)==(v9)) { goto L44; }
    goto L46;
L48:;
    goto L46;
L46:;
    if (Null(v13uiop_package__in)) { goto L42; }
    T0 = ecl_car(v13uiop_package__in);
    if (!((v11uiop_package__sp)==(T0))) { goto L42; }
    goto L43;
L44:;
L43:;
    value0 = L43ensure_inherited(v1uiop_package__name, v2symbol, v3uiop_package__to_package, v4uiop_package__from_package, ECL_T, v5uiop_package__shadowed, v6uiop_package__imported, v7uiop_package__inherited);
    return value0;
L42:;
    if (Null(v13uiop_package__in)) { goto L51; }
    cl_remhash(v1uiop_package__name, v7uiop_package__inherited);
    T0 = ecl_cadr(v13uiop_package__in);
    value0 = L40ensure_shadowing_import(v1uiop_package__name, v3uiop_package__to_package, T0, v5uiop_package__shadowed, v6uiop_package__imported);
    return value0;
L51:;
    if (Null(v12uiop_package__im)) { goto L54; }
    T0 = cl_package_name(v4uiop_package__from_package);
    T1 = L12home_package_p(v2symbol, v4uiop_package__from_package);
    T2 = L13symbol_package_name(v2symbol);
    T3 = cl_package_name(v3uiop_package__to_package);
    T4 = L12home_package_p(v9, v3uiop_package__to_package);
    T5 = L13symbol_package_name(v9);
    value0 = cl_error(8, VV[92], v1uiop_package__name, T0, T1, T2, T3, T4, T5);
    return value0;
L54:;
    value0 = L43ensure_inherited(v1uiop_package__name, v2symbol, v3uiop_package__to_package, v4uiop_package__from_package, ECL_T, v5uiop_package__shadowed, v6uiop_package__imported, v7uiop_package__inherited);
    return value0;
   }
  }
L36:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for RECYCLE-SYMBOL                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L45recycle_symbol(cl_object v1uiop_package__name, cl_object v2uiop_package__recycle, cl_object v3uiop_package__exported)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v4;
   v4 = v1uiop_package__name;
   if (ECL_STRINGP(v4)) { goto L3; }
   v1uiop_package__name = si_do_check_type(v4, ECL_SYM("STRING",805), ECL_NIL, VV[68]);
L3:;
  }
  {
   cl_object v4;
   v4 = v2uiop_package__recycle;
   if (ECL_LISTP(v4)) { goto L8; }
   v2uiop_package__recycle = si_do_check_type(v4, ECL_SYM("LIST",481), ECL_NIL, VV[94]);
L8:;
  }
  {
   cl_object v4;
   v4 = v3uiop_package__exported;
   if ((cl_hash_table_p(v4))!=ECL_NIL) { goto L13; }
   v3uiop_package__exported = si_do_check_type(v4, ECL_SYM("HASH-TABLE",418), ECL_NIL, VV[95]);
L13:;
  }
  if (Null(ecl_gethash_safe(v1uiop_package__name,v3uiop_package__exported,ECL_NIL))) { goto L16; }
  {
   cl_object v4uiop_package__recycled;
   cl_object v5uiop_package__foundp;
   v4uiop_package__recycled = ECL_NIL;
   v5uiop_package__foundp = ECL_NIL;
   {
    cl_object v6;
    v6 = v2uiop_package__recycle;
    goto L23;
L22:;
    {
     cl_object v7uiop_package__r;
     v7uiop_package__r = ecl_car(v6);
     {
      cl_object v9;                               /*  SYMBOL          */
      cl_object v10;                              /*  STATUS          */
      value0 = cl_find_symbol(2, v1uiop_package__name, v7uiop_package__r);
      v9 = value0;
      v10 = cl_env_copy->values[1];
      if (Null(v10)) { goto L27; }
      if (Null(L12home_package_p(v9, v7uiop_package__r))) { goto L27; }
      if (Null(v5uiop_package__foundp)) { goto L31; }
      if (Null(ecl_symbol_value(VV[32]))) { goto L27; }
      T0 = cl_package_name(v5uiop_package__foundp);
      T1 = cl_package_name(v7uiop_package__r);
      T2 = cl_list(4, VV[96], v1uiop_package__name, T0, T1);
      L19record_fishy(T2);
      goto L27;
L31:;
      v4uiop_package__recycled = v9;
      v5uiop_package__foundp = v7uiop_package__r;
     }
L27:;
    }
    v6 = ecl_cdr(v6);
L23:;
    if (Null(v6)) { goto L39; }
    goto L22;
L39:;
    cl_env_copy->nvalues = 2;
    cl_env_copy->values[1] = v5uiop_package__foundp;
    cl_env_copy->values[0] = v4uiop_package__recycled;
    return cl_env_copy->values[0];
   }
  }
L16:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SYMBOL-RECYCLED-P                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L46symbol_recycled_p(cl_object v1uiop_package__sym, cl_object v2uiop_package__recycle)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = v1uiop_package__sym;
   if (ECL_SYMBOLP(v3)) { goto L3; }
   v1uiop_package__sym = si_do_check_type(v3, ECL_SYM("SYMBOL",840), ECL_NIL, VV[98]);
L3:;
  }
  {
   cl_object v3;
   v3 = v2uiop_package__recycle;
   if (ECL_LISTP(v3)) { goto L8; }
   v2uiop_package__recycle = si_do_check_type(v3, ECL_SYM("LIST",481), ECL_NIL, VV[94]);
L8:;
  }
  T0 = cl_symbol_package(v1uiop_package__sym);
  if (Null(ecl_memql(T0,v2uiop_package__recycle))) { goto L12; }
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
L12:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for ENSURE-SYMBOL                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L47ensure_symbol(cl_object v1uiop_package__name, cl_object v2package, cl_object v3intern, cl_object v4uiop_package__recycle, cl_object v5uiop_package__shadowed, cl_object v6uiop_package__imported, cl_object v7uiop_package__inherited, cl_object v8uiop_package__exported)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v9;
   v9 = v1uiop_package__name;
   if (ECL_STRINGP(v9)) { goto L3; }
   v1uiop_package__name = si_do_check_type(v9, ECL_SYM("STRING",805), ECL_NIL, VV[68]);
L3:;
  }
  {
   cl_object v9;
   v9 = v2package;
   if ((cl_packagep(v9))!=ECL_NIL) { goto L8; }
   v2package = si_do_check_type(v9, ECL_SYM("PACKAGE",617), ECL_NIL, ECL_SYM("PACKAGE",617));
L8:;
  }
  {
   cl_object v9;
   v9 = v3intern;
   if (!((v9)==(ECL_NIL))) { goto L17; }
   goto L13;
   goto L15;
L17:;
   goto L15;
L15:;
   if (!(ecl_eql(v9,ECL_T))) { goto L20; }
   goto L13;
   goto L14;
L20:;
   goto L14;
L14:;
   v3intern = si_do_check_type(v9, VV[86], ECL_NIL, ECL_SYM("INTERN",442));
L13:;
  }
  {
   cl_object v9;
   v9 = v5uiop_package__shadowed;
   if ((cl_hash_table_p(v9))!=ECL_NIL) { goto L25; }
   v5uiop_package__shadowed = si_do_check_type(v9, ECL_SYM("HASH-TABLE",418), ECL_NIL, VV[71]);
L25:;
  }
  {
   cl_object v9;
   v9 = v6uiop_package__imported;
   if ((cl_hash_table_p(v9))!=ECL_NIL) { goto L30; }
   v6uiop_package__imported = si_do_check_type(v9, ECL_SYM("HASH-TABLE",418), ECL_NIL, VV[72]);
L30:;
  }
  {
   cl_object v9;
   v9 = v7uiop_package__inherited;
   if ((cl_hash_table_p(v9))!=ECL_NIL) { goto L35; }
   v7uiop_package__inherited = si_do_check_type(v9, ECL_SYM("HASH-TABLE",418), ECL_NIL, VV[88]);
L35:;
  }
  if ((ecl_gethash_safe(v1uiop_package__name,v5uiop_package__shadowed,ECL_NIL))!=ECL_NIL) { goto L38; }
  if ((ecl_gethash_safe(v1uiop_package__name,v6uiop_package__imported,ECL_NIL))!=ECL_NIL) { goto L38; }
  if ((ecl_gethash_safe(v1uiop_package__name,v7uiop_package__inherited,ECL_NIL))!=ECL_NIL) { goto L38; }
  {
   cl_object v10;                                 /*  EXISTING        */
   cl_object v11;                                 /*  STATUS          */
   value0 = cl_find_symbol(2, v1uiop_package__name, v2package);
   v10 = value0;
   v11 = cl_env_copy->values[1];
   {
    cl_object v13;                                /*  RECYCLED        */
    cl_object v14;                                /*  PREVIOUS        */
    value0 = L45recycle_symbol(v1uiop_package__name, v4uiop_package__recycle, v8uiop_package__exported);
    v13 = value0;
    {
     const int v15 = cl_env_copy->nvalues;
     cl_object v16;
     v16 = (v15<=1)? ECL_NIL : cl_env_copy->values[1];
     v14 = v16;
    }
    {
     cl_object v15;
     if (Null(v11)) { goto L46; }
     if (!((v10)==(v13))) { goto L46; }
     v15 = ecl_make_bool((v14)==(v2package));
     goto L44;
L46:;
     v15 = ECL_NIL;
     goto L44;
L44:;
     if (Null(v15)) { goto L49; }
     value0 = v15;
     cl_env_copy->nvalues = 1;
     return value0;
L49:;
     if (Null(v14)) { goto L51; }
     value0 = L28rehome_symbol(v13, v2package);
     return value0;
L51:;
     {
      cl_object v16;
      if (Null(v11)) { goto L55; }
      T0 = cl_symbol_package(v10);
      v16 = ecl_make_bool((v2package)==(T0));
      goto L53;
L55:;
      v16 = ECL_NIL;
      goto L53;
L53:;
      if (Null(v16)) { goto L57; }
      value0 = v16;
      cl_env_copy->nvalues = 1;
      return value0;
L57:;
      if (Null(v11)) { goto L59; }
      if (Null(ecl_symbol_value(VV[32]))) { goto L61; }
      T0 = cl_symbol_package(v10);
      T1 = L15reify_package(2, T0, v2package);
      T2 = cl_list(5, VV[100], v1uiop_package__name, T1, v11, v3intern);
      L19record_fishy(T2);
L61:;
      cl_unintern(1, v10);
L59:;
      if (Null(v3intern)) { goto L63; }
      value0 = L4intern_(2, v1uiop_package__name, v2package);
      return value0;
L63:;
      value0 = ECL_NIL;
      cl_env_copy->nvalues = 1;
      return value0;
     }
    }
   }
  }
L38:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for ENSURE-EXPORTED-TO-USER               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L48ensure_exported_to_user(cl_narg narg, cl_object v1uiop_package__name, cl_object v2symbol, cl_object v3uiop_package__to_package, ...)
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
 {
  cl_object v4uiop_package__recycle;
  va_list args; va_start(args,v3uiop_package__to_package);
  {
   int i = 3;
   if (i >= narg) {
    v4uiop_package__recycle = ECL_NIL;
   } else {
    i++;
    v4uiop_package__recycle = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object v5;
   v5 = v1uiop_package__name;
   if (ECL_STRINGP(v5)) { goto L4; }
   v1uiop_package__name = si_do_check_type(v5, ECL_SYM("STRING",805), ECL_NIL, VV[68]);
L4:;
  }
  {
   cl_object v5;
   v5 = v2symbol;
   if (ECL_SYMBOLP(v5)) { goto L9; }
   v2symbol = si_do_check_type(v5, ECL_SYM("SYMBOL",840), ECL_NIL, ECL_SYM("SYMBOL",840));
L9:;
  }
  {
   cl_object v5;
   v5 = v3uiop_package__to_package;
   if ((cl_packagep(v5))!=ECL_NIL) { goto L14; }
   v3uiop_package__to_package = si_do_check_type(v5, ECL_SYM("PACKAGE",617), ECL_NIL, VV[69]);
L14:;
  }
  {
   cl_object v5;
   v5 = v4uiop_package__recycle;
   if (ECL_LISTP(v5)) { goto L19; }
   v4uiop_package__recycle = si_do_check_type(v5, ECL_SYM("LIST",481), ECL_NIL, VV[94]);
L19:;
  }
  goto L24;
L23:;
  si_assert_failure(1, VV[102]);
L24:;
  T0 = ecl_symbol_name(v2symbol);
  if (ecl_equal(v1uiop_package__name,T0)) { goto L27; }
  goto L23;
L27:;
  {
   cl_object v6;                                  /*  EXISTING        */
   cl_object v7;                                  /*  STATUS          */
   value0 = cl_find_symbol(2, v1uiop_package__name, v3uiop_package__to_package);
   v6 = value0;
   v7 = cl_env_copy->values[1];
   if (Null(v7)) { goto L33; }
   if ((v2symbol)==(v6)) { goto L30; }
   goto L31;
L33:;
   goto L31;
L31:;
   {
    cl_object v8uiop_package__accessible;
    value0 = ecl_make_bool(v7==ECL_NIL);
    if ((value0)!=ECL_NIL) { goto L37; }
    {
     cl_object v9;
     cl_object v10;
     v9 = L11symbol_shadowing_p(v6, v3uiop_package__to_package);
     v10 = L46symbol_recycled_p(v6, v4uiop_package__recycle);
     if (Null(v9)) { goto L44; }
     if (Null(v10)) { goto L41; }
     goto L42;
L44:;
     goto L42;
L42:;
     if (Null(ecl_symbol_value(VV[32]))) { goto L46; }
     T0 = L13symbol_package_name(v2symbol);
     T1 = cl_package_name(v3uiop_package__to_package);
     value0 = L12home_package_p(v6, v3uiop_package__to_package);
     if ((value0)!=ECL_NIL) { goto L50; }
     T2 = L13symbol_package_name(v6);
     goto L48;
L50:;
     T2 = value0;
     goto L48;
L48:;
     T3 = cl_list(7, VV[103], v1uiop_package__name, T0, T1, T2, v7, v9);
     L19record_fishy(T3);
L46:;
     if ((v7)==(ECL_SYM("INHERITED",1262))) { goto L55; }
     if (Null(v9)) { goto L53; }
     goto L54;
L55:;
L54:;
     L7shadowing_import_(v2symbol, v3uiop_package__to_package);
     goto L52;
L53:;
     cl_unintern(2, v6, v3uiop_package__to_package);
L52:;
     v8uiop_package__accessible = ECL_T;
     goto L35;
L41:;
     v8uiop_package__accessible = ECL_NIL;
     goto L35;
    }
L37:;
    v8uiop_package__accessible = value0;
    goto L35;
L35:;
    if (Null(v8uiop_package__accessible)) { goto L57; }
    if (!((v7)==(ECL_SYM("EXTERNAL",1245)))) { goto L57; }
    value0 = L49ensure_exported(4, v1uiop_package__name, v2symbol, v3uiop_package__to_package, v4uiop_package__recycle);
    return value0;
L57:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
L30:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for ENSURE-EXPORTED                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L49ensure_exported(cl_narg narg, cl_object v1uiop_package__name, cl_object v2symbol, cl_object v3uiop_package__from_package, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
 {
  cl_object v4uiop_package__recycle;
  va_list args; va_start(args,v3uiop_package__from_package);
  {
   int i = 3;
   if (i >= narg) {
    v4uiop_package__recycle = ECL_NIL;
   } else {
    i++;
    v4uiop_package__recycle = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object v5;
   v5 = cl_package_used_by_list(v3uiop_package__from_package);
   goto L6;
L5:;
   {
    cl_object v6uiop_package__to_package;
    v6uiop_package__to_package = ecl_car(v5);
    L48ensure_exported_to_user(4, v1uiop_package__name, v2symbol, v6uiop_package__to_package, v4uiop_package__recycle);
   }
   v5 = ecl_cdr(v5);
L6:;
   if (Null(v5)) { goto L13; }
   goto L5;
L13:;
  }
  T0 = cl_symbol_package(v2symbol);
  if ((v3uiop_package__from_package)==(T0)) { goto L15; }
  L41ensure_imported(2, v2symbol, v3uiop_package__from_package);
L15:;
  value0 = L5export_(v1uiop_package__name, v3uiop_package__from_package);
  return value0;
 }
}
/*      function definition for ENSURE-EXPORT                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L50ensure_export(cl_narg narg, cl_object v1uiop_package__name, cl_object v2uiop_package__from_package, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3uiop_package__recycle;
  va_list args; va_start(args,v2uiop_package__from_package);
  {
   int i = 2;
   if (i >= narg) {
    v3uiop_package__recycle = ECL_NIL;
   } else {
    i++;
    v3uiop_package__recycle = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object v5;                                  /*  SYMBOL          */
   cl_object v6;                                  /*  STATUS          */
   value0 = L2find_symbol_(2, v1uiop_package__name, v2uiop_package__from_package);
   v5 = value0;
   {
    const int v7 = cl_env_copy->nvalues;
    cl_object v8;
    v8 = (v7<=1)? ECL_NIL : cl_env_copy->values[1];
    v6 = v8;
   }
   if ((v6)==(ECL_SYM("EXTERNAL",1245))) { goto L3; }
   value0 = L49ensure_exported(4, v1uiop_package__name, v5, v2uiop_package__from_package, v3uiop_package__recycle);
   return value0;
L3:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for ENSURE-PACKAGE                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L52ensure_package(cl_narg narg, cl_object v1uiop_package__name, ...)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_package__nicknames;
  cl_object v3documentation;
  cl_object v4uiop_package__use;
  cl_object v5shadow;
  cl_object v6uiop_package__shadowing_import_from;
  cl_object v7uiop_package__import_from;
  cl_object v8export;
  cl_object v9intern;
  cl_object v10uiop_package__recycle;
  cl_object v11uiop_package__mix;
  cl_object v12uiop_package__reexport;
  cl_object v13unintern;
  ecl_va_list args; ecl_va_start(args,v1uiop_package__name,narg,1);
  {
   cl_object keyvars[24];
   cl_parse_key(args,12,L52ensure_packagekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v2uiop_package__nicknames = keyvars[0];
   v3documentation = keyvars[1];
   v4uiop_package__use = keyvars[2];
   v5shadow = keyvars[3];
   v6uiop_package__shadowing_import_from = keyvars[4];
   v7uiop_package__import_from = keyvars[5];
   v8export = keyvars[6];
   v9intern = keyvars[7];
   v10uiop_package__recycle = keyvars[8];
   v11uiop_package__mix = keyvars[9];
   v12uiop_package__reexport = keyvars[10];
   v13unintern = keyvars[11];
  }
  {
   cl_object v14package_name;
   cl_object v15uiop_package__nicknames;
   cl_object v16uiop_package__previous;
   cl_object v17uiop_package__discarded;
   cl_object v18uiop_package__to_delete;
   cl_object v19package;
   cl_object v20uiop_package__recycle;
   cl_object v21uiop_package__use;
   cl_object v22uiop_package__mix;
   cl_object v23uiop_package__reexport;
   cl_object v24shadow;
   cl_object v25export;
   cl_object v26intern;
   cl_object v27unintern;
   cl_object v28uiop_package__shadowed;
   cl_object v29uiop_package__imported;
   cl_object v30uiop_package__exported;
   cl_object v31uiop_package__inherited;
   cl_object env1 = env0;
   v14package_name = cl_string(v1uiop_package__name);
   {
    cl_object v32;
    v32 = (ECL_SYM("STRING",805)->symbol.gfdef);
    {
     cl_object v33;
     cl_object v34;
     v33 = ECL_NIL;
     {
      cl_object v35;
      v35 = v2uiop_package__nicknames;
      if (ecl_unlikely(!ECL_LISTP(v35))) FEtype_error_list(v35);
      v34 = v35;
     }
     {
      cl_object v35;
      cl_object v36;
      v35 = ecl_list1(ECL_NIL);
      v36 = v35;
L10:;
      if (!(ecl_endp(v34))) { goto L12; }
      goto L11;
L12:;
      v33 = _ecl_car(v34);
      {
       cl_object v37;
       v37 = _ecl_cdr(v34);
       if (ecl_unlikely(!ECL_LISTP(v37))) FEtype_error_list(v37);
       v34 = v37;
      }
      {
       cl_object v37;
       v37 = v36;
       if (ecl_unlikely(ECL_ATOM(v37))) FEtype_error_cons(v37);
       T0 = v37;
      }
      T1 = ecl_function_dispatch(cl_env_copy,v32)(1, v33);
      v36 = ecl_list1(T1);
      (ECL_CONS_CDR(T0)=v36,T0);
      goto L10;
L11:;
      v15uiop_package__nicknames = ecl_cdr(v35);
      goto L2;
     }
    }
   }
L2:;
   T0 = CONS(v14package_name,v15uiop_package__nicknames);
   env1 = ECL_NIL;
   CLV0 = env1 = CONS(T0,env1);                   /*  NAMES           */
   v16uiop_package__previous = L32packages_from_names(ECL_CONS_CAR(CLV0));
   v17uiop_package__discarded = ecl_cdr(v16uiop_package__previous);
   v18uiop_package__to_delete = ECL_NIL;
   value0 = ecl_car(v16uiop_package__previous);
   if ((value0)!=ECL_NIL) { goto L33; }
   v19package = cl_make_package(3, v14package_name, ECL_SYM("NICKNAMES",1289), v15uiop_package__nicknames);
   goto L31;
L33:;
   v19package = value0;
   goto L31;
L31:;
   v20uiop_package__recycle = L32packages_from_names(v10uiop_package__recycle);
   {
    cl_object v32;
    cl_object v33;
    v32 = ECL_NIL;
    {
     cl_object v34;
     v34 = v4uiop_package__use;
     if (ecl_unlikely(!ECL_LISTP(v34))) FEtype_error_list(v34);
     v33 = v34;
    }
    {
     cl_object v34;
     cl_object v35;
     v34 = ecl_list1(ECL_NIL);
     v35 = v34;
L43:;
     if (!(ecl_endp(v33))) { goto L45; }
     goto L44;
L45:;
     v32 = _ecl_car(v33);
     {
      cl_object v36;
      v36 = _ecl_cdr(v33);
      if (ecl_unlikely(!ECL_LISTP(v36))) FEtype_error_list(v36);
      v33 = v36;
     }
     {
      cl_object v36;
      v36 = v35;
      if (ecl_unlikely(ECL_ATOM(v36))) FEtype_error_cons(v36);
      T0 = v36;
     }
     T1 = ecl_function_dispatch(cl_env_copy,VV[1])(1, v32);
     v35 = ecl_list1(T1);
     (ECL_CONS_CDR(T0)=v35,T0);
     goto L43;
L44:;
     v21uiop_package__use = ecl_cdr(v34);
     goto L36;
    }
   }
L36:;
   {
    cl_object v32;
    cl_object v33;
    v32 = ECL_NIL;
    {
     cl_object v34;
     v34 = v11uiop_package__mix;
     if (ecl_unlikely(!ECL_LISTP(v34))) FEtype_error_list(v34);
     v33 = v34;
    }
    {
     cl_object v34;
     cl_object v35;
     v34 = ecl_list1(ECL_NIL);
     v35 = v34;
L68:;
     if (!(ecl_endp(v33))) { goto L70; }
     goto L69;
L70:;
     v32 = _ecl_car(v33);
     {
      cl_object v36;
      v36 = _ecl_cdr(v33);
      if (ecl_unlikely(!ECL_LISTP(v36))) FEtype_error_list(v36);
      v33 = v36;
     }
     {
      cl_object v36;
      v36 = v35;
      if (ecl_unlikely(ECL_ATOM(v36))) FEtype_error_cons(v36);
      T0 = v36;
     }
     T1 = ecl_function_dispatch(cl_env_copy,VV[1])(1, v32);
     v35 = ecl_list1(T1);
     (ECL_CONS_CDR(T0)=v35,T0);
     goto L68;
L69:;
     v22uiop_package__mix = ecl_cdr(v34);
     goto L61;
    }
   }
L61:;
   {
    cl_object v32;
    cl_object v33;
    v32 = ECL_NIL;
    {
     cl_object v34;
     v34 = v12uiop_package__reexport;
     if (ecl_unlikely(!ECL_LISTP(v34))) FEtype_error_list(v34);
     v33 = v34;
    }
    {
     cl_object v34;
     cl_object v35;
     v34 = ecl_list1(ECL_NIL);
     v35 = v34;
L93:;
     if (!(ecl_endp(v33))) { goto L95; }
     goto L94;
L95:;
     v32 = _ecl_car(v33);
     {
      cl_object v36;
      v36 = _ecl_cdr(v33);
      if (ecl_unlikely(!ECL_LISTP(v36))) FEtype_error_list(v36);
      v33 = v36;
     }
     {
      cl_object v36;
      v36 = v35;
      if (ecl_unlikely(ECL_ATOM(v36))) FEtype_error_cons(v36);
      T0 = v36;
     }
     T1 = ecl_function_dispatch(cl_env_copy,VV[1])(1, v32);
     v35 = ecl_list1(T1);
     (ECL_CONS_CDR(T0)=v35,T0);
     goto L93;
L94:;
     v23uiop_package__reexport = ecl_cdr(v34);
     goto L86;
    }
   }
L86:;
   {
    cl_object v32;
    cl_object v33;
    v32 = ECL_NIL;
    {
     cl_object v34;
     v34 = v5shadow;
     if (ecl_unlikely(!ECL_LISTP(v34))) FEtype_error_list(v34);
     v33 = v34;
    }
    {
     cl_object v34;
     cl_object v35;
     v34 = ecl_list1(ECL_NIL);
     v35 = v34;
L118:;
     if (!(ecl_endp(v33))) { goto L120; }
     goto L119;
L120:;
     v32 = _ecl_car(v33);
     {
      cl_object v36;
      v36 = _ecl_cdr(v33);
      if (ecl_unlikely(!ECL_LISTP(v36))) FEtype_error_list(v36);
      v33 = v36;
     }
     {
      cl_object v36;
      v36 = v35;
      if (ecl_unlikely(ECL_ATOM(v36))) FEtype_error_cons(v36);
      T0 = v36;
     }
     T1 = ecl_function_dispatch(cl_env_copy,ECL_SYM("STRING",805))(1, v32);
     v35 = ecl_list1(T1);
     (ECL_CONS_CDR(T0)=v35,T0);
     goto L118;
L119:;
     v24shadow = ecl_cdr(v34);
     goto L111;
    }
   }
L111:;
   {
    cl_object v32;
    cl_object v33;
    v32 = ECL_NIL;
    {
     cl_object v34;
     v34 = v8export;
     if (ecl_unlikely(!ECL_LISTP(v34))) FEtype_error_list(v34);
     v33 = v34;
    }
    {
     cl_object v34;
     cl_object v35;
     v34 = ecl_list1(ECL_NIL);
     v35 = v34;
L143:;
     if (!(ecl_endp(v33))) { goto L145; }
     goto L144;
L145:;
     v32 = _ecl_car(v33);
     {
      cl_object v36;
      v36 = _ecl_cdr(v33);
      if (ecl_unlikely(!ECL_LISTP(v36))) FEtype_error_list(v36);
      v33 = v36;
     }
     {
      cl_object v36;
      v36 = v35;
      if (ecl_unlikely(ECL_ATOM(v36))) FEtype_error_cons(v36);
      T0 = v36;
     }
     T1 = ecl_function_dispatch(cl_env_copy,ECL_SYM("STRING",805))(1, v32);
     v35 = ecl_list1(T1);
     (ECL_CONS_CDR(T0)=v35,T0);
     goto L143;
L144:;
     v25export = ecl_cdr(v34);
     goto L136;
    }
   }
L136:;
   {
    cl_object v32;
    cl_object v33;
    v32 = ECL_NIL;
    {
     cl_object v34;
     v34 = v9intern;
     if (ecl_unlikely(!ECL_LISTP(v34))) FEtype_error_list(v34);
     v33 = v34;
    }
    {
     cl_object v34;
     cl_object v35;
     v34 = ecl_list1(ECL_NIL);
     v35 = v34;
L168:;
     if (!(ecl_endp(v33))) { goto L170; }
     goto L169;
L170:;
     v32 = _ecl_car(v33);
     {
      cl_object v36;
      v36 = _ecl_cdr(v33);
      if (ecl_unlikely(!ECL_LISTP(v36))) FEtype_error_list(v36);
      v33 = v36;
     }
     {
      cl_object v36;
      v36 = v35;
      if (ecl_unlikely(ECL_ATOM(v36))) FEtype_error_cons(v36);
      T0 = v36;
     }
     T1 = ecl_function_dispatch(cl_env_copy,ECL_SYM("STRING",805))(1, v32);
     v35 = ecl_list1(T1);
     (ECL_CONS_CDR(T0)=v35,T0);
     goto L168;
L169:;
     v26intern = ecl_cdr(v34);
     goto L161;
    }
   }
L161:;
   {
    cl_object v32;
    cl_object v33;
    v32 = ECL_NIL;
    {
     cl_object v34;
     v34 = v13unintern;
     if (ecl_unlikely(!ECL_LISTP(v34))) FEtype_error_list(v34);
     v33 = v34;
    }
    {
     cl_object v34;
     cl_object v35;
     v34 = ecl_list1(ECL_NIL);
     v35 = v34;
L193:;
     if (!(ecl_endp(v33))) { goto L195; }
     goto L194;
L195:;
     v32 = _ecl_car(v33);
     {
      cl_object v36;
      v36 = _ecl_cdr(v33);
      if (ecl_unlikely(!ECL_LISTP(v36))) FEtype_error_list(v36);
      v33 = v36;
     }
     {
      cl_object v36;
      v36 = v35;
      if (ecl_unlikely(ECL_ATOM(v36))) FEtype_error_cons(v36);
      T0 = v36;
     }
     T1 = ecl_function_dispatch(cl_env_copy,ECL_SYM("STRING",805))(1, v32);
     v35 = ecl_list1(T1);
     (ECL_CONS_CDR(T0)=v35,T0);
     goto L193;
L194:;
     v27unintern = ecl_cdr(v34);
     goto L186;
    }
   }
L186:;
   v28uiop_package__shadowed = cl_make_hash_table(2, ECL_SYM("TEST",1328), ECL_SYM("EQUAL",335));
   v29uiop_package__imported = cl_make_hash_table(2, ECL_SYM("TEST",1328), ECL_SYM("EQUAL",335));
   v30uiop_package__exported = cl_make_hash_table(2, ECL_SYM("TEST",1328), ECL_SYM("EQUAL",335));
   v31uiop_package__inherited = cl_make_hash_table(2, ECL_SYM("TEST",1328), ECL_SYM("EQUAL",335));
   if (Null(ecl_symbol_value(VV[32]))) { goto L215; }
   L19record_fishy(v14package_name);
L215:;
   if (Null(v3documentation)) { goto L217; }
   (cl_env_copy->function=ECL_CONS_CAR(VV[1799]))->cfun.entry(3, v3documentation, v19package, ECL_T) /*  (SETF DOCUMENTATION) */;
L217:;
   {
    cl_object v32;
    cl_object v33uiop_package__p;
    cl_object v34;
    T0 = cl_package_use_list(v19package);
    T1 = ecl_append(v22uiop_package__mix,v21uiop_package__use);
    v32 = cl_set_difference(2, T0, T1);
    v33uiop_package__p = ECL_NIL;
    v34 = v32;
L223:;
    if (!(ecl_endp(v34))) { goto L225; }
    goto L224;
L225:;
    v33uiop_package__p = _ecl_car(v34);
    {
     cl_object v35;
     v35 = _ecl_cdr(v34);
     if (ecl_unlikely(!ECL_LISTP(v35))) FEtype_error_list(v35);
     v34 = v35;
    }
    if (Null(ecl_symbol_value(VV[32]))) { goto L234; }
    T0 = L31package_names(v33uiop_package__p);
    T1 = cl_list(3, VV[107], v1uiop_package__name, T0);
    L19record_fishy(T1);
L234:;
    cl_unuse_package(2, v33uiop_package__p, v19package);
    goto L223;
L224:;
   }
   {
    cl_object v32uiop_package__p;
    cl_object v33;
    v32uiop_package__p = ECL_NIL;
    {
     cl_object v34;
     v34 = v17uiop_package__discarded;
     if (ecl_unlikely(!ECL_LISTP(v34))) FEtype_error_list(v34);
     v33 = v34;
    }
    {
     cl_object v34uiop_package__n;
     v34uiop_package__n = ECL_NIL;
L243:;
     if (!(ecl_endp(v33))) { goto L245; }
     goto L244;
L245:;
     v32uiop_package__p = _ecl_car(v33);
     {
      cl_object v35;
      v35 = _ecl_cdr(v33);
      if (ecl_unlikely(!ECL_LISTP(v35))) FEtype_error_list(v35);
      v33 = v35;
     }
     {
      cl_object v35;
      v35 = ecl_make_cclosure_va((cl_objectfn)LC51__g699,env1,Cblock);
      T0 = v35;
     }
     T1 = L31package_names(v32uiop_package__p);
     v34uiop_package__n = cl_remove_if(2, T0, T1);
     if (Null(ecl_symbol_value(VV[32]))) { goto L257; }
     T0 = L31package_names(v32uiop_package__p);
     T1 = cl_list(3, VV[108], v1uiop_package__name, T0);
     L19record_fishy(T1);
L257:;
     if (Null(v34uiop_package__n)) { goto L259; }
     T0 = ecl_car(v34uiop_package__n);
     T1 = ecl_cdr(v34uiop_package__n);
     cl_rename_package(3, v32uiop_package__p, T0, T1);
     goto L256;
L259:;
     L34rename_package_away(1, v32uiop_package__p);
     v18uiop_package__to_delete = CONS(v32uiop_package__p,v18uiop_package__to_delete);
L256:;
     goto L243;
L244:;
    }
   }
   cl_rename_package(3, v19package, v14package_name, v15uiop_package__nicknames);
   {
    cl_object v32;
    v32 = v27unintern;
    goto L269;
L268:;
    {
     cl_object v33uiop_package__name;
     v33uiop_package__name = ecl_car(v32);
     {
      cl_object v35;                              /*  EXISTING        */
      cl_object v36;                              /*  STATUS          */
      value0 = cl_find_symbol(2, v33uiop_package__name, v19package);
      v35 = value0;
      v36 = cl_env_copy->values[1];
      if (Null(v36)) { goto L273; }
      if ((v36)==(ECL_SYM("INHERITED",1262))) { goto L273; }
      if (Null(ecl_symbol_value(VV[32]))) { goto L277; }
      T0 = cl_package_name(v19package);
      T1 = L13symbol_package_name(v35);
      T2 = cl_list(5, VV[109], T0, v33uiop_package__name, T1, v36);
      L19record_fishy(T2);
L277:;
      L10unintern_(3, v33uiop_package__name, v19package, ECL_NIL);
     }
L273:;
    }
    v32 = ecl_cdr(v32);
L269:;
    if (Null(v32)) { goto L281; }
    goto L268;
L281:;
   }
   {
    cl_object v32;
    v32 = v25export;
    goto L287;
L286:;
    {
     cl_object v33uiop_package__name;
     v33uiop_package__name = ecl_car(v32);
     si_hash_set(v33uiop_package__name, v30uiop_package__exported, ECL_T);
    }
    v32 = ecl_cdr(v32);
L287:;
    if (Null(v32)) { goto L294; }
    goto L286;
L294:;
   }
   {
    cl_object v32;
    v32 = v23uiop_package__reexport;
    goto L300;
L299:;
    {
     cl_object v33uiop_package__p;
     v33uiop_package__p = ecl_car(v32);
     {
      cl_object v34;
      cl_object v35;
      cl_object v36uiop_package__sym;
      v34 = si_packages_iterator(3, v33uiop_package__p, VV[43], ECL_T);
      v35 = ECL_NIL;
      v36uiop_package__sym = ECL_NIL;
      goto L310;
L309:;
      value0 = ecl_function_dispatch(cl_env_copy,v34)(0);
      v35 = value0;
      {
       const int v37 = cl_env_copy->nvalues;
       cl_object v38;
       v38 = (v37<=1)? ECL_NIL : cl_env_copy->values[1];
       v36uiop_package__sym = v38;
      }
      if ((v35)!=ECL_NIL) { goto L314; }
      goto L304;
L314:;
      T0 = cl_string(v36uiop_package__sym);
      si_hash_set(T0, v30uiop_package__exported, ECL_T);
L310:;
      goto L309;
     }
L304:;
    }
    v32 = ecl_cdr(v32);
L300:;
    if (Null(v32)) { goto L320; }
    goto L299;
L320:;
   }
   {
    cl_object v32;
    cl_object v33;
    cl_object v34uiop_package__sym;
    v32 = si_packages_iterator(3, v19package, VV[43], ECL_T);
    v33 = ECL_NIL;
    v34uiop_package__sym = ECL_NIL;
    goto L328;
L327:;
    value0 = ecl_function_dispatch(cl_env_copy,v32)(0);
    v33 = value0;
    {
     const int v35 = cl_env_copy->nvalues;
     cl_object v36;
     v36 = (v35<=1)? ECL_NIL : cl_env_copy->values[1];
     v34uiop_package__sym = v36;
    }
    if ((v33)!=ECL_NIL) { goto L332; }
    goto L322;
L332:;
    {
     cl_object v35uiop_package__name;
     v35uiop_package__name = ecl_symbol_name(v34uiop_package__sym);
     if ((ecl_gethash_safe(v35uiop_package__name,v30uiop_package__exported,ECL_NIL))!=ECL_NIL) { goto L334; }
     if (Null(ecl_symbol_value(VV[32]))) { goto L337; }
     T0 = cl_package_name(v19package);
     value0 = L12home_package_p(v34uiop_package__sym, v19package);
     if ((value0)!=ECL_NIL) { goto L341; }
     T1 = L13symbol_package_name(v34uiop_package__sym);
     goto L339;
L341:;
     T1 = value0;
     goto L339;
L339:;
     T2 = cl_list(4, VV[110], T0, v35uiop_package__name, T1);
     L19record_fishy(T2);
L337:;
     cl_unexport(2, v34uiop_package__sym, v19package);
    }
L334:;
L328:;
    goto L327;
   }
L322:;
   {
    cl_object v32;
    v32 = v24shadow;
    goto L348;
L347:;
    {
     cl_object v33uiop_package__name;
     v33uiop_package__name = ecl_car(v32);
     si_hash_set(v33uiop_package__name, v28uiop_package__shadowed, ECL_T);
     {
      cl_object v35;                              /*  EXISTING        */
      cl_object v36;                              /*  STATUS          */
      value0 = cl_find_symbol(2, v33uiop_package__name, v19package);
      v35 = value0;
      v36 = cl_env_copy->values[1];
      {
       cl_object v38;                             /*  RECYCLED        */
       cl_object v39;                             /*  PREVIOUS        */
       value0 = L45recycle_symbol(v33uiop_package__name, v20uiop_package__recycle, v30uiop_package__exported);
       v38 = value0;
       {
        const int v40 = cl_env_copy->nvalues;
        cl_object v41;
        v41 = (v40<=1)? ECL_NIL : cl_env_copy->values[1];
        v39 = v41;
       }
       {
        cl_object v40uiop_package__shadowing;
        if (Null(v36)) { goto L358; }
        v40uiop_package__shadowing = L11symbol_shadowing_p(v35, v19package);
        goto L356;
L358:;
        v40uiop_package__shadowing = ECL_NIL;
        goto L356;
L356:;
        {
         cl_object v41;
         v41 = ecl_make_bool((v39)==(v19package));
         if (Null(v41)) { goto L361; }
         goto L353;
L361:;
         if (Null(v39)) { goto L363; }
         L28rehome_symbol(v38, v19package);
         goto L353;
L363:;
         {
          cl_object v42;
          if (!((v36)==(ECL_NIL))) { goto L373; }
          value0 = VV[63];
          goto L371;
L373:;
          value0 = ECL_NIL;
          goto L371;
L371:;
          if ((value0)!=ECL_NIL) { goto L370; }
          if (!((v36)==(ECL_SYM("INHERITED",1262)))) { goto L376; }
          value0 = VV[64];
          goto L368;
L376:;
          value0 = ECL_NIL;
          goto L368;
L370:;
          goto L368;
L368:;
          if ((value0)!=ECL_NIL) { goto L367; }
          v42 = L12home_package_p(v35, v19package);
          goto L365;
L367:;
          v42 = value0;
          goto L365;
L365:;
          if (Null(v42)) { goto L378; }
          goto L353;
L378:;
          {
          cl_object v43uiop_package__dummy;
          v43uiop_package__dummy = cl_make_symbol(v33uiop_package__name);
          if (Null(ecl_symbol_value(VV[32]))) { goto L381; }
          T0 = cl_package_name(v19package);
          T1 = L13symbol_package_name(v35);
          T2 = cl_list(6, VV[111], T0, v33uiop_package__name, T1, v36, v40uiop_package__shadowing);
          L19record_fishy(T2);
L381:;
          L7shadowing_import_(v43uiop_package__dummy, v19package);
          L6import_(v43uiop_package__dummy, v19package);
          }
         }
        }
       }
      }
     }
L353:;
     L8shadow_(v33uiop_package__name, v19package);
    }
    v32 = ecl_cdr(v32);
L348:;
    if (Null(v32)) { goto L387; }
    goto L347;
L387:;
   }
   {
    cl_object v32uiop_package__p;
    cl_object v33uiop_package__syms;
    cl_object v34;
    v32uiop_package__p = ECL_NIL;
    v33uiop_package__syms = ECL_NIL;
    {
     cl_object v35;
     v35 = v6uiop_package__shadowing_import_from;
     if (ecl_unlikely(!ECL_LISTP(v35))) FEtype_error_list(v35);
     v34 = v35;
    }
    {
     cl_object v35uiop_package__pp;
     v35uiop_package__pp = ECL_NIL;
L396:;
     if (!(ecl_endp(v34))) { goto L398; }
     goto L397;
L398:;
     {
      cl_object v36;
      v36 = _ecl_car(v34);
      v32uiop_package__p = ecl_car(v36);
      v36 = ecl_cdr(v36);
      v33uiop_package__syms = v36;
     }
     {
      cl_object v36;
      v36 = _ecl_cdr(v34);
      if (ecl_unlikely(!ECL_LISTP(v36))) FEtype_error_list(v36);
      v34 = v36;
     }
     v35uiop_package__pp = L1find_package_(1, v32uiop_package__p);
     {
      cl_object v36;
      v36 = v33uiop_package__syms;
      goto L417;
L416:;
      {
       cl_object v37uiop_package__sym;
       v37uiop_package__sym = ecl_car(v36);
       T0 = cl_string(v37uiop_package__sym);
       L40ensure_shadowing_import(T0, v19package, v35uiop_package__pp, v28uiop_package__shadowed, v29uiop_package__imported);
      }
      v36 = ecl_cdr(v36);
L417:;
      if (Null(v36)) { goto L424; }
      goto L416;
L424:;
     }
     goto L396;
L397:;
    }
   }
   {
    cl_object v32uiop_package__p;
    cl_object v33;
    v32uiop_package__p = ECL_NIL;
    {
     cl_object v34;
     v34 = v22uiop_package__mix;
     if (ecl_unlikely(!ECL_LISTP(v34))) FEtype_error_list(v34);
     v33 = v34;
    }
    {
     cl_object v34uiop_package__pp;
     v34uiop_package__pp = ECL_NIL;
L433:;
     if (!(ecl_endp(v33))) { goto L435; }
     goto L434;
L435:;
     v32uiop_package__p = _ecl_car(v33);
     {
      cl_object v35;
      v35 = _ecl_cdr(v33);
      if (ecl_unlikely(!ECL_LISTP(v35))) FEtype_error_list(v35);
      v33 = v35;
     }
     v34uiop_package__pp = L1find_package_(1, v32uiop_package__p);
     {
      cl_object v35;
      cl_object v36;
      cl_object v37uiop_package__sym;
      v35 = si_packages_iterator(3, v34uiop_package__pp, VV[43], ECL_T);
      v36 = ECL_NIL;
      v37uiop_package__sym = ECL_NIL;
      goto L451;
L450:;
      value0 = ecl_function_dispatch(cl_env_copy,v35)(0);
      v36 = value0;
      {
       const int v38 = cl_env_copy->nvalues;
       cl_object v39;
       v39 = (v38<=1)? ECL_NIL : cl_env_copy->values[1];
       v37uiop_package__sym = v39;
      }
      if ((v36)!=ECL_NIL) { goto L455; }
      goto L445;
L455:;
      T0 = ecl_symbol_name(v37uiop_package__sym);
      L44ensure_mix(T0, v37uiop_package__sym, v19package, v34uiop_package__pp, v28uiop_package__shadowed, v29uiop_package__imported, v31uiop_package__inherited);
L451:;
      goto L450;
     }
L445:;
     goto L433;
L434:;
    }
   }
   {
    cl_object v32uiop_package__p;
    cl_object v33uiop_package__syms;
    cl_object v34;
    v32uiop_package__p = ECL_NIL;
    v33uiop_package__syms = ECL_NIL;
    {
     cl_object v35;
     v35 = v7uiop_package__import_from;
     if (ecl_unlikely(!ECL_LISTP(v35))) FEtype_error_list(v35);
     v34 = v35;
    }
    {
     cl_object v35uiop_package__pp;
     v35uiop_package__pp = ECL_NIL;
L467:;
     if (!(ecl_endp(v34))) { goto L469; }
     goto L468;
L469:;
     {
      cl_object v36;
      v36 = _ecl_car(v34);
      v32uiop_package__p = ecl_car(v36);
      v36 = ecl_cdr(v36);
      v33uiop_package__syms = v36;
     }
     {
      cl_object v36;
      v36 = _ecl_cdr(v34);
      if (ecl_unlikely(!ECL_LISTP(v36))) FEtype_error_list(v36);
      v34 = v36;
     }
     v35uiop_package__pp = cl_find_package(v32uiop_package__p);
     {
      cl_object v36;
      v36 = v33uiop_package__syms;
      goto L488;
L487:;
      {
       cl_object v37uiop_package__sym;
       v37uiop_package__sym = ecl_car(v36);
       T0 = ecl_symbol_name(v37uiop_package__sym);
       L42ensure_import(T0, v19package, v35uiop_package__pp, v28uiop_package__shadowed, v29uiop_package__imported);
      }
      v36 = ecl_cdr(v36);
L488:;
      if (Null(v36)) { goto L495; }
      goto L487;
L495:;
     }
     goto L467;
L468:;
    }
   }
   {
    cl_object v32;
    v32 = ecl_append(v21uiop_package__use,v22uiop_package__mix);
    goto L502;
L501:;
    {
     cl_object v33uiop_package__p;
     v33uiop_package__p = ecl_car(v32);
     {
      cl_object v34;
      cl_object v35;
      cl_object v36uiop_package__sym;
      v34 = si_packages_iterator(3, v33uiop_package__p, VV[43], ECL_T);
      v35 = ECL_NIL;
      v36uiop_package__sym = ECL_NIL;
      goto L512;
L511:;
      value0 = ecl_function_dispatch(cl_env_copy,v34)(0);
      v35 = value0;
      {
       const int v37 = cl_env_copy->nvalues;
       cl_object v38;
       v38 = (v37<=1)? ECL_NIL : cl_env_copy->values[1];
       v36uiop_package__sym = v38;
      }
      if ((v35)!=ECL_NIL) { goto L516; }
      goto L506;
L516:;
      T0 = cl_string(v36uiop_package__sym);
      L43ensure_inherited(T0, v36uiop_package__sym, v19package, v33uiop_package__p, ECL_NIL, v28uiop_package__shadowed, v29uiop_package__imported, v31uiop_package__inherited);
L512:;
      goto L511;
     }
L506:;
     cl_use_package(2, v33uiop_package__p, v19package);
    }
    v32 = ecl_cdr(v32);
L502:;
    if (Null(v32)) { goto L523; }
    goto L501;
L523:;
   }
   {
    cl_object v32;
    cl_object v33uiop_package__name;
    cl_object v34;
    v32 = ECL_NIL;
    v33uiop_package__name = ECL_NIL;
    v34 = ECL_NIL;
    {
     cl_object v35;
     v35 = si_hash_table_iterator(v30uiop_package__exported);
L530:;
     {
      cl_object v37;
      cl_object v38;
      cl_object v39;
      value0 = ecl_function_dispatch(cl_env_copy,v35)(0);
      v37 = value0;
      {
       const int v40 = cl_env_copy->nvalues;
       cl_object v41;
       v41 = (v40<=1)? ECL_NIL : cl_env_copy->values[1];
       v38 = v41;
       v41 = (v40<=2)? ECL_NIL : cl_env_copy->values[2];
       v39 = v41;
      }
      if (Null(v37)) { goto L535; }
      v34 = v39;
      v33uiop_package__name = v38;
L535:;
      v32 = v37;
      if ((v32)!=ECL_NIL) { goto L532; }
     }
     goto L531;
L532:;
     L47ensure_symbol(v33uiop_package__name, v19package, ECL_T, v20uiop_package__recycle, v28uiop_package__shadowed, v29uiop_package__imported, v31uiop_package__inherited, v30uiop_package__exported);
     L50ensure_export(3, v33uiop_package__name, v19package, v20uiop_package__recycle);
     goto L530;
L531:;
    }
   }
   {
    cl_object v32;
    v32 = v26intern;
    goto L548;
L547:;
    {
     cl_object v33uiop_package__name;
     v33uiop_package__name = ecl_car(v32);
     L47ensure_symbol(v33uiop_package__name, v19package, ECL_T, v20uiop_package__recycle, v28uiop_package__shadowed, v29uiop_package__imported, v31uiop_package__inherited, v30uiop_package__exported);
    }
    v32 = ecl_cdr(v32);
L548:;
    if (Null(v32)) { goto L555; }
    goto L547;
L555:;
   }
   {
    cl_object v32;
    cl_object v33;
    cl_object v34uiop_package__sym;
    v32 = si_packages_iterator(3, v19package, VV[49], ECL_T);
    v33 = ECL_NIL;
    v34uiop_package__sym = ECL_NIL;
    goto L563;
L562:;
    value0 = ecl_function_dispatch(cl_env_copy,v32)(0);
    v33 = value0;
    {
     const int v35 = cl_env_copy->nvalues;
     cl_object v36;
     v36 = (v35<=1)? ECL_NIL : cl_env_copy->values[1];
     v34uiop_package__sym = v36;
    }
    if ((v33)!=ECL_NIL) { goto L567; }
    goto L557;
L567:;
    T0 = ecl_symbol_name(v34uiop_package__sym);
    L47ensure_symbol(T0, v19package, ECL_NIL, v20uiop_package__recycle, v28uiop_package__shadowed, v29uiop_package__imported, v31uiop_package__inherited, v30uiop_package__exported);
L563:;
    goto L562;
   }
L557:;
   cl_map(3, ECL_NIL, VV[50], v18uiop_package__to_delete);
   value0 = v19package;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      closure G699                                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC51__g699(cl_narg narg, cl_object v1uiop_package__x, ...)
{
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  NAMES           */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = ecl_member(v1uiop_package__x,ECL_CONS_CAR(CLV0));
  cl_env_copy->nvalues = 1;
  return value0;
 }
 }
}
/*      function definition for PARSE-DEFINE-PACKAGE-FORM             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L53parse_define_package_form(cl_object v1package, cl_object v2uiop_package__clauses)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3uiop_package__use_p;
   v3uiop_package__use_p = ECL_NIL;
   {
    cl_object v4uiop_package__recycle_p;
    v4uiop_package__recycle_p = ECL_NIL;
    {
     cl_object v5documentation;
     v5documentation = ECL_NIL;
     {
      cl_object v6uiop_package__kw;
      cl_object v7uiop_package__args;
      cl_object v8;
      v6uiop_package__kw = ECL_NIL;
      v7uiop_package__args = ECL_NIL;
      {
       cl_object v9;
       v9 = v2uiop_package__clauses;
       if (ecl_unlikely(!ECL_LISTP(v9))) FEtype_error_list(v9);
       v8 = v9;
      }
      {
       cl_object v9;
       cl_object v10;
       cl_object v11uiop_package__nicknames;
       v9 = ecl_list1(ECL_NIL);
       v10 = v9;
       v11uiop_package__nicknames = ECL_NIL;
       {
        cl_object v12;
        cl_object v13;
        cl_object v14uiop_package__use;
        v12 = ecl_list1(ECL_NIL);
        v13 = v12;
        v14uiop_package__use = ECL_NIL;
        {
         cl_object v15;
         cl_object v16;
         cl_object v17shadow;
         v15 = ecl_list1(ECL_NIL);
         v16 = v15;
         v17shadow = ECL_NIL;
         {
          cl_object v18;
          cl_object v19;
          cl_object v20uiop_package__shadowing_import_from;
          v18 = ecl_list1(ECL_NIL);
          v19 = v18;
          v20uiop_package__shadowing_import_from = ECL_NIL;
          {
          cl_object v21;
          cl_object v22;
          cl_object v23uiop_package__import_from;
          v21 = ecl_list1(ECL_NIL);
          v22 = v21;
          v23uiop_package__import_from = ECL_NIL;
          {
          cl_object v24;
          cl_object v25;
          cl_object v26export;
          v24 = ecl_list1(ECL_NIL);
          v25 = v24;
          v26export = ECL_NIL;
          {
          cl_object v27;
          cl_object v28;
          cl_object v29intern;
          v27 = ecl_list1(ECL_NIL);
          v28 = v27;
          v29intern = ECL_NIL;
          {
          cl_object v30;
          cl_object v31;
          cl_object v32uiop_package__recycle;
          v30 = ecl_list1(ECL_NIL);
          v31 = v30;
          v32uiop_package__recycle = ECL_NIL;
          {
          cl_object v33;
          cl_object v34;
          cl_object v35uiop_package__mix;
          v33 = ecl_list1(ECL_NIL);
          v34 = v33;
          v35uiop_package__mix = ECL_NIL;
          {
          cl_object v36;
          cl_object v37;
          cl_object v38uiop_package__reexport;
          v36 = ecl_list1(ECL_NIL);
          v37 = v36;
          v38uiop_package__reexport = ECL_NIL;
          {
          cl_object v39;
          cl_object v40;
          cl_object v41unintern;
          v39 = ecl_list1(ECL_NIL);
          v40 = v39;
          v41unintern = ECL_NIL;
L42:;
          if (!(ecl_endp(v8))) { goto L44; }
          goto L43;
L44:;
          {
          cl_object v42;
          v42 = _ecl_car(v8);
          v6uiop_package__kw = ecl_car(v42);
          v42 = ecl_cdr(v42);
          v7uiop_package__args = v42;
          }
          {
          cl_object v42;
          v42 = _ecl_cdr(v8);
          if (ecl_unlikely(!ECL_LISTP(v42))) FEtype_error_list(v42);
          v8 = v42;
          }
          if (!((v6uiop_package__kw)==(ECL_SYM("NICKNAMES",1289)))) { goto L58; }
          {
          cl_object v42;
          v42 = cl_copy_list(v7uiop_package__args);
          {
          cl_object v43;
          v43 = v10;
          if (ecl_unlikely(ECL_ATOM(v43))) FEtype_error_cons(v43);
          T0 = v43;
          }
          (ECL_CONS_CDR(T0)=v42,T0);
          if (Null(v42)) { goto L60; }
          }
          T0 = ecl_cdr(v10);
          v10 = ecl_last(T0,1);
L60:;
          v11uiop_package__nicknames = ecl_cdr(v9);
          goto L57;
L58:;
          if (!((v6uiop_package__kw)==(ECL_SYM("DOCUMENTATION",1232)))) { goto L69; }
          if (Null(v5documentation)) { goto L71; }
          cl_error(1, VV[113]);
          goto L57;
L71:;
          if (ECL_ATOM(v7uiop_package__args)) { goto L75; }
          if (Null(ecl_cdr(v7uiop_package__args))) { goto L73; }
          goto L74;
L75:;
L74:;
          cl_error(1, VV[114]);
          goto L57;
L73:;
          v5documentation = ecl_car(v7uiop_package__args);
          goto L57;
L69:;
          if (!((v6uiop_package__kw)==(ECL_SYM("USE",1335)))) { goto L78; }
          {
          cl_object v42;
          v42 = cl_copy_list(v7uiop_package__args);
          {
          cl_object v43;
          v43 = v13;
          if (ecl_unlikely(ECL_ATOM(v43))) FEtype_error_cons(v43);
          T0 = v43;
          }
          (ECL_CONS_CDR(T0)=v42,T0);
          if (Null(v42)) { goto L81; }
          }
          T0 = ecl_cdr(v13);
          v13 = ecl_last(T0,1);
L81:;
          v14uiop_package__use = ecl_cdr(v12);
          v3uiop_package__use_p = ECL_T;
          goto L57;
L78:;
          if (!((v6uiop_package__kw)==(ECL_SYM("SHADOW",1318)))) { goto L91; }
          {
          cl_object v42;
          v42 = cl_copy_list(v7uiop_package__args);
          {
          cl_object v43;
          v43 = v16;
          if (ecl_unlikely(ECL_ATOM(v43))) FEtype_error_cons(v43);
          T0 = v43;
          }
          (ECL_CONS_CDR(T0)=v42,T0);
          if (Null(v42)) { goto L93; }
          }
          T0 = ecl_cdr(v16);
          v16 = ecl_last(T0,1);
L93:;
          v17shadow = ecl_cdr(v15);
          goto L57;
L91:;
          if (!((v6uiop_package__kw)==(VV[66]))) { goto L102; }
          {
          cl_object v42;
          v42 = v19;
          if (ecl_unlikely(ECL_ATOM(v42))) FEtype_error_cons(v42);
          T0 = v42;
          }
          v19 = ecl_list1(v7uiop_package__args);
          (ECL_CONS_CDR(T0)=v19,T0);
          v20uiop_package__shadowing_import_from = ecl_cdr(v18);
          goto L57;
L102:;
          if (!((v6uiop_package__kw)==(ECL_SYM("IMPORT-FROM",1260)))) { goto L110; }
          {
          cl_object v42;
          v42 = v22;
          if (ecl_unlikely(ECL_ATOM(v42))) FEtype_error_cons(v42);
          T0 = v42;
          }
          v22 = ecl_list1(v7uiop_package__args);
          (ECL_CONS_CDR(T0)=v22,T0);
          v23uiop_package__import_from = ecl_cdr(v21);
          goto L57;
L110:;
          if (!((v6uiop_package__kw)==(ECL_SYM("EXPORT",1243)))) { goto L118; }
          {
          cl_object v42;
          v42 = cl_copy_list(v7uiop_package__args);
          {
          cl_object v43;
          v43 = v25;
          if (ecl_unlikely(ECL_ATOM(v43))) FEtype_error_cons(v43);
          T0 = v43;
          }
          (ECL_CONS_CDR(T0)=v42,T0);
          if (Null(v42)) { goto L120; }
          }
          T0 = ecl_cdr(v25);
          v25 = ecl_last(T0,1);
L120:;
          v26export = ecl_cdr(v24);
          goto L57;
L118:;
          if (!((v6uiop_package__kw)==(ECL_SYM("INTERN",1269)))) { goto L129; }
          {
          cl_object v42;
          v42 = cl_copy_list(v7uiop_package__args);
          {
          cl_object v43;
          v43 = v28;
          if (ecl_unlikely(ECL_ATOM(v43))) FEtype_error_cons(v43);
          T0 = v43;
          }
          (ECL_CONS_CDR(T0)=v42,T0);
          if (Null(v42)) { goto L131; }
          }
          T0 = ecl_cdr(v28);
          v28 = ecl_last(T0,1);
L131:;
          v29intern = ecl_cdr(v27);
          goto L57;
L129:;
          if (!((v6uiop_package__kw)==(VV[115]))) { goto L140; }
          {
          cl_object v42;
          v42 = cl_copy_list(v7uiop_package__args);
          {
          cl_object v43;
          v43 = v31;
          if (ecl_unlikely(ECL_ATOM(v43))) FEtype_error_cons(v43);
          T0 = v43;
          }
          (ECL_CONS_CDR(T0)=v42,T0);
          if (Null(v42)) { goto L143; }
          }
          T0 = ecl_cdr(v31);
          v31 = ecl_last(T0,1);
L143:;
          v32uiop_package__recycle = ecl_cdr(v30);
          v4uiop_package__recycle_p = ECL_T;
          goto L57;
L140:;
          if (!((v6uiop_package__kw)==(VV[116]))) { goto L153; }
          {
          cl_object v42;
          v42 = cl_copy_list(v7uiop_package__args);
          {
          cl_object v43;
          v43 = v34;
          if (ecl_unlikely(ECL_ATOM(v43))) FEtype_error_cons(v43);
          T0 = v43;
          }
          (ECL_CONS_CDR(T0)=v42,T0);
          if (Null(v42)) { goto L155; }
          }
          T0 = ecl_cdr(v34);
          v34 = ecl_last(T0,1);
L155:;
          v35uiop_package__mix = ecl_cdr(v33);
          goto L57;
L153:;
          if (!((v6uiop_package__kw)==(VV[117]))) { goto L164; }
          {
          cl_object v42;
          v42 = cl_copy_list(v7uiop_package__args);
          {
          cl_object v43;
          v43 = v37;
          if (ecl_unlikely(ECL_ATOM(v43))) FEtype_error_cons(v43);
          T0 = v43;
          }
          (ECL_CONS_CDR(T0)=v42,T0);
          if (Null(v42)) { goto L166; }
          }
          T0 = ecl_cdr(v37);
          v37 = ecl_last(T0,1);
L166:;
          v38uiop_package__reexport = ecl_cdr(v36);
          goto L57;
L164:;
          if (!((v6uiop_package__kw)==(VV[118]))) { goto L175; }
          {
          cl_object v42;
          v42 = cl_copy_list(v7uiop_package__args);
          {
          cl_object v43;
          v43 = v13;
          if (ecl_unlikely(ECL_ATOM(v43))) FEtype_error_cons(v43);
          T0 = v43;
          }
          (ECL_CONS_CDR(T0)=v42,T0);
          if (Null(v42)) { goto L178; }
          }
          T0 = ecl_cdr(v13);
          v13 = ecl_last(T0,1);
L178:;
          v14uiop_package__use = ecl_cdr(v12);
          {
          cl_object v42;
          v42 = cl_copy_list(v7uiop_package__args);
          {
          cl_object v43;
          v43 = v37;
          if (ecl_unlikely(ECL_ATOM(v43))) FEtype_error_cons(v43);
          T0 = v43;
          }
          (ECL_CONS_CDR(T0)=v42,T0);
          if (Null(v42)) { goto L188; }
          }
          T0 = ecl_cdr(v37);
          v37 = ecl_last(T0,1);
L188:;
          v38uiop_package__reexport = ecl_cdr(v36);
          v3uiop_package__use_p = ECL_T;
          goto L57;
L175:;
          if (!((v6uiop_package__kw)==(VV[119]))) { goto L198; }
          {
          cl_object v42;
          v42 = cl_copy_list(v7uiop_package__args);
          {
          cl_object v43;
          v43 = v34;
          if (ecl_unlikely(ECL_ATOM(v43))) FEtype_error_cons(v43);
          T0 = v43;
          }
          (ECL_CONS_CDR(T0)=v42,T0);
          if (Null(v42)) { goto L201; }
          }
          T0 = ecl_cdr(v34);
          v34 = ecl_last(T0,1);
L201:;
          v35uiop_package__mix = ecl_cdr(v33);
          {
          cl_object v42;
          v42 = cl_copy_list(v7uiop_package__args);
          {
          cl_object v43;
          v43 = v37;
          if (ecl_unlikely(ECL_ATOM(v43))) FEtype_error_cons(v43);
          T0 = v43;
          }
          (ECL_CONS_CDR(T0)=v42,T0);
          if (Null(v42)) { goto L211; }
          }
          T0 = ecl_cdr(v37);
          v37 = ecl_last(T0,1);
L211:;
          v38uiop_package__reexport = ecl_cdr(v36);
          v3uiop_package__use_p = ECL_T;
          goto L57;
L198:;
          if (!((v6uiop_package__kw)==(VV[109]))) { goto L221; }
          {
          cl_object v42;
          v42 = cl_copy_list(v7uiop_package__args);
          {
          cl_object v43;
          v43 = v40;
          if (ecl_unlikely(ECL_ATOM(v43))) FEtype_error_cons(v43);
          T0 = v43;
          }
          (ECL_CONS_CDR(T0)=v42,T0);
          if (Null(v42)) { goto L223; }
          }
          T0 = ecl_cdr(v40);
          v40 = ecl_last(T0,1);
L223:;
          v41unintern = ecl_cdr(v39);
          goto L57;
L221:;
          cl_error(2, VV[120], v6uiop_package__kw);
L57:;
          goto L42;
L43:;
          if (Null(v3uiop_package__use_p)) { goto L235; }
          T0 = v14uiop_package__use;
          goto L234;
L235:;
          T0 = VV[121];
L234:;
          if (Null(v4uiop_package__recycle_p)) { goto L238; }
          T1 = v32uiop_package__recycle;
          goto L237;
L238:;
          T1 = CONS(v1package,v11uiop_package__nicknames);
L237:;
          value0 = cl_list(25, v1package, ECL_SYM("NICKNAMES",1289), v11uiop_package__nicknames, ECL_SYM("DOCUMENTATION",1232), v5documentation, ECL_SYM("USE",1335), T0, ECL_SYM("SHADOW",1318), v17shadow, VV[66], v20uiop_package__shadowing_import_from, ECL_SYM("IMPORT-FROM",1260), v23uiop_package__import_from, ECL_SYM("EXPORT",1243), v26export, ECL_SYM("INTERN",1269), v29intern, VV[115], T1, VV[116], v35uiop_package__mix, VV[117], v38uiop_package__reexport, VV[109], v41unintern);
          return value0;
          }
          }
          }
          }
          }
          }
          }
         }
        }
       }
      }
     }
    }
   }
  }
 }
}
/*      local function DEFINE-PACKAGE                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC54define_package(cl_object v1, cl_object v2)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4package;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4package = v5;
   }
   {
    cl_object v5uiop_package__ensure_form;
    T0 = L53parse_define_package_form(v4package, v3);
    T1 = cl_list(2, ECL_SYM("QUOTE",679), T0);
    v5uiop_package__ensure_form = cl_list(3, ECL_SYM("APPLY",89), VV[123], T1);
    T0 = cl_list(3, ECL_SYM("DEFPACKAGE",284), v4package, VV[124]);
    T1 = cl_list(3, ECL_SYM("EVAL-WHEN",340), VV[125], v5uiop_package__ensure_form);
    value0 = cl_list(3, ECL_SYM("PROGN",671), T0, T1);
    return value0;
   }
  }
 }
}
/*      function definition for USE-ECL-BYTE-COMPILER-P               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L55use_ecl_byte_compiler_p()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_memql(VV[129],ecl_symbol_value(ECL_SYM("*FEATURES*",34))))) { goto L2; }
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function LOOP*                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC56loop_(cl_object v1, cl_object v2)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = ecl_cdr(v1);
   value0 = CONS(ECL_SYM("LOOP",512),v3);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for FROB-SUBSTRINGS                       */
/*      optimize speed 0, debug 3, space 1, safety 3                  */
static cl_object L60frob_substrings(volatile cl_narg narg, cl_object volatile v1string, cl_object volatile v2uiop_common_lisp__substrings, ...)
{
 struct ecl_ihs_frame ihs;
 const cl_object _ecl_debug_env = ECL_NIL;
 cl_object volatile env0 = ECL_NIL;
 volatile struct ecl_cclosure aux_closure;
 cl_object volatile CLV0, CLV1, CLV2, CLV3, CLV4, CLV5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  va_list args; va_start(args,v2uiop_common_lisp__substrings);
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1string,env0);              /*  STRING          */
  {
   static const struct ecl_var_debug_info _ecl_descriptors[]={
   {"UIOP/COMMON-LISP::SUBSTRINGS",_ecl_object_loc}};
   const cl_index _ecl_debug_info_raw[]={
   (cl_index)(ECL_NIL),(cl_index)(_ecl_descriptors),(cl_index)(&v2uiop_common_lisp__substrings)};
   ecl_def_ct_vector(_ecl_debug_env,ecl_aet_index,_ecl_debug_info_raw,3,,);
   ecl_ihs_push(cl_env_copy,&ihs,VV[134],_ecl_debug_env);
   {
    int i = 2;
    if (i >= narg) {
     CLV1 = env0 = CONS(ECL_NIL,env0);            /*  FROB            */
    } else {
     i++;
     CLV1 = env0 = CONS(va_arg(args,cl_object),env0); /*  FROB        */
    }
   }
   va_end(args);
   {
    CLV2 = env0 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env0); /*  FROB-SUBSTRINGS */
    if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV2))!=0) {
    value0 = cl_env_copy->values[0];
    ecl_frs_pop(cl_env_copy);
    ecl_ihs_pop(cl_env_copy);
    return value0;
    } else {
    {
     cl_fixnum v3;
     cl_object env1 = env0;
     v3 = ecl_length(ECL_CONS_CAR(CLV0));
     CLV3 = env1 = CONS(ecl_make_fixnum(v3),env1); /*  LENGTH         */
     CLV4 = env1 = CONS(ECL_NIL,env1);            /*  STREAM          */
     {
      static const struct ecl_var_debug_info _ecl_descriptors[]={
      {"#:LET967",_ecl_fixnum_loc}};
      const cl_index _ecl_debug_info_raw[]={
      (cl_index)(_ecl_debug_env),(cl_index)(_ecl_descriptors),(cl_index)(&v3)};
      ecl_def_ct_vector(_ecl_debug_env,ecl_aet_index,_ecl_debug_info_raw,3,,);
      ihs.lex_env = _ecl_debug_env;
      {cl_object env2 = env1;
       CLV5 = env2 = CONS(ECL_NIL,env2);          /*  EMIT-STRING     */
       ECL_CONS_CAR(CLV5) = ecl_make_cclosure_va((cl_objectfn)LC57emit_string,env2,Cblock);
       (aux_closure.env=env2,cl_env_copy->function=(cl_object)&aux_closure,LC59recurse(3, v2uiop_common_lisp__substrings, ecl_make_fixnum(0), ECL_CONS_CAR(CLV3)));
      }
      if (Null(ECL_CONS_CAR(CLV4))) { goto L3; }
      value0 = cl_get_output_stream_string(ECL_CONS_CAR(CLV4));
      ecl_frs_pop(cl_env_copy);
      ecl_ihs_pop(cl_env_copy);
      return value0;
L3:;
      value0 = VV[56];
      cl_env_copy->nvalues = 1;
      ecl_frs_pop(cl_env_copy);
      ecl_ihs_pop(cl_env_copy);
      return value0;
     }
     ihs.lex_env = _ecl_debug_env;
    }}
   }
  }
 }
}
/*      local function COMPATFMT                                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC61compatfmt(cl_object v1, cl_object v2)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4format;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4format = v5;
   }
   if (Null(v3)) { goto L8; }
   si_dm_too_many_arguments(v1);
L8:;
   value0 = v4format;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      closure RECURSE                                               */
/*      optimize speed 0, debug 3, space 1, safety 3                  */
static cl_object LC59recurse(cl_narg narg, cl_object v1uiop_common_lisp__substrings, cl_object v2uiop_common_lisp__start, cl_object v3uiop_common_lisp__end, ...)
{
 struct ecl_ihs_frame ihs;
 const cl_object _ecl_debug_env = ECL_NIL;
 volatile struct ecl_cclosure aux_closure;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV5 = env0;                                     /*  EMIT-STRING     */
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=3)) FEwrong_num_arguments_anonym();
 {
  {
   static const struct ecl_var_debug_info _ecl_descriptors[]={
   {"UIOP/COMMON-LISP::SUBSTRINGS",_ecl_object_loc}
   ,{"UIOP/COMMON-LISP::START",_ecl_object_loc}
   ,{"UIOP/COMMON-LISP::END",_ecl_object_loc}};
   const cl_index _ecl_debug_info_raw[]={
   (cl_index)(ECL_NIL),(cl_index)(_ecl_descriptors),(cl_index)(&v1uiop_common_lisp__substrings),(cl_index)(&v2uiop_common_lisp__start),(cl_index)(&v3uiop_common_lisp__end)};
   ecl_def_ct_vector(_ecl_debug_env,ecl_aet_index,_ecl_debug_info_raw,5,,);
   ecl_ihs_push(cl_env_copy,&ihs,VV[1806],_ecl_debug_env);
TTL:
   {
    cl_object v4;
    v4 = ecl_make_bool(ecl_number_compare(v2uiop_common_lisp__start,v3uiop_common_lisp__end)>=0);
    {
     static const struct ecl_var_debug_info _ecl_descriptors[]={
     {"#:G970",_ecl_object_loc}};
     const cl_index _ecl_debug_info_raw[]={
     (cl_index)(_ecl_debug_env),(cl_index)(_ecl_descriptors),(cl_index)(&v4)};
     ecl_def_ct_vector(_ecl_debug_env,ecl_aet_index,_ecl_debug_info_raw,3,,);
     ihs.lex_env = _ecl_debug_env;
     if (Null(v4)) { goto L2; }
     value0 = v4;
     cl_env_copy->nvalues = 1;
     ecl_ihs_pop(cl_env_copy);
     return value0;
L2:;
     if (!(v1uiop_common_lisp__substrings==ECL_NIL)) { goto L4; }
     value0 = (aux_closure.env=env0,cl_env_copy->function=(cl_object)&aux_closure,LC58emit_substring(2, v2uiop_common_lisp__start, v3uiop_common_lisp__end));
     ecl_ihs_pop(cl_env_copy);
     return value0;
L4:;
     {
      cl_object v5uiop_common_lisp__sub_spec;
      cl_object v6uiop_common_lisp__sub;
      cl_object v7uiop_common_lisp__fun;
      cl_object v8uiop_common_lisp__found;
      cl_object v9uiop_common_lisp__more;
      v5uiop_common_lisp__sub_spec = ecl_car(v1uiop_common_lisp__substrings);
      if (!(ECL_CONSP(v5uiop_common_lisp__sub_spec))) { goto L8; }
      v6uiop_common_lisp__sub = ecl_car(v5uiop_common_lisp__sub_spec);
      goto L7;
L8:;
      v6uiop_common_lisp__sub = v5uiop_common_lisp__sub_spec;
L7:;
      if (!(ECL_CONSP(v5uiop_common_lisp__sub_spec))) { goto L11; }
      v7uiop_common_lisp__fun = ecl_cdr(v5uiop_common_lisp__sub_spec);
      goto L10;
L11:;
      v7uiop_common_lisp__fun = ECL_CONS_CAR(CLV1);
L10:;
      v8uiop_common_lisp__found = (cl_env_copy->function=(ECL_SYM("SEARCH",739)->symbol.gfdef))->cfun.entry(6, v6uiop_common_lisp__sub, ECL_CONS_CAR(CLV0), ECL_SYM("START2",1324), v2uiop_common_lisp__start, ECL_SYM("END2",1237), v3uiop_common_lisp__end) /*  SEARCH */;
      v9uiop_common_lisp__more = ecl_cdr(v1uiop_common_lisp__substrings);
      {
       static const struct ecl_var_debug_info _ecl_descriptors[]={
       {"UIOP/COMMON-LISP::MORE",_ecl_object_loc}
       ,{"UIOP/COMMON-LISP::FOUND",_ecl_object_loc}
       ,{"UIOP/COMMON-LISP::FUN",_ecl_object_loc}
       ,{"UIOP/COMMON-LISP::SUB",_ecl_object_loc}
       ,{"UIOP/COMMON-LISP::SUB-SPEC",_ecl_object_loc}};
       const cl_index _ecl_debug_info_raw[]={
       (cl_index)(_ecl_debug_env),(cl_index)(_ecl_descriptors),(cl_index)(&v9uiop_common_lisp__more),(cl_index)(&v8uiop_common_lisp__found),(cl_index)(&v7uiop_common_lisp__fun),(cl_index)(&v6uiop_common_lisp__sub),(cl_index)(&v5uiop_common_lisp__sub_spec)};
       ecl_def_ct_vector(_ecl_debug_env,ecl_aet_index,_ecl_debug_info_raw,7,,);
       ihs.lex_env = _ecl_debug_env;
       if (Null(v8uiop_common_lisp__found)) { goto L15; }
       (aux_closure.env=env0,cl_env_copy->function=(cl_object)&aux_closure,LC59recurse(3, v9uiop_common_lisp__more, v2uiop_common_lisp__start, v8uiop_common_lisp__found));
       {
        if (v7uiop_common_lisp__fun==ECL_NIL) { goto L18; }
        if (!(ECL_STRINGP(v7uiop_common_lisp__fun))) { goto L20; }
        (aux_closure.env=env0,cl_env_copy->function=(cl_object)&aux_closure,LC57emit_string(1, v7uiop_common_lisp__fun));
        goto L18;
L20:;
        if (Null(cl_functionp(v7uiop_common_lisp__fun))) { goto L22; }
        ecl_function_dispatch(cl_env_copy,v7uiop_common_lisp__fun)(2, v6uiop_common_lisp__sub, ECL_CONS_CAR(CLV5));
        goto L18;
L22:;
        ecl_function_dispatch(cl_env_copy,ECL_SYM("ETYPECASE-ERROR",1810))(2, v7uiop_common_lisp__fun, VV[133]) /*  ETYPECASE-ERROR */;
       }
L18:;
       {
        cl_fixnum v10;
        v10 = ecl_length(v6uiop_common_lisp__sub);
        v2uiop_common_lisp__start = ecl_plus(v8uiop_common_lisp__found,ecl_make_fixnum(v10));
       }
       ihs.lex_env = _ecl_debug_env;
       goto TTL;
L15:;
       v1uiop_common_lisp__substrings = v9uiop_common_lisp__more;
       ihs.lex_env = _ecl_debug_env;
       goto TTL;
      }
      ihs.lex_env = _ecl_debug_env;
     }
    }
    ihs.lex_env = _ecl_debug_env;
   }
  }
 }
 }
}
/*      closure EMIT-SUBSTRING                                        */
/*      optimize speed 0, debug 3, space 1, safety 3                  */
static cl_object LC58emit_substring(cl_narg narg, cl_object v1uiop_common_lisp__start, cl_object v2uiop_common_lisp__end, ...)
{
 struct ecl_ihs_frame ihs;
 const cl_object _ecl_debug_env = ECL_NIL;
 volatile struct ecl_cclosure aux_closure;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV5 = env0;
 CLV4 = _ecl_cdr(CLV5);                           /*  STREAM          */
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=2)) FEwrong_num_arguments_anonym();
 {
  {
   static const struct ecl_var_debug_info _ecl_descriptors[]={
   {"UIOP/COMMON-LISP::START",_ecl_object_loc}
   ,{"UIOP/COMMON-LISP::END",_ecl_object_loc}};
   const cl_index _ecl_debug_info_raw[]={
   (cl_index)(ECL_NIL),(cl_index)(_ecl_descriptors),(cl_index)(&v1uiop_common_lisp__start),(cl_index)(&v2uiop_common_lisp__end)};
   ecl_def_ct_vector(_ecl_debug_env,ecl_aet_index,_ecl_debug_info_raw,4,,);
   ecl_ihs_push(cl_env_copy,&ihs,VV[1807],_ecl_debug_env);
TTL:
   if (!(ecl_zerop(v1uiop_common_lisp__start))) { goto L1; }
   if (!(ecl_number_equalp(v2uiop_common_lisp__end,ECL_CONS_CAR(CLV3)))) { goto L1; }
   cl_env_copy->values[0] = ECL_CONS_CAR(CLV0);
   cl_env_copy->nvalues = 1;
   cl_return_from(ECL_CONS_CAR(CLV2),ECL_NIL);
L1:;
   value0 = (aux_closure.env=env0,cl_env_copy->function=(cl_object)&aux_closure,LC57emit_string(3, ECL_CONS_CAR(CLV0), v1uiop_common_lisp__start, v2uiop_common_lisp__end));
   ecl_ihs_pop(cl_env_copy);
   return value0;
  }
 }
 }
}
/*      closure EMIT-STRING                                           */
/*      optimize speed 0, debug 3, space 1, safety 3                  */
static cl_object LC57emit_string(cl_narg narg, cl_object v1uiop_common_lisp__x, ...)
{
 cl_object T0;
 struct ecl_ihs_frame ihs;
 const cl_object _ecl_debug_env = ECL_NIL;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV5 = env0;
 CLV4 = _ecl_cdr(CLV5);                           /*  STREAM          */
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_common_lisp__start;
  cl_object v3uiop_common_lisp__end;
  va_list args; va_start(args,v1uiop_common_lisp__x);
  {
   static const struct ecl_var_debug_info _ecl_descriptors[]={
   {"UIOP/COMMON-LISP::X",_ecl_object_loc}};
   const cl_index _ecl_debug_info_raw[]={
   (cl_index)(ECL_NIL),(cl_index)(_ecl_descriptors),(cl_index)(&v1uiop_common_lisp__x)};
   ecl_def_ct_vector(_ecl_debug_env,ecl_aet_index,_ecl_debug_info_raw,3,,);
   ecl_ihs_push(cl_env_copy,&ihs,VV[1808],_ecl_debug_env);
   {
    int i = 1;
    if (i >= narg) {
     v2uiop_common_lisp__start = ecl_make_fixnum(0);
    } else {
     i++;
     v2uiop_common_lisp__start = va_arg(args,cl_object);
    }
    if (i >= narg) {
     v3uiop_common_lisp__end = ecl_make_fixnum(ecl_length(v1uiop_common_lisp__x));
    } else {
     i++;
     v3uiop_common_lisp__end = va_arg(args,cl_object);
    }
   }
   va_end(args);
   if (!(ecl_number_compare(v2uiop_common_lisp__start,v3uiop_common_lisp__end)<0)) { goto L3; }
   if ((ECL_CONS_CAR(CLV4))!=ECL_NIL) { goto L5; }
   ECL_CONS_CAR(CLV4) = cl_make_string_output_stream(0);
L5:;
   T0 = ECL_CONS_CAR(CLV4);
   value0 = cl_write_string(6, v1uiop_common_lisp__x, T0, ECL_SYM("START",1322), v2uiop_common_lisp__start, ECL_SYM("END",1235), v3uiop_common_lisp__end);
   ecl_ihs_pop(cl_env_copy);
   return value0;
L3:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   ecl_ihs_pop(cl_env_copy);
   return value0;
  }
 }
 }
}
/*      function definition for UNDEFINE-FUNCTION                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L62undefine_function(cl_object v1uiop_utility__function_spec)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_SYMBOLP(v1uiop_utility__function_spec))) { goto L1; }
  value0 = cl_fmakunbound(v1uiop_utility__function_spec);
  return value0;
L1:;
  if (!(ECL_CONSP(v1uiop_utility__function_spec))) { goto L3; }
  T0 = ecl_car(v1uiop_utility__function_spec);
  if (!((T0)==(ECL_SYM("SETF",750)))) { goto L3; }
  T0 = ecl_cdr(v1uiop_utility__function_spec);
  if (!(ECL_CONSP(T0))) { goto L3; }
  T0 = ecl_cddr(v1uiop_utility__function_spec);
  if (!(T0==ECL_NIL)) { goto L3; }
  value0 = cl_fmakunbound(v1uiop_utility__function_spec);
  return value0;
L3:;
  value0 = cl_error(2, VV[136], v1uiop_utility__function_spec);
  return value0;
 }
}
/*      function definition for UNDEFINE-FUNCTIONS                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L63undefine_functions(cl_object v1uiop_utility__function_spec_list)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_map(3, ECL_NIL, VV[137], v1uiop_utility__function_spec_list);
  return value0;
 }
}
/*      local function DEFGENERIC*                                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC64defgeneric_(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4uiop_utility__name;
   cl_object v5uiop_utility__formals;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4uiop_utility__name = v6;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5uiop_utility__formals = v6;
   }
   {
    cl_object v6;
    cl_object v7;
    cl_object v8uiop_utility__name;
    cl_object v9;
    cl_object v10uiop_utility__supersede;
    if (ECL_ATOM(v4uiop_utility__name)) { goto L17; }
    T0 = ecl_car(v4uiop_utility__name);
    if (!((T0)==(ECL_SYM("SETF",750)))) { goto L15; }
    goto L16;
L17:;
L16:;
    v6 = cl_list(3, v4uiop_utility__name, ECL_SYM("SUPERSEDE",1326), ECL_NIL);
    goto L14;
L15:;
    v6 = v4uiop_utility__name;
L14:;
    v7 = v6;
    if (!(v7==ECL_NIL)) { goto L21; }
    si_dm_too_few_arguments(v6);
L21:;
    {
     cl_object v11;
     v11 = ecl_car(v7);
     v7 = ecl_cdr(v7);
     v8uiop_utility__name = v11;
    }
    v9 = si_search_keyword(2, v7, ECL_SYM("SUPERSEDE",1326));
    if (!((v9)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L28; }
    v10uiop_utility__supersede = ECL_T;
    goto L27;
L28:;
    v10uiop_utility__supersede = v9;
L27:;
    si_check_keyword(2, v7, VV[139]);
    if ((v10uiop_utility__supersede)!=ECL_NIL) { goto L34; }
    goto L33;
L34:;
L33:;
    T1 = cl_list(2, ECL_SYM("QUOTE",679), v8uiop_utility__name);
    T2 = cl_list(2, VV[137], T1);
    T0 = ecl_list1(T2);
    goto L31;
    T0 = ECL_NIL;
L31:;
    if (!(ECL_SYMBOLP(v8uiop_utility__name))) { goto L37; }
    T2 = cl_list(2, ECL_SYM("NOTINLINE",587), v8uiop_utility__name);
    T3 = cl_list(2, ECL_SYM("DECLAIM",272), T2);
    T1 = ecl_list1(T3);
    goto L36;
L37:;
    T1 = ECL_NIL;
L36:;
    T2 = cl_listX(4, ECL_SYM("DEFGENERIC",938), v8uiop_utility__name, v5uiop_utility__formals, v3);
    T3 = ecl_list1(T2);
    T4 = cl_append(3, T0, T1, T3);
    value0 = CONS(ECL_SYM("PROGN",671),T4);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      local function DEFUN*                                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC65defun_(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4uiop_utility__name;
   cl_object v5uiop_utility__formals;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4uiop_utility__name = v6;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5uiop_utility__formals = v6;
   }
   {
    cl_object v6;
    cl_object v7;
    cl_object v8uiop_utility__name;
    cl_object v9;
    cl_object v10uiop_utility__supersede;
    if (ECL_ATOM(v4uiop_utility__name)) { goto L17; }
    T0 = ecl_car(v4uiop_utility__name);
    if (!((T0)==(ECL_SYM("SETF",750)))) { goto L15; }
    goto L16;
L17:;
L16:;
    v6 = cl_list(3, v4uiop_utility__name, ECL_SYM("SUPERSEDE",1326), ECL_NIL);
    goto L14;
L15:;
    v6 = v4uiop_utility__name;
L14:;
    v7 = v6;
    if (!(v7==ECL_NIL)) { goto L21; }
    si_dm_too_few_arguments(v6);
L21:;
    {
     cl_object v11;
     v11 = ecl_car(v7);
     v7 = ecl_cdr(v7);
     v8uiop_utility__name = v11;
    }
    v9 = si_search_keyword(2, v7, ECL_SYM("SUPERSEDE",1326));
    if (!((v9)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L28; }
    v10uiop_utility__supersede = ECL_T;
    goto L27;
L28:;
    v10uiop_utility__supersede = v9;
L27:;
    si_check_keyword(2, v7, VV[139]);
    if ((v10uiop_utility__supersede)!=ECL_NIL) { goto L34; }
    goto L33;
L34:;
L33:;
    T1 = cl_list(2, ECL_SYM("QUOTE",679), v8uiop_utility__name);
    T2 = cl_list(2, VV[137], T1);
    T0 = ecl_list1(T2);
    goto L31;
    T0 = ECL_NIL;
L31:;
    if (!(ECL_SYMBOLP(v8uiop_utility__name))) { goto L37; }
    T2 = cl_list(2, ECL_SYM("NOTINLINE",587), v8uiop_utility__name);
    T3 = cl_list(2, ECL_SYM("DECLAIM",272), T2);
    T1 = ecl_list1(T3);
    goto L36;
L37:;
    T1 = ECL_NIL;
L36:;
    T2 = cl_listX(4, ECL_SYM("DEFUN",289), v8uiop_utility__name, v5uiop_utility__formals, v3);
    T3 = ecl_list1(T2);
    T4 = cl_append(3, T0, T1, T3);
    value0 = CONS(ECL_SYM("PROGN",671),T4);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      local function WITH-UPGRADABILITY                             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC66with_upgradability(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v5;
   }
   if (Null(v4)) { goto L8; }
   si_dm_too_many_arguments(v1);
L8:;
   {
    cl_object v5uiop_utility__form;
    cl_object v6;
    v5uiop_utility__form = ECL_NIL;
    {
     cl_object v7;
     v7 = v3;
     if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
     v6 = v7;
    }
    {
     cl_object v7;
     cl_object v8;
     v7 = ecl_list1(ECL_NIL);
     v8 = v7;
L17:;
     if (!(ecl_endp(v6))) { goto L19; }
     goto L18;
L19:;
     v5uiop_utility__form = _ecl_car(v6);
     {
      cl_object v9;
      v9 = _ecl_cdr(v6);
      if (ecl_unlikely(!ECL_LISTP(v9))) FEtype_error_list(v9);
      v6 = v9;
     }
     {
      cl_object v9;
      v9 = v8;
      if (ecl_unlikely(ECL_ATOM(v9))) FEtype_error_cons(v9);
      T1 = v9;
     }
     if (!(ECL_CONSP(v5uiop_utility__form))) { goto L33; }
     {
      cl_object v9;
      cl_object v10car;
      v9 = v5uiop_utility__form;
      if (!(v9==ECL_NIL)) { goto L37; }
      si_dm_too_few_arguments(v5uiop_utility__form);
L37:;
      {
       cl_object v11;
       v11 = ecl_car(v9);
       v9 = ecl_cdr(v9);
       v10car = v11;
      }
      if (!((v10car)==(ECL_SYM("DEFUN",289)))) { goto L42; }
      T2 = CONS(VV[141],v9);
      goto L32;
L42:;
      if (!((v10car)==(ECL_SYM("DEFGENERIC",938)))) { goto L45; }
      T2 = CONS(VV[140],v9);
      goto L32;
L45:;
      T2 = v5uiop_utility__form;
      goto L32;
     }
L33:;
     T2 = v5uiop_utility__form;
L32:;
     v8 = ecl_list1(T2);
     (ECL_CONS_CDR(T1)=v8,T1);
     goto L17;
L18:;
     T0 = ecl_cdr(v7);
     goto L10;
    }
   }
L10:;
   value0 = cl_listX(3, ECL_SYM("EVAL-WHEN",340), VV[125], T0);
   return value0;
  }
 }
}
/*      local function UIOP-DEBUG                                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC67uiop_debug(cl_object v1, cl_object v2)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = ecl_cdr(v1);
   T0 = CONS(VV[146],v3);
   value0 = cl_list(3, ECL_SYM("EVAL-WHEN",340), VV[125], T0);
   return value0;
  }
 }
}
/*      function definition for LOAD-UIOP-DEBUG-UTILITY               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L69load_uiop_debug_utility(volatile cl_narg narg, ...)
{
 cl_object T0, T1, T2, T3;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object volatile v1package;
  cl_object volatile v2uiop_utility__utility_file;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,L69load_uiop_debug_utilitykeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v1package = keyvars[0];
   v2uiop_utility__utility_file = keyvars[1];
  }
  {
   volatile cl_object v3keyword;
   if (Null(v1package)) { goto L2; }
   T0 = cl_find_package(v1package);
   goto L1;
L2:;
   T0 = ecl_symbol_value(ECL_SYM("*PACKAGE*",43));
L1:;
   ecl_bds_bind(cl_env_copy,ECL_SYM("*PACKAGE*",43),T0); /*  *PACKAGE* */
   T0 = cl_package_name(ecl_symbol_value(ECL_SYM("*PACKAGE*",43)));
   T1 = cl_format(3, ECL_NIL, VV[148], T0);
   v3keyword = cl_read_from_string(1, T1);
   if ((ecl_memql(v3keyword,ecl_symbol_value(ECL_SYM("*FEATURES*",34))))!=ECL_NIL) { goto L5; }
   {
    volatile cl_object v4uiop_utility__utility_file;
    volatile cl_object v5uiop_utility__file;
    value0 = v2uiop_utility__utility_file;
    if ((value0)!=ECL_NIL) { goto L9; }
    v4uiop_utility__utility_file = ecl_symbol_value(VV[145]);
    goto L7;
L9:;
    v4uiop_utility__utility_file = value0;
    goto L7;
L7:;
    {
     volatile cl_object env1 = env0;
     env1 = ECL_NIL;
     CLV0 = env1 = CONS(ECL_NIL,env1);
     {
      volatile cl_object env2 = env1;
      CLV1 = env2 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
      if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
      if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L12;
      ecl_internal_error("GO found an inexistent tag");
      }
      {
       cl_object v6;
       v6 = ecl_make_cclosure_va((cl_objectfn)LC68__g1087,env2,Cblock);
       T0 = v6;
      }
      T1 = CONS(ECL_SYM("ERROR",337),T0);
      T2 = ecl_list1(T1);
      T3 = CONS(T2,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
      ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T3); /*  *HANDLER-CLUSTERS* */
      T0 = cl_eval(v4uiop_utility__utility_file);
      value0 = cl_probe_file(T0);
      ecl_frs_pop(cl_env_copy);
      v5uiop_utility__file = value0;
      ecl_bds_unwind1(cl_env_copy);
      goto L11;
L12:;
      {
       cl_object v6condition;
       v6condition = ECL_CONS_CAR(CLV0);
       cl_env_copy->nvalues = 2;
       cl_env_copy->values[1] = v6condition;
       cl_env_copy->values[0] = ECL_NIL;
       value0 = cl_env_copy->values[0];
       ecl_frs_pop(cl_env_copy);
       v5uiop_utility__file = value0;
       goto L11;
      }
     }
    }
L11:;
    if (Null(v5uiop_utility__file)) { goto L17; }
    value0 = cl_load(1, v5uiop_utility__file);
    ecl_bds_unwind1(cl_env_copy);
    return value0;
L17:;
    value0 = cl_error(2, VV[149], v4uiop_utility__utility_file);
    ecl_bds_unwind1(cl_env_copy);
    return value0;
   }
L5:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   ecl_bds_unwind1(cl_env_copy);
   return value0;
  }
 }
}
/*      closure G1087                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC68__g1087(cl_narg narg, cl_object v1si__temp, ...)
{
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  TAGBODY         */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV0) = v1si__temp;
  cl_go(ECL_CONS_CAR(CLV1),ecl_make_fixnum(0));
 }
 }
}
/*      local function NEST                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC71nest(cl_object v1, cl_object v2)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = ecl_cdr(v1);
   {
    cl_object v4;
    v4 = ecl_make_cfun((cl_objectfn_fixed)LC70__g1094,ECL_NIL,Cblock,2);
    T0 = v4;
   }
   value0 = cl_reduce(4, T0, v3, VV[52], ECL_T);
   return value0;
  }
 }
}
/*      local function IF-LET                                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC72if_let(cl_object v1, cl_object v2)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4uiop_utility__bindings;
   cl_object v5;
   cl_object v6uiop_utility__then_form;
   cl_object v7uiop_utility__else_form;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v8;
    v8 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4uiop_utility__bindings = v8;
   }
   v5 = v3;
   if (!(v5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(v1);
L10:;
   {
    cl_object v8;
    v8 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v6uiop_utility__then_form = v8;
   }
   if (Null(v5)) { goto L16; }
   {
    cl_object v8;
    v8 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v7uiop_utility__else_form = v8;
    goto L15;
   }
L16:;
   v7uiop_utility__else_form = ECL_NIL;
L15:;
   if (Null(v5)) { goto L21; }
   si_dm_too_many_arguments(v1);
L21:;
   {
    cl_object v8uiop_utility__binding_list;
    cl_object v9uiop_utility__variables;
    if (!(ECL_CONSP(v4uiop_utility__bindings))) { goto L24; }
    T0 = ecl_car(v4uiop_utility__bindings);
    if (!(ECL_SYMBOLP(T0))) { goto L24; }
    v8uiop_utility__binding_list = ecl_list1(v4uiop_utility__bindings);
    goto L23;
L24:;
    v8uiop_utility__binding_list = v4uiop_utility__bindings;
L23:;
    {
     cl_object v10;
     v10 = (ECL_SYM("CAR",180)->symbol.gfdef);
     {
      cl_object v11;
      cl_object v12;
      v11 = ECL_NIL;
      {
       cl_object v13;
       v13 = v8uiop_utility__binding_list;
       if (ecl_unlikely(!ECL_LISTP(v13))) FEtype_error_list(v13);
       v12 = v13;
      }
      {
       cl_object v13;
       cl_object v14;
       v13 = ecl_list1(ECL_NIL);
       v14 = v13;
L35:;
       if (!(ecl_endp(v12))) { goto L37; }
       goto L36;
L37:;
       v11 = _ecl_car(v12);
       {
        cl_object v15;
        v15 = _ecl_cdr(v12);
        if (ecl_unlikely(!ECL_LISTP(v15))) FEtype_error_list(v15);
        v12 = v15;
       }
       {
        cl_object v15;
        v15 = v14;
        if (ecl_unlikely(ECL_ATOM(v15))) FEtype_error_cons(v15);
        T0 = v15;
       }
       T1 = ecl_function_dispatch(cl_env_copy,v10)(1, v11);
       v14 = ecl_list1(T1);
       (ECL_CONS_CDR(T0)=v14,T0);
       goto L35;
L36:;
       v9uiop_utility__variables = ecl_cdr(v13);
       goto L27;
      }
     }
    }
L27:;
    T0 = CONS(ECL_SYM("AND",87),v9uiop_utility__variables);
    T1 = cl_list(4, ECL_SYM("IF",946), T0, v6uiop_utility__then_form, v7uiop_utility__else_form);
    value0 = cl_list(3, ECL_SYM("LET",477), v8uiop_utility__binding_list, T1);
    return value0;
   }
  }
 }
}
/*      local function G1094                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC70__g1094(cl_object v1uiop_utility__outer, cl_object v2uiop_utility__inner)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_list1(v2uiop_utility__inner);
  value0 = ecl_append(v1uiop_utility__outer,T0);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function WHILE-COLLECTING                               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC76while_collecting(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v5;
   }
   {
    cl_object v5;
    cl_object v6;
    {
     cl_object v7;
     {
      cl_object v8;
      v8 = ecl_make_cfun((cl_objectfn_fixed)LC73__g1133,ECL_NIL,Cblock,1);
      v7 = v8;
     }
     {
      cl_object v8;
      cl_object v9;
      v8 = ECL_NIL;
      {
       cl_object v10;
       v10 = v4;
       if (ecl_unlikely(!ECL_LISTP(v10))) FEtype_error_list(v10);
       v9 = v10;
      }
      {
       cl_object v10;
       cl_object v11;
       v10 = ecl_list1(ECL_NIL);
       v11 = v10;
L16:;
       if (!(ecl_endp(v9))) { goto L18; }
       goto L17;
L18:;
       v8 = _ecl_car(v9);
       {
        cl_object v12;
        v12 = _ecl_cdr(v9);
        if (ecl_unlikely(!ECL_LISTP(v12))) FEtype_error_list(v12);
        v9 = v12;
       }
       {
        cl_object v12;
        v12 = v11;
        if (ecl_unlikely(ECL_ATOM(v12))) FEtype_error_cons(v12);
        T0 = v12;
       }
       T1 = ecl_function_dispatch(cl_env_copy,v7)(1, v8);
       v11 = ecl_list1(T1);
       (ECL_CONS_CDR(T0)=v11,T0);
       goto L16;
L17:;
       v5 = ecl_cdr(v10);
       goto L8;
      }
     }
    }
L8:;
    {
     cl_object v7;
     v7 = cl_constantly(ECL_NIL);
     {
      cl_object v8;
      cl_object v9;
      v8 = ECL_NIL;
      {
       cl_object v10;
       v10 = v4;
       if (ecl_unlikely(!ECL_LISTP(v10))) FEtype_error_list(v10);
       v9 = v10;
      }
      {
       cl_object v10;
       cl_object v11;
       v10 = ecl_list1(ECL_NIL);
       v11 = v10;
L42:;
       if (!(ecl_endp(v9))) { goto L44; }
       goto L43;
L44:;
       v8 = _ecl_car(v9);
       {
        cl_object v12;
        v12 = _ecl_cdr(v9);
        if (ecl_unlikely(!ECL_LISTP(v12))) FEtype_error_list(v12);
        v9 = v12;
       }
       {
        cl_object v12;
        v12 = v11;
        if (ecl_unlikely(ECL_ATOM(v12))) FEtype_error_cons(v12);
        T0 = v12;
       }
       T1 = ecl_function_dispatch(cl_env_copy,v7)(1, v8);
       v11 = ecl_list1(T1);
       (ECL_CONS_CDR(T0)=v11,T0);
       goto L42;
L43:;
       v6 = ecl_cdr(v10);
       goto L34;
      }
     }
    }
L34:;
    {
     cl_object v7;
     v7 = (ECL_SYM("LIST",481)->symbol.gfdef);
     {
      cl_object v8;
      cl_object v9;
      v8 = ECL_NIL;
      {
       cl_object v10;
       v10 = v5;
       if (ecl_unlikely(!ECL_LISTP(v10))) FEtype_error_list(v10);
       v9 = v10;
      }
      {
       cl_object v10;
       cl_object v11;
       v10 = ECL_NIL;
       {
        cl_object v12;
        v12 = v6;
        if (ecl_unlikely(!ECL_LISTP(v12))) FEtype_error_list(v12);
        v11 = v12;
       }
       {
        cl_object v12;
        cl_object v13;
        v12 = ecl_list1(ECL_NIL);
        v13 = v12;
L72:;
        if (!(ecl_endp(v9))) { goto L74; }
        goto L73;
L74:;
        v8 = _ecl_car(v9);
        {
         cl_object v14;
         v14 = _ecl_cdr(v9);
         if (ecl_unlikely(!ECL_LISTP(v14))) FEtype_error_list(v14);
         v9 = v14;
        }
        if (!(ecl_endp(v11))) { goto L82; }
        goto L73;
L82:;
        v10 = _ecl_car(v11);
        {
         cl_object v14;
         v14 = _ecl_cdr(v11);
         if (ecl_unlikely(!ECL_LISTP(v14))) FEtype_error_list(v14);
         v11 = v14;
        }
        {
         cl_object v14;
         v14 = v13;
         if (ecl_unlikely(ECL_ATOM(v14))) FEtype_error_cons(v14);
         T1 = v14;
        }
        T2 = ecl_function_dispatch(cl_env_copy,v7)(2, v8, v10);
        v13 = ecl_list1(T2);
        (ECL_CONS_CDR(T1)=v13,T1);
        goto L72;
L73:;
        T0 = ecl_cdr(v12);
        goto L60;
       }
      }
     }
    }
L60:;
    {
     cl_object v7;
     {
      cl_object v8;
      v8 = ecl_make_cfun((cl_objectfn_fixed)LC74__g1161,ECL_NIL,Cblock,2);
      v7 = v8;
     }
     {
      cl_object v8;
      cl_object v9;
      v8 = ECL_NIL;
      {
       cl_object v10;
       v10 = v4;
       if (ecl_unlikely(!ECL_LISTP(v10))) FEtype_error_list(v10);
       v9 = v10;
      }
      {
       cl_object v10;
       cl_object v11;
       v10 = ECL_NIL;
       {
        cl_object v12;
        v12 = v5;
        if (ecl_unlikely(!ECL_LISTP(v12))) FEtype_error_list(v12);
        v11 = v12;
       }
       {
        cl_object v12;
        cl_object v13;
        v12 = ecl_list1(ECL_NIL);
        v13 = v12;
L110:;
        if (!(ecl_endp(v9))) { goto L112; }
        goto L111;
L112:;
        v8 = _ecl_car(v9);
        {
         cl_object v14;
         v14 = _ecl_cdr(v9);
         if (ecl_unlikely(!ECL_LISTP(v14))) FEtype_error_list(v14);
         v9 = v14;
        }
        if (!(ecl_endp(v11))) { goto L120; }
        goto L111;
L120:;
        v10 = _ecl_car(v11);
        {
         cl_object v14;
         v14 = _ecl_cdr(v11);
         if (ecl_unlikely(!ECL_LISTP(v14))) FEtype_error_list(v14);
         v11 = v14;
        }
        {
         cl_object v14;
         v14 = v13;
         if (ecl_unlikely(ECL_ATOM(v14))) FEtype_error_cons(v14);
         T2 = v14;
        }
        T3 = ecl_function_dispatch(cl_env_copy,v7)(2, v8, v10);
        v13 = ecl_list1(T3);
        (ECL_CONS_CDR(T2)=v13,T2);
        goto L110;
L111:;
        T1 = ecl_cdr(v12);
        goto L98;
       }
      }
     }
    }
L98:;
    {
     cl_object v7;
     {
      cl_object v8;
      v8 = ecl_make_cfun((cl_objectfn_fixed)LC75__g1171,ECL_NIL,Cblock,1);
      v7 = v8;
     }
     {
      cl_object v8;
      cl_object v9;
      v8 = ECL_NIL;
      {
       cl_object v10;
       v10 = v5;
       if (ecl_unlikely(!ECL_LISTP(v10))) FEtype_error_list(v10);
       v9 = v10;
      }
      {
       cl_object v10;
       cl_object v11;
       v10 = ecl_list1(ECL_NIL);
       v11 = v10;
L144:;
       if (!(ecl_endp(v9))) { goto L146; }
       goto L145;
L146:;
       v8 = _ecl_car(v9);
       {
        cl_object v12;
        v12 = _ecl_cdr(v9);
        if (ecl_unlikely(!ECL_LISTP(v12))) FEtype_error_list(v12);
        v9 = v12;
       }
       {
        cl_object v12;
        v12 = v11;
        if (ecl_unlikely(ECL_ATOM(v12))) FEtype_error_cons(v12);
        T3 = v12;
       }
       T4 = ecl_function_dispatch(cl_env_copy,v7)(1, v8);
       v11 = ecl_list1(T4);
       (ECL_CONS_CDR(T3)=v11,T3);
       goto L144;
L145:;
       T2 = ecl_cdr(v10);
       goto L136;
      }
     }
    }
L136:;
    T3 = CONS(ECL_SYM("VALUES",895),T2);
    T4 = ecl_list1(T3);
    T5 = ecl_append(v3,T4);
    T6 = cl_listX(3, ECL_SYM("FLET",373), T1, T5);
    value0 = cl_list(3, ECL_SYM("LET",477), T0, T6);
    return value0;
   }
  }
 }
}
/*      local function APPENDF                                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC78appendf(cl_object v1, cl_object v2si__env)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4si___reference;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4si___reference = v5;
   }
   {
    cl_object v6;                                 /*  VARS            */
    cl_object v7;                                 /*  VALS            */
    cl_object v8;                                 /*  STORES          */
    cl_object v9;                                 /*  SETTER          */
    cl_object v10;                                /*  GETTER          */
    value0 = (cl_env_copy->function=(ECL_SYM("GET-SETF-EXPANSION",410)->symbol.gfdef))->cfun.entry(2, v4si___reference, v2si__env) /*  GET-SETF-EXPANSION */;
    v6 = value0;
    v7 = cl_env_copy->values[1];
    v8 = cl_env_copy->values[2];
    v9 = cl_env_copy->values[3];
    v10 = cl_env_copy->values[4];
    {
     cl_object v11si__all_vars;
     {
      cl_object v12;
      v12 = ecl_make_cfun((cl_objectfn_fixed)LC77__g1179,ECL_NIL,Cblock,1);
      T0 = v12;
     }
     T1 = v3;
     v11si__all_vars = (cl_env_copy->function=(ECL_SYM("MAPCAR",545)->symbol.gfdef))->cfun.entry(2, T0, T1) /*  MAPCAR */;
     if (!(ECL_SYMBOLP(v10))) { goto L11; }
     T0 = (ECL_SYM("CAR",180)->symbol.gfdef);
     T1 = (cl_env_copy->function=(ECL_SYM("MAPCAR",545)->symbol.gfdef))->cfun.entry(2, T0, v11si__all_vars) /*  MAPCAR */;
     T2 = cl_listX(3, ECL_SYM("APPEND",88), v10, T1);
     T3 = ecl_car(v8);
     T4 = (ECL_SYM("FIRST",371)->symbol.gfdef);
     T5 = (cl_env_copy->function=(ECL_SYM("MAPCAR",545)->symbol.gfdef))->cfun.entry(2, T4, v11si__all_vars) /*  MAPCAR */;
     T6 = CONS(VV[156],T5);
     T7 = cl_list(2, ECL_SYM("DECLARE",274), T6);
     T8 = cl_list(4, ECL_SYM("LET*",478), v11si__all_vars, T7, v9);
     value0 = cl_subst(3, T2, T3, T8);
     return value0;
L11:;
     {
      cl_object v12si__d;
      cl_object v13si__v;
      cl_object v14si__let_list;
      v12si__d = v6;
      v13si__v = v7;
      v14si__let_list = ECL_NIL;
      goto L20;
L19:;
      {
       cl_object v15;
       v15 = ecl_cdr(v12si__d);
       {
        cl_object v16;
        v16 = ecl_cdr(v13si__v);
        T0 = ecl_car(v12si__d);
        T1 = ecl_car(v13si__v);
        T2 = cl_list(2, T0, T1);
        v14si__let_list = CONS(T2,v14si__let_list);
        v13si__v = v16;
        v12si__d = v15;
       }
      }
L20:;
      if (v12si__d==ECL_NIL) { goto L26; }
      goto L19;
L26:;
      T0 = ecl_car(v8);
      if (!(ECL_LISTP(v4si___reference))) { goto L31; }
      T2 = ecl_car(v4si___reference);
      if (!((T2)==(ECL_SYM("THE",856)))) { goto L31; }
      T2 = ecl_cadr(v4si___reference);
      T3 = cl_listX(3, ECL_SYM("APPEND",88), v10, v3);
      T1 = cl_list(3, ECL_SYM("THE",856), T2, T3);
      goto L30;
L31:;
      T2 = (ECL_SYM("CAR",180)->symbol.gfdef);
      T3 = (cl_env_copy->function=(ECL_SYM("MAPCAR",545)->symbol.gfdef))->cfun.entry(2, T2, v11si__all_vars) /*  MAPCAR */;
      T1 = cl_listX(3, ECL_SYM("APPEND",88), v10, T3);
L30:;
      T2 = cl_list(2, T0, T1);
      T3 = ecl_append(v11si__all_vars,v14si__let_list);
      v14si__let_list = CONS(T2,T3);
      T0 = cl_nreverse(v14si__let_list);
      T1 = (ECL_SYM("FIRST",371)->symbol.gfdef);
      T2 = (cl_env_copy->function=(ECL_SYM("MAPCAR",545)->symbol.gfdef))->cfun.entry(2, T1, v11si__all_vars) /*  MAPCAR */;
      T3 = ecl_append(T2,v6);
      T4 = CONS(VV[156],T3);
      T5 = cl_list(2, ECL_SYM("DECLARE",274), T4);
      value0 = cl_list(4, ECL_SYM("LET*",478), T0, T5, v9);
      return value0;
     }
    }
   }
  }
 }
}
/*      function definition for LENGTH=N-P                            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L79length_n_p(cl_object v1uiop_utility__x, cl_object v2uiop_utility__n)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = v2uiop_utility__n;
   {
    cl_object v4;
    v4 = ecl_make_fixnum(0);
    if (!(ECL_FIXNUMP(v3)||ECL_BIGNUMP(v3))) { goto L7; }
    v4 = v3;
    if (ecl_number_compare(v4,ecl_make_fixnum(0))>=0) { goto L3; }
    goto L4;
L7:;
    goto L4;
   }
L4:;
   v2uiop_utility__n = si_do_check_type(v3, VV[159], ECL_NIL, VV[160]);
L3:;
  }
  {
   cl_object v3uiop_utility__l;
   v3uiop_utility__l = ECL_NIL;
   {
    cl_object v4uiop_utility__i;
    {
     cl_object v5;
     v5 = v2uiop_utility__n;
     T0 = cl_realp(v5);
     if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("REAL",703),v5);
     v4uiop_utility__i = v5;
    }
    v3uiop_utility__l = v1uiop_utility__x;
L16:;
    if (!(ecl_zerop(v4uiop_utility__i))) { goto L20; }
    value0 = ecl_make_bool(v3uiop_utility__l==ECL_NIL);
    cl_env_copy->nvalues = 1;
    return value0;
L20:;
    if (ECL_CONSP(v3uiop_utility__l)) { goto L19; }
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
L19:;
    v3uiop_utility__l = ecl_cdr(v3uiop_utility__l);
    v4uiop_utility__i = ecl_one_minus(v4uiop_utility__i);
    goto L16;
   }
  }
 }
}
/*      function definition for ENSURE-LIST                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L80ensure_list(cl_object v1uiop_utility__x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_LISTP(v1uiop_utility__x))) { goto L1; }
  value0 = v1uiop_utility__x;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  value0 = ecl_list1(v1uiop_utility__x);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G1133                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC73__g1133(cl_object v1uiop_utility__x)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_symbol_name(v1uiop_utility__x);
  value0 = cl_gensym(1, T0);
  return value0;
 }
}
/*      local function G1161                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC74__g1161(cl_object v1uiop_utility__c, cl_object v2uiop_utility__v)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(3, ECL_SYM("PUSH",677), VV[153], v2uiop_utility__v);
  value0 = cl_list(4, v1uiop_utility__c, VV[152], T0, VV[154]);
  return value0;
 }
}
/*      local function G1171                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC75__g1171(cl_object v1uiop_utility__v)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_list(2, ECL_SYM("REVERSE",727), v1uiop_utility__v);
  return value0;
 }
}
/*      local function G1179                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC77__g1179(cl_object v1si__v)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_gensym(0);
  value0 = cl_list(2, T0, v1si__v);
  return value0;
 }
}
/*      function definition for REMOVE-PLIST-KEY                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L81remove_plist_key(cl_object v1uiop_utility__key, cl_object v2uiop_utility__plist)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4uiop_utility__k;
   cl_object v5uiop_utility__v;
   {
    cl_object v6;
    v6 = v2uiop_utility__plist;
    if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
    v3 = v6;
   }
   v4uiop_utility__k = ECL_NIL;
   v5uiop_utility__v = ECL_NIL;
   {
    cl_object v6;
    cl_object v7;
    v6 = ecl_list1(ECL_NIL);
    v7 = v6;
L8:;
    if (!(ECL_ATOM(v3))) { goto L10; }
    goto L9;
L10:;
    {
     cl_object v8;
     v8 = v3;
     v4uiop_utility__k = ecl_car(v8);
     v8 = ecl_cdr(v8);
     v5uiop_utility__v = ecl_car(v8);
    }
    {
     cl_object v8;
     v8 = ecl_cddr(v3);
     if (ecl_unlikely(!ECL_LISTP(v8))) FEtype_error_list(v8);
     v3 = v8;
    }
    if ((v4uiop_utility__k)==(v1uiop_utility__key)) { goto L23; }
    {
     cl_object v8;
     v8 = cl_list(2, v4uiop_utility__k, v5uiop_utility__v);
     {
      cl_object v9;
      v9 = v7;
      if (ecl_unlikely(ECL_ATOM(v9))) FEtype_error_cons(v9);
      T1 = v9;
     }
     (ECL_CONS_CDR(T1)=v8,T1);
     T0 = v8;
    }
    v7 = ecl_cdr(T0);
L23:;
    goto L8;
L9:;
    value0 = ecl_cdr(v6);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for REMOVE-PLIST-KEYS                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L82remove_plist_keys(cl_object v1uiop_utility__keys, cl_object v2uiop_utility__plist)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4uiop_utility__k;
   cl_object v5uiop_utility__v;
   {
    cl_object v6;
    v6 = v2uiop_utility__plist;
    if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
    v3 = v6;
   }
   v4uiop_utility__k = ECL_NIL;
   v5uiop_utility__v = ECL_NIL;
   {
    cl_object v6;
    cl_object v7;
    v6 = ecl_list1(ECL_NIL);
    v7 = v6;
L8:;
    if (!(ECL_ATOM(v3))) { goto L10; }
    goto L9;
L10:;
    {
     cl_object v8;
     v8 = v3;
     v4uiop_utility__k = ecl_car(v8);
     v8 = ecl_cdr(v8);
     v5uiop_utility__v = ecl_car(v8);
    }
    {
     cl_object v8;
     v8 = ecl_cddr(v3);
     if (ecl_unlikely(!ECL_LISTP(v8))) FEtype_error_list(v8);
     v3 = v8;
    }
    if ((ecl_memql(v4uiop_utility__k,v1uiop_utility__keys))!=ECL_NIL) { goto L23; }
    {
     cl_object v8;
     v8 = cl_list(2, v4uiop_utility__k, v5uiop_utility__v);
     {
      cl_object v9;
      v9 = v7;
      if (ecl_unlikely(ECL_ATOM(v9))) FEtype_error_cons(v9);
      T1 = v9;
     }
     (ECL_CONS_CDR(T1)=v8,T1);
     T0 = v8;
    }
    v7 = ecl_cdr(T0);
L23:;
    goto L8;
L9:;
    value0 = ecl_cdr(v6);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for EMPTYP                                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L83emptyp(cl_object v1uiop_utility__x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_make_bool(v1uiop_utility__x==ECL_NIL);
  if ((value0)!=ECL_NIL) { goto L2; }
  if (!(ECL_VECTORP(v1uiop_utility__x))) { goto L5; }
  {
   cl_fixnum v2;
   v2 = ecl_length(v1uiop_utility__x);
   value0 = ecl_make_bool((v2)==0);
   cl_env_copy->nvalues = 1;
   return value0;
  }
L5:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CHARACTER-TYPE-INDEX                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L84character_type_index(cl_object v1uiop_utility__x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_CHARACTERP(v1uiop_utility__x))) { goto L1; }
  if (Null(si_base_char_p(v1uiop_utility__x))) { goto L3; }
  value0 = ecl_make_fixnum(0);
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  value0 = ecl_make_fixnum(1);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (!(ECL_SYMBOLP(v1uiop_utility__x))) { goto L5; }
  if (Null(cl_subtypep(2, v1uiop_utility__x, ECL_SYM("BASE-CHAR",120)))) { goto L7; }
  value0 = ecl_make_fixnum(0);
  cl_env_copy->nvalues = 1;
  return value0;
L7:;
  value0 = ecl_make_fixnum(1);
  cl_env_copy->nvalues = 1;
  return value0;
L5:;
  value0 = si_etypecase_error(v1uiop_utility__x, VV[170]);
  return value0;
 }
}
/*      function definition for BASE-STRING-P                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L85base_string_p(cl_object v1string)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_array_element_type(v1string);
  value0 = ecl_make_bool((ECL_SYM("BASE-CHAR",120))==(T0));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for STRINGS-COMMON-ELEMENT-TYPE           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L87strings_common_element_type(cl_object volatile v1uiop_utility__strings)
{
 cl_object T0, T1;
 volatile cl_object lex0[1];
 cl_object volatile env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object v2;
   v2 = ecl_symbol_value(VV[165]);
   T0 = v2;
   {
    cl_fixnum v3;
    {
     volatile cl_object v4;
     {
      lex0[0] = ECL_NEW_FRAME_ID(cl_env_copy);    /*  NIL             */
      if (ecl_frs_push(cl_env_copy,lex0[0])!=0) {
      value0 = cl_env_copy->values[0];
      ecl_frs_pop(cl_env_copy);
      v4 = value0;
      } else {
      {
       cl_object v5uiop_utility__s;
       cl_object v6;
       v5uiop_utility__s = ECL_NIL;
       v6 = v1uiop_utility__strings;
L6:;
       if (!(v6==ECL_NIL)) { goto L8; }
       goto L7;
L8:;
       v5uiop_utility__s = ECL_CONS_CAR(v6);
       v6 = ECL_CONS_CDR(v6);
       {
        cl_object v7;
        v7 = ecl_function_dispatch(cl_env_copy,VV[164])(1, v5uiop_utility__s) /*  EMPTYP */;
        if (Null(v7)) { goto L16; }
        goto L14;
L16:;
        if (!(ECL_CHARACTERP(v5uiop_utility__s))) { goto L18; }
        T1 = ecl_function_dispatch(cl_env_copy,VV[169])(1, v5uiop_utility__s) /*  CHARACTER-TYPE-INDEX */;
        LC86consider(lex0, T1);
        goto L14;
L18:;
        if (!(ECL_STRINGP(v5uiop_utility__s))) { goto L20; }
        {
         cl_object v8uiop_utility__string_type_index;
         T1 = cl_array_element_type(v5uiop_utility__s);
         v8uiop_utility__string_type_index = ecl_function_dispatch(cl_env_copy,VV[169])(1, T1) /*  CHARACTER-TYPE-INDEX */;
         if (ecl_number_compare(ecl_make_fixnum(0),v8uiop_utility__string_type_index)>=0) { goto L14; }
         {
          cl_object v9uiop_utility__c;
          cl_fixnum v10;
          cl_fixnum v11;
          v9uiop_utility__c = ECL_NIL;
          v10 = 0;
          v11 = 0;
          {
          cl_object v12uiop_utility__i;
          v12uiop_utility__i = ECL_NIL;
          v11 = (v5uiop_utility__s)->vector.fillp;
L28:;
          if (!((v10)>=(v11))) { goto L32; }
          goto L29;
L32:;
          v9uiop_utility__c = ecl_aref_unsafe(v5uiop_utility__s,v10);
          v10 = (v10)+1;
          v12uiop_utility__i = ecl_function_dispatch(cl_env_copy,VV[169])(1, v9uiop_utility__c) /*  CHARACTER-TYPE-INDEX */;
          LC86consider(lex0, v12uiop_utility__i);
          goto L28;
L29:;
          goto L14;
          }
         }
        }
L20:;
        cl_error(3, VV[173], v5uiop_utility__s, VV[172]);
       }
L14:;
       goto L6;
L7:;
       value0 = ecl_make_fixnum(0);
       cl_env_copy->nvalues = 1;
       ecl_frs_pop(cl_env_copy);
       v4 = value0;
       goto L3;
      }}
     }
L3:;
     if (ecl_unlikely((ecl_fixnum(v4))>=(v2)->vector.dim))
           FEwrong_index(ECL_NIL,v2,-1,ecl_make_fixnum(ecl_fixnum(v4)),(v2)->vector.dim);
     v3 = ecl_fixnum(v4);
    }
    value0 = ecl_aref_unsafe(T0,v3);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for REDUCE/STRCAT                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L88reduce_strcat(cl_narg narg, cl_object v1uiop_utility__strings, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_utility__key;
  cl_object v3uiop_utility__start;
  cl_object v4uiop_utility__end;
  ecl_va_list args; ecl_va_start(args,v1uiop_utility__strings,narg,1);
  {
   cl_object keyvars[6];
   cl_parse_key(args,3,L88reduce_strcatkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v2uiop_utility__key = keyvars[0];
   v3uiop_utility__start = keyvars[1];
   v4uiop_utility__end = keyvars[2];
  }
  if ((v3uiop_utility__start)!=ECL_NIL) { goto L3; }
  if (Null(v4uiop_utility__end)) { goto L1; }
  goto L2;
L3:;
L2:;
  v1uiop_utility__strings = cl_subseq(3, v1uiop_utility__strings, v3uiop_utility__start, v4uiop_utility__end);
L1:;
  if (Null(v2uiop_utility__key)) { goto L6; }
  {
   cl_object v5;
   cl_object v6;
   v5 = ECL_NIL;
   {
    cl_object v7;
    v7 = v1uiop_utility__strings;
    if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
    v6 = v7;
   }
   {
    cl_object v7;
    cl_object v8;
    v7 = ecl_list1(ECL_NIL);
    v8 = v7;
L15:;
    if (!(ecl_endp(v6))) { goto L17; }
    goto L16;
L17:;
    v5 = _ecl_car(v6);
    {
     cl_object v9;
     v9 = _ecl_cdr(v6);
     if (ecl_unlikely(!ECL_LISTP(v9))) FEtype_error_list(v9);
     v6 = v9;
    }
    {
     cl_object v9;
     v9 = v8;
     if (ecl_unlikely(ECL_ATOM(v9))) FEtype_error_cons(v9);
     T0 = v9;
    }
    T1 = ecl_function_dispatch(cl_env_copy,v2uiop_utility__key)(1, v5);
    v8 = ecl_list1(T1);
    (ECL_CONS_CDR(T0)=v8,T0);
    goto L15;
L16:;
    v1uiop_utility__strings = ecl_cdr(v7);
    goto L8;
   }
  }
L8:;
L6:;
  {
   cl_object v5uiop_utility__output;
   {
    cl_object v6uiop_utility__s;
    cl_object v7;
    v6uiop_utility__s = ECL_NIL;
    {
     cl_object v8;
     v8 = v1uiop_utility__strings;
     if (ecl_unlikely(!ECL_LISTP(v8))) FEtype_error_list(v8);
     v7 = v8;
    }
    {
     cl_object v8;
     v8 = ecl_make_fixnum(0);
L40:;
     if (!(ecl_endp(v7))) { goto L42; }
     goto L41;
L42:;
     v6uiop_utility__s = _ecl_car(v7);
     {
      cl_object v9;
      v9 = _ecl_cdr(v7);
      if (ecl_unlikely(!ECL_LISTP(v9))) FEtype_error_list(v9);
      v7 = v9;
     }
     {
      cl_fixnum v9;
      if (!(ECL_CHARACTERP(v6uiop_utility__s))) { goto L53; }
      v9 = 1;
      goto L52;
L53:;
      v9 = ecl_length(v6uiop_utility__s);
L52:;
      v8 = ecl_plus(v8,ecl_make_fixnum(v9));
     }
     goto L40;
L41:;
     T0 = v8;
     goto L34;
    }
   }
L34:;
   T1 = ecl_function_dispatch(cl_env_copy,VV[172])(1, v1uiop_utility__strings) /*  STRINGS-COMMON-ELEMENT-TYPE */;
   v5uiop_utility__output = cl_make_string(3, T0, ECL_SYM("ELEMENT-TYPE",1234), T1);
   {
    cl_object v6uiop_utility__pos;
    v6uiop_utility__pos = ecl_make_fixnum(0);
    {
     cl_object v7uiop_utility__input;
     cl_object v8;
     v7uiop_utility__input = ECL_NIL;
     {
      cl_object v9;
      v9 = v1uiop_utility__strings;
      if (ecl_unlikely(!ECL_LISTP(v9))) FEtype_error_list(v9);
      v8 = v9;
     }
L62:;
     if (!(ecl_endp(v8))) { goto L64; }
     goto L63;
L64:;
     v7uiop_utility__input = _ecl_car(v8);
     {
      cl_object v9;
      v9 = _ecl_cdr(v8);
      if (ecl_unlikely(!ECL_LISTP(v9))) FEtype_error_list(v9);
      v8 = v9;
     }
     if (v7uiop_utility__input==ECL_NIL) { goto L72; }
     if (!(ECL_CHARACTERP(v7uiop_utility__input))) { goto L74; }
     si_char_set(v5uiop_utility__output,v6uiop_utility__pos,v7uiop_utility__input);
     v6uiop_utility__pos = ecl_plus(v6uiop_utility__pos,ecl_make_fixnum(1));
     goto L72;
L74:;
     if (!(ECL_STRINGP(v7uiop_utility__input))) { goto L78; }
     cl_replace(4, v5uiop_utility__output, v7uiop_utility__input, ECL_SYM("START1",1323), v6uiop_utility__pos);
     {
      cl_fixnum v9;
      v9 = ecl_length(v7uiop_utility__input);
      v6uiop_utility__pos = ecl_plus(v6uiop_utility__pos,ecl_make_fixnum(v9));
      goto L72;
     }
L78:;
     si_etypecase_error(v7uiop_utility__input, VV[175]);
L72:;
     goto L62;
L63:;
     value0 = v5uiop_utility__output;
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*      function definition for STRCAT                                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L89strcat(cl_narg narg, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1uiop_utility__strings;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1uiop_utility__strings = cl_grab_rest_args(args);
  ecl_va_end(args);
  value0 = ecl_function_dispatch(cl_env_copy,VV[174])(1, v1uiop_utility__strings) /*  REDUCE/STRCAT */;
  return value0;
 }
}
/*      function definition for FIRST-CHAR                            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L90first_char(cl_object v1uiop_utility__s)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_STRINGP(v1uiop_utility__s))) { goto L2; }
  {
   cl_fixnum v2;
   v2 = ecl_length(v1uiop_utility__s);
   if (!((v2)>0)) { goto L2; }
  }
  value0 = CODE_CHAR(ecl_char(v1uiop_utility__s,0));
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for LAST-CHAR                             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L91last_char(cl_object v1uiop_utility__s)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_STRINGP(v1uiop_utility__s))) { goto L2; }
  {
   cl_fixnum v2;
   v2 = ecl_length(v1uiop_utility__s);
   if (!((v2)>0)) { goto L2; }
  }
  {
   cl_fixnum v2;
   v2 = ecl_length(v1uiop_utility__s);
   T0 = ecl_make_integer((v2)-1);
   value0 = cl_char(v1uiop_utility__s, T0);
   return value0;
  }
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SPLIT-STRING                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L94split_string(volatile cl_narg narg, cl_object volatile v1string, ...)
{
 cl_object T0, T1;
 volatile cl_object lex0[4];
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v2max;
  ecl_va_list args; ecl_va_start(args,v1string,narg,1);
  lex0[0] = v1string;                             /*  STRING          */
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,L94split_stringkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v2max = keyvars[0];
   if (Null(keyvars[3])) {
    env0 = ECL_NIL;
    CLV0 = env0 = CONS(VV[180],env0);             /*  SEPARATOR       */
   } else {
    env0 = ECL_NIL;
    CLV0 = env0 = CONS(keyvars[1],env0);          /*  SEPARATOR       */
   }
  }
  {
   lex0[1] = ECL_NEW_FRAME_ID(cl_env_copy);       /*  NIL             */
   if (ecl_frs_push(cl_env_copy,lex0[1])!=0) {
   value0 = cl_env_copy->values[0];
   ecl_frs_pop(cl_env_copy);
   return value0;
   } else {
   {
    cl_fixnum v3;
    cl_object v4uiop_utility__words;
    v3 = ecl_length(lex0[0]);
    lex0[2] = ECL_NIL;                            /*  LIST            */
    v4uiop_utility__words = ecl_make_fixnum(0);
    lex0[3] = ecl_make_fixnum(v3);                /*  END             */
    if (!(ecl_zerop(lex0[3]))) { goto L3; }
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    ecl_frs_pop(cl_env_copy);
    return value0;
L3:;
    {
     cl_object v5;
     v5 = ecl_make_cclosure_va((cl_objectfn)LC92separatorp,env0,Cblock);
     {
      cl_object v6uiop_utility__start;
      v6uiop_utility__start = ECL_NIL;
L6:;
      if (Null(v2max)) { goto L9; }
      T0 = ecl_one_minus(v2max);
      if (!(ecl_number_compare(v4uiop_utility__words,T0)>=0)) { goto L9; }
      v6uiop_utility__start = LC93done(lex0);
      goto L8;
L9:;
      v6uiop_utility__start = cl_position_if(6, v5, lex0[0], ECL_SYM("END",1235), lex0[3], VV[52], ECL_T);
L8:;
      if (!(v6uiop_utility__start==ECL_NIL)) { goto L13; }
      LC93done(lex0);
L13:;
      T0 = ecl_one_plus(v6uiop_utility__start);
      T1 = cl_subseq(3, lex0[0], T0, lex0[3]);
      lex0[2] = CONS(T1,lex0[2]);
      v4uiop_utility__words = ecl_plus(v4uiop_utility__words,ecl_make_fixnum(1));
      lex0[3] = v6uiop_utility__start;
      goto L6;
     }
    }
   }}
  }
 }
}
/*      function definition for STRING-PREFIX-P                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L95string_prefix_p(cl_object v1uiop_utility__prefix, cl_object v2string)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3uiop_utility__x;
   cl_object v4uiop_utility__y;
   cl_fixnum v5uiop_utility__lx;
   cl_fixnum v6uiop_utility__ly;
   v3uiop_utility__x = cl_string(v1uiop_utility__prefix);
   v4uiop_utility__y = cl_string(v2string);
   v5uiop_utility__lx = ecl_length(v3uiop_utility__x);
   v6uiop_utility__ly = ecl_length(v4uiop_utility__y);
   if (!((v5uiop_utility__lx)<=(v6uiop_utility__ly))) { goto L6; }
   value0 = cl_stringE(4, v3uiop_utility__x, v4uiop_utility__y, ECL_SYM("END2",1237), ecl_make_fixnum(v5uiop_utility__lx));
   return value0;
L6:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for STRING-SUFFIX-P                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L96string_suffix_p(cl_object v1string, cl_object v2uiop_utility__suffix)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3uiop_utility__x;
   cl_object v4uiop_utility__y;
   cl_fixnum v5uiop_utility__lx;
   cl_fixnum v6uiop_utility__ly;
   v3uiop_utility__x = cl_string(v1string);
   v4uiop_utility__y = cl_string(v2uiop_utility__suffix);
   v5uiop_utility__lx = ecl_length(v3uiop_utility__x);
   v6uiop_utility__ly = ecl_length(v4uiop_utility__y);
   if (!((v6uiop_utility__ly)<=(v5uiop_utility__lx))) { goto L6; }
   T0 = ecl_minus(ecl_make_fixnum(v5uiop_utility__lx),ecl_make_fixnum(v6uiop_utility__ly));
   value0 = cl_stringE(4, v3uiop_utility__x, v4uiop_utility__y, ECL_SYM("START1",1323), T0);
   return value0;
L6:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for STRING-ENCLOSED-P                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L97string_enclosed_p(cl_object v1uiop_utility__prefix, cl_object v2string, cl_object v3uiop_utility__suffix)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_function_dispatch(cl_env_copy,VV[181])(2, v1uiop_utility__prefix, v2string) /*  STRING-PREFIX-P */)) { goto L2; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[182])(2, v2string, v3uiop_utility__suffix) /*  STRING-SUFFIX-P */;
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for STRIPLN                               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L99stripln(cl_object volatile v1uiop_utility__x)
{
 volatile cl_object lex0[2];
 cl_object volatile env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  lex0[0] = v1uiop_utility__x;                    /*  X               */
TTL:
  {
   cl_object v2;
   v2 = lex0[0];
   if (ECL_STRINGP(v2)) { goto L3; }
   lex0[0] = si_do_check_type(v2, ECL_SYM("STRING",805), ECL_NIL, VV[153]);
L3:;
  }
  {
   lex0[1] = ECL_NEW_FRAME_ID(cl_env_copy);       /*  NIL             */
   if (ecl_frs_push(cl_env_copy,lex0[1])!=0) {
   value0 = cl_env_copy->values[0];
   ecl_frs_pop(cl_env_copy);
   return value0;
   } else {
   if (Null(lex0[0])) { goto L6; }
   LC98c(lex0, ecl_symbol_value(VV[186]));
   LC98c(lex0, ecl_symbol_value(VV[185]));
   LC98c(lex0, ecl_symbol_value(VV[184]));
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = ECL_NIL;
   cl_env_copy->values[0] = lex0[0];
   value0 = cl_env_copy->values[0];
   ecl_frs_pop(cl_env_copy);
   return value0;
L6:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   ecl_frs_pop(cl_env_copy);
   return value0;}
  }
 }
}
/*      function definition for STANDARD-CASE-SYMBOL-NAME             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L100standard_case_symbol_name(cl_object v1uiop_utility__name_designator)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = v1uiop_utility__name_designator;
   if (ECL_STRINGP(v2)) { goto L3; }
   if (ECL_SYMBOLP(v2)) { goto L3; }
   v1uiop_utility__name_designator = si_do_check_type(v2, VV[189], ECL_NIL, VV[190]);
L3:;
  }
  if (!(ECL_SYMBOLP(v1uiop_utility__name_designator))) { goto L7; }
  value0 = cl_string(v1uiop_utility__name_designator);
  return value0;
L7:;
  value0 = cl_string_upcase(1, v1uiop_utility__name_designator);
  return value0;
 }
}
/*      function definition for FIND-STANDARD-CASE-SYMBOL             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L101find_standard_case_symbol(cl_narg narg, cl_object v1uiop_utility__name_designator, cl_object v2uiop_utility__package_designator, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3error;
  va_list args; va_start(args,v2uiop_utility__package_designator);
  {
   int i = 2;
   if (i >= narg) {
    v3error = ECL_T;
   } else {
    i++;
    v3error = va_arg(args,cl_object);
   }
  }
  va_end(args);
  T0 = ecl_function_dispatch(cl_env_copy,VV[188])(1, v1uiop_utility__name_designator) /*  STANDARD-CASE-SYMBOL-NAME */;
  if ((cl_packagep(v2uiop_utility__package_designator))!=ECL_NIL) { goto L5; }
  if (!(ECL_SYMBOLP(v2uiop_utility__package_designator))) { goto L3; }
  goto L4;
L5:;
L4:;
  T1 = v2uiop_utility__package_designator;
  goto L2;
L3:;
  if (!(ECL_STRINGP(v2uiop_utility__package_designator))) { goto L7; }
  T1 = ecl_function_dispatch(cl_env_copy,VV[188])(1, v2uiop_utility__package_designator) /*  STANDARD-CASE-SYMBOL-NAME */;
  goto L2;
L7:;
  T1 = si_etypecase_error(v2uiop_utility__package_designator, VV[192]);
L2:;
  value0 = L2find_symbol_(3, T0, T1, v3error);
  return value0;
 }
}
/*      local function CONSIDER                                       */
/*      optimize speed 1, debug 1, space 1, safety 0                  */
static cl_object LC86consider(volatile cl_object *lex0, cl_object v1uiop_utility__i)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
TTL:
 if (!(ecl_number_equalp(v1uiop_utility__i,ecl_make_fixnum(1)))) { goto L1; }
 cl_env_copy->values[0] = v1uiop_utility__i;
 cl_env_copy->nvalues = 1;
 cl_return_from(lex0[0],ECL_NIL);
L1:;
 value0 = ECL_NIL;
 cl_env_copy->nvalues = 1;
 return value0;
}
/*      local function DONE                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC93done(volatile cl_object *lex0)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_subseq(3, lex0[0], ecl_make_fixnum(0), lex0[3]);
  cl_env_copy->values[0] = CONS(T0,lex0[2]);
  cl_env_copy->nvalues = 1;
  cl_return_from(lex0[1],ECL_NIL);
 }
}
/*      closure SEPARATORP                                            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC92separatorp(cl_narg narg, cl_object v1char, ...)
{
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  SEPARATOR       */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  {
   cl_object v2;
   v2 = si_make_seq_iterator(2, ECL_CONS_CAR(CLV0), ecl_make_fixnum(0));
L2:;
   if ((v2)!=ECL_NIL) { goto L4; }
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L4:;
   {
    cl_object v3;
    v3 = si_seq_iterator_ref(ECL_CONS_CAR(CLV0), v2);
    if (!(ecl_eql(v1char,v3))) { goto L6; }
    value0 = v3;
    cl_env_copy->nvalues = 1;
    return value0;
   }
L6:;
   v2 = si_seq_iterator_next(ECL_CONS_CAR(CLV0), v2);
   goto L2;
  }
 }
 }
}
/*      local function C                                              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC98c(volatile cl_object *lex0, cl_object v1uiop_utility__end)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_function_dispatch(cl_env_copy,VV[182])(2, lex0[0], v1uiop_utility__end) /*  STRING-SUFFIX-P */)) { goto L1; }
  {
   cl_fixnum v2;
   v2 = ecl_length(lex0[0]);
   {
    cl_fixnum v3;
    v3 = ecl_length(v1uiop_utility__end);
    T0 = ecl_minus(ecl_make_fixnum(v2),ecl_make_fixnum(v3));
    T1 = cl_subseq(3, lex0[0], ecl_make_fixnum(0), T0);
    cl_env_copy->nvalues = 2;
    cl_env_copy->values[1] = v1uiop_utility__end;
    cl_env_copy->values[0] = T1;
   }
  }
  cl_return_from(lex0[1],ECL_NIL);
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for STAMP<                                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L102stamp_(cl_object v1uiop_utility__x, cl_object v2uiop_utility__y)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(v1uiop_utility__x==ECL_NIL)) { goto L1; }
  if (Null(v2uiop_utility__y)) { goto L4; }
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
L4:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (Null(cl_typep(2, v1uiop_utility__x, VV[23]))) { goto L6; }
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L6:;
  if (Null(cl_realp(v1uiop_utility__x))) { goto L8; }
  if (!(v2uiop_utility__y==ECL_NIL)) { goto L10; }
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L10:;
  if (Null(cl_typep(2, v2uiop_utility__y, VV[23]))) { goto L12; }
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
L12:;
  if (Null(cl_realp(v2uiop_utility__y))) { goto L14; }
  value0 = ecl_make_bool(ecl_number_compare(v1uiop_utility__x,v2uiop_utility__y)<0);
  cl_env_copy->nvalues = 1;
  return value0;
L14:;
  value0 = si_etypecase_error(v2uiop_utility__y, VV[195]);
  return value0;
L8:;
  value0 = si_etypecase_error(v1uiop_utility__x, VV[195]);
  return value0;
 }
}
/*      function definition for STAMPS<                               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L103stamps_(cl_object v1list)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2uiop_utility__y;
   cl_object v3;
   v2uiop_utility__y = ECL_NIL;
   {
    cl_object v4;
    v4 = v1list;
    if (ecl_unlikely(!ECL_LISTP(v4))) FEtype_error_list(v4);
    v3 = v4;
   }
   {
    cl_object v4uiop_utility__x;
    v4uiop_utility__x = ECL_NIL;
    if (!(ecl_endp(v3))) { goto L8; }
    goto L7;
L8:;
    v2uiop_utility__y = _ecl_car(v3);
    {
     cl_object v5;
     v5 = _ecl_cdr(v3);
     if (ecl_unlikely(!ECL_LISTP(v5))) FEtype_error_list(v5);
     v3 = v5;
    }
    v4uiop_utility__x = ECL_NIL;
L6:;
    if ((ecl_function_dispatch(cl_env_copy,VV[194])(2, v4uiop_utility__x, v2uiop_utility__y) /*  STAMP< */)!=ECL_NIL) { goto L18; }
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
L18:;
    if (!(ecl_endp(v3))) { goto L20; }
    goto L7;
L20:;
    v2uiop_utility__y = _ecl_car(v3);
    {
     cl_object v5;
     v5 = _ecl_cdr(v3);
     if (ecl_unlikely(!ECL_LISTP(v5))) FEtype_error_list(v5);
     v3 = v5;
    }
    v4uiop_utility__x = v2uiop_utility__y;
    goto L6;
L7:;
    value0 = ECL_T;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for STAMP*<                               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L104stamp__(cl_narg narg, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1list;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1list = cl_grab_rest_args(args);
  ecl_va_end(args);
  value0 = ecl_function_dispatch(cl_env_copy,VV[196])(1, v1list) /*  STAMPS< */;
  return value0;
 }
}
/*      function definition for STAMP<=                               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L105stamp__(cl_object v1uiop_utility__x, cl_object v2uiop_utility__y)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[194])(2, v2uiop_utility__y, v1uiop_utility__x) /*  STAMP< */;
  value0 = Null(T0)?ECL_T:ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for EARLIER-STAMP                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L106earlier_stamp(cl_object v1uiop_utility__x, cl_object v2uiop_utility__y)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_function_dispatch(cl_env_copy,VV[194])(2, v1uiop_utility__x, v2uiop_utility__y) /*  STAMP< */)) { goto L1; }
  value0 = v1uiop_utility__x;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  value0 = v2uiop_utility__y;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for STAMPS-EARLIEST                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L107stamps_earliest(cl_object v1list)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_reduce(4, VV[199], v1list, VV[201], ECL_T);
  return value0;
 }
}
/*      function definition for EARLIEST-STAMP                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L108earliest_stamp(cl_narg narg, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1list;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1list = cl_grab_rest_args(args);
  ecl_va_end(args);
  value0 = ecl_function_dispatch(cl_env_copy,VV[200])(1, v1list) /*  STAMPS-EARLIEST */;
  return value0;
 }
}
/*      function definition for LATER-STAMP                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L109later_stamp(cl_object v1uiop_utility__x, cl_object v2uiop_utility__y)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_function_dispatch(cl_env_copy,VV[194])(2, v1uiop_utility__x, v2uiop_utility__y) /*  STAMP< */)) { goto L1; }
  value0 = v2uiop_utility__y;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  value0 = v1uiop_utility__x;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for STAMPS-LATEST                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L110stamps_latest(cl_object v1list)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_reduce(4, VV[203], v1list, VV[201], ECL_NIL);
  return value0;
 }
}
/*      function definition for LATEST-STAMP                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L111latest_stamp(cl_narg narg, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1list;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1list = cl_grab_rest_args(args);
  ecl_va_end(args);
  value0 = ecl_function_dispatch(cl_env_copy,VV[204])(1, v1list) /*  STAMPS-LATEST */;
  return value0;
 }
}
/*      local function LATEST-STAMP-F                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC113latest_stamp_f(cl_object v1, cl_object v2si__env)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4si___reference;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4si___reference = v5;
   }
   {
    cl_object v6;                                 /*  VARS            */
    cl_object v7;                                 /*  VALS            */
    cl_object v8;                                 /*  STORES          */
    cl_object v9;                                 /*  SETTER          */
    cl_object v10;                                /*  GETTER          */
    value0 = (cl_env_copy->function=(ECL_SYM("GET-SETF-EXPANSION",410)->symbol.gfdef))->cfun.entry(2, v4si___reference, v2si__env) /*  GET-SETF-EXPANSION */;
    v6 = value0;
    v7 = cl_env_copy->values[1];
    v8 = cl_env_copy->values[2];
    v9 = cl_env_copy->values[3];
    v10 = cl_env_copy->values[4];
    {
     cl_object v11si__all_vars;
     {
      cl_object v12;
      v12 = ecl_make_cfun((cl_objectfn_fixed)LC112__g1375,ECL_NIL,Cblock,1);
      T0 = v12;
     }
     T1 = v3;
     v11si__all_vars = (cl_env_copy->function=(ECL_SYM("MAPCAR",545)->symbol.gfdef))->cfun.entry(2, T0, T1) /*  MAPCAR */;
     if (!(ECL_SYMBOLP(v10))) { goto L11; }
     T0 = (ECL_SYM("CAR",180)->symbol.gfdef);
     T1 = (cl_env_copy->function=(ECL_SYM("MAPCAR",545)->symbol.gfdef))->cfun.entry(2, T0, v11si__all_vars) /*  MAPCAR */;
     T2 = cl_listX(3, VV[205], v10, T1);
     T3 = ecl_car(v8);
     T4 = (ECL_SYM("FIRST",371)->symbol.gfdef);
     T5 = (cl_env_copy->function=(ECL_SYM("MAPCAR",545)->symbol.gfdef))->cfun.entry(2, T4, v11si__all_vars) /*  MAPCAR */;
     T6 = CONS(VV[156],T5);
     T7 = cl_list(2, ECL_SYM("DECLARE",274), T6);
     T8 = cl_list(4, ECL_SYM("LET*",478), v11si__all_vars, T7, v9);
     value0 = cl_subst(3, T2, T3, T8);
     return value0;
L11:;
     {
      cl_object v12si__d;
      cl_object v13si__v;
      cl_object v14si__let_list;
      v12si__d = v6;
      v13si__v = v7;
      v14si__let_list = ECL_NIL;
      goto L20;
L19:;
      {
       cl_object v15;
       v15 = ecl_cdr(v12si__d);
       {
        cl_object v16;
        v16 = ecl_cdr(v13si__v);
        T0 = ecl_car(v12si__d);
        T1 = ecl_car(v13si__v);
        T2 = cl_list(2, T0, T1);
        v14si__let_list = CONS(T2,v14si__let_list);
        v13si__v = v16;
        v12si__d = v15;
       }
      }
L20:;
      if (v12si__d==ECL_NIL) { goto L26; }
      goto L19;
L26:;
      T0 = ecl_car(v8);
      if (!(ECL_LISTP(v4si___reference))) { goto L31; }
      T2 = ecl_car(v4si___reference);
      if (!((T2)==(ECL_SYM("THE",856)))) { goto L31; }
      T2 = ecl_cadr(v4si___reference);
      T3 = cl_listX(3, VV[205], v10, v3);
      T1 = cl_list(3, ECL_SYM("THE",856), T2, T3);
      goto L30;
L31:;
      T2 = (ECL_SYM("CAR",180)->symbol.gfdef);
      T3 = (cl_env_copy->function=(ECL_SYM("MAPCAR",545)->symbol.gfdef))->cfun.entry(2, T2, v11si__all_vars) /*  MAPCAR */;
      T1 = cl_listX(3, VV[205], v10, T3);
L30:;
      T2 = cl_list(2, T0, T1);
      T3 = ecl_append(v11si__all_vars,v14si__let_list);
      v14si__let_list = CONS(T2,T3);
      T0 = cl_nreverse(v14si__let_list);
      T1 = (ECL_SYM("FIRST",371)->symbol.gfdef);
      T2 = (cl_env_copy->function=(ECL_SYM("MAPCAR",545)->symbol.gfdef))->cfun.entry(2, T1, v11si__all_vars) /*  MAPCAR */;
      T3 = ecl_append(T2,v6);
      T4 = CONS(VV[156],T3);
      T5 = cl_list(2, ECL_SYM("DECLARE",274), T4);
      value0 = cl_list(4, ECL_SYM("LET*",478), T0, T5, v9);
      return value0;
     }
    }
   }
  }
 }
}
/*      local function G1375                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC112__g1375(cl_object v1si__v)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_gensym(0);
  value0 = cl_list(2, T0, v1si__v);
  return value0;
 }
}
/*      function definition for ENSURE-FUNCTION                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L116ensure_function(cl_narg narg, cl_object v1uiop_utility__fun, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2package;
  ecl_va_list args; ecl_va_start(args,v1uiop_utility__fun,narg,1);
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1uiop_utility__fun,env0);   /*  FUN             */
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L116ensure_functionkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[1])) {
    v2package = VV[20];
   } else {
    v2package = keyvars[0];
   }
  }
  if (Null(cl_functionp(ECL_CONS_CAR(CLV0)))) { goto L2; }
  value0 = ECL_CONS_CAR(CLV0);
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  if (!((ECL_CONS_CAR(CLV0))==(ECL_NIL))) { goto L10; }
  goto L6;
  goto L8;
L10:;
  goto L8;
L8:;
  if (!(ecl_eql(ECL_CONS_CAR(CLV0),ECL_T))) { goto L13; }
  goto L6;
  goto L7;
L13:;
  goto L7;
L7:;
  if ((cl_keywordp(ECL_CONS_CAR(CLV0)))!=ECL_NIL) { goto L6; }
  if (ECL_CHARACTERP(ECL_CONS_CAR(CLV0))) { goto L6; }
  if (ecl_numberp(ECL_CONS_CAR(CLV0))) { goto L6; }
  if (Null(cl_pathnamep(ECL_CONS_CAR(CLV0)))) { goto L4; }
  goto L5;
L6:;
L5:;
  value0 = cl_constantly(ECL_CONS_CAR(CLV0));
  return value0;
L4:;
  if (Null(cl_hash_table_p(ECL_CONS_CAR(CLV0)))) { goto L18; }
  {
   cl_object v3;
   v3 = ecl_make_cclosure_va((cl_objectfn)LC114__g1386,env0,Cblock);
   value0 = v3;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L18:;
  if (!(ECL_SYMBOLP(ECL_CONS_CAR(CLV0)))) { goto L20; }
  value0 = cl_fdefinition(ECL_CONS_CAR(CLV0));
  return value0;
L20:;
  if (!(ECL_CONSP(ECL_CONS_CAR(CLV0)))) { goto L22; }
  T0 = ecl_car(ECL_CONS_CAR(CLV0));
  if (!((ECL_SYM("LAMBDA",452))==(T0))) { goto L24; }
  value0 = cl_eval(ECL_CONS_CAR(CLV0));
  return value0;
L24:;
  {
   cl_object v4;
   v4 = ecl_make_cclosure_va((cl_objectfn)LC115__g1387,env0,Cblock);
   value0 = v4;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L22:;
  if (!(ECL_STRINGP(ECL_CONS_CAR(CLV0)))) { goto L26; }
  {
   cl_object v5;
   v5 = ecl_symbol_value(ECL_SYM("+IO-SYNTAX-PROGV-LIST+",1741));
   {
    cl_object v7, v8; cl_index v6;
    v7 = _ecl_car(v5);
    v8 = _ecl_cdr(v5);
    v6 = ecl_progv(cl_env_copy, v7, v8);
    T1 = cl_find_package(v2package);
    ecl_bds_bind(cl_env_copy,ECL_SYM("*PACKAGE*",43),T1); /*  *PACKAGE* */
    T0 = cl_read_from_string(1, ECL_CONS_CAR(CLV0));
    ecl_bds_unwind(cl_env_copy,v6);
   }
  }
  T1 = cl_list(2, ECL_SYM("FUNCTION",396), T0);
  value0 = cl_eval(T1);
  return value0;
L26:;
  value0 = si_etypecase_error(ECL_CONS_CAR(CLV0), VV[208]);
  return value0;
 }
}
/*      function definition for ACCESS-AT                             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L118access_at(cl_object v1uiop_utility__object, cl_object v2uiop_utility__at)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_LISTP(v2uiop_utility__at))) { goto L1; }
  {
   cl_object v3;
   v3 = v2uiop_utility__at;
   goto L6;
L5:;
   {
    cl_object v4uiop_utility__accessor;
    v4uiop_utility__accessor = ecl_car(v3);
    v1uiop_utility__object = LC117access(v1uiop_utility__object, v4uiop_utility__accessor);
   }
   v3 = ecl_cdr(v3);
L6:;
   if (Null(v3)) { goto L14; }
   goto L5;
L14:;
   value0 = v1uiop_utility__object;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L1:;
  value0 = LC117access(v1uiop_utility__object, v2uiop_utility__at);
  return value0;
 }
}
/*      function definition for ACCESS-AT-COUNT                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L119access_at_count(cl_object v1uiop_utility__at)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_FIXNUMP(v1uiop_utility__at)||ECL_BIGNUMP(v1uiop_utility__at))) { goto L1; }
  value0 = ecl_one_plus(v1uiop_utility__at);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (!(ECL_CONSP(v1uiop_utility__at))) { goto L3; }
  T0 = ecl_car(v1uiop_utility__at);
  if (!(ECL_FIXNUMP(T0)||ECL_BIGNUMP(T0))) { goto L3; }
  T0 = ecl_car(v1uiop_utility__at);
  value0 = ecl_one_plus(T0);
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CALL-FUNCTION                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L120call_function(cl_narg narg, cl_object v1uiop_utility__function_spec, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_utility__arguments;
  ecl_va_list args; ecl_va_start(args,v1uiop_utility__function_spec,narg,1);
  v2uiop_utility__arguments = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = ecl_function_dispatch(cl_env_copy,VV[207])(1, v1uiop_utility__function_spec) /*  ENSURE-FUNCTION */;
  value0 = cl_apply(2, T0, v2uiop_utility__arguments);
  return value0;
 }
}
/*      function definition for CALL-FUNCTIONS                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L121call_functions(cl_object v1uiop_utility__function_specs)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_map(3, ECL_NIL, VV[212], v1uiop_utility__function_specs);
  return value0;
 }
}
/*      function definition for REGISTER-HOOK-FUNCTION                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L122register_hook_function(cl_narg narg, cl_object v1variable, cl_object v2uiop_utility__hook, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3uiop_utility__call_now_p;
  va_list args; va_start(args,v2uiop_utility__hook);
  {
   int i = 2;
   if (i >= narg) {
    v3uiop_utility__call_now_p = ECL_NIL;
   } else {
    i++;
    v3uiop_utility__call_now_p = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object v4;
   T0 = cl_symbol_value(v1variable);
   v4 = cl_adjoin(4, v2uiop_utility__hook, T0, ECL_SYM("TEST",1328), ECL_SYM("EQUAL",335));
   cl_set(v1variable, v4);
  }
  if (Null(v3uiop_utility__call_now_p)) { goto L4; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[212])(1, v2uiop_utility__hook) /*  CALL-FUNCTION */;
  return value0;
L4:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      closure G1386                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC114__g1386(cl_narg narg, cl_object v1uiop_utility__x, ...)
{
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  FUN             */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = cl_gethash(2, v1uiop_utility__x, ECL_CONS_CAR(CLV0));
  return value0;
 }
 }
}
/*      closure G1387                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC115__g1387(cl_narg narg, ...)
{
 cl_object T0, T1, T2;
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  FUN             */
 { /* ... closure scanning finished */
 {
  cl_object v1uiop_utility__args;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1uiop_utility__args = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = ecl_car(ECL_CONS_CAR(CLV0));
  T1 = ecl_cdr(ECL_CONS_CAR(CLV0));
  T2 = ecl_append(T1,v1uiop_utility__args);
  value0 = cl_apply(2, T0, T2);
  return value0;
 }
 }
}
/*      local function ACCESS                                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC117access(cl_object v1uiop_utility__object, cl_object v2uiop_utility__accessor)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(cl_functionp(v2uiop_utility__accessor))) { goto L1; }
  value0 = ecl_function_dispatch(cl_env_copy,v2uiop_utility__accessor)(1, v1uiop_utility__object);
  return value0;
L1:;
  if (!(ECL_FIXNUMP(v2uiop_utility__accessor)||ECL_BIGNUMP(v2uiop_utility__accessor))) { goto L3; }
  value0 = ecl_elt(v1uiop_utility__object,ecl_fixnum(v2uiop_utility__accessor));
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  if (Null(cl_keywordp(v2uiop_utility__accessor))) { goto L5; }
  value0 = cl_getf(2, v1uiop_utility__object, v2uiop_utility__accessor);
  return value0;
L5:;
  if (!(v2uiop_utility__accessor==ECL_NIL)) { goto L7; }
  value0 = v1uiop_utility__object;
  cl_env_copy->nvalues = 1;
  return value0;
L7:;
  if (!(ECL_SYMBOLP(v2uiop_utility__accessor))) { goto L9; }
  value0 = ecl_function_dispatch(cl_env_copy,v2uiop_utility__accessor)(1, v1uiop_utility__object);
  return value0;
L9:;
  if (!(ECL_CONSP(v2uiop_utility__accessor))) { goto L11; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[207])(1, v2uiop_utility__accessor) /*  ENSURE-FUNCTION */;
  value0 = ecl_function_dispatch(cl_env_copy,T0)(1, v1uiop_utility__object);
  return value0;
L11:;
  value0 = si_etypecase_error(v2uiop_utility__accessor, VV[210]);
  return value0;
 }
}
/*      function definition for COERCE-CLASS                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L123coerce_class(cl_narg narg, cl_object v1class, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2package;
  cl_object v3uiop_utility__super;
  cl_object v4error;
  ecl_va_list args; ecl_va_start(args,v1class,narg,1);
  {
   cl_object keyvars[6];
   cl_parse_key(args,3,L123coerce_classkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[3])) {
    v2package = VV[20];
   } else {
    v2package = keyvars[0];
   }
   if (Null(keyvars[4])) {
    v3uiop_utility__super = ECL_T;
   } else {
    v3uiop_utility__super = keyvars[1];
   }
   if (Null(keyvars[5])) {
    v4error = ECL_SYM("ERROR",337);
   } else {
    v4error = keyvars[2];
   }
  }
  {
   cl_object v5uiop_utility__normalized;
   cl_object v6uiop_utility__found;
   if (Null(cl_keywordp(v1class))) { goto L5; }
   value0 = L2find_symbol_(3, v1class, v2package, ECL_NIL);
   if ((value0)!=ECL_NIL) { goto L8; }
   v5uiop_utility__normalized = L2find_symbol_(3, v1class, ecl_symbol_value(ECL_SYM("*PACKAGE*",43)), ECL_NIL);
   goto L4;
L8:;
   v5uiop_utility__normalized = value0;
   goto L4;
L5:;
   if (!(ECL_STRINGP(v1class))) { goto L10; }
   v5uiop_utility__normalized = L3symbol_call(5, VV[216], VV[217], v1class, ECL_SYM("PACKAGE",1296), v2package);
   goto L4;
L10:;
   v5uiop_utility__normalized = v1class;
L4:;
   if ((si_of_class_p(2, v5uiop_utility__normalized, ECL_SYM("STANDARD-CLASS",973)))!=ECL_NIL) { goto L15; }
   if (Null(si_of_class_p(2, v5uiop_utility__normalized, ECL_SYM("BUILT-IN-CLASS",929)))) { goto L13; }
   goto L14;
L15:;
L14:;
   v6uiop_utility__found = v5uiop_utility__normalized;
   goto L12;
L13:;
   if (v5uiop_utility__normalized==ECL_NIL) { goto L19; }
   if (Null(cl_keywordp(v5uiop_utility__normalized))) { goto L17; }
   goto L18;
L19:;
L18:;
   v6uiop_utility__found = ECL_NIL;
   goto L12;
L17:;
   if (!(ECL_SYMBOLP(v5uiop_utility__normalized))) { goto L21; }
   v6uiop_utility__found = cl_find_class(3, v5uiop_utility__normalized, ECL_NIL, ECL_NIL);
   goto L12;
L21:;
   v6uiop_utility__found = si_etypecase_error(v5uiop_utility__normalized, VV[218]);
L12:;
   if (Null(v6uiop_utility__found)) { goto L27; }
   if ((v3uiop_utility__super)==(ECL_T)) { goto L30; }
   if (Null(cl_subtypep(2, v6uiop_utility__found, v3uiop_utility__super))) { goto L27; }
   goto L29;
L30:;
L29:;
   value0 = v6uiop_utility__found;
   goto L25;
L27:;
   value0 = ECL_NIL;
   goto L25;
L25:;
   if ((value0)!=ECL_NIL) { goto L24; }
   value0 = ecl_function_dispatch(cl_env_copy,VV[212])(4, v4error, VV[219], v1class, v3uiop_utility__super) /*  CALL-FUNCTION */;
   return value0;
L24:;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for ENSURE-GETHASH                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L124ensure_gethash(cl_object v1uiop_utility__key, cl_object v2uiop_utility__table, cl_object v3uiop_utility__default)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v5;                                  /*  VALUE           */
   cl_object v6;                                  /*  FOUNDP          */
   value0 = cl_gethash(2, v1uiop_utility__key, v2uiop_utility__table);
   v5 = value0;
   v6 = cl_env_copy->values[1];
   if (Null(v6)) { goto L3; }
   T0 = v5;
   goto L2;
L3:;
   T1 = ecl_function_dispatch(cl_env_copy,VV[212])(1, v3uiop_utility__default) /*  CALL-FUNCTION */;
   T0 = si_hash_set(v1uiop_utility__key, v2uiop_utility__table, T1);
L2:;
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = v6;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*      function definition for LIST-TO-HASH-SET                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L125list_to_hash_set(cl_object v1list)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2uiop_utility__h;
   v2uiop_utility__h = cl_make_hash_table(2, ECL_SYM("TEST",1328), ECL_SYM("EQUAL",335));
   {
    cl_object v3;
    v3 = v1list;
    goto L5;
L4:;
    {
     cl_object v4uiop_utility__x;
     v4uiop_utility__x = ecl_car(v3);
     si_hash_set(v4uiop_utility__x, v2uiop_utility__h, ECL_T);
    }
    v3 = ecl_cdr(v3);
L5:;
    if (Null(v3)) { goto L12; }
    goto L4;
L12:;
    value0 = v2uiop_utility__h;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for UNPARSE-VERSION                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L126unparse_version(cl_object v1uiop_utility__version_list)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_format(3, ECL_NIL, VV[223], v1uiop_utility__version_list);
  return value0;
 }
}
/*      function definition for PARSE-VERSION                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L127parse_version(cl_narg narg, cl_object v1uiop_utility__version_string, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_utility__on_error;
  va_list args; va_start(args,v1uiop_utility__version_string);
  {
   int i = 1;
   if (i >= narg) {
    v2uiop_utility__on_error = ECL_NIL;
   } else {
    i++;
    v2uiop_utility__on_error = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (ECL_STRINGP(v1uiop_utility__version_string)) { goto L2; }
  ecl_function_dispatch(cl_env_copy,VV[212])(4, v2uiop_utility__on_error, VV[225], VV[224], v1uiop_utility__version_string) /*  CALL-FUNCTION */;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  {
   cl_object v3uiop_utility__prev;
   v3uiop_utility__prev = ECL_NIL;
   {
    cl_object v4uiop_utility__c;
    cl_object v5;
    cl_fixnum v6;
    cl_fixnum v7;
    v4uiop_utility__c = ECL_NIL;
    {
     cl_object v8;
     v8 = v1uiop_utility__version_string;
     if (ecl_unlikely(!ECL_VECTORP(v8))) FEtype_error_vector(v8);
     v5 = v8;
    }
    v6 = 0;
    v7 = 0;
    v7 = ecl_length(v5);
    v3uiop_utility__prev = ECL_NIL;
L14:;
    if (!((v6)>=(v7))) { goto L20; }
    goto L15;
L20:;
    {
     cl_object v8;
     v8 = v5;
     T0 = v8;
     {
      cl_fixnum v9;
      {
       cl_fixnum v10;
       v10 = v6;
       if (ecl_unlikely((v10)>=(v8)->vector.dim))
           FEwrong_index(ECL_NIL,v8,-1,ecl_make_fixnum(v10),(v8)->vector.dim);
       v9 = v10;
      }
      v4uiop_utility__c = ecl_aref_unsafe(T0,v9);
     }
    }
    {
     cl_object v8;
     v8 = ecl_make_integer((v6)+1);
     {
      bool v9;
      v9 = ECL_FIXNUMP(v8);
      if (ecl_unlikely(!(v9)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),v8);
     }
     v6 = ecl_fixnum(v8);
    }
    if ((cl_digit_char_p(1, v4uiop_utility__c))!=ECL_NIL) { goto L33; }
    if (!(((v4uiop_utility__c)==ECL_CODE_CHAR((ecl_character)(46))))) { goto L37; }
    if (Null(v3uiop_utility__prev)) { goto L37; }
    if (!(((v3uiop_utility__prev)==ECL_CODE_CHAR((ecl_character)(46))))) { goto L33; }
    goto L34;
L37:;
    goto L34;
L34:;
    goto L6;
L33:;
    v3uiop_utility__prev = v4uiop_utility__c;
    goto L14;
L15:;
    if (Null(v4uiop_utility__c)) { goto L45; }
    if ((cl_digit_char_p(1, v4uiop_utility__c))!=ECL_NIL) { goto L5; }
    goto L6;
L45:;
    goto L6;
   }
  }
L6:;
  ecl_function_dispatch(cl_env_copy,VV[212])(4, v2uiop_utility__on_error, VV[226], VV[224], v1uiop_utility__version_string) /*  CALL-FUNCTION */;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L5:;
  {
   cl_object v3uiop_utility__version_list;
   cl_object v4uiop_utility__normalized_version;
   {
    cl_object v5;
    v5 = (ECL_SYM("PARSE-INTEGER",628)->symbol.gfdef);
    {
     cl_object v6;
     cl_object v7;
     cl_object v8;
     v6 = ecl_function_dispatch(cl_env_copy,VV[179])(3, v1uiop_utility__version_string, VV[227], VV[228]) /*  SPLIT-STRING */;
     v7 = ECL_NIL;
     {
      cl_object v9;
      v9 = v6;
      if (ecl_unlikely(!ECL_LISTP(v9))) FEtype_error_list(v9);
      v8 = v9;
     }
     {
      cl_object v9;
      cl_object v10;
      v9 = ecl_list1(ECL_NIL);
      v10 = v9;
L57:;
      if (!(ecl_endp(v8))) { goto L59; }
      goto L58;
L59:;
      v7 = _ecl_car(v8);
      {
       cl_object v11;
       v11 = _ecl_cdr(v8);
       if (ecl_unlikely(!ECL_LISTP(v11))) FEtype_error_list(v11);
       v8 = v11;
      }
      {
       cl_object v11;
       v11 = v10;
       if (ecl_unlikely(ECL_ATOM(v11))) FEtype_error_cons(v11);
       T0 = v11;
      }
      T1 = ecl_function_dispatch(cl_env_copy,v5)(1, v7);
      v10 = ecl_list1(T1);
      (ECL_CONS_CDR(T0)=v10,T0);
      goto L57;
L58:;
      v3uiop_utility__version_list = ecl_cdr(v9);
      goto L48;
     }
    }
   }
L48:;
   v4uiop_utility__normalized_version = ecl_function_dispatch(cl_env_copy,VV[222])(1, v3uiop_utility__version_list) /*  UNPARSE-VERSION */;
   if (ecl_equal(v1uiop_utility__version_string,v4uiop_utility__normalized_version)) { goto L76; }
   ecl_function_dispatch(cl_env_copy,VV[212])(4, v2uiop_utility__on_error, VV[229], VV[224], v1uiop_utility__version_string) /*  CALL-FUNCTION */;
L76:;
   value0 = v3uiop_utility__version_list;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for LEXICOGRAPHIC<                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L128lexicographic_(cl_object v1uiop_utility__element_, cl_object v2uiop_utility__x, cl_object v3uiop_utility__y)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(v3uiop_utility__y==ECL_NIL)) { goto L1; }
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (!(v2uiop_utility__x==ECL_NIL)) { goto L3; }
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  T0 = ecl_car(v2uiop_utility__x);
  T1 = ecl_car(v3uiop_utility__y);
  if (Null(ecl_function_dispatch(cl_env_copy,v1uiop_utility__element_)(2, T0, T1))) { goto L5; }
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
L5:;
  T0 = ecl_car(v3uiop_utility__y);
  T1 = ecl_car(v2uiop_utility__x);
  if (Null(ecl_function_dispatch(cl_env_copy,v1uiop_utility__element_)(2, T0, T1))) { goto L7; }
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L7:;
  T0 = ecl_cdr(v2uiop_utility__x);
  T1 = ecl_cdr(v3uiop_utility__y);
  value0 = ecl_function_dispatch(cl_env_copy,VV[230])(3, v1uiop_utility__element_, T0, T1) /*  LEXICOGRAPHIC< */;
  return value0;
 }
}
/*      function definition for LEXICOGRAPHIC<=                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L129lexicographic__(cl_object v1uiop_utility__element_, cl_object v2uiop_utility__x, cl_object v3uiop_utility__y)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[230])(3, v1uiop_utility__element_, v3uiop_utility__y, v2uiop_utility__x) /*  LEXICOGRAPHIC< */;
  value0 = Null(T0)?ECL_T:ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for VERSION<                              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L130version_(cl_object v1uiop_utility__version1, cl_object v2uiop_utility__version2)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   v3 = ecl_function_dispatch(cl_env_copy,VV[224])(2, v1uiop_utility__version1, ECL_NIL) /*  PARSE-VERSION */;
   v4 = ecl_function_dispatch(cl_env_copy,VV[224])(2, v2uiop_utility__version2, ECL_NIL) /*  PARSE-VERSION */;
   value0 = ecl_function_dispatch(cl_env_copy,VV[230])(3, ECL_SYM("<",72), v3, v4) /*  LEXICOGRAPHIC< */;
   return value0;
  }
 }
}
/*      function definition for VERSION<=                             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L131version__(cl_object v1uiop_utility__version1, cl_object v2uiop_utility__version2)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[232])(2, v2uiop_utility__version2, v1uiop_utility__version1) /*  VERSION< */;
  value0 = Null(T0)?ECL_T:ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for VERSION-COMPATIBLE-P                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L132version_compatible_p(cl_object v1uiop_utility__provided_version, cl_object v2uiop_utility__required_version)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   v3 = ecl_function_dispatch(cl_env_copy,VV[224])(2, v1uiop_utility__provided_version, ECL_NIL) /*  PARSE-VERSION */;
   v4 = ecl_function_dispatch(cl_env_copy,VV[224])(2, v2uiop_utility__required_version, ECL_NIL) /*  PARSE-VERSION */;
   if (Null(v3)) { goto L4; }
   if (Null(v4)) { goto L4; }
   T0 = ecl_car(v3);
   T1 = ecl_car(v4);
   if (!(ecl_number_equalp(T0,T1))) { goto L4; }
   T0 = ecl_cdr(v4);
   T1 = ecl_cdr(v3);
   value0 = ecl_function_dispatch(cl_env_copy,VV[231])(3, ECL_SYM("<",72), T0, T1) /*  LEXICOGRAPHIC<= */;
   return value0;
L4:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for MATCH-CONDITION-P                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L135match_condition_p(cl_object volatile v1uiop_utility__x, cl_object volatile v2condition)
{
 cl_object T0, T1, T2, T3;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_SYMBOLP(v1uiop_utility__x))) { goto L1; }
  value0 = cl_typep(2, v2condition, v1uiop_utility__x);
  return value0;
L1:;
  if (Null(cl_typep(2, v1uiop_utility__x, VV[28]))) { goto L3; }
  {
   volatile cl_object env1 = env0;
   env1 = ECL_NIL;
   CLV0 = env1 = CONS(ECL_NIL,env1);
   {
    volatile cl_object env2 = env1;
    CLV1 = env2 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
    if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
    if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L5;
    ecl_internal_error("GO found an inexistent tag");
    }
    {
     cl_object v3;
     v3 = ecl_make_cclosure_va((cl_objectfn)LC133__g1487,env2,Cblock);
     T0 = v3;
    }
    T1 = CONS(ECL_SYM("ERROR",337),T0);
    T2 = ecl_list1(T1);
    T3 = CONS(T2,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
    ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T3); /*  *HANDLER-CLUSTERS* */
    T0 = ecl_aref1(v1uiop_utility__x,0);
    T1 = ecl_aref1(v1uiop_utility__x,1);
    T2 = L2find_symbol_(3, T0, T1, ECL_NIL);
    value0 = cl_typep(2, v2condition, T2);
    ecl_frs_pop(cl_env_copy);
    ecl_bds_unwind1(cl_env_copy);
    return value0;
L5:;
    {
     cl_object v3condition;
     v3condition = ECL_CONS_CAR(CLV0);
     cl_env_copy->nvalues = 2;
     cl_env_copy->values[1] = v3condition;
     cl_env_copy->values[0] = ECL_NIL;
     value0 = cl_env_copy->values[0];
     ecl_frs_pop(cl_env_copy);
     return value0;
    }
   }
  }
L3:;
  if (Null(cl_functionp(v1uiop_utility__x))) { goto L10; }
  value0 = ecl_function_dispatch(cl_env_copy,v1uiop_utility__x)(1, v2condition);
  return value0;
L10:;
  if (!(ECL_STRINGP(v1uiop_utility__x))) { goto L12; }
  if (Null(si_of_class_p(2, v2condition, ECL_SYM("SIMPLE-CONDITION",767)))) { goto L15; }
  {
   volatile cl_object env1 = env0;
   env1 = ECL_NIL;
   CLV0 = env1 = CONS(ECL_NIL,env1);
   {
    volatile cl_object env2 = env1;
    CLV1 = env2 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
    if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
    if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L17;
    ecl_internal_error("GO found an inexistent tag");
    }
    {
     cl_object v3;
     v3 = ecl_make_cclosure_va((cl_objectfn)LC134__g1491,env2,Cblock);
     T0 = v3;
    }
    T1 = CONS(ECL_SYM("ERROR",337),T0);
    T2 = ecl_list1(T1);
    T3 = CONS(T2,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
    ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T3); /*  *HANDLER-CLUSTERS* */
    T0 = (cl_env_copy->function=(ECL_SYM("SIMPLE-CONDITION-FORMAT-CONTROL",768)->symbol.gfdef))->cfun.entry(1, v2condition) /*  SIMPLE-CONDITION-FORMAT-CONTROL */;
    value0 = ecl_make_bool(ecl_equal(T0,v1uiop_utility__x));
    cl_env_copy->nvalues = 1;
    ecl_frs_pop(cl_env_copy);
    ecl_bds_unwind1(cl_env_copy);
    return value0;
L17:;
    {
     cl_object v3condition;
     v3condition = ECL_CONS_CAR(CLV0);
     cl_env_copy->nvalues = 2;
     cl_env_copy->values[1] = v3condition;
     cl_env_copy->values[0] = ECL_NIL;
     value0 = cl_env_copy->values[0];
     ecl_frs_pop(cl_env_copy);
     return value0;
    }
   }
  }
L15:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L12:;
  value0 = si_etypecase_error(v1uiop_utility__x, VV[238]);
  return value0;
 }
}
/*      function definition for MATCH-ANY-CONDITION-P                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L136match_any_condition_p(cl_object v1condition, cl_object v2uiop_utility__conditions)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3uiop_utility__x;
   cl_object v4;
   v3uiop_utility__x = ECL_NIL;
   {
    cl_object v5;
    v5 = v2uiop_utility__conditions;
    if (ecl_unlikely(!ECL_LISTP(v5))) FEtype_error_list(v5);
    v4 = v5;
   }
   {
    cl_object v5;
    v5 = ECL_NIL;
L6:;
    if (!(ecl_endp(v4))) { goto L8; }
    goto L7;
L8:;
    v3uiop_utility__x = _ecl_car(v4);
    {
     cl_object v6;
     v6 = _ecl_cdr(v4);
     if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
     v4 = v6;
    }
    v5 = ecl_function_dispatch(cl_env_copy,VV[237])(2, v3uiop_utility__x, v1condition) /*  MATCH-CONDITION-P */;
    if (Null(v5)) { goto L16; }
    value0 = v5;
    cl_env_copy->nvalues = 1;
    return value0;
L16:;
    goto L6;
L7:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for CALL-WITH-MUFFLED-CONDITIONS          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L138call_with_muffled_conditions(cl_object v1uiop_utility__thunk, cl_object v2uiop_utility__conditions)
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v2uiop_utility__conditions,env0); /*  CONDITIONS */
  {
   cl_object v3;
   v3 = ecl_make_cclosure_va((cl_objectfn)LC137__g1500,env0,Cblock);
   T0 = v3;
  }
  T1 = CONS(ECL_T,T0);
  T2 = ecl_list1(T1);
  T3 = CONS(T2,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
  ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T3); /*  *HANDLER-CLUSTERS* */
  value0 = ecl_function_dispatch(cl_env_copy,v1uiop_utility__thunk)(0);
  ecl_bds_unwind1(cl_env_copy);
  return value0;
 }
}
/*      local function WITH-MUFFLED-CONDITIONS                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC139with_muffled_conditions(cl_object v1, cl_object v2)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   cl_object v5;
   cl_object v6uiop_utility__conditions;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v7;
   }
   v5 = v4;
   if (!(v5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(v1);
L10:;
   {
    cl_object v7;
    v7 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v6uiop_utility__conditions = v7;
   }
   if (Null(v5)) { goto L15; }
   si_dm_too_many_arguments(v1);
L15:;
   T0 = cl_listX(3, ECL_SYM("LAMBDA",452), ECL_NIL, v3);
   T1 = cl_list(2, ECL_SYM("FUNCTION",396), T0);
   value0 = cl_list(3, VV[240], T1, v6uiop_utility__conditions);
   return value0;
  }
 }
}
/*      closure G1487                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC133__g1487(cl_narg narg, cl_object v1si__temp, ...)
{
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  TAGBODY         */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV0) = v1si__temp;
  cl_go(ECL_CONS_CAR(CLV1),ecl_make_fixnum(0));
 }
 }
}
/*      closure G1491                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC134__g1491(cl_narg narg, cl_object v1si__temp, ...)
{
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  TAGBODY         */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV0) = v1si__temp;
  cl_go(ECL_CONS_CAR(CLV1),ecl_make_fixnum(0));
 }
 }
}
/*      closure G1500                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC137__g1500(cl_narg narg, cl_object v1uiop_utility__c, ...)
{
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  CONDITIONS      */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  if (Null(ecl_function_dispatch(cl_env_copy,VV[239])(2, v1uiop_utility__c, ECL_CONS_CAR(CLV0)) /*  MATCH-ANY-CONDITION-P */)) { goto L1; }
  value0 = cl_muffle_warning(1, v1uiop_utility__c);
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
 }
}
/*      local function G1513                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC141__g1513()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC140__g1514,ECL_NIL,Cblock,2);
   value0 = v1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for NOT-IMPLEMENTED-ERROR                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L142not_implemented_error(cl_narg narg, cl_object v1uiop_utility__functionality, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_utility__format_control;
  cl_object v3uiop_utility__format_arguments;
  ecl_va_list args; ecl_va_start(args,v1uiop_utility__functionality,narg,1);
  {
   int i = 1;
   if (i >= narg) {
    v2uiop_utility__format_control = ECL_NIL;
   } else {
    i++;
    v2uiop_utility__format_control = ecl_va_arg(args);
   }
  }
  v3uiop_utility__format_arguments = cl_grab_rest_args(args);
  ecl_va_end(args);
  value0 = cl_error(7, VV[242], VV[247], v1uiop_utility__functionality, ECL_SYM("FORMAT-CONTROL",1250), v2uiop_utility__format_control, ECL_SYM("FORMAT-ARGUMENTS",1249), v3uiop_utility__format_arguments);
  return value0;
 }
}
/*      local function G1515                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC144__g1515()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC143__g1516,ECL_NIL,Cblock,2);
   value0 = v1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for PARAMETER-ERROR                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L145parameter_error(cl_narg narg, cl_object v1uiop_utility__format_control, cl_object v2uiop_utility__functionality, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3uiop_utility__format_arguments;
  ecl_va_list args; ecl_va_start(args,v2uiop_utility__functionality,narg,2);
  v3uiop_utility__format_arguments = cl_grab_rest_args(args);
  ecl_va_end(args);
  value0 = cl_error(7, VV[248], VV[247], v2uiop_utility__functionality, ECL_SYM("FORMAT-CONTROL",1250), v1uiop_utility__format_control, ECL_SYM("FORMAT-ARGUMENTS",1249), v3uiop_utility__format_arguments);
  return value0;
 }
}
/*      local function G1514                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC140__g1514(cl_object v1condition, cl_object v2stream)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_slot_value(v1condition, VV[244]);
  T1 = cl_slot_value(v1condition, VV[245]);
  T2 = cl_slot_value(v1condition, VV[246]);
  value0 = cl_format(5, v2stream, VV[243], T0, T1, T2);
  return value0;
 }
}
/*      local function G1516                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC143__g1516(cl_object v1condition, cl_object v2stream)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_slot_value(v1condition, VV[245]);
  T1 = cl_slot_value(v1condition, VV[244]);
  T2 = cl_slot_value(v1condition, VV[246]);
  value0 = cl_apply(5, ECL_SYM("FORMAT",387), v2stream, T0, T1, T2);
  return value0;
 }
}
/*      function definition for FEATUREP                              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L146featurep(cl_narg narg, cl_object v1uiop_os__x, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  va_list args; va_start(args,v1uiop_os__x);
  {
   int i = 1;
   if (i >= narg) {
    ecl_bds_push(cl_env_copy,ECL_SYM("*FEATURES*",34)); /*  *FEATURES* */
   } else {
    i++;
    ecl_bds_bind(cl_env_copy,ECL_SYM("*FEATURES*",34),va_arg(args,cl_object)); /*  *FEATURES* */
   }
  }
  va_end(args);
  if (!(ECL_ATOM(v1uiop_os__x))) { goto L1; }
  if (Null(ecl_memql(v1uiop_os__x,ecl_symbol_value(ECL_SYM("*FEATURES*",34))))) { goto L4; }
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  ecl_bds_unwind1(cl_env_copy);
  return value0;
L4:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  ecl_bds_unwind1(cl_env_copy);
  return value0;
L1:;
  T0 = ecl_car(v1uiop_os__x);
  if (!((VV[250])==(T0))) { goto L6; }
  goto L10;
L9:;
  si_assert_failure(1, VV[251]);
L10:;
  T0 = ecl_cddr(v1uiop_os__x);
  if (T0==ECL_NIL) { goto L13; }
  goto L9;
L13:;
  T0 = ecl_cadr(v1uiop_os__x);
  T1 = ecl_function_dispatch(cl_env_copy,VV[249])(1, T0) /*  FEATUREP */;
  value0 = Null(T1)?ECL_T:ECL_NIL;
  cl_env_copy->nvalues = 1;
  ecl_bds_unwind1(cl_env_copy);
  return value0;
L6:;
  T0 = ecl_car(v1uiop_os__x);
  if (!((VV[252])==(T0))) { goto L15; }
  T0 = ecl_fdefinition(VV[249]);
  T1 = ecl_cdr(v1uiop_os__x);
  value0 = cl_some(2, T0, T1);
  ecl_bds_unwind1(cl_env_copy);
  return value0;
L15:;
  T0 = ecl_car(v1uiop_os__x);
  if (!((VV[253])==(T0))) { goto L18; }
  T0 = ecl_fdefinition(VV[249]);
  T1 = ecl_cdr(v1uiop_os__x);
  value0 = cl_every(2, T0, T1);
  ecl_bds_unwind1(cl_env_copy);
  return value0;
L18:;
  value0 = cl_error(2, VV[254], v1uiop_os__x);
  ecl_bds_unwind1(cl_env_copy);
  return value0;
 }
}
/*      function definition for OS-MACOSX-P                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L147os_macosx_p()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[249])(1, VV[256]) /*  FEATUREP */;
  return value0;
 }
}
/*      function definition for OS-UNIX-P                             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L148os_unix_p()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[249])(1, VV[258]) /*  FEATUREP */;
  if ((value0)!=ECL_NIL) { goto L2; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[255])(0) /*  OS-MACOSX-P */;
  return value0;
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for OS-WINDOWS-P                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L149os_windows_p()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if ((ecl_function_dispatch(cl_env_copy,VV[257])(0) /*  OS-UNIX-P    */)!=ECL_NIL) { goto L2; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[249])(1, VV[260]) /*  FEATUREP */;
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for OS-GENERA-P                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L150os_genera_p()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[249])(1, VV[262]) /*  FEATUREP */;
  return value0;
 }
}
/*      function definition for OS-OLDMAC-P                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L151os_oldmac_p()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[249])(1, VV[264]) /*  FEATUREP */;
  return value0;
 }
}
/*      function definition for OS-HAIKU-P                            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L152os_haiku_p()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[249])(1, VV[266]) /*  FEATUREP */;
  return value0;
 }
}
/*      function definition for DETECT-OS                             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L153detect_os()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v1uiop_os__o;
   v1uiop_os__o = ECL_NIL;
   {
    cl_object v2uiop_os__feature;
    cl_object v3uiop_os__detect;
    cl_object v4;
    v2uiop_os__feature = ECL_NIL;
    v3uiop_os__detect = ECL_NIL;
    v4 = VV[268];
L6:;
    {
     cl_object v5;
     v5 = _ecl_car(v4);
     v2uiop_os__feature = ecl_car(v5);
     v5 = ecl_cdr(v5);
     v3uiop_os__detect = v5;
    }
    {
     cl_object v5;
     v5 = _ecl_cdr(v4);
     if (ecl_unlikely(!ECL_LISTP(v5))) FEtype_error_list(v5);
     v4 = v5;
    }
    if (Null(v1uiop_os__o)) { goto L23; }
    if (!((v2uiop_os__feature)==(VV[269]))) { goto L20; }
    goto L22;
L23:;
L22:;
    if (Null(ecl_function_dispatch(cl_env_copy,v3uiop_os__detect)(0))) { goto L20; }
    v1uiop_os__o = v2uiop_os__feature;
    cl_set(ECL_SYM("*FEATURES*",34),cl_adjoin(2, v2uiop_os__feature, ecl_symbol_value(ECL_SYM("*FEATURES*",34))));
    goto L19;
L20:;
    cl_set(ECL_SYM("*FEATURES*",34),cl_remove(2, v2uiop_os__feature, ecl_symbol_value(ECL_SYM("*FEATURES*",34))));
L19:;
    if (!(ecl_endp(v4))) { goto L29; }
    goto L7;
L29:;
    goto L6;
L7:;
    value0 = v1uiop_os__o;
    if ((value0)!=ECL_NIL) { goto L34; }
    value0 = cl_error(1, VV[270]);
    return value0;
L34:;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      local function OS-COND                                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC154os_cond(cl_object v1, cl_object v2)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = ecl_cdr(v1);
   {
    cl_object v4uiop_os__test;
    cl_object v5uiop_os__body;
    cl_object v6;
    v4uiop_os__test = ECL_NIL;
    v5uiop_os__body = ECL_NIL;
    {
     cl_object v7;
     v7 = v3;
     if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
     v6 = v7;
    }
L7:;
    if (!(ecl_endp(v6))) { goto L9; }
    goto L8;
L9:;
    {
     cl_object v7;
     v7 = _ecl_car(v6);
     v4uiop_os__test = ecl_car(v7);
     v7 = ecl_cdr(v7);
     v5uiop_os__body = v7;
    }
    {
     cl_object v7;
     v7 = _ecl_cdr(v6);
     if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
     v6 = v7;
    }
    if (Null(cl_eval(v4uiop_os__test))) { goto L22; }
    value0 = CONS(ECL_SYM("PROGN",671),v5uiop_os__body);
    cl_env_copy->nvalues = 1;
    return value0;
L22:;
    goto L7;
L8:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for GETENV                                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L155getenv(cl_object v1uiop_os__x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = si_getenv(v1uiop_os__x);
  return value0;
 }
}
/*      local function GETENV                                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC156getenv(cl_object v1uiop_os__val, cl_object v2uiop_os__x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_list(3, ECL_SYM("SETENV",1149), v2uiop_os__x, v1uiop_os__val);
  return value0;
 }
}
/*      function definition for GETENVP                               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L157getenvp(cl_object v1uiop_os__x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2uiop_os__g;
   v2uiop_os__g = ecl_function_dispatch(cl_env_copy,VV[272])(1, v1uiop_os__x) /*  GETENV */;
   if ((ecl_function_dispatch(cl_env_copy,VV[164])(1, v2uiop_os__g) /*  EMPTYP */)!=ECL_NIL) { goto L3; }
   value0 = v2uiop_os__g;
   cl_env_copy->nvalues = 1;
   return value0;
L3:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for FIRST-FEATURE                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L158first_feature(cl_object v1uiop_os__feature_sets)
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = v1uiop_os__feature_sets;
   goto L4;
L3:;
   {
    cl_object v3uiop_os__x;
    v3uiop_os__x = ecl_car(v2);
    {
     cl_object v5;                                /*  SHORT           */
     cl_object v6;                                /*  LONG            */
     cl_object v7;                                /*  FEATURE-EXPR    */
     if (!(ECL_CONSP(v3uiop_os__x))) { goto L10; }
     T0 = ecl_car(v3uiop_os__x);
     T1 = ecl_cadr(v3uiop_os__x);
     T2 = ecl_cdr(v3uiop_os__x);
     T3 = CONS(VV[252],T2);
     cl_env_copy->nvalues = 3;
     cl_env_copy->values[2] = T3;
     cl_env_copy->values[1] = T1;
     cl_env_copy->values[0] = T0;
     value0 = cl_env_copy->values[0];
     goto L9;
L10:;
     cl_env_copy->nvalues = 3;
     cl_env_copy->values[2] = v3uiop_os__x;
     cl_env_copy->values[1] = v3uiop_os__x;
     cl_env_copy->values[0] = v3uiop_os__x;
     value0 = cl_env_copy->values[0];
L9:;
     v5 = value0;
     v6 = cl_env_copy->values[1];
     v7 = cl_env_copy->values[2];
     if (Null(ecl_function_dispatch(cl_env_copy,VV[249])(1, v7) /*  FEATUREP */)) { goto L8; }
     cl_env_copy->nvalues = 2;
     cl_env_copy->values[1] = v6;
     cl_env_copy->values[0] = v5;
     return cl_env_copy->values[0];
    }
L8:;
   }
   v2 = ecl_cdr(v2);
L4:;
   if (Null(v2)) { goto L15; }
   goto L3;
L15:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for IMPLEMENTATION-TYPE                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L159implementation_type()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[274])(1, VV[276]) /*  FIRST-FEATURE */;
  return value0;
 }
}
/*      function definition for OPERATING-SYSTEM                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L160operating_system()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[274])(1, VV[279]) /*  FIRST-FEATURE */;
  return value0;
 }
}
/*      function definition for ARCHITECTURE                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L161architecture()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[274])(1, VV[281]) /*  FIRST-FEATURE */;
  return value0;
 }
}
/*      function definition for LISP-VERSION-STRING                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L162lisp_version_string()
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v1uiop_os__s;
   v1uiop_os__s = cl_lisp_implementation_version();
   {
    cl_object v2uiop_os__vcs_id;
    v2uiop_os__vcs_id = si_lisp_implementation_vcs_id();
    {
     cl_fixnum v3;
     v3 = ecl_length(v2uiop_os__vcs_id);
     {
      cl_fixnum v4;
      v4 = (v3)<=(8)?v3:8;
      T0 = cl_subseq(3, v2uiop_os__vcs_id, ecl_make_fixnum(0), ecl_make_fixnum(v4));
     }
    }
   }
   T1 = cl_format(4, ECL_NIL, VV[283], v1uiop_os__s, T0);
   T2 = cl_list(2, T1, v1uiop_os__s);
   value0 = ecl_car(T2);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for IMPLEMENTATION-IDENTIFIER             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L164implementation_identifier()
{
 cl_object T0, T1, T2, T3, T4, T5;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC163__g1551,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  value0 = ecl_function_dispatch(cl_env_copy,VV[275])(0) /*  IMPLEMENTATION-TYPE */;
  if ((value0)!=ECL_NIL) { goto L4; }
  T1 = cl_lisp_implementation_type();
  goto L2;
L4:;
  T1 = value0;
  goto L2;
L2:;
  T2 = ecl_function_dispatch(cl_env_copy,VV[282])(0) /*  LISP-VERSION-STRING */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[278])(0) /*  OPERATING-SYSTEM */;
  if ((value0)!=ECL_NIL) { goto L8; }
  T3 = cl_software_type();
  goto L6;
L8:;
  T3 = value0;
  goto L6;
L6:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[280])(0) /*  ARCHITECTURE */;
  if ((value0)!=ECL_NIL) { goto L12; }
  T4 = cl_machine_type();
  goto L10;
L12:;
  T4 = value0;
  goto L10;
L10:;
  T5 = cl_format(6, ECL_NIL, VV[286], T1, T2, T3, T4);
  value0 = cl_substitute_if(3, CODE_CHAR(95), T0, T5);
  return value0;
 }
}
/*      local function G1551                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC163__g1551(cl_object v1uiop_os__x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = si_make_seq_iterator(2, VV[285], ecl_make_fixnum(0));
L2:;
   if ((v2)!=ECL_NIL) { goto L4; }
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L4:;
   {
    cl_object v3;
    v3 = si_seq_iterator_ref(VV[285], v2);
    if (!(ecl_eql(v1uiop_os__x,v3))) { goto L6; }
    value0 = v3;
    cl_env_copy->nvalues = 1;
    return value0;
   }
L6:;
   v2 = si_seq_iterator_next(VV[285], v2);
   goto L2;
  }
 }
}
/*      function definition for HOSTNAME                              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L165hostname()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_machine_instance();
  return value0;
 }
}
/*      function definition for GETCWD                                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L166getcwd()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = si_getcwd(0);
  if ((value0)!=ECL_NIL) { goto L2; }
  value0 = cl_error(1, VV[289]);
  return value0;
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CHDIR                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L167chdir(cl_object v1uiop_os__x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2uiop_os__x;
   v2uiop_os__x = cl_pathname(v1uiop_os__x);
   if (Null(v2uiop_os__x)) { goto L2; }
   value0 = si_chdir(1, v2uiop_os__x);
   return value0;
L2:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for READ-NULL-TERMINATED-STRING           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L168read_null_terminated_string(cl_object v1uiop_os__s)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2uiop_os__out;
   v2uiop_os__out = cl_make_string_output_stream(0);
   {
    cl_object v3uiop_os__code;
    v3uiop_os__code = ECL_NIL;
L4:;
    v3uiop_os__code = cl_read_byte(1, v1uiop_os__s);
    if (!(ecl_zerop(v3uiop_os__code))) { goto L8; }
    goto L5;
L8:;
    T0 = cl_code_char(v3uiop_os__code);
    cl_write_char(2, T0, v2uiop_os__out);
    goto L4;
L5:;
   }
   value0 = cl_get_output_stream_string(v2uiop_os__out);
   return value0;
  }
 }
}
/*      function definition for READ-LITTLE-ENDIAN                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L169read_little_endian(cl_narg narg, cl_object v1uiop_os__s, ...)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_os__bytes;
  va_list args; va_start(args,v1uiop_os__s);
  {
   int i = 1;
   if (i >= narg) {
    v2uiop_os__bytes = ecl_make_fixnum(4);
   } else {
    i++;
    v2uiop_os__bytes = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object v3uiop_os__i;
   cl_object v4;
   v3uiop_os__i = ecl_make_fixnum(0);
   {
    cl_object v5;
    v5 = v2uiop_os__bytes;
    T0 = cl_realp(v5);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("REAL",703),v5);
    v4 = v5;
   }
   {
    cl_object v5;
    v5 = ecl_make_fixnum(0);
L7:;
    if (!(ecl_number_compare(v3uiop_os__i,v4)>=0)) { goto L9; }
    goto L8;
L9:;
    T0 = cl_read_byte(1, v1uiop_os__s);
    T1 = ecl_times(ecl_make_fixnum(8),v3uiop_os__i);
    T2 = cl_ash(T0, T1);
    v5 = ecl_plus(v5,T2);
    v3uiop_os__i = ecl_one_plus(v3uiop_os__i);
    goto L7;
L8:;
    value0 = v5;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for PARSE-FILE-LOCATION-INFO              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L170parse_file_location_info(cl_object v1uiop_os__s)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   cl_object v3;
   cl_object v4;
   cl_object v5;
   cl_object v6;
   cl_object v7;
   cl_object v8;
   cl_object v9;
   v2 = cl_file_position(1, v1uiop_os__s);
   v3 = ecl_function_dispatch(cl_env_copy,VV[294])(1, v1uiop_os__s) /*  READ-LITTLE-ENDIAN */;
   v4 = ecl_function_dispatch(cl_env_copy,VV[294])(1, v1uiop_os__s) /*  READ-LITTLE-ENDIAN */;
   v5 = ecl_function_dispatch(cl_env_copy,VV[294])(1, v1uiop_os__s) /*  READ-LITTLE-ENDIAN */;
   v6 = ecl_function_dispatch(cl_env_copy,VV[294])(1, v1uiop_os__s) /*  READ-LITTLE-ENDIAN */;
   v7 = ecl_function_dispatch(cl_env_copy,VV[294])(1, v1uiop_os__s) /*  READ-LITTLE-ENDIAN */;
   v8 = ecl_function_dispatch(cl_env_copy,VV[294])(1, v1uiop_os__s) /*  READ-LITTLE-ENDIAN */;
   v9 = ecl_function_dispatch(cl_env_copy,VV[294])(1, v1uiop_os__s) /*  READ-LITTLE-ENDIAN */;
   if (ecl_zerop(v5)) { goto L9; }
   if (Null(cl_logbitp(ecl_make_fixnum(0), v5))) { goto L12; }
   T0 = ecl_plus(v2,v7);
   cl_file_position(2, v1uiop_os__s, T0);
   goto L11;
L12:;
   if (Null(cl_logbitp(ecl_make_fixnum(1), v5))) { goto L11; }
   T0 = ecl_plus(v2,v8);
   T1 = ecl_plus(T0,ecl_make_fixnum(20));
   cl_file_position(2, v1uiop_os__s, T1);
L11:;
   T0 = ecl_function_dispatch(cl_env_copy,VV[293])(1, v1uiop_os__s) /*  READ-NULL-TERMINATED-STRING */;
   T1 = ecl_plus(v2,v9);
   cl_file_position(2, v1uiop_os__s, T1);
   T1 = ecl_function_dispatch(cl_env_copy,VV[293])(1, v1uiop_os__s) /*  READ-NULL-TERMINATED-STRING */;
   value0 = ecl_function_dispatch(cl_env_copy,VV[176])(2, T0, T1) /*  STRCAT */;
   return value0;
L9:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for PARSE-WINDOWS-SHORTCUT                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L172parse_windows_shortcut(cl_object volatile v1pathname)
{
 cl_object T0, T1, T2, T3;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object v2uiop_os__s;
   v2uiop_os__s = cl_open(3, v1pathname, ECL_SYM("ELEMENT-TYPE",1234), VV[297]);
   {
    volatile bool unwinding = FALSE;
    cl_index v3=ECL_STACK_INDEX(cl_env_copy),v4;
    ecl_frame_ptr next_fr;
    if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
      unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
    } else {
    {
     struct ecl_stack_frame _ecl_inner_frame_aux;
     volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
     {
      volatile cl_object v5;
      v5 = _ecl_inner_frame;
      {
       volatile cl_object env1 = env0;
       env1 = ECL_NIL;
       CLV0 = env1 = CONS(ECL_NIL,env1);
       {
        volatile cl_object env2 = env1;
        CLV1 = env2 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
        if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
        if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L7;
        ecl_internal_error("GO found an inexistent tag");
        }
        {
         cl_object v6;
         v6 = ecl_make_cclosure_va((cl_objectfn)LC171__g1586,env2,Cblock);
         T0 = v6;
        }
        T1 = CONS(ECL_SYM("END-OF-FILE",329),T0);
        T2 = ecl_list1(T1);
        T3 = CONS(T2,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T3); /*  *HANDLER-CLUSTERS* */
        T0 = ecl_function_dispatch(cl_env_copy,VV[294])(1, v2uiop_os__s) /*  READ-LITTLE-ENDIAN */;
        if (!(ecl_number_equalp(T0,ecl_symbol_value(VV[291])))) { goto L10; }
        {
         cl_object v6uiop_os__header;
         {
          cl_fixnum v7;
          v7 = ecl_length(ecl_symbol_value(VV[292]));
          v6uiop_os__header = si_make_pure_array(ECL_T, ecl_make_fixnum(v7), ECL_NIL, ECL_NIL, ECL_NIL, ecl_make_fixnum(0));
         }
         cl_read_sequence(2, v6uiop_os__header, v2uiop_os__s);
         if (!(ecl_equalp(v6uiop_os__header,ecl_symbol_value(VV[292])))) { goto L10; }
        }
        {
         cl_object v6uiop_os__flags;
         v6uiop_os__flags = ecl_function_dispatch(cl_env_copy,VV[294])(1, v2uiop_os__s) /*  READ-LITTLE-ENDIAN */;
         cl_file_position(2, v2uiop_os__s, ecl_make_fixnum(76));
         if (Null(cl_logbitp(ecl_make_fixnum(0), v6uiop_os__flags))) { goto L17; }
         {
          cl_object v7length;
          v7length = ecl_function_dispatch(cl_env_copy,VV[294])(2, v2uiop_os__s, ecl_make_fixnum(2)) /*  READ-LITTLE-ENDIAN */;
          T0 = cl_file_position(1, v2uiop_os__s);
          T1 = ecl_plus(v7length,T0);
          cl_file_position(2, v2uiop_os__s, T1);
         }
L17:;
         if (Null(cl_logbitp(ecl_make_fixnum(1), v6uiop_os__flags))) { goto L20; }
         cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,VV[295])(1, v2uiop_os__s) /*  PARSE-FILE-LOCATION-INFO */;
         ecl_frs_pop(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
         goto L6;
L20:;
         if (Null(cl_logbitp(ecl_make_fixnum(2), v6uiop_os__flags))) { goto L22; }
         {
          cl_object v7length;
          v7length = ecl_function_dispatch(cl_env_copy,VV[294])(2, v2uiop_os__s, ecl_make_fixnum(2)) /*  READ-LITTLE-ENDIAN */;
          T0 = cl_file_position(1, v2uiop_os__s);
          T1 = ecl_plus(v7length,T0);
          cl_file_position(2, v2uiop_os__s, T1);
         }
L22:;
         if (Null(cl_logbitp(ecl_make_fixnum(3), v6uiop_os__flags))) { goto L25; }
         {
          cl_object v7length;
          cl_object v8uiop_os__buffer;
          v7length = ecl_function_dispatch(cl_env_copy,VV[294])(2, v2uiop_os__s, ecl_make_fixnum(2)) /*  READ-LITTLE-ENDIAN */;
          v8uiop_os__buffer = si_make_pure_array(ECL_T, v7length, ECL_NIL, ECL_NIL, ECL_NIL, ecl_make_fixnum(0));
          cl_read_sequence(2, v8uiop_os__buffer, v2uiop_os__s);
          T0 = (ECL_SYM("CODE-CHAR",230)->symbol.gfdef);
          cl_env_copy->values[0] = cl_map(3, ECL_SYM("STRING",805), T0, v8uiop_os__buffer);
          ecl_frs_pop(cl_env_copy);
          ecl_bds_unwind1(cl_env_copy);
          goto L6;
         }
L25:;
         cl_env_copy->values[0] = ECL_NIL;
         cl_env_copy->nvalues = 1;
         ecl_frs_pop(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
         goto L6;
        }
L10:;
        cl_env_copy->values[0] = ECL_NIL;
        cl_env_copy->nvalues = 1;
        ecl_frs_pop(cl_env_copy);
        ecl_bds_unwind1(cl_env_copy);
        goto L6;
L7:;
        cl_env_copy->values[0] = ECL_NIL;
        cl_env_copy->nvalues = 1;
        ecl_frs_pop(cl_env_copy);
        goto L6;
       }
      }
L6:;
      ecl_stack_frame_push_values(v5);
      if (Null(v2uiop_os__s)) { goto L32; }
      cl_close(1, v2uiop_os__s);
L32:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v5);
     }
     ecl_stack_frame_close(_ecl_inner_frame);
    }
      next_fr = NULL;
    }
    ecl_frs_pop(cl_env_copy);
    v4=ecl_stack_push_values(cl_env_copy);
    if (Null(v2uiop_os__s)) { goto L34; }
    cl_close(3, v2uiop_os__s, ECL_SYM("ABORT",1205), ECL_T);
L34:;
    ecl_stack_pop_values(cl_env_copy,v4);
    if (unwinding) ecl_unwind(cl_env_copy,next_fr);
    ECL_STACK_SET_INDEX(cl_env_copy,v3);
    return cl_env_copy->values[0];
   }
  }
 }
}
/*      closure G1586                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC171__g1586(cl_narg narg, cl_object v1si__temp, ...)
{
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  TAGBODY         */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV0) = v1si__temp;
  cl_go(ECL_CONS_CAR(CLV1),ecl_make_fixnum(0));
 }
 }
}
/*      function definition for NORMALIZE-PATHNAME-DIRECTORY-COMPONENT */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L173normalize_pathname_directory_component(cl_object v1directory)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_STRINGP(v1directory))) { goto L1; }
  value0 = cl_list(2, ECL_SYM("ABSOLUTE",1206), v1directory);
  return value0;
L1:;
  if (v1directory==ECL_NIL) { goto L5; }
  if (!(ECL_CONSP(v1directory))) { goto L3; }
  {
   cl_object v2;
   v2 = ecl_car(v1directory);
   if (!(ecl_eql(v2,ECL_SYM("ABSOLUTE",1206)))) { goto L12; }
   goto L9;
   goto L10;
L12:;
   goto L10;
L10:;
   if (!(ecl_eql(v2,ECL_SYM("RELATIVE",1311)))) { goto L3; }
   goto L4;
L9:;
   goto L4;
  }
L5:;
L4:;
  value0 = v1directory;
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  value0 = cl_error(2, VV[301], v1directory);
  return value0;
 }
}
/*      function definition for DENORMALIZE-PATHNAME-DIRECTORY-COMPONENT */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L174denormalize_pathname_directory_component(cl_object v1uiop_pathname__directory_component)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = v1uiop_pathname__directory_component;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MERGE-PATHNAME-DIRECTORY-COMPONENTS   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L175merge_pathname_directory_components(cl_object v1uiop_pathname__specified, cl_object v2uiop_pathname__defaults)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3directory;
   v3directory = ecl_function_dispatch(cl_env_copy,VV[298])(1, v1uiop_pathname__specified) /*  NORMALIZE-PATHNAME-DIRECTORY-COMPONENT */;
   {
    cl_object v4;
    v4 = ecl_car(v3directory);
    if (!((v4)==(ECL_NIL))) { goto L3; }
    value0 = v2uiop_pathname__defaults;
    cl_env_copy->nvalues = 1;
    return value0;
L3:;
    if (!(ecl_eql(v4,ECL_SYM("ABSOLUTE",1206)))) { goto L6; }
    value0 = v1uiop_pathname__specified;
    cl_env_copy->nvalues = 1;
    return value0;
L6:;
    if (!(ecl_eql(v4,ECL_SYM("RELATIVE",1311)))) { goto L8; }
    {
     cl_object v5;
     cl_object v6;
     cl_object v7uiop_pathname__reldir;
     v5 = ecl_function_dispatch(cl_env_copy,VV[298])(1, v2uiop_pathname__defaults) /*  NORMALIZE-PATHNAME-DIRECTORY-COMPONENT */;
     v6 = ecl_cdr(v3directory);
     v7uiop_pathname__reldir = v6;
     if (!(v5==ECL_NIL)) { goto L13; }
     value0 = v3directory;
     cl_env_copy->nvalues = 1;
     return value0;
L13:;
     T0 = ecl_car(v7uiop_pathname__reldir);
     if ((ECL_SYM("BACK",1210))==(T0)) { goto L15; }
     value0 = ecl_append(v5,v7uiop_pathname__reldir);
     cl_env_copy->nvalues = 1;
     return value0;
L15:;
     {
      cl_object v8uiop_pathname__defabs;
      v8uiop_pathname__defabs = ecl_car(v5);
      {
       cl_object v9uiop_pathname__defrev;
       T0 = ecl_cdr(v5);
       v9uiop_pathname__defrev = cl_reverse(T0);
L19:;
       T0 = ecl_car(v7uiop_pathname__reldir);
       if (!((ECL_SYM("BACK",1210))==(T0))) { goto L24; }
       if (!((ECL_SYM("ABSOLUTE",1206))==(v8uiop_pathname__defabs))) { goto L28; }
       if (v9uiop_pathname__defrev==ECL_NIL) { goto L21; }
       goto L26;
L28:;
       goto L26;
L26:;
       T0 = ecl_car(v9uiop_pathname__defrev);
       if (ECL_STRINGP(T0)) { goto L21; }
       goto L22;
L24:;
       goto L22;
L22:;
       goto L20;
L21:;
       {
        cl_object v10;
        v10 = v7uiop_pathname__reldir;
        {
         cl_object v11;
         v11 = v10;
         if (ecl_unlikely(!ECL_LISTP(v11))) FEtype_error_list(v11);
        }
        if (Null(v10)) { goto L36; }
        {
         cl_object v11;
         v11 = ECL_CONS_CDR(v10);
         v7uiop_pathname__reldir = v11;
         v10 = ECL_CONS_CAR(v10);
        }
L36:;
       }
       {
        cl_object v10;
        v10 = v9uiop_pathname__defrev;
        {
         cl_object v11;
         v11 = v10;
         if (ecl_unlikely(!ECL_LISTP(v11))) FEtype_error_list(v11);
        }
        if (Null(v10)) { goto L46; }
        {
         cl_object v11;
         v11 = ECL_CONS_CDR(v10);
         v9uiop_pathname__defrev = v11;
         v10 = ECL_CONS_CAR(v10);
        }
L46:;
       }
       goto L19;
L20:;
       T0 = cl_reverse(v9uiop_pathname__defrev);
       T1 = ecl_append(T0,v7uiop_pathname__reldir);
       value0 = CONS(v8uiop_pathname__defabs,T1);
       cl_env_copy->nvalues = 1;
       return value0;
      }
     }
    }
L8:;
    value0 = si_ecase_error(v4, VV[305]);
    return value0;
   }
  }
 }
}
/*      function definition for MAKE-PATHNAME*                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L176make_pathname_(cl_narg narg, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1uiop_pathname__keys;
  cl_object v2directory;
  cl_object v3uiop_pathname__host;
  cl_object v4uiop_pathname__device;
  cl_object v5uiop_pathname__name;
  cl_object v6type;
  cl_object v7uiop_pathname__version;
  cl_object v8uiop_pathname__defaults;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[14];
   cl_parse_key(args,7,L176make_pathname_keys,keyvars,(cl_object*)&v1uiop_pathname__keys,FALSE);
   ecl_va_end(args);
   v2directory = keyvars[0];
   v3uiop_pathname__host = keyvars[1];
   v4uiop_pathname__device = keyvars[2];
   v5uiop_pathname__name = keyvars[3];
   v6type = keyvars[4];
   v7uiop_pathname__version = keyvars[5];
   v8uiop_pathname__defaults = keyvars[6];
  }
  value0 = cl_apply(2, ECL_SYM("MAKE-PATHNAME",531), v1uiop_pathname__keys);
  return value0;
 }
}
/*      function definition for MAKE-PATHNAME-COMPONENT-LOGICAL       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L177make_pathname_component_logical(cl_object v1uiop_pathname__x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(cl_typep(2, v1uiop_pathname__x, VV[309]))) { goto L1; }
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  value0 = v1uiop_pathname__x;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MAKE-PATHNAME-LOGICAL                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L178make_pathname_logical(cl_object v1pathname, cl_object v2uiop_pathname__host)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_pathname_directory(1, v1pathname);
  T1 = ecl_function_dispatch(cl_env_copy,VV[308])(1, T0) /*  MAKE-PATHNAME-COMPONENT-LOGICAL */;
  T2 = cl_pathname_name(1, v1pathname);
  T3 = ecl_function_dispatch(cl_env_copy,VV[308])(1, T2) /*  MAKE-PATHNAME-COMPONENT-LOGICAL */;
  T4 = cl_pathname_type(1, v1pathname);
  T5 = ecl_function_dispatch(cl_env_copy,VV[308])(1, T4) /*  MAKE-PATHNAME-COMPONENT-LOGICAL */;
  T6 = cl_pathname_version(v1pathname);
  T7 = ecl_function_dispatch(cl_env_copy,VV[308])(1, T6) /*  MAKE-PATHNAME-COMPONENT-LOGICAL */;
  value0 = cl_make_pathname(10, ECL_SYM("HOST",1253), v2uiop_pathname__host, ECL_SYM("DIRECTORY",1229), T1, ECL_SYM("NAME",1285), T3, ECL_SYM("TYPE",1330), T5, ECL_SYM("VERSION",1338), T7);
  return value0;
 }
}
/*      function definition for MERGE-PATHNAMES*                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L180merge_pathnames_(cl_narg narg, cl_object v1uiop_pathname__specified, ...)
{
 cl_object T0, T1, T2, T3, T4;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_pathname__defaults;
  va_list args; va_start(args,v1uiop_pathname__specified);
  {
   int i = 1;
   if (i >= narg) {
    v2uiop_pathname__defaults = ecl_symbol_value(ECL_SYM("*DEFAULT-PATHNAME-DEFAULTS*",32));
   } else {
    i++;
    v2uiop_pathname__defaults = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (!(v1uiop_pathname__specified==ECL_NIL)) { goto L2; }
  value0 = v2uiop_pathname__defaults;
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  if (!(v2uiop_pathname__defaults==ECL_NIL)) { goto L4; }
  value0 = v1uiop_pathname__specified;
  cl_env_copy->nvalues = 1;
  return value0;
L4:;
  {
   cl_object v3uiop_pathname__specified;
   cl_object v4uiop_pathname__defaults;
   cl_object v5directory;
   cl_object v6uiop_pathname__name;
   cl_object v7type;
   cl_object v8uiop_pathname__version;
   v3uiop_pathname__specified = cl_pathname(v1uiop_pathname__specified);
   v4uiop_pathname__defaults = cl_pathname(v2uiop_pathname__defaults);
   T0 = cl_pathname_directory(1, v3uiop_pathname__specified);
   v5directory = ecl_function_dispatch(cl_env_copy,VV[298])(1, T0) /*  NORMALIZE-PATHNAME-DIRECTORY-COMPONENT */;
   value0 = cl_pathname_name(1, v3uiop_pathname__specified);
   if ((value0)!=ECL_NIL) { goto L11; }
   v6uiop_pathname__name = cl_pathname_name(1, v4uiop_pathname__defaults);
   goto L9;
L11:;
   v6uiop_pathname__name = value0;
   goto L9;
L9:;
   value0 = cl_pathname_type(1, v3uiop_pathname__specified);
   if ((value0)!=ECL_NIL) { goto L15; }
   v7type = cl_pathname_type(1, v4uiop_pathname__defaults);
   goto L13;
L15:;
   v7type = value0;
   goto L13;
L13:;
   value0 = cl_pathname_version(v3uiop_pathname__specified);
   if ((value0)!=ECL_NIL) { goto L19; }
   v8uiop_pathname__version = cl_pathname_version(v4uiop_pathname__defaults);
   goto L17;
L19:;
   v8uiop_pathname__version = value0;
   goto L17;
L17:;
   {
    cl_object v10;                                /*  HOST            */
    cl_object v11;                                /*  DEVICE          */
    cl_object v12;                                /*  DIRECTORY       */
    cl_object v13;                                /*  UNSPECIFIC-HANDLER */
    {
     cl_object v14;
     v14 = ecl_car(v5directory);
     if (!(ecl_eql(v14,ECL_SYM("ABSOLUTE",1206)))) { goto L23; }
     T0 = cl_pathname_host(1, v3uiop_pathname__specified);
     T1 = cl_pathname_device(1, v3uiop_pathname__specified);
     T2 = LC179unspecific_handler(v3uiop_pathname__specified);
     cl_env_copy->nvalues = 4;
     cl_env_copy->values[3] = T2;
     cl_env_copy->values[2] = v5directory;
     cl_env_copy->values[1] = T1;
     cl_env_copy->values[0] = T0;
     value0 = cl_env_copy->values[0];
     goto L21;
L23:;
     if (!((v14)==(ECL_NIL))) { goto L32; }
     goto L29;
     goto L30;
L32:;
     goto L30;
L30:;
     if (!(ecl_eql(v14,ECL_SYM("RELATIVE",1311)))) { goto L27; }
     goto L28;
L29:;
L28:;
     T0 = cl_pathname_host(1, v4uiop_pathname__defaults);
     T1 = cl_pathname_device(1, v4uiop_pathname__defaults);
     T2 = cl_pathname_directory(1, v4uiop_pathname__defaults);
     T3 = ecl_function_dispatch(cl_env_copy,VV[303])(2, v5directory, T2) /*  MERGE-PATHNAME-DIRECTORY-COMPONENTS */;
     T4 = LC179unspecific_handler(v4uiop_pathname__defaults);
     cl_env_copy->nvalues = 4;
     cl_env_copy->values[3] = T4;
     cl_env_copy->values[2] = T3;
     cl_env_copy->values[1] = T1;
     cl_env_copy->values[0] = T0;
     value0 = cl_env_copy->values[0];
     goto L21;
L27:;
     value0 = si_ecase_error(v14, VV[314]);
    }
L21:;
    v10 = value0;
    {
     const int v14 = cl_env_copy->nvalues;
     cl_object v15;
     v15 = (v14<=1)? ECL_NIL : cl_env_copy->values[1];
     v11 = v15;
     v15 = (v14<=2)? ECL_NIL : cl_env_copy->values[2];
     v12 = v15;
     v15 = (v14<=3)? ECL_NIL : cl_env_copy->values[3];
     v13 = v15;
    }
    T0 = ecl_function_dispatch(cl_env_copy,v13)(1, v6uiop_pathname__name);
    T1 = ecl_function_dispatch(cl_env_copy,v13)(1, v7type);
    T2 = ecl_function_dispatch(cl_env_copy,v13)(1, v8uiop_pathname__version);
    value0 = cl_make_pathname(12, ECL_SYM("HOST",1253), v10, ECL_SYM("DEVICE",1227), v11, ECL_SYM("DIRECTORY",1229), v12, ECL_SYM("NAME",1285), T0, ECL_SYM("TYPE",1330), T1, ECL_SYM("VERSION",1338), T2);
    return value0;
   }
  }
 }
}
/*      function definition for LOGICAL-PATHNAME-P                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L181logical_pathname_p(cl_object v1uiop_pathname__x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = si_logical_pathname_p(v1uiop_pathname__x);
  return value0;
 }
}
/*      function definition for PHYSICAL-PATHNAME-P                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L182physical_pathname_p(cl_object v1uiop_pathname__x)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(cl_pathnamep(v1uiop_pathname__x))) { goto L2; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[315])(1, v1uiop_pathname__x) /*  LOGICAL-PATHNAME-P */;
  value0 = Null(T0)?ECL_T:ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for PHYSICALIZE-PATHNAME                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L183physicalize_pathname(cl_object v1uiop_pathname__x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2uiop_pathname__p;
   if (Null(v1uiop_pathname__x)) { goto L2; }
   v2uiop_pathname__p = cl_pathname(v1uiop_pathname__x);
   goto L1;
L2:;
   v2uiop_pathname__p = ECL_NIL;
L1:;
   if (Null(ecl_function_dispatch(cl_env_copy,VV[315])(1, v2uiop_pathname__p) /*  LOGICAL-PATHNAME-P */)) { goto L4; }
   value0 = cl_translate_logical_pathname(1, v2uiop_pathname__p);
   return value0;
L4:;
   value0 = v2uiop_pathname__p;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for NIL-PATHNAME                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L184nil_pathname(cl_narg narg, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object v1uiop_pathname__defaults;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    v1uiop_pathname__defaults = ecl_symbol_value(ECL_SYM("*DEFAULT-PATHNAME-DEFAULTS*",32));
   } else {
    i++;
    v1uiop_pathname__defaults = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = cl_make_pathname(14, ECL_SYM("DIRECTORY",1229), ECL_NIL, ECL_SYM("NAME",1285), ECL_NIL, ECL_SYM("TYPE",1330), ECL_NIL, ECL_SYM("VERSION",1338), ECL_NIL, ECL_SYM("DEVICE",1227), ECL_NIL, ECL_SYM("HOST",1253), ECL_NIL, ECL_SYM("DEFAULTS",1226), v1uiop_pathname__defaults);
  return value0;
 }
}
/*      local function WITH-PATHNAME-DEFAULTS                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC185with_pathname_defaults(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   cl_object v5;
   cl_object v6uiop_pathname__defaults;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v7;
   }
   v5 = v4;
   if (Null(v5)) { goto L10; }
   {
    cl_object v7;
    v7 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v6uiop_pathname__defaults = v7;
    goto L9;
   }
L10:;
   v6uiop_pathname__defaults = ECL_NIL;
L9:;
   if (Null(v5)) { goto L15; }
   si_dm_too_many_arguments(v1);
L15:;
   value0 = v6uiop_pathname__defaults;
   if ((value0)!=ECL_NIL) { goto L19; }
   T0 = VV[319];
   goto L17;
L19:;
   T0 = value0;
   goto L17;
L17:;
   T1 = cl_list(2, ECL_SYM("*DEFAULT-PATHNAME-DEFAULTS*",32), T0);
   T2 = ecl_list1(T1);
   value0 = cl_listX(3, ECL_SYM("LET",477), T2, v3);
   return value0;
  }
 }
}
/*      local function UNSPECIFIC-HANDLER                             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC179unspecific_handler(cl_object v1uiop_pathname__p)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(si_logical_pathname_p(v1uiop_pathname__p))) { goto L1; }
  value0 = ecl_fdefinition(VV[308]);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  value0 = (ECL_SYM("IDENTITY",426)->symbol.gfdef);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for PATHNAME-EQUAL                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L187pathname_equal(cl_object v1uiop_pathname__p1, cl_object v2uiop_pathname__p2)
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_STRINGP(v1uiop_pathname__p1))) { goto L1; }
  v1uiop_pathname__p1 = cl_pathname(v1uiop_pathname__p1);
L1:;
  if (!(ECL_STRINGP(v2uiop_pathname__p2))) { goto L4; }
  v2uiop_pathname__p2 = cl_pathname(v2uiop_pathname__p2);
L4:;
  if (!(v1uiop_pathname__p1==ECL_NIL)) { goto L11; }
  value0 = ecl_make_bool(v2uiop_pathname__p2==ECL_NIL);
  goto L9;
L11:;
  value0 = ECL_NIL;
  goto L9;
L9:;
  if ((value0)!=ECL_NIL) { goto L8; }
  if (Null(cl_pathnamep(v1uiop_pathname__p1))) { goto L14; }
  if (Null(cl_pathnamep(v2uiop_pathname__p2))) { goto L14; }
  T1 = cl_pathname_host(1, v1uiop_pathname__p1);
  T0 = LC186normalize_component(T1);
  T2 = cl_pathname_host(1, v2uiop_pathname__p2);
  T1 = LC186normalize_component(T2);
  if (!(ecl_equal(T0,T1))) { goto L18; }
  T1 = cl_pathname_device(1, v1uiop_pathname__p1);
  T0 = LC186normalize_component(T1);
  T2 = cl_pathname_device(1, v2uiop_pathname__p2);
  T1 = LC186normalize_component(T2);
  if (!(ecl_equal(T0,T1))) { goto L18; }
  T1 = cl_pathname_directory(1, v1uiop_pathname__p1);
  T2 = ecl_function_dispatch(cl_env_copy,VV[298])(1, T1) /*  NORMALIZE-PATHNAME-DIRECTORY-COMPONENT */;
  T0 = LC186normalize_component(T2);
  T2 = cl_pathname_directory(1, v2uiop_pathname__p2);
  T3 = ecl_function_dispatch(cl_env_copy,VV[298])(1, T2) /*  NORMALIZE-PATHNAME-DIRECTORY-COMPONENT */;
  T1 = LC186normalize_component(T3);
  if (!(ecl_equal(T0,T1))) { goto L18; }
  T1 = cl_pathname_name(1, v1uiop_pathname__p1);
  T0 = LC186normalize_component(T1);
  T2 = cl_pathname_name(1, v2uiop_pathname__p2);
  T1 = LC186normalize_component(T2);
  if (!(ecl_equal(T0,T1))) { goto L18; }
  T1 = cl_pathname_type(1, v1uiop_pathname__p1);
  T0 = LC186normalize_component(T1);
  T2 = cl_pathname_type(1, v2uiop_pathname__p2);
  T1 = LC186normalize_component(T2);
  if (!(ecl_equal(T0,T1))) { goto L18; }
  T1 = cl_pathname_version(v1uiop_pathname__p1);
  T0 = LC186normalize_component(T1);
  T2 = cl_pathname_version(v2uiop_pathname__p2);
  T1 = LC186normalize_component(T2);
  value0 = ecl_make_bool(ecl_equal(T0,T1));
  cl_env_copy->nvalues = 1;
  return value0;
L18:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L14:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L8:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for ABSOLUTE-PATHNAME-P                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L188absolute_pathname_p(cl_object v1uiop_pathname__pathspec)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(v1uiop_pathname__pathspec)) { goto L2; }
  if (v1uiop_pathname__pathspec==ECL_NIL) { goto L5; }
  if ((cl_pathnamep(v1uiop_pathname__pathspec))!=ECL_NIL) { goto L5; }
  if (!(ECL_STRINGP(v1uiop_pathname__pathspec))) { goto L2; }
  goto L4;
L5:;
L4:;
  {
   cl_object v2pathname;
   v2pathname = cl_pathname(v1uiop_pathname__pathspec);
   T0 = cl_pathname_directory(1, v2pathname);
   T1 = ecl_function_dispatch(cl_env_copy,VV[298])(1, T0) /*  NORMALIZE-PATHNAME-DIRECTORY-COMPONENT */;
   T2 = ecl_car(T1);
   if (!((ECL_SYM("ABSOLUTE",1206))==(T2))) { goto L10; }
   value0 = v2pathname;
   cl_env_copy->nvalues = 1;
   return value0;
L10:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for RELATIVE-PATHNAME-P                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L189relative_pathname_p(cl_object v1uiop_pathname__pathspec)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(v1uiop_pathname__pathspec)) { goto L2; }
  if (v1uiop_pathname__pathspec==ECL_NIL) { goto L5; }
  if ((cl_pathnamep(v1uiop_pathname__pathspec))!=ECL_NIL) { goto L5; }
  if (!(ECL_STRINGP(v1uiop_pathname__pathspec))) { goto L2; }
  goto L4;
L5:;
L4:;
  {
   cl_object v2pathname;
   cl_object v3directory;
   v2pathname = cl_pathname(v1uiop_pathname__pathspec);
   T0 = cl_pathname_directory(1, v2pathname);
   v3directory = ecl_function_dispatch(cl_env_copy,VV[298])(1, T0) /*  NORMALIZE-PATHNAME-DIRECTORY-COMPONENT */;
   if (v3directory==ECL_NIL) { goto L12; }
   T0 = ecl_car(v3directory);
   if (!((ECL_SYM("RELATIVE",1311))==(T0))) { goto L10; }
   goto L11;
L12:;
L11:;
   value0 = v2pathname;
   cl_env_copy->nvalues = 1;
   return value0;
L10:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for HIDDEN-PATHNAME-P                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L190hidden_pathname_p(cl_object v1pathname)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(v1pathname)) { goto L2; }
  T0 = cl_pathname_name(1, v1pathname);
  T1 = ecl_function_dispatch(cl_env_copy,VV[177])(1, T0) /*  FIRST-CHAR */;
  value0 = ecl_make_bool(ecl_equal(T1,CODE_CHAR(46)));
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for FILE-PATHNAME-P                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L191file_pathname_p(cl_object v1pathname)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(v1pathname)) { goto L1; }
  {
   cl_object v2pathname;
   v2pathname = cl_pathname(v1pathname);
   {
    cl_object v3;
    v3 = cl_pathname_name(1, v2pathname);
    if (Null(ecl_function_dispatch(cl_env_copy,ECL_SYM("EQUAL",335))(2, v3, ECL_NIL))) { goto L13; }
    goto L10;
    goto L11;
L13:;
    goto L11;
L11:;
    if (Null(ecl_function_dispatch(cl_env_copy,ECL_SYM("EQUAL",335))(2, v3, ECL_SYM("UNSPECIFIC",1331)))) { goto L17; }
    goto L10;
    goto L15;
L17:;
    goto L15;
L15:;
    if (Null(ecl_function_dispatch(cl_env_copy,ECL_SYM("EQUAL",335))(2, v3, VV[56]))) { goto L7; }
    goto L8;
L10:;
   }
L8:;
   {
    cl_object v3;
    v3 = cl_pathname_type(1, v2pathname);
    if (Null(ecl_function_dispatch(cl_env_copy,ECL_SYM("EQUAL",335))(2, v3, ECL_NIL))) { goto L23; }
    goto L4;
    goto L21;
L23:;
    goto L21;
L21:;
    if (Null(ecl_function_dispatch(cl_env_copy,ECL_SYM("EQUAL",335))(2, v3, ECL_SYM("UNSPECIFIC",1331)))) { goto L27; }
    goto L4;
    goto L25;
L27:;
    goto L25;
L25:;
    if (Null(ecl_function_dispatch(cl_env_copy,ECL_SYM("EQUAL",335))(2, v3, VV[56]))) { goto L30; }
    goto L4;
    goto L5;
L30:;
    goto L5;
   }
L7:;
   goto L5;
L5:;
   value0 = v2pathname;
   cl_env_copy->nvalues = 1;
   return value0;
L4:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function NORMALIZE-COMPONENT                            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC186normalize_component(cl_object v1uiop_pathname__x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_function_dispatch(cl_env_copy,ECL_SYM("EQUAL",335))(2, v1uiop_pathname__x, ECL_NIL))) { goto L5; }
  goto L1;
  goto L3;
L5:;
  goto L3;
L3:;
  if (Null(ecl_function_dispatch(cl_env_copy,ECL_SYM("EQUAL",335))(2, v1uiop_pathname__x, ECL_SYM("UNSPECIFIC",1331)))) { goto L9; }
  goto L1;
  goto L7;
L9:;
  goto L7;
L7:;
  if (Null(ecl_function_dispatch(cl_env_copy,ECL_SYM("EQUAL",335))(2, v1uiop_pathname__x, ECL_SYM("NEWEST",1288)))) { goto L13; }
  goto L1;
  goto L11;
L13:;
  goto L11;
L11:;
  if (Null(ecl_function_dispatch(cl_env_copy,ECL_SYM("EQUAL",335))(2, v1uiop_pathname__x, VV[300]))) { goto L16; }
  goto L1;
  goto L2;
L16:;
  goto L2;
L2:;
  value0 = v1uiop_pathname__x;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for PATHNAME-DIRECTORY-PATHNAME           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L192pathname_directory_pathname(cl_object v1pathname)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(v1pathname)) { goto L1; }
  value0 = cl_make_pathname(8, ECL_SYM("NAME",1285), ECL_NIL, ECL_SYM("TYPE",1330), ECL_NIL, ECL_SYM("VERSION",1338), ECL_NIL, ECL_SYM("DEFAULTS",1226), v1pathname);
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for PATHNAME-PARENT-DIRECTORY-PATHNAME    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L193pathname_parent_directory_pathname(cl_object v1pathname)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(v1pathname)) { goto L1; }
  T0 = cl_pathname_directory(1, v1pathname);
  T1 = ecl_function_dispatch(cl_env_copy,VV[303])(2, VV[335], T0) /*  MERGE-PATHNAME-DIRECTORY-COMPONENTS */;
  value0 = cl_make_pathname(10, ECL_SYM("NAME",1285), ECL_NIL, ECL_SYM("TYPE",1330), ECL_NIL, ECL_SYM("VERSION",1338), ECL_NIL, ECL_SYM("DIRECTORY",1229), T1, ECL_SYM("DEFAULTS",1226), v1pathname);
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for DIRECTORY-PATHNAME-P                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L195directory_pathname_p(cl_object v1pathname)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(v1pathname)) { goto L1; }
  {
   cl_object v2pathname;
   v2pathname = cl_pathname(v1pathname);
   if ((cl_wild_pathname_p(1, v2pathname))!=ECL_NIL) { goto L5; }
   T0 = cl_pathname_name(1, v2pathname);
   if (Null(LC194check_one(T0))) { goto L5; }
   T0 = cl_pathname_type(1, v2pathname);
   if (Null(LC194check_one(T0))) { goto L5; }
   value0 = ECL_T;
   cl_env_copy->nvalues = 1;
   return value0;
L5:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for ENSURE-DIRECTORY-PATHNAME             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L197ensure_directory_pathname(volatile cl_narg narg, cl_object volatile v1uiop_pathname__pathspec, ...)
{
 cl_object T0, T1, T2, T3;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v2uiop_pathname__on_error;
  va_list args; va_start(args,v1uiop_pathname__pathspec);
  {
   int i = 1;
   if (i >= narg) {
    v2uiop_pathname__on_error = ECL_SYM("ERROR",337);
   } else {
    i++;
    v2uiop_pathname__on_error = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (!(ECL_STRINGP(v1uiop_pathname__pathspec))) { goto L2; }
  T0 = cl_pathname(v1uiop_pathname__pathspec);
  value0 = ecl_function_dispatch(cl_env_copy,VV[339])(1, T0) /*  ENSURE-DIRECTORY-PATHNAME */;
  return value0;
L2:;
  if ((cl_pathnamep(v1uiop_pathname__pathspec))!=ECL_NIL) { goto L4; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[212])(3, v2uiop_pathname__on_error, VV[340], v1uiop_pathname__pathspec) /*  CALL-FUNCTION */;
  return value0;
L4:;
  if (Null(cl_wild_pathname_p(1, v1uiop_pathname__pathspec))) { goto L6; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[212])(3, v2uiop_pathname__on_error, VV[341], v1uiop_pathname__pathspec) /*  CALL-FUNCTION */;
  return value0;
L6:;
  if (Null(ecl_function_dispatch(cl_env_copy,VV[336])(1, v1uiop_pathname__pathspec) /*  DIRECTORY-PATHNAME-P */)) { goto L8; }
  value0 = v1uiop_pathname__pathspec;
  cl_env_copy->nvalues = 1;
  return value0;
L8:;
  {
   volatile cl_object env1 = env0;
   env1 = ECL_NIL;
   CLV0 = env1 = CONS(ECL_NIL,env1);
   CLV1 = env1 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env1); /*  TAGBODY */
   if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
   if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L10;
   ecl_internal_error("GO found an inexistent tag");
   }
   {
    cl_object v3;
    v3 = ecl_make_cclosure_va((cl_objectfn)LC196__g1653,env1,Cblock);
    T0 = v3;
   }
   T1 = CONS(ECL_SYM("ERROR",337),T0);
   T2 = ecl_list1(T1);
   T3 = CONS(T2,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
   ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T3); /*  *HANDLER-CLUSTERS* */
   T1 = cl_pathname_directory(1, v1uiop_pathname__pathspec);
   value0 = ecl_function_dispatch(cl_env_copy,VV[298])(1, T1) /*  NORMALIZE-PATHNAME-DIRECTORY-COMPONENT */;
   if ((value0)!=ECL_NIL) { goto L15; }
   T0 = ecl_list1(ECL_SYM("RELATIVE",1311));
   goto L13;
L15:;
   T0 = value0;
   goto L13;
L13:;
   T1 = cl_file_namestring(v1uiop_pathname__pathspec);
   T2 = ecl_list1(T1);
   T3 = ecl_append(T0,T2);
   value0 = cl_make_pathname(10, ECL_SYM("DIRECTORY",1229), T3, ECL_SYM("NAME",1285), ECL_NIL, ECL_SYM("TYPE",1330), ECL_NIL, ECL_SYM("VERSION",1338), ECL_NIL, ECL_SYM("DEFAULTS",1226), v1uiop_pathname__pathspec);
   ecl_frs_pop(cl_env_copy);
   ecl_bds_unwind1(cl_env_copy);
   return value0;
L10:;
   {
    cl_object v3uiop_pathname__c;
    v3uiop_pathname__c = ECL_CONS_CAR(CLV0);
    value0 = ecl_function_dispatch(cl_env_copy,VV[212])(4, v2uiop_pathname__on_error, VV[342], v1uiop_pathname__pathspec, v3uiop_pathname__c) /*  CALL-FUNCTION */;
    ecl_frs_pop(cl_env_copy);
    return value0;
   }
  }
 }
}
/*      local function CHECK-ONE                                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC194check_one(cl_object v1uiop_pathname__x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_function_dispatch(cl_env_copy,ECL_SYM("EQUAL",335))(2, v1uiop_pathname__x, ECL_NIL))) { goto L5; }
  value0 = VV[337];
  goto L3;
L5:;
  value0 = ECL_NIL;
  goto L3;
L3:;
  if ((value0)!=ECL_NIL) { goto L2; }
  if (Null(ecl_function_dispatch(cl_env_copy,ECL_SYM("EQUAL",335))(2, v1uiop_pathname__x, ECL_SYM("UNSPECIFIC",1331)))) { goto L8; }
  value0 = VV[338];
  cl_env_copy->nvalues = 1;
  return value0;
L8:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      closure G1653                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC196__g1653(cl_narg narg, cl_object v1si__temp, ...)
{
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  TAGBODY         */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV0) = v1si__temp;
  cl_go(ECL_CONS_CAR(CLV1),ecl_make_fixnum(0));
 }
 }
}
/*      function definition for SPLIT-UNIX-NAMESTRING-DIRECTORY-COMPONENTS */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L199split_unix_namestring_directory_components(cl_narg narg, cl_object v1unix_namestring, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_pathname__ensure_directory;
  cl_object v3uiop_pathname__dot_dot;
  ecl_va_list args; ecl_va_start(args,v1unix_namestring,narg,1);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,L199split_unix_namestring_directory_componentskeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v2uiop_pathname__ensure_directory = keyvars[0];
   v3uiop_pathname__dot_dot = keyvars[1];
  }
  {
   cl_object v4;
   v4 = v1unix_namestring;
   if (ECL_STRINGP(v4)) { goto L3; }
   v1unix_namestring = si_do_check_type(v4, ECL_SYM("STRING",805), ECL_NIL, VV[344]);
L3:;
  }
  {
   cl_object v4;
   v4 = v3uiop_pathname__dot_dot;
   if (!((v4)==(ECL_NIL))) { goto L12; }
   goto L8;
   goto L10;
L12:;
   goto L10;
L10:;
   if (!(ecl_eql(v4,ECL_SYM("BACK",1210)))) { goto L16; }
   goto L8;
   goto L14;
L16:;
   goto L14;
L14:;
   if (!(ecl_eql(v4,ECL_SYM("UP",1333)))) { goto L19; }
   goto L8;
   goto L9;
L19:;
   goto L9;
L9:;
   v3uiop_pathname__dot_dot = si_do_check_type(v4, VV[348], ECL_NIL, VV[349]);
L8:;
  }
  {
   cl_object v4;
   v4 = si_make_seq_iterator(2, v1unix_namestring, ecl_make_fixnum(0));
L26:;
   if ((v4)!=ECL_NIL) { goto L28; }
   goto L24;
L28:;
   {
    cl_object v5;
    v5 = si_seq_iterator_ref(v1unix_namestring, v4);
    if (!((ECL_CODE_CHAR((ecl_character)(47))==(v5)))) { goto L30; }
    if ((v5)!=ECL_NIL) { goto L22; }
    goto L24;
   }
L30:;
   v4 = si_seq_iterator_next(v1unix_namestring, v4);
   goto L26;
  }
L24:;
  if ((v2uiop_pathname__ensure_directory)!=ECL_NIL) { goto L22; }
  {
   cl_fixnum v4;
   v4 = ecl_length(v1unix_namestring);
   if (!((v4)>0)) { goto L22; }
  }
  cl_env_copy->nvalues = 4;
  cl_env_copy->values[3] = ECL_T;
  cl_env_copy->values[2] = v1unix_namestring;
  cl_env_copy->values[1] = ECL_NIL;
  cl_env_copy->values[0] = ECL_SYM("RELATIVE",1311);
  return cl_env_copy->values[0];
L22:;
  {
   cl_object v4uiop_pathname__components;
   cl_object v5uiop_pathname__last_comp;
   v4uiop_pathname__components = ecl_function_dispatch(cl_env_copy,VV[179])(3, v1unix_namestring, VV[227], VV[350]) /*  SPLIT-STRING */;
   T0 = ecl_last(v4uiop_pathname__components,1);
   v5uiop_pathname__last_comp = ecl_car(T0);
   {
    cl_object v7;                                 /*  RELATIVE        */
    cl_object v8;                                 /*  COMPONENTS      */
    T0 = ecl_car(v4uiop_pathname__components);
    if (!(ecl_equal(T0,VV[56]))) { goto L39; }
    T0 = ecl_function_dispatch(cl_env_copy,VV[177])(1, v1unix_namestring) /*  FIRST-CHAR */;
    if (!(ecl_equal(T0,CODE_CHAR(47)))) { goto L41; }
    T0 = ecl_cdr(v4uiop_pathname__components);
    cl_env_copy->nvalues = 2;
    cl_env_copy->values[1] = T0;
    cl_env_copy->values[0] = ECL_SYM("ABSOLUTE",1206);
    value0 = cl_env_copy->values[0];
    goto L38;
L41:;
    cl_env_copy->nvalues = 2;
    cl_env_copy->values[1] = ECL_NIL;
    cl_env_copy->values[0] = ECL_SYM("RELATIVE",1311);
    value0 = cl_env_copy->values[0];
    goto L38;
L39:;
    cl_env_copy->nvalues = 2;
    cl_env_copy->values[1] = v4uiop_pathname__components;
    cl_env_copy->values[0] = ECL_SYM("RELATIVE",1311);
    value0 = cl_env_copy->values[0];
L38:;
    v7 = value0;
    v8 = cl_env_copy->values[1];
    {
     cl_object v9;
     v9 = ecl_make_cfun((cl_objectfn_fixed)LC198__g1680,ECL_NIL,Cblock,1);
     T0 = v9;
    }
    v8 = cl_remove_if(2, T0, v8);
    value0 = v3uiop_pathname__dot_dot;
    if ((value0)!=ECL_NIL) { goto L50; }
    T0 = ECL_SYM("BACK",1210);
    goto L48;
L50:;
    T0 = value0;
    goto L48;
L48:;
    T1 = (ECL_SYM("EQUAL",335)->symbol.gfdef);
    v8 = cl_substitute(5, T0, VV[353], v8, ECL_SYM("TEST",1328), T1);
    if (!(ecl_equal(v5uiop_pathname__last_comp,VV[56]))) { goto L53; }
    cl_env_copy->nvalues = 4;
    cl_env_copy->values[3] = ECL_NIL;
    cl_env_copy->values[2] = ECL_NIL;
    cl_env_copy->values[1] = v8;
    cl_env_copy->values[0] = v7;
    return cl_env_copy->values[0];
L53:;
    if (Null(v2uiop_pathname__ensure_directory)) { goto L55; }
    cl_env_copy->nvalues = 4;
    cl_env_copy->values[3] = ECL_NIL;
    cl_env_copy->values[2] = ECL_NIL;
    cl_env_copy->values[1] = v8;
    cl_env_copy->values[0] = v7;
    return cl_env_copy->values[0];
L55:;
    T0 = ecl_butlast(v8,1);
    cl_env_copy->nvalues = 4;
    cl_env_copy->values[3] = ECL_NIL;
    cl_env_copy->values[2] = v5uiop_pathname__last_comp;
    cl_env_copy->values[1] = T0;
    cl_env_copy->values[0] = v7;
    return cl_env_copy->values[0];
   }
  }
 }
}
/*      function definition for SPLIT-NAME-TYPE                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L200split_name_type(cl_object v1uiop_pathname__filename)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = v1uiop_pathname__filename;
   if (ECL_STRINGP(v2)) { goto L3; }
   v1uiop_pathname__filename = si_do_check_type(v2, ECL_SYM("STRING",805), ECL_NIL, VV[355]);
L3:;
  }
  goto L8;
L7:;
  si_assert_failure(1, VV[356]);
L8:;
  {
   cl_fixnum v2;
   v2 = ecl_length(v1uiop_pathname__filename);
   if ((v2)>0) { goto L11; }
  }
  goto L7;
L11:;
  {
   cl_object v2;
   cl_object v3;
   cl_object v4uiop_pathname__name;
   cl_object v5type;
   v2 = ecl_function_dispatch(cl_env_copy,VV[179])(5, v1uiop_pathname__filename, VV[357], ecl_make_fixnum(2), VV[227], VV[228]) /*  SPLIT-STRING */;
   v3 = v2;
   if (!(v3==ECL_NIL)) { goto L16; }
   si_dm_too_few_arguments(v2);
L16:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4uiop_pathname__name = v6;
   }
   if (Null(v3)) { goto L22; }
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5type = v6;
    goto L21;
   }
L22:;
   v5type = ecl_symbol_value(VV[306]);
L21:;
   if (Null(v3)) { goto L27; }
   si_dm_too_many_arguments(v2);
L27:;
   if (!(ecl_equal(v4uiop_pathname__name,VV[56]))) { goto L29; }
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = ecl_symbol_value(VV[306]);
   cl_env_copy->values[0] = v1uiop_pathname__filename;
   return cl_env_copy->values[0];
L29:;
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = v5type;
   cl_env_copy->values[0] = v4uiop_pathname__name;
   return cl_env_copy->values[0];
  }
 }
}
/*      function definition for PARSE-UNIX-NAMESTRING                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L201parse_unix_namestring(cl_narg narg, cl_object v1uiop_pathname__name, ...)
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_pathname__keys;
  cl_object v3type;
  cl_object v4uiop_pathname__defaults;
  cl_object v5uiop_pathname__dot_dot;
  cl_object v6uiop_pathname__ensure_directory;
  ecl_va_list args; ecl_va_start(args,v1uiop_pathname__name,narg,1);
  {
   cl_object keyvars[8];
   cl_parse_key(args,4,L201parse_unix_namestringkeys,keyvars,(cl_object*)&v2uiop_pathname__keys,TRUE);
   ecl_va_end(args);
   v3type = keyvars[0];
   v4uiop_pathname__defaults = keyvars[1];
   v5uiop_pathname__dot_dot = keyvars[2];
   v6uiop_pathname__ensure_directory = keyvars[3];
  }
  {
   cl_object v7;
   v7 = v3type;
   if (v7==ECL_NIL) { goto L3; }
   if (ECL_STRINGP(v7)) { goto L3; }
   if ((cl_typep(2, v7, VV[359]))!=ECL_NIL) { goto L3; }
   v3type = si_do_check_type(v7, VV[360], ECL_NIL, ECL_SYM("TYPE",869));
L3:;
  }
  if (Null(v6uiop_pathname__ensure_directory)) { goto L8; }
  v3type = ECL_SYM("DIRECTORY",1229);
L8:;
  {
   cl_object v7;
   v7 = v1uiop_pathname__name;
   if (v7==ECL_NIL) { goto L15; }
   if (Null(cl_pathnamep(v7))) { goto L13; }
   goto L14;
L15:;
L14:;
   value0 = v1uiop_pathname__name;
   cl_env_copy->nvalues = 1;
   return value0;
L13:;
   if (!(ECL_SYMBOLP(v7))) { goto L17; }
   v1uiop_pathname__name = cl_string_downcase(1, v1uiop_pathname__name);
   goto L11;
L17:;
   if (ECL_STRINGP(v7)) { goto L11; }
   si_etypecase_error(v7, VV[361]);
  }
L11:;
  {
   cl_object v8;                                  /*  RELATIVE        */
   cl_object v9;                                  /*  PATH            */
   cl_object v10;                                 /*  FILENAME        */
   cl_object v11;                                 /*  FILE-ONLY       */
   {
    bool v12;
    v12 = (v3type)==(ECL_SYM("DIRECTORY",1229));
    value0 = ecl_function_dispatch(cl_env_copy,VV[343])(5, v1uiop_pathname__name, VV[362], v5uiop_pathname__dot_dot, VV[363], ecl_make_bool(v12)) /*  SPLIT-UNIX-NAMESTRING-DIRECTORY-COMPONENTS */;
   }
   v8 = value0;
   {
    const int v12 = cl_env_copy->nvalues;
    cl_object v13;
    v13 = (v12<=1)? ECL_NIL : cl_env_copy->values[1];
    v9 = v13;
    v13 = (v12<=2)? ECL_NIL : cl_env_copy->values[2];
    v10 = v13;
    v13 = (v12<=3)? ECL_NIL : cl_env_copy->values[3];
    v11 = v13;
   }
   {
    cl_object v13;                                /*  NAME            */
    cl_object v14;                                /*  TYPE            */
    if ((v3type)==(ECL_SYM("DIRECTORY",1229))) { goto L25; }
    if (!(v10==ECL_NIL)) { goto L23; }
    goto L24;
L25:;
L24:;
    cl_env_copy->nvalues = 2;
    cl_env_copy->values[1] = ECL_NIL;
    cl_env_copy->values[0] = ECL_NIL;
    value0 = cl_env_copy->values[0];
    goto L22;
L23:;
    if (Null(v3type)) { goto L27; }
    cl_env_copy->nvalues = 2;
    cl_env_copy->values[1] = v3type;
    cl_env_copy->values[0] = v10;
    value0 = cl_env_copy->values[0];
    goto L22;
L27:;
    value0 = ecl_function_dispatch(cl_env_copy,VV[354])(1, v10) /*  SPLIT-NAME-TYPE */;
L22:;
    v13 = value0;
    {
     const int v15 = cl_env_copy->nvalues;
     cl_object v16;
     v16 = (v15<=1)? ECL_NIL : cl_env_copy->values[1];
     v14 = v16;
    }
    if ((v11)!=ECL_NIL) { goto L30; }
    T0 = CONS(v8,v9);
    goto L29;
L30:;
    T0 = ECL_NIL;
L29:;
    value0 = v4uiop_pathname__defaults;
    if ((value0)!=ECL_NIL) { goto L34; }
    T1 = ecl_symbol_value(VV[319]);
    goto L32;
L34:;
    T1 = value0;
    goto L32;
L32:;
    T2 = cl_make_pathname(8, ECL_SYM("DIRECTORY",1229), T0, ECL_SYM("NAME",1285), v13, ECL_SYM("TYPE",1330), v14, ECL_SYM("DEFAULTS",1226), T1);
    T3 = ecl_function_dispatch(cl_env_copy,VV[163])(2, VV[365], v2uiop_pathname__keys) /*  REMOVE-PLIST-KEYS */;
    value0 = cl_apply(3, VV[364], T2, T3);
    return value0;
   }
  }
 }
}
/*      function definition for UNIX-NAMESTRING                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L203unix_namestring(cl_object v1pathname)
{
 cl_object T0;
 volatile cl_object lex0[1];
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  lex0[0] = v1pathname;                           /*  PATHNAME        */
TTL:
  if (lex0[0]==ECL_NIL) { goto L3; }
  if (!(ECL_STRINGP(lex0[0]))) { goto L1; }
  goto L2;
L3:;
L2:;
  value0 = lex0[0];
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (Null(cl_pathnamep(lex0[0]))) { goto L5; }
  {
   cl_object v2uiop_pathname__s;
   v2uiop_pathname__s = cl_make_string_output_stream(0);
   {
    cl_object v3uiop_pathname__dir;
    cl_object v4uiop_pathname__name;
    cl_object v5uiop_pathname__name;
    cl_object v6type;
    cl_object v7type;
    T0 = cl_pathname_directory(1, lex0[0]);
    v3uiop_pathname__dir = ecl_function_dispatch(cl_env_copy,VV[298])(1, T0) /*  NORMALIZE-PATHNAME-DIRECTORY-COMPONENT */;
    v4uiop_pathname__name = cl_pathname_name(1, lex0[0]);
    if ((v4uiop_pathname__name)==(ECL_SYM("UNSPECIFIC",1331))) { goto L13; }
    v5uiop_pathname__name = v4uiop_pathname__name;
    goto L11;
L13:;
    v5uiop_pathname__name = ECL_NIL;
    goto L11;
L11:;
    v6type = cl_pathname_type(1, lex0[0]);
    if ((v6type)==(ECL_SYM("UNSPECIFIC",1331))) { goto L18; }
    v7type = v6type;
    goto L16;
L18:;
    v7type = ECL_NIL;
    goto L16;
L16:;
    {
     cl_object v8;
     if (!((v3uiop_pathname__dir)==(ECL_NIL))) { goto L26; }
     value0 = VV[337];
     goto L24;
L26:;
     value0 = ECL_NIL;
     goto L24;
L24:;
     if ((value0)!=ECL_NIL) { goto L23; }
     if (!(ecl_eql(v3uiop_pathname__dir,ECL_SYM("UNSPECIFIC",1331)))) { goto L29; }
     v8 = VV[338];
     goto L21;
L29:;
     v8 = ECL_NIL;
     goto L21;
L23:;
     v8 = value0;
     goto L21;
L21:;
     if (Null(v8)) { goto L31; }
     goto L20;
L31:;
     if (!((v3uiop_pathname__dir)==(VV[300]))) { goto L33; }
     ecl_princ(VV[367],v2uiop_pathname__s);
     goto L20;
L33:;
     if (!(ECL_CONSP(v3uiop_pathname__dir))) { goto L35; }
     {
      cl_object v9;
      cl_object v10uiop_pathname__relabs;
      v9 = v3uiop_pathname__dir;
      if (!(v9==ECL_NIL)) { goto L39; }
      si_dm_too_few_arguments(v3uiop_pathname__dir);
L39:;
      {
       cl_object v11;
       v11 = ecl_car(v9);
       v9 = ecl_cdr(v9);
       v10uiop_pathname__relabs = v11;
      }
      if (!(ecl_eql(v10uiop_pathname__relabs,ECL_SYM("RELATIVE",1311)))) { goto L52; }
      value0 = VV[368];
      goto L50;
L52:;
      value0 = ECL_NIL;
      goto L50;
L50:;
      if ((value0)!=ECL_NIL) { goto L49; }
      if (!(ecl_eql(v10uiop_pathname__relabs,ECL_SYM("ABSOLUTE",1206)))) { goto L55; }
      value0 = VV[312];
      goto L47;
L55:;
      value0 = ECL_NIL;
      goto L47;
L49:;
      goto L47;
L47:;
      if ((value0)!=ECL_NIL) { goto L46; }
      LC202err(lex0);
      goto L44;
L46:;
      goto L44;
L44:;
      if (!((v10uiop_pathname__relabs)==(ECL_SYM("ABSOLUTE",1206)))) { goto L57; }
      ecl_princ_char((ecl_character)(47),v2uiop_pathname__s);
L57:;
      {
       cl_object v11uiop_pathname__x;
       cl_object v12;
       v11uiop_pathname__x = ECL_NIL;
       {
        cl_object v13;
        v13 = v9;
        if (ecl_unlikely(!ECL_LISTP(v13))) FEtype_error_list(v13);
        v12 = v13;
       }
L63:;
       if (!(ecl_endp(v12))) { goto L65; }
       goto L64;
L65:;
       v11uiop_pathname__x = _ecl_car(v12);
       {
        cl_object v13;
        v13 = _ecl_cdr(v12);
        if (ecl_unlikely(!ECL_LISTP(v13))) FEtype_error_list(v13);
        v12 = v13;
       }
       if (!(ecl_eql(v11uiop_pathname__x,ECL_SYM("BACK",1210)))) { goto L79; }
       goto L76;
       goto L77;
L79:;
       goto L77;
L77:;
       if (!(ecl_eql(v11uiop_pathname__x,ECL_SYM("UP",1333)))) { goto L74; }
       goto L75;
L76:;
L75:;
       ecl_princ(VV[369],v2uiop_pathname__s);
       goto L73;
L74:;
       if (!(ecl_equal(v11uiop_pathname__x,VV[56]))) { goto L82; }
       LC202err(lex0);
       goto L73;
L82:;
       if (!(ECL_STRINGP(v11uiop_pathname__x))) { goto L84; }
       cl_format(3, v2uiop_pathname__s, VV[370], v11uiop_pathname__x);
       goto L73;
L84:;
       LC202err(lex0);
L73:;
       goto L63;
L64:;
       goto L20;
      }
     }
L35:;
     LC202err(lex0);
    }
L20:;
    if (Null(v5uiop_pathname__name)) { goto L87; }
    if (!(ECL_STRINGP(v5uiop_pathname__name))) { goto L92; }
    if (v7type==ECL_NIL) { goto L89; }
    if (ECL_STRINGP(v7type)) { goto L89; }
    goto L90;
L92:;
    goto L90;
L90:;
    LC202err(lex0);
L89:;
    cl_format(4, v2uiop_pathname__s, VV[371], v5uiop_pathname__name, v7type);
    goto L8;
L87:;
    value0 = ecl_make_bool(v7type==ECL_NIL);
    if ((value0)!=ECL_NIL) { goto L96; }
    LC202err(lex0);
    goto L8;
L96:;
    goto L8;
   }
L8:;
   value0 = cl_get_output_stream_string(v2uiop_pathname__s);
   return value0;
  }
L5:;
  value0 = si_etypecase_error(lex0[0], VV[372]);
  return value0;
 }
}
/*      local function G1680                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC198__g1680(cl_object v1uiop_pathname__x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ecl_equal(v1uiop_pathname__x,VV[56]))) { goto L5; }
  value0 = VV[351];
  goto L3;
L5:;
  value0 = ECL_NIL;
  goto L3;
L3:;
  if ((value0)!=ECL_NIL) { goto L2; }
  if (!(ecl_equal(v1uiop_pathname__x,VV[228]))) { goto L8; }
  value0 = VV[352];
  cl_env_copy->nvalues = 1;
  return value0;
L8:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function ERR                                            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC202err(volatile cl_object *lex0)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_error(2, VV[366], lex0[0]);
  return value0;
 }
}
/*      function definition for SUBPATHNAME                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L204subpathname(cl_narg narg, cl_object v1pathname, cl_object v2uiop_pathname__subpath, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3type;
  ecl_va_list args; ecl_va_start(args,v2uiop_pathname__subpath,narg,2);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L204subpathnamekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v3type = keyvars[0];
  }
  if (Null(cl_pathnamep(v2uiop_pathname__subpath))) { goto L5; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[326])(1, v2uiop_pathname__subpath) /*  ABSOLUTE-PATHNAME-P */;
  goto L3;
L5:;
  value0 = ECL_NIL;
  goto L3;
L3:;
  if ((value0)!=ECL_NIL) { goto L2; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[358])(5, v2uiop_pathname__subpath, ECL_SYM("TYPE",1330), v3type, VV[374], ECL_T) /*  PARSE-UNIX-NAMESTRING */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[333])(1, v1pathname) /*  PATHNAME-DIRECTORY-PATHNAME */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[311])(2, T0, T1) /*  MERGE-PATHNAMES* */;
  return value0;
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SUBPATHNAME*                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L205subpathname_(cl_narg narg, cl_object v1pathname, cl_object v2uiop_pathname__subpath, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3type;
  ecl_va_list args; ecl_va_start(args,v2uiop_pathname__subpath,narg,2);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L205subpathname_keys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v3type = keyvars[0];
  }
  if (Null(v1pathname)) { goto L2; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[339])(1, v1pathname) /*  ENSURE-DIRECTORY-PATHNAME */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[373])(4, T0, v2uiop_pathname__subpath, ECL_SYM("TYPE",1330), v3type) /*  SUBPATHNAME */;
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for PATHNAME-ROOT                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L206pathname_root(cl_object v1pathname)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_make_pathname(10, ECL_SYM("DIRECTORY",1229), VV[312], ECL_SYM("NAME",1285), ECL_NIL, ECL_SYM("TYPE",1330), ECL_NIL, ECL_SYM("VERSION",1338), ECL_NIL, ECL_SYM("DEFAULTS",1226), v1pathname);
  return value0;
 }
}
/*      function definition for PATHNAME-HOST-PATHNAME                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L207pathname_host_pathname(cl_object v1pathname)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_make_pathname(12, ECL_SYM("DIRECTORY",1229), ECL_NIL, ECL_SYM("NAME",1285), ECL_NIL, ECL_SYM("TYPE",1330), ECL_NIL, ECL_SYM("VERSION",1338), ECL_NIL, ECL_SYM("DEVICE",1227), ECL_NIL, ECL_SYM("DEFAULTS",1226), v1pathname);
  return value0;
 }
}
/*      function definition for ENSURE-ABSOLUTE-PATHNAME              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L208ensure_absolute_pathname(cl_narg narg, cl_object v1uiop_pathname__path, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_pathname__defaults;
  cl_object v3uiop_pathname__on_error;
  va_list args; va_start(args,v1uiop_pathname__path);
  {
   int i = 1;
   if (i >= narg) {
    v2uiop_pathname__defaults = ECL_NIL;
   } else {
    i++;
    v2uiop_pathname__defaults = va_arg(args,cl_object);
   }
   if (i >= narg) {
    v3uiop_pathname__on_error = ECL_SYM("ERROR",337);
   } else {
    i++;
    v3uiop_pathname__on_error = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object v4;
   v4 = ecl_function_dispatch(cl_env_copy,VV[326])(1, v1uiop_pathname__path) /*  ABSOLUTE-PATHNAME-P */;
   if (Null(v4)) { goto L4; }
   value0 = v4;
   cl_env_copy->nvalues = 1;
   return value0;
L4:;
   if (!(ECL_STRINGP(v1uiop_pathname__path))) { goto L6; }
   T0 = cl_pathname(v1uiop_pathname__path);
   value0 = ecl_function_dispatch(cl_env_copy,VV[378])(3, T0, v2uiop_pathname__defaults, v3uiop_pathname__on_error) /*  ENSURE-ABSOLUTE-PATHNAME */;
   return value0;
L6:;
   if ((cl_pathnamep(v1uiop_pathname__path))!=ECL_NIL) { goto L8; }
   value0 = ecl_function_dispatch(cl_env_copy,VV[212])(3, v3uiop_pathname__on_error, VV[379], v1uiop_pathname__path) /*  CALL-FUNCTION */;
   return value0;
L8:;
   {
    cl_object v5;
    {
     cl_object v6uiop_pathname__default_pathname;
     if (Null(cl_pathnamep(v2uiop_pathname__defaults))) { goto L12; }
     v6uiop_pathname__default_pathname = v2uiop_pathname__defaults;
     goto L11;
L12:;
     v6uiop_pathname__default_pathname = ecl_function_dispatch(cl_env_copy,VV[212])(1, v2uiop_pathname__defaults) /*  CALL-FUNCTION */;
L11:;
     if (Null(ecl_function_dispatch(cl_env_copy,VV[326])(1, v6uiop_pathname__default_pathname) /*  ABSOLUTE-PATHNAME-P */)) { goto L17; }
     T0 = ecl_function_dispatch(cl_env_copy,VV[311])(2, v1uiop_pathname__path, v6uiop_pathname__default_pathname) /*  MERGE-PATHNAMES* */;
     value0 = ecl_function_dispatch(cl_env_copy,VV[326])(1, T0) /*  ABSOLUTE-PATHNAME-P */;
     goto L16;
L17:;
     value0 = ecl_function_dispatch(cl_env_copy,VV[212])(3, v3uiop_pathname__on_error, VV[380], v6uiop_pathname__default_pathname) /*  CALL-FUNCTION */;
L16:;
     if ((value0)!=ECL_NIL) { goto L15; }
     v5 = ecl_function_dispatch(cl_env_copy,VV[212])(4, v3uiop_pathname__on_error, VV[381], v1uiop_pathname__path, v6uiop_pathname__default_pathname) /*  CALL-FUNCTION */;
     goto L10;
L15:;
     v5 = value0;
     goto L10;
    }
L10:;
    if (Null(v5)) { goto L19; }
    value0 = v5;
    cl_env_copy->nvalues = 1;
    return value0;
L19:;
    value0 = ecl_function_dispatch(cl_env_copy,VV[212])(4, v3uiop_pathname__on_error, VV[382], v1uiop_pathname__path, v2uiop_pathname__defaults) /*  CALL-FUNCTION */;
    return value0;
   }
  }
 }
}
/*      function definition for SUBPATHP                              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L209subpathp(cl_object v1uiop_pathname__maybe_subpath, cl_object v2uiop_pathname__base_pathname)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(cl_pathnamep(v1uiop_pathname__maybe_subpath))) { goto L2; }
  if (Null(cl_pathnamep(v2uiop_pathname__base_pathname))) { goto L2; }
  if (Null(ecl_function_dispatch(cl_env_copy,VV[326])(1, v1uiop_pathname__maybe_subpath) /*  ABSOLUTE-PATHNAME-P */)) { goto L2; }
  if (Null(ecl_function_dispatch(cl_env_copy,VV[326])(1, v2uiop_pathname__base_pathname) /*  ABSOLUTE-PATHNAME-P */)) { goto L2; }
  if (Null(ecl_function_dispatch(cl_env_copy,VV[336])(1, v2uiop_pathname__base_pathname) /*  DIRECTORY-PATHNAME-P */)) { goto L2; }
  if ((cl_wild_pathname_p(1, v2uiop_pathname__base_pathname))!=ECL_NIL) { goto L2; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[376])(1, v1uiop_pathname__maybe_subpath) /*  PATHNAME-ROOT */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[376])(1, v2uiop_pathname__base_pathname) /*  PATHNAME-ROOT */;
  if (Null(ecl_function_dispatch(cl_env_copy,VV[321])(2, T0, T1) /*  PATHNAME-EQUAL */)) { goto L2; }
  ecl_bds_bind(cl_env_copy,ECL_SYM("*DEFAULT-PATHNAME-DEFAULTS*",32),ecl_symbol_value(VV[319])); /*  *DEFAULT-PATHNAME-DEFAULTS* */
  {
   cl_object v3uiop_pathname__enough;
   v3uiop_pathname__enough = cl_enough_namestring(2, v1uiop_pathname__maybe_subpath, v2uiop_pathname__base_pathname);
   if (Null(ecl_function_dispatch(cl_env_copy,VV[327])(1, v3uiop_pathname__enough) /*  RELATIVE-PATHNAME-P */)) { goto L12; }
   value0 = cl_pathname(v3uiop_pathname__enough);
   ecl_bds_unwind1(cl_env_copy);
   return value0;
L12:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   ecl_bds_unwind1(cl_env_copy);
   return value0;
  }
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for ENOUGH-PATHNAME                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L210enough_pathname(cl_object v1uiop_pathname__maybe_subpath, cl_object v2uiop_pathname__base_pathname)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   if (Null(v1uiop_pathname__maybe_subpath)) { goto L2; }
   v3 = cl_pathname(v1uiop_pathname__maybe_subpath);
   goto L1;
L2:;
   v3 = ECL_NIL;
L1:;
   if (Null(v2uiop_pathname__base_pathname)) { goto L5; }
   T0 = cl_pathname(v2uiop_pathname__base_pathname);
   v4 = ecl_function_dispatch(cl_env_copy,VV[378])(1, T0) /*  ENSURE-ABSOLUTE-PATHNAME */;
   goto L4;
L5:;
   v4 = ECL_NIL;
L4:;
   if (Null(v4)) { goto L11; }
   value0 = ecl_function_dispatch(cl_env_copy,VV[383])(2, v3, v4) /*  SUBPATHP */;
   goto L9;
L11:;
   value0 = ECL_NIL;
   goto L9;
L9:;
   if ((value0)!=ECL_NIL) { goto L8; }
   value0 = v3;
   cl_env_copy->nvalues = 1;
   return value0;
L8:;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for CALL-WITH-ENOUGH-PATHNAME             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L211call_with_enough_pathname(cl_object v1uiop_pathname__maybe_subpath, cl_object v2uiop_pathname__defaults_pathname, cl_object v3uiop_pathname__thunk)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v4;
   cl_object v5;
   v4 = ecl_function_dispatch(cl_env_copy,VV[384])(2, v1uiop_pathname__maybe_subpath, v2uiop_pathname__defaults_pathname) /*  ENOUGH-PATHNAME */;
   value0 = v2uiop_pathname__defaults_pathname;
   if ((value0)!=ECL_NIL) { goto L4; }
   v5 = ecl_symbol_value(ECL_SYM("*DEFAULT-PATHNAME-DEFAULTS*",32));
   goto L2;
L4:;
   v5 = value0;
   goto L2;
L2:;
   ecl_bds_bind(cl_env_copy,ECL_SYM("*DEFAULT-PATHNAME-DEFAULTS*",32),v5); /*  *DEFAULT-PATHNAME-DEFAULTS* */
   value0 = ecl_function_dispatch(cl_env_copy,v3uiop_pathname__thunk)(1, v4);
   ecl_bds_unwind1(cl_env_copy);
   return value0;
  }
 }
}
/*      local function WITH-ENOUGH-PATHNAME                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC212with_enough_pathname(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   cl_object v5;
   cl_object v6uiop_pathname__pathname_var;
   cl_object v7;
   cl_object v8pathname;
   cl_object v9;
   cl_object v10uiop_pathname__defaults;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v11;
    v11 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v11;
   }
   v5 = v4;
   if (!(v5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(v1);
L10:;
   {
    cl_object v11;
    v11 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v6uiop_pathname__pathname_var = v11;
   }
   v7 = si_search_keyword(2, v5, ECL_SYM("PATHNAME",1297));
   if (!((v7)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L17; }
   v8pathname = v6uiop_pathname__pathname_var;
   goto L16;
L17:;
   v8pathname = v7;
L16:;
   v9 = si_search_keyword(2, v5, ECL_SYM("DEFAULTS",1226));
   if (!((v9)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L21; }
   v10uiop_pathname__defaults = ecl_symbol_value(ECL_SYM("*DEFAULT-PATHNAME-DEFAULTS*",32));
   goto L20;
L21:;
   v10uiop_pathname__defaults = v9;
L20:;
   si_check_keyword(2, v5, VV[386]);
   T0 = ecl_list1(v6uiop_pathname__pathname_var);
   T1 = cl_listX(3, ECL_SYM("LAMBDA",452), T0, v3);
   T2 = cl_list(2, ECL_SYM("FUNCTION",396), T1);
   value0 = cl_list(4, VV[385], v8pathname, v10uiop_pathname__defaults, T2);
   return value0;
  }
 }
}
/*      function definition for WILDEN                                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L213wilden(cl_object v1uiop_pathname__path)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[311])(2, ecl_symbol_value(VV[395]), v1uiop_pathname__path) /*  MERGE-PATHNAMES* */;
  return value0;
 }
}
/*      function definition for RELATIVIZE-DIRECTORY-COMPONENT        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L214relativize_directory_component(cl_object v1uiop_pathname__directory_component)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2directory;
   v2directory = ecl_function_dispatch(cl_env_copy,VV[298])(1, v1uiop_pathname__directory_component) /*  NORMALIZE-PATHNAME-DIRECTORY-COMPONENT */;
   if (!(ECL_STRINGP(v2directory))) { goto L2; }
   value0 = cl_list(2, ECL_SYM("RELATIVE",1311), v2directory);
   return value0;
L2:;
   T0 = ecl_car(v2directory);
   if (!((T0)==(ECL_SYM("ABSOLUTE",1206)))) { goto L4; }
   T0 = ecl_cdr(v2directory);
   value0 = CONS(ECL_SYM("RELATIVE",1311),T0);
   cl_env_copy->nvalues = 1;
   return value0;
L4:;
   value0 = v2directory;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for RELATIVIZE-PATHNAME-DIRECTORY         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L215relativize_pathname_directory(cl_object v1uiop_pathname__pathspec)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2uiop_pathname__p;
   v2uiop_pathname__p = cl_pathname(v1uiop_pathname__pathspec);
   T0 = cl_pathname_directory(1, v2uiop_pathname__p);
   T1 = ecl_function_dispatch(cl_env_copy,VV[397])(1, T0) /*  RELATIVIZE-DIRECTORY-COMPONENT */;
   value0 = cl_make_pathname(4, ECL_SYM("DIRECTORY",1229), T1, ECL_SYM("DEFAULTS",1226), v2uiop_pathname__p);
   return value0;
  }
 }
}
/*      function definition for DIRECTORY-SEPARATOR-FOR-HOST          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L216directory_separator_for_host(cl_narg narg, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object v1pathname;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    v1pathname = ecl_symbol_value(ECL_SYM("*DEFAULT-PATHNAME-DEFAULTS*",32));
   } else {
    i++;
    v1pathname = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object v2uiop_pathname__foo;
   v2uiop_pathname__foo = cl_make_pathname(4, ECL_SYM("DIRECTORY",1229), VV[400], ECL_SYM("DEFAULTS",1226), v1pathname);
   T0 = cl_namestring(v2uiop_pathname__foo);
   value0 = ecl_function_dispatch(cl_env_copy,VV[178])(1, T0) /*  LAST-CHAR */;
   return value0;
  }
 }
}
/*      function definition for DIRECTORIZE-PATHNAME-HOST-DEVICE      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L218directorize_pathname_host_device(cl_object v1pathname)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_function_dispatch(cl_env_copy,VV[316])(1, v1pathname) /*  PHYSICAL-PATHNAME-P */)) { goto L1; }
  value0 = v1pathname;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  {
   cl_object v2uiop_pathname__root;
   cl_object v3uiop_pathname__wild_root;
   cl_object v4uiop_pathname__absolute_pathname;
   cl_object v5uiop_pathname__root_namestring;
   cl_object v6uiop_pathname__root_string;
   cl_object env1 = env0;
   v2uiop_pathname__root = ecl_function_dispatch(cl_env_copy,VV[376])(1, v1pathname) /*  PATHNAME-ROOT */;
   v3uiop_pathname__wild_root = ecl_function_dispatch(cl_env_copy,VV[396])(1, v2uiop_pathname__root) /*  WILDEN */;
   v4uiop_pathname__absolute_pathname = ecl_function_dispatch(cl_env_copy,VV[311])(2, v1pathname, v2uiop_pathname__root) /*  MERGE-PATHNAMES* */;
   T0 = ecl_function_dispatch(cl_env_copy,VV[399])(1, v2uiop_pathname__root) /*  DIRECTORY-SEPARATOR-FOR-HOST */;
   env1 = ECL_NIL;
   CLV0 = env1 = CONS(T0,env1);                   /*  SEPARATOR       */
   v5uiop_pathname__root_namestring = cl_namestring(v2uiop_pathname__root);
   {
    cl_object v7;
    v7 = ecl_make_cclosure_va((cl_objectfn)LC217__g1758,env1,Cblock);
    T0 = v7;
   }
   v6uiop_pathname__root_string = cl_substitute_if(3, CODE_CHAR(47), T0, v5uiop_pathname__root_namestring);
   {
    cl_object v8;                                 /*  PATH            */
    value0 = ecl_function_dispatch(cl_env_copy,VV[343])(3, v6uiop_pathname__root_string, VV[363], ECL_T) /*  SPLIT-UNIX-NAMESTRING-DIRECTORY-COMPONENTS */;
    {
     const int v9 = cl_env_copy->nvalues;
     cl_object v10;
     v10 = (v9<=1)? ECL_NIL : cl_env_copy->values[1];
     v8 = v10;
    }
    {
     cl_object v9uiop_pathname__new_base;
     T0 = CONS(ECL_SYM("ABSOLUTE",1206),v8);
     v9uiop_pathname__new_base = cl_make_pathname(4, ECL_SYM("DEFAULTS",1226), v2uiop_pathname__root, ECL_SYM("DIRECTORY",1229), T0);
     T0 = ecl_function_dispatch(cl_env_copy,VV[396])(1, v9uiop_pathname__new_base) /*  WILDEN */;
     value0 = cl_translate_pathname(3, v4uiop_pathname__absolute_pathname, v3uiop_pathname__wild_root, T0);
     return value0;
    }
   }
  }
 }
}
/*      function definition for TRANSLATE-PATHNAME*                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L219translate_pathname_(cl_narg narg, cl_object v1uiop_pathname__path, cl_object v2uiop_pathname__absolute_source, cl_object v3uiop_pathname__destination, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>5)) FEwrong_num_arguments_anonym();
 {
  cl_object v4uiop_pathname__root;
  cl_object v5uiop_pathname__source;
  va_list args; va_start(args,v3uiop_pathname__destination);
  {
   int i = 3;
   if (i >= narg) {
    v4uiop_pathname__root = ECL_NIL;
   } else {
    i++;
    v4uiop_pathname__root = va_arg(args,cl_object);
   }
   if (i >= narg) {
    v5uiop_pathname__source = ECL_NIL;
   } else {
    i++;
    v5uiop_pathname__source = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (Null(cl_functionp(v3uiop_pathname__destination))) { goto L3; }
  value0 = ecl_function_dispatch(cl_env_copy,v3uiop_pathname__destination)(2, v1uiop_pathname__path, v2uiop_pathname__absolute_source);
  return value0;
L3:;
  if (!((v3uiop_pathname__destination)==(ECL_T))) { goto L5; }
  value0 = v1uiop_pathname__path;
  cl_env_copy->nvalues = 1;
  return value0;
L5:;
  if ((cl_pathnamep(v3uiop_pathname__destination))!=ECL_NIL) { goto L7; }
  value0 = cl_error(1, VV[403]);
  return value0;
L7:;
  if ((ecl_function_dispatch(cl_env_copy,VV[326])(1, v3uiop_pathname__destination) /*  ABSOLUTE-PATHNAME-P */)!=ECL_NIL) { goto L9; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[311])(2, v3uiop_pathname__destination, v4uiop_pathname__root) /*  MERGE-PATHNAMES* */;
  value0 = cl_translate_pathname(3, v1uiop_pathname__path, v2uiop_pathname__absolute_source, T0);
  return value0;
L9:;
  if (Null(v4uiop_pathname__root)) { goto L11; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[401])(1, v1uiop_pathname__path) /*  DIRECTORIZE-PATHNAME-HOST-DEVICE */;
  value0 = cl_translate_pathname(3, T0, v2uiop_pathname__absolute_source, v3uiop_pathname__destination);
  return value0;
L11:;
  value0 = cl_translate_pathname(3, v1uiop_pathname__path, v2uiop_pathname__absolute_source, v3uiop_pathname__destination);
  return value0;
 }
}
/*      closure G1758                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC217__g1758(cl_narg narg, cl_object v1uiop_pathname__x, ...)
{
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  SEPARATOR       */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = ecl_make_bool(((v1uiop_pathname__x)==ECL_CODE_CHAR((ecl_character)(58))));
  if ((value0)!=ECL_NIL) { goto L2; }
  value0 = ecl_make_bool(ecl_eql(v1uiop_pathname__x,ECL_CONS_CAR(CLV0)));
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
 }
}
/*      function definition for NATIVE-NAMESTRING                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L220native_namestring(cl_object v1uiop_filesystem__x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(v1uiop_filesystem__x)) { goto L1; }
  {
   cl_object v2uiop_filesystem__p;
   v2uiop_filesystem__p = cl_pathname(v1uiop_filesystem__x);
   value0 = ecl_function_dispatch(cl_env_copy,VV[344])(1, v2uiop_filesystem__p) /*  UNIX-NAMESTRING */;
   return value0;
  }
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for PARSE-NATIVE-NAMESTRING               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L221parse_native_namestring(cl_narg narg, cl_object v1string, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_filesystem__constraints;
  cl_object v3uiop_filesystem__ensure_directory;
  ecl_va_list args; ecl_va_start(args,v1string,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L221parse_native_namestringkeys,keyvars,(cl_object*)&v2uiop_filesystem__constraints,TRUE);
   ecl_va_end(args);
   v3uiop_filesystem__ensure_directory = keyvars[0];
  }
  {
   cl_object v4;
   v4 = v1string;
   if (ECL_STRINGP(v4)) { goto L3; }
   if (v4==ECL_NIL) { goto L3; }
   v1string = si_do_check_type(v4, VV[407], ECL_NIL, ECL_SYM("STRING",805));
L3:;
  }
  {
   cl_object v4pathname;
   cl_object v5pathname;
   if (Null(v1string)) { goto L8; }
   ecl_bds_bind(cl_env_copy,ECL_SYM("*DEFAULT-PATHNAME-DEFAULTS*",32),ecl_symbol_value(VV[319])); /*  *DEFAULT-PATHNAME-DEFAULTS* */
   v4pathname = ecl_function_dispatch(cl_env_copy,VV[358])(3, v1string, VV[363], v3uiop_filesystem__ensure_directory) /*  PARSE-UNIX-NAMESTRING */;
   ecl_bds_unwind1(cl_env_copy);
   goto L7;
L8:;
   v4pathname = ECL_NIL;
L7:;
   if (Null(v3uiop_filesystem__ensure_directory)) { goto L11; }
   if (Null(v4pathname)) { goto L14; }
   v5pathname = ecl_function_dispatch(cl_env_copy,VV[339])(1, v4pathname) /*  ENSURE-DIRECTORY-PATHNAME */;
   goto L10;
L14:;
   v5pathname = ECL_NIL;
   goto L10;
L11:;
   v5pathname = v4pathname;
L10:;
   value0 = cl_apply(3, VV[364], v5pathname, v2uiop_filesystem__constraints);
   return value0;
  }
 }
}
/*      function definition for TRUENAME*                             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L223truename_(cl_object volatile v1uiop_filesystem__p)
{
 cl_object T0, T1, T2, T3;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(v1uiop_filesystem__p)) { goto L1; }
  if (!(ECL_STRINGP(v1uiop_filesystem__p))) { goto L3; }
  ecl_bds_bind(cl_env_copy,ECL_SYM("*DEFAULT-PATHNAME-DEFAULTS*",32),ecl_symbol_value(VV[319])); /*  *DEFAULT-PATHNAME-DEFAULTS* */
  v1uiop_filesystem__p = cl_parse_namestring(1, v1uiop_filesystem__p);
  ecl_bds_unwind1(cl_env_copy);
L3:;
  {
   volatile cl_object env1 = env0;
   env1 = ECL_NIL;
   CLV0 = env1 = CONS(ECL_NIL,env1);
   {
    volatile cl_object env2 = env1;
    CLV1 = env2 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
    if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
    if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L7;
    ecl_internal_error("GO found an inexistent tag");
    }
    {
     cl_object v2;
     v2 = ecl_make_cclosure_va((cl_objectfn)LC222__g1778,env2,Cblock);
     T0 = v2;
    }
    T1 = CONS(ECL_SYM("ERROR",337),T0);
    T2 = ecl_list1(T1);
    T3 = CONS(T2,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
    ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T3); /*  *HANDLER-CLUSTERS* */
    value0 = cl_truename(v1uiop_filesystem__p);
    ecl_frs_pop(cl_env_copy);
    value0 = value0;
    ecl_bds_unwind1(cl_env_copy);
    goto L6;
L7:;
    {
     cl_object v2condition;
     v2condition = ECL_CONS_CAR(CLV0);
     cl_env_copy->nvalues = 2;
     cl_env_copy->values[1] = v2condition;
     cl_env_copy->values[0] = ECL_NIL;
     value0 = cl_env_copy->values[0];
     ecl_frs_pop(cl_env_copy);
     value0 = value0;
     goto L6;
    }
   }
  }
L6:;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SAFE-FILE-WRITE-DATE                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L225safe_file_write_date(cl_object volatile v1pathname)
{
 cl_object T0, T1, T2, T3;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(v1pathname)) { goto L2; }
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env0); /*  TAGBODY */
  if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV0))) {
  if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L4;
  ecl_internal_error("GO found an inexistent tag");
  }
  {
   cl_object v2;
   v2 = ecl_make_cclosure_va((cl_objectfn)LC224__g1788,env0,Cblock);
   T0 = v2;
  }
  T1 = CONS(ECL_SYM("FILE-ERROR",353),T0);
  T2 = ecl_list1(T1);
  T3 = CONS(T2,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
  ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T3); /*  *HANDLER-CLUSTERS* */
  T0 = ecl_function_dispatch(cl_env_copy,VV[317])(1, v1pathname) /*  PHYSICALIZE-PATHNAME */;
  value0 = cl_file_write_date(T0);
  ecl_frs_pop(cl_env_copy);
  ecl_bds_unwind1(cl_env_copy);
  return value0;
L4:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  ecl_frs_pop(cl_env_copy);
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for PROBE-FILE*                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L227probe_file_(volatile cl_narg narg, cl_object volatile v1uiop_filesystem__p, ...)
{
 cl_object T0, T1, T2, T3;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v2truename;
  ecl_va_list args; ecl_va_start(args,v1uiop_filesystem__p,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L227probe_file_keys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v2truename = keyvars[0];
  }
  {
   volatile cl_object env1 = env0;
   env1 = ECL_NIL;
   CLV0 = env1 = CONS(ECL_NIL,env1);
   {
    volatile cl_object env2 = env1;
    CLV1 = env2 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
    if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
    if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L2;
    ecl_internal_error("GO found an inexistent tag");
    }
    {
     cl_object v3;
     v3 = ecl_make_cclosure_va((cl_objectfn)LC226__g1800,env2,Cblock);
     T0 = v3;
    }
    T1 = CONS(ECL_SYM("ERROR",337),T0);
    T2 = ecl_list1(T1);
    T3 = CONS(T2,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
    ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T3); /*  *HANDLER-CLUSTERS* */
    v1uiop_filesystem__p = ecl_function_dispatch(cl_env_copy,VV[364])(13, v1uiop_filesystem__p, VV[411], VV[412], VV[413], ECL_T, VV[414], ECL_T, ECL_SYM("DEFAULTS",1226), VV[415], VV[416], ECL_T, VV[417], ECL_NIL);
    if (Null(v1uiop_filesystem__p)) { goto L7; }
    if (Null(v2truename)) { goto L9; }
    value0 = cl_probe_file(v1uiop_filesystem__p);
    ecl_frs_pop(cl_env_copy);
    value0 = value0;
    ecl_bds_unwind1(cl_env_copy);
    goto L1;
L9:;
    if (Null(cl_file_write_date(v1uiop_filesystem__p))) { goto L12; }
    value0 = v1uiop_filesystem__p;
    cl_env_copy->nvalues = 1;
    ecl_frs_pop(cl_env_copy);
    value0 = value0;
    ecl_bds_unwind1(cl_env_copy);
    goto L1;
L12:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    ecl_frs_pop(cl_env_copy);
    value0 = value0;
    ecl_bds_unwind1(cl_env_copy);
    goto L1;
L7:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    ecl_frs_pop(cl_env_copy);
    value0 = value0;
    ecl_bds_unwind1(cl_env_copy);
    goto L1;
L2:;
    {
     cl_object v3condition;
     v3condition = ECL_CONS_CAR(CLV0);
     cl_env_copy->nvalues = 2;
     cl_env_copy->values[1] = v3condition;
     cl_env_copy->values[0] = ECL_NIL;
     value0 = cl_env_copy->values[0];
     ecl_frs_pop(cl_env_copy);
     value0 = value0;
     goto L1;
    }
   }
  }
L1:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for DIRECTORY-EXISTS-P                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L228directory_exists_p(cl_object v1uiop_filesystem__x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2uiop_filesystem__p;
   v2uiop_filesystem__p = ecl_function_dispatch(cl_env_copy,VV[410])(3, v1uiop_filesystem__x, VV[419], ECL_T) /*  PROBE-FILE* */;
   if (Null(ecl_function_dispatch(cl_env_copy,VV[336])(1, v2uiop_filesystem__p) /*  DIRECTORY-PATHNAME-P */)) { goto L3; }
   value0 = v2uiop_filesystem__p;
   cl_env_copy->nvalues = 1;
   return value0;
L3:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for FILE-EXISTS-P                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L229file_exists_p(cl_object v1uiop_filesystem__x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2uiop_filesystem__p;
   v2uiop_filesystem__p = ecl_function_dispatch(cl_env_copy,VV[410])(3, v1uiop_filesystem__x, VV[419], ECL_T) /*  PROBE-FILE* */;
   if (Null(ecl_function_dispatch(cl_env_copy,VV[329])(1, v2uiop_filesystem__p) /*  FILE-PATHNAME-P */)) { goto L3; }
   value0 = v2uiop_filesystem__p;
   cl_env_copy->nvalues = 1;
   return value0;
L3:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for DIRECTORY*                            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L230directory_(cl_narg narg, cl_object v1uiop_filesystem__pathname_spec, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_filesystem__keys;
  ecl_va_list args; ecl_va_start(args,v1uiop_filesystem__pathname_spec,narg,1);
  cl_parse_key(args,0,NULL,NULL,(cl_object*)&v2uiop_filesystem__keys,TRUE);
  ecl_va_end(args);
  T0 = ecl_append(v2uiop_filesystem__keys,ECL_NIL);
  value0 = cl_apply(3, ECL_SYM("DIRECTORY",303), v1uiop_filesystem__pathname_spec, T0);
  return value0;
 }
}
/*      function definition for FILTER-LOGICAL-DIRECTORY-RESULTS      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L232filter_logical_directory_results(cl_object volatile v1directory, cl_object volatile v2uiop_filesystem__entries, cl_object volatile v3uiop_filesystem__merger)
{
 cl_object T0, T1, T2, T3, T4;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_function_dispatch(cl_env_copy,VV[315])(1, v1directory) /*  LOGICAL-PATHNAME-P */)) { goto L1; }
  {
   volatile cl_object v4uiop_filesystem__f;
   volatile cl_object v5;
   v4uiop_filesystem__f = ECL_NIL;
   {
    cl_object v6;
    v6 = v2uiop_filesystem__entries;
    if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
    v5 = v6;
   }
   {
    volatile cl_object v6uiop_filesystem__p;
    v6uiop_filesystem__p = ECL_NIL;
    {
     volatile cl_object v7;
     volatile cl_object v8;
     v7 = ecl_list1(ECL_NIL);
     v8 = v7;
L11:;
     if (!(ecl_endp(v5))) { goto L13; }
     goto L12;
L13:;
     v4uiop_filesystem__f = _ecl_car(v5);
     {
      cl_object v9;
      v9 = _ecl_cdr(v5);
      if (ecl_unlikely(!ECL_LISTP(v9))) FEtype_error_list(v9);
      v5 = v9;
     }
     if (Null(ecl_function_dispatch(cl_env_copy,VV[315])(1, v4uiop_filesystem__f) /*  LOGICAL-PATHNAME-P */)) { goto L27; }
     value0 = v4uiop_filesystem__f;
     goto L25;
L27:;
     value0 = ECL_NIL;
     goto L25;
L25:;
     if ((value0)!=ECL_NIL) { goto L24; }
     {
      volatile cl_object v9uiop_filesystem__u;
      {
       volatile cl_object env1 = env0;
       env1 = ECL_NIL;
       CLV0 = env1 = CONS(ECL_NIL,env1);
       {
        volatile cl_object env2 = env1;
        CLV1 = env2 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
        if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
        if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L30;
        ecl_internal_error("GO found an inexistent tag");
        }
        {
         cl_object v10;
         v10 = ecl_make_cclosure_va((cl_objectfn)LC231__g1822,env2,Cblock);
         T1 = v10;
        }
        T2 = CONS(ECL_SYM("ERROR",337),T1);
        T3 = ecl_list1(T2);
        T4 = CONS(T3,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T4); /*  *HANDLER-CLUSTERS* */
        value0 = ecl_function_dispatch(cl_env_copy,VV[212])(2, v3uiop_filesystem__merger, v4uiop_filesystem__f) /*  CALL-FUNCTION */;
        ecl_frs_pop(cl_env_copy);
        v9uiop_filesystem__u = value0;
        ecl_bds_unwind1(cl_env_copy);
        goto L29;
L30:;
        {
         cl_object v10condition;
         v10condition = ECL_CONS_CAR(CLV0);
         cl_env_copy->nvalues = 2;
         cl_env_copy->values[1] = v10condition;
         cl_env_copy->values[0] = ECL_NIL;
         value0 = cl_env_copy->values[0];
         ecl_frs_pop(cl_env_copy);
         v9uiop_filesystem__u = value0;
         goto L29;
        }
       }
      }
L29:;
      if (Null(v9uiop_filesystem__u)) { goto L36; }
      T1 = ecl_function_dispatch(cl_env_copy,VV[408])(1, v9uiop_filesystem__u) /*  TRUENAME* */;
      T2 = ecl_function_dispatch(cl_env_copy,VV[408])(1, v4uiop_filesystem__f) /*  TRUENAME* */;
      if (!(ecl_equal(T1,T2))) { goto L36; }
      v6uiop_filesystem__p = v9uiop_filesystem__u;
      goto L22;
L36:;
      v6uiop_filesystem__p = ECL_NIL;
      goto L22;
     }
L24:;
     v6uiop_filesystem__p = value0;
     goto L22;
L22:;
     if (Null(v6uiop_filesystem__p)) { goto L39; }
     {
      cl_object v9;
      v9 = v8;
      if (ecl_unlikely(ECL_ATOM(v9))) FEtype_error_cons(v9);
      T1 = v9;
     }
     v8 = ecl_list1(v6uiop_filesystem__p);
     (ECL_CONS_CDR(T1)=v8,T1);
L39:;
     goto L11;
L12:;
     T0 = ecl_cdr(v7);
     goto L3;
    }
   }
  }
L3:;
  value0 = cl_remove_duplicates(3, T0, ECL_SYM("TEST",1328), VV[321]);
  return value0;
L1:;
  value0 = v2uiop_filesystem__entries;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for DIRECTORY-FILES                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L235directory_files(volatile cl_narg narg, cl_object volatile v1directory, ...)
{
 cl_object T0, T1, T2, T3;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v2uiop_filesystem__pattern;
  va_list args; va_start(args,v1directory);
  {
   int i = 1;
   if (i >= narg) {
    v2uiop_filesystem__pattern = ecl_symbol_value(VV[392]);
   } else {
    i++;
    v2uiop_filesystem__pattern = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   volatile cl_object env1 = env0;
   T0 = cl_pathname(v1directory);
   env1 = ECL_NIL;
   CLV0 = env1 = CONS(T0,env1);                   /*  DIR             */
   if (Null(ecl_function_dispatch(cl_env_copy,VV[315])(1, ECL_CONS_CAR(CLV0)) /*  LOGICAL-PATHNAME-P */)) { goto L2; }
   if (Null(cl_wild_pathname_p(1, ECL_CONS_CAR(CLV0)))) { goto L4; }
   cl_error(2, VV[424], v1directory);
L4:;
   {
    cl_object v3;
    v3 = cl_pathname_directory(1, v2uiop_filesystem__pattern);
    if (Null(ecl_function_dispatch(cl_env_copy,ECL_SYM("EQUAL",335))(2, v3, ECL_NIL))) { goto L11; }
    goto L6;
    goto L9;
L11:;
    goto L9;
L9:;
    if (Null(ecl_function_dispatch(cl_env_copy,ECL_SYM("EQUAL",335))(2, v3, VV[300]))) { goto L14; }
    goto L6;
    goto L7;
L14:;
    goto L7;
   }
L7:;
   cl_error(3, VV[426], v2uiop_filesystem__pattern, v1directory);
L6:;
   T0 = cl_pathname_host(1, ECL_CONS_CAR(CLV0));
   v2uiop_filesystem__pattern = ecl_function_dispatch(cl_env_copy,VV[310])(2, v2uiop_filesystem__pattern, T0) /*  MAKE-PATHNAME-LOGICAL */;
L2:;
   {
    volatile cl_object v3uiop_filesystem__pat;
    volatile cl_object v4uiop_filesystem__entries;
    v3uiop_filesystem__pat = ecl_function_dispatch(cl_env_copy,VV[311])(2, v2uiop_filesystem__pattern, ECL_CONS_CAR(CLV0)) /*  MERGE-PATHNAMES* */;
    {
     volatile cl_object env2 = env1;
     CLV1 = env2 = CONS(ECL_NIL,env2);
     {
      volatile cl_object env3 = env2;
      CLV2 = env3 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env3); /*  TAGBODY */
      if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV2))) {
      if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L19;
      ecl_internal_error("GO found an inexistent tag");
      }
      {
       cl_object v5;
       v5 = ecl_make_cclosure_va((cl_objectfn)LC233__g1836,env3,Cblock);
       T0 = v5;
      }
      T1 = CONS(ECL_SYM("ERROR",337),T0);
      T2 = ecl_list1(T1);
      T3 = CONS(T2,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
      ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T3); /*  *HANDLER-CLUSTERS* */
      value0 = ecl_function_dispatch(cl_env_copy,VV[421])(1, v3uiop_filesystem__pat) /*  DIRECTORY* */;
      ecl_frs_pop(cl_env_copy);
      v4uiop_filesystem__entries = value0;
      ecl_bds_unwind1(cl_env_copy);
      goto L18;
L19:;
      {
       cl_object v5condition;
       v5condition = ECL_CONS_CAR(CLV1);
       cl_env_copy->nvalues = 2;
       cl_env_copy->values[1] = v5condition;
       cl_env_copy->values[0] = ECL_NIL;
       value0 = cl_env_copy->values[0];
       ecl_frs_pop(cl_env_copy);
       v4uiop_filesystem__entries = value0;
       goto L18;
      }
     }
    }
L18:;
    {
     cl_object volatile v5;
     v5 = ecl_make_cclosure_va((cl_objectfn)LC234__g1837,env1,Cblock);
     T0 = v5;
    }
    T1 = ecl_function_dispatch(cl_env_copy,VV[422])(3, v1directory, v4uiop_filesystem__entries, T0) /*  FILTER-LOGICAL-DIRECTORY-RESULTS */;
    value0 = cl_remove_if(2, VV[336], T1);
    return value0;
   }
  }
 }
}
/*      function definition for SUBDIRECTORIES                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L238subdirectories(cl_object volatile v1directory)
{
 cl_object T0, T1, T2, T3;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object v2uiop_filesystem__wild;
   volatile cl_object v3uiop_filesystem__dirs;
   volatile cl_object env1 = env0;
   T0 = ecl_function_dispatch(cl_env_copy,VV[339])(1, v1directory) /*  ENSURE-DIRECTORY-PATHNAME */;
   env1 = ECL_NIL;
   CLV0 = env1 = CONS(T0,env1);                   /*  DIRECTORY       */
   v2uiop_filesystem__wild = ecl_function_dispatch(cl_env_copy,VV[311])(2, ecl_symbol_value(VV[393]), ECL_CONS_CAR(CLV0)) /*  MERGE-PATHNAMES* */;
   {
    volatile cl_object env2 = env1;
    CLV1 = env2 = CONS(ECL_NIL,env2);
    {
     volatile cl_object env3 = env2;
     CLV2 = env3 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env3); /*  TAGBODY */
     if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV2))) {
     if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L3;
     ecl_internal_error("GO found an inexistent tag");
     }
     {
      cl_object v4;
      v4 = ecl_make_cclosure_va((cl_objectfn)LC236__g1847,env3,Cblock);
      T0 = v4;
     }
     T1 = CONS(ECL_SYM("ERROR",337),T0);
     T2 = ecl_list1(T1);
     T3 = CONS(T2,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
     ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T3); /*  *HANDLER-CLUSTERS* */
     value0 = ecl_function_dispatch(cl_env_copy,VV[421])(1, v2uiop_filesystem__wild) /*  DIRECTORY* */;
     ecl_frs_pop(cl_env_copy);
     v3uiop_filesystem__dirs = value0;
     ecl_bds_unwind1(cl_env_copy);
     goto L2;
L3:;
     {
      cl_object v4condition;
      v4condition = ECL_CONS_CAR(CLV1);
      cl_env_copy->nvalues = 2;
      cl_env_copy->values[1] = v4condition;
      cl_env_copy->values[0] = ECL_NIL;
      value0 = cl_env_copy->values[0];
      ecl_frs_pop(cl_env_copy);
      v3uiop_filesystem__dirs = value0;
      goto L2;
     }
    }
   }
L2:;
   {
    cl_object env2 = env1;
    T2 = cl_pathname_directory(1, ECL_CONS_CAR(CLV0));
    value0 = ecl_function_dispatch(cl_env_copy,VV[298])(1, T2) /*  NORMALIZE-PATHNAME-DIRECTORY-COMPONENT */;
    if ((value0)!=ECL_NIL) { goto L11; }
    T1 = VV[312];
    goto L9;
L11:;
    T1 = value0;
    goto L9;
L9:;
    CLV1 = env2 = CONS(T1,env2);                  /*  PREFIX          */
    {
     cl_object v4;
     v4 = ecl_make_cclosure_va((cl_objectfn)LC237__g1848,env2,Cblock);
     T0 = v4;
    }
   }
   value0 = ecl_function_dispatch(cl_env_copy,VV[422])(3, ECL_CONS_CAR(CLV0), v3uiop_filesystem__dirs, T0) /*  FILTER-LOGICAL-DIRECTORY-RESULTS */;
   return value0;
  }
 }
}
/*      function definition for COLLECT-SUB*DIRECTORIES               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L239collect_sub_directories(cl_object v1directory, cl_object v2uiop_filesystem__collectp, cl_object v3uiop_filesystem__recursep, cl_object v4uiop_filesystem__collector)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_function_dispatch(cl_env_copy,VV[212])(2, v2uiop_filesystem__collectp, v1directory) /*  CALL-FUNCTION */)) { goto L1; }
  ecl_function_dispatch(cl_env_copy,VV[212])(2, v4uiop_filesystem__collector, v1directory) /*  CALL-FUNCTION */;
  {
   cl_object v5;
   v5 = ecl_function_dispatch(cl_env_copy,VV[427])(1, v1directory) /*  SUBDIRECTORIES */;
   goto L7;
L6:;
   {
    cl_object v6uiop_filesystem__subdir;
    v6uiop_filesystem__subdir = ecl_car(v5);
    if (Null(ecl_function_dispatch(cl_env_copy,VV[212])(2, v3uiop_filesystem__recursep, v6uiop_filesystem__subdir) /*  CALL-FUNCTION */)) { goto L11; }
    ecl_function_dispatch(cl_env_copy,VV[428])(4, v6uiop_filesystem__subdir, v2uiop_filesystem__collectp, v3uiop_filesystem__recursep, v4uiop_filesystem__collector) /*  COLLECT-SUB*DIRECTORIES */;
L11:;
   }
   v5 = ecl_cdr(v5);
L7:;
   if (Null(v5)) { goto L15; }
   goto L6;
L15:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      closure G1778                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC222__g1778(cl_narg narg, cl_object v1si__temp, ...)
{
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  TAGBODY         */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV0) = v1si__temp;
  cl_go(ECL_CONS_CAR(CLV1),ecl_make_fixnum(0));
 }
 }
}
/*      closure G1788                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC224__g1788(cl_narg narg, cl_object v1si__temp, ...)
{
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  TAGBODY         */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  cl_go(ECL_CONS_CAR(CLV0),ecl_make_fixnum(0));
 }
 }
}
/*      closure G1800                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC226__g1800(cl_narg narg, cl_object v1si__temp, ...)
{
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  TAGBODY         */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV0) = v1si__temp;
  cl_go(ECL_CONS_CAR(CLV1),ecl_make_fixnum(0));
 }
 }
}
/*      closure G1822                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC231__g1822(cl_narg narg, cl_object v1si__temp, ...)
{
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  TAGBODY         */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV0) = v1si__temp;
  cl_go(ECL_CONS_CAR(CLV1),ecl_make_fixnum(0));
 }
 }
}
/*      closure G1836                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC233__g1836(cl_narg narg, cl_object v1si__temp, ...)
{
 cl_object CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV2 = env0;                                     /*  TAGBODY         */
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV1) = v1si__temp;
  cl_go(ECL_CONS_CAR(CLV2),ecl_make_fixnum(0));
 }
 }
}
/*      closure G1837                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC234__g1837(cl_narg narg, cl_object v1uiop_filesystem__f, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  DIR             */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  T0 = cl_pathname_name(1, v1uiop_filesystem__f);
  T1 = ecl_function_dispatch(cl_env_copy,VV[308])(1, T0) /*  MAKE-PATHNAME-COMPONENT-LOGICAL */;
  T2 = cl_pathname_type(1, v1uiop_filesystem__f);
  T3 = ecl_function_dispatch(cl_env_copy,VV[308])(1, T2) /*  MAKE-PATHNAME-COMPONENT-LOGICAL */;
  T4 = cl_pathname_version(v1uiop_filesystem__f);
  T5 = ecl_function_dispatch(cl_env_copy,VV[308])(1, T4) /*  MAKE-PATHNAME-COMPONENT-LOGICAL */;
  value0 = cl_make_pathname(8, ECL_SYM("DEFAULTS",1226), ECL_CONS_CAR(CLV0), ECL_SYM("NAME",1285), T1, ECL_SYM("TYPE",1330), T3, ECL_SYM("VERSION",1338), T5);
  return value0;
 }
 }
}
/*      closure G1847                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC236__g1847(cl_narg narg, cl_object v1si__temp, ...)
{
 cl_object CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV2 = env0;                                     /*  TAGBODY         */
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV1) = v1si__temp;
  cl_go(ECL_CONS_CAR(CLV2),ecl_make_fixnum(0));
 }
 }
}
/*      closure G1848                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC237__g1848(cl_narg narg, cl_object v1uiop_filesystem__d, ...)
{
 cl_object T0, T1, T2;
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  PREFIX          */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  {
   cl_object v2uiop_filesystem__dir;
   T0 = cl_pathname_directory(1, v1uiop_filesystem__d);
   v2uiop_filesystem__dir = ecl_function_dispatch(cl_env_copy,VV[298])(1, T0) /*  NORMALIZE-PATHNAME-DIRECTORY-COMPONENT */;
   if (!(ECL_CONSP(v2uiop_filesystem__dir))) { goto L3; }
   T0 = ecl_cdr(v2uiop_filesystem__dir);
   if (!(ECL_CONSP(T0))) { goto L3; }
   T0 = ecl_last(v2uiop_filesystem__dir,1);
   T1 = ecl_function_dispatch(cl_env_copy,VV[308])(1, T0) /*  MAKE-PATHNAME-COMPONENT-LOGICAL */;
   T2 = ecl_append(ECL_CONS_CAR(CLV1),T1);
   value0 = cl_make_pathname(10, ECL_SYM("DEFAULTS",1226), ECL_CONS_CAR(CLV0), ECL_SYM("NAME",1285), ECL_NIL, ECL_SYM("TYPE",1330), ECL_NIL, ECL_SYM("VERSION",1338), ECL_NIL, ECL_SYM("DIRECTORY",1229), T2);
   return value0;
L3:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
 }
}
/*      function definition for TRUENAMIZE                            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L242truenamize(cl_object volatile v1pathname)
{
 cl_object T0, T1, T2, T3;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (v1pathname==ECL_NIL) { goto L3; }
  if (Null(si_logical_pathname_p(v1pathname))) { goto L1; }
  goto L2;
L3:;
L2:;
  value0 = v1pathname;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  {
   volatile cl_object v2uiop_filesystem__p;
   v2uiop_filesystem__p = v1pathname;
   if ((ecl_function_dispatch(cl_env_copy,VV[326])(1, v2uiop_filesystem__p) /*  ABSOLUTE-PATHNAME-P */)!=ECL_NIL) { goto L6; }
   T0 = ecl_function_dispatch(cl_env_copy,VV[378])(3, v2uiop_filesystem__p, VV[415], ECL_NIL) /*  ENSURE-ABSOLUTE-PATHNAME */;
   value0 = ecl_function_dispatch(cl_env_copy,VV[326])(1, T0) /*  ABSOLUTE-PATHNAME-P */;
   if ((value0)!=ECL_NIL) { goto L10; }
   value0 = v2uiop_filesystem__p;
   cl_env_copy->nvalues = 1;
   return value0;
L10:;
   v2uiop_filesystem__p = value0;
   goto L8;
L8:;
L6:;
   if (Null(ecl_function_dispatch(cl_env_copy,VV[315])(1, v2uiop_filesystem__p) /*  LOGICAL-PATHNAME-P */)) { goto L12; }
   value0 = v2uiop_filesystem__p;
   cl_env_copy->nvalues = 1;
   return value0;
L12:;
   {
    cl_object v3uiop_filesystem__found;
    v3uiop_filesystem__found = ecl_function_dispatch(cl_env_copy,VV[410])(3, v2uiop_filesystem__p, VV[419], ECL_T) /*  PROBE-FILE* */;
    if (Null(v3uiop_filesystem__found)) { goto L14; }
    value0 = v3uiop_filesystem__found;
    cl_env_copy->nvalues = 1;
    return value0;
   }
L14:;
   {
    volatile cl_object v3directory;
    volatile cl_object v4uiop_filesystem__up_components;
    volatile cl_object v5uiop_filesystem__down_components;
    T0 = cl_pathname_directory(1, v2uiop_filesystem__p);
    v3directory = ecl_function_dispatch(cl_env_copy,VV[298])(1, T0) /*  NORMALIZE-PATHNAME-DIRECTORY-COMPONENT */;
    T0 = ecl_cdr(v3directory);
    v4uiop_filesystem__up_components = cl_reverse(T0);
    v5uiop_filesystem__down_components = ECL_NIL;
    goto L22;
L21:;
    si_assert_failure(1, VV[430]);
L22:;
    T0 = ecl_car(v3directory);
    if ((ECL_SYM("ABSOLUTE",1206))==(T0)) { goto L25; }
    goto L21;
L25:;
L27:;
    if ((v4uiop_filesystem__up_components)!=ECL_NIL) { goto L29; }
    goto L28;
L29:;
    {
     volatile cl_object v6uiop_filesystem__parent;
     {
      volatile cl_object env1 = env0;
      env1 = ECL_NIL;
      CLV0 = env1 = CONS(ECL_NIL,env1);
      {
       volatile cl_object env2 = env1;
       CLV1 = env2 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
       if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
       if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L34;
       ecl_internal_error("GO found an inexistent tag");
       }
       {
        cl_object v7;
        v7 = ecl_make_cclosure_va((cl_objectfn)LC240__g1877,env2,Cblock);
        T0 = v7;
       }
       T1 = CONS(ECL_SYM("ERROR",337),T0);
       T2 = ecl_list1(T1);
       T3 = CONS(T2,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
       ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T3); /*  *HANDLER-CLUSTERS* */
       T0 = cl_reverse(v4uiop_filesystem__up_components);
       T1 = CONS(ECL_SYM("ABSOLUTE",1206),T0);
       T2 = cl_make_pathname(10, ECL_SYM("DIRECTORY",1229), T1, ECL_SYM("NAME",1285), ECL_NIL, ECL_SYM("TYPE",1330), ECL_NIL, ECL_SYM("VERSION",1338), ECL_NIL, ECL_SYM("DEFAULTS",1226), v2uiop_filesystem__p);
       value0 = ecl_function_dispatch(cl_env_copy,VV[410])(1, T2) /*  PROBE-FILE* */;
       ecl_frs_pop(cl_env_copy);
       v6uiop_filesystem__parent = value0;
       ecl_bds_unwind1(cl_env_copy);
       goto L33;
L34:;
       {
        cl_object v7condition;
        v7condition = ECL_CONS_CAR(CLV0);
        cl_env_copy->nvalues = 2;
        cl_env_copy->values[1] = v7condition;
        cl_env_copy->values[0] = ECL_NIL;
        value0 = cl_env_copy->values[0];
        ecl_frs_pop(cl_env_copy);
        v6uiop_filesystem__parent = value0;
        goto L33;
       }
      }
     }
L33:;
     if (Null(v6uiop_filesystem__parent)) { goto L32; }
     {
      volatile cl_object v7uiop_filesystem__simplified;
      {
       volatile cl_object env1 = env0;
       env1 = ECL_NIL;
       CLV0 = env1 = CONS(ECL_NIL,env1);
       {
        volatile cl_object env2 = env1;
        CLV1 = env2 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
        if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
        if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L41;
        ecl_internal_error("GO found an inexistent tag");
        }
        {
         cl_object v8;
         v8 = ecl_make_cclosure_va((cl_objectfn)LC241__g1881,env2,Cblock);
         T0 = v8;
        }
        T1 = CONS(ECL_SYM("ERROR",337),T0);
        T2 = ecl_list1(T1);
        T3 = CONS(T2,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T3); /*  *HANDLER-CLUSTERS* */
        T0 = CONS(ECL_SYM("RELATIVE",1311),v5uiop_filesystem__down_components);
        T1 = cl_make_pathname(4, ECL_SYM("DIRECTORY",1229), T0, ECL_SYM("DEFAULTS",1226), v2uiop_filesystem__p);
        T2 = ecl_function_dispatch(cl_env_copy,VV[339])(1, v6uiop_filesystem__parent) /*  ENSURE-DIRECTORY-PATHNAME */;
        value0 = ecl_function_dispatch(cl_env_copy,VV[311])(2, T1, T2) /*  MERGE-PATHNAMES* */;
        ecl_frs_pop(cl_env_copy);
        v7uiop_filesystem__simplified = value0;
        ecl_bds_unwind1(cl_env_copy);
        goto L40;
L41:;
        {
         cl_object v8condition;
         v8condition = ECL_CONS_CAR(CLV0);
         cl_env_copy->nvalues = 2;
         cl_env_copy->values[1] = v8condition;
         cl_env_copy->values[0] = ECL_NIL;
         value0 = cl_env_copy->values[0];
         ecl_frs_pop(cl_env_copy);
         v7uiop_filesystem__simplified = value0;
         goto L40;
        }
       }
      }
L40:;
      if (Null(v7uiop_filesystem__simplified)) { goto L32; }
      value0 = v7uiop_filesystem__simplified;
      cl_env_copy->nvalues = 1;
      return value0;
     }
    }
L32:;
    {
     cl_object v6;
     v6 = v4uiop_filesystem__up_components;
     {
      cl_object v7;
      v7 = v6;
      if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
     }
     if (Null(v6)) { goto L53; }
     {
      cl_object v7;
      v7 = ECL_CONS_CDR(v6);
      v4uiop_filesystem__up_components = v7;
      v6 = ECL_CONS_CAR(v6);
     }
L53:;
     T0 = v6;
    }
    v5uiop_filesystem__down_components = CONS(T0,v5uiop_filesystem__down_components);
    goto L27;
L28:;
    value0 = v2uiop_filesystem__p;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for RESOLVE-SYMLINKS                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L243resolve_symlinks(cl_object v1uiop_filesystem__path)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[429])(1, v1uiop_filesystem__path) /*  TRUENAMIZE */;
  return value0;
 }
}
/*      function definition for RESOLVE-SYMLINKS*                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L244resolve_symlinks_(cl_object v1uiop_filesystem__path)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_symbol_value(VV[432]))) { goto L1; }
  if (Null(v1uiop_filesystem__path)) { goto L4; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[431])(1, v1uiop_filesystem__path) /*  RESOLVE-SYMLINKS */;
  return value0;
L4:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  value0 = v1uiop_filesystem__path;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      closure G1877                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC240__g1877(cl_narg narg, cl_object v1si__temp, ...)
{
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  TAGBODY         */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV0) = v1si__temp;
  cl_go(ECL_CONS_CAR(CLV1),ecl_make_fixnum(0));
 }
 }
}
/*      closure G1881                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC241__g1881(cl_narg narg, cl_object v1si__temp, ...)
{
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  TAGBODY         */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV0) = v1si__temp;
  cl_go(ECL_CONS_CAR(CLV1),ecl_make_fixnum(0));
 }
 }
}
/*      function definition for ENSURE-PATHNAME                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L246ensure_pathname(cl_narg narg, cl_object v1pathname, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 volatile struct ecl_cclosure aux_closure;
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_filesystem__defaults;
  cl_object v3type;
  cl_object v4uiop_filesystem__dot_dot;
  cl_object v5namestring;
  cl_object v6uiop_filesystem__empty_is_nil;
  cl_object v7uiop_filesystem__want_pathname;
  cl_object v8uiop_filesystem__want_logical;
  cl_object v9uiop_filesystem__want_physical;
  cl_object v10uiop_filesystem__ensure_physical;
  cl_object v11uiop_filesystem__want_relative;
  cl_object v12uiop_filesystem__want_absolute;
  cl_object v13uiop_filesystem__ensure_absolute;
  cl_object v14uiop_filesystem__ensure_subpath;
  cl_object v15uiop_filesystem__want_non_wild;
  cl_object v16uiop_filesystem__want_wild;
  cl_object v17wilden;
  cl_object v18uiop_filesystem__want_file;
  cl_object v19uiop_filesystem__want_directory;
  cl_object v20uiop_filesystem__ensure_directory;
  cl_object v21uiop_filesystem__want_existing;
  cl_object v22ensure_directories_exist;
  cl_object v23truename;
  cl_object v24resolve_symlinks;
  cl_object v25truenamize;
  ecl_va_list args; ecl_va_start(args,v1pathname,narg,1);
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1pathname,env0);            /*  PATHNAME        */
  {
   cl_object keyvars[50];
   cl_parse_key(args,25,L246ensure_pathnamekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   CLV1 = env0 = CONS(keyvars[0],env0);           /*  ON-ERROR        */
   v2uiop_filesystem__defaults = keyvars[1];
   v3type = keyvars[2];
   v4uiop_filesystem__dot_dot = keyvars[3];
   v5namestring = keyvars[4];
   v6uiop_filesystem__empty_is_nil = keyvars[5];
   v7uiop_filesystem__want_pathname = keyvars[6];
   v8uiop_filesystem__want_logical = keyvars[7];
   v9uiop_filesystem__want_physical = keyvars[8];
   v10uiop_filesystem__ensure_physical = keyvars[9];
   v11uiop_filesystem__want_relative = keyvars[10];
   v12uiop_filesystem__want_absolute = keyvars[11];
   v13uiop_filesystem__ensure_absolute = keyvars[12];
   v14uiop_filesystem__ensure_subpath = keyvars[13];
   v15uiop_filesystem__want_non_wild = keyvars[14];
   v16uiop_filesystem__want_wild = keyvars[15];
   v17wilden = keyvars[16];
   v18uiop_filesystem__want_file = keyvars[17];
   v19uiop_filesystem__want_directory = keyvars[18];
   v20uiop_filesystem__ensure_directory = keyvars[19];
   v21uiop_filesystem__want_existing = keyvars[20];
   v22ensure_directories_exist = keyvars[21];
   v23truename = keyvars[22];
   v24resolve_symlinks = keyvars[23];
   v25truenamize = keyvars[24];
  }
  {
   cl_object v26uiop_filesystem__p;
   v26uiop_filesystem__p = ECL_CONS_CAR(CLV0);
   {
    cl_object v27;
    v27 = ecl_make_cclosure_va((cl_objectfn)LC245report_error,env0,Cblock);
    {
     cl_object v28;
     v28 = v26uiop_filesystem__p;
     if (v28==ECL_NIL) { goto L2; }
     if ((cl_pathnamep(v28))!=ECL_NIL) { goto L2; }
     if (!(ECL_STRINGP(v28))) { goto L6; }
     if (Null(ecl_function_dispatch(cl_env_copy,VV[164])(1, v26uiop_filesystem__p) /*  EMPTYP */)) { goto L8; }
     if (Null(v6uiop_filesystem__empty_is_nil)) { goto L8; }
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 1;
     return value0;
L8:;
     if (!(ecl_eql(v5namestring,VV[435]))) { goto L17; }
     goto L14;
     goto L15;
L17:;
     goto L15;
L15:;
     if (!((v5namestring)==(ECL_NIL))) { goto L12; }
     goto L13;
L14:;
L13:;
     v26uiop_filesystem__p = ecl_function_dispatch(cl_env_copy,VV[358])(11, v26uiop_filesystem__p, ECL_SYM("DEFAULTS",1226), v2uiop_filesystem__defaults, ECL_SYM("TYPE",1330), v3type, VV[362], v4uiop_filesystem__dot_dot, VV[363], v20uiop_filesystem__ensure_directory, VV[374], v11uiop_filesystem__want_relative) /*  PARSE-UNIX-NAMESTRING */;
     goto L11;
L12:;
     if (!(ecl_eql(v5namestring,VV[437]))) { goto L20; }
     v26uiop_filesystem__p = ecl_function_dispatch(cl_env_copy,VV[406])(1, v26uiop_filesystem__p) /*  PARSE-NATIVE-NAMESTRING */;
     goto L11;
L20:;
     if (!(ecl_eql(v5namestring,VV[412]))) { goto L23; }
     v26uiop_filesystem__p = cl_parse_namestring(1, v26uiop_filesystem__p);
     goto L11;
L23:;
     v26uiop_filesystem__p = ecl_function_dispatch(cl_env_copy,VV[212])(2, v5namestring, v26uiop_filesystem__p) /*  CALL-FUNCTION */;
L11:;
     goto L2;
L6:;
     si_etypecase_error(v28, VV[440]);
    }
L2:;
    if ((cl_pathnamep(v26uiop_filesystem__p))!=ECL_NIL) { goto L26; }
    if (!(v26uiop_filesystem__p==ECL_NIL)) { goto L28; }
    if (Null(v7uiop_filesystem__want_pathname)) { goto L30; }
    if ((cl_pathnamep(v26uiop_filesystem__p))!=ECL_NIL) { goto L30; }
    (aux_closure.env=env0,cl_env_copy->function=(cl_object)&aux_closure,LC245report_error(2, VV[441], VV[442]));
L30:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
L28:;
    si_etypecase_error(v26uiop_filesystem__p, VV[443]);
L26:;
    if (Null(v8uiop_filesystem__want_logical)) { goto L33; }
    if ((ecl_function_dispatch(cl_env_copy,VV[315])(1, v26uiop_filesystem__p) /*  LOGICAL-PATHNAME-P */)!=ECL_NIL) { goto L33; }
    (aux_closure.env=env0,cl_env_copy->function=(cl_object)&aux_closure,LC245report_error(2, VV[444], VV[445]));
L33:;
    if (Null(v9uiop_filesystem__want_physical)) { goto L36; }
    if ((ecl_function_dispatch(cl_env_copy,VV[316])(1, v26uiop_filesystem__p) /*  PHYSICAL-PATHNAME-P */)!=ECL_NIL) { goto L36; }
    (aux_closure.env=env0,cl_env_copy->function=(cl_object)&aux_closure,LC245report_error(2, VV[446], VV[447]));
L36:;
    if (Null(v10uiop_filesystem__ensure_physical)) { goto L39; }
    v26uiop_filesystem__p = ecl_function_dispatch(cl_env_copy,VV[317])(1, v26uiop_filesystem__p) /*  PHYSICALIZE-PATHNAME */;
L39:;
    if (Null(v10uiop_filesystem__ensure_physical)) { goto L42; }
    if ((ecl_function_dispatch(cl_env_copy,VV[316])(1, v26uiop_filesystem__p) /*  PHYSICAL-PATHNAME-P */)!=ECL_NIL) { goto L42; }
    (aux_closure.env=env0,cl_env_copy->function=(cl_object)&aux_closure,LC245report_error(2, VV[413], VV[448]));
L42:;
    if (Null(v11uiop_filesystem__want_relative)) { goto L45; }
    if ((ecl_function_dispatch(cl_env_copy,VV[327])(1, v26uiop_filesystem__p) /*  RELATIVE-PATHNAME-P */)!=ECL_NIL) { goto L45; }
    (aux_closure.env=env0,cl_env_copy->function=(cl_object)&aux_closure,LC245report_error(2, VV[374], VV[449]));
L45:;
    if (Null(v12uiop_filesystem__want_absolute)) { goto L48; }
    if ((ecl_function_dispatch(cl_env_copy,VV[326])(1, v26uiop_filesystem__p) /*  ABSOLUTE-PATHNAME-P */)!=ECL_NIL) { goto L48; }
    (aux_closure.env=env0,cl_env_copy->function=(cl_object)&aux_closure,LC245report_error(2, VV[450], VV[451]));
L48:;
    if (Null(v13uiop_filesystem__ensure_absolute)) { goto L51; }
    if ((ecl_function_dispatch(cl_env_copy,VV[326])(1, v26uiop_filesystem__p) /*  ABSOLUTE-PATHNAME-P */)!=ECL_NIL) { goto L51; }
    T0 = cl_list(3, v27, VV[414], VV[452]);
    v26uiop_filesystem__p = ecl_function_dispatch(cl_env_copy,VV[378])(3, v26uiop_filesystem__p, v2uiop_filesystem__defaults, T0) /*  ENSURE-ABSOLUTE-PATHNAME */;
L51:;
    if (Null(v13uiop_filesystem__ensure_absolute)) { goto L55; }
    if ((ecl_function_dispatch(cl_env_copy,VV[326])(1, v26uiop_filesystem__p) /*  ABSOLUTE-PATHNAME-P */)!=ECL_NIL) { goto L55; }
    (aux_closure.env=env0,cl_env_copy->function=(cl_object)&aux_closure,LC245report_error(3, VV[414], VV[453], v2uiop_filesystem__defaults));
L55:;
    if (Null(v14uiop_filesystem__ensure_subpath)) { goto L58; }
    if ((ecl_function_dispatch(cl_env_copy,VV[326])(1, v2uiop_filesystem__defaults) /*  ABSOLUTE-PATHNAME-P */)!=ECL_NIL) { goto L58; }
    (aux_closure.env=env0,cl_env_copy->function=(cl_object)&aux_closure,LC245report_error(3, VV[454], VV[455], v2uiop_filesystem__defaults));
L58:;
    if (Null(v14uiop_filesystem__ensure_subpath)) { goto L61; }
    if ((ecl_function_dispatch(cl_env_copy,VV[383])(2, v26uiop_filesystem__p, v2uiop_filesystem__defaults) /*  SUBPATHP */)!=ECL_NIL) { goto L61; }
    (aux_closure.env=env0,cl_env_copy->function=(cl_object)&aux_closure,LC245report_error(3, VV[454], VV[456], v2uiop_filesystem__defaults));
L61:;
    if (Null(v18uiop_filesystem__want_file)) { goto L64; }
    if ((ecl_function_dispatch(cl_env_copy,VV[329])(1, v26uiop_filesystem__p) /*  FILE-PATHNAME-P */)!=ECL_NIL) { goto L64; }
    (aux_closure.env=env0,cl_env_copy->function=(cl_object)&aux_closure,LC245report_error(2, VV[457], VV[458]));
L64:;
    if (Null(v19uiop_filesystem__want_directory)) { goto L67; }
    if ((ecl_function_dispatch(cl_env_copy,VV[336])(1, v26uiop_filesystem__p) /*  DIRECTORY-PATHNAME-P */)!=ECL_NIL) { goto L67; }
    (aux_closure.env=env0,cl_env_copy->function=(cl_object)&aux_closure,LC245report_error(2, VV[459], VV[460]));
L67:;
    if (Null(v20uiop_filesystem__ensure_directory)) { goto L70; }
    if ((ecl_function_dispatch(cl_env_copy,VV[336])(1, v26uiop_filesystem__p) /*  DIRECTORY-PATHNAME-P */)!=ECL_NIL) { goto L70; }
    v26uiop_filesystem__p = ecl_function_dispatch(cl_env_copy,VV[339])(1, v26uiop_filesystem__p) /*  ENSURE-DIRECTORY-PATHNAME */;
L70:;
    if (Null(v15uiop_filesystem__want_non_wild)) { goto L74; }
    if (Null(cl_wild_pathname_p(1, v26uiop_filesystem__p))) { goto L74; }
    (aux_closure.env=env0,cl_env_copy->function=(cl_object)&aux_closure,LC245report_error(2, VV[416], VV[461]));
L74:;
    if (Null(v16uiop_filesystem__want_wild)) { goto L77; }
    if ((cl_wild_pathname_p(1, v26uiop_filesystem__p))!=ECL_NIL) { goto L77; }
    (aux_closure.env=env0,cl_env_copy->function=(cl_object)&aux_closure,LC245report_error(2, VV[462], VV[463]));
L77:;
    if (Null(v17wilden)) { goto L80; }
    if ((cl_wild_pathname_p(1, v26uiop_filesystem__p))!=ECL_NIL) { goto L80; }
    v26uiop_filesystem__p = ecl_function_dispatch(cl_env_copy,VV[396])(1, v26uiop_filesystem__p) /*  WILDEN */;
L80:;
    if (Null(v21uiop_filesystem__want_existing)) { goto L84; }
    {
     cl_object v28uiop_filesystem__existing;
     v28uiop_filesystem__existing = ecl_function_dispatch(cl_env_copy,VV[410])(3, v26uiop_filesystem__p, VV[419], v23truename) /*  PROBE-FILE* */;
     if (Null(v28uiop_filesystem__existing)) { goto L87; }
     if (Null(v23truename)) { goto L84; }
     value0 = v28uiop_filesystem__existing;
     cl_env_copy->nvalues = 1;
     return value0;
L87:;
     (aux_closure.env=env0,cl_env_copy->function=(cl_object)&aux_closure,LC245report_error(2, VV[464], VV[465]));
    }
L84:;
    if (Null(v22ensure_directories_exist)) { goto L90; }
    cl_ensure_directories_exist(1, v26uiop_filesystem__p);
L90:;
    if (Null(v23truename)) { goto L92; }
    {
     cl_object v28truename;
     v28truename = ecl_function_dispatch(cl_env_copy,VV[408])(1, v26uiop_filesystem__p) /*  TRUENAME* */;
     if (Null(v28truename)) { goto L95; }
     value0 = v28truename;
     cl_env_copy->nvalues = 1;
     return value0;
L95:;
     (aux_closure.env=env0,cl_env_copy->function=(cl_object)&aux_closure,LC245report_error(2, VV[419], VV[466]));
    }
L92:;
    if (Null(v24resolve_symlinks)) { goto L97; }
    v26uiop_filesystem__p = ecl_function_dispatch(cl_env_copy,VV[431])(1, v26uiop_filesystem__p) /*  RESOLVE-SYMLINKS */;
L97:;
    if (Null(v25truenamize)) { goto L100; }
    v26uiop_filesystem__p = ecl_function_dispatch(cl_env_copy,VV[429])(1, v26uiop_filesystem__p) /*  TRUENAMIZE */;
L100:;
    value0 = v26uiop_filesystem__p;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      closure REPORT-ERROR                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC245report_error(cl_narg narg, cl_object v1keyword, cl_object v2uiop_filesystem__description, ...)
{
 cl_object T0;
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  ON-ERROR        */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3uiop_filesystem__arguments;
  ecl_va_list args; ecl_va_start(args,v2uiop_filesystem__description,narg,2);
  v3uiop_filesystem__arguments = cl_grab_rest_args(args);
  ecl_va_end(args);
  value0 = ECL_CONS_CAR(CLV1);
  if ((value0)!=ECL_NIL) { goto L3; }
  T0 = ECL_SYM("ERROR",337);
  goto L1;
L3:;
  T0 = value0;
  goto L1;
L1:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[212])(6, T0, VV[434], ECL_CONS_CAR(CLV0), v1keyword, v2uiop_filesystem__description, v3uiop_filesystem__arguments) /*  CALL-FUNCTION */;
  return value0;
 }
 }
}
/*      function definition for GET-PATHNAME-DEFAULTS                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L247get_pathname_defaults(cl_narg narg, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object v1uiop_filesystem__defaults;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    v1uiop_filesystem__defaults = ecl_symbol_value(ECL_SYM("*DEFAULT-PATHNAME-DEFAULTS*",32));
   } else {
    i++;
    v1uiop_filesystem__defaults = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = ecl_function_dispatch(cl_env_copy,VV[326])(1, v1uiop_filesystem__defaults) /*  ABSOLUTE-PATHNAME-P */;
  if ((value0)!=ECL_NIL) { goto L3; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[288])(0) /*  GETCWD       */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[311])(2, v1uiop_filesystem__defaults, T0) /*  MERGE-PATHNAMES* */;
  return value0;
L3:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CALL-WITH-CURRENT-DIRECTORY           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L248call_with_current_directory(cl_object volatile v1uiop_filesystem__dir, cl_object volatile v2uiop_filesystem__thunk)
{
 cl_object T0, T1;
 cl_object volatile env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(v1uiop_filesystem__dir)) { goto L1; }
  {
   volatile cl_object v3uiop_filesystem__dir;
   volatile cl_object v4uiop_filesystem__cwd;
   T0 = ecl_function_dispatch(cl_env_copy,VV[333])(1, v1uiop_filesystem__dir) /*  PATHNAME-DIRECTORY-PATHNAME */;
   T1 = ecl_function_dispatch(cl_env_copy,VV[415])(1, T0) /*  GET-PATHNAME-DEFAULTS */;
   v3uiop_filesystem__dir = ecl_function_dispatch(cl_env_copy,VV[433])(1, T1) /*  RESOLVE-SYMLINKS* */;
   v4uiop_filesystem__cwd = ecl_function_dispatch(cl_env_copy,VV[288])(0) /*  GETCWD */;
   ecl_bds_bind(cl_env_copy,ECL_SYM("*DEFAULT-PATHNAME-DEFAULTS*",32),v3uiop_filesystem__dir); /*  *DEFAULT-PATHNAME-DEFAULTS* */
   ecl_function_dispatch(cl_env_copy,VV[290])(1, v3uiop_filesystem__dir) /*  CHDIR */;
   {
    volatile bool unwinding = FALSE;
    cl_index v5=ECL_STACK_INDEX(cl_env_copy),v6;
    ecl_frame_ptr next_fr;
    if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
      unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
    } else {
    cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,v2uiop_filesystem__thunk)(0);
      next_fr = NULL;
    }
    ecl_frs_pop(cl_env_copy);
    v6=ecl_stack_push_values(cl_env_copy);
    ecl_function_dispatch(cl_env_copy,VV[290])(1, v4uiop_filesystem__cwd) /*  CHDIR */;
    ecl_stack_pop_values(cl_env_copy,v6);
    if (unwinding) ecl_unwind(cl_env_copy,next_fr);
    ECL_STACK_SET_INDEX(cl_env_copy,v5);
    ecl_bds_unwind1(cl_env_copy);
    return cl_env_copy->values[0];
   }
  }
L1:;
  value0 = ecl_function_dispatch(cl_env_copy,v2uiop_filesystem__thunk)(0);
  return value0;
 }
}
/*      local function WITH-CURRENT-DIRECTORY                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC249with_current_directory(cl_object v1, cl_object v2)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   cl_object v5;
   cl_object v6uiop_filesystem__dir;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v7;
   }
   v5 = v4;
   if (Null(v5)) { goto L10; }
   {
    cl_object v7;
    v7 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v6uiop_filesystem__dir = v7;
    goto L9;
   }
L10:;
   v6uiop_filesystem__dir = ECL_NIL;
L9:;
   if (Null(v5)) { goto L15; }
   si_dm_too_many_arguments(v1);
L15:;
   T0 = cl_listX(3, ECL_SYM("LAMBDA",452), ECL_NIL, v3);
   T1 = cl_list(2, ECL_SYM("FUNCTION",396), T0);
   value0 = cl_list(3, VV[467], v6uiop_filesystem__dir, T1);
   return value0;
  }
 }
}
/*      function definition for INTER-DIRECTORY-SEPARATOR             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L250inter_directory_separator()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = CODE_CHAR(58);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SPLIT-NATIVE-PATHNAMES-STRING         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L251split_native_pathnames_string(cl_narg narg, cl_object v1string, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_filesystem__constraints;
  ecl_va_list args; ecl_va_start(args,v1string,narg,1);
  cl_parse_key(args,0,NULL,NULL,(cl_object*)&v2uiop_filesystem__constraints,TRUE);
  ecl_va_end(args);
  {
   cl_object v3;
   cl_object v4namestring;
   cl_object v5;
   T0 = ecl_function_dispatch(cl_env_copy,VV[469])(0) /*  INTER-DIRECTORY-SEPARATOR */;
   T1 = cl_string(T0);
   v3 = ecl_function_dispatch(cl_env_copy,VV[179])(3, v1string, VV[227], T1) /*  SPLIT-STRING */;
   v4namestring = ECL_NIL;
   {
    cl_object v6;
    v6 = v3;
    if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
    v5 = v6;
   }
   {
    cl_object v6;
    cl_object v7;
    v6 = ecl_list1(ECL_NIL);
    v7 = v6;
L8:;
    if (!(ecl_endp(v5))) { goto L10; }
    goto L9;
L10:;
    v4namestring = _ecl_car(v5);
    {
     cl_object v8;
     v8 = _ecl_cdr(v5);
     if (ecl_unlikely(!ECL_LISTP(v8))) FEtype_error_list(v8);
     v5 = v8;
    }
    {
     cl_object v8;
     v8 = v7;
     if (ecl_unlikely(ECL_ATOM(v8))) FEtype_error_cons(v8);
     T0 = v8;
    }
    if ((ecl_function_dispatch(cl_env_copy,VV[164])(1, v4namestring) /*  EMPTYP */)!=ECL_NIL) { goto L24; }
    T1 = cl_apply(3, VV[406], v4namestring, v2uiop_filesystem__constraints);
    goto L23;
L24:;
    T1 = ECL_NIL;
L23:;
    v7 = ecl_list1(T1);
    (ECL_CONS_CDR(T0)=v7,T0);
    goto L8;
L9:;
    value0 = ecl_cdr(v6);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for GETENV-PATHNAME                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L252getenv_pathname(cl_narg narg, cl_object v1uiop_filesystem__x, ...)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_filesystem__constraints;
  cl_object v3uiop_filesystem__ensure_directory;
  cl_object v4uiop_filesystem__want_directory;
  cl_object v5uiop_filesystem__on_error;
  ecl_va_list args; ecl_va_start(args,v1uiop_filesystem__x,narg,1);
  {
   cl_object keyvars[6];
   cl_parse_key(args,3,L252getenv_pathnamekeys,keyvars,(cl_object*)&v2uiop_filesystem__constraints,TRUE);
   ecl_va_end(args);
   v3uiop_filesystem__ensure_directory = keyvars[0];
   v4uiop_filesystem__want_directory = keyvars[1];
   v5uiop_filesystem__on_error = keyvars[2];
  }
  T0 = ecl_function_dispatch(cl_env_copy,VV[273])(1, v1uiop_filesystem__x) /*  GETENVP */;
  value0 = v3uiop_filesystem__ensure_directory;
  if ((value0)!=ECL_NIL) { goto L3; }
  T1 = v4uiop_filesystem__want_directory;
  goto L1;
L3:;
  T1 = value0;
  goto L1;
L1:;
  value0 = v5uiop_filesystem__on_error;
  if ((value0)!=ECL_NIL) { goto L7; }
  T2 = cl_list(4, ECL_SYM("ERROR",337), VV[472], VV[471], v1uiop_filesystem__x);
  goto L5;
L7:;
  T2 = value0;
  goto L5;
L5:;
  value0 = cl_apply(7, VV[406], T0, VV[363], T1, VV[417], T2, v2uiop_filesystem__constraints);
  return value0;
 }
}
/*      function definition for GETENV-PATHNAMES                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L253getenv_pathnames(cl_narg narg, cl_object v1uiop_filesystem__x, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_filesystem__constraints;
  cl_object v3uiop_filesystem__on_error;
  ecl_va_list args; ecl_va_start(args,v1uiop_filesystem__x,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L253getenv_pathnameskeys,keyvars,(cl_object*)&v2uiop_filesystem__constraints,TRUE);
   ecl_va_end(args);
   v3uiop_filesystem__on_error = keyvars[0];
  }
  if ((cl_getf(3, v2uiop_filesystem__constraints, VV[474], ECL_T))!=ECL_NIL) { goto L1; }
  cl_error(1, VV[475]);
L1:;
  T0 = ecl_function_dispatch(cl_env_copy,VV[273])(1, v1uiop_filesystem__x) /*  GETENVP */;
  value0 = v3uiop_filesystem__on_error;
  if ((value0)!=ECL_NIL) { goto L5; }
  T1 = cl_list(4, ECL_SYM("ERROR",337), VV[472], VV[473], v1uiop_filesystem__x);
  goto L3;
L5:;
  T1 = value0;
  goto L3;
L3:;
  value0 = cl_apply(7, VV[470], T0, VV[417], T1, VV[474], ECL_T, v2uiop_filesystem__constraints);
  return value0;
 }
}
/*      function definition for GETENV-ABSOLUTE-DIRECTORY             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L254getenv_absolute_directory(cl_object v1uiop_filesystem__x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[471])(5, v1uiop_filesystem__x, VV[450], ECL_T, VV[363], ECL_T) /*  GETENV-PATHNAME */;
  return value0;
 }
}
/*      function definition for GETENV-ABSOLUTE-DIRECTORIES           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L255getenv_absolute_directories(cl_object v1uiop_filesystem__x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[473])(5, v1uiop_filesystem__x, VV[450], ECL_T, VV[363], ECL_T) /*  GETENV-PATHNAMES */;
  return value0;
 }
}
/*      function definition for LISP-IMPLEMENTATION-DIRECTORY         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L256lisp_implementation_directory(cl_narg narg, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1truename;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L256lisp_implementation_directorykeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v1truename = keyvars[0];
  }
  if (Null(v1truename)) { goto L1; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[408])(1, VV[479]) /*  TRUENAME* */;
  return value0;
L1:;
  value0 = VV[479];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for LISP-IMPLEMENTATION-PATHNAME-P        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L257lisp_implementation_pathname_p(cl_object v1pathname)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(v1pathname)) { goto L4; }
  {
   cl_object v2uiop_filesystem__impdir;
   v2uiop_filesystem__impdir = ecl_function_dispatch(cl_env_copy,VV[478])(0) /*  LISP-IMPLEMENTATION-DIRECTORY */;
   if (Null(v2uiop_filesystem__impdir)) { goto L7; }
   if ((ecl_function_dispatch(cl_env_copy,VV[383])(2, v1pathname, v2uiop_filesystem__impdir) /*  SUBPATHP */)!=ECL_NIL) { goto L9; }
   if (Null(ecl_symbol_value(VV[432]))) { goto L11; }
   {
    cl_object v3truename;
    v3truename = ecl_function_dispatch(cl_env_copy,VV[408])(1, v1pathname) /*  TRUENAME* */;
    if (Null(v3truename)) { goto L14; }
    {
     cl_object v4uiop_filesystem__trueimpdir;
     v4uiop_filesystem__trueimpdir = ecl_function_dispatch(cl_env_copy,VV[408])(1, v2uiop_filesystem__impdir) /*  TRUENAME* */;
     if (Null(v4uiop_filesystem__trueimpdir)) { goto L17; }
     if (Null(ecl_function_dispatch(cl_env_copy,VV[383])(2, v3truename, v4uiop_filesystem__trueimpdir) /*  SUBPATHP */)) { goto L2; }
     goto L3;
L17:;
     goto L2;
    }
L14:;
    goto L2;
   }
L11:;
   goto L2;
L9:;
   goto L3;
L7:;
   goto L2;
  }
L4:;
  goto L2;
L3:;
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for ENSURE-ALL-DIRECTORIES-EXIST          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L258ensure_all_directories_exist(cl_object v1uiop_filesystem__pathnames)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = v1uiop_filesystem__pathnames;
   goto L4;
L3:;
   {
    cl_object v3pathname;
    v3pathname = ecl_car(v2);
    if (Null(v3pathname)) { goto L8; }
    T0 = ecl_function_dispatch(cl_env_copy,VV[317])(1, v3pathname) /*  PHYSICALIZE-PATHNAME */;
    cl_ensure_directories_exist(1, T0);
L8:;
   }
   v2 = ecl_cdr(v2);
L4:;
   if (Null(v2)) { goto L12; }
   goto L3;
L12:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for DELETE-FILE-IF-EXISTS                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L260delete_file_if_exists(cl_object volatile v1uiop_filesystem__x)
{
 cl_object T0, T1, T2, T3;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(v1uiop_filesystem__x)) { goto L1; }
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env0); /*  TAGBODY */
  if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV0))) {
  if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L3;
  ecl_internal_error("GO found an inexistent tag");
  }
  {
   cl_object v2;
   v2 = ecl_make_cclosure_va((cl_objectfn)LC259__g1961,env0,Cblock);
   T0 = v2;
  }
  T1 = CONS(ECL_SYM("FILE-ERROR",353),T0);
  T2 = ecl_list1(T1);
  T3 = CONS(T2,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
  ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T3); /*  *HANDLER-CLUSTERS* */
  value0 = cl_delete_file(v1uiop_filesystem__x);
  ecl_frs_pop(cl_env_copy);
  ecl_bds_unwind1(cl_env_copy);
  return value0;
L3:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  ecl_frs_pop(cl_env_copy);
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for RENAME-FILE-OVERWRITING-TARGET        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L261rename_file_overwriting_target(cl_object v1uiop_filesystem__source, cl_object v2uiop_filesystem__target)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   v3 = ecl_function_dispatch(cl_env_copy,VV[364])(7, v1uiop_filesystem__source, VV[411], VV[412], VV[413], ECL_T, VV[457], ECL_T) /*  ENSURE-PATHNAME */;
   v4 = ecl_function_dispatch(cl_env_copy,VV[364])(7, v2uiop_filesystem__target, VV[411], VV[412], VV[413], ECL_T, VV[457], ECL_T) /*  ENSURE-PATHNAME */;
   value0 = cl_rename_file(4, v3, v4, ECL_SYM("IF-EXISTS",1256), ECL_T);
   return value0;
  }
 }
}
/*      function definition for DELETE-EMPTY-DIRECTORY                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L262delete_empty_directory(cl_object v1uiop_filesystem__directory_pathname)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = si_rmdir(v1uiop_filesystem__directory_pathname);
  return value0;
 }
}
/*      function definition for DELETE-DIRECTORY-TREE                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L264delete_directory_tree(cl_narg narg, cl_object v1uiop_filesystem__directory_pathname, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_filesystem__validate;
  cl_object v3uiop_filesystem__validatep;
  cl_object v4uiop_filesystem__if_does_not_exist;
  ecl_va_list args; ecl_va_start(args,v1uiop_filesystem__directory_pathname,narg,1);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,L264delete_directory_treekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v2uiop_filesystem__validate = keyvars[0];
   v3uiop_filesystem__validatep = keyvars[2];
   if (Null(keyvars[3])) {
    v4uiop_filesystem__if_does_not_exist = ECL_SYM("ERROR",1239);
   } else {
    v4uiop_filesystem__if_does_not_exist = keyvars[1];
   }
  }
  {
   cl_object v5;
   v5 = v4uiop_filesystem__if_does_not_exist;
   if (!(ecl_eql(v5,ECL_SYM("ERROR",1239)))) { goto L8; }
   goto L4;
   goto L6;
L8:;
   goto L6;
L6:;
   if (!(ecl_eql(v5,ECL_SYM("IGNORE",1259)))) { goto L11; }
   goto L4;
   goto L5;
L11:;
   goto L5;
L5:;
   v4uiop_filesystem__if_does_not_exist = si_do_check_type(v5, VV[488], ECL_NIL, VV[489]);
L4:;
  }
  if (Null(cl_pathnamep(v1uiop_filesystem__directory_pathname))) { goto L17; }
  if (Null(ecl_function_dispatch(cl_env_copy,VV[336])(1, v1uiop_filesystem__directory_pathname) /*  DIRECTORY-PATHNAME-P */)) { goto L17; }
  if (Null(ecl_function_dispatch(cl_env_copy,VV[316])(1, v1uiop_filesystem__directory_pathname) /*  PHYSICAL-PATHNAME-P */)) { goto L17; }
  if (Null(cl_wild_pathname_p(1, v1uiop_filesystem__directory_pathname))) { goto L14; }
  goto L15;
L17:;
  goto L15;
L15:;
  value0 = cl_error(3, VV[490], VV[485], v1uiop_filesystem__directory_pathname);
  return value0;
L14:;
  if ((v3uiop_filesystem__validatep)!=ECL_NIL) { goto L21; }
  value0 = cl_error(3, VV[491], VV[485], v1uiop_filesystem__directory_pathname);
  return value0;
L21:;
  if ((ecl_function_dispatch(cl_env_copy,VV[212])(2, v2uiop_filesystem__validate, v1uiop_filesystem__directory_pathname) /*  CALL-FUNCTION */)!=ECL_NIL) { goto L23; }
  value0 = cl_error(4, VV[492], VV[485], v1uiop_filesystem__directory_pathname, v2uiop_filesystem__validate);
  return value0;
L23:;
  if ((ecl_function_dispatch(cl_env_copy,VV[418])(1, v1uiop_filesystem__directory_pathname) /*  DIRECTORY-EXISTS-P */)!=ECL_NIL) { goto L25; }
  if (!(ecl_eql(v4uiop_filesystem__if_does_not_exist,ECL_SYM("ERROR",1239)))) { goto L27; }
  value0 = cl_error(3, VV[493], VV[485], v1uiop_filesystem__directory_pathname);
  return value0;
L27:;
  if (!(ecl_eql(v4uiop_filesystem__if_does_not_exist,ECL_SYM("IGNORE",1259)))) { goto L29; }
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L29:;
  value0 = si_ecase_error(v4uiop_filesystem__if_does_not_exist, VV[486]);
  return value0;
L25:;
  if (Null(ecl_function_dispatch(cl_env_copy,VV[257])(0) /*  OS-UNIX-P */)) { goto L31; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[405])(1, v1uiop_filesystem__directory_pathname) /*  NATIVE-NAMESTRING */;
  T1 = cl_list(3, VV[495], VV[496], T0);
  value0 = L3symbol_call(3, VV[216], VV[494], T1);
  return value0;
L31:;
  {
   cl_object v5uiop_filesystem__sub_directories;
   {
    cl_object env1 = env0;
    env1 = ECL_NIL;
    CLV0 = env1 = CONS(ECL_NIL,env1);
    {
     cl_object v6;
     v6 = ecl_make_cclosure_va((cl_objectfn)LC263c,env1,Cblock);
     ecl_function_dispatch(cl_env_copy,VV[428])(4, v1uiop_filesystem__directory_pathname, ECL_T, ECL_T, v6) /*  COLLECT-SUB*DIRECTORIES */;
     v5uiop_filesystem__sub_directories = cl_reverse(ECL_CONS_CAR(CLV0));
    }
   }
   {
    cl_object v6;
    v6 = cl_nreverse(v5uiop_filesystem__sub_directories);
    goto L38;
L37:;
    {
     cl_object v7uiop_filesystem__d;
     v7uiop_filesystem__d = ecl_car(v6);
     T0 = ecl_function_dispatch(cl_env_copy,VV[423])(1, v7uiop_filesystem__d) /*  DIRECTORY-FILES */;
     cl_map(3, ECL_NIL, ECL_SYM("DELETE-FILE",293), T0);
     ecl_function_dispatch(cl_env_copy,VV[484])(1, v7uiop_filesystem__d) /*  DELETE-EMPTY-DIRECTORY */;
    }
    v6 = ecl_cdr(v6);
L38:;
    if (Null(v6)) { goto L46; }
    goto L37;
L46:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      closure G1961                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC259__g1961(cl_narg narg, cl_object v1si__temp, ...)
{
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  TAGBODY         */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  cl_go(ECL_CONS_CAR(CLV0),ecl_make_fixnum(0));
 }
 }
}
/*      closure C                                                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC263c(cl_narg narg, cl_object v1uiop_utility__x, ...)
{
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV0) = CONS(v1uiop_utility__x,ECL_CONS_CAR(CLV0));
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 0;
  return value0;
 }
 }
}
/*      function definition for SETUP-STDIN                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L265setup_stdin()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  cl_set(VV[498],ecl_symbol_value(ECL_SYM("+PROCESS-STANDARD-INPUT+",1835)));
  value0 = ecl_symbol_value(VV[498]);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SETUP-STDOUT                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L266setup_stdout()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  cl_set(VV[500],ecl_symbol_value(ECL_SYM("+PROCESS-STANDARD-OUTPUT+",1836)));
  value0 = ecl_symbol_value(VV[500]);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SETUP-STDERR                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L267setup_stderr()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  cl_set(VV[502],ecl_symbol_value(ECL_SYM("+PROCESS-ERROR-OUTPUT+",1837)));
  value0 = ecl_symbol_value(VV[502]);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for ALWAYS-DEFAULT-ENCODING               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L268always_default_encoding(cl_object v1pathname)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_symbol_value(VV[504]);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for DETECT-ENCODING                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L269detect_encoding(cl_object v1pathname)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(v1pathname)) { goto L1; }
  if ((ecl_function_dispatch(cl_env_copy,VV[336])(1, v1pathname) /*  DIRECTORY-PATHNAME-P */)!=ECL_NIL) { goto L1; }
  if (Null(ecl_function_dispatch(cl_env_copy,VV[410])(1, v1pathname) /*  PROBE-FILE* */)) { goto L1; }
  value0 = ecl_function_dispatch(cl_env_copy,ecl_symbol_value(VV[507]))(1, v1pathname);
  return value0;
L1:;
  value0 = ecl_symbol_value(VV[504]);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for DEFAULT-ENCODING-EXTERNAL-FORMAT      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L270default_encoding_external_format(cl_object v1uiop_stream__encoding)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ecl_eql(v1uiop_stream__encoding,ECL_SYM("DEFAULT",1225)))) { goto L1; }
  value0 = ECL_SYM("DEFAULT",1225);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (!(ecl_eql(v1uiop_stream__encoding,ECL_SYM("UTF-8",1701)))) { goto L3; }
  value0 = ecl_symbol_value(VV[505]);
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  cl_cerror(3, VV[510], VV[511], v1uiop_stream__encoding);
  value0 = ECL_SYM("DEFAULT",1225);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for ENCODING-EXTERNAL-FORMAT              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L271encoding_external_format(cl_object v1uiop_stream__encoding)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = v1uiop_stream__encoding;
  if ((value0)!=ECL_NIL) { goto L3; }
  T0 = ecl_symbol_value(VV[504]);
  goto L1;
L3:;
  T0 = value0;
  goto L1;
L1:;
  value0 = ecl_function_dispatch(cl_env_copy,ecl_symbol_value(VV[512]))(1, T0);
  return value0;
 }
}
/*      local function WITH-SAFE-IO-SYNTAX                            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC272with_safe_io_syntax(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   cl_object v5;
   cl_object v6package;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v7;
   }
   v5 = si_search_keyword(2, v4, ECL_SYM("PACKAGE",1296));
   if (!((v5)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L10; }
   v6package = VV[20];
   goto L9;
L10:;
   v6package = v5;
L9:;
   si_check_keyword(2, v4, VV[515]);
   T0 = cl_list(2, ECL_SYM("FIND-PACKAGE",367), v6package);
   T1 = cl_list(2, ECL_SYM("*PACKAGE*",43), T0);
   T2 = ecl_list1(T1);
   T3 = cl_listX(3, ECL_SYM("LET",477), T2, v3);
   T4 = cl_list(3, ECL_SYM("LAMBDA",452), ECL_NIL, T3);
   T5 = cl_list(2, ECL_SYM("FUNCTION",396), T4);
   value0 = cl_list(2, VV[516], T5);
   return value0;
  }
 }
}
/*      function definition for CALL-WITH-SAFE-IO-SYNTAX              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L273call_with_safe_io_syntax(cl_narg narg, cl_object v1uiop_stream__thunk, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2package;
  ecl_va_list args; ecl_va_start(args,v1uiop_stream__thunk,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L273call_with_safe_io_syntaxkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[1])) {
    v2package = VV[20];
   } else {
    v2package = keyvars[0];
   }
  }
  {
   cl_object v3;
   v3 = ecl_symbol_value(ECL_SYM("+IO-SYNTAX-PROGV-LIST+",1741));
   {
    cl_object v5, v6; cl_index v4;
    v5 = _ecl_car(v3);
    v6 = _ecl_cdr(v3);
    v4 = ecl_progv(cl_env_copy, v5, v6);
    {
     cl_object v7;
     v7 = cl_find_package(v2package);
     ecl_bds_bind(cl_env_copy,ECL_SYM("*PACKAGE*",43),v7); /*  *PACKAGE* */
     ecl_bds_bind(cl_env_copy,ECL_SYM("*READ-DEFAULT-FLOAT-FORMAT*",62),ECL_SYM("DOUBLE-FLOAT",315)); /*  *READ-DEFAULT-FLOAT-FORMAT* */
     ecl_bds_bind(cl_env_copy,ECL_SYM("*PRINT-READABLY*",57),ECL_NIL); /*  *PRINT-READABLY* */
     ecl_bds_bind(cl_env_copy,ECL_SYM("*READ-EVAL*",63),ECL_NIL); /*  *READ-EVAL* */
     value0 = ecl_function_dispatch(cl_env_copy,v1uiop_stream__thunk)(0);
     ecl_bds_unwind(cl_env_copy,v4);
     return value0;
    }
   }
  }
 }
}
/*      function definition for SAFE-READ-FROM-STRING                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L275safe_read_from_string(cl_narg narg, cl_object v1string, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  ecl_va_list args; ecl_va_start(args,v1string,narg,1);
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1string,env0);              /*  STRING          */
  {
   cl_object keyvars[12];
   cl_parse_key(args,6,L275safe_read_from_stringkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[6])) {
    CLV1 = env0 = CONS(VV[20],env0);              /*  PACKAGE         */
   } else {
    CLV1 = env0 = CONS(keyvars[0],env0);          /*  PACKAGE         */
   }
   if (Null(keyvars[7])) {
    CLV2 = env0 = CONS(ECL_T,env0);               /*  EOF-ERROR-P     */
   } else {
    CLV2 = env0 = CONS(keyvars[1],env0);          /*  EOF-ERROR-P     */
   }
   CLV3 = env0 = CONS(keyvars[2],env0);           /*  EOF-VALUE       */
   if (Null(keyvars[9])) {
    CLV4 = env0 = CONS(ecl_make_fixnum(0),env0);  /*  START           */
   } else {
    CLV4 = env0 = CONS(keyvars[3],env0);          /*  START           */
   }
   CLV5 = env0 = CONS(keyvars[4],env0);           /*  END             */
   CLV6 = env0 = CONS(keyvars[5],env0);           /*  PRESERVE-WHITESPACE */
  }
  {
   cl_object v2;
   v2 = ecl_make_cclosure_va((cl_objectfn)LC274__g2013,env0,Cblock);
   T0 = v2;
  }
  value0 = ecl_function_dispatch(cl_env_copy,VV[516])(1, T0) /*  CALL-WITH-SAFE-IO-SYNTAX */;
  return value0;
 }
}
/*      closure G2013                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC274__g2013(cl_narg narg, ...)
{
 cl_object T0;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV6 = env0;                                     /*  PRESERVE-WHITESPACE */
 CLV5 = _ecl_cdr(CLV6);
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  T0 = cl_find_package(ECL_CONS_CAR(CLV1));
  ecl_bds_bind(cl_env_copy,ECL_SYM("*PACKAGE*",43),T0); /*  *PACKAGE* */
  value0 = cl_read_from_string(9, ECL_CONS_CAR(CLV0), ECL_CONS_CAR(CLV2), ECL_CONS_CAR(CLV3), ECL_SYM("START",1322), ECL_CONS_CAR(CLV4), ECL_SYM("END",1235), ECL_CONS_CAR(CLV5), VV[519], ECL_CONS_CAR(CLV6));
  ecl_bds_unwind1(cl_env_copy);
  return value0;
 }
 }
}
/*      function definition for CALL-WITH-OUTPUT-FILE                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L276call_with_output_file(volatile cl_narg narg, cl_object volatile v1pathname, cl_object volatile v2uiop_stream__thunk, ...)
{
 cl_object volatile env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v3uiop_stream__element_type;
  cl_object volatile v4uiop_stream__external_format;
  cl_object volatile v5uiop_stream__if_exists;
  cl_object volatile v6uiop_stream__if_does_not_exist;
  ecl_va_list args; ecl_va_start(args,v2uiop_stream__thunk,narg,2);
  {
   cl_object keyvars[8];
   cl_parse_key(args,4,L276call_with_output_filekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[4])) {
    v3uiop_stream__element_type = ecl_symbol_value(VV[497]);
   } else {
    v3uiop_stream__element_type = keyvars[0];
   }
   if (Null(keyvars[5])) {
    v4uiop_stream__external_format = ecl_symbol_value(VV[505]);
   } else {
    v4uiop_stream__external_format = keyvars[1];
   }
   if (Null(keyvars[6])) {
    v5uiop_stream__if_exists = ECL_SYM("ERROR",1239);
   } else {
    v5uiop_stream__if_exists = keyvars[2];
   }
   if (Null(keyvars[7])) {
    v6uiop_stream__if_does_not_exist = ECL_SYM("CREATE",1223);
   } else {
    v6uiop_stream__if_does_not_exist = keyvars[3];
   }
  }
  {
   volatile cl_object v7uiop_stream__s;
   v7uiop_stream__s = cl_open(11, v1pathname, ECL_SYM("DIRECTION",1228), ECL_SYM("OUTPUT",1294), ECL_SYM("ELEMENT-TYPE",1234), v3uiop_stream__element_type, ECL_SYM("EXTERNAL-FORMAT",1246), v4uiop_stream__external_format, ECL_SYM("IF-EXISTS",1256), v5uiop_stream__if_exists, ECL_SYM("IF-DOES-NOT-EXIST",1254), v6uiop_stream__if_does_not_exist);
   {
    volatile bool unwinding = FALSE;
    cl_index v8=ECL_STACK_INDEX(cl_env_copy),v9;
    ecl_frame_ptr next_fr;
    if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
      unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
    } else {
    {
     struct ecl_stack_frame _ecl_inner_frame_aux;
     volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
     {
      cl_object v10;
      v10 = _ecl_inner_frame;
      cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,v2uiop_stream__thunk)(1, v7uiop_stream__s);
      ecl_stack_frame_push_values(v10);
      if (Null(v7uiop_stream__s)) { goto L11; }
      cl_close(1, v7uiop_stream__s);
L11:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v10);
     }
     ecl_stack_frame_close(_ecl_inner_frame);
    }
      next_fr = NULL;
    }
    ecl_frs_pop(cl_env_copy);
    v9=ecl_stack_push_values(cl_env_copy);
    if (Null(v7uiop_stream__s)) { goto L13; }
    cl_close(3, v7uiop_stream__s, ECL_SYM("ABORT",1205), ECL_T);
L13:;
    ecl_stack_pop_values(cl_env_copy,v9);
    if (unwinding) ecl_unwind(cl_env_copy,next_fr);
    ECL_STACK_SET_INDEX(cl_env_copy,v8);
    return cl_env_copy->values[0];
   }
  }
 }
}
/*      local function WITH-OUTPUT-FILE                               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC277with_output_file(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   cl_object v5;
   cl_object v6uiop_stream__var;
   cl_object v7pathname;
   cl_object v8;
   cl_object v9;
   cl_object v10;
   cl_object v11;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v12;
    v12 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v12;
   }
   v5 = v4;
   if (!(v5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(v1);
L10:;
   {
    cl_object v12;
    v12 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v6uiop_stream__var = v12;
   }
   if (!(v5==ECL_NIL)) { goto L16; }
   si_dm_too_few_arguments(v1);
L16:;
   {
    cl_object v12;
    v12 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v7pathname = v12;
   }
   v8 = si_search_keyword(2, v5, ECL_SYM("ELEMENT-TYPE",1234));
   v9 = si_search_keyword(2, v5, ECL_SYM("EXTERNAL-FORMAT",1246));
   v10 = si_search_keyword(2, v5, ECL_SYM("IF-EXISTS",1256));
   v11 = si_search_keyword(2, v5, ECL_SYM("IF-DOES-NOT-EXIST",1254));
   si_check_keyword(2, v5, VV[521]);
   T0 = ecl_list1(v6uiop_stream__var);
   T1 = cl_listX(3, ECL_SYM("LAMBDA",452), T0, v3);
   T2 = cl_list(2, ECL_SYM("FUNCTION",396), T1);
   value0 = cl_listX(4, VV[520], v7pathname, T2, v5);
   return value0;
  }
 }
}
/*      function definition for CALL-WITH-OUTPUT                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L278call_with_output(cl_narg narg, cl_object v1uiop_stream__output, cl_object v2function, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3uiop_stream__keys;
  ecl_va_list args; ecl_va_start(args,v2function,narg,2);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L278call_with_outputkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v3uiop_stream__keys = keyvars[0];
  }
  if (!(v1uiop_stream__output==ECL_NIL)) { goto L1; }
  {
   cl_object v4stream;
   v4stream = cl_make_string_output_stream(0);
   ecl_function_dispatch(cl_env_copy,v2function)(1, v4stream);
   value0 = cl_get_output_stream_string(v4stream);
   return value0;
  }
L1:;
  if (Null(cl_typep(2, v1uiop_stream__output, VV[23]))) { goto L5; }
  value0 = ecl_function_dispatch(cl_env_copy,v2function)(1, ecl_symbol_value(ECL_SYM("*STANDARD-OUTPUT*",67)));
  return value0;
L5:;
  if (Null(cl_streamp(v1uiop_stream__output))) { goto L7; }
  value0 = ecl_function_dispatch(cl_env_copy,v2function)(1, v1uiop_stream__output);
  return value0;
L7:;
  if (!(ECL_STRINGP(v1uiop_stream__output))) { goto L9; }
  goto L13;
L12:;
  si_assert_failure(1, VV[524]);
L13:;
  if ((cl_fill_pointer(v1uiop_stream__output))!=ECL_NIL) { goto L16; }
  goto L12;
L16:;
  {
   cl_object v5stream;
   v5stream = si_make_string_output_stream_from_string(v1uiop_stream__output);
   value0 = ecl_function_dispatch(cl_env_copy,v2function)(1, v5stream);
   return value0;
  }
L9:;
  if (Null(cl_pathnamep(v1uiop_stream__output))) { goto L19; }
  value0 = cl_apply(4, VV[520], v1uiop_stream__output, v2function, v3uiop_stream__keys);
  return value0;
L19:;
  value0 = si_etypecase_error(v1uiop_stream__output, VV[525]);
  return value0;
 }
}
/*      local function WITH-OUTPUT                                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC279with_output(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   cl_object v5;
   cl_object v6uiop_stream__output_var;
   cl_object v7uiop_stream__value;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v8;
    v8 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v8;
   }
   v5 = v4;
   if (!(v5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(v1);
L10:;
   {
    cl_object v8;
    v8 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v6uiop_stream__output_var = v8;
   }
   if (Null(v5)) { goto L16; }
   {
    cl_object v8;
    v8 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v7uiop_stream__value = v8;
    goto L15;
   }
L16:;
   v7uiop_stream__value = v6uiop_stream__output_var;
L15:;
   if (Null(v5)) { goto L21; }
   si_dm_too_many_arguments(v1);
L21:;
   T0 = ecl_list1(v6uiop_stream__output_var);
   T1 = cl_listX(3, ECL_SYM("LAMBDA",452), T0, v3);
   T2 = cl_list(2, ECL_SYM("FUNCTION",396), T1);
   value0 = cl_list(3, VV[523], v7uiop_stream__value, T2);
   return value0;
  }
 }
}
/*      function definition for OUTPUT-STRING                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L281output_string(cl_narg narg, cl_object v1string, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_stream__output;
  va_list args; va_start(args,v1string);
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1string,env0);              /*  STRING          */
  {
   int i = 1;
   if (i >= narg) {
    v2uiop_stream__output = ECL_NIL;
   } else {
    i++;
    v2uiop_stream__output = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (Null(v2uiop_stream__output)) { goto L2; }
  {
   cl_object v3;
   v3 = ecl_make_cclosure_va((cl_objectfn)LC280__g2057,env0,Cblock);
   T0 = v3;
  }
  value0 = ecl_function_dispatch(cl_env_copy,VV[523])(2, v2uiop_stream__output, T0) /*  CALL-WITH-OUTPUT */;
  return value0;
L2:;
  value0 = ECL_CONS_CAR(CLV0);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      closure G2057                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC280__g2057(cl_narg narg, cl_object v1uiop_stream__output, ...)
{
 cl_object T0;
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  STRING          */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  T0 = ECL_CONS_CAR(CLV0);
  value0 = ecl_princ(T0,v1uiop_stream__output);
  cl_env_copy->nvalues = 1;
  return value0;
 }
 }
}
/*      function definition for CALL-WITH-INPUT-FILE                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L282call_with_input_file(volatile cl_narg narg, cl_object volatile v1pathname, cl_object volatile v2uiop_stream__thunk, ...)
{
 cl_object volatile env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v3uiop_stream__element_type;
  cl_object volatile v4uiop_stream__external_format;
  cl_object volatile v5uiop_stream__if_does_not_exist;
  ecl_va_list args; ecl_va_start(args,v2uiop_stream__thunk,narg,2);
  {
   cl_object keyvars[6];
   cl_parse_key(args,3,L282call_with_input_filekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[3])) {
    v3uiop_stream__element_type = ecl_symbol_value(VV[497]);
   } else {
    v3uiop_stream__element_type = keyvars[0];
   }
   if (Null(keyvars[4])) {
    v4uiop_stream__external_format = ecl_symbol_value(VV[505]);
   } else {
    v4uiop_stream__external_format = keyvars[1];
   }
   if (Null(keyvars[5])) {
    v5uiop_stream__if_does_not_exist = ECL_SYM("ERROR",1239);
   } else {
    v5uiop_stream__if_does_not_exist = keyvars[2];
   }
  }
  {
   volatile cl_object v6uiop_stream__s;
   v6uiop_stream__s = cl_open(9, v1pathname, ECL_SYM("DIRECTION",1228), ECL_SYM("INPUT",1266), ECL_SYM("ELEMENT-TYPE",1234), v3uiop_stream__element_type, ECL_SYM("EXTERNAL-FORMAT",1246), v4uiop_stream__external_format, ECL_SYM("IF-DOES-NOT-EXIST",1254), v5uiop_stream__if_does_not_exist);
   {
    volatile bool unwinding = FALSE;
    cl_index v7=ECL_STACK_INDEX(cl_env_copy),v8;
    ecl_frame_ptr next_fr;
    if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
      unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
    } else {
    {
     struct ecl_stack_frame _ecl_inner_frame_aux;
     volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
     {
      cl_object v9;
      v9 = _ecl_inner_frame;
      cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,v2uiop_stream__thunk)(1, v6uiop_stream__s);
      ecl_stack_frame_push_values(v9);
      if (Null(v6uiop_stream__s)) { goto L10; }
      cl_close(1, v6uiop_stream__s);
L10:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v9);
     }
     ecl_stack_frame_close(_ecl_inner_frame);
    }
      next_fr = NULL;
    }
    ecl_frs_pop(cl_env_copy);
    v8=ecl_stack_push_values(cl_env_copy);
    if (Null(v6uiop_stream__s)) { goto L12; }
    cl_close(3, v6uiop_stream__s, ECL_SYM("ABORT",1205), ECL_T);
L12:;
    ecl_stack_pop_values(cl_env_copy,v8);
    if (unwinding) ecl_unwind(cl_env_copy,next_fr);
    ECL_STACK_SET_INDEX(cl_env_copy,v7);
    return cl_env_copy->values[0];
   }
  }
 }
}
/*      local function WITH-INPUT-FILE                                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC283with_input_file(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   cl_object v5;
   cl_object v6uiop_stream__var;
   cl_object v7pathname;
   cl_object v8;
   cl_object v9;
   cl_object v10;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v11;
    v11 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v11;
   }
   v5 = v4;
   if (!(v5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(v1);
L10:;
   {
    cl_object v11;
    v11 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v6uiop_stream__var = v11;
   }
   if (!(v5==ECL_NIL)) { goto L16; }
   si_dm_too_few_arguments(v1);
L16:;
   {
    cl_object v11;
    v11 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v7pathname = v11;
   }
   v8 = si_search_keyword(2, v5, ECL_SYM("ELEMENT-TYPE",1234));
   v9 = si_search_keyword(2, v5, ECL_SYM("EXTERNAL-FORMAT",1246));
   v10 = si_search_keyword(2, v5, ECL_SYM("IF-DOES-NOT-EXIST",1254));
   si_check_keyword(2, v5, VV[529]);
   T0 = ecl_list1(v6uiop_stream__var);
   T1 = cl_listX(3, ECL_SYM("LAMBDA",452), T0, v3);
   T2 = cl_list(2, ECL_SYM("FUNCTION",396), T1);
   value0 = cl_listX(4, VV[528], v7pathname, T2, v5);
   return value0;
  }
 }
}
/*      function definition for CALL-WITH-INPUT                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L284call_with_input(cl_narg narg, cl_object v1uiop_stream__input, cl_object v2function, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3uiop_stream__keys;
  ecl_va_list args; ecl_va_start(args,v2function,narg,2);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L284call_with_inputkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v3uiop_stream__keys = keyvars[0];
  }
  if (!(v1uiop_stream__input==ECL_NIL)) { goto L1; }
  value0 = ecl_function_dispatch(cl_env_copy,v2function)(1, ecl_symbol_value(ECL_SYM("*STANDARD-INPUT*",66)));
  return value0;
L1:;
  if (Null(cl_typep(2, v1uiop_stream__input, VV[23]))) { goto L3; }
  value0 = ecl_function_dispatch(cl_env_copy,v2function)(1, ecl_symbol_value(ECL_SYM("*TERMINAL-IO*",68)));
  return value0;
L3:;
  if (Null(cl_streamp(v1uiop_stream__input))) { goto L5; }
  value0 = ecl_function_dispatch(cl_env_copy,v2function)(1, v1uiop_stream__input);
  return value0;
L5:;
  if (!(ECL_STRINGP(v1uiop_stream__input))) { goto L7; }
  {
   cl_object v4stream;
   v4stream = cl_make_string_input_stream(3, v1uiop_stream__input, ecl_make_fixnum(0), ECL_NIL);
   value0 = ecl_function_dispatch(cl_env_copy,v2function)(1, v4stream);
   return value0;
  }
L7:;
  if (Null(cl_pathnamep(v1uiop_stream__input))) { goto L10; }
  value0 = cl_apply(4, VV[528], v1uiop_stream__input, v2function, v3uiop_stream__keys);
  return value0;
L10:;
  value0 = si_etypecase_error(v1uiop_stream__input, VV[525]);
  return value0;
 }
}
/*      local function WITH-INPUT                                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC285with_input(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   cl_object v5;
   cl_object v6uiop_stream__input_var;
   cl_object v7uiop_stream__value;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v8;
    v8 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v8;
   }
   v5 = v4;
   if (!(v5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(v1);
L10:;
   {
    cl_object v8;
    v8 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v6uiop_stream__input_var = v8;
   }
   if (Null(v5)) { goto L16; }
   {
    cl_object v8;
    v8 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v7uiop_stream__value = v8;
    goto L15;
   }
L16:;
   v7uiop_stream__value = v6uiop_stream__input_var;
L15:;
   if (Null(v5)) { goto L21; }
   si_dm_too_many_arguments(v1);
L21:;
   T0 = ecl_list1(v6uiop_stream__input_var);
   T1 = cl_listX(3, ECL_SYM("LAMBDA",452), T0, v3);
   T2 = cl_list(2, ECL_SYM("FUNCTION",396), T1);
   value0 = cl_list(3, VV[531], v7uiop_stream__value, T2);
   return value0;
  }
 }
}
/*      function definition for INPUT-STRING                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L287input_string(cl_narg narg, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object v1uiop_stream__input;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    v1uiop_stream__input = ECL_NIL;
   } else {
    i++;
    v1uiop_stream__input = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (!(ECL_STRINGP(v1uiop_stream__input))) { goto L2; }
  value0 = v1uiop_stream__input;
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  {
   cl_object v2;
   v2 = ecl_make_cfun((cl_objectfn_fixed)LC286__g2094,ECL_NIL,Cblock,1);
   T0 = v2;
  }
  value0 = ecl_function_dispatch(cl_env_copy,VV[531])(2, v1uiop_stream__input, T0) /*  CALL-WITH-INPUT */;
  return value0;
 }
}
/*      local function G2094                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC286__g2094(cl_object v1uiop_stream__input)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[534])(1, v1uiop_stream__input);
  return value0;
 }
}
/*      function definition for NULL-DEVICE-PATHNAME                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L288null_device_pathname()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[536];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CALL-WITH-NULL-INPUT                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L289call_with_null_input(cl_narg narg, cl_object v1uiop_stream__fun, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_stream__keys;
  cl_object v3uiop_stream__element_type;
  cl_object v4uiop_stream__external_format;
  cl_object v5uiop_stream__if_does_not_exist;
  ecl_va_list args; ecl_va_start(args,v1uiop_stream__fun,narg,1);
  {
   cl_object keyvars[6];
   cl_parse_key(args,3,L289call_with_null_inputkeys,keyvars,(cl_object*)&v2uiop_stream__keys,FALSE);
   ecl_va_end(args);
   v3uiop_stream__element_type = keyvars[0];
   v4uiop_stream__external_format = keyvars[1];
   v5uiop_stream__if_does_not_exist = keyvars[2];
  }
  T0 = ecl_function_dispatch(cl_env_copy,VV[535])(0) /*  NULL-DEVICE-PATHNAME */;
  value0 = cl_apply(4, VV[528], T0, v1uiop_stream__fun, v2uiop_stream__keys);
  return value0;
 }
}
/*      local function WITH-NULL-INPUT                                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC290with_null_input(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   cl_object v5;
   cl_object v6uiop_stream__var;
   cl_object v7;
   cl_object v8;
   cl_object v9;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v10;
    v10 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v10;
   }
   v5 = v4;
   if (!(v5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(v1);
L10:;
   {
    cl_object v10;
    v10 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v6uiop_stream__var = v10;
   }
   v7 = si_search_keyword(2, v5, ECL_SYM("ELEMENT-TYPE",1234));
   v8 = si_search_keyword(2, v5, ECL_SYM("EXTERNAL-FORMAT",1246));
   v9 = si_search_keyword(2, v5, ECL_SYM("IF-DOES-NOT-EXIST",1254));
   si_check_keyword(2, v5, VV[529]);
   T0 = ecl_list1(v6uiop_stream__var);
   T1 = cl_listX(3, ECL_SYM("LAMBDA",452), T0, v3);
   T2 = cl_list(2, ECL_SYM("FUNCTION",396), T1);
   value0 = cl_listX(3, VV[537], T2, v5);
   return value0;
  }
 }
}
/*      function definition for CALL-WITH-NULL-OUTPUT                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L291call_with_null_output(cl_narg narg, cl_object v1uiop_stream__fun, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_stream__element_type;
  cl_object v3uiop_stream__external_format;
  cl_object v4uiop_stream__if_exists;
  cl_object v5uiop_stream__if_does_not_exist;
  ecl_va_list args; ecl_va_start(args,v1uiop_stream__fun,narg,1);
  {
   cl_object keyvars[8];
   cl_parse_key(args,4,L291call_with_null_outputkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[4])) {
    v2uiop_stream__element_type = ecl_symbol_value(VV[497]);
   } else {
    v2uiop_stream__element_type = keyvars[0];
   }
   if (Null(keyvars[5])) {
    v3uiop_stream__external_format = ecl_symbol_value(VV[505]);
   } else {
    v3uiop_stream__external_format = keyvars[1];
   }
   if (Null(keyvars[6])) {
    v4uiop_stream__if_exists = ECL_SYM("OVERWRITE",1295);
   } else {
    v4uiop_stream__if_exists = keyvars[2];
   }
   if (Null(keyvars[7])) {
    v5uiop_stream__if_does_not_exist = ECL_SYM("ERROR",1239);
   } else {
    v5uiop_stream__if_does_not_exist = keyvars[3];
   }
  }
  T0 = ecl_function_dispatch(cl_env_copy,VV[535])(0) /*  NULL-DEVICE-PATHNAME */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[520])(10, T0, v1uiop_stream__fun, ECL_SYM("ELEMENT-TYPE",1234), v2uiop_stream__element_type, ECL_SYM("EXTERNAL-FORMAT",1246), v3uiop_stream__external_format, ECL_SYM("IF-EXISTS",1256), v4uiop_stream__if_exists, ECL_SYM("IF-DOES-NOT-EXIST",1254), v5uiop_stream__if_does_not_exist) /*  CALL-WITH-OUTPUT-FILE */;
  return value0;
 }
}
/*      local function WITH-NULL-OUTPUT                               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC292with_null_output(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   cl_object v5;
   cl_object v6uiop_stream__var;
   cl_object v7;
   cl_object v8;
   cl_object v9;
   cl_object v10;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v11;
    v11 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v11;
   }
   v5 = v4;
   if (!(v5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(v1);
L10:;
   {
    cl_object v11;
    v11 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v6uiop_stream__var = v11;
   }
   v7 = si_search_keyword(2, v5, ECL_SYM("ELEMENT-TYPE",1234));
   v8 = si_search_keyword(2, v5, ECL_SYM("EXTERNAL-FORMAT",1246));
   v9 = si_search_keyword(2, v5, ECL_SYM("IF-DOES-NOT-EXIST",1254));
   v10 = si_search_keyword(2, v5, ECL_SYM("IF-EXISTS",1256));
   si_check_keyword(2, v5, VV[540]);
   T0 = ecl_list1(v6uiop_stream__var);
   T1 = cl_listX(3, ECL_SYM("LAMBDA",452), T0, v3);
   T2 = cl_list(2, ECL_SYM("FUNCTION",396), T1);
   value0 = cl_listX(3, VV[539], T2, v5);
   return value0;
  }
 }
}
/*      function definition for FINISH-OUTPUTS                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L294finish_outputs(volatile cl_narg narg, ...)
{
 cl_object T0, T1, T2, T3;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object volatile v1uiop_stream__streams;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1uiop_stream__streams = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   volatile cl_object v2;
   T0 = cl_list(8, ecl_symbol_value(VV[500]), ecl_symbol_value(VV[502]), ecl_symbol_value(ECL_SYM("*ERROR-OUTPUT*",33)), ecl_symbol_value(ECL_SYM("*STANDARD-OUTPUT*",67)), ecl_symbol_value(ECL_SYM("*TRACE-OUTPUT*",69)), ecl_symbol_value(ECL_SYM("*DEBUG-IO*",30)), ecl_symbol_value(ECL_SYM("*TERMINAL-IO*",68)), ecl_symbol_value(ECL_SYM("*QUERY-IO*",59)));
   v2 = ecl_append(v1uiop_stream__streams,T0);
   goto L5;
L4:;
   {
    volatile cl_object v3uiop_stream__s;
    v3uiop_stream__s = ecl_car(v2);
    {
     volatile cl_object env1 = env0;
     env1 = ECL_NIL;
     CLV0 = env1 = CONS(ECL_NIL,env1);
     {
      volatile cl_object env2 = env1;
      CLV1 = env2 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
      if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
      if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L10;
      ecl_internal_error("GO found an inexistent tag");
      }
      {
       cl_object v4;
       v4 = ecl_make_cclosure_va((cl_objectfn)LC293__g2151,env2,Cblock);
       T0 = v4;
      }
      T1 = CONS(ECL_SYM("ERROR",337),T0);
      T2 = ecl_list1(T1);
      T3 = CONS(T2,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
      ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T3); /*  *HANDLER-CLUSTERS* */
      cl_finish_output(1, v3uiop_stream__s);
      ecl_frs_pop(cl_env_copy);
      ecl_bds_unwind1(cl_env_copy);
      goto L9;
L10:;
      {
       cl_object v4condition;
       v4condition = ECL_CONS_CAR(CLV0);
       ecl_frs_pop(cl_env_copy);
       goto L9;
      }
     }
    }
L9:;
   }
   v2 = ecl_cdr(v2);
L5:;
   if (Null(v2)) { goto L19; }
   goto L4;
L19:;
  }
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 0;
  return value0;
 }
}
/*      function definition for FORMAT!                               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L295format_(cl_narg narg, cl_object v1stream, cl_object v2format, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3uiop_stream__args;
  ecl_va_list args; ecl_va_start(args,v2format,narg,2);
  v3uiop_stream__args = cl_grab_rest_args(args);
  ecl_va_end(args);
  ecl_function_dispatch(cl_env_copy,VV[542])(1, v1stream) /*  FINISH-OUTPUTS */;
  cl_apply(4, ECL_SYM("FORMAT",387), v1stream, v2format, v3uiop_stream__args);
  value0 = ecl_function_dispatch(cl_env_copy,VV[542])(1, v1stream) /*  FINISH-OUTPUTS */;
  return value0;
 }
}
/*      function definition for SAFE-FORMAT!                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L298safe_format_(volatile cl_narg narg, cl_object volatile v1stream, cl_object volatile v2format, ...)
{
 cl_object T0;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v3uiop_stream__args;
  ecl_va_list args; ecl_va_start(args,v2format,narg,2);
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1stream,env0);              /*  STREAM          */
  CLV1 = env0 = CONS(v2format,env0);              /*  FORMAT          */
  v3uiop_stream__args = cl_grab_rest_args(args);
  CLV2 = env0 = CONS(v3uiop_stream__args,env0);   /*  ARGS            */
  ecl_va_end(args);
  {
   cl_object volatile v4;
   v4 = ecl_make_cclosure_va((cl_objectfn)LC297__g2158,env0,Cblock);
   T0 = v4;
  }
  value0 = ecl_function_dispatch(cl_env_copy,VV[516])(1, T0) /*  CALL-WITH-SAFE-IO-SYNTAX */;
  return value0;
 }
}
/*      closure G2151                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC293__g2151(cl_narg narg, cl_object v1si__temp, ...)
{
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  TAGBODY         */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV0) = v1si__temp;
  cl_go(ECL_CONS_CAR(CLV1),ecl_make_fixnum(0));
 }
 }
}
/*      closure G2158                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC297__g2158(volatile cl_narg narg, ...)
{
 cl_object T0, T1, T2, T3;
 cl_object volatile CLV0, CLV1, CLV2, CLV3, CLV4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile env0 = cl_env_copy->function->cclosure.env;
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV2 = env0;                                     /*  ARGS            */
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  T0 = cl_find_package(VV[20]);
  ecl_bds_bind(cl_env_copy,ECL_SYM("*PACKAGE*",43),T0); /*  *PACKAGE* */
  {
   volatile cl_object env1 = env0;
   CLV3 = env1 = CONS(ECL_NIL,env1);
   {
    volatile cl_object env2 = env1;
    CLV4 = env2 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
    if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV4))) {
    if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L2;
    ecl_internal_error("GO found an inexistent tag");
    }
    {
     cl_object v1;
     v1 = ecl_make_cclosure_va((cl_objectfn)LC296__g2162,env2,Cblock);
     T0 = v1;
    }
    T1 = CONS(ECL_SYM("ERROR",337),T0);
    T2 = ecl_list1(T1);
    T3 = CONS(T2,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
    ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T3); /*  *HANDLER-CLUSTERS* */
    cl_apply(4, VV[543], ECL_CONS_CAR(CLV0), ECL_CONS_CAR(CLV1), ECL_CONS_CAR(CLV2));
    ecl_frs_pop(cl_env_copy);
    ecl_bds_unwind1(cl_env_copy);
    goto L1;
L2:;
    {
     cl_object v1condition;
     v1condition = ECL_CONS_CAR(CLV3);
     ecl_frs_pop(cl_env_copy);
     goto L1;
    }
   }
  }
L1:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[542])(1, ECL_CONS_CAR(CLV0)) /*  FINISH-OUTPUTS */;
  ecl_bds_unwind1(cl_env_copy);
  return value0;
 }
 }
}
/*      closure G2162                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC296__g2162(cl_narg narg, cl_object v1si__temp, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV4 = env0;                                     /*  TAGBODY         */
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV3) = v1si__temp;
  cl_go(ECL_CONS_CAR(CLV4),ecl_make_fixnum(0));
 }
 }
}
/*      function definition for COPY-STREAM-TO-STREAM                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L299copy_stream_to_stream(volatile cl_narg narg, cl_object volatile v1uiop_stream__input, cl_object volatile v2uiop_stream__output, ...)
{
 cl_object T0, T1;
 cl_object volatile env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v3uiop_stream__element_type;
  cl_object volatile v4uiop_stream__buffer_size;
  cl_object volatile v5uiop_stream__linewise;
  cl_object volatile v6uiop_stream__prefix;
  ecl_va_list args; ecl_va_start(args,v2uiop_stream__output,narg,2);
  {
   cl_object keyvars[8];
   cl_parse_key(args,4,L299copy_stream_to_streamkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v3uiop_stream__element_type = keyvars[0];
   v4uiop_stream__buffer_size = keyvars[1];
   v5uiop_stream__linewise = keyvars[2];
   v6uiop_stream__prefix = keyvars[3];
  }
  {
   volatile bool unwinding = FALSE;
   cl_index v7=ECL_STACK_INDEX(cl_env_copy),v8;
   ecl_frame_ptr next_fr;
   if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
     unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
   } else {
   if (Null(v5uiop_stream__linewise)) { goto L2; }
   {
    cl_object v9uiop_stream__line;
    cl_object v10uiop_stream__eof;
    v9uiop_stream__line = ECL_NIL;
    v10uiop_stream__eof = ECL_NIL;
L6:;
    {
     cl_object v11;
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       cl_object v12;
       v12 = _ecl_inner_frame;
       {
        cl_object v13;
        v13 = ECL_SYM("LIST",481);
        cl_env_copy->values[0] = cl_read_line(3, v1uiop_stream__input, ECL_NIL, ECL_NIL);
        ecl_stack_frame_push_values(v12);cl_env_copy->values[0]=ecl_apply_from_stack_frame(v12,v13);
        value0 = cl_env_copy->values[0];
       }
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
     v11 = value0;
     v9uiop_stream__line = ecl_car(v11);
     v11 = ecl_cdr(v11);
     v10uiop_stream__eof = ecl_car(v11);
    }
    if ((v9uiop_stream__line)!=ECL_NIL) { goto L20; }
    goto L7;
L20:;
    if (Null(v6uiop_stream__prefix)) { goto L23; }
    ecl_princ(v6uiop_stream__prefix,v2uiop_stream__output);
L23:;
    ecl_princ(v9uiop_stream__line,v2uiop_stream__output);
    if ((v10uiop_stream__eof)!=ECL_NIL) { goto L26; }
    ecl_terpri(v2uiop_stream__output);
L26:;
    cl_finish_output(1, v2uiop_stream__output);
    if (Null(v10uiop_stream__eof)) { goto L22; }
    cl_env_copy->values[0] = ECL_NIL;
    cl_env_copy->nvalues = 1;
    goto L1;
L22:;
    goto L6;
L7:;
    cl_env_copy->values[0] = ECL_NIL;
    cl_env_copy->nvalues = 1;
    goto L1;
   }
L2:;
   {
    cl_object v11uiop_stream__buffer_size;
    value0 = v4uiop_stream__buffer_size;
    if ((value0)!=ECL_NIL) { goto L33; }
    v11uiop_stream__buffer_size = ecl_make_fixnum(8192);
    goto L31;
L33:;
    v11uiop_stream__buffer_size = value0;
    goto L31;
L31:;
    {
     cl_object v12uiop_stream__buffer;
     value0 = v3uiop_stream__element_type;
     if ((value0)!=ECL_NIL) { goto L38; }
     T0 = ECL_SYM("CHARACTER",222);
     goto L36;
L38:;
     T0 = value0;
     goto L36;
L36:;
     T1 = ecl_list1(v11uiop_stream__buffer_size);
     v12uiop_stream__buffer = si_make_pure_array(T0, T1, ECL_NIL, ECL_NIL, ECL_NIL, ecl_make_fixnum(0));
     {
      cl_object v13uiop_stream__end;
      v13uiop_stream__end = ECL_NIL;
L41:;
      v13uiop_stream__end = cl_read_sequence(2, v12uiop_stream__buffer, v1uiop_stream__input);
      if (!(ecl_zerop(v13uiop_stream__end))) { goto L45; }
      goto L42;
L45:;
      cl_write_sequence(4, v12uiop_stream__buffer, v2uiop_stream__output, ECL_SYM("END",1235), v13uiop_stream__end);
      if (!(ecl_number_compare(v13uiop_stream__end,v11uiop_stream__buffer_size)<0)) { goto L47; }
      cl_env_copy->values[0] = ECL_NIL;
      cl_env_copy->nvalues = 1;
      goto L1;
L47:;
      goto L41;
L42:;
      cl_env_copy->values[0] = ECL_NIL;
      cl_env_copy->nvalues = 1;
     }
    }
   }
L1:;
     next_fr = NULL;
   }
   ecl_frs_pop(cl_env_copy);
   v8=ecl_stack_push_values(cl_env_copy);
   cl_close(1, v1uiop_stream__input);
   ecl_stack_pop_values(cl_env_copy,v8);
   if (unwinding) ecl_unwind(cl_env_copy,next_fr);
   ECL_STACK_SET_INDEX(cl_env_copy,v7);
   return cl_env_copy->values[0];
  }
 }
}
/*      function definition for CONCATENATE-FILES                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L300concatenate_files(cl_object volatile v1uiop_stream__inputs, cl_object volatile v2uiop_stream__output)
{
 cl_object volatile env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object v3uiop_stream__o;
   v3uiop_stream__o = cl_open(7, v2uiop_stream__output, ECL_SYM("ELEMENT-TYPE",1234), VV[297], ECL_SYM("DIRECTION",1228), ECL_SYM("OUTPUT",1294), ECL_SYM("IF-EXISTS",1256), ECL_SYM("RENAME-AND-DELETE",1313));
   {
    volatile bool unwinding = FALSE;
    cl_index v4=ECL_STACK_INDEX(cl_env_copy),v5;
    ecl_frame_ptr next_fr;
    if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
      unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
    } else {
    {
     struct ecl_stack_frame _ecl_inner_frame_aux;
     volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
     {
      volatile cl_object v6;
      v6 = _ecl_inner_frame;
      {
       volatile cl_object v7;
       v7 = v1uiop_stream__inputs;
       goto L10;
L9:;
       {
        volatile cl_object v8uiop_stream__input;
        v8uiop_stream__input = ecl_car(v7);
        {
         volatile cl_object v9uiop_stream__i;
         v9uiop_stream__i = cl_open(7, v8uiop_stream__input, ECL_SYM("ELEMENT-TYPE",1234), VV[297], ECL_SYM("DIRECTION",1228), ECL_SYM("INPUT",1266), ECL_SYM("IF-DOES-NOT-EXIST",1254), ECL_SYM("ERROR",1239));
         {
          volatile bool unwinding = FALSE;
          cl_index v10=ECL_STACK_INDEX(cl_env_copy),v11;
          ecl_frame_ptr next_fr;
          if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
            unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
          } else {
          {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v12;
          v12 = _ecl_inner_frame;
          cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,VV[545])(4, v9uiop_stream__i, v3uiop_stream__o, ECL_SYM("ELEMENT-TYPE",1234), VV[297]) /*  COPY-STREAM-TO-STREAM */;
          ecl_stack_frame_push_values(v12);
          if (Null(v9uiop_stream__i)) { goto L21; }
          cl_close(1, v9uiop_stream__i);
L21:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v12);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
          }
            next_fr = NULL;
          }
          ecl_frs_pop(cl_env_copy);
          v11=ecl_stack_push_values(cl_env_copy);
          if (Null(v9uiop_stream__i)) { goto L23; }
          cl_close(3, v9uiop_stream__i, ECL_SYM("ABORT",1205), ECL_T);
L23:;
          ecl_stack_pop_values(cl_env_copy,v11);
          if (unwinding) ecl_unwind(cl_env_copy,next_fr);
          ECL_STACK_SET_INDEX(cl_env_copy,v10);
         }
        }
       }
       v7 = ecl_cdr(v7);
L10:;
       if (Null(v7)) { goto L27; }
       goto L9;
L27:;
       cl_env_copy->values[0] = ECL_NIL;
       cl_env_copy->nvalues = 1;
      }
      ecl_stack_frame_push_values(v6);
      if (Null(v3uiop_stream__o)) { goto L29; }
      cl_close(1, v3uiop_stream__o);
L29:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v6);
     }
     ecl_stack_frame_close(_ecl_inner_frame);
    }
      next_fr = NULL;
    }
    ecl_frs_pop(cl_env_copy);
    v5=ecl_stack_push_values(cl_env_copy);
    if (Null(v3uiop_stream__o)) { goto L31; }
    cl_close(3, v3uiop_stream__o, ECL_SYM("ABORT",1205), ECL_T);
L31:;
    ecl_stack_pop_values(cl_env_copy,v5);
    if (unwinding) ecl_unwind(cl_env_copy,next_fr);
    ECL_STACK_SET_INDEX(cl_env_copy,v4);
    return cl_env_copy->values[0];
   }
  }
 }
}
/*      function definition for COPY-FILE                             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L301copy_file(cl_object v1uiop_stream__input, cl_object v2uiop_stream__output)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = si_copy_file(v1uiop_stream__input, v2uiop_stream__output);
  return value0;
 }
}
/*      function definition for SLURP-STREAM-STRING                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L302slurp_stream_string(volatile cl_narg narg, cl_object volatile v1uiop_stream__input, ...)
{
 cl_object volatile env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v2uiop_stream__element_type;
  cl_object volatile v3uiop_stream__stripped;
  ecl_va_list args; ecl_va_start(args,v1uiop_stream__input,narg,1);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,L302slurp_stream_stringkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[2])) {
    v2uiop_stream__element_type = ECL_SYM("CHARACTER",222);
   } else {
    v2uiop_stream__element_type = keyvars[0];
   }
   v3uiop_stream__stripped = keyvars[1];
  }
  {
   volatile cl_object v4string;
   {
    volatile bool unwinding = FALSE;
    cl_index v5=ECL_STACK_INDEX(cl_env_copy),v6;
    ecl_frame_ptr next_fr;
    if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
      unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
    } else {
    {
     cl_object v7uiop_stream__output;
     v7uiop_stream__output = cl_make_string_output_stream(0);
     ecl_function_dispatch(cl_env_copy,VV[545])(4, v1uiop_stream__input, v7uiop_stream__output, ECL_SYM("ELEMENT-TYPE",1234), v2uiop_stream__element_type) /*  COPY-STREAM-TO-STREAM */;
     cl_env_copy->values[0] = cl_get_output_stream_string(v7uiop_stream__output);
    }
      next_fr = NULL;
    }
    ecl_frs_pop(cl_env_copy);
    v6=ecl_stack_push_values(cl_env_copy);
    cl_close(1, v1uiop_stream__input);
    ecl_stack_pop_values(cl_env_copy,v6);
    if (unwinding) ecl_unwind(cl_env_copy,next_fr);
    v4string = cl_env_copy->values[0];
    ECL_STACK_SET_INDEX(cl_env_copy,v5);
   }
   if (Null(v3uiop_stream__stripped)) { goto L7; }
   value0 = ecl_function_dispatch(cl_env_copy,VV[187])(1, v4string) /*  STRIPLN */;
   return value0;
L7:;
   value0 = v4string;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for SLURP-STREAM-LINES                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L303slurp_stream_lines(volatile cl_narg narg, cl_object volatile v1uiop_stream__input, ...)
{
 cl_object T0, T1;
 cl_object volatile env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v2count;
  ecl_va_list args; ecl_va_start(args,v1uiop_stream__input,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L303slurp_stream_lineskeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v2count = keyvars[0];
  }
  {
   cl_object v3;
   v3 = v2count;
   if (v3==ECL_NIL) { goto L3; }
   if (ECL_FIXNUMP(v3)||ECL_BIGNUMP(v3)) { goto L3; }
   v2count = si_do_check_type(v3, VV[549], ECL_NIL, ECL_SYM("COUNT",266));
L3:;
  }
  {
   volatile bool unwinding = FALSE;
   cl_index v3=ECL_STACK_INDEX(cl_env_copy),v4;
   ecl_frame_ptr next_fr;
   if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
     unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
   } else {
   {
    cl_object v5uiop_stream__n;
    v5uiop_stream__n = ecl_make_fixnum(0);
    {
     cl_object v6uiop_stream__l;
     v6uiop_stream__l = ECL_NIL;
     {
      cl_object v7;
      cl_object v8;
      v7 = ecl_list1(ECL_NIL);
      v8 = v7;
L12:;
      if (Null(v2count)) { goto L19; }
      if (!(ecl_number_compare(v5uiop_stream__n,v2count)<0)) { goto L17; }
      goto L18;
L19:;
L18:;
      v6uiop_stream__l = cl_read_line(3, v1uiop_stream__input, ECL_NIL, ECL_NIL);
      goto L15;
L17:;
      v6uiop_stream__l = ECL_NIL;
      goto L15;
L15:;
      if ((v6uiop_stream__l)!=ECL_NIL) { goto L21; }
      goto L13;
L21:;
      {
       cl_object v9;
       v9 = v8;
       if (ecl_unlikely(ECL_ATOM(v9))) FEtype_error_cons(v9);
       T0 = v9;
      }
      T1 = ecl_function_dispatch(cl_env_copy,VV[187])(1, v6uiop_stream__l) /*  STRIPLN */;
      v8 = ecl_list1(T1);
      (ECL_CONS_CDR(T0)=v8,T0);
      v5uiop_stream__n = ecl_one_plus(v5uiop_stream__n);
      goto L12;
L13:;
      cl_env_copy->values[0] = ecl_cdr(v7);
      cl_env_copy->nvalues = 1;
      goto L7;
     }
    }
   }
L7:;
     next_fr = NULL;
   }
   ecl_frs_pop(cl_env_copy);
   v4=ecl_stack_push_values(cl_env_copy);
   cl_close(1, v1uiop_stream__input);
   ecl_stack_pop_values(cl_env_copy,v4);
   if (unwinding) ecl_unwind(cl_env_copy,next_fr);
   ECL_STACK_SET_INDEX(cl_env_copy,v3);
   return cl_env_copy->values[0];
  }
 }
}
/*      function definition for SLURP-STREAM-LINE                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L304slurp_stream_line(cl_narg narg, cl_object v1uiop_stream__input, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_stream__at;
  ecl_va_list args; ecl_va_start(args,v1uiop_stream__input,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L304slurp_stream_linekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[1])) {
    v2uiop_stream__at = ecl_make_fixnum(0);
   } else {
    v2uiop_stream__at = keyvars[0];
   }
  }
  T0 = ecl_function_dispatch(cl_env_copy,VV[211])(1, v2uiop_stream__at) /*  ACCESS-AT-COUNT */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[548])(3, v1uiop_stream__input, ECL_SYM("COUNT",1466), T0) /*  SLURP-STREAM-LINES */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[209])(2, T1, v2uiop_stream__at) /*  ACCESS-AT */;
  return value0;
 }
}
/*      function definition for SLURP-STREAM-FORMS                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L305slurp_stream_forms(cl_narg narg, cl_object v1uiop_stream__input, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2count;
  ecl_va_list args; ecl_va_start(args,v1uiop_stream__input,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L305slurp_stream_formskeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v2count = keyvars[0];
  }
  {
   cl_object v3;
   v3 = v2count;
   if (v3==ECL_NIL) { goto L3; }
   if (ECL_FIXNUMP(v3)||ECL_BIGNUMP(v3)) { goto L3; }
   v2count = si_do_check_type(v3, VV[549], ECL_NIL, ECL_SYM("COUNT",266));
L3:;
  }
  {
   cl_object v3uiop_stream__n;
   v3uiop_stream__n = ecl_make_fixnum(0);
   {
    cl_object v4uiop_stream__form;
    v4uiop_stream__form = ECL_NIL;
    {
     cl_object v5;
     cl_object v6;
     v5 = ecl_list1(ECL_NIL);
     v6 = v5;
L11:;
     if (Null(v2count)) { goto L15; }
     if (!(ecl_number_compare(v3uiop_stream__n,v2count)>=0)) { goto L15; }
     v4uiop_stream__form = VV[552];
     goto L14;
L15:;
     v4uiop_stream__form = cl_read_preserving_whitespace(3, v1uiop_stream__input, ECL_NIL, VV[552]);
L14:;
     if (!((v4uiop_stream__form)==(VV[552]))) { goto L18; }
     goto L12;
L18:;
     {
      cl_object v7;
      v7 = v6;
      if (ecl_unlikely(ECL_ATOM(v7))) FEtype_error_cons(v7);
      T0 = v7;
     }
     v6 = ecl_list1(v4uiop_stream__form);
     (ECL_CONS_CDR(T0)=v6,T0);
     v3uiop_stream__n = ecl_one_plus(v3uiop_stream__n);
     goto L11;
L12:;
     value0 = ecl_cdr(v5);
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*      function definition for SLURP-STREAM-FORM                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L306slurp_stream_form(cl_narg narg, cl_object v1uiop_stream__input, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_stream__at;
  ecl_va_list args; ecl_va_start(args,v1uiop_stream__input,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L306slurp_stream_formkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[1])) {
    v2uiop_stream__at = ecl_make_fixnum(0);
   } else {
    v2uiop_stream__at = keyvars[0];
   }
  }
  T0 = ecl_function_dispatch(cl_env_copy,VV[211])(1, v2uiop_stream__at) /*  ACCESS-AT-COUNT */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[551])(3, v1uiop_stream__input, ECL_SYM("COUNT",1466), T0) /*  SLURP-STREAM-FORMS */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[209])(2, T1, v2uiop_stream__at) /*  ACCESS-AT */;
  return value0;
 }
}
/*      function definition for READ-FILE-STRING                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L307read_file_string(cl_narg narg, cl_object v1uiop_stream__file, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_stream__keys;
  ecl_va_list args; ecl_va_start(args,v1uiop_stream__file,narg,1);
  v2uiop_stream__keys = cl_grab_rest_args(args);
  ecl_va_end(args);
  value0 = cl_apply(4, VV[528], v1uiop_stream__file, VV[534], v2uiop_stream__keys);
  return value0;
 }
}
/*      function definition for READ-FILE-LINES                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L308read_file_lines(cl_narg narg, cl_object v1uiop_stream__file, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_stream__keys;
  ecl_va_list args; ecl_va_start(args,v1uiop_stream__file,narg,1);
  v2uiop_stream__keys = cl_grab_rest_args(args);
  ecl_va_end(args);
  value0 = cl_apply(4, VV[528], v1uiop_stream__file, VV[548], v2uiop_stream__keys);
  return value0;
 }
}
/*      function definition for READ-FILE-LINE                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L310read_file_line(cl_narg narg, cl_object v1uiop_stream__file, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_stream__keys;
  ecl_va_list args; ecl_va_start(args,v1uiop_stream__file,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L310read_file_linekeys,keyvars,(cl_object*)&v2uiop_stream__keys,TRUE);
   ecl_va_end(args);
   if (Null(keyvars[1])) {
    env0 = ECL_NIL;
    CLV0 = env0 = CONS(ecl_make_fixnum(0),env0);  /*  AT              */
   } else {
    env0 = ECL_NIL;
    CLV0 = env0 = CONS(keyvars[0],env0);          /*  AT              */
   }
  }
  {
   cl_object v3;
   v3 = ecl_make_cclosure_va((cl_objectfn)LC309__g2198,env0,Cblock);
   T0 = v3;
  }
  T1 = ecl_function_dispatch(cl_env_copy,VV[162])(2, VV[557], v2uiop_stream__keys) /*  REMOVE-PLIST-KEY */;
  value0 = cl_apply(4, VV[528], v1uiop_stream__file, T0, T1);
  return value0;
 }
}
/*      function definition for READ-FILE-FORMS                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L312read_file_forms(cl_narg narg, cl_object v1uiop_stream__file, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_stream__keys;
  ecl_va_list args; ecl_va_start(args,v1uiop_stream__file,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L312read_file_formskeys,keyvars,(cl_object*)&v2uiop_stream__keys,TRUE);
   ecl_va_end(args);
   env0 = ECL_NIL;
   CLV0 = env0 = CONS(keyvars[0],env0);           /*  COUNT           */
  }
  {
   cl_object v3;
   v3 = ecl_make_cclosure_va((cl_objectfn)LC311__g2199,env0,Cblock);
   T0 = v3;
  }
  T1 = ecl_function_dispatch(cl_env_copy,VV[162])(2, ECL_SYM("COUNT",1466), v2uiop_stream__keys) /*  REMOVE-PLIST-KEY */;
  value0 = cl_apply(4, VV[528], v1uiop_stream__file, T0, T1);
  return value0;
 }
}
/*      function definition for READ-FILE-FORM                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L314read_file_form(cl_narg narg, cl_object v1uiop_stream__file, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_stream__keys;
  ecl_va_list args; ecl_va_start(args,v1uiop_stream__file,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L314read_file_formkeys,keyvars,(cl_object*)&v2uiop_stream__keys,TRUE);
   ecl_va_end(args);
   if (Null(keyvars[1])) {
    env0 = ECL_NIL;
    CLV0 = env0 = CONS(ecl_make_fixnum(0),env0);  /*  AT              */
   } else {
    env0 = ECL_NIL;
    CLV0 = env0 = CONS(keyvars[0],env0);          /*  AT              */
   }
  }
  {
   cl_object v3;
   v3 = ecl_make_cclosure_va((cl_objectfn)LC313__g2200,env0,Cblock);
   T0 = v3;
  }
  T1 = ecl_function_dispatch(cl_env_copy,VV[162])(2, VV[557], v2uiop_stream__keys) /*  REMOVE-PLIST-KEY */;
  value0 = cl_apply(4, VV[528], v1uiop_stream__file, T0, T1);
  return value0;
 }
}
/*      function definition for SAFE-READ-FILE-LINE                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L316safe_read_file_line(cl_narg narg, cl_object v1pathname, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 cl_object CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_stream__keys;
  ecl_va_list args; ecl_va_start(args,v1pathname,narg,1);
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1pathname,env0);            /*  PATHNAME        */
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L316safe_read_file_linekeys,keyvars,(cl_object*)&v2uiop_stream__keys,TRUE);
   CLV1 = env0 = CONS(v2uiop_stream__keys,env0);  /*  KEYS            */
   ecl_va_end(args);
   if (Null(keyvars[1])) {
    CLV2 = env0 = CONS(VV[20],env0);              /*  PACKAGE         */
   } else {
    CLV2 = env0 = CONS(keyvars[0],env0);          /*  PACKAGE         */
   }
  }
  {
   cl_object v3;
   v3 = ecl_make_cclosure_va((cl_objectfn)LC315__g2201,env0,Cblock);
   T0 = v3;
  }
  value0 = ecl_function_dispatch(cl_env_copy,VV[516])(1, T0) /*  CALL-WITH-SAFE-IO-SYNTAX */;
  return value0;
 }
}
/*      function definition for SAFE-READ-FILE-FORM                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L318safe_read_file_form(cl_narg narg, cl_object v1pathname, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 cl_object CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_stream__keys;
  ecl_va_list args; ecl_va_start(args,v1pathname,narg,1);
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1pathname,env0);            /*  PATHNAME        */
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L318safe_read_file_formkeys,keyvars,(cl_object*)&v2uiop_stream__keys,TRUE);
   CLV1 = env0 = CONS(v2uiop_stream__keys,env0);  /*  KEYS            */
   ecl_va_end(args);
   if (Null(keyvars[1])) {
    CLV2 = env0 = CONS(VV[20],env0);              /*  PACKAGE         */
   } else {
    CLV2 = env0 = CONS(keyvars[0],env0);          /*  PACKAGE         */
   }
  }
  {
   cl_object v3;
   v3 = ecl_make_cclosure_va((cl_objectfn)LC317__g2202,env0,Cblock);
   T0 = v3;
  }
  value0 = ecl_function_dispatch(cl_env_copy,VV[516])(1, T0) /*  CALL-WITH-SAFE-IO-SYNTAX */;
  return value0;
 }
}
/*      function definition for EVAL-INPUT                            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L320eval_input(cl_object v1uiop_stream__input)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = ecl_make_cfun((cl_objectfn_fixed)LC319__g2205,ECL_NIL,Cblock,1);
   T0 = v2;
  }
  value0 = ecl_function_dispatch(cl_env_copy,VV[531])(2, v1uiop_stream__input, T0) /*  CALL-WITH-INPUT */;
  return value0;
 }
}
/*      function definition for EVAL-THUNK                            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L321eval_thunk(cl_object v1uiop_stream__thunk)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!((v1uiop_stream__thunk)==(ECL_NIL))) { goto L7; }
  goto L3;
  goto L5;
L7:;
  goto L5;
L5:;
  if (!(ecl_eql(v1uiop_stream__thunk,ECL_T))) { goto L10; }
  goto L3;
  goto L4;
L10:;
  goto L4;
L4:;
  if ((cl_keywordp(v1uiop_stream__thunk))!=ECL_NIL) { goto L3; }
  if (ecl_numberp(v1uiop_stream__thunk)) { goto L3; }
  if (ECL_CHARACTERP(v1uiop_stream__thunk)) { goto L3; }
  if (Null(cl_pathnamep(v1uiop_stream__thunk))) { goto L1; }
  goto L2;
L3:;
L2:;
  value0 = v1uiop_stream__thunk;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (ECL_CONSP(v1uiop_stream__thunk)) { goto L17; }
  if (!(ECL_SYMBOLP(v1uiop_stream__thunk))) { goto L15; }
  goto L16;
L17:;
L16:;
  value0 = cl_eval(v1uiop_stream__thunk);
  return value0;
L15:;
  if (Null(cl_functionp(v1uiop_stream__thunk))) { goto L19; }
  value0 = ecl_function_dispatch(cl_env_copy,v1uiop_stream__thunk)(0);
  return value0;
L19:;
  if (!(ECL_STRINGP(v1uiop_stream__thunk))) { goto L21; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[562])(1, v1uiop_stream__thunk) /*  EVAL-INPUT */;
  return value0;
L21:;
  value0 = si_etypecase_error(v1uiop_stream__thunk, VV[565]);
  return value0;
 }
}
/*      function definition for STANDARD-EVAL-THUNK                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L323standard_eval_thunk(cl_narg narg, cl_object v1uiop_stream__thunk, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  ecl_va_list args; ecl_va_start(args,v1uiop_stream__thunk,narg,1);
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1uiop_stream__thunk,env0);  /*  THUNK           */
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L323standard_eval_thunkkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[1])) {
    CLV1 = env0 = CONS(VV[20],env0);              /*  PACKAGE         */
   } else {
    CLV1 = env0 = CONS(keyvars[0],env0);          /*  PACKAGE         */
   }
  }
  if (Null(ECL_CONS_CAR(CLV0))) { goto L1; }
  {
   cl_object v2;
   v2 = ecl_make_cclosure_va((cl_objectfn)LC322__g2215,env0,Cblock);
   T0 = v2;
  }
  value0 = ecl_function_dispatch(cl_env_copy,VV[516])(1, T0) /*  CALL-WITH-SAFE-IO-SYNTAX */;
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      closure G2198                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC309__g2198(cl_narg narg, cl_object v1uiop_stream__input, ...)
{
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  AT              */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[550])(3, v1uiop_stream__input, VV[557], ECL_CONS_CAR(CLV0)) /*  SLURP-STREAM-LINE */;
  return value0;
 }
 }
}
/*      closure G2199                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC311__g2199(cl_narg narg, cl_object v1uiop_stream__input, ...)
{
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  COUNT           */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[551])(3, v1uiop_stream__input, ECL_SYM("COUNT",1466), ECL_CONS_CAR(CLV0)) /*  SLURP-STREAM-FORMS */;
  return value0;
 }
 }
}
/*      closure G2200                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC313__g2200(cl_narg narg, cl_object v1uiop_stream__input, ...)
{
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  AT              */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[553])(3, v1uiop_stream__input, VV[557], ECL_CONS_CAR(CLV0)) /*  SLURP-STREAM-FORM */;
  return value0;
 }
 }
}
/*      closure G2201                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC315__g2201(cl_narg narg, ...)
{
 cl_object T0;
 cl_object CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV2 = env0;                                     /*  PACKAGE         */
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  T0 = cl_find_package(ECL_CONS_CAR(CLV2));
  ecl_bds_bind(cl_env_copy,ECL_SYM("*PACKAGE*",43),T0); /*  *PACKAGE* */
  T0 = ecl_function_dispatch(cl_env_copy,VV[162])(2, ECL_SYM("PACKAGE",1296), ECL_CONS_CAR(CLV1)) /*  REMOVE-PLIST-KEY */;
  value0 = cl_apply(3, VV[556], ECL_CONS_CAR(CLV0), T0);
  ecl_bds_unwind1(cl_env_copy);
  return value0;
 }
 }
}
/*      closure G2202                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC317__g2202(cl_narg narg, ...)
{
 cl_object T0;
 cl_object CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV2 = env0;                                     /*  PACKAGE         */
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  T0 = cl_find_package(ECL_CONS_CAR(CLV2));
  ecl_bds_bind(cl_env_copy,ECL_SYM("*PACKAGE*",43),T0); /*  *PACKAGE* */
  T0 = ecl_function_dispatch(cl_env_copy,VV[162])(2, ECL_SYM("PACKAGE",1296), ECL_CONS_CAR(CLV1)) /*  REMOVE-PLIST-KEY */;
  value0 = cl_apply(3, VV[559], ECL_CONS_CAR(CLV0), T0);
  ecl_bds_unwind1(cl_env_copy);
  return value0;
 }
 }
}
/*      local function G2205                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC319__g2205(cl_object v1uiop_stream__input)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2uiop_stream__results;
   v2uiop_stream__results = ECL_NIL;
   {
    cl_object v3uiop_stream__form;
    v3uiop_stream__form = ECL_NIL;
L3:;
    v3uiop_stream__form = cl_read(3, v1uiop_stream__input, ECL_NIL, VV[563]);
    if (!((v3uiop_stream__form)==(VV[563]))) { goto L7; }
    goto L4;
L7:;
    {
     struct ecl_stack_frame _ecl_inner_frame_aux;
     cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
     {
      cl_object v4;
      v4 = _ecl_inner_frame;
      {
       cl_object v5;
       v5 = ECL_SYM("LIST",481);
       cl_env_copy->values[0] = cl_eval(v3uiop_stream__form);
       ecl_stack_frame_push_values(v4);cl_env_copy->values[0]=ecl_apply_from_stack_frame(v4,v5);
       value0 = cl_env_copy->values[0];
      }
     }
     ecl_stack_frame_close(_ecl_inner_frame);
    }
    v2uiop_stream__results = value0;
    goto L3;
L4:;
    value0 = cl_apply(2, ECL_SYM("VALUES",895), v2uiop_stream__results);
    return value0;
   }
  }
 }
}
/*      closure G2215                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC322__g2215(cl_narg narg, ...)
{
 cl_object T0;
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  PACKAGE         */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  T0 = cl_find_package(ECL_CONS_CAR(CLV1));
  ecl_bds_bind(cl_env_copy,ECL_SYM("*PACKAGE*",43),T0); /*  *PACKAGE* */
  ecl_bds_bind(cl_env_copy,ECL_SYM("*READ-EVAL*",63),ECL_T); /*  *READ-EVAL* */
  value0 = ecl_function_dispatch(cl_env_copy,VV[564])(1, ECL_CONS_CAR(CLV0)) /*  EVAL-THUNK */;
  ecl_bds_unwind1(cl_env_copy);
  ecl_bds_unwind1(cl_env_copy);
  return value0;
 }
 }
}
/*      function definition for PRINTLN                               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L324println(cl_narg narg, cl_object v1uiop_stream__x, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2stream;
  va_list args; va_start(args,v1uiop_stream__x);
  {
   int i = 1;
   if (i >= narg) {
    v2stream = ecl_symbol_value(ECL_SYM("*STANDARD-OUTPUT*",67));
   } else {
    i++;
    v2stream = va_arg(args,cl_object);
   }
  }
  va_end(args);
  ecl_princ(v1uiop_stream__x,v2stream);
  ecl_terpri(v2stream);
  cl_finish_output(1, v2stream);
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 0;
  return value0;
 }
}
/*      function definition for WRITELN                               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L325writeln(cl_narg narg, cl_object v1uiop_stream__x, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_stream__keys;
  cl_object v3stream;
  ecl_va_list args; ecl_va_start(args,v1uiop_stream__x,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L325writelnkeys,keyvars,(cl_object*)&v2uiop_stream__keys,TRUE);
   ecl_va_end(args);
   if (Null(keyvars[1])) {
    v3stream = ecl_symbol_value(ECL_SYM("*STANDARD-OUTPUT*",67));
   } else {
    v3stream = keyvars[0];
   }
  }
  cl_apply(3, ECL_SYM("WRITE",917), v1uiop_stream__x, v2uiop_stream__keys);
  ecl_terpri(v3stream);
  cl_finish_output(1, v3stream);
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 0;
  return value0;
 }
}
/*      function definition for DEFAULT-TEMPORARY-DIRECTORY           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L326default_temporary_directory()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[471])(3, VV[570], VV[363], ECL_T) /*  GETENV-PATHNAME */;
  if ((value0)!=ECL_NIL) { goto L2; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[406])(1, VV[571]) /*  PARSE-NATIVE-NAMESTRING */;
  return value0;
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for TEMPORARY-DIRECTORY                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L327temporary_directory()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_symbol_value(VV[572]);
  if ((value0)!=ECL_NIL) { goto L2; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[569])(0) /*  DEFAULT-TEMPORARY-DIRECTORY */;
  return value0;
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SETUP-TEMPORARY-DIRECTORY             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L328setup_temporary_directory()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  cl_set(VV[572],ecl_function_dispatch(cl_env_copy,VV[569])(0) /*  DEFAULT-TEMPORARY-DIRECTORY */);
  value0 = ecl_symbol_value(VV[572]);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CALL-WITH-TEMPORARY-FILE              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L330call_with_temporary_file(volatile cl_narg narg, cl_object volatile v1uiop_stream__thunk, ...)
{
 cl_object T0, T1, T2, T3;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v2uiop_stream__want_stream_p;
  cl_object volatile v3uiop_stream__want_pathname_p;
  cl_object volatile v4uiop_stream__direction;
  cl_object volatile v5uiop_stream__keep;
  cl_object volatile v6uiop_stream__after;
  cl_object volatile v7directory;
  cl_object volatile v8type;
  cl_object volatile v9typep;
  cl_object volatile v10uiop_stream__prefix;
  cl_object volatile v11uiop_stream__suffix;
  cl_object volatile v12uiop_stream__element_type;
  cl_object volatile v13uiop_stream__external_format;
  ecl_va_list args; ecl_va_start(args,v1uiop_stream__thunk,narg,1);
  {
   cl_object keyvars[22];
   cl_parse_key(args,11,L330call_with_temporary_filekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[11])) {
    v2uiop_stream__want_stream_p = ECL_T;
   } else {
    v2uiop_stream__want_stream_p = keyvars[0];
   }
   if (Null(keyvars[12])) {
    v3uiop_stream__want_pathname_p = ECL_T;
   } else {
    v3uiop_stream__want_pathname_p = keyvars[1];
   }
   if (Null(keyvars[13])) {
    v4uiop_stream__direction = ECL_SYM("IO",1272);
   } else {
    v4uiop_stream__direction = keyvars[2];
   }
   v5uiop_stream__keep = keyvars[3];
   v6uiop_stream__after = keyvars[4];
   v7directory = keyvars[5];
   if (Null(keyvars[17])) {
    v8type = VV[576];
   } else {
    v8type = keyvars[6];
   }
   v9typep = keyvars[17];
   v10uiop_stream__prefix = keyvars[7];
   if (Null(keyvars[19])) {
    if (Null(v9typep)) { goto L6; }
    v11uiop_stream__suffix = VV[577];
    goto L5;
L6:;
    v11uiop_stream__suffix = ECL_NIL;
L5:;
   } else {
    v11uiop_stream__suffix = keyvars[8];
   }
   if (Null(keyvars[20])) {
    v12uiop_stream__element_type = ecl_symbol_value(VV[497]);
   } else {
    v12uiop_stream__element_type = keyvars[9];
   }
   if (Null(keyvars[21])) {
    v13uiop_stream__external_format = ecl_symbol_value(VV[505]);
   } else {
    v13uiop_stream__external_format = keyvars[10];
   }
  }
  {
   cl_object v14;
   v14 = v4uiop_stream__direction;
   if (!(ecl_eql(v14,ECL_SYM("OUTPUT",1294)))) { goto L16; }
   goto L12;
   goto L14;
L16:;
   goto L14;
L14:;
   if (!(ecl_eql(v14,ECL_SYM("IO",1272)))) { goto L19; }
   goto L12;
   goto L13;
L19:;
   goto L13;
L13:;
   v4uiop_stream__direction = si_do_check_type(v14, VV[580], ECL_NIL, VV[581]);
L12:;
  }
  goto L24;
L23:;
  si_assert_failure(1, VV[582]);
L24:;
  if ((v2uiop_stream__want_stream_p)!=ECL_NIL) { goto L27; }
  if ((v3uiop_stream__want_pathname_p)!=ECL_NIL) { goto L27; }
  goto L23;
L27:;
  {
   cl_object v14;
   v14 = ECL_NEW_FRAME_ID(cl_env_copy);
   if (ecl_frs_push(cl_env_copy,v14)!=0) {
   value0 = cl_env_copy->values[0];
   ecl_frs_pop(cl_env_copy);
   return value0;
   } else {
   {
    volatile cl_object v15uiop_stream__prefix_pn;
    value0 = v10uiop_stream__prefix;
    if ((value0)!=ECL_NIL) { goto L33; }
    T0 = VV[576];
    goto L31;
L33:;
    T0 = value0;
    goto L31;
L31:;
    value0 = ecl_function_dispatch(cl_env_copy,VV[364])(7, v7directory, VV[411], VV[437], VV[363], ECL_T, VV[413], ECL_T) /*  ENSURE-PATHNAME */;
    if ((value0)!=ECL_NIL) { goto L37; }
    T1 = ecl_fdefinition(VV[573]);
    goto L35;
L37:;
    T1 = value0;
    goto L35;
L35:;
    v15uiop_stream__prefix_pn = ecl_function_dispatch(cl_env_copy,VV[378])(2, T0, T1) /*  ENSURE-ABSOLUTE-PATHNAME */;
    {
     volatile cl_object v16uiop_stream__prefix_nns;
     v16uiop_stream__prefix_nns = ecl_function_dispatch(cl_env_copy,VV[405])(1, v15uiop_stream__prefix_pn) /*  NATIVE-NAMESTRING */;
     {
      volatile cl_object v17uiop_stream__results;
      cl_ensure_directories_exist(1, v15uiop_stream__prefix_pn);
      v17uiop_stream__results = ECL_NIL;
      {
       volatile cl_object v18uiop_stream__counter;
       T0 = ecl_expt(ecl_make_fixnum(36),ecl_make_fixnum(8));
       v18uiop_stream__counter = cl_random(1, T0);
       {
        volatile cl_object v19pathname;
        v19pathname = ECL_NIL;
        {
         volatile cl_object v20uiop_stream__okp;
         v20uiop_stream__okp = ECL_NIL;
L45:;
         if ((v8type)==(ECL_SYM("UNSPECIFIC",1331))) { goto L49; }
         T0 = v8type;
         goto L48;
L49:;
         T0 = ECL_NIL;
L48:;
         T1 = cl_format(6, ECL_NIL, VV[583], v16uiop_stream__prefix_nns, v18uiop_stream__counter, v11uiop_stream__suffix, T0);
         v19pathname = ecl_function_dispatch(cl_env_copy,VV[406])(1, T1) /*  PARSE-NATIVE-NAMESTRING */;
         v20uiop_stream__okp = ECL_NIL;
         {
          volatile bool unwinding = FALSE;
          cl_index v21=ECL_STACK_INDEX(cl_env_copy),v22;
          ecl_frame_ptr next_fr;
          if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
            unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
          } else {
          cl_ensure_directories_exist(1, v19pathname);
          {
          volatile cl_object v23stream;
          v23stream = cl_open(11, v19pathname, ECL_SYM("DIRECTION",1228), v4uiop_stream__direction, ECL_SYM("ELEMENT-TYPE",1234), v12uiop_stream__element_type, ECL_SYM("EXTERNAL-FORMAT",1246), v13uiop_stream__external_format, ECL_SYM("IF-EXISTS",1256), ECL_NIL, ECL_SYM("IF-DOES-NOT-EXIST",1254), ECL_SYM("CREATE",1223));
          {
          volatile bool unwinding = FALSE;
          cl_index v24=ECL_STACK_INDEX(cl_env_copy),v25;
          ecl_frame_ptr next_fr;
          if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
            unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
          } else {
          {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v26;
          v26 = _ecl_inner_frame;
          if (Null(v23stream)) { goto L63; }
          v20uiop_stream__okp = v19pathname;
          if (Null(v2uiop_stream__want_stream_p)) { goto L67; }
          {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v27;
          v27 = _ecl_inner_frame;
          {
          cl_object v28;
          v28 = ECL_SYM("LIST",481);
          if (Null(v3uiop_stream__want_pathname_p)) { goto L75; }
          cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,v1uiop_stream__thunk)(2, v23stream, v19pathname);
          goto L74;
L75:;
          cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,v1uiop_stream__thunk)(1, v23stream);
L74:;
          ecl_stack_frame_push_values(v27);cl_env_copy->values[0]=ecl_apply_from_stack_frame(v27,v28);
          value0 = cl_env_copy->values[0];
          }
          }
          ecl_stack_frame_close(_ecl_inner_frame);
          }
          v17uiop_stream__results = value0;
          cl_env_copy->values[0] = v17uiop_stream__results;
          cl_env_copy->nvalues = 1;
          goto L62;
L67:;
          cl_env_copy->values[0] = ECL_NIL;
          cl_env_copy->nvalues = 1;
          goto L62;
L63:;
          cl_env_copy->values[0] = ECL_NIL;
          cl_env_copy->nvalues = 1;
L62:;
          ecl_stack_frame_push_values(v26);
          if (Null(v23stream)) { goto L77; }
          cl_close(1, v23stream);
L77:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v26);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
          }
            next_fr = NULL;
          }
          ecl_frs_pop(cl_env_copy);
          v25=ecl_stack_push_values(cl_env_copy);
          if (Null(v23stream)) { goto L79; }
          cl_close(3, v23stream, ECL_SYM("ABORT",1205), ECL_T);
L79:;
          ecl_stack_pop_values(cl_env_copy,v25);
          if (unwinding) ecl_unwind(cl_env_copy,next_fr);
          ECL_STACK_SET_INDEX(cl_env_copy,v24);
          }
          }
          if ((v20uiop_stream__okp)!=ECL_NIL) { goto L81; }
          cl_env_copy->values[0] = ECL_NIL;
          cl_env_copy->nvalues = 1;
          goto L54;
L81:;
          if (Null(v6uiop_stream__after)) { goto L83; }
          cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,VV[212])(2, v6uiop_stream__after, v20uiop_stream__okp) /*  CALL-FUNCTION */;
          cl_return_from(v14,ECL_NIL);
L83:;
          if (Null(v3uiop_stream__want_pathname_p)) { goto L86; }
          if ((v2uiop_stream__want_stream_p)!=ECL_NIL) { goto L86; }
          cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,VV[212])(2, v1uiop_stream__thunk, v20uiop_stream__okp) /*  CALL-FUNCTION */;
          cl_return_from(v14,ECL_NIL);
L86:;
          cl_env_copy->values[0] = cl_apply(2, ECL_SYM("VALUES",895), v17uiop_stream__results);
          cl_return_from(v14,ECL_NIL);
L54:;
            next_fr = NULL;
          }
          ecl_frs_pop(cl_env_copy);
          v22=ecl_stack_push_values(cl_env_copy);
          if (Null(v20uiop_stream__okp)) { goto L91; }
          if ((ecl_function_dispatch(cl_env_copy,VV[212])(1, v5uiop_stream__keep) /*  CALL-FUNCTION */)!=ECL_NIL) { goto L91; }
          {
          volatile cl_object env1 = env0;
          env1 = ECL_NIL;
          CLV0 = env1 = CONS(ECL_NIL,env1);
          {
          volatile cl_object env2 = env1;
          CLV1 = env2 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
          if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
          if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L94;
          ecl_internal_error("GO found an inexistent tag");
          }
          {
          cl_object v23;
          v23 = ecl_make_cclosure_va((cl_objectfn)LC329__g2246,env2,Cblock);
          T0 = v23;
          }
          T1 = CONS(ECL_SYM("ERROR",337),T0);
          T2 = ecl_list1(T1);
          T3 = CONS(T2,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
          ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T3); /*  *HANDLER-CLUSTERS* */
          ecl_function_dispatch(cl_env_copy,VV[482])(1, v20uiop_stream__okp) /*  DELETE-FILE-IF-EXISTS */;
          ecl_frs_pop(cl_env_copy);
          ecl_bds_unwind1(cl_env_copy);
          goto L91;
L94:;
          {
          cl_object v23condition;
          v23condition = ECL_CONS_CAR(CLV0);
          ecl_frs_pop(cl_env_copy);
          goto L91;
          }
          }
          }
L91:;
          ecl_stack_pop_values(cl_env_copy,v22);
          if (unwinding) ecl_unwind(cl_env_copy,next_fr);
          ECL_STACK_SET_INDEX(cl_env_copy,v21);
         }
         v18uiop_stream__counter = ecl_one_plus(v18uiop_stream__counter);
         goto L45;
        }
       }
      }
     }
    }
   }}
  }
 }
}
/*      local function WITH-TEMPORARY-FILE                            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC331with_temporary_file(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   cl_object v5;
   cl_object v6stream;
   cl_object v7streamp;
   cl_object v8;
   cl_object v9pathname;
   cl_object v10pathnamep;
   cl_object v11;
   cl_object v12directory;
   cl_object v13;
   cl_object v14uiop_stream__prefix;
   cl_object v15;
   cl_object v16uiop_stream__suffix;
   cl_object v17;
   cl_object v18type;
   cl_object v19;
   cl_object v20uiop_stream__keep;
   cl_object v21;
   cl_object v22uiop_stream__direction;
   cl_object v23;
   cl_object v24uiop_stream__element_type;
   cl_object v25;
   cl_object v26uiop_stream__external_format;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v27;
    v27 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v27;
   }
   v5 = si_search_keyword(2, v4, ECL_SYM("STREAM",1325));
   if (!((v5)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L10; }
   v6stream = cl_gensym(1, VV[584]);
   goto L9;
L10:;
   v6stream = v5;
L9:;
   {
    bool v27;
    v27 = (v5)==(ECL_SYM("MISSING-KEYWORD",1955));
    v7streamp = (v27)?ECL_NIL:ECL_T;
   }
   v8 = si_search_keyword(2, v4, ECL_SYM("PATHNAME",1297));
   if (!((v8)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L15; }
   v9pathname = cl_gensym(1, VV[585]);
   goto L14;
L15:;
   v9pathname = v8;
L14:;
   {
    bool v27;
    v27 = (v8)==(ECL_SYM("MISSING-KEYWORD",1955));
    v10pathnamep = (v27)?ECL_NIL:ECL_T;
   }
   v11 = si_search_keyword(2, v4, ECL_SYM("DIRECTORY",1229));
   if (!((v11)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L20; }
   v12directory = ECL_NIL;
   goto L19;
L20:;
   v12directory = v11;
L19:;
   v13 = si_search_keyword(2, v4, VV[58]);
   if (!((v13)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L24; }
   v14uiop_stream__prefix = ECL_NIL;
   goto L23;
L24:;
   v14uiop_stream__prefix = v13;
L23:;
   v15 = si_search_keyword(2, v4, VV[586]);
   if (!((v15)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L28; }
   v16uiop_stream__suffix = ECL_NIL;
   goto L27;
L28:;
   v16uiop_stream__suffix = v15;
L27:;
   v17 = si_search_keyword(2, v4, ECL_SYM("TYPE",1330));
   if (!((v17)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L32; }
   v18type = ECL_NIL;
   goto L31;
L32:;
   v18type = v17;
L31:;
   v19 = si_search_keyword(2, v4, VV[587]);
   if (!((v19)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L36; }
   v20uiop_stream__keep = ECL_NIL;
   goto L35;
L36:;
   v20uiop_stream__keep = v19;
L35:;
   v21 = si_search_keyword(2, v4, ECL_SYM("DIRECTION",1228));
   if (!((v21)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L40; }
   v22uiop_stream__direction = ECL_NIL;
   goto L39;
L40:;
   v22uiop_stream__direction = v21;
L39:;
   v23 = si_search_keyword(2, v4, ECL_SYM("ELEMENT-TYPE",1234));
   if (!((v23)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L44; }
   v24uiop_stream__element_type = ECL_NIL;
   goto L43;
L44:;
   v24uiop_stream__element_type = v23;
L43:;
   v25 = si_search_keyword(2, v4, ECL_SYM("EXTERNAL-FORMAT",1246));
   if (!((v25)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L48; }
   v26uiop_stream__external_format = ECL_NIL;
   goto L47;
L48:;
   v26uiop_stream__external_format = v25;
L47:;
   si_check_keyword(2, v4, VV[588]);
   {
    cl_object v27;
    v27 = v6stream;
    if (ECL_SYMBOLP(v27)) { goto L53; }
    v6stream = si_do_check_type(v27, ECL_SYM("SYMBOL",840), ECL_NIL, ECL_SYM("STREAM",799));
L53:;
   }
   {
    cl_object v27;
    v27 = v9pathname;
    if (ECL_SYMBOLP(v27)) { goto L58; }
    v9pathname = si_do_check_type(v27, ECL_SYM("SYMBOL",840), ECL_NIL, ECL_SYM("PATHNAME",630));
L58:;
   }
   goto L63;
L62:;
   si_assert_failure(1, VV[589]);
L63:;
   if ((v7streamp)!=ECL_NIL) { goto L66; }
   if ((v10pathnamep)!=ECL_NIL) { goto L66; }
   goto L62;
L66:;
   {
    cl_object v27uiop_stream__afterp;
    cl_object v28uiop_stream__before;
    cl_object v29uiop_stream__after;
    cl_object v30uiop_stream__beforef;
    cl_object v31uiop_stream__afterf;
    v27uiop_stream__afterp = cl_position(2, VV[590], v3);
    if (Null(v27uiop_stream__afterp)) { goto L71; }
    v28uiop_stream__before = cl_subseq(3, v3, ecl_make_fixnum(0), v27uiop_stream__afterp);
    goto L70;
L71:;
    v28uiop_stream__before = v3;
L70:;
    if (Null(v27uiop_stream__afterp)) { goto L74; }
    T0 = ecl_one_plus(v27uiop_stream__afterp);
    v29uiop_stream__after = cl_subseq(2, v3, T0);
    goto L73;
L74:;
    v29uiop_stream__after = ECL_NIL;
L73:;
    v30uiop_stream__beforef = cl_gensym(1, VV[591]);
    v31uiop_stream__afterf = cl_gensym(1, VV[592]);
    if (Null(v28uiop_stream__before)) { goto L79; }
    if (Null(v7streamp)) { goto L82; }
    T1 = ecl_list1(v6stream);
    goto L81;
L82:;
    T1 = ECL_NIL;
L81:;
    if (Null(v10pathnamep)) { goto L85; }
    T2 = ecl_list1(v9pathname);
    goto L84;
L85:;
    T2 = ECL_NIL;
L84:;
    T3 = ecl_append(T1,T2);
    if (Null(v29uiop_stream__after)) { goto L88; }
    T5 = cl_list(2, ECL_SYM("IGNORABLE",427), v9pathname);
    T6 = cl_list(2, ECL_SYM("DECLARE",274), T5);
    T4 = ecl_list1(T6);
    goto L87;
L88:;
    T4 = ECL_NIL;
L87:;
    T5 = ecl_append(T4,v28uiop_stream__before);
    T6 = cl_listX(3, v30uiop_stream__beforef, T3, T5);
    T0 = ecl_list1(T6);
    goto L78;
L79:;
    T0 = ECL_NIL;
L78:;
    if (Null(v29uiop_stream__after)) { goto L91; }
    goto L95;
L94:;
    si_assert_failure(1, ECL_SYM("PATHNAMEP",638));
L95:;
    if ((v10pathnamep)!=ECL_NIL) { goto L98; }
    goto L94;
L98:;
    T2 = ecl_list1(v9pathname);
    T3 = cl_listX(3, v31uiop_stream__afterf, T2, v29uiop_stream__after);
    T1 = ecl_list1(T3);
    goto L90;
L91:;
    T1 = ECL_NIL;
L90:;
    T2 = ecl_append(T0,T1);
    if (Null(v28uiop_stream__before)) { goto L101; }
    T4 = cl_list(2, ECL_SYM("FUNCTION",396), v30uiop_stream__beforef);
    T3 = ecl_list1(T4);
    goto L100;
L101:;
    T3 = ECL_NIL;
L100:;
    if (Null(v29uiop_stream__after)) { goto L104; }
    T5 = cl_list(2, ECL_SYM("FUNCTION",396), v31uiop_stream__afterf);
    T4 = ecl_list1(T5);
    goto L103;
L104:;
    T4 = ECL_NIL;
L103:;
    T5 = ecl_append(T3,T4);
    T6 = CONS(ECL_SYM("DYNAMIC-EXTENT",320),T5);
    T7 = cl_list(2, ECL_SYM("DECLARE",274), T6);
    if (Null(v28uiop_stream__before)) { goto L107; }
    T8 = cl_list(2, ECL_SYM("FUNCTION",396), v30uiop_stream__beforef);
    goto L106;
L107:;
    T8 = ECL_NIL;
L106:;
    if (Null(v22uiop_stream__direction)) { goto L110; }
    T9 = cl_list(2, ECL_SYM("DIRECTION",1228), v22uiop_stream__direction);
    goto L109;
L110:;
    T9 = ECL_NIL;
L109:;
    if (Null(v12directory)) { goto L113; }
    T10 = cl_list(2, ECL_SYM("DIRECTORY",1229), v12directory);
    goto L112;
L113:;
    T10 = ECL_NIL;
L112:;
    if (Null(v14uiop_stream__prefix)) { goto L116; }
    T11 = cl_list(2, VV[58], v14uiop_stream__prefix);
    goto L115;
L116:;
    T11 = ECL_NIL;
L115:;
    if (Null(v16uiop_stream__suffix)) { goto L119; }
    T12 = cl_list(2, VV[586], v16uiop_stream__suffix);
    goto L118;
L119:;
    T12 = ECL_NIL;
L118:;
    if (Null(v18type)) { goto L122; }
    T13 = cl_list(2, ECL_SYM("TYPE",1330), v18type);
    goto L121;
L122:;
    T13 = ECL_NIL;
L121:;
    if (Null(v20uiop_stream__keep)) { goto L125; }
    T14 = cl_list(2, VV[587], v20uiop_stream__keep);
    goto L124;
L125:;
    T14 = ECL_NIL;
L124:;
    if (Null(v29uiop_stream__after)) { goto L128; }
    T16 = cl_list(2, ECL_SYM("FUNCTION",396), v31uiop_stream__afterf);
    T15 = cl_list(2, VV[595], T16);
    goto L127;
L128:;
    T15 = ECL_NIL;
L127:;
    if (Null(v24uiop_stream__element_type)) { goto L131; }
    T16 = cl_list(2, ECL_SYM("ELEMENT-TYPE",1234), v24uiop_stream__element_type);
    goto L130;
L131:;
    T16 = ECL_NIL;
L130:;
    if (Null(v26uiop_stream__external_format)) { goto L134; }
    T17 = cl_list(2, ECL_SYM("EXTERNAL-FORMAT",1246), v26uiop_stream__external_format);
    goto L133;
L134:;
    T17 = ECL_NIL;
L133:;
    T18 = cl_append(9, T9, T10, T11, T12, T13, T14, T15, T16, T17);
    T19 = cl_listX(7, VV[575], T8, VV[593], v7streamp, VV[594], v10pathnamep, T18);
    value0 = cl_list(4, ECL_SYM("FLET",373), T2, T7, T19);
    return value0;
   }
  }
 }
}
/*      function definition for GET-TEMPORARY-FILE                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L333get_temporary_file(cl_narg narg, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1directory;
  cl_object v2uiop_stream__prefix;
  cl_object v3uiop_stream__suffix;
  cl_object v4type;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[8];
   cl_parse_key(args,4,L333get_temporary_filekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v1directory = keyvars[0];
   v2uiop_stream__prefix = keyvars[1];
   v3uiop_stream__suffix = keyvars[2];
   v4type = keyvars[3];
  }
  {
   cl_object v5;
   v5 = ecl_make_cfun((cl_objectfn_fixed)LC332__before2309,ECL_NIL,Cblock,1);
   value0 = ecl_function_dispatch(cl_env_copy,VV[575])(15, v5, VV[593], ECL_NIL, VV[594], ECL_T, ECL_SYM("DIRECTORY",1229), v1directory, VV[58], v2uiop_stream__prefix, VV[586], v3uiop_stream__suffix, ECL_SYM("TYPE",1330), v4type, VV[587], ECL_T) /*  CALL-WITH-TEMPORARY-FILE */;
   return value0;
  }
 }
}
/*      function definition for ADD-PATHNAME-SUFFIX                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L334add_pathname_suffix(cl_narg narg, cl_object v1pathname, cl_object v2uiop_stream__suffix, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3uiop_stream__keys;
  ecl_va_list args; ecl_va_start(args,v2uiop_stream__suffix,narg,2);
  v3uiop_stream__keys = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = cl_pathname_name(1, v1pathname);
  T1 = ecl_function_dispatch(cl_env_copy,VV[176])(2, T0, v2uiop_stream__suffix) /*  STRCAT */;
  value0 = cl_apply(6, ECL_SYM("MAKE-PATHNAME",531), ECL_SYM("NAME",1285), T1, ECL_SYM("DEFAULTS",1226), v1pathname, v3uiop_stream__keys);
  return value0;
 }
}
/*      function definition for TMPIZE-PATHNAME                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L335tmpize_pathname(cl_object v1uiop_stream__x)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2uiop_stream__px;
   cl_object v3uiop_stream__prefix;
   cl_object v4directory;
   v2uiop_stream__px = ecl_function_dispatch(cl_env_copy,VV[364])(3, v1uiop_stream__x, VV[413], ECL_T) /*  ENSURE-PATHNAME */;
   {
    cl_object v5uiop_stream__n;
    v5uiop_stream__n = cl_pathname_name(1, v2uiop_stream__px);
    if (Null(v5uiop_stream__n)) { goto L4; }
    v3uiop_stream__prefix = ecl_function_dispatch(cl_env_copy,VV[176])(2, v5uiop_stream__n, VV[577]) /*  STRCAT */;
    goto L2;
L4:;
    v3uiop_stream__prefix = VV[576];
   }
L2:;
   v4directory = ecl_function_dispatch(cl_env_copy,VV[333])(1, v2uiop_stream__px) /*  PATHNAME-DIRECTORY-PATHNAME */;
   T0 = cl_pathname_type(1, v2uiop_stream__px);
   value0 = ecl_function_dispatch(cl_env_copy,VV[597])(6, ECL_SYM("DIRECTORY",1229), v4directory, VV[58], v3uiop_stream__prefix, ECL_SYM("TYPE",1330), T0) /*  GET-TEMPORARY-FILE */;
   return value0;
  }
 }
}
/*      function definition for CALL-WITH-STAGING-PATHNAME            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L336call_with_staging_pathname(cl_object volatile v1pathname, cl_object volatile v2uiop_stream__fun)
{
 cl_object volatile env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object v3pathname;
   volatile cl_object v4uiop_stream__staging;
   v3pathname = cl_pathname(v1pathname);
   v4uiop_stream__staging = ecl_function_dispatch(cl_env_copy,VV[599])(1, v3pathname) /*  TMPIZE-PATHNAME */;
   {
    volatile bool unwinding = FALSE;
    cl_index v5=ECL_STACK_INDEX(cl_env_copy),v6;
    ecl_frame_ptr next_fr;
    if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
      unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
    } else {
    {
     struct ecl_stack_frame _ecl_inner_frame_aux;
     volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
     {
      cl_object v7;
      v7 = _ecl_inner_frame;
      cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,v2uiop_stream__fun)(1, v4uiop_stream__staging);
      ecl_stack_frame_push_values(v7);
      ecl_function_dispatch(cl_env_copy,VV[483])(2, v4uiop_stream__staging, v3pathname) /*  RENAME-FILE-OVERWRITING-TARGET */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v7);
     }
     ecl_stack_frame_close(_ecl_inner_frame);
    }
      next_fr = NULL;
    }
    ecl_frs_pop(cl_env_copy);
    v6=ecl_stack_push_values(cl_env_copy);
    ecl_function_dispatch(cl_env_copy,VV[482])(1, v4uiop_stream__staging) /*  DELETE-FILE-IF-EXISTS */;
    ecl_stack_pop_values(cl_env_copy,v6);
    if (unwinding) ecl_unwind(cl_env_copy,next_fr);
    ECL_STACK_SET_INDEX(cl_env_copy,v5);
    return cl_env_copy->values[0];
   }
  }
 }
}
/*      local function WITH-STAGING-PATHNAME                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC337with_staging_pathname(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   cl_object v5;
   cl_object v6uiop_stream__pathname_var;
   cl_object v7uiop_stream__pathname_value;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v8;
    v8 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v8;
   }
   v5 = v4;
   if (!(v5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(v1);
L10:;
   {
    cl_object v8;
    v8 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v6uiop_stream__pathname_var = v8;
   }
   if (Null(v5)) { goto L16; }
   {
    cl_object v8;
    v8 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v7uiop_stream__pathname_value = v8;
    goto L15;
   }
L16:;
   v7uiop_stream__pathname_value = v6uiop_stream__pathname_var;
L15:;
   if (Null(v5)) { goto L21; }
   si_dm_too_many_arguments(v1);
L21:;
   T0 = ecl_list1(v6uiop_stream__pathname_var);
   T1 = cl_listX(3, ECL_SYM("LAMBDA",452), T0, v3);
   T2 = cl_list(2, ECL_SYM("FUNCTION",396), T1);
   value0 = cl_list(3, VV[600], v7uiop_stream__pathname_value, T2);
   return value0;
  }
 }
}
/*      closure G2246                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC329__g2246(cl_narg narg, cl_object v1si__temp, ...)
{
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  TAGBODY         */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV0) = v1si__temp;
  cl_go(ECL_CONS_CAR(CLV1),ecl_make_fixnum(0));
 }
 }
}
/*      local function BEFORE2309                                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC332__before2309(cl_object v1uiop_stream__pn)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = v1uiop_stream__pn;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for FILE-STREAM-P                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L338file_stream_p(cl_object v1stream)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = si_of_class_p(2, v1stream, ECL_SYM("FILE-STREAM",358));
  return value0;
 }
}
/*      function definition for FILE-OR-SYNONYM-STREAM-P              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L339file_or_synonym_stream_p(cl_object v1stream)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[602])(1, v1stream) /*  FILE-STREAM-P */;
  if ((value0)!=ECL_NIL) { goto L2; }
  if (Null(si_of_class_p(2, v1stream, ECL_SYM("SYNONYM-STREAM",848)))) { goto L5; }
  T0 = cl_synonym_stream_symbol(v1stream);
  T1 = cl_symbol_value(T0);
  value0 = ecl_function_dispatch(cl_env_copy,VV[603])(1, T1) /*  FILE-OR-SYNONYM-STREAM-P */;
  return value0;
L5:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function FATAL-CONDITION                                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC340fatal_condition(cl_object v1)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(v1)) { goto L1; }
  si_dm_too_many_arguments(v1);
L1:;
  value0 = VV[614];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for QUIT                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L341quit(cl_narg narg, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v1uiop_image__code;
  cl_object v2finish_output;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    v1uiop_image__code = ecl_make_fixnum(0);
   } else {
    i++;
    v1uiop_image__code = va_arg(args,cl_object);
   }
   if (i >= narg) {
    v2finish_output = ECL_T;
   } else {
    i++;
    v2finish_output = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (Null(v2finish_output)) { goto L3; }
  ecl_function_dispatch(cl_env_copy,VV[542])(0)   /*  FINISH-OUTPUTS  */;
L3:;
  value0 = si_quit(1, v1uiop_image__code);
  return value0;
 }
}
/*      function definition for DIE                                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L344die(volatile cl_narg narg, cl_object volatile v1uiop_image__code, cl_object volatile v2format, ...)
{
 cl_object T0;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v3uiop_image__arguments;
  ecl_va_list args; ecl_va_start(args,v2format,narg,2);
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v2format,env0);              /*  FORMAT          */
  v3uiop_image__arguments = cl_grab_rest_args(args);
  CLV1 = env0 = CONS(v3uiop_image__arguments,env0); /*  ARGUMENTS     */
  ecl_va_end(args);
  {
   cl_object volatile v4;
   v4 = ecl_make_cclosure_va((cl_objectfn)LC343__g2333,env0,Cblock);
   T0 = v4;
  }
  ecl_function_dispatch(cl_env_copy,VV[516])(1, T0) /*  CALL-WITH-SAFE-IO-SYNTAX */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[615])(1, v1uiop_image__code) /*  QUIT */;
  return value0;
 }
}
/*      function definition for RAW-PRINT-BACKTRACE                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L345raw_print_backtrace(cl_narg narg, ...)
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1stream;
  cl_object v2count;
  cl_object v3condition;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[6];
   cl_parse_key(args,3,L345raw_print_backtracekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[3])) {
    v1stream = ecl_symbol_value(ECL_SYM("*DEBUG-IO*",30));
   } else {
    v1stream = keyvars[0];
   }
   v2count = keyvars[1];
   v3condition = keyvars[2];
  }
  {
   cl_fixnum v4uiop_image__top;
   cl_object v5uiop_image__repeats;
   cl_object v6uiop_image__backtrace;
   v4uiop_image__top = ecl_fixnum(si_ihs_top());
   if (Null(v2count)) { goto L4; }
   v5uiop_image__repeats = (ecl_number_compare(ecl_make_fixnum(v4uiop_image__top),v2count)<=0?ecl_make_fixnum(v4uiop_image__top):v2count);
   goto L3;
L4:;
   v5uiop_image__repeats = ecl_make_fixnum(v4uiop_image__top);
L3:;
   {
    cl_object v7uiop_image__ihs;
    cl_object v8;
    v7uiop_image__ihs = ecl_make_fixnum(0);
    v8 = ecl_make_fixnum(v4uiop_image__top);
    {
     cl_object v9;
     cl_object v10;
     v9 = ecl_list1(ECL_NIL);
     v10 = v9;
L11:;
     if (!(ecl_number_compare(v7uiop_image__ihs,v8)>=0)) { goto L13; }
     goto L12;
L13:;
     {
      cl_object v11;
      v11 = v10;
      if (ecl_unlikely(ECL_ATOM(v11))) FEtype_error_cons(v11);
      T0 = v11;
     }
     T1 = si_ihs_fun(v7uiop_image__ihs);
     T2 = si_ihs_env(v7uiop_image__ihs);
     T3 = cl_list(2, T1, T2);
     v10 = ecl_list1(T3);
     (ECL_CONS_CDR(T0)=v10,T0);
     v7uiop_image__ihs = ecl_one_plus(v7uiop_image__ihs);
     goto L11;
L12:;
     v6uiop_image__backtrace = ecl_cdr(v9);
     goto L6;
    }
   }
L6:;
   {
    cl_object v7uiop_image__i;
    cl_object v8;
    v7uiop_image__i = ecl_make_fixnum(0);
    v8 = v5uiop_image__repeats;
    {
     cl_object v9;
     cl_object v10uiop_image__frame;
     cl_object v11;
     v9 = cl_nreverse(v6uiop_image__backtrace);
     v10uiop_image__frame = ECL_NIL;
     {
      cl_object v12;
      v12 = v9;
      if (ecl_unlikely(!ECL_LISTP(v12))) FEtype_error_list(v12);
      v11 = v12;
     }
L31:;
     if (!(ecl_number_compare(v7uiop_image__i,v8)>=0)) { goto L33; }
     goto L32;
L33:;
     if (!(ecl_endp(v11))) { goto L35; }
     goto L32;
L35:;
     v10uiop_image__frame = _ecl_car(v11);
     {
      cl_object v12;
      v12 = _ecl_cdr(v11);
      if (ecl_unlikely(!ECL_LISTP(v12))) FEtype_error_list(v12);
      v11 = v12;
     }
     ecl_function_dispatch(cl_env_copy,VV[544])(4, v1stream, VV[619], v7uiop_image__i, v10uiop_image__frame) /*  SAFE-FORMAT! */;
     v7uiop_image__i = ecl_one_plus(v7uiop_image__i);
     goto L31;
L32:;
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*      function definition for PRINT-BACKTRACE                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L348print_backtrace(volatile cl_narg narg, ...)
{
 cl_object T0;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object volatile v1uiop_image__keys;
  cl_object volatile v2stream;
  cl_object volatile v3count;
  cl_object volatile v4condition;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[6];
   cl_parse_key(args,3,L348print_backtracekeys,keyvars,(cl_object*)&v1uiop_image__keys,FALSE);
   env0 = ECL_NIL;
   CLV0 = env0 = CONS(v1uiop_image__keys,env0);   /*  KEYS            */
   ecl_va_end(args);
   v2stream = keyvars[0];
   v3count = keyvars[1];
   v4condition = keyvars[2];
  }
  {
   cl_object volatile v5;
   v5 = ecl_make_cclosure_va((cl_objectfn)LC347__g2365,env0,Cblock);
   T0 = v5;
  }
  value0 = ecl_function_dispatch(cl_env_copy,VV[516])(1, T0) /*  CALL-WITH-SAFE-IO-SYNTAX */;
  return value0;
 }
}
/*      function definition for PRINT-CONDITION-BACKTRACE             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L349print_condition_backtrace(cl_narg narg, cl_object v1condition, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2stream;
  cl_object v3count;
  ecl_va_list args; ecl_va_start(args,v1condition,narg,1);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,L349print_condition_backtracekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[2])) {
    v2stream = ecl_symbol_value(VV[502]);
   } else {
    v2stream = keyvars[0];
   }
   v3count = keyvars[1];
  }
  ecl_function_dispatch(cl_env_copy,VV[620])(6, ECL_SYM("STREAM",1325), v2stream, ECL_SYM("COUNT",1466), v3count, VV[622], v1condition) /*  PRINT-BACKTRACE */;
  if (Null(v1condition)) { goto L3; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[544])(3, v2stream, VV[623], v1condition) /*  SAFE-FORMAT! */;
  return value0;
L3:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for FATAL-CONDITION-P                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L350fatal_condition_p(cl_object v1condition)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = si_of_class_p(2, v1condition, ECL_SYM("SERIOUS-CONDITION",742));
  return value0;
 }
}
/*      function definition for HANDLE-FATAL-CONDITION                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L351handle_fatal_condition(cl_object v1condition)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_symbol_value(VV[604]))) { goto L1; }
  value0 = (cl_env_copy->function=(ECL_SYM("INVOKE-DEBUGGER",445)->symbol.gfdef))->cfun.entry(1, v1condition) /*  INVOKE-DEBUGGER */;
  return value0;
L1:;
  ecl_function_dispatch(cl_env_copy,VV[544])(3, ecl_symbol_value(VV[502]), VV[626], v1condition) /*  SAFE-FORMAT! */;
  ecl_function_dispatch(cl_env_copy,VV[621])(3, v1condition, ECL_SYM("STREAM",1325), ecl_symbol_value(VV[502])) /*  PRINT-CONDITION-BACKTRACE */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[616])(3, ecl_make_fixnum(99), VV[627], v1condition) /*  DIE */;
  return value0;
 }
}
/*      function definition for CALL-WITH-FATAL-CONDITION-HANDLER     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L352call_with_fatal_condition_handler(cl_object v1uiop_image__thunk)
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_fdefinition(VV[625]);
  T1 = CONS(VV[613],T0);
  T2 = ecl_list1(T1);
  T3 = CONS(T2,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
  ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T3); /*  *HANDLER-CLUSTERS* */
  value0 = ecl_function_dispatch(cl_env_copy,v1uiop_image__thunk)(0);
  ecl_bds_unwind1(cl_env_copy);
  return value0;
 }
}
/*      local function WITH-FATAL-CONDITION-HANDLER                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC353with_fatal_condition_handler(cl_object v1, cl_object v2)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v5;
   }
   if (Null(v4)) { goto L8; }
   si_dm_too_many_arguments(v1);
L8:;
   T0 = cl_listX(3, ECL_SYM("LAMBDA",452), ECL_NIL, v3);
   T1 = cl_list(2, ECL_SYM("FUNCTION",396), T0);
   value0 = cl_list(2, VV[628], T1);
   return value0;
  }
 }
}
/*      function definition for SHELL-BOOLEAN-EXIT                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L354shell_boolean_exit(cl_object v1uiop_image__x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_fixnum v2;
   if (Null(v1uiop_image__x)) { goto L2; }
   v2 = 0;
   goto L1;
L2:;
   v2 = 1;
L1:;
   value0 = ecl_function_dispatch(cl_env_copy,VV[615])(1, ecl_make_fixnum(v2)) /*  QUIT */;
   return value0;
  }
 }
}
/*      closure G2333                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC343__g2333(volatile cl_narg narg, ...)
{
 cl_object T0, T1, T2, T3;
 cl_object volatile CLV0, CLV1, CLV2, CLV3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile env0 = cl_env_copy->function->cclosure.env;
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  ARGUMENTS       */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  T0 = cl_find_package(VV[20]);
  ecl_bds_bind(cl_env_copy,ECL_SYM("*PACKAGE*",43),T0); /*  *PACKAGE* */
  {
   volatile cl_object env1 = env0;
   CLV2 = env1 = CONS(ECL_NIL,env1);
   {
    volatile cl_object env2 = env1;
    CLV3 = env2 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
    if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV3))) {
    if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L1;
    ecl_internal_error("GO found an inexistent tag");
    }
    {
     cl_object v1;
     v1 = ecl_make_cclosure_va((cl_objectfn)LC342__g2337,env2,Cblock);
     T0 = v1;
    }
    T1 = CONS(ECL_SYM("ERROR",337),T0);
    T2 = ecl_list1(T1);
    T3 = CONS(T2,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
    ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T3); /*  *HANDLER-CLUSTERS* */
    value0 = ecl_function_dispatch(cl_env_copy,VV[543])(4, ecl_symbol_value(VV[502]), VV[617], ECL_CONS_CAR(CLV0), ECL_CONS_CAR(CLV1)) /*  FORMAT! */;
    ecl_frs_pop(cl_env_copy);
    ecl_bds_unwind1(cl_env_copy);
    ecl_bds_unwind1(cl_env_copy);
    return value0;
L1:;
    {
     cl_object v1condition;
     v1condition = ECL_CONS_CAR(CLV2);
     cl_env_copy->nvalues = 2;
     cl_env_copy->values[1] = v1condition;
     cl_env_copy->values[0] = ECL_NIL;
     value0 = cl_env_copy->values[0];
     ecl_frs_pop(cl_env_copy);
     ecl_bds_unwind1(cl_env_copy);
     return value0;
    }
   }
  }
 }
 }
}
/*      closure G2365                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC347__g2365(volatile cl_narg narg, ...)
{
 cl_object T0, T1, T2, T3;
 cl_object volatile CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile env0 = cl_env_copy->function->cclosure.env;
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  KEYS            */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  T0 = cl_find_package(VV[20]);
  ecl_bds_bind(cl_env_copy,ECL_SYM("*PACKAGE*",43),T0); /*  *PACKAGE* */
  ecl_bds_bind(cl_env_copy,ECL_SYM("*PRINT-READABLY*",57),ECL_NIL); /*  *PRINT-READABLY* */
  ecl_bds_bind(cl_env_copy,ECL_SYM("*PRINT-CIRCLE*",47),ECL_T); /*  *PRINT-CIRCLE* */
  ecl_bds_bind(cl_env_copy,ECL_SYM("*PRINT-MISER-WIDTH*",53),ecl_make_fixnum(75)); /*  *PRINT-MISER-WIDTH* */
  ecl_bds_bind(cl_env_copy,ECL_SYM("*PRINT-LENGTH*",50),ECL_NIL); /*  *PRINT-LENGTH* */
  ecl_bds_bind(cl_env_copy,ECL_SYM("*PRINT-LEVEL*",51),ECL_NIL); /*  *PRINT-LEVEL* */
  ecl_bds_bind(cl_env_copy,ECL_SYM("*PRINT-PRETTY*",55),ECL_T); /*  *PRINT-PRETTY* */
  {
   volatile cl_object env1 = env0;
   CLV1 = env1 = CONS(ECL_NIL,env1);
   {
    volatile cl_object env2 = env1;
    CLV2 = env2 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
    if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV2))) {
    if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L1;
    ecl_internal_error("GO found an inexistent tag");
    }
    {
     cl_object v1;
     v1 = ecl_make_cclosure_va((cl_objectfn)LC346__g2375,env2,Cblock);
     T0 = v1;
    }
    T1 = CONS(ECL_SYM("ERROR",337),T0);
    T2 = ecl_list1(T1);
    T3 = CONS(T2,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
    ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T3); /*  *HANDLER-CLUSTERS* */
    value0 = cl_apply(2, VV[618], ECL_CONS_CAR(CLV0));
    ecl_frs_pop(cl_env_copy);
    ecl_bds_unwind_n(cl_env_copy,8);
    return value0;
L1:;
    {
     cl_object v1condition;
     v1condition = ECL_CONS_CAR(CLV1);
     cl_env_copy->nvalues = 2;
     cl_env_copy->values[1] = v1condition;
     cl_env_copy->values[0] = ECL_NIL;
     value0 = cl_env_copy->values[0];
     ecl_frs_pop(cl_env_copy);
     ecl_bds_unwind_n(cl_env_copy,7);
     return value0;
    }
   }
  }
 }
 }
}
/*      closure G2337                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC342__g2337(cl_narg narg, cl_object v1si__temp, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV3 = env0;                                     /*  TAGBODY         */
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV2) = v1si__temp;
  cl_go(ECL_CONS_CAR(CLV3),ecl_make_fixnum(0));
 }
 }
}
/*      closure G2375                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC346__g2375(cl_narg narg, cl_object v1si__temp, ...)
{
 cl_object CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV2 = env0;                                     /*  TAGBODY         */
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV1) = v1si__temp;
  cl_go(ECL_CONS_CAR(CLV2),ecl_make_fixnum(0));
 }
 }
}
/*      function definition for REGISTER-IMAGE-RESTORE-HOOK           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L355register_image_restore_hook(cl_narg narg, cl_object v1uiop_image__hook, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_image__call_now_p;
  va_list args; va_start(args,v1uiop_image__hook);
  {
   int i = 1;
   if (i >= narg) {
    v2uiop_image__call_now_p = ECL_T;
   } else {
    i++;
    v2uiop_image__call_now_p = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = ecl_function_dispatch(cl_env_copy,VV[214])(3, VV[607], v1uiop_image__hook, v2uiop_image__call_now_p) /*  REGISTER-HOOK-FUNCTION */;
  return value0;
 }
}
/*      function definition for REGISTER-IMAGE-DUMP-HOOK              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L356register_image_dump_hook(cl_narg narg, cl_object v1uiop_image__hook, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_image__call_now_p;
  va_list args; va_start(args,v1uiop_image__hook);
  {
   int i = 1;
   if (i >= narg) {
    v2uiop_image__call_now_p = ECL_NIL;
   } else {
    i++;
    v2uiop_image__call_now_p = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = ecl_function_dispatch(cl_env_copy,VV[214])(3, VV[612], v1uiop_image__hook, v2uiop_image__call_now_p) /*  REGISTER-HOOK-FUNCTION */;
  return value0;
 }
}
/*      function definition for CALL-IMAGE-RESTORE-HOOK               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L357call_image_restore_hook()
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_reverse(ecl_symbol_value(VV[607]));
  value0 = ecl_function_dispatch(cl_env_copy,VV[213])(1, T0) /*  CALL-FUNCTIONS */;
  return value0;
 }
}
/*      function definition for CALL-IMAGE-DUMP-HOOK                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L358call_image_dump_hook()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[213])(1, ecl_symbol_value(VV[612])) /*  CALL-FUNCTIONS */;
  return value0;
 }
}
/*      function definition for RAW-COMMAND-LINE-ARGUMENTS            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L359raw_command_line_arguments()
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_fixnum v1;
   cl_object v2uiop_image__i;
   v1 = ecl_fixnum(si_argc());
   v2uiop_image__i = ecl_make_fixnum(0);
   {
    cl_object v3;
    cl_object v4;
    v3 = ecl_list1(ECL_NIL);
    v4 = v3;
L5:;
    if (!(ecl_number_compare(v2uiop_image__i,ecl_make_fixnum(v1))>=0)) { goto L7; }
    goto L6;
L7:;
    {
     cl_object v5;
     v5 = v4;
     if (ecl_unlikely(ECL_ATOM(v5))) FEtype_error_cons(v5);
     T0 = v5;
    }
    T1 = si_argv(v2uiop_image__i);
    v4 = ecl_list1(T1);
    (ECL_CONS_CDR(T0)=v4,T0);
    v2uiop_image__i = ecl_one_plus(v2uiop_image__i);
    goto L5;
L6:;
    value0 = ecl_cdr(v3);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for COMMAND-LINE-ARGUMENTS                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L360command_line_arguments(cl_narg narg, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object v1uiop_image__arguments;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    v1uiop_image__arguments = ecl_function_dispatch(cl_env_copy,VV[635])(0) /*  RAW-COMMAND-LINE-ARGUMENTS */;
   } else {
    i++;
    v1uiop_image__arguments = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if ((ecl_symbol_value(VV[606]))==(VV[637])) { goto L2; }
  {
   cl_object v2;
   v2 = v1uiop_image__arguments;
   goto L8;
L7:;
   {
    cl_object v3;
    cl_object v4;
    {
     cl_object v5;
     v5 = v2;
     if (ecl_unlikely(ECL_ATOM(v5))) FEtype_error_cons(v5);
     v3 = v5;
    }
    v4 = ECL_CONS_CAR(v3);
    if (Null(ecl_function_dispatch(cl_env_copy,ECL_SYM("STRING-EQUAL",808))(2, VV[638], v4))) { goto L10; }
    v1uiop_image__arguments = v3;
    goto L4;
   }
L10:;
   v2 = ECL_CONS_CDR(v2);
L8:;
   if (v2==ECL_NIL) { goto L18; }
   goto L7;
L18:;
   v1uiop_image__arguments = ECL_NIL;
  }
L4:;
L2:;
  value0 = ecl_cdr(v1uiop_image__arguments);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for ARGV0                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L361argv0()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!((ecl_symbol_value(VV[606]))==(VV[637]))) { goto L1; }
  value0 = si_argv(ecl_make_fixnum(0));
  return value0;
L1:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[273])(1, VV[640]) /*  GETENVP */;
  return value0;
 }
}
/*      function definition for SETUP-COMMAND-LINE-ARGUMENTS          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L362setup_command_line_arguments()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  cl_set(VV[605],ecl_function_dispatch(cl_env_copy,VV[636])(0) /*  COMMAND-LINE-ARGUMENTS */);
  value0 = ecl_symbol_value(VV[605]);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for RESTORE-IMAGE                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L364restore_image(cl_narg narg, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 cl_object CLV0, CLV1, CLV2, CLV3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1uiop_image__if_already_restored;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[10];
   cl_parse_key(args,5,L364restore_imagekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[5])) {
    env0 = ECL_NIL;
    CLV0 = env0 = CONS(ecl_symbol_value(VV[604]),env0); /*  LISP-INTERACTION */
   } else {
    env0 = ECL_NIL;
    CLV0 = env0 = CONS(keyvars[0],env0);          /*  LISP-INTERACTION */
   }
   if (Null(keyvars[6])) {
    CLV1 = env0 = CONS(ecl_symbol_value(VV[607]),env0); /*  RESTORE-HOOK */
   } else {
    CLV1 = env0 = CONS(keyvars[1],env0);          /*  RESTORE-HOOK    */
   }
   if (Null(keyvars[7])) {
    CLV2 = env0 = CONS(ecl_symbol_value(VV[609]),env0); /*  PRELUDE   */
   } else {
    CLV2 = env0 = CONS(keyvars[2],env0);          /*  PRELUDE         */
   }
   if (Null(keyvars[8])) {
    CLV3 = env0 = CONS(ecl_symbol_value(VV[610]),env0); /*  ENTRY-POINT */
   } else {
    CLV3 = env0 = CONS(keyvars[3],env0);          /*  ENTRY-POINT     */
   }
   if (Null(keyvars[9])) {
    v1uiop_image__if_already_restored = VV[643];
   } else {
    v1uiop_image__if_already_restored = keyvars[4];
   }
  }
  if (Null(ecl_symbol_value(VV[608]))) { goto L2; }
  if (Null(v1uiop_image__if_already_restored)) { goto L4; }
  {
   bool v2;
   v2 = (ecl_symbol_value(VV[608]))==(ECL_T);
   ecl_function_dispatch(cl_env_copy,VV[212])(3, v1uiop_image__if_already_restored, VV[644], ecl_make_bool(v2)) /*  CALL-FUNCTION */;
   goto L2;
  }
L4:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  {
   cl_object v2;
   v2 = ecl_make_cclosure_va((cl_objectfn)LC363__g2417,env0,Cblock);
   T0 = v2;
  }
  value0 = ecl_function_dispatch(cl_env_copy,VV[628])(1, T0) /*  CALL-WITH-FATAL-CONDITION-HANDLER */;
  return value0;
 }
}
/*      closure G2417                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC363__g2417(cl_narg narg, ...)
{
 cl_object T0;
 cl_object CLV0, CLV1, CLV2, CLV3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV3 = env0;                                     /*  ENTRY-POINT     */
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  cl_set(VV[604],ECL_CONS_CAR(CLV0));
  cl_set(VV[607],ECL_CONS_CAR(CLV1));
  cl_set(VV[609],ECL_CONS_CAR(CLV2));
  cl_set(VV[608],VV[645]);
  ecl_function_dispatch(cl_env_copy,VV[633])(0)   /*  CALL-IMAGE-RESTORE-HOOK */;
  ecl_function_dispatch(cl_env_copy,VV[566])(1, ECL_CONS_CAR(CLV2)) /*  STANDARD-EVAL-THUNK */;
  cl_set(VV[608],ECL_T);
  {
   cl_object v1uiop_image__results;
   {
    struct ecl_stack_frame _ecl_inner_frame_aux;
    cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
    {
     cl_object v2;
     v2 = _ecl_inner_frame;
     {
      cl_object v3;
      v3 = ECL_SYM("LIST",481);
      if (Null(ECL_CONS_CAR(CLV3))) { goto L19; }
      cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,VV[212])(1, ECL_CONS_CAR(CLV3)) /*  CALL-FUNCTION */;
      goto L18;
L19:;
      cl_env_copy->values[0] = ECL_T;
      cl_env_copy->nvalues = 1;
L18:;
      ecl_stack_frame_push_values(v2);cl_env_copy->values[0]=ecl_apply_from_stack_frame(v2,v3);
      value0 = cl_env_copy->values[0];
     }
    }
    ecl_stack_frame_close(_ecl_inner_frame);
   }
   v1uiop_image__results = value0;
   if (Null(ECL_CONS_CAR(CLV0))) { goto L21; }
   value0 = cl_apply(2, ECL_SYM("VALUES",895), v1uiop_image__results);
   return value0;
L21:;
   T0 = ecl_car(v1uiop_image__results);
   value0 = ecl_function_dispatch(cl_env_copy,VV[630])(1, T0) /*  SHELL-BOOLEAN-EXIT */;
   return value0;
  }
 }
 }
}
/*      function definition for DUMP-IMAGE                            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L365dump_image(cl_narg narg, cl_object v1uiop_image__filename, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_image__output_name;
  cl_object v3uiop_image__executable;
  cl_object v4uiop_image__postlude;
  cl_object v5uiop_image__dump_hook;
  ecl_va_list args; ecl_va_start(args,v1uiop_image__filename,narg,1);
  {
   cl_object keyvars[8];
   cl_parse_key(args,4,L365dump_imagekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v2uiop_image__output_name = keyvars[0];
   v3uiop_image__executable = keyvars[1];
   if (Null(keyvars[6])) {
    v4uiop_image__postlude = ecl_symbol_value(VV[611]);
   } else {
    v4uiop_image__postlude = keyvars[2];
   }
   if (Null(keyvars[7])) {
    v5uiop_image__dump_hook = ecl_symbol_value(VV[612]);
   } else {
    v5uiop_image__dump_hook = keyvars[3];
   }
  }
  if (Null(v3uiop_image__executable)) { goto L5; }
  cl_set(VV[606],VV[637]);
  goto L4;
L5:;
  cl_set(VV[606],ECL_T);
L4:;
  cl_set(VV[608],VV[647]);
  cl_set(VV[611],v4uiop_image__postlude);
  ecl_function_dispatch(cl_env_copy,VV[566])(1, ecl_symbol_value(VV[611])) /*  STANDARD-EVAL-THUNK */;
  cl_set(VV[612],v5uiop_image__dump_hook);
  ecl_function_dispatch(cl_env_copy,VV[634])(0)   /*  CALL-IMAGE-DUMP-HOOK */;
  cl_set(VV[608],ECL_NIL);
  if (Null(v3uiop_image__executable)) { goto L17; }
  cl_error(1, VV[648]);
L17:;
  {
   struct ecl_stack_frame _ecl_inner_frame_aux;
   cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
   {
    cl_object v6;
    v6 = _ecl_inner_frame;
    {
     cl_object v7;
     v7 = ECL_SYM("LIST",481);
     cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,VV[275])(0) /*  IMPLEMENTATION-TYPE */;
     ecl_stack_frame_push_values(v6);cl_env_copy->values[0]=ecl_apply_from_stack_frame(v6,v7);
     value0 = cl_env_copy->values[0];
    }
   }
   ecl_stack_frame_close(_ecl_inner_frame);
  }
  T0 = value0;
  T1 = ecl_cadr(T0);
  value0 = cl_error(4, VV[649], VV[646], v1uiop_image__filename, T1);
  return value0;
 }
}
/*      function definition for CREATE-IMAGE                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L366create_image(cl_narg narg, cl_object v1uiop_image__destination, cl_object v2uiop_image__lisp_object_files, ...)
{
 cl_object T0, T1, T2, T3, T4, T5, T6;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3uiop_image__kind;
  cl_object v4uiop_image__output_name;
  cl_object v5uiop_image__prologue_code;
  cl_object v6uiop_image__epilogue_code;
  cl_object v7uiop_image__extra_object_files;
  cl_object v8uiop_image__prelude;
  cl_object v9uiop_image__preludep;
  cl_object v10uiop_image__postlude;
  cl_object v11uiop_image__postludep;
  cl_object v12uiop_image__entry_point;
  cl_object v13uiop_image__entry_point_p;
  cl_object v14uiop_image__build_args;
  cl_object v15uiop_image__no_uiop;
  ecl_va_list args; ecl_va_start(args,v2uiop_image__lisp_object_files,narg,2);
  {
   cl_object keyvars[20];
   cl_parse_key(args,10,L366create_imagekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v3uiop_image__kind = keyvars[0];
   v4uiop_image__output_name = keyvars[1];
   v5uiop_image__prologue_code = keyvars[2];
   v6uiop_image__epilogue_code = keyvars[3];
   v7uiop_image__extra_object_files = keyvars[4];
   v8uiop_image__prelude = keyvars[5];
   v9uiop_image__preludep = keyvars[15];
   v10uiop_image__postlude = keyvars[6];
   v11uiop_image__postludep = keyvars[16];
   v12uiop_image__entry_point = keyvars[7];
   v13uiop_image__entry_point_p = keyvars[17];
   v14uiop_image__build_args = keyvars[8];
   v15uiop_image__no_uiop = keyvars[9];
  }
  {
   cl_object v16uiop_image__epilogue_code;
   if (Null(v15uiop_image__no_uiop)) { goto L2; }
   v16uiop_image__epilogue_code = v6uiop_image__epilogue_code;
   goto L1;
L2:;
   {
    cl_object v17uiop_image__forms;
    if (Null(v6uiop_image__epilogue_code)) { goto L6; }
    T0 = ecl_list1(v6uiop_image__epilogue_code);
    goto L5;
L6:;
    T0 = ECL_NIL;
L5:;
    if (Null(v11uiop_image__postludep)) { goto L9; }
    T2 = cl_list(2, ECL_SYM("QUOTE",679), v10uiop_image__postlude);
    T3 = cl_list(3, ECL_SYM("SETF",750), VV[611], T2);
    T1 = ecl_list1(T3);
    goto L8;
L9:;
    T1 = ECL_NIL;
L8:;
    if (Null(v9uiop_image__preludep)) { goto L12; }
    T3 = cl_list(2, ECL_SYM("QUOTE",679), v8uiop_image__prelude);
    T4 = cl_list(3, ECL_SYM("SETF",750), VV[609], T3);
    T2 = ecl_list1(T4);
    goto L11;
L12:;
    T2 = ECL_NIL;
L11:;
    if (Null(v13uiop_image__entry_point_p)) { goto L15; }
    T4 = cl_list(2, ECL_SYM("QUOTE",679), v12uiop_image__entry_point);
    T5 = cl_list(3, ECL_SYM("SETF",750), VV[610], T4);
    T3 = ecl_list1(T5);
    goto L14;
L15:;
    T3 = ECL_NIL;
L14:;
    {
     cl_object v18;
     v18 = v3uiop_image__kind;
     if (!(ecl_eql(v18,VV[651]))) { goto L19; }
     v3uiop_image__kind = VV[653];
     T4 = VV[654];
     goto L17;
L19:;
     if (!(ecl_eql(v18,VV[653]))) { goto L24; }
     T4 = VV[656];
     goto L17;
L24:;
     T4 = ECL_NIL;
    }
L17:;
    v17uiop_image__forms = cl_append(5, T0, T1, T2, T3, T4);
    if (Null(v17uiop_image__forms)) { goto L27; }
    v16uiop_image__epilogue_code = CONS(ECL_SYM("PROGN",671),v17uiop_image__forms);
    goto L1;
L27:;
    v16uiop_image__epilogue_code = ECL_NIL;
   }
L1:;
   {
    cl_object v17;
    v17 = v3uiop_image__kind;
    if ((ecl_memql(v17,VV[657]))!=ECL_NIL) { goto L31; }
    v3uiop_image__kind = si_do_check_type(v17, VV[658], ECL_NIL, VV[659]);
L31:;
   }
   T0 = cl_pathname(v1uiop_image__destination);
   T1 = ecl_append(v2uiop_image__lisp_object_files,v7uiop_image__extra_object_files);
   value0 = v4uiop_image__output_name;
   if ((value0)!=ECL_NIL) { goto L36; }
   T2 = v1uiop_image__destination;
   goto L34;
L36:;
   T2 = value0;
   goto L34;
L34:;
   T3 = ecl_function_dispatch(cl_env_copy,VV[2160])(3, T2, VV[663], v3uiop_image__kind) /*  COMPUTE-INIT-NAME */;
   if (Null(v5uiop_image__prologue_code)) { goto L39; }
   T4 = cl_list(2, VV[664], v5uiop_image__prologue_code);
   goto L38;
L39:;
   T4 = ECL_NIL;
L38:;
   if (Null(v16uiop_image__epilogue_code)) { goto L42; }
   T5 = cl_list(2, VV[665], v16uiop_image__epilogue_code);
   goto L41;
L42:;
   T5 = ECL_NIL;
L41:;
   T6 = cl_append(3, T4, T5, v14uiop_image__build_args);
   value0 = cl_apply(8, VV[660], v3uiop_image__kind, T0, VV[661], T1, VV[662], T3, T6);
   return value0;
  }
 }
}
/*      function definition for REQUIRES-ESCAPING-P                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L369requires_escaping_p(cl_narg narg, cl_object v1uiop_run_program__token, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  ecl_va_list args; ecl_va_start(args,v1uiop_run_program__token,narg,1);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,L369requires_escaping_pkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   env0 = ECL_NIL;
   CLV0 = env0 = CONS(keyvars[0],env0);           /*  GOOD-CHARS      */
   CLV1 = env0 = CONS(keyvars[1],env0);           /*  BAD-CHARS       */
  }
  if (Null(ECL_CONS_CAR(CLV0))) { goto L2; }
  if (Null(ECL_CONS_CAR(CLV1))) { goto L2; }
  T0 = cl_error(1, VV[667]);
  goto L1;
L2:;
  if (Null(cl_functionp(ECL_CONS_CAR(CLV0)))) { goto L5; }
  T0 = cl_complement(ECL_CONS_CAR(CLV0));
  goto L1;
L5:;
  if (Null(cl_functionp(ECL_CONS_CAR(CLV1)))) { goto L7; }
  T0 = ECL_CONS_CAR(CLV1);
  goto L1;
L7:;
  if (Null(ECL_CONS_CAR(CLV0))) { goto L9; }
  if (ECL_CONSP(ECL_CONS_CAR(CLV0))) { goto L12; }
  if (ECL_CONS_CAR(CLV0)==ECL_NIL) { goto L12; }
  if (!(ECL_VECTORP(ECL_CONS_CAR(CLV0)))) { goto L9; }
  goto L10;
L12:;
L10:;
  {
   cl_object v2;
   v2 = ecl_make_cclosure_va((cl_objectfn)LC367__g2455,env0,Cblock);
   T0 = v2;
   goto L1;
  }
L9:;
  if (Null(ECL_CONS_CAR(CLV1))) { goto L15; }
  if (ECL_CONSP(ECL_CONS_CAR(CLV1))) { goto L18; }
  if (ECL_CONS_CAR(CLV1)==ECL_NIL) { goto L18; }
  if (!(ECL_VECTORP(ECL_CONS_CAR(CLV1)))) { goto L15; }
  goto L16;
L18:;
L16:;
  {
   cl_object v3;
   v3 = ecl_make_cclosure_va((cl_objectfn)LC368__g2465,env0,Cblock);
   T0 = v3;
   goto L1;
  }
L15:;
  T0 = cl_error(1, VV[668]);
L1:;
  value0 = cl_some(2, T0, v1uiop_run_program__token);
  return value0;
 }
}
/*      function definition for ESCAPE-TOKEN                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L371escape_token(cl_narg narg, cl_object v1uiop_run_program__token, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 cl_object CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2stream;
  cl_object v3uiop_run_program__good_chars;
  cl_object v4uiop_run_program__bad_chars;
  ecl_va_list args; ecl_va_start(args,v1uiop_run_program__token,narg,1);
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1uiop_run_program__token,env0); /*  TOKEN       */
  {
   cl_object keyvars[10];
   cl_parse_key(args,5,L371escape_tokenkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v2stream = keyvars[0];
   CLV1 = env0 = CONS(keyvars[1],env0);           /*  QUOTE           */
   v3uiop_run_program__good_chars = keyvars[2];
   v4uiop_run_program__bad_chars = keyvars[3];
   CLV2 = env0 = CONS(keyvars[4],env0);           /*  ESCAPER         */
  }
  if (Null(ecl_function_dispatch(cl_env_copy,VV[666])(5, ECL_CONS_CAR(CLV0), VV[670], v3uiop_run_program__good_chars, VV[671], v4uiop_run_program__bad_chars) /*  REQUIRES-ESCAPING-P */)) { goto L1; }
  {
   cl_object v5;
   v5 = ecl_make_cclosure_va((cl_objectfn)LC370__g2474,env0,Cblock);
   T0 = v5;
  }
  value0 = ecl_function_dispatch(cl_env_copy,VV[523])(2, v2stream, T0) /*  CALL-WITH-OUTPUT */;
  return value0;
L1:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[527])(2, ECL_CONS_CAR(CLV0), v2stream) /*  OUTPUT-STRING */;
  return value0;
 }
}
/*      function definition for ESCAPE-WINDOWS-TOKEN-WITHIN-DOUBLE-QUOTES */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L375escape_windows_token_within_double_quotes(cl_narg narg, cl_object v1uiop_run_program__x, ...)
{
 cl_object T0, T1;
 volatile cl_object lex0[1];
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  va_list args; va_start(args,v1uiop_run_program__x);
  {
   int i = 1;
   if (i >= narg) {
    lex0[0] = ECL_NIL;                            /*  S               */
   } else {
    i++;
    lex0[0] = va_arg(args,cl_object);             /*  S               */
   }
  }
  va_end(args);
  {
   cl_fixnum v2uiop_run_program__l;
   v2uiop_run_program__l = ecl_length(v1uiop_run_program__x);
   {
    cl_object v3uiop_run_program__i;
    v3uiop_run_program__i = ecl_make_fixnum(0);
    {
     cl_object v4uiop_run_program__i_1;
     v4uiop_run_program__i_1 = ECL_NIL;
     LC372issue(lex0, CODE_CHAR(34));
L4:;
     v4uiop_run_program__i_1 = ecl_one_plus(v3uiop_run_program__i);
     if (ecl_number_compare(v3uiop_run_program__i,ecl_make_fixnum(v2uiop_run_program__l))<0) { goto L9; }
     goto L5;
L9:;
     {
      ecl_character v5;
      v5 = CHAR_CODE(cl_char(v1uiop_run_program__x, v3uiop_run_program__i));
      if (!((v5)==((ecl_character)(34)))) { goto L13; }
      LC373issue_backslash(lex0, ecl_make_fixnum(1));
      LC372issue(lex0, CODE_CHAR(34));
      v3uiop_run_program__i = v4uiop_run_program__i_1;
      goto L11;
L13:;
      if (!((v5)==((ecl_character)(92)))) { goto L19; }
      {
       cl_object v6uiop_run_program__j;
       cl_object v7uiop_run_program__n;
       if (!(ecl_number_compare(v4uiop_run_program__i_1,ecl_make_fixnum(v2uiop_run_program__l))<0)) { goto L24; }
       {
        cl_object v8;
        v8 = ecl_make_cfun((cl_objectfn_fixed)LC374__g2522,ECL_NIL,Cblock,1);
        T0 = v8;
       }
       v6uiop_run_program__j = cl_position_if_not(4, T0, v1uiop_run_program__x, ECL_SYM("START",1322), v4uiop_run_program__i_1);
       goto L22;
L24:;
       v6uiop_run_program__j = ECL_NIL;
       goto L22;
L22:;
       value0 = v6uiop_run_program__j;
       if ((value0)!=ECL_NIL) { goto L30; }
       T0 = ecl_make_fixnum(v2uiop_run_program__l);
       goto L28;
L30:;
       T0 = value0;
       goto L28;
L28:;
       v7uiop_run_program__n = ecl_minus(T0,v3uiop_run_program__i);
       if (!(v6uiop_run_program__j==ECL_NIL)) { goto L32; }
       T0 = ecl_times(ecl_make_fixnum(2),v7uiop_run_program__n);
       LC373issue_backslash(lex0, T0);
       v3uiop_run_program__i = ecl_make_fixnum(v2uiop_run_program__l);
       goto L11;
L32:;
       if (!(ecl_number_compare(v6uiop_run_program__j,ecl_make_fixnum(v2uiop_run_program__l))<0)) { goto L36; }
       T0 = cl_char(v1uiop_run_program__x, v6uiop_run_program__j);
       if (!((ecl_char_code(T0))==((ecl_character)(34)))) { goto L36; }
       T0 = ecl_times(ecl_make_fixnum(2),v7uiop_run_program__n);
       T1 = ecl_one_plus(T0);
       LC373issue_backslash(lex0, T1);
       LC372issue(lex0, CODE_CHAR(34));
       v3uiop_run_program__i = ecl_one_plus(v6uiop_run_program__j);
       goto L11;
L36:;
       LC373issue_backslash(lex0, v7uiop_run_program__n);
       v3uiop_run_program__i = v6uiop_run_program__j;
       goto L11;
      }
L19:;
      T0 = cl_char(v1uiop_run_program__x, v3uiop_run_program__i);
      LC372issue(lex0, T0);
      v3uiop_run_program__i = v4uiop_run_program__i_1;
     }
L11:;
     goto L4;
L5:;
     LC372issue(lex0, CODE_CHAR(34));
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*      function definition for EASY-WINDOWS-CHARACTER-P              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L376easy_windows_character_p(cl_object v1uiop_run_program__x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_alphanumericp(v1uiop_run_program__x);
  if ((value0)!=ECL_NIL) { goto L2; }
  {
   cl_object v2;
   v2 = si_make_seq_iterator(2, VV[677], ecl_make_fixnum(0));
L5:;
   if ((v2)!=ECL_NIL) { goto L7; }
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L7:;
   {
    cl_object v3;
    v3 = si_seq_iterator_ref(VV[677], v2);
    if (!(ecl_eql(v1uiop_run_program__x,v3))) { goto L9; }
    value0 = v3;
    cl_env_copy->nvalues = 1;
    return value0;
   }
L9:;
   v2 = si_seq_iterator_next(VV[677], v2);
   goto L5;
  }
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for ESCAPE-WINDOWS-TOKEN                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L377escape_windows_token(cl_narg narg, cl_object v1uiop_run_program__token, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_run_program__s;
  va_list args; va_start(args,v1uiop_run_program__token);
  {
   int i = 1;
   if (i >= narg) {
    v2uiop_run_program__s = ECL_NIL;
   } else {
    i++;
    v2uiop_run_program__s = va_arg(args,cl_object);
   }
  }
  va_end(args);
  T0 = ecl_fdefinition(VV[676]);
  value0 = ecl_function_dispatch(cl_env_copy,VV[669])(9, v1uiop_run_program__token, ECL_SYM("STREAM",1325), v2uiop_run_program__s, VV[670], T0, VV[672], ECL_NIL, VV[679], VV[673]) /*  ESCAPE-TOKEN */;
  return value0;
 }
}
/*      function definition for ESCAPE-SH-TOKEN-WITHIN-DOUBLE-QUOTES  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L378escape_sh_token_within_double_quotes(cl_narg narg, cl_object v1uiop_run_program__x, cl_object v2uiop_run_program__s, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3quote;
  ecl_va_list args; ecl_va_start(args,v2uiop_run_program__s,narg,2);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L378escape_sh_token_within_double_quoteskeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[1])) {
    v3quote = ECL_T;
   } else {
    v3quote = keyvars[0];
   }
  }
  if (Null(v3quote)) { goto L2; }
  ecl_princ_char((ecl_character)(34),v2uiop_run_program__s);
L2:;
  {
   cl_object v4uiop_run_program__c;
   cl_object v5;
   cl_fixnum v6;
   cl_fixnum v7;
   v4uiop_run_program__c = ECL_NIL;
   {
    cl_object v8;
    v8 = v1uiop_run_program__x;
    if (ecl_unlikely(!ECL_VECTORP(v8))) FEtype_error_vector(v8);
    v5 = v8;
   }
   v6 = 0;
   v7 = 0;
   v7 = ecl_length(v5);
L11:;
   if (!((v6)>=(v7))) { goto L15; }
   goto L12;
L15:;
   {
    cl_object v8;
    v8 = v5;
    T0 = v8;
    {
     cl_fixnum v9;
     {
      cl_fixnum v10;
      v10 = v6;
      if (ecl_unlikely((v10)>=(v8)->vector.dim))
           FEwrong_index(ECL_NIL,v8,-1,ecl_make_fixnum(v10),(v8)->vector.dim);
      v9 = v10;
     }
     v4uiop_run_program__c = ecl_aref_unsafe(T0,v9);
    }
   }
   {
    cl_object v8;
    v8 = ecl_make_integer((v6)+1);
    {
     bool v9;
     v9 = ECL_FIXNUMP(v8);
     if (ecl_unlikely(!(v9)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),v8);
    }
    v6 = ecl_fixnum(v8);
   }
   {
    cl_object v8;
    v8 = si_make_seq_iterator(2, VV[681], ecl_make_fixnum(0));
L32:;
    if ((v8)!=ECL_NIL) { goto L34; }
    goto L29;
L34:;
    {
     cl_object v9;
     v9 = si_seq_iterator_ref(VV[681], v8);
     if (!(ecl_eql(v4uiop_run_program__c,v9))) { goto L36; }
     if (Null(v9)) { goto L29; }
     goto L30;
    }
L36:;
    v8 = si_seq_iterator_next(VV[681], v8);
    goto L32;
   }
L30:;
   ecl_princ_char((ecl_character)(92),v2uiop_run_program__s);
L29:;
   ecl_princ(v4uiop_run_program__c,v2uiop_run_program__s);
   goto L11;
L12:;
  }
  if (Null(v3quote)) { goto L42; }
  value0 = CODE_CHAR(ecl_princ_char((ecl_character)(34),v2uiop_run_program__s));
  cl_env_copy->nvalues = 1;
  return value0;
L42:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for EASY-SH-CHARACTER-P                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L379easy_sh_character_p(cl_object v1uiop_run_program__x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_alphanumericp(v1uiop_run_program__x);
  if ((value0)!=ECL_NIL) { goto L2; }
  {
   cl_object v2;
   v2 = si_make_seq_iterator(2, VV[683], ecl_make_fixnum(0));
L5:;
   if ((v2)!=ECL_NIL) { goto L7; }
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L7:;
   {
    cl_object v3;
    v3 = si_seq_iterator_ref(VV[683], v2);
    if (!(ecl_eql(v1uiop_run_program__x,v3))) { goto L9; }
    value0 = v3;
    cl_env_copy->nvalues = 1;
    return value0;
   }
L9:;
   v2 = si_seq_iterator_next(VV[683], v2);
   goto L5;
  }
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for ESCAPE-SH-TOKEN                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L380escape_sh_token(cl_narg narg, cl_object v1uiop_run_program__token, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_run_program__s;
  va_list args; va_start(args,v1uiop_run_program__token);
  {
   int i = 1;
   if (i >= narg) {
    v2uiop_run_program__s = ECL_NIL;
   } else {
    i++;
    v2uiop_run_program__s = va_arg(args,cl_object);
   }
  }
  va_end(args);
  T0 = ecl_fdefinition(VV[682]);
  value0 = ecl_function_dispatch(cl_env_copy,VV[669])(9, v1uiop_run_program__token, ECL_SYM("STREAM",1325), v2uiop_run_program__s, VV[672], CODE_CHAR(34), VV[670], T0, VV[679], VV[680]) /*  ESCAPE-TOKEN */;
  return value0;
 }
}
/*      function definition for ESCAPE-SHELL-TOKEN                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L381escape_shell_token(cl_narg narg, cl_object v1uiop_run_program__token, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_run_program__s;
  va_list args; va_start(args,v1uiop_run_program__token);
  {
   int i = 1;
   if (i >= narg) {
    v2uiop_run_program__s = ECL_NIL;
   } else {
    i++;
    v2uiop_run_program__s = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = ecl_function_dispatch(cl_env_copy,VV[684])(2, v1uiop_run_program__token, v2uiop_run_program__s) /*  ESCAPE-SH-TOKEN */;
  return value0;
 }
}
/*      function definition for ESCAPE-COMMAND                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L383escape_command(cl_narg narg, cl_object v1uiop_run_program__command, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_run_program__s;
  va_list args; va_start(args,v1uiop_run_program__command);
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1uiop_run_program__command,env0); /*  COMMAND   */
  {
   int i = 1;
   if (i >= narg) {
    v2uiop_run_program__s = ECL_NIL;
   } else {
    i++;
    v2uiop_run_program__s = va_arg(args,cl_object);
   }
   if (i >= narg) {
    CLV1 = env0 = CONS(VV[685],env0);             /*  ESCAPER         */
   } else {
    i++;
    CLV1 = env0 = CONS(va_arg(args,cl_object),env0); /*  ESCAPER      */
   }
  }
  va_end(args);
  if (!(ECL_STRINGP(ECL_CONS_CAR(CLV0)))) { goto L2; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[527])(2, ECL_CONS_CAR(CLV0), v2uiop_run_program__s) /*  OUTPUT-STRING */;
  return value0;
L2:;
  if (!(ECL_LISTP(ECL_CONS_CAR(CLV0)))) { goto L4; }
  {
   cl_object v3;
   v3 = ecl_make_cclosure_va((cl_objectfn)LC382__g2569,env0,Cblock);
   T0 = v3;
  }
  value0 = ecl_function_dispatch(cl_env_copy,VV[523])(2, v2uiop_run_program__s, T0) /*  CALL-WITH-OUTPUT */;
  return value0;
L4:;
  value0 = si_etypecase_error(ECL_CONS_CAR(CLV0), VV[687]);
  return value0;
 }
}
/*      function definition for ESCAPE-WINDOWS-COMMAND                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L384escape_windows_command(cl_narg narg, cl_object v1uiop_run_program__command, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_run_program__s;
  va_list args; va_start(args,v1uiop_run_program__command);
  {
   int i = 1;
   if (i >= narg) {
    v2uiop_run_program__s = ECL_NIL;
   } else {
    i++;
    v2uiop_run_program__s = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = ecl_function_dispatch(cl_env_copy,VV[686])(3, v1uiop_run_program__command, v2uiop_run_program__s, VV[678]) /*  ESCAPE-COMMAND */;
  return value0;
 }
}
/*      function definition for ESCAPE-SH-COMMAND                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L385escape_sh_command(cl_narg narg, cl_object v1uiop_run_program__command, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_run_program__s;
  va_list args; va_start(args,v1uiop_run_program__command);
  {
   int i = 1;
   if (i >= narg) {
    v2uiop_run_program__s = ECL_NIL;
   } else {
    i++;
    v2uiop_run_program__s = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = ecl_function_dispatch(cl_env_copy,VV[686])(3, v1uiop_run_program__command, v2uiop_run_program__s, VV[684]) /*  ESCAPE-COMMAND */;
  return value0;
 }
}
/*      function definition for ESCAPE-SHELL-COMMAND                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L386escape_shell_command(cl_narg narg, cl_object v1uiop_run_program__command, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2stream;
  va_list args; va_start(args,v1uiop_run_program__command);
  {
   int i = 1;
   if (i >= narg) {
    v2stream = ECL_NIL;
   } else {
    i++;
    v2stream = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = ecl_function_dispatch(cl_env_copy,VV[686])(3, v1uiop_run_program__command, v2stream, VV[685]) /*  ESCAPE-COMMAND */;
  return value0;
 }
}
/*      closure G2455                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC367__g2455(cl_narg narg, cl_object v1uiop_run_program__c, ...)
{
 cl_object T0;
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;
 CLV0 = _ecl_cdr(CLV1);                           /*  GOOD-CHARS      */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  {
   cl_object v2;
   v2 = si_make_seq_iterator(2, ECL_CONS_CAR(CLV0), ecl_make_fixnum(0));
L3:;
   if ((v2)!=ECL_NIL) { goto L5; }
   T0 = ECL_NIL;
   goto L1;
L5:;
   {
    cl_object v3;
    v3 = si_seq_iterator_ref(ECL_CONS_CAR(CLV0), v2);
    if (!(ecl_eql(v1uiop_run_program__c,v3))) { goto L7; }
    T0 = v3;
    goto L1;
   }
L7:;
   v2 = si_seq_iterator_next(ECL_CONS_CAR(CLV0), v2);
   goto L3;
  }
L1:;
  value0 = Null(T0)?ECL_T:ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
 }
}
/*      closure G2465                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC368__g2465(cl_narg narg, cl_object v1uiop_run_program__c, ...)
{
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  BAD-CHARS       */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  {
   cl_object v2;
   v2 = si_make_seq_iterator(2, ECL_CONS_CAR(CLV1), ecl_make_fixnum(0));
L2:;
   if ((v2)!=ECL_NIL) { goto L4; }
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L4:;
   {
    cl_object v3;
    v3 = si_seq_iterator_ref(ECL_CONS_CAR(CLV1), v2);
    if (!(ecl_eql(v1uiop_run_program__c,v3))) { goto L6; }
    value0 = v3;
    cl_env_copy->nvalues = 1;
    return value0;
   }
L6:;
   v2 = si_seq_iterator_next(ECL_CONS_CAR(CLV1), v2);
   goto L2;
  }
 }
 }
}
/*      closure G2474                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC370__g2474(cl_narg narg, cl_object v1stream, ...)
{
 cl_object T0;
 cl_object CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV2 = env0;                                     /*  ESCAPER         */
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  if (Null(ECL_CONS_CAR(CLV1))) { goto L2; }
  T0 = cl_list(2, VV[672], ECL_CONS_CAR(CLV1));
  goto L1;
L2:;
  T0 = ECL_NIL;
L1:;
  value0 = cl_apply(4, ECL_CONS_CAR(CLV2), ECL_CONS_CAR(CLV0), v1stream, T0);
  return value0;
 }
 }
}
/*      local function ISSUE-BACKSLASH                                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC373issue_backslash(volatile cl_object *lex0, cl_object v1uiop_run_program__n)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   {
    cl_object v3;
    v3 = v1uiop_run_program__n;
    T0 = cl_realp(v3);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("REAL",703),v3);
    v2 = v3;
   }
L4:;
   v2 = ecl_minus(v2,ecl_make_fixnum(1));
   T0 = v2;
   if (!(ecl_minusp(T0))) { goto L6; }
   goto L5;
L6:;
   LC372issue(lex0, CODE_CHAR(92));
   goto L4;
L5:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function ISSUE                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC372issue(volatile cl_object *lex0, cl_object v1uiop_run_program__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_princ(v1uiop_run_program__c,lex0[0]);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G2522                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC374__g2522(cl_object v1uiop_run_program__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_make_bool(((v1uiop_run_program__c)==ECL_CODE_CHAR((ecl_character)(92))));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      closure G2569                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC382__g2569(cl_narg narg, cl_object v1uiop_run_program__s, ...)
{
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  ESCAPER         */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  {
   cl_object v2first;
   v2first = ECL_NIL;
   {
    cl_object v3uiop_run_program__token;
    cl_object v4;
    v3uiop_run_program__token = ECL_NIL;
    {
     cl_object v5;
     v5 = ECL_CONS_CAR(CLV0);
     if (ecl_unlikely(!ECL_LISTP(v5))) FEtype_error_list(v5);
     v4 = v5;
    }
    v2first = ECL_T;
L6:;
    if (!(ecl_endp(v4))) { goto L10; }
    goto L7;
L10:;
    v3uiop_run_program__token = _ecl_car(v4);
    {
     cl_object v5;
     v5 = _ecl_cdr(v4);
     if (ecl_unlikely(!ECL_LISTP(v5))) FEtype_error_list(v5);
     v4 = v5;
    }
    if ((v2first)!=ECL_NIL) { goto L19; }
    ecl_princ_char((ecl_character)(32),v1uiop_run_program__s);
L19:;
    ecl_function_dispatch(cl_env_copy,ECL_CONS_CAR(CLV1))(2, v3uiop_run_program__token, v1uiop_run_program__s);
    v2first = ECL_NIL;
    goto L6;
L7:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
 }
}
/*      function definition for CALL-STREAM-PROCESSOR                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L387call_stream_processor(cl_object v1uiop_run_program__fun, cl_object v2uiop_run_program__processor, cl_object v3stream)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_CONSP(v2uiop_run_program__processor))) { goto L1; }
  T0 = ecl_car(v2uiop_run_program__processor);
  T1 = ecl_cdr(v2uiop_run_program__processor);
  value0 = cl_apply(4, v1uiop_run_program__fun, T0, v3stream, T1);
  return value0;
L1:;
  value0 = ecl_function_dispatch(cl_env_copy,v1uiop_run_program__fun)(2, v2uiop_run_program__processor, v3stream);
  return value0;
 }
}
/*      local function G2573                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC388__g2573(cl_narg narg, cl_object v1function, cl_object v2uiop_run_program__input_stream, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  ecl_va_list args; ecl_va_start(args,v2uiop_run_program__input_stream,narg,2);
  cl_parse_key(args,0,NULL,NULL,NULL,TRUE);
  ecl_va_end(args);
  value0 = ecl_function_dispatch(cl_env_copy,v1function)(1, v2uiop_run_program__input_stream);
  return value0;
 }
}
/*      local function G2574                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC389__g2574(cl_narg narg, cl_object v1list, cl_object v2uiop_run_program__input_stream, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  ecl_va_list args; ecl_va_start(args,v2uiop_run_program__input_stream,narg,2);
  cl_parse_key(args,0,NULL,NULL,NULL,TRUE);
  ecl_va_end(args);
  T0 = ecl_car(v1list);
  T1 = ecl_cdr(v1list);
  value0 = cl_apply(3, T0, v2uiop_run_program__input_stream, T1);
  return value0;
 }
}
/*      local function G2575                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC390__g2575(cl_narg narg, cl_object v1uiop_run_program__output_stream, cl_object v2uiop_run_program__input_stream, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3uiop_run_program__linewise;
  cl_object v4uiop_run_program__prefix;
  cl_object v5uiop_run_program__element_type;
  cl_object v6uiop_run_program__buffer_size;
  ecl_va_list args; ecl_va_start(args,v2uiop_run_program__input_stream,narg,2);
  {
   cl_object keyvars[8];
   cl_parse_key(args,4,LC390__g2575keys,keyvars,NULL,TRUE);
   ecl_va_end(args);
   v3uiop_run_program__linewise = keyvars[0];
   v4uiop_run_program__prefix = keyvars[1];
   if (Null(keyvars[6])) {
    v5uiop_run_program__element_type = ECL_SYM("CHARACTER",222);
   } else {
    v5uiop_run_program__element_type = keyvars[2];
   }
   v6uiop_run_program__buffer_size = keyvars[3];
  }
  value0 = ecl_function_dispatch(cl_env_copy,VV[545])(10, v2uiop_run_program__input_stream, v1uiop_run_program__output_stream, VV[694], v3uiop_run_program__linewise, VV[58], v4uiop_run_program__prefix, ECL_SYM("ELEMENT-TYPE",1234), v5uiop_run_program__element_type, VV[695], v6uiop_run_program__buffer_size) /*  COPY-STREAM-TO-STREAM */;
  return value0;
 }
}
/*      local function G2576                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC391__g2576(cl_narg narg, cl_object v1uiop_run_program__x, cl_object v2stream, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3uiop_run_program__stripped;
  ecl_va_list args; ecl_va_start(args,v2stream,narg,2);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,LC391__g2576keys,keyvars,NULL,TRUE);
   ecl_va_end(args);
   v3uiop_run_program__stripped = keyvars[0];
  }
  value0 = ecl_function_dispatch(cl_env_copy,VV[534])(3, v2stream, VV[696], v3uiop_run_program__stripped) /*  SLURP-STREAM-STRING */;
  return value0;
 }
}
/*      local function G2577                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC392__g2577(cl_narg narg, cl_object v1uiop_run_program__x, cl_object v2stream, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3uiop_run_program__stripped;
  ecl_va_list args; ecl_va_start(args,v2stream,narg,2);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,LC392__g2577keys,keyvars,NULL,TRUE);
   ecl_va_end(args);
   v3uiop_run_program__stripped = keyvars[0];
  }
  value0 = ecl_function_dispatch(cl_env_copy,VV[534])(3, v2stream, VV[696], v3uiop_run_program__stripped) /*  SLURP-STREAM-STRING */;
  return value0;
 }
}
/*      local function G2578                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC393__g2578(cl_narg narg, cl_object v1uiop_run_program__x, cl_object v2stream, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3count;
  ecl_va_list args; ecl_va_start(args,v2stream,narg,2);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,LC393__g2578keys,keyvars,NULL,TRUE);
   ecl_va_end(args);
   v3count = keyvars[0];
  }
  value0 = ecl_function_dispatch(cl_env_copy,VV[548])(3, v2stream, ECL_SYM("COUNT",1466), v3count) /*  SLURP-STREAM-LINES */;
  return value0;
 }
}
/*      local function G2579                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC394__g2579(cl_narg narg, cl_object v1uiop_run_program__x, cl_object v2stream, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3uiop_run_program__at;
  ecl_va_list args; ecl_va_start(args,v2stream,narg,2);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,LC394__g2579keys,keyvars,NULL,TRUE);
   ecl_va_end(args);
   if (Null(keyvars[1])) {
    v3uiop_run_program__at = ecl_make_fixnum(0);
   } else {
    v3uiop_run_program__at = keyvars[0];
   }
  }
  value0 = ecl_function_dispatch(cl_env_copy,VV[550])(3, v2stream, VV[557], v3uiop_run_program__at) /*  SLURP-STREAM-LINE */;
  return value0;
 }
}
/*      local function G2580                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC395__g2580(cl_narg narg, cl_object v1uiop_run_program__x, cl_object v2stream, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3count;
  ecl_va_list args; ecl_va_start(args,v2stream,narg,2);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,LC395__g2580keys,keyvars,NULL,TRUE);
   ecl_va_end(args);
   v3count = keyvars[0];
  }
  value0 = ecl_function_dispatch(cl_env_copy,VV[551])(3, v2stream, ECL_SYM("COUNT",1466), v3count) /*  SLURP-STREAM-FORMS */;
  return value0;
 }
}
/*      local function G2581                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC396__g2581(cl_narg narg, cl_object v1uiop_run_program__x, cl_object v2stream, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3uiop_run_program__at;
  ecl_va_list args; ecl_va_start(args,v2stream,narg,2);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,LC396__g2581keys,keyvars,NULL,TRUE);
   ecl_va_end(args);
   if (Null(keyvars[1])) {
    v3uiop_run_program__at = ecl_make_fixnum(0);
   } else {
    v3uiop_run_program__at = keyvars[0];
   }
  }
  value0 = ecl_function_dispatch(cl_env_copy,VV[553])(3, v2stream, VV[557], v3uiop_run_program__at) /*  SLURP-STREAM-FORM */;
  return value0;
 }
}
/*      local function G2582                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC397__g2582(cl_narg narg, cl_object v1uiop_run_program__x, cl_object v2stream, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3uiop_run_program__keys;
  ecl_va_list args; ecl_va_start(args,v2stream,narg,2);
  cl_parse_key(args,0,NULL,NULL,(cl_object*)&v3uiop_run_program__keys,TRUE);
  ecl_va_end(args);
  value0 = cl_apply(4, VV[692], ecl_symbol_value(ECL_SYM("*STANDARD-OUTPUT*",67)), v2stream, v3uiop_run_program__keys);
  return value0;
 }
}
/*      local function G2583                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC398__g2583(cl_narg narg, cl_object v1uiop_run_program__x, cl_object v2stream, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  ecl_va_list args; ecl_va_start(args,v2stream,narg,2);
  cl_parse_key(args,0,NULL,NULL,NULL,TRUE);
  ecl_va_end(args);
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G2584                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC400__g2584(cl_narg narg, cl_object v1pathname, cl_object v2uiop_run_program__input, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 cl_object CLV0, CLV1, CLV2, CLV3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3uiop_run_program__external_format;
  cl_object v4uiop_run_program__if_exists;
  cl_object v5uiop_run_program__if_does_not_exist;
  ecl_va_list args; ecl_va_start(args,v2uiop_run_program__input,narg,2);
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v2uiop_run_program__input,env0); /*  INPUT       */
  {
   cl_object keyvars[12];
   cl_parse_key(args,6,LC400__g2584keys,keyvars,NULL,TRUE);
   ecl_va_end(args);
   if (Null(keyvars[6])) {
    CLV1 = env0 = CONS(ecl_symbol_value(VV[497]),env0); /*  ELEMENT-TYPE */
   } else {
    CLV1 = env0 = CONS(keyvars[0],env0);          /*  ELEMENT-TYPE    */
   }
   if (Null(keyvars[7])) {
    v3uiop_run_program__external_format = ecl_symbol_value(VV[505]);
   } else {
    v3uiop_run_program__external_format = keyvars[1];
   }
   if (Null(keyvars[8])) {
    v4uiop_run_program__if_exists = ECL_SYM("RENAME-AND-DELETE",1313);
   } else {
    v4uiop_run_program__if_exists = keyvars[2];
   }
   if (Null(keyvars[9])) {
    v5uiop_run_program__if_does_not_exist = ECL_SYM("CREATE",1223);
   } else {
    v5uiop_run_program__if_does_not_exist = keyvars[3];
   }
   CLV2 = env0 = CONS(keyvars[4],env0);           /*  BUFFER-SIZE     */
   CLV3 = env0 = CONS(keyvars[5],env0);           /*  LINEWISE        */
  }
  {
   cl_object v6;
   v6 = ecl_make_cclosure_va((cl_objectfn)LC399__g2585,env0,Cblock);
   T0 = v6;
  }
  value0 = ecl_function_dispatch(cl_env_copy,VV[520])(10, v1pathname, T0, ECL_SYM("ELEMENT-TYPE",1234), ECL_CONS_CAR(CLV1), ECL_SYM("EXTERNAL-FORMAT",1246), v3uiop_run_program__external_format, ECL_SYM("IF-EXISTS",1256), v4uiop_run_program__if_exists, ECL_SYM("IF-DOES-NOT-EXIST",1254), v5uiop_run_program__if_does_not_exist) /*  CALL-WITH-OUTPUT-FILE */;
  return value0;
 }
}
/*      local function G2586                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC401__g2586(cl_narg narg, cl_object v1uiop_run_program__x, cl_object v2stream, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3uiop_run_program__linewise;
  cl_object v4uiop_run_program__prefix;
  cl_object v5uiop_run_program__element_type;
  cl_object v6uiop_run_program__buffer_size;
  ecl_va_list args; ecl_va_start(args,v2stream,narg,2);
  {
   cl_object keyvars[8];
   cl_parse_key(args,4,LC401__g2586keys,keyvars,NULL,TRUE);
   ecl_va_end(args);
   v3uiop_run_program__linewise = keyvars[0];
   v4uiop_run_program__prefix = keyvars[1];
   if (Null(keyvars[6])) {
    v5uiop_run_program__element_type = ECL_SYM("CHARACTER",222);
   } else {
    v5uiop_run_program__element_type = keyvars[2];
   }
   v6uiop_run_program__buffer_size = keyvars[3];
  }
  value0 = cl_error(3, VV[700], VV[692], v1uiop_run_program__x);
  return value0;
 }
}
/*      closure G2585                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC399__g2585(cl_narg narg, cl_object v1uiop_run_program__output, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV3 = env0;                                     /*  LINEWISE        */
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[545])(8, ECL_CONS_CAR(CLV0), v1uiop_run_program__output, ECL_SYM("ELEMENT-TYPE",1234), ECL_CONS_CAR(CLV1), VV[695], ECL_CONS_CAR(CLV2), VV[694], ECL_CONS_CAR(CLV3)) /*  COPY-STREAM-TO-STREAM */;
  return value0;
 }
 }
}
/*      local function G2587                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC402__g2587(cl_narg narg, cl_object v1function, cl_object v2uiop_run_program__output_stream, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  ecl_va_list args; ecl_va_start(args,v2uiop_run_program__output_stream,narg,2);
  cl_parse_key(args,0,NULL,NULL,NULL,TRUE);
  ecl_va_end(args);
  value0 = ecl_function_dispatch(cl_env_copy,v1function)(1, v2uiop_run_program__output_stream);
  return value0;
 }
}
/*      local function G2588                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC403__g2588(cl_narg narg, cl_object v1list, cl_object v2uiop_run_program__output_stream, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  ecl_va_list args; ecl_va_start(args,v2uiop_run_program__output_stream,narg,2);
  cl_parse_key(args,0,NULL,NULL,NULL,TRUE);
  ecl_va_end(args);
  T0 = ecl_car(v1list);
  T1 = ecl_cdr(v1list);
  value0 = cl_apply(3, T0, v2uiop_run_program__output_stream, T1);
  return value0;
 }
}
/*      local function G2589                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC404__g2589(cl_narg narg, cl_object v1uiop_run_program__input_stream, cl_object v2uiop_run_program__output_stream, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3uiop_run_program__linewise;
  cl_object v4uiop_run_program__prefix;
  cl_object v5uiop_run_program__element_type;
  cl_object v6uiop_run_program__buffer_size;
  ecl_va_list args; ecl_va_start(args,v2uiop_run_program__output_stream,narg,2);
  {
   cl_object keyvars[8];
   cl_parse_key(args,4,LC404__g2589keys,keyvars,NULL,TRUE);
   ecl_va_end(args);
   v3uiop_run_program__linewise = keyvars[0];
   v4uiop_run_program__prefix = keyvars[1];
   if (Null(keyvars[6])) {
    v5uiop_run_program__element_type = ECL_SYM("CHARACTER",222);
   } else {
    v5uiop_run_program__element_type = keyvars[2];
   }
   v6uiop_run_program__buffer_size = keyvars[3];
  }
  value0 = ecl_function_dispatch(cl_env_copy,VV[545])(10, v1uiop_run_program__input_stream, v2uiop_run_program__output_stream, VV[694], v3uiop_run_program__linewise, VV[58], v4uiop_run_program__prefix, ECL_SYM("ELEMENT-TYPE",1234), v5uiop_run_program__element_type, VV[695], v6uiop_run_program__buffer_size) /*  COPY-STREAM-TO-STREAM */;
  return value0;
 }
}
/*      local function G2590                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC405__g2590(cl_narg narg, cl_object v1uiop_run_program__x, cl_object v2stream, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3fresh_line;
  cl_object v4terpri;
  ecl_va_list args; ecl_va_start(args,v2stream,narg,2);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,LC405__g2590keys,keyvars,NULL,TRUE);
   ecl_va_end(args);
   v3fresh_line = keyvars[0];
   v4terpri = keyvars[1];
  }
  ecl_princ(v1uiop_run_program__x,v2stream);
  if (Null(v3fresh_line)) { goto L2; }
  cl_fresh_line(1, v2stream);
L2:;
  if (Null(v4terpri)) { goto L4; }
  ecl_terpri(v2stream);
L4:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 0;
  return value0;
 }
}
/*      local function G2591                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC406__g2591(cl_narg narg, cl_object v1uiop_run_program__x, cl_object v2stream, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3uiop_run_program__keys;
  ecl_va_list args; ecl_va_start(args,v2stream,narg,2);
  cl_parse_key(args,0,NULL,NULL,(cl_object*)&v3uiop_run_program__keys,TRUE);
  ecl_va_end(args);
  value0 = cl_apply(4, VV[701], ecl_symbol_value(ECL_SYM("*STANDARD-INPUT*",66)), v2stream, v3uiop_run_program__keys);
  return value0;
 }
}
/*      local function G2592                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC407__g2592(cl_narg narg, cl_object v1uiop_run_program__x, cl_object v2stream, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  ecl_va_list args; ecl_va_start(args,v2stream,narg,2);
  cl_parse_key(args,0,NULL,NULL,NULL,TRUE);
  ecl_va_end(args);
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 0;
  return value0;
 }
}
/*      local function G2593                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC409__g2593(cl_narg narg, cl_object v1pathname, cl_object v2uiop_run_program__input, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 cl_object CLV0, CLV1, CLV2, CLV3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3uiop_run_program__external_format;
  cl_object v4uiop_run_program__if_exists;
  cl_object v5uiop_run_program__if_does_not_exist;
  ecl_va_list args; ecl_va_start(args,v2uiop_run_program__input,narg,2);
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v2uiop_run_program__input,env0); /*  INPUT       */
  {
   cl_object keyvars[12];
   cl_parse_key(args,6,LC409__g2593keys,keyvars,NULL,TRUE);
   ecl_va_end(args);
   if (Null(keyvars[6])) {
    CLV1 = env0 = CONS(ecl_symbol_value(VV[497]),env0); /*  ELEMENT-TYPE */
   } else {
    CLV1 = env0 = CONS(keyvars[0],env0);          /*  ELEMENT-TYPE    */
   }
   if (Null(keyvars[7])) {
    v3uiop_run_program__external_format = ecl_symbol_value(VV[505]);
   } else {
    v3uiop_run_program__external_format = keyvars[1];
   }
   if (Null(keyvars[8])) {
    v4uiop_run_program__if_exists = ECL_SYM("RENAME-AND-DELETE",1313);
   } else {
    v4uiop_run_program__if_exists = keyvars[2];
   }
   if (Null(keyvars[9])) {
    v5uiop_run_program__if_does_not_exist = ECL_SYM("CREATE",1223);
   } else {
    v5uiop_run_program__if_does_not_exist = keyvars[3];
   }
   CLV2 = env0 = CONS(keyvars[4],env0);           /*  BUFFER-SIZE     */
   CLV3 = env0 = CONS(keyvars[5],env0);           /*  LINEWISE        */
  }
  {
   cl_object v6;
   v6 = ecl_make_cclosure_va((cl_objectfn)LC408__g2594,env0,Cblock);
   T0 = v6;
  }
  value0 = ecl_function_dispatch(cl_env_copy,VV[520])(10, v1pathname, T0, ECL_SYM("ELEMENT-TYPE",1234), ECL_CONS_CAR(CLV1), ECL_SYM("EXTERNAL-FORMAT",1246), v3uiop_run_program__external_format, ECL_SYM("IF-EXISTS",1256), v4uiop_run_program__if_exists, ECL_SYM("IF-DOES-NOT-EXIST",1254), v5uiop_run_program__if_does_not_exist) /*  CALL-WITH-OUTPUT-FILE */;
  return value0;
 }
}
/*      local function G2595                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC410__g2595(cl_narg narg, cl_object v1uiop_run_program__x, cl_object v2stream, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3uiop_run_program__linewise;
  cl_object v4uiop_run_program__prefix;
  cl_object v5uiop_run_program__element_type;
  cl_object v6uiop_run_program__buffer_size;
  ecl_va_list args; ecl_va_start(args,v2stream,narg,2);
  {
   cl_object keyvars[8];
   cl_parse_key(args,4,LC410__g2595keys,keyvars,NULL,TRUE);
   ecl_va_end(args);
   v3uiop_run_program__linewise = keyvars[0];
   v4uiop_run_program__prefix = keyvars[1];
   if (Null(keyvars[6])) {
    v5uiop_run_program__element_type = ECL_SYM("CHARACTER",222);
   } else {
    v5uiop_run_program__element_type = keyvars[2];
   }
   v6uiop_run_program__buffer_size = keyvars[3];
  }
  value0 = cl_error(3, VV[702], VV[701], v1uiop_run_program__x);
  return value0;
 }
}
/*      closure G2594                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC408__g2594(cl_narg narg, cl_object v1uiop_run_program__output, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV3 = env0;                                     /*  LINEWISE        */
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[545])(8, ECL_CONS_CAR(CLV0), v1uiop_run_program__output, ECL_SYM("ELEMENT-TYPE",1234), ECL_CONS_CAR(CLV1), VV[695], ECL_CONS_CAR(CLV2), VV[694], ECL_CONS_CAR(CLV3)) /*  COPY-STREAM-TO-STREAM */;
  return value0;
 }
 }
}
/*      local function G2596                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC412__g2596()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC411__g2597,ECL_NIL,Cblock,2);
   value0 = v1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for %CMD-SHELL-PATHNAME                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L413_cmd_shell_pathname()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_error(1, VV[706]);
  return value0;
 }
}
/*      function definition for %NORMALIZE-COMMAND                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L414_normalize_command(cl_object v1uiop_run_program__command)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_STRINGP(v1uiop_run_program__command))) { goto L1; }
  value0 = cl_list(3, VV[708], VV[709], v1uiop_run_program__command);
  return value0;
L1:;
  if (!(ECL_LISTP(v1uiop_run_program__command))) { goto L3; }
  value0 = v1uiop_run_program__command;
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  value0 = si_etypecase_error(v1uiop_run_program__command, VV[687]);
  return value0;
 }
}
/*      function definition for %ACTIVE-IO-SPECIFIER-P                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L415_active_io_specifier_p(cl_object v1uiop_run_program__specifier)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_make_bool(v1uiop_run_program__specifier==ECL_NIL);
  if ((value0)!=ECL_NIL) { goto L3; }
  value0 = ecl_make_bool(ECL_STRINGP(v1uiop_run_program__specifier));
  if ((value0)!=ECL_NIL) { goto L3; }
  value0 = cl_pathnamep(v1uiop_run_program__specifier);
  if ((value0)!=ECL_NIL) { goto L3; }
  if (!(ecl_eql(v1uiop_run_program__specifier,ECL_SYM("INTERACTIVE",1267)))) { goto L11; }
  value0 = VV[711];
  goto L9;
L11:;
  value0 = ECL_NIL;
  goto L9;
L9:;
  if ((value0)!=ECL_NIL) { goto L8; }
  if (!(ecl_eql(v1uiop_run_program__specifier,ECL_SYM("OUTPUT",1294)))) { goto L14; }
  T0 = VV[712];
  goto L1;
L14:;
  T0 = ECL_NIL;
  goto L1;
L8:;
  T0 = value0;
  goto L1;
L3:;
  T0 = value0;
  goto L1;
L1:;
  value0 = Null(T0)?ECL_T:ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for %NORMALIZE-IO-SPECIFIER               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L416_normalize_io_specifier(cl_narg narg, cl_object v1uiop_run_program__specifier, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_run_program__role;
  va_list args; va_start(args,v1uiop_run_program__specifier);
  {
   int i = 1;
   if (i >= narg) {
    v2uiop_run_program__role = ECL_NIL;
   } else {
    i++;
    v2uiop_run_program__role = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (!(v1uiop_run_program__specifier==ECL_NIL)) { goto L2; }
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  if (!(ECL_STRINGP(v1uiop_run_program__specifier))) { goto L4; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[406])(1, v1uiop_run_program__specifier) /*  PARSE-NATIVE-NAMESTRING */;
  return value0;
L4:;
  if (Null(cl_pathnamep(v1uiop_run_program__specifier))) { goto L6; }
  value0 = v1uiop_run_program__specifier;
  cl_env_copy->nvalues = 1;
  return value0;
L6:;
  if (Null(cl_streamp(v1uiop_run_program__specifier))) { goto L8; }
  value0 = v1uiop_run_program__specifier;
  cl_env_copy->nvalues = 1;
  return value0;
L8:;
  if (Null(cl_typep(2, v1uiop_run_program__specifier, VV[714]))) { goto L10; }
  value0 = ECL_SYM("STREAM",1325);
  cl_env_copy->nvalues = 1;
  return value0;
L10:;
  if (Null(cl_typep(2, v1uiop_run_program__specifier, VV[715]))) { goto L12; }
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
L12:;
  if (Null(cl_typep(2, v1uiop_run_program__specifier, VV[716]))) { goto L14; }
  if (!((v2uiop_run_program__role)==(VV[717]))) { goto L16; }
  value0 = ECL_SYM("OUTPUT",1294);
  cl_env_copy->nvalues = 1;
  return value0;
L16:;
  value0 = cl_error(3, VV[718], v1uiop_run_program__specifier, v2uiop_run_program__role);
  return value0;
L14:;
  value0 = si_etypecase_error(v1uiop_run_program__specifier, VV[719]);
  return value0;
 }
}
/*      function definition for %NORMALIZE-IF-EXISTS                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L417_normalize_if_exists(cl_object v1uiop_run_program__action)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ecl_eql(v1uiop_run_program__action,ECL_SYM("SUPERSEDE",1326)))) { goto L1; }
  value0 = v1uiop_run_program__action;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (!(ecl_eql(v1uiop_run_program__action,ECL_SYM("APPEND",1208)))) { goto L8; }
  goto L5;
  goto L6;
L8:;
  goto L6;
L6:;
  if (!(ecl_eql(v1uiop_run_program__action,ECL_SYM("ERROR",1239)))) { goto L3; }
  goto L4;
L5:;
L4:;
  value0 = v1uiop_run_program__action;
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  value0 = si_ecase_error(v1uiop_run_program__action, VV[723]);
  return value0;
 }
}
/*      function definition for %INTERACTIVEP                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L418_interactivep(cl_object v1uiop_run_program__input, cl_object v2uiop_run_program__output, cl_object v3uiop_run_program__error_output)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(3, v1uiop_run_program__input, v2uiop_run_program__output, v3uiop_run_program__error_output);
  value0 = ecl_memql(ECL_SYM("INTERACTIVE",1267),T0);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for %SIGNAL-TO-EXIT-CODE                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L419_signal_to_exit_code(cl_object v1signum)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_plus(ecl_make_fixnum(128),v1signum);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for %RUN-PROGRAM                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L424_run_program(cl_narg narg, cl_object v1uiop_run_program__command, ...)
{
 cl_object T0, T1;
 volatile cl_object lex0[1];
 cl_object env0 = ECL_NIL;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7, CLV8;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_run_program__keys;
  cl_object v3uiop_run_program__input;
  cl_object v4uiop_run_program__output;
  cl_object v5uiop_run_program__if_output_exists;
  cl_object v6uiop_run_program__error_output;
  cl_object v7directory;
  ecl_va_list args; ecl_va_start(args,v1uiop_run_program__command,narg,1);
  {
   cl_object keyvars[16];
   cl_parse_key(args,8,L424_run_programkeys,keyvars,(cl_object*)&v2uiop_run_program__keys,TRUE);
   env0 = ECL_NIL;
   CLV0 = env0 = CONS(v2uiop_run_program__keys,env0); /*  KEYS        */
   ecl_va_end(args);
   v3uiop_run_program__input = keyvars[0];
   if (Null(keyvars[9])) {
    CLV1 = env0 = CONS(ECL_SYM("ERROR",1239),env0); /*  IF-INPUT-DOES-NOT-EXIST */
   } else {
    CLV1 = env0 = CONS(keyvars[1],env0);          /*  IF-INPUT-DOES-NOT-EXIST */
   }
   v4uiop_run_program__output = keyvars[2];
   if (Null(keyvars[11])) {
    v5uiop_run_program__if_output_exists = ECL_SYM("SUPERSEDE",1326);
   } else {
    v5uiop_run_program__if_output_exists = keyvars[3];
   }
   v6uiop_run_program__error_output = keyvars[4];
   if (Null(keyvars[13])) {
    CLV2 = env0 = CONS(ECL_SYM("SUPERSEDE",1326),env0); /*  IF-ERROR-OUTPUT-EXISTS */
   } else {
    CLV2 = env0 = CONS(keyvars[5],env0);          /*  IF-ERROR-OUTPUT-EXISTS */
   }
   v7directory = keyvars[6];
   CLV3 = env0 = CONS(keyvars[7],env0);           /*  WAIT            */
  }
  {
   cl_object v8;
   v8 = ecl_make_cfun((cl_objectfn_fixed)LC420__g2627,ECL_NIL,Cblock,1);
   T0 = v8;
  }
  T1 = cl_list(3, v3uiop_run_program__input, v4uiop_run_program__output, v6uiop_run_program__error_output);
  if (Null(cl_some(2, T0, T1))) { goto L2; }
  ecl_function_dispatch(cl_env_copy,VV[248])(2, VV[728], VV[727]) /*  PARAMETER-ERROR */;
L2:;
  {
   cl_object v8uiop_run_program__process_;
   cl_object env1 = env0;
   T0 = ecl_function_dispatch(cl_env_copy,VV[707])(1, v1uiop_run_program__command) /*  %NORMALIZE-COMMAND */;
   CLV4 = env1 = CONS(T0,env1);                   /*  %COMMAND        */
   T0 = ecl_function_dispatch(cl_env_copy,VV[720])(1, v5uiop_run_program__if_output_exists) /*  %NORMALIZE-IF-EXISTS */;
   CLV5 = env1 = CONS(T0,env1);                   /*  %IF-OUTPUT-EXISTS */
   T0 = ecl_function_dispatch(cl_env_copy,VV[713])(2, v3uiop_run_program__input, ECL_SYM("INPUT",1266)) /*  %NORMALIZE-IO-SPECIFIER */;
   CLV6 = env1 = CONS(T0,env1);                   /*  %INPUT          */
   T0 = ecl_function_dispatch(cl_env_copy,VV[713])(2, v4uiop_run_program__output, ECL_SYM("OUTPUT",1294)) /*  %NORMALIZE-IO-SPECIFIER */;
   CLV7 = env1 = CONS(T0,env1);                   /*  %OUTPUT         */
   T0 = ecl_function_dispatch(cl_env_copy,VV[713])(2, v6uiop_run_program__error_output, VV[717]) /*  %NORMALIZE-IO-SPECIFIER */;
   CLV8 = env1 = CONS(T0,env1);                   /*  %ERROR-OUTPUT   */
   {
    cl_object v9;
    v9 = ecl_make_cclosure_va((cl_objectfn)LC421__g2628,env1,Cblock);
    T0 = v9;
   }
   v8uiop_run_program__process_ = ecl_function_dispatch(cl_env_copy,VV[467])(2, v7directory, T0) /*  CALL-WITH-CURRENT-DIRECTORY */;
   T0 = (cl_env_copy->function=(ECL_SYM("MAKE-INSTANCE",949)->symbol.gfdef))->cfun.entry(1, VV[726]) /*  MAKE-INSTANCE */;
   lex0[0] = T0;                                  /*  PROCESS-INFO    */
   {
    cl_object v9;
    cl_object v10stream;
    cl_object v11uiop_run_program__code;
    cl_object v12uiop_run_program__process;
    v9 = v8uiop_run_program__process_;
    if (!(v9==ECL_NIL)) { goto L10; }
    si_dm_too_few_arguments(v8uiop_run_program__process_);
L10:;
    {
     cl_object v13;
     v13 = ecl_car(v9);
     v9 = ecl_cdr(v9);
     v10stream = v13;
    }
    if (!(v9==ECL_NIL)) { goto L16; }
    si_dm_too_few_arguments(v8uiop_run_program__process_);
L16:;
    {
     cl_object v13;
     v13 = ecl_car(v9);
     v9 = ecl_cdr(v9);
     v11uiop_run_program__code = v13;
    }
    if (!(v9==ECL_NIL)) { goto L22; }
    si_dm_too_few_arguments(v8uiop_run_program__process_);
L22:;
    {
     cl_object v13;
     v13 = ecl_car(v9);
     v9 = ecl_cdr(v9);
     v12uiop_run_program__process = v13;
    }
    if (Null(v9)) { goto L27; }
    si_dm_too_many_arguments(v8uiop_run_program__process_);
L27:;
    {
     cl_object v13uiop_run_program__mode;
     {
      cl_fixnum v14;
      if (!((v3uiop_run_program__input)==(ECL_SYM("STREAM",1325)))) { goto L32; }
      v14 = 1;
      goto L31;
L32:;
      v14 = 0;
L31:;
      {
       cl_fixnum v15;
       if (!((v4uiop_run_program__output)==(ECL_SYM("STREAM",1325)))) { goto L35; }
       v15 = 2;
       goto L34;
L35:;
       v15 = 0;
L34:;
       v13uiop_run_program__mode = ecl_plus(ecl_make_fixnum(v14),ecl_make_fixnum(v15));
      }
     }
     {
      cl_object v14;
      v14 = ecl_make_bool(ecl_zerop(v13uiop_run_program__mode));
      if (Null(v14)) { goto L38; }
      goto L29;
L38:;
      if (!(v8uiop_run_program__process_==ECL_NIL)) { goto L40; }
      LC423store_codes(1, lex0, ecl_make_fixnum(-1));
      goto L29;
L40:;
      if (!((v13uiop_run_program__mode)==(ecl_make_fixnum(1)))) { goto L43; }
      T0 = VV[732];
      goto L42;
L43:;
      if (!((v13uiop_run_program__mode)==(ecl_make_fixnum(2)))) { goto L45; }
      T0 = VV[733];
      goto L42;
L45:;
      if (!((v13uiop_run_program__mode)==(ecl_make_fixnum(3)))) { goto L47; }
      T0 = VV[734];
      goto L42;
L47:;
      T0 = ECL_NIL;
L42:;
      LC422prop(lex0, T0, v10stream);
     }
    }
L29:;
    if (Null(v11uiop_run_program__code)) { goto L49; }
    {
     cl_object v13signum;
     T0 = si_external_process_wait(1, v12uiop_run_program__process);
     if (!((T0)==(ECL_SYM("SIGNALED",1777)))) { goto L53; }
     v13signum = v11uiop_run_program__code;
     goto L51;
L53:;
     v13signum = ECL_NIL;
     goto L51;
L51:;
     LC423store_codes(2, lex0, v11uiop_run_program__code, v13signum);
    }
L49:;
    if (Null(v12uiop_run_program__process)) { goto L7; }
    LC422prop(lex0, VV[735], v12uiop_run_program__process);
   }
L7:;
   value0 = lex0[0];
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for PROCESS-INFO-ERROR-OUTPUT             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L425process_info_error_output(cl_object v1uiop_run_program__process_info)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_slot_value(v1uiop_run_program__process_info, VV[737]);
  return value0;
 }
}
/*      function definition for PROCESS-INFO-INPUT                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L426process_info_input(cl_object v1uiop_run_program__process_info)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_slot_value(v1uiop_run_program__process_info, VV[734]);
  if ((value0)!=ECL_NIL) { goto L2; }
  value0 = cl_slot_value(v1uiop_run_program__process_info, VV[732]);
  return value0;
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for PROCESS-INFO-OUTPUT                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L427process_info_output(cl_object v1uiop_run_program__process_info)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_slot_value(v1uiop_run_program__process_info, VV[734]);
  if ((value0)!=ECL_NIL) { goto L2; }
  value0 = cl_slot_value(v1uiop_run_program__process_info, VV[733]);
  return value0;
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for PROCESS-INFO-PID                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L428process_info_pid(cl_object v1uiop_run_program__process_info)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2uiop_run_program__process;
   v2uiop_run_program__process = cl_slot_value(v1uiop_run_program__process_info, VV[735]);
   value0 = ecl_function_dispatch(cl_env_copy,ECL_SYM("EXTERNAL-PROCESS-PID",1770))(1, v2uiop_run_program__process) /*  EXTERNAL-PROCESS-PID */;
   return value0;
  }
 }
}
/*      function definition for %PROCESS-STATUS                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L429_process_status(cl_object v1uiop_run_program__process_info)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2uiop_run_program__exit_code;
   v2uiop_run_program__exit_code = cl_slot_value(v1uiop_run_program__process_info, VV[730]);
   if (Null(v2uiop_run_program__exit_code)) { goto L1; }
   {
    cl_object v3uiop_run_program__signal_code;
    v3uiop_run_program__signal_code = cl_slot_value(v1uiop_run_program__process_info, VV[731]);
    if (Null(v3uiop_run_program__signal_code)) { goto L5; }
    cl_env_copy->nvalues = 2;
    cl_env_copy->values[1] = v3uiop_run_program__signal_code;
    cl_env_copy->values[0] = ECL_SYM("SIGNALED",1777);
    return cl_env_copy->values[0];
L5:;
    cl_env_copy->nvalues = 2;
    cl_env_copy->values[1] = v2uiop_run_program__exit_code;
    cl_env_copy->values[0] = ECL_SYM("EXITED",1776);
    return cl_env_copy->values[0];
   }
  }
L1:;
  {
   cl_object v2uiop_run_program__process;
   v2uiop_run_program__process = cl_slot_value(v1uiop_run_program__process_info, VV[735]);
   if (Null(v2uiop_run_program__process)) { goto L8; }
   {
    cl_object v4;                                 /*  STATUS          */
    cl_object v5;                                 /*  CODE            */
    value0 = ecl_function_dispatch(cl_env_copy,ECL_SYM("EXTERNAL-PROCESS-STATUS",1774))(1, v2uiop_run_program__process) /*  EXTERNAL-PROCESS-STATUS */;
    v4 = value0;
    {
     const int v6 = cl_env_copy->nvalues;
     cl_object v7;
     v7 = (v6<=1)? ECL_NIL : cl_env_copy->values[1];
     v5 = v7;
    }
    if (!(ecl_eql(v4,ECL_SYM("EXITED",1776)))) { goto L12; }
    (cl_env_copy->function=ECL_CONS_CAR(VV[2231]))->cfun.entry(3, v5, v1uiop_run_program__process_info, VV[730]) /*  (SETF SLOT-VALUE) */;
    goto L11;
L12:;
    if (!(ecl_eql(v4,ECL_SYM("SIGNALED",1777)))) { goto L11; }
    {
     cl_object v6uiop_run_program___code;
     v6uiop_run_program___code = ecl_function_dispatch(cl_env_copy,VV[725])(1, v5) /*  %SIGNAL-TO-EXIT-CODE */;
     (cl_env_copy->function=ECL_CONS_CAR(VV[2231]))->cfun.entry(3, v6uiop_run_program___code, v1uiop_run_program__process_info, VV[730]) /*  (SETF SLOT-VALUE) */;
     (cl_env_copy->function=ECL_CONS_CAR(VV[2231]))->cfun.entry(3, v5, v1uiop_run_program__process_info, VV[731]) /*  (SETF SLOT-VALUE) */;
    }
L11:;
    cl_env_copy->nvalues = 2;
    cl_env_copy->values[1] = v5;
    cl_env_copy->values[0] = v4;
    return cl_env_copy->values[0];
   }
L8:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for PROCESS-ALIVE-P                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L430process_alive_p(cl_object v1uiop_run_program__process_info)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if ((cl_slot_value(v1uiop_run_program__process_info, VV[730]))!=ECL_NIL) { goto L1; }
  {
   cl_object v2;
   v2 = ecl_function_dispatch(cl_env_copy,VV[741])(1, v1uiop_run_program__process_info) /*  %PROCESS-STATUS */;
   if (!(ecl_eql(v2,ECL_SYM("RUNNING",1775)))) { goto L8; }
   value0 = VV[743];
   goto L6;
L8:;
   value0 = ECL_NIL;
   goto L6;
L6:;
   if ((value0)!=ECL_NIL) { goto L5; }
   if (!(ecl_eql(v2,VV[744]))) { goto L11; }
   value0 = VV[745];
   cl_env_copy->nvalues = 1;
   return value0;
L11:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L5:;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for WAIT-PROCESS                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L431wait_process(cl_object v1uiop_run_program__process_info)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2uiop_run_program__exit_code;
   v2uiop_run_program__exit_code = cl_slot_value(v1uiop_run_program__process_info, VV[730]);
   if (Null(v2uiop_run_program__exit_code)) { goto L2; }
   {
    cl_object v3uiop_run_program__signal_code;
    v3uiop_run_program__signal_code = cl_slot_value(v1uiop_run_program__process_info, VV[731]);
    if (Null(v3uiop_run_program__signal_code)) { goto L5; }
    cl_env_copy->nvalues = 2;
    cl_env_copy->values[1] = v3uiop_run_program__signal_code;
    cl_env_copy->values[0] = v2uiop_run_program__exit_code;
    return cl_env_copy->values[0];
L5:;
    value0 = v2uiop_run_program__exit_code;
    cl_env_copy->nvalues = 1;
    return value0;
   }
L2:;
   {
    cl_object v4uiop_run_program__process;
    v4uiop_run_program__process = cl_slot_value(v1uiop_run_program__process_info, VV[735]);
    if (Null(v4uiop_run_program__process)) { goto L8; }
    {
     cl_object v6;                                /*  EXIT-CODE       */
     cl_object v7;                                /*  SIGNAL-CODE     */
     {
      cl_object v9;                               /*  STATUS          */
      cl_object v10;                              /*  CODE            */
      value0 = si_external_process_wait(2, v4uiop_run_program__process, ECL_T);
      v9 = value0;
      {
       const int v11 = cl_env_copy->nvalues;
       cl_object v12;
       v12 = (v11<=1)? ECL_NIL : cl_env_copy->values[1];
       v10 = v12;
      }
      if (!((v9)==(ECL_SYM("SIGNALED",1777)))) { goto L12; }
      cl_env_copy->nvalues = 2;
      cl_env_copy->values[1] = v10;
      cl_env_copy->values[0] = ECL_NIL;
      value0 = cl_env_copy->values[0];
      goto L10;
L12:;
      value0 = v10;
      cl_env_copy->nvalues = 1;
     }
L10:;
     v6 = value0;
     {
      const int v8 = cl_env_copy->nvalues;
      cl_object v9;
      v9 = (v8<=1)? ECL_NIL : cl_env_copy->values[1];
      v7 = v9;
     }
     if (Null(v7)) { goto L14; }
     {
      cl_object v8uiop_run_program___exit_code;
      v8uiop_run_program___exit_code = ecl_function_dispatch(cl_env_copy,VV[725])(1, v7) /*  %SIGNAL-TO-EXIT-CODE */;
      (cl_env_copy->function=ECL_CONS_CAR(VV[2231]))->cfun.entry(3, v8uiop_run_program___exit_code, v1uiop_run_program__process_info, VV[730]) /*  (SETF SLOT-VALUE) */;
      (cl_env_copy->function=ECL_CONS_CAR(VV[2231]))->cfun.entry(3, v7, v1uiop_run_program__process_info, VV[731]) /*  (SETF SLOT-VALUE) */;
      cl_env_copy->nvalues = 2;
      cl_env_copy->values[1] = v7;
      cl_env_copy->values[0] = v8uiop_run_program___exit_code;
      return cl_env_copy->values[0];
     }
L14:;
     (cl_env_copy->function=ECL_CONS_CAR(VV[2231]))->cfun.entry(3, v6, v1uiop_run_program__process_info, VV[730]) /*  (SETF SLOT-VALUE) */;
     value0 = v6;
     cl_env_copy->nvalues = 1;
     return value0;
    }
L8:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for %CHECK-RESULT                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L432_check_result(cl_narg narg, cl_object v1uiop_run_program__exit_code, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_run_program__command;
  cl_object v3uiop_run_program__process;
  cl_object v4uiop_run_program__ignore_error_status;
  ecl_va_list args; ecl_va_start(args,v1uiop_run_program__exit_code,narg,1);
  {
   cl_object keyvars[6];
   cl_parse_key(args,3,L432_check_resultkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v2uiop_run_program__command = keyvars[0];
   v3uiop_run_program__process = keyvars[1];
   v4uiop_run_program__ignore_error_status = keyvars[2];
  }
  if ((v4uiop_run_program__ignore_error_status)!=ECL_NIL) { goto L1; }
  if ((v1uiop_run_program__exit_code)==(ecl_make_fixnum(0))) { goto L1; }
  cl_cerror(8, VV[748], VV[703], VV[749], v2uiop_run_program__command, ECL_SYM("CODE",1828), v1uiop_run_program__exit_code, ECL_SYM("PROCESS",1306), v3uiop_run_program__process);
L1:;
  value0 = v1uiop_run_program__exit_code;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CLOSE-STREAMS                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L433close_streams(cl_object v1uiop_run_program__process_info)
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   T0 = cl_slot_value(v1uiop_run_program__process_info, VV[737]);
   {
    cl_object v3uiop_run_program__bidir_stream;
    v3uiop_run_program__bidir_stream = cl_slot_value(v1uiop_run_program__process_info, VV[734]);
    if (Null(v3uiop_run_program__bidir_stream)) { goto L4; }
    T1 = ecl_list1(v3uiop_run_program__bidir_stream);
    goto L2;
L4:;
    T2 = cl_slot_value(v1uiop_run_program__process_info, VV[732]);
    T3 = cl_slot_value(v1uiop_run_program__process_info, VV[733]);
    T1 = cl_list(2, T2, T3);
   }
L2:;
   v2 = CONS(T0,T1);
   goto L8;
L7:;
   {
    cl_object v3stream;
    v3stream = ecl_car(v2);
    if (Null(v3stream)) { goto L12; }
    cl_close(1, v3stream);
L12:;
   }
   v2 = ecl_cdr(v2);
L8:;
   if (Null(v2)) { goto L16; }
   goto L7;
L16:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for %POSIX-SEND-SIGNAL                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L434_posix_send_signal(cl_object v1uiop_run_program__process_info, cl_object v2signal)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3uiop_run_program__pid;
   v3uiop_run_program__pid = ecl_function_dispatch(cl_env_copy,VV[740])(1, v1uiop_run_program__process_info) /*  PROCESS-INFO-PID */;
   if (Null(v3uiop_run_program__pid)) { goto L2; }
   T0 = cl_format(4, ECL_NIL, VV[752], v2signal, v3uiop_run_program__pid);
   value0 = ecl_function_dispatch(cl_env_copy,VV[727])(3, T0, ECL_SYM("WAIT",1341), ECL_T) /*  %RUN-PROGRAM */;
   return value0;
L2:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for TERMINATE-PROCESS                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L435terminate_process(cl_narg narg, cl_object v1uiop_run_program__process_info, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_run_program__urgent;
  ecl_va_list args; ecl_va_start(args,v1uiop_run_program__process_info,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L435terminate_processkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v2uiop_run_program__urgent = keyvars[0];
  }
  T0 = cl_slot_value(v1uiop_run_program__process_info, VV[735]);
  value0 = L3symbol_call(4, VV[754], VV[755], T0, v2uiop_run_program__urgent);
  return value0;
 }
}
/*      function definition for %CALL-WITH-PROGRAM-IO                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L442_call_with_program_io(cl_narg narg, cl_object v1uiop_run_program__gf, cl_object v2uiop_run_program__tval, cl_object v3uiop_run_program__stream_easy_p, cl_object v4uiop_run_program__fun, cl_object v5uiop_run_program__direction, cl_object v6uiop_run_program__spec, cl_object v7uiop_run_program__activep, cl_object v8uiop_run_program__returner, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 volatile struct ecl_cclosure aux_closure;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7, CLV8, CLV9;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<8)) FEwrong_num_arguments_anonym();
 {
  ecl_va_list args; ecl_va_start(args,v8uiop_run_program__returner,narg,8);
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1uiop_run_program__gf,env0); /*  GF             */
  CLV1 = env0 = CONS(v4uiop_run_program__fun,env0); /*  FUN           */
  CLV2 = env0 = CONS(v5uiop_run_program__direction,env0); /*  DIRECTION */
  CLV3 = env0 = CONS(v7uiop_run_program__activep,env0); /*  ACTIVEP   */
  CLV4 = env0 = CONS(v8uiop_run_program__returner,env0); /*  RETURNER */
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,L442_call_with_program_iokeys,keyvars,NULL,TRUE);
   ecl_va_end(args);
   CLV5 = env0 = CONS(keyvars[0],env0);           /*  ELEMENT-TYPE    */
   CLV6 = env0 = CONS(keyvars[1],env0);           /*  EXTERNAL-FORMAT */
  }
  {
   cl_object env1 = env0;
   if (!((v6uiop_run_program__spec)==(ECL_T))) { goto L2; }
   T0 = v2uiop_run_program__tval;
   goto L1;
L2:;
   T0 = v6uiop_run_program__spec;
L1:;
   CLV7 = env1 = CONS(T0,env1);                   /*  ACTUAL-SPEC     */
   if (!((ECL_CONS_CAR(CLV7))==(ECL_SYM("OUTPUT",1294)))) { goto L5; }
   if (!(ecl_eql(ECL_CONS_CAR(CLV2),ECL_SYM("INPUT",1266)))) { goto L12; }
   goto L9;
   goto L10;
L12:;
   goto L10;
L10:;
   if (!(ecl_eql(ECL_CONS_CAR(CLV2),ECL_SYM("OUTPUT",1294)))) { goto L7; }
   goto L8;
L9:;
L8:;
   T0 = cl_error(4, VV[758], ECL_SYM("OUTPUT",1294), VV[759], ECL_CONS_CAR(CLV2));
   goto L4;
L7:;
   if (!(ecl_eql(ECL_CONS_CAR(CLV2),VV[717]))) { goto L15; }
   T0 = ECL_NIL;
   goto L4;
L15:;
   T0 = si_ecase_error(ECL_CONS_CAR(CLV2), VV[761]);
   goto L4;
L5:;
   T0 = ECL_CONS_CAR(CLV7);
L4:;
   CLV8 = env1 = CONS(T0,env1);                   /*  ACTIVITY-SPEC   */
   CLV9 = env1 = CONS(ECL_NIL,env1);              /*  ACTIVITY        */
   ECL_CONS_CAR(CLV9) = ecl_make_cclosure_va((cl_objectfn)LC436activity,env1,Cblock);
   if (ECL_CONS_CAR(CLV8)==ECL_NIL) { goto L20; }
   if (ECL_STRINGP(ECL_CONS_CAR(CLV8))) { goto L20; }
   if ((cl_pathnamep(ECL_CONS_CAR(CLV8)))!=ECL_NIL) { goto L20; }
   if (Null(cl_typep(2, ECL_CONS_CAR(CLV8), VV[715]))) { goto L18; }
   goto L19;
L20:;
L19:;
   value0 = (aux_closure.env=env1,cl_env_copy->function=(cl_object)&aux_closure,LC437easy_case(0));
   return value0;
L18:;
   value0 = (aux_closure.env=env1,cl_env_copy->function=(cl_object)&aux_closure,LC441hard_case(0));
   return value0;
  }
 }
}
/*      local function PLACE-SETTER                                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC443place_setter(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4uiop_run_program__place;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4uiop_run_program__place = v5;
   }
   if (Null(v3)) { goto L8; }
   si_dm_too_many_arguments(v1);
L8:;
   if (Null(v4uiop_run_program__place)) { goto L10; }
   {
    cl_object v5uiop_run_program__value;
    v5uiop_run_program__value = cl_gensym(0);
    T0 = ecl_list1(v5uiop_run_program__value);
    T1 = cl_list(3, ECL_SYM("SETF",750), v4uiop_run_program__place, v5uiop_run_program__value);
    T2 = cl_list(3, ECL_SYM("LAMBDA",452), T0, T1);
    value0 = cl_list(2, ECL_SYM("FUNCTION",396), T2);
    return value0;
   }
L10:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function WITH-PROGRAM-INPUT                             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC444with_program_input(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   cl_object v5;
   cl_object v6;
   cl_object v7;
   cl_object v8uiop_run_program__reduced_input_var;
   cl_object v9uiop_run_program__input_activity_var;
   cl_object v10uiop_run_program__iavp;
   cl_object v11uiop_run_program__input_form;
   cl_object v12;
   cl_object v13setf;
   cl_object v14;
   cl_object v15uiop_run_program__stream_easy_p;
   cl_object v16;
   cl_object v17uiop_run_program__active;
   cl_object v18;
   cl_object v19uiop_run_program__keys;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v20;
    v20 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v20;
   }
   v5 = v4;
   if (!(v5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(v1);
L10:;
   {
    cl_object v20;
    v20 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v6 = v20;
   }
   v7 = v6;
   if (!(v7==ECL_NIL)) { goto L17; }
   si_dm_too_few_arguments(v1);
L17:;
   {
    cl_object v20;
    v20 = ecl_car(v7);
    v7 = ecl_cdr(v7);
    v8uiop_run_program__reduced_input_var = v20;
   }
   if (Null(v7)) { goto L23; }
   v9uiop_run_program__input_activity_var = ecl_car(v7);
   goto L22;
L23:;
   v9uiop_run_program__input_activity_var = cl_gensym(0);
L22:;
   if (Null(v7)) { goto L27; }
   v7 = ecl_cdr(v7);
   v10uiop_run_program__iavp = ECL_T;
   goto L25;
L27:;
   v10uiop_run_program__iavp = ECL_NIL;
   goto L25;
L25:;
   if (!(v5==ECL_NIL)) { goto L32; }
   si_dm_too_few_arguments(v1);
L32:;
   {
    cl_object v20;
    v20 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v11uiop_run_program__input_form = v20;
   }
   v12 = si_search_keyword(2, v5, VV[765]);
   if (!((v12)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L39; }
   v13setf = ECL_NIL;
   goto L38;
L39:;
   v13setf = v12;
L38:;
   v14 = si_search_keyword(2, v5, VV[766]);
   if (!((v14)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L43; }
   v15uiop_run_program__stream_easy_p = ECL_NIL;
   goto L42;
L43:;
   v15uiop_run_program__stream_easy_p = v14;
L42:;
   v16 = si_search_keyword(2, v5, VV[767]);
   if (!((v16)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L47; }
   v17uiop_run_program__active = ECL_NIL;
   goto L46;
L47:;
   v17uiop_run_program__active = v16;
L46:;
   v18 = si_search_keyword(2, v5, VV[768]);
   if (!((v18)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L51; }
   v19uiop_run_program__keys = ECL_NIL;
   goto L50;
L51:;
   v19uiop_run_program__keys = v18;
L50:;
   si_check_keyword(2, v5, VV[769]);
   if (Null(v7)) { goto L54; }
   si_dm_too_many_arguments(v1);
L54:;
   T0 = cl_list(2, v8uiop_run_program__reduced_input_var, v9uiop_run_program__input_activity_var);
   if ((v10uiop_run_program__iavp)!=ECL_NIL) { goto L57; }
   T2 = cl_list(2, ECL_SYM("IGNORE",428), v9uiop_run_program__input_activity_var);
   T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
   T1 = ecl_list1(T3);
   goto L56;
L57:;
   T1 = ECL_NIL;
L56:;
   T2 = ecl_append(T1,v3);
   T3 = cl_listX(3, ECL_SYM("LAMBDA",452), T0, T2);
   T4 = cl_list(2, ECL_SYM("FUNCTION",396), T3);
   T5 = cl_list(2, VV[764], v13setf);
   value0 = cl_list(11, ECL_SYM("APPLY",89), VV[770], VV[771], ECL_SYM("*STANDARD-INPUT*",66), v15uiop_run_program__stream_easy_p, T4, ECL_SYM("INPUT",1266), v11uiop_run_program__input_form, v17uiop_run_program__active, T5, v19uiop_run_program__keys);
   return value0;
  }
 }
}
/*      local function WITH-PROGRAM-OUTPUT                            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC445with_program_output(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   cl_object v5;
   cl_object v6;
   cl_object v7;
   cl_object v8uiop_run_program__reduced_output_var;
   cl_object v9uiop_run_program__output_activity_var;
   cl_object v10uiop_run_program__oavp;
   cl_object v11uiop_run_program__output_form;
   cl_object v12;
   cl_object v13setf;
   cl_object v14;
   cl_object v15uiop_run_program__stream_easy_p;
   cl_object v16;
   cl_object v17uiop_run_program__active;
   cl_object v18;
   cl_object v19uiop_run_program__keys;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v20;
    v20 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v20;
   }
   v5 = v4;
   if (!(v5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(v1);
L10:;
   {
    cl_object v20;
    v20 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v6 = v20;
   }
   v7 = v6;
   if (!(v7==ECL_NIL)) { goto L17; }
   si_dm_too_few_arguments(v1);
L17:;
   {
    cl_object v20;
    v20 = ecl_car(v7);
    v7 = ecl_cdr(v7);
    v8uiop_run_program__reduced_output_var = v20;
   }
   if (Null(v7)) { goto L23; }
   v9uiop_run_program__output_activity_var = ecl_car(v7);
   goto L22;
L23:;
   v9uiop_run_program__output_activity_var = cl_gensym(0);
L22:;
   if (Null(v7)) { goto L27; }
   v7 = ecl_cdr(v7);
   v10uiop_run_program__oavp = ECL_T;
   goto L25;
L27:;
   v10uiop_run_program__oavp = ECL_NIL;
   goto L25;
L25:;
   if (!(v5==ECL_NIL)) { goto L32; }
   si_dm_too_few_arguments(v1);
L32:;
   {
    cl_object v20;
    v20 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v11uiop_run_program__output_form = v20;
   }
   v12 = si_search_keyword(2, v5, VV[765]);
   if (!((v12)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L39; }
   v13setf = ECL_NIL;
   goto L38;
L39:;
   v13setf = v12;
L38:;
   v14 = si_search_keyword(2, v5, VV[766]);
   if (!((v14)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L43; }
   v15uiop_run_program__stream_easy_p = ECL_NIL;
   goto L42;
L43:;
   v15uiop_run_program__stream_easy_p = v14;
L42:;
   v16 = si_search_keyword(2, v5, VV[767]);
   if (!((v16)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L47; }
   v17uiop_run_program__active = ECL_NIL;
   goto L46;
L47:;
   v17uiop_run_program__active = v16;
L46:;
   v18 = si_search_keyword(2, v5, VV[768]);
   if (!((v18)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L51; }
   v19uiop_run_program__keys = ECL_NIL;
   goto L50;
L51:;
   v19uiop_run_program__keys = v18;
L50:;
   si_check_keyword(2, v5, VV[769]);
   if (Null(v7)) { goto L54; }
   si_dm_too_many_arguments(v1);
L54:;
   T0 = cl_list(2, v8uiop_run_program__reduced_output_var, v9uiop_run_program__output_activity_var);
   if ((v10uiop_run_program__oavp)!=ECL_NIL) { goto L57; }
   T2 = cl_list(2, ECL_SYM("IGNORE",428), v9uiop_run_program__output_activity_var);
   T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
   T1 = ecl_list1(T3);
   goto L56;
L57:;
   T1 = ECL_NIL;
L56:;
   T2 = ecl_append(T1,v3);
   T3 = cl_listX(3, ECL_SYM("LAMBDA",452), T0, T2);
   T4 = cl_list(2, ECL_SYM("FUNCTION",396), T3);
   T5 = cl_list(2, VV[764], v13setf);
   value0 = cl_list(11, ECL_SYM("APPLY",89), VV[770], VV[773], ECL_SYM("*STANDARD-OUTPUT*",67), v15uiop_run_program__stream_easy_p, T4, ECL_SYM("OUTPUT",1294), v11uiop_run_program__output_form, v17uiop_run_program__active, T5, v19uiop_run_program__keys);
   return value0;
  }
 }
}
/*      local function WITH-PROGRAM-ERROR-OUTPUT                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC446with_program_error_output(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   cl_object v5;
   cl_object v6;
   cl_object v7;
   cl_object v8uiop_run_program__reduced_error_output_var;
   cl_object v9uiop_run_program__error_output_activity_var;
   cl_object v10uiop_run_program__eoavp;
   cl_object v11uiop_run_program__error_output_form;
   cl_object v12;
   cl_object v13setf;
   cl_object v14;
   cl_object v15uiop_run_program__stream_easy_p;
   cl_object v16;
   cl_object v17uiop_run_program__active;
   cl_object v18;
   cl_object v19uiop_run_program__keys;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v20;
    v20 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v20;
   }
   v5 = v4;
   if (!(v5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(v1);
L10:;
   {
    cl_object v20;
    v20 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v6 = v20;
   }
   v7 = v6;
   if (!(v7==ECL_NIL)) { goto L17; }
   si_dm_too_few_arguments(v1);
L17:;
   {
    cl_object v20;
    v20 = ecl_car(v7);
    v7 = ecl_cdr(v7);
    v8uiop_run_program__reduced_error_output_var = v20;
   }
   if (Null(v7)) { goto L23; }
   v9uiop_run_program__error_output_activity_var = ecl_car(v7);
   goto L22;
L23:;
   v9uiop_run_program__error_output_activity_var = cl_gensym(0);
L22:;
   if (Null(v7)) { goto L27; }
   v7 = ecl_cdr(v7);
   v10uiop_run_program__eoavp = ECL_T;
   goto L25;
L27:;
   v10uiop_run_program__eoavp = ECL_NIL;
   goto L25;
L25:;
   if (!(v5==ECL_NIL)) { goto L32; }
   si_dm_too_few_arguments(v1);
L32:;
   {
    cl_object v20;
    v20 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v11uiop_run_program__error_output_form = v20;
   }
   v12 = si_search_keyword(2, v5, VV[765]);
   if (!((v12)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L39; }
   v13setf = ECL_NIL;
   goto L38;
L39:;
   v13setf = v12;
L38:;
   v14 = si_search_keyword(2, v5, VV[766]);
   if (!((v14)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L43; }
   v15uiop_run_program__stream_easy_p = ECL_NIL;
   goto L42;
L43:;
   v15uiop_run_program__stream_easy_p = v14;
L42:;
   v16 = si_search_keyword(2, v5, VV[767]);
   if (!((v16)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L47; }
   v17uiop_run_program__active = ECL_NIL;
   goto L46;
L47:;
   v17uiop_run_program__active = v16;
L46:;
   v18 = si_search_keyword(2, v5, VV[768]);
   if (!((v18)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L51; }
   v19uiop_run_program__keys = ECL_NIL;
   goto L50;
L51:;
   v19uiop_run_program__keys = v18;
L50:;
   si_check_keyword(2, v5, VV[769]);
   if (Null(v7)) { goto L54; }
   si_dm_too_many_arguments(v1);
L54:;
   T0 = cl_list(2, v8uiop_run_program__reduced_error_output_var, v9uiop_run_program__error_output_activity_var);
   if ((v10uiop_run_program__eoavp)!=ECL_NIL) { goto L57; }
   T2 = cl_list(2, ECL_SYM("IGNORE",428), v9uiop_run_program__error_output_activity_var);
   T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
   T1 = ecl_list1(T3);
   goto L56;
L57:;
   T1 = ECL_NIL;
L56:;
   T2 = ecl_append(T1,v3);
   T3 = cl_listX(3, ECL_SYM("LAMBDA",452), T0, T2);
   T4 = cl_list(2, ECL_SYM("FUNCTION",396), T3);
   T5 = cl_list(2, VV[764], v13setf);
   value0 = cl_list(11, ECL_SYM("APPLY",89), VV[770], VV[773], ECL_SYM("*ERROR-OUTPUT*",33), v15uiop_run_program__stream_easy_p, T4, VV[717], v11uiop_run_program__error_output_form, v17uiop_run_program__active, T5, v19uiop_run_program__keys);
   return value0;
  }
 }
}
/*      function definition for %USE-RUN-PROGRAM                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L454_use_run_program(volatile cl_narg narg, cl_object volatile v1uiop_run_program__command, ...)
{
 cl_object T0, T1;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7, CLV8, CLV9;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v2uiop_run_program__keys;
  cl_object volatile v3uiop_run_program__output;
  cl_object volatile v4uiop_run_program__ignore_error_status;
  ecl_va_list args; ecl_va_start(args,v1uiop_run_program__command,narg,1);
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1uiop_run_program__command,env0); /*  COMMAND   */
  {
   cl_object keyvars[8];
   cl_parse_key(args,4,L454_use_run_programkeys,keyvars,(cl_object*)&v2uiop_run_program__keys,TRUE);
   CLV1 = env0 = CONS(v2uiop_run_program__keys,env0); /*  KEYS        */
   ecl_va_end(args);
   CLV2 = env0 = CONS(keyvars[0],env0);           /*  INPUT           */
   v3uiop_run_program__output = keyvars[1];
   CLV3 = env0 = CONS(keyvars[2],env0);           /*  ERROR-OUTPUT    */
   v4uiop_run_program__ignore_error_status = keyvars[3];
  }
  goto L3;
L2:;
  si_assert_failure(1, VV[777]);
L3:;
  T0 = cl_list(3, ECL_CONS_CAR(CLV2), v3uiop_run_program__output, ECL_CONS_CAR(CLV3));
  if (Null(ecl_memql(ECL_SYM("STREAM",1325),T0))) { goto L6; }
  goto L2;
L6:;
  {
   volatile cl_object v5uiop_run_program__active_input_p;
   volatile cl_object v6uiop_run_program__active_output_p;
   volatile cl_object v7uiop_run_program__active_error_output_p;
   volatile cl_object env1 = env0;
   v5uiop_run_program__active_input_p = ecl_function_dispatch(cl_env_copy,VV[710])(1, ECL_CONS_CAR(CLV2)) /*  %ACTIVE-IO-SPECIFIER-P */;
   v6uiop_run_program__active_output_p = ecl_function_dispatch(cl_env_copy,VV[710])(1, v3uiop_run_program__output) /*  %ACTIVE-IO-SPECIFIER-P */;
   v7uiop_run_program__active_error_output_p = ecl_function_dispatch(cl_env_copy,VV[710])(1, ECL_CONS_CAR(CLV3)) /*  %ACTIVE-IO-SPECIFIER-P */;
   if (Null(v6uiop_run_program__active_output_p)) { goto L12; }
   T0 = ECL_SYM("OUTPUT",1294);
   goto L11;
L12:;
   if (Null(v5uiop_run_program__active_input_p)) { goto L14; }
   T0 = ECL_SYM("INPUT",1266);
   goto L11;
L14:;
   if (Null(v7uiop_run_program__active_error_output_p)) { goto L16; }
   T0 = VV[717];
   goto L11;
L16:;
   T0 = ECL_NIL;
L11:;
   CLV4 = env1 = CONS(T0,env1);                   /*  ACTIVITY        */
   T0 = Null(ECL_CONS_CAR(CLV4))?ECL_T:ECL_NIL;
   CLV5 = env1 = CONS(T0,env1);                   /*  WAIT            */
   CLV6 = env1 = CONS(ECL_NIL,env1);              /*  OUTPUT-RESULT   */
   CLV7 = env1 = CONS(ECL_NIL,env1);              /*  ERROR-OUTPUT-RESULT */
   CLV8 = env1 = CONS(ECL_NIL,env1);              /*  EXIT-CODE       */
   CLV9 = env1 = CONS(ECL_NIL,env1);              /*  PROCESS-INFO    */
   {
    cl_object volatile v8;
    v8 = ecl_make_cclosure_va((cl_objectfn)LC452__g2831,env1,Cblock);
    T0 = v8;
   }
   {
    bool v8;
    v8 = (ECL_CONS_CAR(CLV4))==(ECL_SYM("OUTPUT",1294));
    {
     cl_object volatile v9;
     v9 = ecl_make_cclosure_va((cl_objectfn)LC453__g2843,env1,Cblock);
     T1 = v9;
    }
    cl_apply(10, VV[756], VV[692], ecl_symbol_value(ECL_SYM("*STANDARD-OUTPUT*",67)), ECL_T, T0, ECL_SYM("OUTPUT",1294), v3uiop_run_program__output, ecl_make_bool(v8), T1, ECL_CONS_CAR(CLV1));
   }
   T0 = ECL_CONS_CAR(CLV8);
   T1 = ECL_CONS_CAR(CLV9);
   ecl_function_dispatch(cl_env_copy,VV[747])(7, T0, VV[749], ECL_CONS_CAR(CLV0), ECL_SYM("PROCESS",1306), T1, VV[780], v4uiop_run_program__ignore_error_status) /*  %CHECK-RESULT */;
   T0 = ECL_CONS_CAR(CLV6);
   T1 = ECL_CONS_CAR(CLV7);
   cl_env_copy->nvalues = 3;
   cl_env_copy->values[2] = ECL_CONS_CAR(CLV8);
   cl_env_copy->values[1] = T1;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*      function definition for %NORMALIZE-SYSTEM-COMMAND             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L455_normalize_system_command(cl_object v1uiop_run_program__command)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_STRINGP(v1uiop_run_program__command))) { goto L1; }
  value0 = v1uiop_run_program__command;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (!(ECL_LISTP(v1uiop_run_program__command))) { goto L3; }
  T0 = CONS(VV[782],v1uiop_run_program__command);
  value0 = ecl_function_dispatch(cl_env_copy,VV[690])(1, T0) /*  ESCAPE-SHELL-COMMAND */;
  return value0;
L3:;
  value0 = si_etypecase_error(v1uiop_run_program__command, VV[687]);
  return value0;
 }
}
/*      function definition for %REDIRECTED-SYSTEM-COMMAND            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L457_redirected_system_command(cl_object v1uiop_run_program__command, cl_object v2uiop_run_program__in, cl_object v3uiop_run_program__out, cl_object v4uiop_run_program__err, cl_object v5directory)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v6uiop_run_program__redirections;
   cl_object v7uiop_run_program__normalized;
   cl_object v8chdir;
   T0 = LC456redirect(v2uiop_run_program__in, VV[788]);
   T1 = LC456redirect(v3uiop_run_program__out, VV[789]);
   T2 = LC456redirect(v4uiop_run_program__err, VV[785]);
   v6uiop_run_program__redirections = cl_append(3, T0, T1, T2);
   v7uiop_run_program__normalized = ecl_function_dispatch(cl_env_copy,VV[781])(1, v1uiop_run_program__command) /*  %NORMALIZE-SYSTEM-COMMAND */;
   if (Null(v5directory)) { goto L7; }
   {
    cl_object v9uiop_run_program__dir_arg;
    T0 = ecl_function_dispatch(cl_env_copy,VV[405])(1, v5directory) /*  NATIVE-NAMESTRING */;
    v9uiop_run_program__dir_arg = ecl_function_dispatch(cl_env_copy,VV[685])(1, T0) /*  ESCAPE-SHELL-TOKEN */;
    v8chdir = cl_list(3, VV[790], v9uiop_run_program__dir_arg, VV[791]);
    goto L6;
   }
L7:;
   v8chdir = ECL_NIL;
L6:;
   if (Null(v6uiop_run_program__redirections)) { goto L11; }
   T1 = ecl_append(v6uiop_run_program__redirections,VV[793]);
   T0 = CONS(VV[792],T1);
   goto L10;
L11:;
   T0 = ECL_NIL;
L10:;
   T1 = ecl_list1(v7uiop_run_program__normalized);
   T2 = cl_append(3, T0, v8chdir, T1);
   value0 = ecl_function_dispatch(cl_env_copy,VV[174])(1, T2) /*  REDUCE/STRCAT */;
   return value0;
  }
 }
}
/*      function definition for %SYSTEM                               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L459_system(cl_narg narg, cl_object v1uiop_run_program__command, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_run_program__input;
  cl_object v3uiop_run_program__output;
  cl_object v4uiop_run_program__error_output;
  cl_object v5directory;
  ecl_va_list args; ecl_va_start(args,v1uiop_run_program__command,narg,1);
  {
   cl_object keyvars[8];
   cl_parse_key(args,4,L459_systemkeys,keyvars,NULL,TRUE);
   ecl_va_end(args);
   v2uiop_run_program__input = keyvars[0];
   v3uiop_run_program__output = keyvars[1];
   v4uiop_run_program__error_output = keyvars[2];
   v5directory = keyvars[3];
  }
  {
   cl_object env1 = env0;
   T0 = ecl_function_dispatch(cl_env_copy,VV[783])(5, v1uiop_run_program__command, v2uiop_run_program__input, v3uiop_run_program__output, v4uiop_run_program__error_output, v5directory) /*  %REDIRECTED-SYSTEM-COMMAND */;
   env1 = ECL_NIL;
   CLV0 = env1 = CONS(T0,env1);                   /*  %COMMAND        */
   {
    cl_object v6;
    v6 = ecl_make_cclosure_va((cl_objectfn)LC458__g2853,env1,Cblock);
    T0 = v6;
   }
   value0 = ecl_function_dispatch(cl_env_copy,VV[467])(2, ECL_NIL, T0) /*  CALL-WITH-CURRENT-DIRECTORY */;
   return value0;
  }
 }
}
/*      function definition for %USE-SYSTEM                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L465_use_system(cl_narg narg, cl_object v1uiop_run_program__command, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_run_program__keys;
  cl_object v3uiop_run_program__output;
  cl_object v4uiop_run_program__ignore_error_status;
  ecl_va_list args; ecl_va_start(args,v1uiop_run_program__command,narg,1);
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1uiop_run_program__command,env0); /*  COMMAND   */
  {
   cl_object keyvars[8];
   cl_parse_key(args,4,L465_use_systemkeys,keyvars,(cl_object*)&v2uiop_run_program__keys,TRUE);
   CLV1 = env0 = CONS(v2uiop_run_program__keys,env0); /*  KEYS        */
   ecl_va_end(args);
   CLV2 = env0 = CONS(keyvars[0],env0);           /*  INPUT           */
   v3uiop_run_program__output = keyvars[1];
   CLV3 = env0 = CONS(keyvars[2],env0);           /*  ERROR-OUTPUT    */
   v4uiop_run_program__ignore_error_status = keyvars[3];
  }
  {
   cl_object env1 = env0;
   CLV4 = env1 = CONS(ECL_NIL,env1);              /*  OUTPUT-RESULT   */
   CLV5 = env1 = CONS(ECL_NIL,env1);              /*  ERROR-OUTPUT-RESULT */
   CLV6 = env1 = CONS(ECL_NIL,env1);              /*  EXIT-CODE       */
   {
    cl_object v5;
    v5 = ecl_make_cclosure_va((cl_objectfn)LC463__g2874,env1,Cblock);
    T0 = v5;
   }
   {
    cl_object v5;
    v5 = ecl_make_cclosure_va((cl_objectfn)LC464__g2884,env1,Cblock);
    T1 = v5;
   }
   cl_apply(10, VV[756], VV[692], ecl_symbol_value(ECL_SYM("*STANDARD-OUTPUT*",67)), ECL_NIL, T0, ECL_SYM("OUTPUT",1294), v3uiop_run_program__output, ECL_NIL, T1, ECL_CONS_CAR(CLV1));
   T0 = ECL_CONS_CAR(CLV6);
   ecl_function_dispatch(cl_env_copy,VV[747])(5, T0, VV[749], ECL_CONS_CAR(CLV0), VV[780], v4uiop_run_program__ignore_error_status) /*  %CHECK-RESULT */;
   T0 = ECL_CONS_CAR(CLV4);
   T1 = ECL_CONS_CAR(CLV5);
   cl_env_copy->nvalues = 3;
   cl_env_copy->values[2] = ECL_CONS_CAR(CLV6);
   cl_env_copy->values[1] = T1;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*      function definition for LAUNCH-PROGRAM                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L466launch_program(cl_narg narg, cl_object v1uiop_run_program__command, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_run_program__keys;
  cl_object v3uiop_run_program__input;
  cl_object v4uiop_run_program__if_input_does_not_exist;
  cl_object v5uiop_run_program__output;
  cl_object v6uiop_run_program__if_output_exists;
  cl_object v7uiop_run_program__error_output;
  cl_object v8uiop_run_program__if_error_output_exists;
  cl_object v9uiop_run_program__element_type;
  cl_object v10uiop_run_program__external_format;
  ecl_va_list args; ecl_va_start(args,v1uiop_run_program__command,narg,1);
  {
   cl_object keyvars[16];
   cl_parse_key(args,8,L466launch_programkeys,keyvars,(cl_object*)&v2uiop_run_program__keys,TRUE);
   ecl_va_end(args);
   v3uiop_run_program__input = keyvars[0];
   if (Null(keyvars[9])) {
    v4uiop_run_program__if_input_does_not_exist = ECL_SYM("ERROR",1239);
   } else {
    v4uiop_run_program__if_input_does_not_exist = keyvars[1];
   }
   v5uiop_run_program__output = keyvars[2];
   if (Null(keyvars[11])) {
    v6uiop_run_program__if_output_exists = ECL_SYM("SUPERSEDE",1326);
   } else {
    v6uiop_run_program__if_output_exists = keyvars[3];
   }
   v7uiop_run_program__error_output = keyvars[4];
   if (Null(keyvars[13])) {
    v8uiop_run_program__if_error_output_exists = ECL_SYM("SUPERSEDE",1326);
   } else {
    v8uiop_run_program__if_error_output_exists = keyvars[5];
   }
   if (Null(keyvars[14])) {
    v9uiop_run_program__element_type = ecl_symbol_value(VV[497]);
   } else {
    v9uiop_run_program__element_type = keyvars[6];
   }
   if (Null(keyvars[15])) {
    v10uiop_run_program__external_format = ecl_symbol_value(VV[505]);
   } else {
    v10uiop_run_program__external_format = keyvars[7];
   }
  }
  value0 = cl_apply(21, VV[727], v1uiop_run_program__command, ECL_SYM("WAIT",1341), ECL_NIL, ECL_SYM("INPUT",1266), v3uiop_run_program__input, ECL_SYM("IF-INPUT-DOES-NOT-EXIST",1257), v4uiop_run_program__if_input_does_not_exist, ECL_SYM("OUTPUT",1294), v5uiop_run_program__output, ECL_SYM("IF-OUTPUT-EXISTS",1258), v6uiop_run_program__if_output_exists, VV[717], v7uiop_run_program__error_output, VV[797], v8uiop_run_program__if_error_output_exists, ECL_SYM("ELEMENT-TYPE",1234), v9uiop_run_program__element_type, ECL_SYM("EXTERNAL-FORMAT",1246), v10uiop_run_program__external_format, v2uiop_run_program__keys);
  return value0;
 }
}
/*      function definition for RUN-PROGRAM                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L468run_program(cl_narg narg, cl_object v1uiop_run_program__command, ...)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_run_program__keys;
  cl_object v3uiop_run_program__ignore_error_status;
  cl_object v4uiop_run_program__force_shell;
  cl_object v5uiop_run_program__force_shell_suppliedp;
  cl_object v6uiop_run_program__input;
  cl_object v7uiop_run_program__inputp;
  cl_object v8uiop_run_program__if_input_does_not_exist;
  cl_object v9uiop_run_program__output;
  cl_object v10uiop_run_program__if_output_exists;
  cl_object v11uiop_run_program__error_output;
  cl_object v12uiop_run_program__error_output_p;
  cl_object v13uiop_run_program__if_error_output_exists;
  cl_object v14uiop_run_program__element_type;
  cl_object v15uiop_run_program__external_format;
  ecl_va_list args; ecl_va_start(args,v1uiop_run_program__command,narg,1);
  {
   cl_object keyvars[20];
   cl_parse_key(args,10,L468run_programkeys,keyvars,(cl_object*)&v2uiop_run_program__keys,TRUE);
   ecl_va_end(args);
   v3uiop_run_program__ignore_error_status = keyvars[0];
   v4uiop_run_program__force_shell = keyvars[1];
   v5uiop_run_program__force_shell_suppliedp = keyvars[11];
   v6uiop_run_program__input = keyvars[2];
   v7uiop_run_program__inputp = keyvars[12];
   if (Null(keyvars[13])) {
    v8uiop_run_program__if_input_does_not_exist = ECL_SYM("ERROR",1239);
   } else {
    v8uiop_run_program__if_input_does_not_exist = keyvars[3];
   }
   v9uiop_run_program__output = keyvars[4];
   if (Null(keyvars[15])) {
    v10uiop_run_program__if_output_exists = ECL_SYM("SUPERSEDE",1326);
   } else {
    v10uiop_run_program__if_output_exists = keyvars[5];
   }
   v11uiop_run_program__error_output = keyvars[6];
   v12uiop_run_program__error_output_p = keyvars[16];
   if (Null(keyvars[17])) {
    v13uiop_run_program__if_error_output_exists = ECL_SYM("SUPERSEDE",1326);
   } else {
    v13uiop_run_program__if_error_output_exists = keyvars[7];
   }
   if (Null(keyvars[18])) {
    v14uiop_run_program__element_type = ecl_symbol_value(VV[497]);
   } else {
    v14uiop_run_program__element_type = keyvars[8];
   }
   if (Null(keyvars[19])) {
    v15uiop_run_program__external_format = ecl_symbol_value(VV[505]);
   } else {
    v15uiop_run_program__external_format = keyvars[9];
   }
  }
  if (!(ECL_STRINGP(v1uiop_run_program__command))) { goto L6; }
  if ((v5uiop_run_program__force_shell_suppliedp)!=ECL_NIL) { goto L6; }
  v4uiop_run_program__force_shell = ECL_T;
L6:;
  if ((v4uiop_run_program__force_shell)!=ECL_NIL) { goto L13; }
  goto L11;
L13:;
  T0 = VV[795];
  goto L10;
L11:;
  T0 = VV[776];
L10:;
  T1 = LC467default(v6uiop_run_program__input, v7uiop_run_program__inputp, v9uiop_run_program__output);
  T2 = LC467default(v11uiop_run_program__error_output, v12uiop_run_program__error_output_p, v9uiop_run_program__output);
  value0 = cl_apply(17, T0, v1uiop_run_program__command, ECL_SYM("INPUT",1266), T1, VV[717], T2, ECL_SYM("IF-INPUT-DOES-NOT-EXIST",1257), v8uiop_run_program__if_input_does_not_exist, ECL_SYM("IF-OUTPUT-EXISTS",1258), v10uiop_run_program__if_output_exists, VV[797], v13uiop_run_program__if_error_output_exists, ECL_SYM("ELEMENT-TYPE",1234), v14uiop_run_program__element_type, ECL_SYM("EXTERNAL-FORMAT",1246), v15uiop_run_program__external_format, v2uiop_run_program__keys);
  return value0;
 }
}
/*      local function G2597                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC411__g2597(cl_object v1condition, cl_object v2stream)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[2262])(1, v1condition) /*  SUBPROCESS-ERROR-PROCESS */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[2263])(1, v1condition) /*  SUBPROCESS-ERROR-COMMAND */;
  T2 = ecl_function_dispatch(cl_env_copy,VV[2264])(1, v1condition) /*  SUBPROCESS-ERROR-CODE */;
  value0 = cl_format(5, v2stream, VV[704], T0, T1, T2);
  return value0;
 }
}
/*      local function G2627                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC420__g2627(cl_object v1stream)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(cl_streamp(v1stream))) { goto L2; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[603])(1, v1stream) /*  FILE-OR-SYNONYM-STREAM-P */;
  value0 = Null(T0)?ECL_T:ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      closure G2628                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC421__g2628(cl_narg narg, ...)
{
 cl_object T0, T1, T2, T3, T4, T5, T6;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7, CLV8;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV8 = env0;                                     /*  %ERROR-OUTPUT   */
 CLV7 = _ecl_cdr(CLV8);
 CLV6 = _ecl_cdr(CLV7);
 CLV5 = _ecl_cdr(CLV6);
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  {
   struct ecl_stack_frame _ecl_inner_frame_aux;
   cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
   {
    cl_object v1;
    v1 = _ecl_inner_frame;
    {
     cl_object v2;
     v2 = ECL_SYM("LIST",481);
     T0 = ecl_car(ECL_CONS_CAR(CLV4));
     T1 = ecl_cdr(ECL_CONS_CAR(CLV4));
     T2 = cl_list(2, T0, T1);
     T3 = cl_listX(7, ECL_SYM("INPUT",1266), ECL_CONS_CAR(CLV6), ECL_SYM("OUTPUT",1294), ECL_CONS_CAR(CLV7), ECL_SYM("WAIT",1341), ECL_CONS_CAR(CLV3), VV[729]);
     T4 = cl_list(2, ECL_SYM("ERROR",1239), ECL_CONS_CAR(CLV8));
     T5 = cl_list(6, ECL_SYM("IF-INPUT-DOES-NOT-EXIST",1257), ECL_CONS_CAR(CLV1), ECL_SYM("IF-OUTPUT-EXISTS",1258), ECL_CONS_CAR(CLV5), ECL_SYM("IF-ERROR-EXISTS",1255), ECL_CONS_CAR(CLV2));
     T6 = cl_append(5, T2, T3, T4, T5, ECL_CONS_CAR(CLV0));
     cl_env_copy->values[0] = cl_apply(2, ECL_SYM("RUN-PROGRAM",1138), T6);
     ecl_stack_frame_push_values(v1);cl_env_copy->values[0]=ecl_apply_from_stack_frame(v1,v2);
     value0 = cl_env_copy->values[0];
    }
   }
   ecl_stack_frame_close(_ecl_inner_frame);
  }
  return value0;
 }
 }
}
/*      local function STORE-CODES                                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC423store_codes(cl_narg narg, volatile cl_object *lex0, cl_object v1uiop_run_program__exit_code, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_run_program__signal_code;
  va_list args; va_start(args,v1uiop_run_program__exit_code);
  {
   int i = 1;
   if (i >= narg) {
    v2uiop_run_program__signal_code = ECL_NIL;
   } else {
    i++;
    v2uiop_run_program__signal_code = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (Null(v2uiop_run_program__signal_code)) { goto L2; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[725])(1, v2uiop_run_program__signal_code) /*  %SIGNAL-TO-EXIT-CODE */;
  LC422prop(lex0, VV[730], T0);
  value0 = LC422prop(lex0, VV[731], v2uiop_run_program__signal_code);
  return value0;
L2:;
  value0 = LC422prop(lex0, VV[730], v1uiop_run_program__exit_code);
  return value0;
 }
}
/*      local function PROP                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC422prop(volatile cl_object *lex0, cl_object v1uiop_run_program__key, cl_object v2uiop_run_program__value)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = (cl_env_copy->function=ECL_CONS_CAR(VV[2231]))->cfun.entry(3, v2uiop_run_program__value, lex0[0], v1uiop_run_program__key) /*  (SETF SLOT-VALUE) */;
  return value0;
 }
}
/*      closure HARD-CASE                                             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC441hard_case(cl_narg narg, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7, CLV8, CLV9;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV9 = env0;                                     /*  ACTIVITY        */
 CLV8 = _ecl_cdr(CLV9);
 CLV7 = _ecl_cdr(CLV8);
 CLV6 = _ecl_cdr(CLV7);
 CLV5 = _ecl_cdr(CLV6);
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  if (Null(ECL_CONS_CAR(CLV3))) { goto L1; }
  value0 = ecl_function_dispatch(cl_env_copy,ECL_CONS_CAR(CLV1))(2, ECL_SYM("STREAM",1325), ECL_CONS_CAR(CLV9));
  return value0;
L1:;
  {
   cl_object v1;
   v1 = ecl_make_cclosure_va((cl_objectfn)LC440__before2720,env0,Cblock);
   value0 = ecl_function_dispatch(cl_env_copy,VV[575])(5, v1, VV[593], ECL_NIL, VV[594], ECL_T) /*  CALL-WITH-TEMPORARY-FILE */;
   return value0;
  }
 }
 }
}
/*      closure EASY-CASE                                             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC437easy_case(cl_narg narg, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7, CLV8, CLV9;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV9 = env0;
 CLV8 = _ecl_cdr(CLV9);
 CLV7 = _ecl_cdr(CLV8);                           /*  ACTUAL-SPEC     */
 CLV6 = _ecl_cdr(CLV7);
 CLV5 = _ecl_cdr(CLV6);
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,ECL_CONS_CAR(CLV1))(2, ECL_CONS_CAR(CLV7), ECL_NIL);
  return value0;
 }
 }
}
/*      closure ACTIVITY                                              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC436activity(cl_narg narg, cl_object v1stream, ...)
{
 cl_object T0;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7, CLV8, CLV9;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV9 = env0;
 CLV8 = _ecl_cdr(CLV9);                           /*  ACTIVITY-SPEC   */
 CLV7 = _ecl_cdr(CLV8);
 CLV6 = _ecl_cdr(CLV7);
 CLV5 = _ecl_cdr(CLV6);
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[691])(3, ECL_CONS_CAR(CLV0), ECL_CONS_CAR(CLV8), v1stream) /*  CALL-STREAM-PROCESSOR */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[212])(2, ECL_CONS_CAR(CLV4), T0) /*  CALL-FUNCTION */;
  return value0;
 }
 }
}
/*      closure G2831                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC452__g2831(volatile cl_narg narg, cl_object volatile v1uiop_run_program__reduced_output, cl_object volatile v2uiop_run_program__output_activity, ...)
{
 cl_object T0, T1;
 cl_object volatile CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7, CLV8, CLV9, CLV10, CLV11;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile env0 = cl_env_copy->function->cclosure.env;
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV9 = env0;                                     /*  PROCESS-INFO    */
 CLV8 = _ecl_cdr(CLV9);
 CLV7 = _ecl_cdr(CLV8);
 CLV6 = _ecl_cdr(CLV7);
 CLV5 = _ecl_cdr(CLV6);
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=2)) FEwrong_num_arguments_anonym();
 {
  CLV10 = env0 = CONS(v1uiop_run_program__reduced_output,env0); /*  REDUCED-OUTPUT */
  CLV11 = env0 = CONS(v2uiop_run_program__output_activity,env0); /*  OUTPUT-ACTIVITY */
  {
   cl_object volatile v3;
   v3 = ecl_make_cclosure_va((cl_objectfn)LC450__g2832,env0,Cblock);
   T0 = v3;
  }
  {
   bool v3;
   v3 = (ECL_CONS_CAR(CLV4))==(VV[717]);
   {
    cl_object volatile v4;
    v4 = ecl_make_cclosure_va((cl_objectfn)LC451__g2840,env0,Cblock);
    T1 = v4;
   }
   value0 = cl_apply(10, VV[756], VV[692], ecl_symbol_value(ECL_SYM("*ERROR-OUTPUT*",33)), ECL_T, T0, VV[717], ECL_CONS_CAR(CLV3), ecl_make_bool(v3), T1, ECL_CONS_CAR(CLV1));
   return value0;
  }
 }
 }
}
/*      closure G2843                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC453__g2843(cl_narg narg, cl_object v1, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7, CLV8, CLV9;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV9 = env0;
 CLV8 = _ecl_cdr(CLV9);
 CLV7 = _ecl_cdr(CLV8);
 CLV6 = _ecl_cdr(CLV7);                           /*  OUTPUT-RESULT   */
 CLV5 = _ecl_cdr(CLV6);
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV6) = v1;
  value0 = ECL_CONS_CAR(CLV6);
  cl_env_copy->nvalues = 1;
  return value0;
 }
 }
}
/*      local function REDIRECT                                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC456redirect(cl_object v1uiop_run_program__spec, cl_object v2uiop_run_program__operator)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3pathname;
   if (!(v1uiop_run_program__spec==ECL_NIL)) { goto L2; }
   v3pathname = ecl_function_dispatch(cl_env_copy,VV[535])(0) /*  NULL-DEVICE-PATHNAME */;
   goto L1;
L2:;
   if (!(ECL_STRINGP(v1uiop_run_program__spec))) { goto L4; }
   v3pathname = ecl_function_dispatch(cl_env_copy,VV[406])(1, v1uiop_run_program__spec) /*  PARSE-NATIVE-NAMESTRING */;
   goto L1;
L4:;
   if (Null(cl_pathnamep(v1uiop_run_program__spec))) { goto L6; }
   v3pathname = v1uiop_run_program__spec;
   goto L1;
L6:;
   if (Null(cl_typep(2, v1uiop_run_program__spec, VV[716]))) { goto L8; }
   goto L12;
L11:;
   si_assert_failure(1, VV[784]);
L12:;
   if (ecl_equal(v2uiop_run_program__operator,VV[785])) { goto L15; }
   goto L11;
L15:;
   value0 = VV[786];
   cl_env_copy->nvalues = 1;
   return value0;
L8:;
   v3pathname = ECL_NIL;
L1:;
   if (Null(v3pathname)) { goto L17; }
   T0 = ecl_function_dispatch(cl_env_copy,VV[405])(1, v3pathname) /*  NATIVE-NAMESTRING */;
   T1 = ecl_function_dispatch(cl_env_copy,VV[685])(1, T0) /*  ESCAPE-SHELL-TOKEN */;
   value0 = cl_list(3, v2uiop_run_program__operator, VV[787], T1);
   return value0;
L17:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      closure G2853                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC458__g2853(cl_narg narg, ...)
{
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  %COMMAND        */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  {
   cl_object v1;
   cl_object v2;
   cl_object v3;
   v1 = ecl_symbol_value(VV[498]);
   v2 = ecl_symbol_value(VV[500]);
   v3 = ecl_symbol_value(VV[502]);
   ecl_bds_bind(cl_env_copy,ECL_SYM("*STANDARD-INPUT*",66),v1); /*  *STANDARD-INPUT* */
   ecl_bds_bind(cl_env_copy,ECL_SYM("*STANDARD-OUTPUT*",67),v2); /*  *STANDARD-OUTPUT* */
   ecl_bds_bind(cl_env_copy,ECL_SYM("*ERROR-OUTPUT*",33),v3); /*  *ERROR-OUTPUT* */
   value0 = si_system(ECL_CONS_CAR(CLV0));
   ecl_bds_unwind1(cl_env_copy);
   ecl_bds_unwind1(cl_env_copy);
   ecl_bds_unwind1(cl_env_copy);
   return value0;
  }
 }
 }
}
/*      closure G2874                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC463__g2874(cl_narg narg, cl_object v1uiop_run_program__reduced_output, cl_object v2, ...)
{
 cl_object T0, T1;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV6 = env0;                                     /*  EXIT-CODE       */
 CLV5 = _ecl_cdr(CLV6);
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=2)) FEwrong_num_arguments_anonym();
 {
  CLV7 = env0 = CONS(v1uiop_run_program__reduced_output,env0); /*  REDUCED-OUTPUT */
  {
   cl_object v3;
   v3 = ecl_make_cclosure_va((cl_objectfn)LC461__g2876,env0,Cblock);
   T0 = v3;
  }
  {
   cl_object v3;
   v3 = ecl_make_cclosure_va((cl_objectfn)LC462__g2881,env0,Cblock);
   T1 = v3;
  }
  value0 = cl_apply(10, VV[756], VV[692], ecl_symbol_value(ECL_SYM("*ERROR-OUTPUT*",33)), ECL_NIL, T0, VV[717], ECL_CONS_CAR(CLV3), ECL_NIL, T1, ECL_CONS_CAR(CLV1));
  return value0;
 }
 }
}
/*      closure G2884                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC464__g2884(cl_narg narg, cl_object v1, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV6 = env0;
 CLV5 = _ecl_cdr(CLV6);
 CLV4 = _ecl_cdr(CLV5);                           /*  OUTPUT-RESULT   */
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV4) = v1;
  value0 = ECL_CONS_CAR(CLV4);
  cl_env_copy->nvalues = 1;
  return value0;
 }
 }
}
/*      local function DEFAULT                                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC467default(cl_object v1uiop_run_program__x, cl_object v2uiop_run_program__xp, cl_object v3uiop_run_program__output)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(v2uiop_run_program__xp)) { goto L1; }
  value0 = v1uiop_run_program__x;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (!((v3uiop_run_program__output)==(ECL_SYM("INTERACTIVE",1267)))) { goto L3; }
  value0 = ECL_SYM("INTERACTIVE",1267);
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      closure BEFORE2720                                            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC440__before2720(cl_narg narg, cl_object v1uiop_run_program__tmp, ...)
{
 cl_object T0;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7, CLV8, CLV9;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV9 = env0;
 CLV8 = _ecl_cdr(CLV9);                           /*  ACTIVITY-SPEC   */
 CLV7 = _ecl_cdr(CLV8);
 CLV6 = _ecl_cdr(CLV7);
 CLV5 = _ecl_cdr(CLV6);
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  if (!(ecl_eql(ECL_CONS_CAR(CLV2),ECL_SYM("INPUT",1266)))) { goto L1; }
  {
   cl_object v2;
   v2 = ecl_make_cclosure_va((cl_objectfn)LC438__g2724,env0,Cblock);
   T0 = v2;
  }
  ecl_function_dispatch(cl_env_copy,VV[520])(8, v1uiop_run_program__tmp, T0, ECL_SYM("IF-EXISTS",1256), ECL_SYM("OVERWRITE",1295), ECL_SYM("EXTERNAL-FORMAT",1246), ECL_CONS_CAR(CLV6), ECL_SYM("ELEMENT-TYPE",1234), ECL_CONS_CAR(CLV5)) /*  CALL-WITH-OUTPUT-FILE */;
  value0 = ecl_function_dispatch(cl_env_copy,ECL_CONS_CAR(CLV1))(2, v1uiop_run_program__tmp, ECL_NIL);
  return value0;
L1:;
  if (!(ecl_eql(ECL_CONS_CAR(CLV2),ECL_SYM("OUTPUT",1294)))) { goto L10; }
  goto L7;
  goto L8;
L10:;
  goto L8;
L8:;
  if (!(ecl_eql(ECL_CONS_CAR(CLV2),VV[717]))) { goto L5; }
  goto L6;
L7:;
L6:;
  {
   struct ecl_stack_frame _ecl_inner_frame_aux;
   cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
   {
    cl_object v2;
    v2 = _ecl_inner_frame;
    cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,ECL_CONS_CAR(CLV1))(2, v1uiop_run_program__tmp, ECL_NIL);
    ecl_stack_frame_push_values(v2);
    {
     cl_object v3;
     v3 = ecl_make_cclosure_va((cl_objectfn)LC439__g2727,env0,Cblock);
     T0 = v3;
    }
    ecl_function_dispatch(cl_env_copy,VV[528])(6, v1uiop_run_program__tmp, T0, ECL_SYM("EXTERNAL-FORMAT",1246), ECL_CONS_CAR(CLV6), ECL_SYM("ELEMENT-TYPE",1234), ECL_CONS_CAR(CLV5)) /*  CALL-WITH-INPUT-FILE */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v2);
    value0 = cl_env_copy->values[0];
   }
   ecl_stack_frame_close(_ecl_inner_frame);
  }
  return value0;
L5:;
  value0 = si_ecase_error(ECL_CONS_CAR(CLV2), VV[763]);
  return value0;
 }
 }
}
/*      closure G2832                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC450__g2832(volatile cl_narg narg, cl_object volatile v1uiop_run_program__reduced_error_output, cl_object volatile v2uiop_run_program__error_output_activity, ...)
{
 cl_object T0;
 cl_object volatile CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7, CLV8, CLV9, CLV10, CLV11, CLV12, CLV13;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile env0 = cl_env_copy->function->cclosure.env;
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV11 = env0;                                    /*  OUTPUT-ACTIVITY */
 CLV10 = _ecl_cdr(CLV11);
 CLV9 = _ecl_cdr(CLV10);
 CLV8 = _ecl_cdr(CLV9);
 CLV7 = _ecl_cdr(CLV8);
 CLV6 = _ecl_cdr(CLV7);
 CLV5 = _ecl_cdr(CLV6);
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=2)) FEwrong_num_arguments_anonym();
 {
  CLV12 = env0 = CONS(v1uiop_run_program__reduced_error_output,env0); /*  REDUCED-ERROR-OUTPUT */
  CLV13 = env0 = CONS(v2uiop_run_program__error_output_activity,env0); /*  ERROR-OUTPUT-ACTIVITY */
  {
   cl_object volatile v3;
   v3 = ecl_make_cclosure_va((cl_objectfn)LC449__g2833,env0,Cblock);
   T0 = v3;
  }
  {
   bool v3;
   v3 = (ECL_CONS_CAR(CLV4))==(ECL_SYM("INPUT",1266));
   value0 = cl_apply(10, VV[756], VV[701], ecl_symbol_value(ECL_SYM("*STANDARD-INPUT*",66)), ECL_T, T0, ECL_SYM("INPUT",1266), ECL_CONS_CAR(CLV2), ecl_make_bool(v3), ECL_NIL, ECL_CONS_CAR(CLV1));
   return value0;
  }
 }
 }
}
/*      closure G2840                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC451__g2840(cl_narg narg, cl_object v1, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7, CLV8, CLV9, CLV10, CLV11;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV11 = env0;
 CLV10 = _ecl_cdr(CLV11);
 CLV9 = _ecl_cdr(CLV10);
 CLV8 = _ecl_cdr(CLV9);
 CLV7 = _ecl_cdr(CLV8);                           /*  ERROR-OUTPUT-RESULT */
 CLV6 = _ecl_cdr(CLV7);
 CLV5 = _ecl_cdr(CLV6);
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV7) = v1;
  value0 = ECL_CONS_CAR(CLV7);
  cl_env_copy->nvalues = 1;
  return value0;
 }
 }
}
/*      closure G2876                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC461__g2876(cl_narg narg, cl_object v1uiop_run_program__reduced_error_output, cl_object v2, ...)
{
 cl_object T0;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7, CLV8;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV7 = env0;                                     /*  REDUCED-OUTPUT  */
 CLV6 = _ecl_cdr(CLV7);
 CLV5 = _ecl_cdr(CLV6);
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=2)) FEwrong_num_arguments_anonym();
 {
  CLV8 = env0 = CONS(v1uiop_run_program__reduced_error_output,env0); /*  REDUCED-ERROR-OUTPUT */
  {
   cl_object v3;
   v3 = ecl_make_cclosure_va((cl_objectfn)LC460__g2878,env0,Cblock);
   T0 = v3;
  }
  value0 = cl_apply(10, VV[756], VV[701], ecl_symbol_value(ECL_SYM("*STANDARD-INPUT*",66)), ECL_NIL, T0, ECL_SYM("INPUT",1266), ECL_CONS_CAR(CLV2), ECL_NIL, ECL_NIL, ECL_CONS_CAR(CLV1));
  return value0;
 }
 }
}
/*      closure G2881                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC462__g2881(cl_narg narg, cl_object v1, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV7 = env0;
 CLV6 = _ecl_cdr(CLV7);
 CLV5 = _ecl_cdr(CLV6);                           /*  ERROR-OUTPUT-RESULT */
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV5) = v1;
  value0 = ECL_CONS_CAR(CLV5);
  cl_env_copy->nvalues = 1;
  return value0;
 }
 }
}
/*      closure G2724                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC438__g2724(cl_narg narg, cl_object v1uiop_run_program__s, ...)
{
 volatile struct ecl_cclosure aux_closure;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7, CLV8, CLV9;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV9 = env0;
 CLV8 = _ecl_cdr(CLV9);                           /*  ACTIVITY-SPEC   */
 CLV7 = _ecl_cdr(CLV8);
 CLV6 = _ecl_cdr(CLV7);
 CLV5 = _ecl_cdr(CLV6);
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = (aux_closure.env=env0,cl_env_copy->function=(cl_object)&aux_closure,LC436activity(1, v1uiop_run_program__s));
  return value0;
 }
 }
}
/*      closure G2727                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC439__g2727(cl_narg narg, cl_object v1uiop_run_program__s, ...)
{
 volatile struct ecl_cclosure aux_closure;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7, CLV8, CLV9;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV9 = env0;
 CLV8 = _ecl_cdr(CLV9);                           /*  ACTIVITY-SPEC   */
 CLV7 = _ecl_cdr(CLV8);
 CLV6 = _ecl_cdr(CLV7);
 CLV5 = _ecl_cdr(CLV6);
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = (aux_closure.env=env0,cl_env_copy->function=(cl_object)&aux_closure,LC436activity(1, v1uiop_run_program__s));
  return value0;
 }
 }
}
/*      closure G2833                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC449__g2833(volatile cl_narg narg, cl_object volatile v1uiop_run_program__reduced_input, cl_object volatile v2uiop_run_program__input_activity, ...)
{
 cl_object T0;
 volatile struct ecl_cclosure aux_closure;
 cl_object volatile CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7, CLV8, CLV9, CLV10, CLV11, CLV12, CLV13;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile env0 = cl_env_copy->function->cclosure.env;
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV13 = env0;                                    /*  ERROR-OUTPUT-ACTIVITY */
 CLV12 = _ecl_cdr(CLV13);
 CLV11 = _ecl_cdr(CLV12);
 CLV10 = _ecl_cdr(CLV11);
 CLV9 = _ecl_cdr(CLV10);
 CLV8 = _ecl_cdr(CLV9);
 CLV7 = _ecl_cdr(CLV8);
 CLV6 = _ecl_cdr(CLV7);
 CLV5 = _ecl_cdr(CLV6);
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=2)) FEwrong_num_arguments_anonym();
 {
TTL:
  if (!((ECL_CONS_CAR(CLV3))==(ECL_SYM("OUTPUT",1294)))) { goto L4; }
  T0 = ECL_SYM("OUTPUT",1294);
  goto L3;
L4:;
  T0 = ECL_CONS_CAR(CLV12);
L3:;
  ECL_CONS_CAR(CLV9) = cl_apply(11, VV[727], ECL_CONS_CAR(CLV0), ECL_SYM("WAIT",1341), ECL_CONS_CAR(CLV5), ECL_SYM("INPUT",1266), v1uiop_run_program__reduced_input, ECL_SYM("OUTPUT",1294), ECL_CONS_CAR(CLV10), VV[717], T0, ECL_CONS_CAR(CLV1));
  {
   volatile bool unwinding = FALSE;
   cl_index v3=ECL_STACK_INDEX(cl_env_copy),v4;
   ecl_frame_ptr next_fr;
   if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
     unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
   } else {
   if (!((ECL_CONS_CAR(CLV4))==(ECL_NIL))) { goto L7; }
   cl_env_copy->values[0] = ECL_NIL;
   cl_env_copy->nvalues = 1;
   goto L6;
L7:;
   if (!(ecl_eql(ECL_CONS_CAR(CLV4),ECL_SYM("INPUT",1266)))) { goto L10; }
   cl_env_copy->values[0] = (aux_closure.env=env0,cl_env_copy->function=(cl_object)&aux_closure,LC448run_activity(3, v2uiop_run_program__input_activity, VV[732], ECL_T));
   goto L6;
L10:;
   if (!(ecl_eql(ECL_CONS_CAR(CLV4),ECL_SYM("OUTPUT",1294)))) { goto L12; }
   cl_env_copy->values[0] = (aux_closure.env=env0,cl_env_copy->function=(cl_object)&aux_closure,LC448run_activity(3, ECL_CONS_CAR(CLV11), VV[733], ECL_T));
   goto L6;
L12:;
   if (!(ecl_eql(ECL_CONS_CAR(CLV4),VV[717]))) { goto L14; }
   cl_env_copy->values[0] = (aux_closure.env=env0,cl_env_copy->function=(cl_object)&aux_closure,LC448run_activity(2, ECL_CONS_CAR(CLV13), VV[737]));
   goto L6;
L14:;
   cl_env_copy->values[0] = si_ecase_error(ECL_CONS_CAR(CLV4), VV[779]);
L6:;
     next_fr = NULL;
   }
   ecl_frs_pop(cl_env_copy);
   v4=ecl_stack_push_values(cl_env_copy);
   ecl_function_dispatch(cl_env_copy,VV[750])(1, ECL_CONS_CAR(CLV9)) /*  CLOSE-STREAMS */;
   ECL_CONS_CAR(CLV8) = ecl_function_dispatch(cl_env_copy,VV[746])(1, ECL_CONS_CAR(CLV9)) /*  WAIT-PROCESS */;
   ecl_stack_pop_values(cl_env_copy,v4);
   if (unwinding) ecl_unwind(cl_env_copy,next_fr);
   ECL_STACK_SET_INDEX(cl_env_copy,v3);
   return cl_env_copy->values[0];
  }
 }
 }
}
/*      closure G2878                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC460__g2878(cl_narg narg, cl_object v1uiop_run_program__reduced_input, cl_object v2, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7, CLV8;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV8 = env0;                                     /*  REDUCED-ERROR-OUTPUT */
 CLV7 = _ecl_cdr(CLV8);
 CLV6 = _ecl_cdr(CLV7);
 CLV5 = _ecl_cdr(CLV6);
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=2)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV6) = cl_apply(9, VV[794], ECL_CONS_CAR(CLV0), ECL_SYM("INPUT",1266), v1uiop_run_program__reduced_input, ECL_SYM("OUTPUT",1294), ECL_CONS_CAR(CLV7), VV[717], ECL_CONS_CAR(CLV8), ECL_CONS_CAR(CLV1));
  value0 = ECL_CONS_CAR(CLV6);
  cl_env_copy->nvalues = 1;
  return value0;
 }
 }
}
/*      closure RUN-ACTIVITY                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC448run_activity(cl_narg narg, cl_object v1uiop_run_program__activity, cl_object v2uiop_run_program__stream_name, ...)
{
 cl_object T0;
 volatile struct ecl_cclosure aux_closure;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7, CLV8, CLV9, CLV10, CLV11, CLV12, CLV13;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV13 = env0;
 CLV12 = _ecl_cdr(CLV13);
 CLV11 = _ecl_cdr(CLV12);
 CLV10 = _ecl_cdr(CLV11);
 CLV9 = _ecl_cdr(CLV10);                          /*  PROCESS-INFO    */
 CLV8 = _ecl_cdr(CLV9);
 CLV7 = _ecl_cdr(CLV8);
 CLV6 = _ecl_cdr(CLV7);
 CLV5 = _ecl_cdr(CLV6);
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3uiop_run_program__fallbackp;
  va_list args; va_start(args,v2uiop_run_program__stream_name);
  {
   int i = 2;
   if (i >= narg) {
    v3uiop_run_program__fallbackp = ECL_NIL;
   } else {
    i++;
    v3uiop_run_program__fallbackp = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object v4stream;
   v4stream = (aux_closure.env=env0,cl_env_copy->function=(cl_object)&aux_closure,LC447get_stream(2, v2uiop_run_program__stream_name, v3uiop_run_program__fallbackp));
   if (Null(v4stream)) { goto L3; }
   value0 = ecl_function_dispatch(cl_env_copy,v1uiop_run_program__activity)(1, v4stream);
   return value0;
L3:;
   T0 = cl_list(2, VV[778], v2uiop_run_program__stream_name);
   value0 = cl_error(7, VV[703], ECL_SYM("CODE",1828), T0, VV[749], ECL_CONS_CAR(CLV0), ECL_SYM("PROCESS",1306), ECL_CONS_CAR(CLV9));
   return value0;
  }
 }
 }
}
/*      closure GET-STREAM                                            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC447get_stream(cl_narg narg, cl_object v1uiop_run_program__stream_name, ...)
{
 cl_object T0;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7, CLV8, CLV9, CLV10, CLV11, CLV12, CLV13;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV13 = env0;
 CLV12 = _ecl_cdr(CLV13);
 CLV11 = _ecl_cdr(CLV12);
 CLV10 = _ecl_cdr(CLV11);
 CLV9 = _ecl_cdr(CLV10);                          /*  PROCESS-INFO    */
 CLV8 = _ecl_cdr(CLV9);
 CLV7 = _ecl_cdr(CLV8);
 CLV6 = _ecl_cdr(CLV7);
 CLV5 = _ecl_cdr(CLV6);
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_run_program__fallbackp;
  va_list args; va_start(args,v1uiop_run_program__stream_name);
  {
   int i = 1;
   if (i >= narg) {
    v2uiop_run_program__fallbackp = ECL_NIL;
   } else {
    i++;
    v2uiop_run_program__fallbackp = va_arg(args,cl_object);
   }
  }
  va_end(args);
  T0 = ECL_CONS_CAR(CLV9);
  value0 = cl_slot_value(T0, v1uiop_run_program__stream_name);
  if ((value0)!=ECL_NIL) { goto L3; }
  if (Null(v2uiop_run_program__fallbackp)) { goto L5; }
  T0 = ECL_CONS_CAR(CLV9);
  value0 = cl_slot_value(T0, VV[734]);
  return value0;
L5:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
 }
}
/*      function definition for GET-OPTIMIZATION-SETTINGS             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L469get_optimization_settings()
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v1uiop_lisp_build__x;
   cl_object v2;
   v1uiop_lisp_build__x = ECL_NIL;
   {
    cl_object v3;
    v3 = VV[806];
    if (ecl_unlikely(!ECL_LISTP(v3))) FEtype_error_list(v3);
    v2 = v3;
   }
   {
    cl_object v3;
    cl_object v4uiop_lisp_build__v;
    cl_object v5;
    v3 = ecl_symbol_value(VV[804]);
    v4uiop_lisp_build__v = ECL_NIL;
    {
     cl_object v6;
     v6 = v3;
     if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
     v5 = v6;
    }
    {
     cl_object v6uiop_lisp_build__y;
     v6uiop_lisp_build__y = ECL_NIL;
     {
      cl_object v7;
      cl_object v8;
      v7 = ecl_list1(ECL_NIL);
      v8 = v7;
L13:;
      if (!(ecl_endp(v2))) { goto L15; }
      goto L14;
L15:;
      v1uiop_lisp_build__x = _ecl_car(v2);
      {
       cl_object v9;
       v9 = _ecl_cdr(v2);
       if (ecl_unlikely(!ECL_LISTP(v9))) FEtype_error_list(v9);
       v2 = v9;
      }
      if (!(ecl_endp(v5))) { goto L23; }
      goto L14;
L23:;
      v4uiop_lisp_build__v = _ecl_car(v5);
      {
       cl_object v9;
       v9 = _ecl_cdr(v5);
       if (ecl_unlikely(!ECL_LISTP(v9))) FEtype_error_list(v9);
       v5 = v9;
      }
      v6uiop_lisp_build__y = cl_symbol_value(v4uiop_lisp_build__v);
      if (Null(v6uiop_lisp_build__y)) { goto L33; }
      {
       cl_object v9;
       v9 = v8;
       if (ecl_unlikely(ECL_ATOM(v9))) FEtype_error_cons(v9);
       T0 = v9;
      }
      T1 = cl_list(2, v1uiop_lisp_build__x, v6uiop_lisp_build__y);
      v8 = ecl_list1(T1);
      (ECL_CONS_CDR(T0)=v8,T0);
L33:;
      goto L13;
L14:;
      value0 = ecl_cdr(v7);
      cl_env_copy->nvalues = 1;
      return value0;
     }
    }
   }
  }
 }
}
/*      function definition for PROCLAIM-OPTIMIZATION-SETTINGS        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L470proclaim_optimization_settings()
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = CONS(ECL_SYM("OPTIMIZE",613),ecl_symbol_value(VV[802]));
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, T0) /*  PROCLAIM */;
  {
   cl_object v1uiop_lisp_build__settings;
   v1uiop_lisp_build__settings = ecl_function_dispatch(cl_env_copy,VV[805])(0) /*  GET-OPTIMIZATION-SETTINGS */;
   if (ecl_equal(ecl_symbol_value(VV[803]),v1uiop_lisp_build__settings)) { goto L3; }
   cl_set(VV[803],v1uiop_lisp_build__settings);
   value0 = ecl_symbol_value(VV[803]);
   cl_env_copy->nvalues = 1;
   return value0;
L3:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function WITH-OPTIMIZATION-SETTINGS                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC471with_optimization_settings(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   cl_object v5;
   cl_object v6uiop_lisp_build__settings;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v7;
   }
   v5 = v4;
   if (Null(v5)) { goto L10; }
   {
    cl_object v7;
    v7 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v6uiop_lisp_build__settings = v7;
    goto L9;
   }
L10:;
   v6uiop_lisp_build__settings = ecl_symbol_value(VV[802]);
L9:;
   if (Null(v5)) { goto L15; }
   si_dm_too_many_arguments(v1);
L15:;
   {
    cl_object v7;
    cl_object v8uiop_lisp_build__v;
    cl_object v9;
    v7 = ecl_symbol_value(VV[804]);
    v8uiop_lisp_build__v = ECL_NIL;
    {
     cl_object v10;
     v10 = v7;
     if (ecl_unlikely(!ECL_LISTP(v10))) FEtype_error_list(v10);
     v9 = v10;
    }
    {
     cl_object v10;
     cl_object v11;
     v10 = ecl_list1(ECL_NIL);
     v11 = v10;
L25:;
     if (!(ecl_endp(v9))) { goto L27; }
     goto L26;
L27:;
     v8uiop_lisp_build__v = _ecl_car(v9);
     {
      cl_object v12;
      v12 = _ecl_cdr(v9);
      if (ecl_unlikely(!ECL_LISTP(v12))) FEtype_error_list(v12);
      v9 = v12;
     }
     {
      cl_object v12;
      v12 = v11;
      if (ecl_unlikely(ECL_ATOM(v12))) FEtype_error_cons(v12);
      T1 = v12;
     }
     T2 = cl_list(2, v8uiop_lisp_build__v, v8uiop_lisp_build__v);
     v11 = ecl_list1(T2);
     (ECL_CONS_CDR(T1)=v11,T1);
     goto L25;
L26:;
     T0 = ecl_cdr(v10);
     goto L17;
    }
   }
L17:;
   if (Null(v6uiop_lisp_build__settings)) { goto L43; }
   T2 = cl_list(3, ECL_SYM("LIST*",482), VV[808], v6uiop_lisp_build__settings);
   T3 = cl_list(2, ECL_SYM("PROCLAIM",666), T2);
   T1 = ecl_list1(T3);
   goto L42;
L43:;
   T1 = ECL_NIL;
L42:;
   T2 = ecl_append(T1,v3);
   value0 = cl_listX(3, ECL_SYM("LET",477), T0, T2);
   return value0;
  }
 }
}
/*      function definition for CALL-WITH-MUFFLED-COMPILER-CONDITIONS */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L472call_with_muffled_compiler_conditions(cl_object v1uiop_lisp_build__thunk)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_append(ecl_symbol_value(VV[811]),ecl_symbol_value(VV[812]));
  value0 = ecl_function_dispatch(cl_env_copy,VV[240])(2, v1uiop_lisp_build__thunk, T0) /*  CALL-WITH-MUFFLED-CONDITIONS */;
  return value0;
 }
}
/*      local function WITH-MUFFLED-COMPILER-CONDITIONS               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC473with_muffled_compiler_conditions(cl_object v1, cl_object v2)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v5;
   }
   if (Null(v4)) { goto L8; }
   si_dm_too_many_arguments(v1);
L8:;
   T0 = cl_listX(3, ECL_SYM("LAMBDA",452), ECL_NIL, v3);
   T1 = cl_list(2, ECL_SYM("FUNCTION",396), T0);
   value0 = cl_list(2, VV[814], T1);
   return value0;
  }
 }
}
/*      function definition for CALL-WITH-MUFFLED-LOADER-CONDITIONS   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L474call_with_muffled_loader_conditions(cl_object v1uiop_lisp_build__thunk)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_append(ecl_symbol_value(VV[811]),ecl_symbol_value(VV[813]));
  value0 = ecl_function_dispatch(cl_env_copy,VV[240])(2, v1uiop_lisp_build__thunk, T0) /*  CALL-WITH-MUFFLED-CONDITIONS */;
  return value0;
 }
}
/*      local function WITH-MUFFLED-LOADER-CONDITIONS                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC475with_muffled_loader_conditions(cl_object v1, cl_object v2)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v5;
   }
   if (Null(v4)) { goto L8; }
   si_dm_too_many_arguments(v1);
L8:;
   T0 = cl_listX(3, ECL_SYM("LAMBDA",452), ECL_NIL, v3);
   T1 = cl_list(2, ECL_SYM("FUNCTION",396), T0);
   value0 = cl_list(2, VV[816], T1);
   return value0;
  }
 }
}
/*      local function G2959                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC477__g2959()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC476__g2960,ECL_NIL,Cblock,2);
   value0 = v1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for CHECK-LISP-COMPILE-WARNINGS           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L478check_lisp_compile_warnings(cl_narg narg, cl_object v1uiop_lisp_build__warnings_p, cl_object v2uiop_lisp_build__failure_p, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
 {
  cl_object v3uiop_lisp_build__context_format;
  cl_object v4uiop_lisp_build__context_arguments;
  va_list args; va_start(args,v2uiop_lisp_build__failure_p);
  {
   int i = 2;
   if (i >= narg) {
    v3uiop_lisp_build__context_format = ECL_NIL;
   } else {
    i++;
    v3uiop_lisp_build__context_format = va_arg(args,cl_object);
   }
   if (i >= narg) {
    v4uiop_lisp_build__context_arguments = ECL_NIL;
   } else {
    i++;
    v4uiop_lisp_build__context_arguments = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (Null(v2uiop_lisp_build__failure_p)) { goto L3; }
  {
   cl_object v5;
   v5 = ecl_symbol_value(VV[800]);
   if (!(ecl_eql(v5,VV[799]))) { goto L6; }
   (cl_env_copy->function=(ECL_SYM("WARN",903)->symbol.gfdef))->cfun.entry(7, VV[823], ECL_SYM("DESCRIPTION",988), VV[826], VV[827], v3uiop_lisp_build__context_format, VV[828], v4uiop_lisp_build__context_arguments) /*  WARN */;
   goto L3;
L6:;
   if (!(ecl_eql(v5,ECL_SYM("ERROR",1239)))) { goto L8; }
   cl_error(7, VV[824], ECL_SYM("DESCRIPTION",988), VV[826], VV[827], v3uiop_lisp_build__context_format, VV[828], v4uiop_lisp_build__context_arguments);
   goto L3;
L8:;
   if (!(ecl_eql(v5,ECL_SYM("IGNORE",1259)))) { goto L3; }
  }
L3:;
  if (Null(v1uiop_lisp_build__warnings_p)) { goto L11; }
  {
   cl_object v5;
   v5 = ecl_symbol_value(VV[798]);
   if (!(ecl_eql(v5,VV[799]))) { goto L14; }
   value0 = (cl_env_copy->function=(ECL_SYM("WARN",903)->symbol.gfdef))->cfun.entry(7, VV[821], ECL_SYM("DESCRIPTION",988), VV[829], VV[827], v3uiop_lisp_build__context_format, VV[828], v4uiop_lisp_build__context_arguments) /*  WARN */;
   return value0;
L14:;
   if (!(ecl_eql(v5,ECL_SYM("ERROR",1239)))) { goto L16; }
   value0 = cl_error(7, VV[822], ECL_SYM("DESCRIPTION",988), VV[829], VV[827], v3uiop_lisp_build__context_format, VV[828], v4uiop_lisp_build__context_arguments);
   return value0;
L16:;
   if (!(ecl_eql(v5,ECL_SYM("IGNORE",1259)))) { goto L18; }
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L18:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L11:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CHECK-LISP-COMPILE-RESULTS            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L479check_lisp_compile_results(cl_narg narg, cl_object v1uiop_lisp_build__output, cl_object v2uiop_lisp_build__warnings_p, cl_object v3uiop_lisp_build__failure_p, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>5)) FEwrong_num_arguments_anonym();
 {
  cl_object v4uiop_lisp_build__context_format;
  cl_object v5uiop_lisp_build__context_arguments;
  va_list args; va_start(args,v3uiop_lisp_build__failure_p);
  {
   int i = 3;
   if (i >= narg) {
    v4uiop_lisp_build__context_format = ECL_NIL;
   } else {
    i++;
    v4uiop_lisp_build__context_format = va_arg(args,cl_object);
   }
   if (i >= narg) {
    v5uiop_lisp_build__context_arguments = ECL_NIL;
   } else {
    i++;
    v5uiop_lisp_build__context_arguments = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if ((v1uiop_lisp_build__output)!=ECL_NIL) { goto L3; }
  cl_error(5, VV[820], VV[827], v4uiop_lisp_build__context_format, VV[828], v5uiop_lisp_build__context_arguments);
L3:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[825])(4, v2uiop_lisp_build__warnings_p, v3uiop_lisp_build__failure_p, v4uiop_lisp_build__context_format, v5uiop_lisp_build__context_arguments) /*  CHECK-LISP-COMPILE-WARNINGS */;
  return value0;
 }
}
/*      local function G2960                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC476__g2960(cl_object v1uiop_lisp_build__c, cl_object v2uiop_lisp_build__s)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[2274])(1, v1uiop_lisp_build__c) /*  COMPILE-CONDITION-DESCRIPTION */;
  if ((value0)!=ECL_NIL) { goto L3; }
  T0 = cl_type_of(v1uiop_lisp_build__c);
  goto L1;
L3:;
  T0 = value0;
  goto L1;
L1:;
  T1 = ecl_function_dispatch(cl_env_copy,VV[2275])(1, v1uiop_lisp_build__c) /*  COMPILE-CONDITION-CONTEXT-FORMAT */;
  T2 = ecl_function_dispatch(cl_env_copy,VV[2276])(1, v1uiop_lisp_build__c) /*  COMPILE-CONDITION-CONTEXT-ARGUMENTS */;
  value0 = cl_format(5, v2uiop_lisp_build__s, VV[819], T0, T1, T2);
  return value0;
 }
}
/*      function definition for REIFY-SIMPLE-SEXP                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L480reify_simple_sexp(cl_object v1uiop_lisp_build__sexp)
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_SYMBOLP(v1uiop_lisp_build__sexp))) { goto L1; }
  value0 = L17reify_symbol(1, v1uiop_lisp_build__sexp);
  return value0;
L1:;
  if (ecl_numberp(v1uiop_lisp_build__sexp)) { goto L5; }
  if (ECL_CHARACTERP(v1uiop_lisp_build__sexp)) { goto L5; }
  if ((cl_simple_string_p(v1uiop_lisp_build__sexp))!=ECL_NIL) { goto L5; }
  if (Null(cl_pathnamep(v1uiop_lisp_build__sexp))) { goto L3; }
  goto L4;
L5:;
L4:;
  value0 = v1uiop_lisp_build__sexp;
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  if (!(ECL_CONSP(v1uiop_lisp_build__sexp))) { goto L9; }
  T0 = ecl_car(v1uiop_lisp_build__sexp);
  T1 = ecl_function_dispatch(cl_env_copy,VV[831])(1, T0) /*  REIFY-SIMPLE-SEXP */;
  T2 = ecl_cdr(v1uiop_lisp_build__sexp);
  T3 = ecl_function_dispatch(cl_env_copy,VV[831])(1, T2) /*  REIFY-SIMPLE-SEXP */;
  value0 = CONS(T1,T3);
  cl_env_copy->nvalues = 1;
  return value0;
L9:;
  if (Null(cl_simple_vector_p(v1uiop_lisp_build__sexp))) { goto L11; }
  {
   cl_object v2;
   cl_object v3;
   cl_object v4;
   v2 = si_coerce_to_list(1, v1uiop_lisp_build__sexp);
   v3 = ECL_NIL;
   {
    cl_object v5;
    v5 = v2;
    if (ecl_unlikely(!ECL_LISTP(v5))) FEtype_error_list(v5);
    v4 = v5;
   }
   {
    cl_object v5;
    cl_object v6;
    v5 = ecl_list1(ECL_NIL);
    v6 = v5;
L21:;
    if (!(ecl_endp(v4))) { goto L23; }
    goto L22;
L23:;
    v3 = _ecl_car(v4);
    {
     cl_object v7;
     v7 = _ecl_cdr(v4);
     if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
     v4 = v7;
    }
    {
     cl_object v7;
     v7 = v6;
     if (ecl_unlikely(ECL_ATOM(v7))) FEtype_error_cons(v7);
     T1 = v7;
    }
    T2 = ecl_function_dispatch(cl_env_copy,VV[831])(1, v3);
    v6 = ecl_list1(T2);
    (ECL_CONS_CDR(T1)=v6,T1);
    goto L21;
L22:;
    T0 = ecl_cdr(v5);
    goto L13;
   }
  }
L13:;
  value0 = cl_vector(1, T0);
  return value0;
L11:;
  value0 = si_etypecase_error(v1uiop_lisp_build__sexp, VV[832]);
  return value0;
 }
}
/*      function definition for UNREIFY-SIMPLE-SEXP                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L481unreify_simple_sexp(cl_object v1uiop_lisp_build__sexp)
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (ECL_SYMBOLP(v1uiop_lisp_build__sexp)) { goto L3; }
  if (ecl_numberp(v1uiop_lisp_build__sexp)) { goto L3; }
  if (ECL_CHARACTERP(v1uiop_lisp_build__sexp)) { goto L3; }
  if ((cl_simple_string_p(v1uiop_lisp_build__sexp))!=ECL_NIL) { goto L3; }
  if (Null(cl_pathnamep(v1uiop_lisp_build__sexp))) { goto L1; }
  goto L2;
L3:;
L2:;
  value0 = v1uiop_lisp_build__sexp;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (!(ECL_CONSP(v1uiop_lisp_build__sexp))) { goto L8; }
  T0 = ecl_car(v1uiop_lisp_build__sexp);
  T1 = ecl_function_dispatch(cl_env_copy,VV[833])(1, T0) /*  UNREIFY-SIMPLE-SEXP */;
  T2 = ecl_cdr(v1uiop_lisp_build__sexp);
  T3 = ecl_function_dispatch(cl_env_copy,VV[833])(1, T2) /*  UNREIFY-SIMPLE-SEXP */;
  value0 = CONS(T1,T3);
  cl_env_copy->nvalues = 1;
  return value0;
L8:;
  if (Null(cl_typep(2, v1uiop_lisp_build__sexp, VV[28]))) { goto L10; }
  value0 = L18unreify_symbol(1, v1uiop_lisp_build__sexp);
  return value0;
L10:;
  if (Null(cl_typep(2, v1uiop_lisp_build__sexp, VV[834]))) { goto L12; }
  {
   cl_object v2;
   cl_object v3;
   cl_object v4;
   {
    cl_object v5;
    v5 = v1uiop_lisp_build__sexp;
    T1 = v5;
    {
     cl_fixnum v6;
     if (ecl_unlikely((0)>=(v5)->vector.dim))
           FEwrong_index(ECL_NIL,v5,-1,ecl_make_fixnum(0),(v5)->vector.dim);
     v6 = 0;
     v2 = ecl_aref_unsafe(T1,v6);
    }
   }
   v3 = ECL_NIL;
   {
    cl_object v5;
    v5 = v2;
    if (ecl_unlikely(!ECL_LISTP(v5))) FEtype_error_list(v5);
    v4 = v5;
   }
   {
    cl_object v5;
    cl_object v6;
    v5 = ecl_list1(ECL_NIL);
    v6 = v5;
L26:;
    if (!(ecl_endp(v4))) { goto L28; }
    goto L27;
L28:;
    v3 = _ecl_car(v4);
    {
     cl_object v7;
     v7 = _ecl_cdr(v4);
     if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
     v4 = v7;
    }
    {
     cl_object v7;
     v7 = v6;
     if (ecl_unlikely(ECL_ATOM(v7))) FEtype_error_cons(v7);
     T1 = v7;
    }
    T2 = ecl_function_dispatch(cl_env_copy,VV[833])(1, v3);
    v6 = ecl_list1(T2);
    (ECL_CONS_CDR(T1)=v6,T1);
    goto L26;
L27:;
    T0 = ecl_cdr(v5);
    goto L14;
   }
  }
L14:;
  value0 = si_coerce_to_vector(T0, ECL_T, ECL_SYM("*",18), ECL_NIL);
  return value0;
L12:;
  value0 = si_etypecase_error(v1uiop_lisp_build__sexp, VV[835]);
  return value0;
 }
}
/*      function definition for REIFY-DEFERRED-WARNINGS               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L482reify_deferred_warnings()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[837];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for UNREIFY-DEFERRED-WARNINGS             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L483unreify_deferred_warnings(cl_object v1uiop_lisp_build__reified_deferred_warnings)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for RESET-DEFERRED-WARNINGS               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L484reset_deferred_warnings()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[840];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SAVE-DEFERRED-WARNINGS                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L486save_deferred_warnings(cl_object volatile v1uiop_lisp_build__warnings_file)
{
 cl_object T0;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object env1 = env0;
   T0 = cl_open(9, v1uiop_lisp_build__warnings_file, ECL_SYM("DIRECTION",1228), ECL_SYM("OUTPUT",1294), ECL_SYM("IF-EXISTS",1256), ECL_SYM("SUPERSEDE",1326), ECL_SYM("ELEMENT-TYPE",1234), ecl_symbol_value(VV[497]), ECL_SYM("EXTERNAL-FORMAT",1246), ecl_symbol_value(VV[505]));
   env1 = ECL_NIL;
   CLV0 = env1 = CONS(T0,env1);                   /*  S               */
   {
    volatile bool unwinding = FALSE;
    cl_index v2=ECL_STACK_INDEX(cl_env_copy),v3;
    ecl_frame_ptr next_fr;
    if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
      unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
    } else {
    {
     struct ecl_stack_frame _ecl_inner_frame_aux;
     volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
     {
      cl_object v4;
      v4 = _ecl_inner_frame;
      {
       cl_object v5;
       v5 = ecl_make_cclosure_va((cl_objectfn)LC485__g2986,env1,Cblock);
       T0 = v5;
      }
      cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,VV[516])(1, T0) /*  CALL-WITH-SAFE-IO-SYNTAX */;
      ecl_stack_frame_push_values(v4);
      if (Null(ECL_CONS_CAR(CLV0))) { goto L7; }
      cl_close(1, ECL_CONS_CAR(CLV0));
L7:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v4);
     }
     ecl_stack_frame_close(_ecl_inner_frame);
    }
      next_fr = NULL;
    }
    ecl_frs_pop(cl_env_copy);
    v3=ecl_stack_push_values(cl_env_copy);
    if (Null(ECL_CONS_CAR(CLV0))) { goto L9; }
    T0 = ECL_CONS_CAR(CLV0);
    cl_close(3, T0, ECL_SYM("ABORT",1205), ECL_T);
L9:;
    ecl_stack_pop_values(cl_env_copy,v3);
    if (unwinding) ecl_unwind(cl_env_copy,next_fr);
    ECL_STACK_SET_INDEX(cl_env_copy,v2);
    return cl_env_copy->values[0];
   }
  }
 }
}
/*      function definition for WARNINGS-FILE-TYPE                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L487warnings_file_type(cl_narg narg, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object v1implementation_type;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    v1implementation_type = ECL_NIL;
   } else {
    i++;
    v1implementation_type = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object v2;
   value0 = v1implementation_type;
   if ((value0)!=ECL_NIL) { goto L4; }
   v2 = ecl_symbol_value(VV[277]);
   goto L2;
L4:;
   v2 = value0;
   goto L2;
L2:;
   if (!(ecl_eql(v2,VV[843]))) { goto L11; }
   goto L8;
   goto L9;
L11:;
   goto L9;
L9:;
   if (!(ecl_eql(v2,VV[845]))) { goto L6; }
   goto L7;
L8:;
L7:;
   value0 = VV[847];
   cl_env_copy->nvalues = 1;
   return value0;
L6:;
   if (!(ecl_eql(v2,VV[848]))) { goto L19; }
   goto L16;
   goto L17;
L19:;
   goto L17;
L17:;
   if (!(ecl_eql(v2,VV[850]))) { goto L14; }
   goto L15;
L16:;
L15:;
   value0 = VV[852];
   cl_env_copy->nvalues = 1;
   return value0;
L14:;
   if (!(ecl_eql(v2,VV[853]))) { goto L22; }
   value0 = VV[855];
   cl_env_copy->nvalues = 1;
   return value0;
L22:;
   if (!(ecl_eql(v2,VV[856]))) { goto L30; }
   goto L27;
   goto L28;
L30:;
   goto L28;
L28:;
   if (!(ecl_eql(v2,VV[858]))) { goto L25; }
   goto L26;
L27:;
L26:;
   value0 = VV[860];
   cl_env_copy->nvalues = 1;
   return value0;
L25:;
   if (!(ecl_eql(v2,VV[861]))) { goto L33; }
   value0 = VV[863];
   cl_env_copy->nvalues = 1;
   return value0;
L33:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for ENABLE-DEFERRED-WARNINGS-CHECK        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L488enable_deferred_warnings_check()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  cl_set(VV[864],ecl_function_dispatch(cl_env_copy,VV[842])(0) /*  WARNINGS-FILE-TYPE */);
  value0 = ecl_symbol_value(VV[864]);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for DISABLE-DEFERRED-WARNINGS-CHECK       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L489disable_deferred_warnings_check()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  cl_set(VV[864],ECL_NIL);
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for WARNINGS-FILE-P                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L490warnings_file_p(cl_narg narg, cl_object v1uiop_lisp_build__file, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2implementation_type;
  va_list args; va_start(args,v1uiop_lisp_build__file);
  {
   int i = 1;
   if (i >= narg) {
    v2implementation_type = ECL_NIL;
   } else {
    i++;
    v2implementation_type = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object v3type;
   if (Null(v2implementation_type)) { goto L3; }
   v3type = ecl_function_dispatch(cl_env_copy,VV[842])(1, v2implementation_type) /*  WARNINGS-FILE-TYPE */;
   goto L2;
L3:;
   v3type = ecl_symbol_value(VV[864]);
L2:;
   if (Null(v3type)) { goto L5; }
   T0 = cl_pathname_type(1, v1uiop_lisp_build__file);
   value0 = ecl_make_bool(ecl_equal(T0,v3type));
   cl_env_copy->nvalues = 1;
   return value0;
L5:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for CHECK-DEFERRED-WARNINGS               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L493check_deferred_warnings(volatile cl_narg narg, cl_object volatile v1uiop_lisp_build__files, ...)
{
 cl_object T0, T1, T2, T3, T4;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0, CLV1, CLV2, CLV3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v2uiop_lisp_build__context_format;
  cl_object volatile v3uiop_lisp_build__context_arguments;
  va_list args; va_start(args,v1uiop_lisp_build__files);
  {
   int i = 1;
   if (i >= narg) {
    v2uiop_lisp_build__context_format = ECL_NIL;
   } else {
    i++;
    v2uiop_lisp_build__context_format = va_arg(args,cl_object);
   }
   if (i >= narg) {
    v3uiop_lisp_build__context_arguments = ECL_NIL;
   } else {
    i++;
    v3uiop_lisp_build__context_arguments = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   volatile cl_object v4uiop_lisp_build__file_errors;
   volatile cl_object env1 = env0;
   v4uiop_lisp_build__file_errors = ECL_NIL;
   env1 = ECL_NIL;
   CLV0 = env1 = CONS(ECL_NIL,env1);              /*  FAILURE-P       */
   CLV1 = env1 = CONS(ECL_NIL,env1);              /*  WARNINGS-P      */
   {
    cl_object volatile v5;
    v5 = ecl_make_cclosure_va((cl_objectfn)LC491__g3022,env1,Cblock);
    T0 = v5;
   }
   T1 = CONS(ECL_SYM("WARNING",904),T0);
   T2 = ecl_list1(T1);
   T3 = CONS(T2,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
   ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T3); /*  *HANDLER-CLUSTERS* */
   ecl_function_dispatch(cl_env_copy,VV[839])(0)  /*  RESET-DEFERRED-WARNINGS */;
   {
    volatile cl_object v5;
    v5 = v1uiop_lisp_build__files;
    goto L10;
L9:;
    {
     volatile cl_object v6uiop_lisp_build__file;
     v6uiop_lisp_build__file = ecl_car(v5);
     {
      volatile cl_object env2 = env1;
      CLV2 = env2 = CONS(ECL_NIL,env2);
      {
       volatile cl_object env3 = env2;
       CLV3 = env3 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env3); /*  TAGBODY */
       if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV3))) {
       if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L16;
       ecl_internal_error("GO found an inexistent tag");
       }
       {
        cl_object v7;
        v7 = ecl_make_cclosure_va((cl_objectfn)LC492__g3031,env3,Cblock);
        T1 = v7;
       }
       T2 = CONS(ECL_SYM("ERROR",337),T1);
       T3 = ecl_list1(T2);
       T4 = CONS(T3,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
       ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T4); /*  *HANDLER-CLUSTERS* */
       value0 = ecl_function_dispatch(cl_env_copy,VV[561])(1, v6uiop_lisp_build__file) /*  SAFE-READ-FILE-FORM */;
       ecl_frs_pop(cl_env_copy);
       T0 = value0;
       ecl_bds_unwind1(cl_env_copy);
       goto L15;
L16:;
       {
        cl_object v7uiop_lisp_build__c;
        v7uiop_lisp_build__c = ECL_CONS_CAR(CLV2);
        v4uiop_lisp_build__file_errors = CONS(v7uiop_lisp_build__c,v4uiop_lisp_build__file_errors);
        value0 = ECL_NIL;
        cl_env_copy->nvalues = 1;
        ecl_frs_pop(cl_env_copy);
        T0 = value0;
        goto L15;
       }
      }
     }
L15:;
     ecl_function_dispatch(cl_env_copy,VV[838])(1, T0) /*  UNREIFY-DEFERRED-WARNINGS */;
    }
    v5 = ecl_cdr(v5);
L10:;
    if (Null(v5)) { goto L25; }
    goto L9;
L25:;
    ecl_bds_unwind1(cl_env_copy);
   }
   {
    cl_object v5;
    v5 = v4uiop_lisp_build__file_errors;
    goto L31;
L30:;
    {
     cl_object v6error;
     v6error = ecl_car(v5);
     cl_error(1, v6error);
    }
    v5 = ecl_cdr(v5);
L31:;
    if (Null(v5)) { goto L38; }
    goto L30;
L38:;
   }
   value0 = ECL_CONS_CAR(CLV0);
   if ((value0)!=ECL_NIL) { goto L42; }
   T0 = ECL_CONS_CAR(CLV1);
   goto L40;
L42:;
   T0 = value0;
   goto L40;
L40:;
   T1 = ECL_CONS_CAR(CLV0);
   value0 = ecl_function_dispatch(cl_env_copy,VV[825])(4, T0, T1, v2uiop_lisp_build__context_format, v3uiop_lisp_build__context_arguments) /*  CHECK-LISP-COMPILE-WARNINGS */;
   return value0;
  }
 }
}
/*      function definition for CALL-WITH-SAVED-DEFERRED-WARNINGS     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L494call_with_saved_deferred_warnings(volatile cl_narg narg, cl_object volatile v1uiop_lisp_build__thunk, cl_object volatile v2uiop_lisp_build__warnings_file, ...)
{
 cl_object volatile env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v3uiop_lisp_build__source_namestring;
  ecl_va_list args; ecl_va_start(args,v2uiop_lisp_build__warnings_file,narg,2);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L494call_with_saved_deferred_warningskeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v3uiop_lisp_build__source_namestring = keyvars[0];
  }
  if (Null(v2uiop_lisp_build__warnings_file)) { goto L1; }
  {
   volatile bool unwinding = FALSE;
   cl_index v4=ECL_STACK_INDEX(cl_env_copy),v5;
   ecl_frame_ptr next_fr;
   if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
     unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
   } else {
   {
    struct ecl_stack_frame _ecl_inner_frame_aux;
    volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
    {
     cl_object v6;
     v6 = _ecl_inner_frame;
     cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,v1uiop_lisp_build__thunk)(0);
     ecl_stack_frame_push_values(v6);
     ecl_function_dispatch(cl_env_copy,VV[841])(1, v2uiop_lisp_build__warnings_file) /*  SAVE-DEFERRED-WARNINGS */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v6);
    }
    ecl_stack_frame_close(_ecl_inner_frame);
   }
     next_fr = NULL;
   }
   ecl_frs_pop(cl_env_copy);
   v5=ecl_stack_push_values(cl_env_copy);
   ecl_function_dispatch(cl_env_copy,VV[839])(0)  /*  RESET-DEFERRED-WARNINGS */;
   ecl_stack_pop_values(cl_env_copy,v5);
   if (unwinding) ecl_unwind(cl_env_copy,next_fr);
   ECL_STACK_SET_INDEX(cl_env_copy,v4);
   return cl_env_copy->values[0];
  }
L1:;
  value0 = ecl_function_dispatch(cl_env_copy,v1uiop_lisp_build__thunk)(0);
  return value0;
 }
}
/*      local function WITH-SAVED-DEFERRED-WARNINGS                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC495with_saved_deferred_warnings(cl_object v1, cl_object v2)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   cl_object v5;
   cl_object v6uiop_lisp_build__warnings_file;
   cl_object v7;
   cl_object v8uiop_lisp_build__source_namestring;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v9;
    v9 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v9;
   }
   v5 = v4;
   if (!(v5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(v1);
L10:;
   {
    cl_object v9;
    v9 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v6uiop_lisp_build__warnings_file = v9;
   }
   v7 = si_search_keyword(2, v5, VV[870]);
   if (!((v7)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L17; }
   v8uiop_lisp_build__source_namestring = ECL_NIL;
   goto L16;
L17:;
   v8uiop_lisp_build__source_namestring = v7;
L16:;
   si_check_keyword(2, v5, VV[871]);
   T0 = cl_listX(3, ECL_SYM("LAMBDA",452), ECL_NIL, v3);
   T1 = cl_list(2, ECL_SYM("FUNCTION",396), T0);
   value0 = cl_list(5, VV[869], T1, v6uiop_lisp_build__warnings_file, VV[870], v8uiop_lisp_build__source_namestring);
   return value0;
  }
 }
}
/*      closure G2986                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC485__g2986(cl_narg narg, ...)
{
 cl_object T0, T1;
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  S               */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  T0 = cl_find_package(VV[20]);
  ecl_bds_bind(cl_env_copy,ECL_SYM("*PACKAGE*",43),T0); /*  *PACKAGE* */
  T0 = ecl_function_dispatch(cl_env_copy,VV[836])(0) /*  REIFY-DEFERRED-WARNINGS */;
  T1 = ECL_CONS_CAR(CLV0);
  cl_write(7, T0, ECL_SYM("STREAM",1325), T1, ECL_SYM("PRETTY",1301), ECL_T, ECL_SYM("READABLY",1308), ECL_T);
  value0 = ecl_terpri(ECL_CONS_CAR(CLV0));
  cl_env_copy->nvalues = 1;
  ecl_bds_unwind1(cl_env_copy);
  return value0;
 }
 }
}
/*      closure G3022                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC491__g3022(cl_narg narg, cl_object v1uiop_lisp_build__c, ...)
{
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  WARNINGS-P      */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV1) = ECL_T;
  if ((si_of_class_p(2, v1uiop_lisp_build__c, ECL_SYM("STYLE-WARNING",827)))!=ECL_NIL) { goto L3; }
  ECL_CONS_CAR(CLV0) = ECL_T;
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
 }
}
/*      closure G3031                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC492__g3031(cl_narg narg, cl_object v1si__temp, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV3 = env0;                                     /*  TAGBODY         */
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV2) = v1si__temp;
  cl_go(ECL_CONS_CAR(CLV3),ecl_make_fixnum(0));
 }
 }
}
/*      function definition for CURRENT-LISP-FILE-PATHNAME            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L496current_lisp_file_pathname()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_symbol_value(ECL_SYM("*COMPILE-FILE-PATHNAME*",26));
  if ((value0)!=ECL_NIL) { goto L2; }
  value0 = ecl_symbol_value(ECL_SYM("*LOAD-PATHNAME*",36));
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for LOAD-PATHNAME                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L497load_pathname()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_symbol_value(ECL_SYM("*LOAD-PATHNAME*",36));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for LISPIZE-PATHNAME                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L498lispize_pathname(cl_object v1uiop_lisp_build__input_file)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_make_pathname(4, ECL_SYM("TYPE",1330), VV[876], ECL_SYM("DEFAULTS",1226), v1uiop_lisp_build__input_file);
  return value0;
 }
}
/*      function definition for COMPILE-FILE-TYPE                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L499compile_file_type(cl_narg narg, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1uiop_lisp_build__keys;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1uiop_lisp_build__keys = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = cl_apply(3, ECL_SYM("COMPILE-FILE-PATHNAME",235), VV[878], v1uiop_lisp_build__keys);
  value0 = cl_pathname_type(1, T0);
  return value0;
 }
}
/*      function definition for CALL-AROUND-HOOK                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L500call_around_hook(cl_object v1uiop_lisp_build__hook, cl_object v2function)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = v1uiop_lisp_build__hook;
  if ((value0)!=ECL_NIL) { goto L3; }
  T0 = ECL_SYM("FUNCALL",394);
  goto L1;
L3:;
  T0 = value0;
  goto L1;
L1:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[212])(2, T0, v2function) /*  CALL-FUNCTION */;
  return value0;
 }
}
/*      function definition for COMPILE-FILE-PATHNAME*                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L501compile_file_pathname_(cl_narg narg, cl_object v1uiop_lisp_build__input_file, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_lisp_build__keys;
  cl_object v3uiop_lisp_build__output_file;
  ecl_va_list args; ecl_va_start(args,v1uiop_lisp_build__input_file,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L501compile_file_pathname_keys,keyvars,(cl_object*)&v2uiop_lisp_build__keys,TRUE);
   ecl_va_end(args);
   v3uiop_lisp_build__output_file = keyvars[0];
  }
  {
   cl_object v4uiop_lisp_build__keys;
   if ((v3uiop_lisp_build__output_file)!=ECL_NIL) { goto L3; }
   T0 = VV[881];
   goto L2;
L3:;
   T0 = ECL_NIL;
L2:;
   v4uiop_lisp_build__keys = ecl_function_dispatch(cl_env_copy,VV[163])(2, T0, v2uiop_lisp_build__keys) /*  REMOVE-PLIST-KEYS */;
   if (Null(ecl_function_dispatch(cl_env_copy,VV[326])(1, v3uiop_lisp_build__output_file) /*  ABSOLUTE-PATHNAME-P */)) { goto L5; }
   {
    cl_object v5type;
    cl_object v6uiop_lisp_build__defaults;
    T0 = cl_apply(2, VV[877], v4uiop_lisp_build__keys);
    v5type = cl_pathname_type(1, T0);
    T0 = ecl_function_dispatch(cl_env_copy,VV[311])(1, v1uiop_lisp_build__input_file) /*  MERGE-PATHNAMES* */;
    v6uiop_lisp_build__defaults = cl_make_pathname(4, ECL_SYM("TYPE",1330), v5type, ECL_SYM("DEFAULTS",1226), T0);
    value0 = ecl_function_dispatch(cl_env_copy,VV[311])(2, v3uiop_lisp_build__output_file, v6uiop_lisp_build__defaults) /*  MERGE-PATHNAMES* */;
    return value0;
   }
L5:;
   T0 = ecl_symbol_value(VV[404]);
   T1 = cl_apply(3, ECL_SYM("COMPILE-FILE-PATHNAME",235), v1uiop_lisp_build__input_file, v4uiop_lisp_build__keys);
   value0 = ecl_function_dispatch(cl_env_copy,T0)(1, T1);
   return value0;
  }
 }
}
/*      function definition for COMPILE-FILE*                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L506compile_file_(cl_narg narg, cl_object v1uiop_lisp_build__input_file, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 cl_object CLV0, CLV1, CLV2, CLV3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_lisp_build__keys;
  cl_object v3uiop_lisp_build__compile_check;
  cl_object v4uiop_lisp_build__output_file;
  cl_object v5uiop_lisp_build__object_file;
  ecl_va_list args; ecl_va_start(args,v1uiop_lisp_build__input_file,narg,1);
  {
   cl_object keyvars[8];
   cl_parse_key(args,4,L506compile_file_keys,keyvars,(cl_object*)&v2uiop_lisp_build__keys,TRUE);
   ecl_va_end(args);
   if (Null(keyvars[4])) {
    v3uiop_lisp_build__compile_check = ecl_symbol_value(VV[882]);
   } else {
    v3uiop_lisp_build__compile_check = keyvars[0];
   }
   v4uiop_lisp_build__output_file = keyvars[1];
   env0 = ECL_NIL;
   CLV0 = env0 = CONS(keyvars[2],env0);           /*  WARNINGS-FILE   */
   v5uiop_lisp_build__object_file = keyvars[3];
  }
  if (Null(v5uiop_lisp_build__object_file)) { goto L2; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[877])(0) /*  COMPILE-FILE-TYPE */;
  T1 = cl_pathname(v5uiop_lisp_build__object_file);
  if (!(ecl_equal(T0,T1))) { goto L2; }
  cl_format(5, ECL_T, VV[884], VV[883], v4uiop_lisp_build__output_file, v5uiop_lisp_build__object_file);
  {
   cl_object v6;
   v6 = v5uiop_lisp_build__object_file;
   {
    cl_object v7;
    v7 = v4uiop_lisp_build__output_file;
    v4uiop_lisp_build__output_file = v6;
    v5uiop_lisp_build__object_file = v7;
   }
  }
L2:;
  {
   cl_object v6uiop_lisp_build__output_file;
   cl_object v7uiop_lisp_build__physical_output_file;
   cl_object env1 = env0;
   T0 = ecl_function_dispatch(cl_env_copy,VV[163])(2, VV[885], v2uiop_lisp_build__keys) /*  REMOVE-PLIST-KEYS */;
   CLV1 = env1 = CONS(T0,env1);                   /*  KEYWORDS        */
   value0 = v4uiop_lisp_build__output_file;
   if ((value0)!=ECL_NIL) { goto L14; }
   v6uiop_lisp_build__output_file = cl_apply(5, VV[880], v1uiop_lisp_build__input_file, VV[886], v4uiop_lisp_build__output_file, ECL_CONS_CAR(CLV1));
   goto L12;
L14:;
   v6uiop_lisp_build__output_file = value0;
   goto L12;
L12:;
   v7uiop_lisp_build__physical_output_file = ecl_function_dispatch(cl_env_copy,VV[317])(1, v6uiop_lisp_build__output_file) /*  PHYSICALIZE-PATHNAME */;
   if ((L55use_ecl_byte_compiler_p())!=ECL_NIL) { goto L18; }
   value0 = v5uiop_lisp_build__object_file;
   if ((value0)!=ECL_NIL) { goto L21; }
   T0 = (cl_env_copy->function=(ECL_SYM("COMPILE-FILE-PATHNAME",235)->symbol.gfdef))->cfun.entry(3, v6uiop_lisp_build__output_file, ECL_SYM("TYPE",1330), ECL_SYM("OBJECT",1290)) /*  COMPILE-FILE-PATHNAME */;
   goto L17;
L21:;
   T0 = value0;
   goto L17;
L18:;
   T0 = ECL_NIL;
L17:;
   CLV2 = env1 = CONS(T0,env1);                   /*  OBJECT-FILE     */
   T0 = ecl_function_dispatch(cl_env_copy,VV[599])(1, v7uiop_lisp_build__physical_output_file) /*  TMPIZE-PATHNAME */;
   CLV3 = env1 = CONS(T0,env1);                   /*  TMP-FILE        */
   {
    cl_object v9;                                 /*  OUTPUT-TRUENAME */
    cl_object v10;                                /*  WARNINGS-P      */
    cl_object v11;                                /*  FAILURE-P       */
    {
     cl_object v12;
     v12 = ecl_make_cclosure_va((cl_objectfn)LC504__g3063,env1,Cblock);
     T0 = v12;
    }
    value0 = ecl_function_dispatch(cl_env_copy,VV[385])(3, v1uiop_lisp_build__input_file, ecl_symbol_value(VV[801]), T0) /*  CALL-WITH-ENOUGH-PATHNAME */;
    v9 = value0;
    {
     const int v12 = cl_env_copy->nvalues;
     cl_object v13;
     v13 = (v12<=1)? ECL_NIL : cl_env_copy->values[1];
     v10 = v13;
     v13 = (v12<=2)? ECL_NIL : cl_env_copy->values[2];
     v11 = v13;
    }
    if (Null(v9)) { goto L26; }
    if (Null(LC505check_flag(v11, ecl_symbol_value(VV[800])))) { goto L26; }
    if (Null(LC505check_flag(v10, ecl_symbol_value(VV[798])))) { goto L26; }
    if (Null(ECL_CONS_CAR(CLV2))) { goto L31; }
    T0 = ecl_list1(ECL_CONS_CAR(CLV2));
    v9 = ecl_function_dispatch(cl_env_copy,VV[2303])(3, ECL_CONS_CAR(CLV3), VV[661], T0) /*  BUILD-FASL */;
L31:;
    if (Null(v3uiop_lisp_build__compile_check)) { goto L34; }
    if (Null(cl_apply(5, v3uiop_lisp_build__compile_check, v1uiop_lisp_build__input_file, VV[886], v9, ECL_CONS_CAR(CLV1)))) { goto L26; }
    goto L27;
L34:;
L27:;
    ecl_function_dispatch(cl_env_copy,VV[482])(1, v7uiop_lisp_build__physical_output_file) /*  DELETE-FILE-IF-EXISTS */;
    if (Null(v9)) { goto L25; }
    ecl_function_dispatch(cl_env_copy,VV[483])(2, v9, v7uiop_lisp_build__physical_output_file) /*  RENAME-FILE-OVERWRITING-TARGET */;
    v9 = cl_truename(v7uiop_lisp_build__physical_output_file);
    goto L25;
L26:;
    ecl_function_dispatch(cl_env_copy,VV[482])(1, v9) /*  DELETE-FILE-IF-EXISTS */;
    v9 = ECL_NIL;
L25:;
    cl_env_copy->nvalues = 3;
    cl_env_copy->values[2] = v11;
    cl_env_copy->values[1] = v10;
    cl_env_copy->values[0] = v9;
    return cl_env_copy->values[0];
   }
  }
 }
}
/*      function definition for LOAD*                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L508load_(cl_narg narg, cl_object v1uiop_lisp_build__x, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_lisp_build__keys;
  ecl_va_list args; ecl_va_start(args,v1uiop_lisp_build__x,narg,1);
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1uiop_lisp_build__x,env0);  /*  X               */
  cl_parse_key(args,0,NULL,NULL,(cl_object*)&v2uiop_lisp_build__keys,TRUE);
  CLV1 = env0 = CONS(v2uiop_lisp_build__keys,env0); /*  KEYS          */
  ecl_va_end(args);
  {
   cl_object v3;
   v3 = ecl_make_cclosure_va((cl_objectfn)LC507__g3072,env0,Cblock);
   T0 = v3;
  }
  value0 = ecl_function_dispatch(cl_env_copy,VV[816])(1, T0) /*  CALL-WITH-MUFFLED-LOADER-CONDITIONS */;
  return value0;
 }
}
/*      function definition for LOAD-FROM-STRING                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L509load_from_string(cl_object v1string)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2uiop_lisp_build__s;
   v2uiop_lisp_build__s = cl_make_string_input_stream(3, v1string, ecl_make_fixnum(0), ECL_NIL);
   value0 = ecl_function_dispatch(cl_env_copy,VV[891])(1, v2uiop_lisp_build__s) /*  LOAD* */;
   return value0;
  }
 }
}
/*      closure G3063                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC504__g3063(cl_narg narg, cl_object v1uiop_lisp_build__input_file, ...)
{
 cl_object T0, T1;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV3 = env0;                                     /*  TMP-FILE        */
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
  CLV4 = env0 = CONS(v1uiop_lisp_build__input_file,env0); /*  INPUT-FILE */
  {
   cl_object v2;
   v2 = ecl_make_cclosure_va((cl_objectfn)LC503__g3064,env0,Cblock);
   T0 = v2;
  }
  T1 = cl_namestring(ECL_CONS_CAR(CLV4));
  value0 = ecl_function_dispatch(cl_env_copy,VV[869])(4, T0, ECL_CONS_CAR(CLV0), VV[870], T1) /*  CALL-WITH-SAVED-DEFERRED-WARNINGS */;
  return value0;
 }
 }
}
/*      local function CHECK-FLAG                                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC505check_flag(cl_object v1uiop_lisp_build__flag, cl_object v2uiop_lisp_build__behaviour)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = Null(v1uiop_lisp_build__flag)?ECL_T:ECL_NIL;
  if ((value0)!=ECL_NIL) { goto L2; }
  if (!(ecl_eql(v2uiop_lisp_build__behaviour,VV[888]))) { goto L8; }
  value0 = VV[889];
  goto L6;
L8:;
  value0 = ECL_NIL;
  goto L6;
L6:;
  if ((value0)!=ECL_NIL) { goto L5; }
  if (!(ecl_eql(v2uiop_lisp_build__behaviour,VV[799]))) { goto L12; }
  value0 = VV[890];
  goto L10;
L12:;
  value0 = ECL_NIL;
  goto L10;
L10:;
  if ((value0)!=ECL_NIL) { goto L5; }
  if (!(ecl_eql(v2uiop_lisp_build__behaviour,ECL_SYM("IGNORE",1259)))) { goto L15; }
  value0 = VV[487];
  cl_env_copy->nvalues = 1;
  return value0;
L15:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L5:;
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      closure G3072                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC507__g3072(cl_narg narg, ...)
{
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  KEYS            */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  if ((cl_pathnamep(ECL_CONS_CAR(CLV0)))!=ECL_NIL) { goto L3; }
  if (ECL_STRINGP(ECL_CONS_CAR(CLV0))) { goto L3; }
  if (Null(cl_streamp(ECL_CONS_CAR(CLV0)))) { goto L1; }
  goto L2;
L3:;
L2:;
  value0 = cl_apply(3, ECL_SYM("LOAD",487), ECL_CONS_CAR(CLV0), ECL_CONS_CAR(CLV1));
  return value0;
L1:;
  value0 = si_etypecase_error(ECL_CONS_CAR(CLV0), VV[892]);
  return value0;
 }
 }
}
/*      closure G3064                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC503__g3064(cl_narg narg, ...)
{
 cl_object T0;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV4 = env0;                                     /*  INPUT-FILE      */
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  {
   cl_object v1;
   v1 = ecl_make_cclosure_va((cl_objectfn)LC502__g3065,env0,Cblock);
   T0 = v1;
  }
  value0 = ecl_function_dispatch(cl_env_copy,VV[814])(1, T0) /*  CALL-WITH-MUFFLED-COMPILER-CONDITIONS */;
  return value0;
 }
 }
}
/*      closure G3065                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC502__g3065(cl_narg narg, ...)
{
 cl_object T0;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV4 = env0;                                     /*  INPUT-FILE      */
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  if (Null(ECL_CONS_CAR(CLV2))) { goto L2; }
  T0 = cl_listX(4, ECL_CONS_CAR(CLV2), VV[887], ECL_T, ECL_CONS_CAR(CLV1));
  goto L1;
L2:;
  T0 = CONS(ECL_CONS_CAR(CLV3),ECL_CONS_CAR(CLV1));
L1:;
  value0 = cl_apply(4, ECL_SYM("COMPILE-FILE",234), ECL_CONS_CAR(CLV4), VV[886], T0);
  return value0;
 }
 }
}
/*      function definition for COMBINE-FASLS                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L510combine_fasls(cl_object v1uiop_lisp_build__inputs, cl_object v2uiop_lisp_build__output)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[275])(0) /*  IMPLEMENTATION-TYPE */;
  value0 = cl_error(5, VV[895], T0, VV[894], v1uiop_lisp_build__inputs, v2uiop_lisp_build__output);
  return value0;
 }
}
/*      local function G3075                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC512__g3075()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC511__g3076,ECL_NIL,Cblock,2);
   value0 = v1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for CONFIGURATION-INHERITANCE-DIRECTIVE-P */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L513configuration_inheritance_directive_p(cl_object v1uiop_configuration__x)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2uiop_configuration__kw;
   v2uiop_configuration__kw = VV[899];
   value0 = ecl_memql(v1uiop_configuration__x,v2uiop_configuration__kw);
   if ((value0)!=ECL_NIL) { goto L3; }
   if (Null(ecl_function_dispatch(cl_env_copy,VV[158])(2, v1uiop_configuration__x, ecl_make_fixnum(1)) /*  LENGTH=N-P */)) { goto L6; }
   T0 = ecl_car(v1uiop_configuration__x);
   value0 = ecl_memql(T0,v2uiop_configuration__kw);
   cl_env_copy->nvalues = 1;
   return value0;
L6:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L3:;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for REPORT-INVALID-FORM                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L514report_invalid_form(cl_narg narg, cl_object v1uiop_configuration__reporter, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_configuration__args;
  ecl_va_list args; ecl_va_start(args,v1uiop_configuration__reporter,narg,1);
  v2uiop_configuration__args = cl_grab_rest_args(args);
  ecl_va_end(args);
  if (!(v1uiop_configuration__reporter==ECL_NIL)) { goto L1; }
  value0 = cl_apply(3, ECL_SYM("ERROR",337), VV[896], v2uiop_configuration__args);
  return value0;
L1:;
  if (Null(cl_functionp(v1uiop_configuration__reporter))) { goto L3; }
  value0 = cl_apply(2, v1uiop_configuration__reporter, v2uiop_configuration__args);
  return value0;
L3:;
  if (ECL_SYMBOLP(v1uiop_configuration__reporter)) { goto L7; }
  if (!(ECL_STRINGP(v1uiop_configuration__reporter))) { goto L5; }
  goto L6;
L7:;
L6:;
  value0 = cl_apply(3, ECL_SYM("ERROR",337), v1uiop_configuration__reporter, v2uiop_configuration__args);
  return value0;
L5:;
  if (!(ECL_CONSP(v1uiop_configuration__reporter))) { goto L9; }
  T0 = ecl_append(v1uiop_configuration__reporter,v2uiop_configuration__args);
  value0 = cl_apply(2, ECL_SYM("APPLY",89), T0);
  return value0;
L9:;
  value0 = si_etypecase_error(v1uiop_configuration__reporter, VV[901]);
  return value0;
 }
}
/*      function definition for VALIDATE-CONFIGURATION-FORM           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L515validate_configuration_form(cl_narg narg, cl_object v1uiop_configuration__form, cl_object v2uiop_configuration__tag, cl_object v3uiop_configuration__directive_validator, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
 {
  cl_object v4uiop_configuration__location;
  cl_object v5uiop_configuration__invalid_form_reporter;
  ecl_va_list args; ecl_va_start(args,v3uiop_configuration__directive_validator,narg,3);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,L515validate_configuration_formkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v4uiop_configuration__location = keyvars[0];
   v5uiop_configuration__invalid_form_reporter = keyvars[1];
  }
  if (!(ECL_CONSP(v1uiop_configuration__form))) { goto L4; }
  T0 = ecl_car(v1uiop_configuration__form);
  if ((T0)==(v2uiop_configuration__tag)) { goto L1; }
  goto L2;
L4:;
  goto L2;
L2:;
  cl_set(VV[902],ECL_T);
  ecl_function_dispatch(cl_env_copy,VV[900])(5, v5uiop_configuration__invalid_form_reporter, VV[699], v1uiop_configuration__form, ECL_SYM("LOCATION",999), v4uiop_configuration__location) /*  REPORT-INVALID-FORM */;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  {
   cl_object v6uiop_configuration__inherit;
   v6uiop_configuration__inherit = ecl_make_fixnum(0);
   {
    cl_object v7uiop_configuration__ignore_invalid_p;
    v7uiop_configuration__ignore_invalid_p = ECL_NIL;
    {
     cl_object v8uiop_configuration__x;
     v8uiop_configuration__x = ecl_list1(v2uiop_configuration__tag);
     {
      cl_object v9;
      cl_object v10uiop_configuration__directive;
      cl_object v11;
      v9 = ecl_cdr(v1uiop_configuration__form);
      v10uiop_configuration__directive = ECL_NIL;
      {
       cl_object v12;
       v12 = v9;
       if (ecl_unlikely(!ECL_LISTP(v12))) FEtype_error_list(v12);
       v11 = v12;
      }
L17:;
      if (!(ecl_endp(v11))) { goto L19; }
      goto L18;
L19:;
      v10uiop_configuration__directive = _ecl_car(v11);
      {
       cl_object v12;
       v12 = _ecl_cdr(v11);
       if (ecl_unlikely(!ECL_LISTP(v12))) FEtype_error_list(v12);
       v11 = v12;
      }
      if (Null(ecl_function_dispatch(cl_env_copy,VV[898])(1, v10uiop_configuration__directive) /*  CONFIGURATION-INHERITANCE-DIRECTIVE-P */)) { goto L29; }
      v6uiop_configuration__inherit = ecl_plus(v6uiop_configuration__inherit,ecl_make_fixnum(1));
      goto L28;
L29:;
      if (!((v10uiop_configuration__directive)==(VV[904]))) { goto L33; }
      v7uiop_configuration__ignore_invalid_p = ECL_T;
      goto L28;
L33:;
      if (Null(ecl_function_dispatch(cl_env_copy,v3uiop_configuration__directive_validator)(1, v10uiop_configuration__directive))) { goto L37; }
      goto L28;
L37:;
      if (Null(v7uiop_configuration__ignore_invalid_p)) { goto L39; }
      goto L27;
L39:;
      cl_set(VV[902],ECL_T);
      ecl_function_dispatch(cl_env_copy,VV[900])(5, v5uiop_configuration__invalid_form_reporter, VV[699], v10uiop_configuration__directive, ECL_SYM("LOCATION",999), v4uiop_configuration__location) /*  REPORT-INVALID-FORM */;
      goto L27;
L28:;
      v8uiop_configuration__x = CONS(v10uiop_configuration__directive,v8uiop_configuration__x);
L27:;
      goto L17;
L18:;
      if (ecl_number_equalp(v6uiop_configuration__inherit,ecl_make_fixnum(1))) { goto L47; }
      ecl_function_dispatch(cl_env_copy,VV[900])(9, v5uiop_configuration__invalid_form_reporter, VV[699], v1uiop_configuration__form, ECL_SYM("LOCATION",999), v4uiop_configuration__location, VV[905], VV[906], VV[907], VV[899]) /*  REPORT-INVALID-FORM */;
L47:;
      value0 = cl_nreverse(v8uiop_configuration__x);
      return value0;
      value0 = ECL_NIL;
      cl_env_copy->nvalues = 1;
      return value0;
     }
    }
   }
  }
 }
}
/*      function definition for VALIDATE-CONFIGURATION-FILE           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L516validate_configuration_file(cl_narg narg, cl_object v1uiop_configuration__file, cl_object v2uiop_configuration__validator, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3uiop_configuration__description;
  ecl_va_list args; ecl_va_start(args,v2uiop_configuration__validator,narg,2);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L516validate_configuration_filekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v3uiop_configuration__description = keyvars[0];
  }
  {
   cl_object v4uiop_configuration__forms;
   v4uiop_configuration__forms = ecl_function_dispatch(cl_env_copy,VV[558])(1, v1uiop_configuration__file) /*  READ-FILE-FORMS */;
   if ((ecl_function_dispatch(cl_env_copy,VV[158])(2, v4uiop_configuration__forms, ecl_make_fixnum(1)) /*  LENGTH=N-P */)!=ECL_NIL) { goto L2; }
   cl_error(3, VV[909], v3uiop_configuration__description, v4uiop_configuration__forms);
L2:;
   T0 = ecl_car(v4uiop_configuration__forms);
   value0 = ecl_function_dispatch(cl_env_copy,v2uiop_configuration__validator)(3, T0, ECL_SYM("LOCATION",999), v1uiop_configuration__file);
   return value0;
  }
 }
}
/*      function definition for VALIDATE-CONFIGURATION-DIRECTORY      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L518validate_configuration_directory(volatile cl_narg narg, cl_object volatile v1directory, cl_object volatile v2uiop_configuration__tag, cl_object volatile v3uiop_configuration__validator, ...)
{
 cl_object T0, T1, T2, T3, T4;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v4uiop_configuration__invalid_form_reporter;
  ecl_va_list args; ecl_va_start(args,v3uiop_configuration__validator,narg,3);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L518validate_configuration_directorykeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v4uiop_configuration__invalid_form_reporter = keyvars[0];
  }
  {
   volatile cl_object v5uiop_configuration__files;
   {
    volatile cl_object env1 = env0;
    env1 = ECL_NIL;
    CLV0 = env1 = CONS(ECL_NIL,env1);
    {
     volatile cl_object env2 = env1;
     CLV1 = env2 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
     if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
     if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L3;
     ecl_internal_error("GO found an inexistent tag");
     }
     {
      cl_object v6;
      v6 = ecl_make_cclosure_va((cl_objectfn)LC517__g3126,env2,Cblock);
      T1 = v6;
     }
     T2 = CONS(ECL_SYM("ERROR",337),T1);
     T3 = ecl_list1(T2);
     T4 = CONS(T3,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
     ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T4); /*  *HANDLER-CLUSTERS* */
     T1 = cl_make_pathname(6, ECL_SYM("NAME",1285), ecl_symbol_value(VV[388]), ECL_SYM("TYPE",1330), VV[911], ECL_SYM("DEFAULTS",1226), v1directory);
     T2 = ecl_function_dispatch(cl_env_copy,VV[421])(1, T1) /*  DIRECTORY* */;
     value0 = cl_remove_if(2, VV[328], T2);
     ecl_frs_pop(cl_env_copy);
     T0 = value0;
     ecl_bds_unwind1(cl_env_copy);
     goto L2;
L3:;
     {
      cl_object v6condition;
      v6condition = ECL_CONS_CAR(CLV0);
      cl_env_copy->nvalues = 2;
      cl_env_copy->values[1] = v6condition;
      cl_env_copy->values[0] = ECL_NIL;
      value0 = cl_env_copy->values[0];
      ecl_frs_pop(cl_env_copy);
      T0 = value0;
      goto L2;
     }
    }
   }
L2:;
   T1 = (ECL_SYM("STRING<",820)->symbol.gfdef);
   T2 = (ECL_SYM("NAMESTRING",579)->symbol.gfdef);
   v5uiop_configuration__files = cl_sort(4, T0, T1, ECL_SYM("KEY",1274), T2);
   {
    cl_object v6uiop_configuration__file;
    cl_object v7;
    v6uiop_configuration__file = ECL_NIL;
    {
     cl_object v8;
     v8 = v5uiop_configuration__files;
     if (ecl_unlikely(!ECL_LISTP(v8))) FEtype_error_list(v8);
     v7 = v8;
    }
    {
     cl_object v8;
     cl_object v9;
     v8 = ecl_list1(ECL_NIL);
     v9 = v8;
L17:;
     if (!(ecl_endp(v7))) { goto L19; }
     goto L18;
L19:;
     v6uiop_configuration__file = _ecl_car(v7);
     {
      cl_object v10;
      v10 = _ecl_cdr(v7);
      if (ecl_unlikely(!ECL_LISTP(v10))) FEtype_error_list(v10);
      v7 = v10;
     }
     {
      cl_object v10;
      {
       cl_object v11uiop_configuration__ignore_invalid_p;
       v11uiop_configuration__ignore_invalid_p = ECL_NIL;
       {
        cl_object v12;
        cl_object v13uiop_configuration__form;
        cl_object v14;
        v12 = ecl_function_dispatch(cl_env_copy,VV[558])(1, v6uiop_configuration__file) /*  READ-FILE-FORMS */;
        v13uiop_configuration__form = ECL_NIL;
        {
         cl_object v15;
         v15 = v12;
         if (ecl_unlikely(!ECL_LISTP(v15))) FEtype_error_list(v15);
         v14 = v15;
        }
        {
         cl_object v15;
         cl_object v16;
         v15 = ecl_list1(ECL_NIL);
         v16 = v15;
L39:;
         if (!(ecl_endp(v14))) { goto L41; }
         goto L40;
L41:;
         v13uiop_configuration__form = _ecl_car(v14);
         {
          cl_object v17;
          v17 = _ecl_cdr(v14);
          if (ecl_unlikely(!ECL_LISTP(v17))) FEtype_error_list(v17);
          v14 = v17;
         }
         if (!((v13uiop_configuration__form)==(VV[904]))) { goto L50; }
         v11uiop_configuration__ignore_invalid_p = ECL_T;
         goto L49;
L50:;
         if (Null(ecl_function_dispatch(cl_env_copy,v3uiop_configuration__validator)(1, v13uiop_configuration__form))) { goto L53; }
         {
          cl_object v17;
          v17 = v16;
          if (ecl_unlikely(ECL_ATOM(v17))) FEtype_error_cons(v17);
          T2 = v17;
         }
         v16 = ecl_list1(v13uiop_configuration__form);
         (ECL_CONS_CDR(T2)=v16,T2);
         goto L49;
L53:;
         if (Null(v11uiop_configuration__ignore_invalid_p)) { goto L59; }
         cl_set(VV[902],ECL_T);
         goto L49;
L59:;
         ecl_function_dispatch(cl_env_copy,VV[900])(5, v4uiop_configuration__invalid_form_reporter, VV[699], v13uiop_configuration__form, ECL_SYM("LOCATION",999), v6uiop_configuration__file) /*  REPORT-INVALID-FORM */;
L49:;
         goto L39;
L40:;
         T1 = ecl_cdr(v15);
         goto L30;
        }
       }
      }
L30:;
      v10 = cl_copy_list(T1);
      {
       cl_object v11;
       v11 = v9;
       if (ecl_unlikely(ECL_ATOM(v11))) FEtype_error_cons(v11);
       T1 = v11;
      }
      (ECL_CONS_CDR(T1)=v10,T1);
      if (Null(v10)) { goto L27; }
     }
     T1 = ecl_cdr(v9);
     v9 = ecl_last(T1,1);
L27:;
     goto L17;
L18:;
     T0 = ecl_cdr(v8);
     goto L10;
    }
   }
L10:;
   T1 = ecl_append(T0,VV[912]);
   value0 = CONS(v2uiop_configuration__tag,T1);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for RESOLVE-RELATIVE-LOCATION             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L519resolve_relative_location(cl_narg narg, cl_object v1uiop_configuration__x, ...)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_configuration__ensure_directory;
  cl_object v3wilden;
  ecl_va_list args; ecl_va_start(args,v1uiop_configuration__x,narg,1);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,L519resolve_relative_locationkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v2uiop_configuration__ensure_directory = keyvars[0];
   v3wilden = keyvars[1];
  }
  if (!(v1uiop_configuration__x==ECL_NIL)) { goto L2; }
  T0 = ECL_NIL;
  goto L1;
L2:;
  if (Null(cl_pathnamep(v1uiop_configuration__x))) { goto L4; }
  T0 = v1uiop_configuration__x;
  goto L1;
L4:;
  if (!(ECL_STRINGP(v1uiop_configuration__x))) { goto L6; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[358])(3, v1uiop_configuration__x, VV[363], v2uiop_configuration__ensure_directory) /*  PARSE-UNIX-NAMESTRING */;
  goto L1;
L6:;
  if (!(ECL_CONSP(v1uiop_configuration__x))) { goto L8; }
  T1 = ecl_cdr(v1uiop_configuration__x);
  if (!(T1==ECL_NIL)) { goto L10; }
  T1 = ecl_car(v1uiop_configuration__x);
  T0 = ecl_function_dispatch(cl_env_copy,VV[913])(5, T1, VV[363], v2uiop_configuration__ensure_directory, VV[914], v3wilden) /*  RESOLVE-RELATIVE-LOCATION */;
  goto L1;
L10:;
  {
   cl_object v4car;
   T1 = ecl_car(v1uiop_configuration__x);
   v4car = ecl_function_dispatch(cl_env_copy,VV[913])(5, T1, VV[363], ECL_T, VV[914], ECL_NIL) /*  RESOLVE-RELATIVE-LOCATION */;
   T1 = ecl_cdr(v1uiop_configuration__x);
   T2 = ecl_function_dispatch(cl_env_copy,VV[913])(5, T1, VV[363], v2uiop_configuration__ensure_directory, VV[914], v3wilden) /*  RESOLVE-RELATIVE-LOCATION */;
   T0 = ecl_function_dispatch(cl_env_copy,VV[311])(2, T2, v4car) /*  MERGE-PATHNAMES* */;
   goto L1;
  }
L8:;
  if (Null(cl_typep(2, v1uiop_configuration__x, VV[915]))) { goto L13; }
  T0 = ecl_symbol_value(VV[393]);
  goto L1;
L13:;
  if (Null(cl_typep(2, v1uiop_configuration__x, VV[916]))) { goto L15; }
  T0 = ecl_symbol_value(VV[394]);
  goto L1;
L15:;
  if (Null(cl_typep(2, v1uiop_configuration__x, VV[917]))) { goto L17; }
  T0 = ecl_symbol_value(VV[391]);
  goto L1;
L17:;
  if (Null(cl_typep(2, v1uiop_configuration__x, VV[918]))) { goto L19; }
  T1 = ecl_function_dispatch(cl_env_copy,VV[284])(0) /*  IMPLEMENTATION-IDENTIFIER */;
  T0 = ecl_function_dispatch(cl_env_copy,VV[358])(3, T1, VV[363], ECL_T) /*  PARSE-UNIX-NAMESTRING */;
  goto L1;
L19:;
  if (Null(cl_typep(2, v1uiop_configuration__x, VV[919]))) { goto L21; }
  T1 = ecl_function_dispatch(cl_env_copy,VV[275])(0) /*  IMPLEMENTATION-TYPE */;
  T2 = cl_string_downcase(1, T1);
  T0 = ecl_function_dispatch(cl_env_copy,VV[358])(3, T2, VV[363], ECL_T) /*  PARSE-UNIX-NAMESTRING */;
  goto L1;
L21:;
  if (Null(cl_typep(2, v1uiop_configuration__x, VV[920]))) { goto L23; }
  T1 = ecl_function_dispatch(cl_env_copy,VV[287])(0) /*  HOSTNAME     */;
  T0 = ecl_function_dispatch(cl_env_copy,VV[358])(3, T1, VV[363], ECL_T) /*  PARSE-UNIX-NAMESTRING */;
  goto L1;
L23:;
  T0 = si_etypecase_error(v1uiop_configuration__x, VV[921]);
L1:;
  if (Null(v3wilden)) { goto L27; }
  if ((cl_pathnamep(v1uiop_configuration__x))!=ECL_NIL) { goto L27; }
  if (!(ecl_eql(v1uiop_configuration__x,VV[922]))) { goto L35; }
  value0 = VV[923];
  goto L33;
L35:;
  value0 = ECL_NIL;
  goto L33;
L33:;
  if ((value0)!=ECL_NIL) { goto L32; }
  if (!(ecl_eql(v1uiop_configuration__x,VV[924]))) { goto L39; }
  value0 = VV[925];
  goto L37;
L39:;
  value0 = ECL_NIL;
  goto L37;
L37:;
  if ((value0)!=ECL_NIL) { goto L32; }
  if (!(ecl_eql(v1uiop_configuration__x,VV[926]))) { goto L42; }
  T2 = VV[927];
  goto L30;
L42:;
  T2 = ECL_NIL;
  goto L30;
L32:;
  T2 = value0;
  goto L30;
L30:;
  T1 = Null(T2)?ECL_T:ECL_NIL;
  goto L25;
L27:;
  T1 = ECL_NIL;
  goto L25;
L25:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[364])(5, T0, VV[914], T1, VV[374], ECL_T) /*  ENSURE-PATHNAME */;
  return value0;
 }
}
/*      function definition for RESOLVE-ABSOLUTE-LOCATION             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L520resolve_absolute_location(cl_narg narg, cl_object v1uiop_configuration__x, ...)
{
 cl_object T0, T1, T2, T3, T4;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_configuration__ensure_directory;
  cl_object v3wilden;
  ecl_va_list args; ecl_va_start(args,v1uiop_configuration__x,narg,1);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,L520resolve_absolute_locationkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v2uiop_configuration__ensure_directory = keyvars[0];
   v3wilden = keyvars[1];
  }
  if (!(v1uiop_configuration__x==ECL_NIL)) { goto L2; }
  T0 = ECL_NIL;
  goto L1;
L2:;
  if (Null(cl_pathnamep(v1uiop_configuration__x))) { goto L4; }
  T0 = v1uiop_configuration__x;
  goto L1;
L4:;
  if (!(ECL_STRINGP(v1uiop_configuration__x))) { goto L6; }
  {
   cl_object v4uiop_configuration__p;
   v4uiop_configuration__p = cl_parse_namestring(1, v1uiop_configuration__x);
   if (Null(v2uiop_configuration__ensure_directory)) { goto L9; }
   T0 = ecl_function_dispatch(cl_env_copy,VV[339])(1, v4uiop_configuration__p) /*  ENSURE-DIRECTORY-PATHNAME */;
   goto L1;
L9:;
   T0 = v4uiop_configuration__p;
   goto L1;
  }
L6:;
  if (!(ECL_CONSP(v1uiop_configuration__x))) { goto L11; }
  T1 = ecl_cdr(v1uiop_configuration__x);
  if (!(T1==ECL_NIL)) { goto L13; }
  T1 = ecl_car(v1uiop_configuration__x);
  value0 = ecl_function_dispatch(cl_env_copy,VV[930])(5, T1, VV[363], v2uiop_configuration__ensure_directory, VV[914], v3wilden) /*  RESOLVE-ABSOLUTE-LOCATION */;
  return value0;
L13:;
  T1 = ecl_cdr(v1uiop_configuration__x);
  T2 = ecl_function_dispatch(cl_env_copy,VV[913])(5, T1, VV[363], v2uiop_configuration__ensure_directory, VV[914], v3wilden) /*  RESOLVE-RELATIVE-LOCATION */;
  T3 = ecl_car(v1uiop_configuration__x);
  T4 = ecl_function_dispatch(cl_env_copy,VV[930])(5, T3, VV[363], ECL_T, VV[914], ECL_NIL) /*  RESOLVE-ABSOLUTE-LOCATION */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[311])(2, T2, T4) /*  MERGE-PATHNAMES* */;
  return value0;
L11:;
  if (Null(cl_typep(2, v1uiop_configuration__x, VV[931]))) { goto L15; }
  {
   cl_object v5uiop_configuration__p;
   v5uiop_configuration__p = cl_make_pathname(2, ECL_SYM("DIRECTORY",1229), VV[300]);
   if (Null(v3wilden)) { goto L18; }
   value0 = ecl_function_dispatch(cl_env_copy,VV[396])(1, v5uiop_configuration__p) /*  WILDEN */;
   return value0;
L18:;
   value0 = v5uiop_configuration__p;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L15:;
  if (Null(cl_typep(2, v1uiop_configuration__x, VV[932]))) { goto L20; }
  T0 = cl_user_homedir_pathname(0);
  goto L1;
L20:;
  if (Null(cl_typep(2, v1uiop_configuration__x, VV[933]))) { goto L22; }
  value0 = ecl_symbol_value(VV[928]);
  if ((value0)!=ECL_NIL) { goto L26; }
  T2 = ecl_function_dispatch(cl_env_copy,VV[874])(0) /*  LOAD-PATHNAME */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[333])(1, T2) /*  PATHNAME-DIRECTORY-PATHNAME */;
  goto L24;
L26:;
  T1 = value0;
  goto L24;
L24:;
  T0 = ecl_function_dispatch(cl_env_copy,VV[930])(5, T1, VV[363], ECL_T, VV[914], ECL_NIL) /*  RESOLVE-ABSOLUTE-LOCATION */;
  goto L1;
L22:;
  if (Null(cl_typep(2, v1uiop_configuration__x, VV[934]))) { goto L28; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[930])(5, ecl_symbol_value(VV[929]), VV[363], ECL_T, VV[914], ECL_NIL) /*  RESOLVE-ABSOLUTE-LOCATION */;
  goto L1;
L28:;
  T0 = si_etypecase_error(v1uiop_configuration__x, VV[935]);
L1:;
  if (Null(v3wilden)) { goto L32; }
  T2 = cl_pathnamep(v1uiop_configuration__x);
  T1 = Null(T2)?ECL_T:ECL_NIL;
  goto L30;
L32:;
  T1 = ECL_NIL;
  goto L30;
L30:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[364])(7, T0, VV[914], T1, ECL_SYM("RESOLVE-SYMLINKS",1861), ecl_symbol_value(VV[432]), VV[450], ECL_T) /*  ENSURE-PATHNAME */;
  return value0;
 }
}
/*      function definition for RESOLVE-LOCATION                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L521resolve_location(cl_narg narg, cl_object v1uiop_configuration__x, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_configuration__ensure_directory;
  cl_object v3wilden;
  cl_object v4directory;
  ecl_va_list args; ecl_va_start(args,v1uiop_configuration__x,narg,1);
  {
   cl_object keyvars[6];
   cl_parse_key(args,3,L521resolve_locationkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v2uiop_configuration__ensure_directory = keyvars[0];
   v3wilden = keyvars[1];
   v4directory = keyvars[2];
  }
  {
   cl_object v5uiop_configuration__dirp;
   value0 = v4directory;
   if ((value0)!=ECL_NIL) { goto L3; }
   v5uiop_configuration__dirp = v2uiop_configuration__ensure_directory;
   goto L1;
L3:;
   v5uiop_configuration__dirp = value0;
   goto L1;
L1:;
   {
    cl_object v6;
    if (!(ECL_ATOM(v1uiop_configuration__x))) { goto L6; }
    v6 = ecl_list1(v1uiop_configuration__x);
    goto L5;
L6:;
    v6 = v1uiop_configuration__x;
L5:;
    {
     cl_object v7;
     cl_object v8first;
     v7 = v6;
     if (!(v7==ECL_NIL)) { goto L10; }
     si_dm_too_few_arguments(v6);
L10:;
     {
      cl_object v9;
      v9 = ecl_car(v7);
      v7 = ecl_cdr(v7);
      v8first = v9;
     }
     {
      cl_object v9uiop_configuration__path;
      if ((v5uiop_configuration__dirp)!=ECL_NIL) { goto L23; }
      if (Null(v7)) { goto L21; }
      goto L22;
L23:;
L22:;
      T0 = ECL_T;
      goto L19;
L21:;
      T0 = ECL_NIL;
      goto L19;
L19:;
      if (Null(v3wilden)) { goto L27; }
      T1 = ecl_make_bool(v7==ECL_NIL);
      goto L25;
L27:;
      T1 = ECL_NIL;
      goto L25;
L25:;
      value0 = ecl_function_dispatch(cl_env_copy,VV[930])(5, v8first, VV[363], T0, VV[914], T1) /*  RESOLVE-ABSOLUTE-LOCATION */;
      if ((value0)!=ECL_NIL) { goto L17; }
      value0 = ECL_NIL;
      cl_env_copy->nvalues = 1;
      return value0;
L17:;
      v9uiop_configuration__path = value0;
      goto L15;
L15:;
      {
       cl_object v10;
       cl_object v11uiop_configuration__element;
       cl_object v12uiop_configuration__morep;
       {
        cl_object v13;
        v13 = v7;
        if (ecl_unlikely(!ECL_LISTP(v13))) FEtype_error_list(v13);
        v10 = v13;
       }
       v11uiop_configuration__element = ECL_NIL;
       v12uiop_configuration__morep = ECL_NIL;
       {
        cl_object v13uiop_configuration__dir;
        v13uiop_configuration__dir = ECL_NIL;
        {
         cl_object v14uiop_configuration__wild;
         v14uiop_configuration__wild = ECL_NIL;
         {
          cl_object v15uiop_configuration__sub;
          v15uiop_configuration__sub = ECL_NIL;
L37:;
          if (!(ECL_ATOM(v10))) { goto L39; }
          goto L38;
L39:;
          {
          cl_object v16;
          v16 = v10;
          v11uiop_configuration__element = ecl_car(v16);
          v16 = ecl_cdr(v16);
          v12uiop_configuration__morep = v16;
          }
          {
          cl_object v16;
          v16 = _ecl_cdr(v10);
          if (ecl_unlikely(!ECL_LISTP(v16))) FEtype_error_list(v16);
          v10 = v16;
          }
          if ((v12uiop_configuration__morep)!=ECL_NIL) { goto L57; }
          if (Null(v5uiop_configuration__dirp)) { goto L55; }
          goto L56;
L57:;
L56:;
          v13uiop_configuration__dir = ECL_T;
          goto L53;
L55:;
          v13uiop_configuration__dir = ECL_NIL;
          goto L53;
L53:;
          if (Null(v3wilden)) { goto L62; }
          v14uiop_configuration__wild = Null(v12uiop_configuration__morep)?ECL_T:ECL_NIL;
          goto L60;
L62:;
          v14uiop_configuration__wild = ECL_NIL;
          goto L60;
L60:;
          T0 = ecl_function_dispatch(cl_env_copy,VV[913])(5, v11uiop_configuration__element, VV[363], v13uiop_configuration__dir, VV[914], v14uiop_configuration__wild) /*  RESOLVE-RELATIVE-LOCATION */;
          v15uiop_configuration__sub = ecl_function_dispatch(cl_env_copy,VV[311])(2, T0, v9uiop_configuration__path) /*  MERGE-PATHNAMES* */;
          if (Null(ecl_function_dispatch(cl_env_copy,VV[326])(1, v15uiop_configuration__sub) /*  ABSOLUTE-PATHNAME-P */)) { goto L68; }
          v9uiop_configuration__path = ecl_function_dispatch(cl_env_copy,VV[433])(1, v15uiop_configuration__sub) /*  RESOLVE-SYMLINKS* */;
          goto L67;
L68:;
          v9uiop_configuration__path = v15uiop_configuration__sub;
L67:;
          goto L37;
L38:;
          value0 = v9uiop_configuration__path;
          cl_env_copy->nvalues = 1;
          return value0;
         }
        }
       }
      }
     }
    }
   }
  }
 }
}
/*      function definition for LOCATION-DESIGNATOR-P                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L524location_designator_p(cl_object v1uiop_configuration__x)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = ecl_make_cfun((cl_objectfn_fixed)LC523relative_component_p,ECL_NIL,Cblock,1);
   if (!((v1uiop_configuration__x)==(ECL_NIL))) { goto L8; }
   value0 = VV[84];
   goto L6;
L8:;
   value0 = ECL_NIL;
   goto L6;
L6:;
   if ((value0)!=ECL_NIL) { goto L5; }
   if (!(ecl_eql(v1uiop_configuration__x,ECL_T))) { goto L11; }
   value0 = VV[85];
   goto L3;
L11:;
   value0 = ECL_NIL;
   goto L3;
L5:;
   goto L3;
L3:;
   if ((value0)!=ECL_NIL) { goto L2; }
   value0 = LC522absolute_component_p(v1uiop_configuration__x);
   if ((value0)!=ECL_NIL) { goto L2; }
   if (!(ECL_CONSP(v1uiop_configuration__x))) { goto L15; }
   T0 = ecl_car(v1uiop_configuration__x);
   if (Null(LC522absolute_component_p(T0))) { goto L15; }
   T0 = ecl_cdr(v1uiop_configuration__x);
   value0 = cl_every(2, v2, T0);
   return value0;
L15:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L2:;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for LOCATION-FUNCTION-P                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L525location_function_p(cl_object v1uiop_configuration__x)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_function_dispatch(cl_env_copy,VV[158])(2, v1uiop_configuration__x, ecl_make_fixnum(2)) /*  LENGTH=N-P */)) { goto L2; }
  T0 = ecl_car(v1uiop_configuration__x);
  value0 = ecl_make_bool((T0)==(ECL_SYM("FUNCTION",1251)));
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for REGISTER-CLEAR-CONFIGURATION-HOOK     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L526register_clear_configuration_hook(cl_narg narg, cl_object v1uiop_configuration__hook_function, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_configuration__call_now_p;
  va_list args; va_start(args,v1uiop_configuration__hook_function);
  {
   int i = 1;
   if (i >= narg) {
    v2uiop_configuration__call_now_p = ECL_NIL;
   } else {
    i++;
    v2uiop_configuration__call_now_p = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = ecl_function_dispatch(cl_env_copy,VV[214])(3, VV[948], v1uiop_configuration__hook_function, v2uiop_configuration__call_now_p) /*  REGISTER-HOOK-FUNCTION */;
  return value0;
 }
}
/*      function definition for CLEAR-CONFIGURATION                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L527clear_configuration()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[213])(1, ecl_symbol_value(VV[948])) /*  CALL-FUNCTIONS */;
  return value0;
 }
}
/*      function definition for UPGRADE-CONFIGURATION                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L528upgrade_configuration()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_symbol_value(VV[902]))) { goto L1; }
  ecl_function_dispatch(cl_env_copy,VV[950])(0)   /*  CLEAR-CONFIGURATION */;
  cl_set(VV[902],ECL_NIL);
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for GET-FOLDER-PATH                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L529get_folder_path(cl_object v1uiop_configuration__folder)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ecl_eql(v1uiop_configuration__folder,VV[953]))) { goto L1; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[476])(1, VV[954]) /*  GETENV-ABSOLUTE-DIRECTORY */;
  if ((value0)!=ECL_NIL) { goto L4; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[952])(1, VV[955]) /*  GET-FOLDER-PATH */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[375])(2, T0, VV[956]) /*  SUBPATHNAME* */;
  return value0;
L4:;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (!(ecl_eql(v1uiop_configuration__folder,VV[955]))) { goto L6; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[476])(1, VV[957]) /*  GETENV-ABSOLUTE-DIRECTORY */;
  return value0;
L6:;
  if (!(ecl_eql(v1uiop_configuration__folder,VV[958]))) { goto L8; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[476])(1, VV[959]) /*  GETENV-ABSOLUTE-DIRECTORY */;
  if ((value0)!=ECL_NIL) { goto L11; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[476])(1, VV[960]) /*  GETENV-ABSOLUTE-DIRECTORY */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[375])(2, T0, VV[961]) /*  SUBPATHNAME* */;
  return value0;
L11:;
  cl_env_copy->nvalues = 1;
  return value0;
L8:;
  value0 = si_ecase_error(v1uiop_configuration__folder, VV[962]);
  return value0;
 }
}
/*      function definition for XDG-DATA-HOME                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L530xdg_data_home(cl_narg narg, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1uiop_configuration__more;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1uiop_configuration__more = cl_grab_rest_args(args);
  ecl_va_end(args);
  value0 = ecl_function_dispatch(cl_env_copy,VV[476])(1, VV[964]) /*  GETENV-ABSOLUTE-DIRECTORY */;
  if ((value0)!=ECL_NIL) { goto L3; }
  T1 = cl_user_homedir_pathname(0);
  T0 = ecl_function_dispatch(cl_env_copy,VV[373])(2, T1, VV[965]) /*  SUBPATHNAME */;
  goto L1;
L3:;
  T0 = value0;
  goto L1;
L1:;
  T1 = cl_list(2, T0, v1uiop_configuration__more);
  value0 = ecl_function_dispatch(cl_env_copy,VV[930])(1, T1) /*  RESOLVE-ABSOLUTE-LOCATION */;
  return value0;
 }
}
/*      function definition for XDG-CONFIG-HOME                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L531xdg_config_home(cl_narg narg, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1uiop_configuration__more;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1uiop_configuration__more = cl_grab_rest_args(args);
  ecl_va_end(args);
  value0 = ecl_function_dispatch(cl_env_copy,VV[476])(1, VV[967]) /*  GETENV-ABSOLUTE-DIRECTORY */;
  if ((value0)!=ECL_NIL) { goto L3; }
  T1 = cl_user_homedir_pathname(0);
  T0 = ecl_function_dispatch(cl_env_copy,VV[373])(2, T1, VV[968]) /*  SUBPATHNAME */;
  goto L1;
L3:;
  T0 = value0;
  goto L1;
L1:;
  T1 = cl_list(2, T0, v1uiop_configuration__more);
  value0 = ecl_function_dispatch(cl_env_copy,VV[930])(1, T1) /*  RESOLVE-ABSOLUTE-LOCATION */;
  return value0;
 }
}
/*      function definition for XDG-DATA-DIRS                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L533xdg_data_dirs(cl_narg narg, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1uiop_configuration__more;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1uiop_configuration__more = cl_grab_rest_args(args);
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1uiop_configuration__more,env0); /*  MORE       */
  ecl_va_end(args);
  {
   cl_object v2;
   {
    cl_object v3;
    v3 = ecl_make_cclosure_va((cl_objectfn)LC532__g3182,env0,Cblock);
    v2 = v3;
   }
   {
    cl_object v3;
    cl_object v4;
    cl_object v5;
    value0 = ecl_function_dispatch(cl_env_copy,VV[477])(1, VV[970]) /*  GETENV-ABSOLUTE-DIRECTORIES */;
    if ((value0)!=ECL_NIL) { goto L4; }
    {
     cl_object v6;
     cl_object v7;
     v6 = ECL_NIL;
     v7 = VV[971];
     {
      cl_object v8;
      cl_object v9;
      v8 = ecl_list1(ECL_NIL);
      v9 = v8;
L11:;
      v6 = _ecl_car(v7);
      {
       cl_object v10;
       v10 = _ecl_cdr(v7);
       if (ecl_unlikely(!ECL_LISTP(v10))) FEtype_error_list(v10);
       v7 = v10;
      }
      {
       cl_object v10;
       v10 = v9;
       if (ecl_unlikely(ECL_ATOM(v10))) FEtype_error_cons(v10);
       T0 = v10;
      }
      T1 = ecl_function_dispatch(cl_env_copy,VV[358])(1, v6);
      v9 = ecl_list1(T1);
      (ECL_CONS_CDR(T0)=v9,T0);
      if (!(ecl_endp(v7))) { goto L25; }
      goto L12;
L25:;
      goto L11;
L12:;
      v3 = ecl_cdr(v8);
      goto L2;
     }
    }
L4:;
    v3 = value0;
    goto L2;
L2:;
    v4 = ECL_NIL;
    {
     cl_object v6;
     v6 = v3;
     if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
     v5 = v6;
    }
    {
     cl_object v6;
     cl_object v7;
     v6 = ecl_list1(ECL_NIL);
     v7 = v6;
L35:;
     if (!(ecl_endp(v5))) { goto L37; }
     goto L36;
L37:;
     v4 = _ecl_car(v5);
     {
      cl_object v8;
      v8 = _ecl_cdr(v5);
      if (ecl_unlikely(!ECL_LISTP(v8))) FEtype_error_list(v8);
      v5 = v8;
     }
     {
      cl_object v8;
      v8 = v7;
      if (ecl_unlikely(ECL_ATOM(v8))) FEtype_error_cons(v8);
      T0 = v8;
     }
     T1 = ecl_function_dispatch(cl_env_copy,v2)(1, v4);
     v7 = ecl_list1(T1);
     (ECL_CONS_CDR(T0)=v7,T0);
     goto L35;
L36:;
     value0 = ecl_cdr(v6);
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*      function definition for XDG-CONFIG-DIRS                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L535xdg_config_dirs(cl_narg narg, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1uiop_configuration__more;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1uiop_configuration__more = cl_grab_rest_args(args);
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1uiop_configuration__more,env0); /*  MORE       */
  ecl_va_end(args);
  {
   cl_object v2;
   {
    cl_object v3;
    v3 = ecl_make_cclosure_va((cl_objectfn)LC534__g3197,env0,Cblock);
    v2 = v3;
   }
   {
    cl_object v3;
    cl_object v4;
    cl_object v5;
    value0 = ecl_function_dispatch(cl_env_copy,VV[477])(1, VV[973]) /*  GETENV-ABSOLUTE-DIRECTORIES */;
    if ((value0)!=ECL_NIL) { goto L4; }
    {
     cl_object v6;
     cl_object v7;
     v6 = ECL_NIL;
     v7 = VV[974];
     {
      cl_object v8;
      cl_object v9;
      v8 = ecl_list1(ECL_NIL);
      v9 = v8;
L11:;
      v6 = _ecl_car(v7);
      {
       cl_object v10;
       v10 = _ecl_cdr(v7);
       if (ecl_unlikely(!ECL_LISTP(v10))) FEtype_error_list(v10);
       v7 = v10;
      }
      {
       cl_object v10;
       v10 = v9;
       if (ecl_unlikely(ECL_ATOM(v10))) FEtype_error_cons(v10);
       T0 = v10;
      }
      T1 = ecl_function_dispatch(cl_env_copy,VV[358])(1, v6);
      v9 = ecl_list1(T1);
      (ECL_CONS_CDR(T0)=v9,T0);
      if (!(ecl_endp(v7))) { goto L25; }
      goto L12;
L25:;
      goto L11;
L12:;
      v3 = ecl_cdr(v8);
      goto L2;
     }
    }
L4:;
    v3 = value0;
    goto L2;
L2:;
    v4 = ECL_NIL;
    {
     cl_object v6;
     v6 = v3;
     if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
     v5 = v6;
    }
    {
     cl_object v6;
     cl_object v7;
     v6 = ecl_list1(ECL_NIL);
     v7 = v6;
L35:;
     if (!(ecl_endp(v5))) { goto L37; }
     goto L36;
L37:;
     v4 = _ecl_car(v5);
     {
      cl_object v8;
      v8 = _ecl_cdr(v5);
      if (ecl_unlikely(!ECL_LISTP(v8))) FEtype_error_list(v8);
      v5 = v8;
     }
     {
      cl_object v8;
      v8 = v7;
      if (ecl_unlikely(ECL_ATOM(v8))) FEtype_error_cons(v8);
      T0 = v8;
     }
     T1 = ecl_function_dispatch(cl_env_copy,v2)(1, v4);
     v7 = ecl_list1(T1);
     (ECL_CONS_CDR(T0)=v7,T0);
     goto L35;
L36:;
     value0 = ecl_cdr(v6);
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*      function definition for XDG-CACHE-HOME                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L536xdg_cache_home(cl_narg narg, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1uiop_configuration__more;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1uiop_configuration__more = cl_grab_rest_args(args);
  ecl_va_end(args);
  value0 = ecl_function_dispatch(cl_env_copy,VV[476])(1, VV[976]) /*  GETENV-ABSOLUTE-DIRECTORY */;
  if ((value0)!=ECL_NIL) { goto L3; }
  T1 = cl_user_homedir_pathname(0);
  T0 = ecl_function_dispatch(cl_env_copy,VV[375])(2, T1, VV[977]) /*  SUBPATHNAME* */;
  goto L1;
L3:;
  T0 = value0;
  goto L1;
L1:;
  T1 = cl_list(2, T0, v1uiop_configuration__more);
  value0 = ecl_function_dispatch(cl_env_copy,VV[930])(1, T1) /*  RESOLVE-ABSOLUTE-LOCATION */;
  return value0;
 }
}
/*      function definition for XDG-RUNTIME-DIR                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L537xdg_runtime_dir(cl_narg narg, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1uiop_configuration__more;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1uiop_configuration__more = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = ecl_function_dispatch(cl_env_copy,VV[476])(1, VV[979]) /*  GETENV-ABSOLUTE-DIRECTORY */;
  T1 = cl_list(2, T0, v1uiop_configuration__more);
  value0 = ecl_function_dispatch(cl_env_copy,VV[930])(1, T1) /*  RESOLVE-ABSOLUTE-LOCATION */;
  return value0;
 }
}
/*      function definition for SYSTEM-CONFIG-PATHNAMES               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L538system_config_pathnames(cl_narg narg, ...)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1uiop_configuration__more;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1uiop_configuration__more = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = ecl_function_dispatch(cl_env_copy,VV[358])(1, VV[981]) /*  PARSE-UNIX-NAMESTRING */;
  T1 = cl_list(2, T0, v1uiop_configuration__more);
  T2 = ecl_function_dispatch(cl_env_copy,VV[930])(1, T1) /*  RESOLVE-ABSOLUTE-LOCATION */;
  value0 = ecl_list1(T2);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for FILTER-PATHNAME-SET                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L539filter_pathname_set(cl_object v1uiop_configuration__dirs)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_fdefinition(VV[326]);
  T1 = cl_remove_if_not(2, T0, v1uiop_configuration__dirs);
  value0 = cl_remove_duplicates(5, T1, VV[52], ECL_T, ECL_SYM("TEST",1328), ECL_SYM("EQUAL",335));
  return value0;
 }
}
/*      function definition for XDG-DATA-PATHNAMES                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L540xdg_data_pathnames(cl_narg narg, ...)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1uiop_configuration__more;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1uiop_configuration__more = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = ecl_function_dispatch(cl_env_copy,VV[963])(1, v1uiop_configuration__more) /*  XDG-DATA-HOME */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[969])(1, v1uiop_configuration__more) /*  XDG-DATA-DIRS */;
  T2 = CONS(T0,T1);
  value0 = ecl_function_dispatch(cl_env_copy,VV[982])(1, T2) /*  FILTER-PATHNAME-SET */;
  return value0;
 }
}
/*      function definition for XDG-CONFIG-PATHNAMES                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L541xdg_config_pathnames(cl_narg narg, ...)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1uiop_configuration__more;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1uiop_configuration__more = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = ecl_function_dispatch(cl_env_copy,VV[966])(1, v1uiop_configuration__more) /*  XDG-CONFIG-HOME */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[972])(1, v1uiop_configuration__more) /*  XDG-CONFIG-DIRS */;
  T2 = CONS(T0,T1);
  value0 = ecl_function_dispatch(cl_env_copy,VV[982])(1, T2) /*  FILTER-PATHNAME-SET */;
  return value0;
 }
}
/*      function definition for FIND-PREFERRED-FILE                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L542find_preferred_file(cl_narg narg, cl_object v1uiop_configuration__files, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_configuration__direction;
  ecl_va_list args; ecl_va_start(args,v1uiop_configuration__files,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L542find_preferred_filekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[1])) {
    v2uiop_configuration__direction = ECL_SYM("INPUT",1266);
   } else {
    v2uiop_configuration__direction = keyvars[0];
   }
  }
  if (!(ecl_eql(v2uiop_configuration__direction,ECL_SYM("PROBE",1305)))) { goto L8; }
  goto L5;
  goto L6;
L8:;
  goto L6;
L6:;
  if (!(ecl_eql(v2uiop_configuration__direction,ECL_SYM("INPUT",1266)))) { goto L3; }
  goto L4;
L5:;
L4:;
  T0 = VV[410];
  goto L2;
L3:;
  if (!(ecl_eql(v2uiop_configuration__direction,ECL_SYM("OUTPUT",1294)))) { goto L16; }
  goto L13;
  goto L14;
L16:;
  goto L14;
L14:;
  if (!(ecl_eql(v2uiop_configuration__direction,ECL_SYM("IO",1272)))) { goto L11; }
  goto L12;
L13:;
L12:;
  T0 = ECL_SYM("IDENTITY",426);
  goto L2;
L11:;
  T0 = si_ecase_error(v2uiop_configuration__direction, VV[988]);
L2:;
  value0 = cl_find_if(2, T0, v1uiop_configuration__files);
  return value0;
 }
}
/*      function definition for XDG-DATA-PATHNAME                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L543xdg_data_pathname(cl_narg narg, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v1uiop_configuration__more;
  cl_object v2uiop_configuration__direction;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    v1uiop_configuration__more = ECL_NIL;
   } else {
    i++;
    v1uiop_configuration__more = va_arg(args,cl_object);
   }
   if (i >= narg) {
    v2uiop_configuration__direction = ECL_SYM("INPUT",1266);
   } else {
    i++;
    v2uiop_configuration__direction = va_arg(args,cl_object);
   }
  }
  va_end(args);
  T0 = ecl_function_dispatch(cl_env_copy,VV[983])(1, v1uiop_configuration__more) /*  XDG-DATA-PATHNAMES */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[985])(3, T0, ECL_SYM("DIRECTION",1228), v2uiop_configuration__direction) /*  FIND-PREFERRED-FILE */;
  return value0;
 }
}
/*      function definition for XDG-CONFIG-PATHNAME                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L544xdg_config_pathname(cl_narg narg, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v1uiop_configuration__more;
  cl_object v2uiop_configuration__direction;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    v1uiop_configuration__more = ECL_NIL;
   } else {
    i++;
    v1uiop_configuration__more = va_arg(args,cl_object);
   }
   if (i >= narg) {
    v2uiop_configuration__direction = ECL_SYM("INPUT",1266);
   } else {
    i++;
    v2uiop_configuration__direction = va_arg(args,cl_object);
   }
  }
  va_end(args);
  T0 = ecl_function_dispatch(cl_env_copy,VV[984])(1, v1uiop_configuration__more) /*  XDG-CONFIG-PATHNAMES */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[985])(3, T0, ECL_SYM("DIRECTION",1228), v2uiop_configuration__direction) /*  FIND-PREFERRED-FILE */;
  return value0;
 }
}
/*      function definition for COMPUTE-USER-CACHE                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L545compute_user_cache()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  cl_set(VV[929],ecl_function_dispatch(cl_env_copy,VV[975])(2, VV[992], VV[993]) /*  XDG-CACHE-HOME */);
  value0 = ecl_symbol_value(VV[929]);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G3076                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC511__g3076(cl_object v1uiop_configuration__c, cl_object v2uiop_configuration__s)
{
 cl_object T0, T1, T2, T3, T4;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[2341])(1, v1uiop_configuration__c) /*  CONDITION-FORMAT */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[2342])(1, v1uiop_configuration__c) /*  CONDITION-FORM */;
  T2 = ecl_function_dispatch(cl_env_copy,VV[2343])(1, v1uiop_configuration__c) /*  CONDITION-LOCATION */;
  T3 = ecl_function_dispatch(cl_env_copy,VV[2344])(1, v1uiop_configuration__c) /*  CONDITION-ARGUMENTS */;
  T4 = cl_listX(3, T1, T2, T3);
  value0 = cl_format(4, v2uiop_configuration__s, VV[897], T0, T4);
  return value0;
 }
}
/*      closure G3126                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC517__g3126(cl_narg narg, cl_object v1si__temp, ...)
{
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  TAGBODY         */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV0) = v1si__temp;
  cl_go(ECL_CONS_CAR(CLV1),ecl_make_fixnum(0));
 }
 }
}
/*      local function RELATIVE-COMPONENT-P                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC523relative_component_p(cl_object v1uiop_configuration__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = v1uiop_configuration__c;
   value0 = ecl_make_bool(ECL_STRINGP(v2));
   if ((value0)!=ECL_NIL) { goto L3; }
   value0 = cl_pathnamep(v2);
   if ((value0)!=ECL_NIL) { goto L3; }
   value0 = ecl_memql(v2,VV[946]);
   cl_env_copy->nvalues = 1;
   return value0;
L3:;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function ABSOLUTE-COMPONENT-P                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC522absolute_component_p(cl_object v1uiop_configuration__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_make_bool(ECL_STRINGP(v1uiop_configuration__c));
  if ((value0)!=ECL_NIL) { goto L2; }
  value0 = cl_pathnamep(v1uiop_configuration__c);
  if ((value0)!=ECL_NIL) { goto L2; }
  if (!(ecl_eql(v1uiop_configuration__c,VV[938]))) { goto L9; }
  value0 = VV[939];
  goto L7;
L9:;
  value0 = ECL_NIL;
  goto L7;
L7:;
  if ((value0)!=ECL_NIL) { goto L6; }
  if (!(ecl_eql(v1uiop_configuration__c,VV[940]))) { goto L13; }
  value0 = VV[941];
  goto L11;
L13:;
  value0 = ECL_NIL;
  goto L11;
L11:;
  if ((value0)!=ECL_NIL) { goto L6; }
  if (!(ecl_eql(v1uiop_configuration__c,VV[942]))) { goto L17; }
  value0 = VV[943];
  goto L15;
L17:;
  value0 = ECL_NIL;
  goto L15;
L15:;
  if ((value0)!=ECL_NIL) { goto L6; }
  if (!(ecl_eql(v1uiop_configuration__c,VV[944]))) { goto L20; }
  value0 = VV[945];
  cl_env_copy->nvalues = 1;
  return value0;
L20:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L6:;
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      closure G3182                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC532__g3182(cl_narg narg, cl_object v1uiop_configuration__d, ...)
{
 cl_object T0;
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  MORE            */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  T0 = cl_list(2, v1uiop_configuration__d, ECL_CONS_CAR(CLV0));
  value0 = ecl_function_dispatch(cl_env_copy,VV[936])(1, T0) /*  RESOLVE-LOCATION */;
  return value0;
 }
 }
}
/*      closure G3197                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC534__g3197(cl_narg narg, cl_object v1uiop_configuration__d, ...)
{
 cl_object T0;
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  MORE            */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  T0 = cl_list(2, v1uiop_configuration__d, ECL_CONS_CAR(CLV0));
  value0 = ecl_function_dispatch(cl_env_copy,VV[936])(1, T0) /*  RESOLVE-LOCATION */;
  return value0;
 }
 }
}
/*      function definition for COERCE-PATHNAME                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L546coerce_pathname(cl_narg narg, cl_object v1uiop_backward_driver__name, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2type;
  cl_object v3uiop_backward_driver__defaults;
  ecl_va_list args; ecl_va_start(args,v1uiop_backward_driver__name,narg,1);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,L546coerce_pathnamekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v2type = keyvars[0];
   v3uiop_backward_driver__defaults = keyvars[1];
  }
  value0 = ecl_function_dispatch(cl_env_copy,VV[358])(5, v1uiop_backward_driver__name, ECL_SYM("TYPE",1330), v2type, ECL_SYM("DEFAULTS",1226), v3uiop_backward_driver__defaults) /*  PARSE-UNIX-NAMESTRING */;
  return value0;
 }
}
/*      function definition for USER-CONFIGURATION-DIRECTORIES        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L547user_configuration_directories()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[984])(1, VV[992]) /*  XDG-CONFIG-PATHNAMES */;
  return value0;
 }
}
/*      function definition for SYSTEM-CONFIGURATION-DIRECTORIES      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L548system_configuration_directories()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[980])(1, VV[992]) /*  SYSTEM-CONFIG-PATHNAMES */;
  return value0;
 }
}
/*      function definition for IN-FIRST-DIRECTORY                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L550in_first_directory(cl_narg narg, cl_object v1uiop_backward_driver__dirs, cl_object v2uiop_backward_driver__x, ...)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3uiop_backward_driver__direction;
  ecl_va_list args; ecl_va_start(args,v2uiop_backward_driver__x,narg,2);
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v2uiop_backward_driver__x,env0); /*  X           */
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L550in_first_directorykeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[1])) {
    v3uiop_backward_driver__direction = ECL_SYM("INPUT",1266);
   } else {
    v3uiop_backward_driver__direction = keyvars[0];
   }
  }
  {
   cl_object v4;
   {
    cl_object v5;
    v5 = ecl_make_cclosure_va((cl_objectfn)LC549__g3221,env0,Cblock);
    v4 = v5;
   }
   {
    cl_object v5;
    cl_object v6;
    v5 = ECL_NIL;
    {
     cl_object v7;
     v7 = v1uiop_backward_driver__dirs;
     if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
     v6 = v7;
    }
    {
     cl_object v7;
     cl_object v8;
     v7 = ecl_list1(ECL_NIL);
     v8 = v7;
L10:;
     if (!(ecl_endp(v6))) { goto L12; }
     goto L11;
L12:;
     v5 = _ecl_car(v6);
     {
      cl_object v9;
      v9 = _ecl_cdr(v6);
      if (ecl_unlikely(!ECL_LISTP(v9))) FEtype_error_list(v9);
      v6 = v9;
     }
     {
      cl_object v9;
      v9 = v8;
      if (ecl_unlikely(ECL_ATOM(v9))) FEtype_error_cons(v9);
      T1 = v9;
     }
     T2 = ecl_function_dispatch(cl_env_copy,v4)(1, v5);
     v8 = ecl_list1(T2);
     (ECL_CONS_CDR(T1)=v8,T1);
     goto L10;
L11:;
     T0 = ecl_cdr(v7);
     goto L2;
    }
   }
  }
L2:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[985])(3, T0, ECL_SYM("DIRECTION",1228), v3uiop_backward_driver__direction) /*  FIND-PREFERRED-FILE */;
  return value0;
 }
}
/*      function definition for IN-USER-CONFIGURATION-DIRECTORY       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L551in_user_configuration_directory(cl_narg narg, cl_object v1uiop_backward_driver__x, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_backward_driver__direction;
  ecl_va_list args; ecl_va_start(args,v1uiop_backward_driver__x,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L551in_user_configuration_directorykeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[1])) {
    v2uiop_backward_driver__direction = ECL_SYM("INPUT",1266);
   } else {
    v2uiop_backward_driver__direction = keyvars[0];
   }
  }
  T0 = cl_list(2, VV[992], v1uiop_backward_driver__x);
  value0 = ecl_function_dispatch(cl_env_copy,VV[990])(2, T0, v2uiop_backward_driver__direction) /*  XDG-CONFIG-PATHNAME */;
  return value0;
 }
}
/*      function definition for IN-SYSTEM-CONFIGURATION-DIRECTORY     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L552in_system_configuration_directory(cl_narg narg, cl_object v1uiop_backward_driver__x, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2uiop_backward_driver__direction;
  ecl_va_list args; ecl_va_start(args,v1uiop_backward_driver__x,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L552in_system_configuration_directorykeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[1])) {
    v2uiop_backward_driver__direction = ECL_SYM("INPUT",1266);
   } else {
    v2uiop_backward_driver__direction = keyvars[0];
   }
  }
  T0 = ecl_function_dispatch(cl_env_copy,VV[980])(2, VV[992], v1uiop_backward_driver__x) /*  SYSTEM-CONFIG-PATHNAMES */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[985])(3, T0, ECL_SYM("DIRECTION",1228), v2uiop_backward_driver__direction) /*  FIND-PREFERRED-FILE */;
  return value0;
 }
}
/*      closure G3221                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC549__g3221(cl_narg narg, cl_object v1uiop_backward_driver__dir, ...)
{
 cl_object T0;
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  X               */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[339])(1, v1uiop_backward_driver__dir) /*  ENSURE-DIRECTORY-PATHNAME */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[373])(2, T0, ECL_CONS_CAR(CLV0)) /*  SUBPATHNAME */;
  return value0;
 }
 }
}
/*      function definition for ASDF-VERSION                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L553asdf_version()
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(cl_find_package(VV[1001]))) { goto L1; }
  T0 = cl_string(VV[1002]);
  T1 = cl_find_symbol(2, T0, VV[1001]);
  value0 = cl_symbol_value(T1);
  if ((value0)!=ECL_NIL) { goto L4; }
  {
   cl_object v1asdf_upgrade__revsym;
   cl_object v2asdf_upgrade__rev;
   T0 = cl_string(VV[1003]);
   v1asdf_upgrade__revsym = cl_find_symbol(2, T0, VV[1001]);
   if (Null(v1asdf_upgrade__revsym)) { goto L9; }
   if (!(ecl_boundp(cl_env_copy,v1asdf_upgrade__revsym))) { goto L9; }
   v2asdf_upgrade__rev = cl_symbol_value(v1asdf_upgrade__revsym);
   goto L7;
L9:;
   v2asdf_upgrade__rev = ECL_NIL;
   goto L7;
L7:;
   if (!(ECL_STRINGP(v2asdf_upgrade__rev))) { goto L12; }
   value0 = v2asdf_upgrade__rev;
   cl_env_copy->nvalues = 1;
   return value0;
L12:;
   if (!(ECL_CONSP(v2asdf_upgrade__rev))) { goto L14; }
   value0 = cl_format(3, ECL_NIL, VV[223], v2asdf_upgrade__rev);
   return value0;
L14:;
   if (!(v2asdf_upgrade__rev==ECL_NIL)) { goto L16; }
   value0 = VV[1004];
   cl_env_copy->nvalues = 1;
   return value0;
L16:;
   value0 = si_etypecase_error(v2asdf_upgrade__rev, VV[1005]);
   return value0;
  }
L4:;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for ASDF-MESSAGE                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L554asdf_message(cl_narg narg, cl_object v1asdf_upgrade__format_string, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_upgrade__format_args;
  ecl_va_list args; ecl_va_start(args,v1asdf_upgrade__format_string,narg,1);
  v2asdf_upgrade__format_args = cl_grab_rest_args(args);
  ecl_va_end(args);
  if (Null(ecl_symbol_value(VV[1009]))) { goto L1; }
  value0 = cl_apply(4, ECL_SYM("FORMAT",387), ecl_symbol_value(VV[1009]), v1asdf_upgrade__format_string, v2asdf_upgrade__format_args);
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for UPGRADING-P                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L555upgrading_p(cl_narg narg, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object v1asdf_upgrade__oldest_compatible_version;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    v1asdf_upgrade__oldest_compatible_version = ecl_symbol_value(VV[1008]);
   } else {
    i++;
    v1asdf_upgrade__oldest_compatible_version = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (Null(ecl_symbol_value(VV[1006]))) { goto L3; }
  T0 = ecl_car(ecl_symbol_value(VV[1006]));
  value0 = ecl_function_dispatch(cl_env_copy,VV[232])(2, T0, v1asdf_upgrade__oldest_compatible_version) /*  VERSION< */;
  return value0;
L3:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function DEFPARAMETER*                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC556defparameter_(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4asdf_upgrade__var;
   cl_object v5asdf_upgrade__value;
   cl_object v6asdf_upgrade__docstring;
   cl_object v7asdf_upgrade__version;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v8;
    v8 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4asdf_upgrade__var = v8;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v8;
    v8 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5asdf_upgrade__value = v8;
   }
   if (Null(v3)) { goto L15; }
   {
    cl_object v8;
    v8 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v6asdf_upgrade__docstring = v8;
    goto L14;
   }
L15:;
   v6asdf_upgrade__docstring = ECL_NIL;
L14:;
   if (Null(v3)) { goto L21; }
   {
    cl_object v8;
    v8 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v7asdf_upgrade__version = v8;
    goto L20;
   }
L21:;
   v7asdf_upgrade__version = ecl_symbol_value(VV[1008]);
L20:;
   if (Null(v3)) { goto L26; }
   si_dm_too_many_arguments(v1);
L26:;
   {
    cl_object v8asdf_upgrade__name;
    cl_object v9asdf_upgrade__valfun;
    v8asdf_upgrade__name = cl_string_trim(VV[1014], v4asdf_upgrade__var);
    T0 = cl_format(5, ECL_NIL, VV[1015], VV[1016], v8asdf_upgrade__name, ECL_SYM("VALUE",1972));
    v9asdf_upgrade__valfun = cl_intern(1, T0);
    T0 = cl_list(4, ECL_SYM("DEFUN",289), v9asdf_upgrade__valfun, ECL_NIL, v5asdf_upgrade__value);
    T1 = ecl_list1(v9asdf_upgrade__valfun);
    T2 = ecl_function_dispatch(cl_env_copy,VV[161])(1, v6asdf_upgrade__docstring) /*  ENSURE-LIST */;
    T3 = cl_listX(4, ECL_SYM("DEFVAR",290), v4asdf_upgrade__var, T1, T2);
    T4 = cl_list(2, VV[1013], v7asdf_upgrade__version);
    T5 = ecl_list1(v9asdf_upgrade__valfun);
    T6 = cl_list(3, ECL_SYM("SETF",750), v4asdf_upgrade__var, T5);
    T7 = cl_list(3, ECL_SYM("WHEN",905), T4, T6);
    value0 = cl_list(4, ECL_SYM("PROGN",671), T0, T3, T7);
    return value0;
   }
  }
 }
}
/*      local function WHEN-UPGRADING                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC557when_upgrading(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   cl_object v5;
   cl_object v6asdf_upgrade__version;
   cl_object v7;
   cl_object v8upgrading_p;
   cl_object v9;
   cl_object v10when;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v11;
    v11 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v11;
   }
   v5 = si_search_keyword(2, v4, ECL_SYM("VERSION",1338));
   if (!((v5)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L10; }
   v6asdf_upgrade__version = ecl_symbol_value(VV[1008]);
   goto L9;
L10:;
   v6asdf_upgrade__version = v5;
L9:;
   v7 = si_search_keyword(2, v4, VV[1018]);
   if (!((v7)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L14; }
   v8upgrading_p = cl_list(2, VV[1013], v6asdf_upgrade__version);
   goto L13;
L14:;
   v8upgrading_p = v7;
L13:;
   v9 = si_search_keyword(2, v4, VV[1019]);
   if (!((v9)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L18; }
   v10when = ECL_NIL;
   goto L17;
L18:;
   v10when = v9;
L17:;
   si_check_keyword(2, v4, VV[1020]);
   if (Null(v10when)) { goto L22; }
   T0 = ecl_list1(v10when);
   goto L21;
L22:;
   T0 = ECL_NIL;
L21:;
   T1 = cl_listX(3, ECL_SYM("AND",87), v8upgrading_p, T0);
   T2 = CONS(ECL_SYM("PROGN",671),v3);
   T3 = cl_list(2, ECL_SYM("QUOTE",679), T2);
   T4 = cl_list(2, ECL_SYM("EVAL",339), T3);
   T5 = cl_list(3, ECL_SYM("HANDLER-BIND",417), VV[1021], T4);
   T6 = cl_list(3, ECL_SYM("WHEN",905), T1, T5);
   value0 = cl_list(3, VV[144], ECL_NIL, T6);
   return value0;
  }
 }
}
/*      function definition for CLEANUP-UPGRADED-ASDF                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L558cleanup_upgraded_asdf(cl_narg narg, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object v1asdf_upgrade__old_version;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    v1asdf_upgrade__old_version = ecl_car(ecl_symbol_value(VV[1006]));
   } else {
    i++;
    v1asdf_upgrade__old_version = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object v2asdf_upgrade__new_version;
   v2asdf_upgrade__new_version = ecl_function_dispatch(cl_env_copy,VV[1000])(0) /*  ASDF-VERSION */;
   if (ecl_equal(v1asdf_upgrade__old_version,v2asdf_upgrade__new_version)) { goto L3; }
   cl_set(VV[1006],CONS(v2asdf_upgrade__new_version,ecl_symbol_value(VV[1006])));
   if (Null(v1asdf_upgrade__old_version)) { goto L7; }
   if (Null(ecl_function_dispatch(cl_env_copy,VV[233])(2, v2asdf_upgrade__new_version, v1asdf_upgrade__old_version) /*  VERSION<= */)) { goto L10; }
   cl_error(3, VV[1024], v1asdf_upgrade__old_version, v2asdf_upgrade__new_version);
   goto L9;
L10:;
   ecl_function_dispatch(cl_env_copy,VV[1010])(3, VV[1025], v1asdf_upgrade__old_version, v2asdf_upgrade__new_version) /*  ASDF-MESSAGE */;
L9:;
   if ((ecl_function_dispatch(cl_env_copy,VV[233])(2, ecl_symbol_value(VV[1008]), v1asdf_upgrade__old_version) /*  VERSION<= */)!=ECL_NIL) { goto L12; }
   T0 = cl_reverse(ecl_symbol_value(VV[1011]));
   ecl_function_dispatch(cl_env_copy,VV[213])(1, T0) /*  CALL-FUNCTIONS */;
L12:;
   value0 = ECL_T;
   cl_env_copy->nvalues = 1;
   return value0;
L7:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L3:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for UPGRADE-ASDF                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L559upgrade_asdf()
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_bds_bind(cl_env_copy,ECL_SYM("*LOAD-PRINT*",37),ECL_NIL); /*  *LOAD-PRINT* */
  ecl_bds_bind(cl_env_copy,ECL_SYM("*COMPILE-PRINT*",28),ECL_NIL); /*  *COMPILE-PRINT* */
  T0 = (ECL_SYM("MUFFLE-WARNING",571)->symbol.gfdef);
  T1 = CONS(VV[1027],T0);
  T2 = ecl_list1(T1);
  T3 = CONS(T2,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
  ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T3); /*  *HANDLER-CLUSTERS* */
  value0 = L3symbol_call(5, VV[1001], VV[1028], VV[1001], ECL_SYM("VERBOSE",1337), ECL_NIL);
  ecl_bds_unwind1(cl_env_copy);
  ecl_bds_unwind1(cl_env_copy);
  ecl_bds_unwind1(cl_env_copy);
  return value0;
 }
}
/*      local function G3265                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC560__g3265(cl_object v1asdf_component_component)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G3266                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC562__g3266()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC561__g3267,ECL_NIL,Cblock,2);
   value0 = v1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G3267                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC561__g3267(cl_object v1asdf_component__c, cl_object v2asdf_component__s)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[2358])(1, v1asdf_component__c) /*  DUPLICATE-NAMES-NAME */;
  value0 = cl_format(3, v2asdf_component__s, VV[1041], T0);
  return value0;
 }
}
/*      local function G3268                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC563__g3268()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_make_hash_table(0);
  return value0;
 }
}
/*      function definition for COMPONENT-FIND-PATH                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L564component_find_path(cl_object v1asdf_component_component)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = v1asdf_component_component;
   if (v2==ECL_NIL) { goto L3; }
   if ((si_of_class_p(2, v2, VV[1042]))!=ECL_NIL) { goto L3; }
   v1asdf_component_component = si_do_check_type(v2, VV[1044], ECL_NIL, VV[1042]);
L3:;
  }
  {
   cl_object v2asdf_component__c;
   v2asdf_component__c = ECL_NIL;
   {
    cl_object v3;
    cl_object v4;
    v3 = ecl_list1(ECL_NIL);
    v4 = v3;
    v2asdf_component__c = v1asdf_component_component;
L11:;
    if ((v2asdf_component__c)!=ECL_NIL) { goto L15; }
    goto L12;
L15:;
    {
     cl_object v5;
     v5 = v4;
     if (ecl_unlikely(ECL_ATOM(v5))) FEtype_error_cons(v5);
     T1 = v5;
    }
    T2 = ecl_function_dispatch(cl_env_copy,VV[1029])(1, v2asdf_component__c) /*  COMPONENT-NAME */;
    v4 = ecl_list1(T2);
    (ECL_CONS_CDR(T1)=v4,T1);
    v2asdf_component__c = ecl_function_dispatch(cl_env_copy,VV[1037])(1, v2asdf_component__c) /*  COMPONENT-PARENT */;
    goto L11;
L12:;
    T0 = ecl_cdr(v3);
    goto L7;
   }
  }
L7:;
  value0 = cl_reverse(T0);
  return value0;
 }
}
/*      local function G3282                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC566__g3282(cl_object v1asdf_component__c, cl_object v2stream)
{
 cl_object env0 = ECL_NIL;
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1asdf_component__c,env0);   /*  C               */
  CLV1 = env0 = CONS(v2stream,env0);              /*  STREAM          */
  {
   cl_object v3;
   v3 = ecl_make_cclosure_va((cl_objectfn)LC565si___print_unreadable_object_body_,env0,Cblock);
   value0 = si_print_unreadable_object_function(ECL_CONS_CAR(CLV0), ECL_CONS_CAR(CLV1), ECL_T, ECL_NIL, v3);
   return value0;
  }
 }
}
/*      local function G3283                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC567__g3283(cl_object v1asdf_component_component)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2asdf_component__system;
   v2asdf_component__system = ecl_function_dispatch(cl_env_copy,VV[1037])(1, v1asdf_component_component) /*  COMPONENT-PARENT */;
   if (Null(v2asdf_component__system)) { goto L2; }
   value0 = ecl_function_dispatch(cl_env_copy,VV[1030])(1, v2asdf_component__system) /*  COMPONENT-SYSTEM */;
   return value0;
L2:;
   value0 = v1asdf_component_component;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      closure .PRINT-UNREADABLE-OBJECT-BODY.                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC565si___print_unreadable_object_body_(cl_narg narg, ...)
{
 cl_object T0;
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  STREAM          */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[1043])(1, ECL_CONS_CAR(CLV0)) /*  COMPONENT-FIND-PATH */;
  value0 = cl_format(3, ECL_CONS_CAR(CLV1), VV[1045], T0);
  return value0;
 }
 }
}
/*      function definition for COMPUTE-CHILDREN-BY-NAME              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L568compute_children_by_name(cl_narg narg, cl_object v1asdf_component_parent, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_component__only_if_needed_p;
  ecl_va_list args; ecl_va_start(args,v1asdf_component_parent,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L568compute_children_by_namekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v2asdf_component__only_if_needed_p = keyvars[0];
  }
  if (Null(v2asdf_component__only_if_needed_p)) { goto L4; }
  if ((cl_slot_boundp(v1asdf_component_parent, VV[1056]))!=ECL_NIL) { goto L1; }
  goto L2;
L4:;
  goto L2;
L2:;
  {
   cl_object v3asdf_component__hash;
   v3asdf_component__hash = cl_make_hash_table(2, ECL_SYM("TEST",1328), ECL_SYM("EQUAL",335));
   (cl_env_copy->function=ecl_fdefinition(VV[2361]))->cfun.entry(2, v3asdf_component__hash, v1asdf_component_parent) /*  (SETF COMPONENT-CHILDREN-BY-NAME) */;
   {
    cl_object v4;
    cl_object v5asdf_component__c;
    cl_object v6;
    v4 = ecl_function_dispatch(cl_env_copy,VV[2362])(1, v1asdf_component_parent) /*  COMPONENT-CHILDREN */;
    v5asdf_component__c = ECL_NIL;
    {
     cl_object v7;
     v7 = v4;
     if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
     v6 = v7;
    }
    {
     cl_object v7asdf_component_name;
     v7asdf_component_name = ECL_NIL;
     {
      cl_object v8asdf_component__previous;
      v8asdf_component__previous = ECL_NIL;
L16:;
      if (!(ecl_endp(v6))) { goto L18; }
      goto L17;
L18:;
      v5asdf_component__c = _ecl_car(v6);
      {
       cl_object v9;
       v9 = _ecl_cdr(v6);
       if (ecl_unlikely(!ECL_LISTP(v9))) FEtype_error_list(v9);
       v6 = v9;
      }
      v7asdf_component_name = ecl_function_dispatch(cl_env_copy,VV[1029])(1, v5asdf_component__c) /*  COMPONENT-NAME */;
      v8asdf_component__previous = ecl_gethash_safe(v7asdf_component_name,v3asdf_component__hash,ECL_NIL);
      if (Null(v8asdf_component__previous)) { goto L31; }
      cl_error(3, VV[1040], ECL_SYM("NAME",1285), v7asdf_component_name);
L31:;
      si_hash_set(v7asdf_component_name, v3asdf_component__hash, v5asdf_component__c);
      goto L16;
L17:;
     }
    }
   }
   value0 = v3asdf_component__hash;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G3310                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC569__g3310(cl_object v1asdf_component_component)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[1037])(1, v1asdf_component_component) /*  COMPONENT-PARENT */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1031])(1, T0) /*  COMPONENT-PATHNAME */;
  return value0;
 }
}
/*      local function G3323                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC570__g3323(cl_object v1asdf_component_component)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(cl_slot_boundp(v1asdf_component_component, VV[1059]))) { goto L1; }
  value0 = cl_slot_value(v1asdf_component_component, VV[1059]);
  return value0;
L1:;
  {
   cl_object v2pathname;
   T0 = ecl_function_dispatch(cl_env_copy,VV[1032])(1, v1asdf_component_component) /*  COMPONENT-RELATIVE-PATHNAME */;
   T1 = ecl_function_dispatch(cl_env_copy,VV[1058])(1, v1asdf_component_component) /*  COMPONENT-PARENT-PATHNAME */;
   T2 = ecl_function_dispatch(cl_env_copy,VV[333])(1, T1) /*  PATHNAME-DIRECTORY-PATHNAME */;
   v2pathname = ecl_function_dispatch(cl_env_copy,VV[311])(2, T0, T2) /*  MERGE-PATHNAMES* */;
   if (v2pathname==ECL_NIL) { goto L4; }
   if ((ecl_function_dispatch(cl_env_copy,VV[326])(1, v2pathname) /*  ABSOLUTE-PATHNAME-P */)!=ECL_NIL) { goto L4; }
   T0 = ecl_function_dispatch(cl_env_copy,VV[1043])(1, v1asdf_component_component) /*  COMPONENT-FIND-PATH */;
   cl_error(3, VV[1060], v2pathname, T0);
L4:;
   (cl_env_copy->function=ECL_CONS_CAR(VV[2231]))->cfun.entry(3, v2pathname, v1asdf_component_component, VV[1059]) /*  (SETF SLOT-VALUE) */;
   value0 = v2pathname;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G3327                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC571__g3327(cl_object v1asdf_component_component)
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(cl_slot_boundp(v1asdf_component_component, VV[1061]))) { goto L6; }
  value0 = cl_slot_value(v1asdf_component_component, VV[1061]);
  goto L4;
L6:;
  value0 = ECL_NIL;
  goto L4;
L4:;
  if ((value0)!=ECL_NIL) { goto L3; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[1029])(1, v1asdf_component_component) /*  COMPONENT-NAME */;
  goto L1;
L3:;
  T0 = value0;
  goto L1;
L1:;
  T1 = ecl_function_dispatch(cl_env_copy,VV[1030])(1, v1asdf_component_component) /*  COMPONENT-SYSTEM */;
  T2 = ecl_function_dispatch(cl_env_copy,VV[1038])(2, v1asdf_component_component, T1) /*  SOURCE-FILE-TYPE */;
  T3 = ecl_function_dispatch(cl_env_copy,VV[1058])(1, v1asdf_component_component) /*  COMPONENT-PARENT-PATHNAME */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[358])(7, T0, VV[374], ECL_T, ECL_SYM("TYPE",1330), T2, ECL_SYM("DEFAULTS",1226), T3) /*  PARSE-UNIX-NAMESTRING */;
  return value0;
 }
}
/*      local function G3328                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC572__g3328(cl_object v1asdf_component_component, cl_object v2asdf_component__system)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_SYM("DIRECTORY",1229);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G3329                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC573__g3329(cl_object v1asdf_component_component, cl_object v2asdf_component__system)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[2363])(1, v1asdf_component_component) /*  FILE-TYPE */;
  return value0;
 }
}
/*      local function G3334                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC574__g3334(cl_object v1asdf_component__c)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2asdf_component__x;
   v2asdf_component__x = ECL_NIL;
   {
    cl_object v3;
    v3 = ECL_NIL;
    v2asdf_component__x = v1asdf_component__c;
L6:;
    if ((v2asdf_component__x)!=ECL_NIL) { goto L10; }
    goto L7;
L10:;
    v3 = ecl_function_dispatch(cl_env_copy,VV[2364])(1, v2asdf_component__x) /*  %COMPONENT-ENCODING */;
    if (Null(v3)) { goto L12; }
    value0 = v3;
    goto L3;
L12:;
    v2asdf_component__x = ecl_function_dispatch(cl_env_copy,VV[1037])(1, v2asdf_component__x) /*  COMPONENT-PARENT */;
    goto L6;
L7:;
    value0 = ECL_NIL;
   }
  }
L3:;
  if ((value0)!=ECL_NIL) { goto L2; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[1031])(1, v1asdf_component__c) /*  COMPONENT-PATHNAME */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[508])(1, T0) /*  DETECT-ENCODING */;
  return value0;
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G3336                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC575__g3336(cl_object v1asdf_component__c)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[1034])(1, v1asdf_component__c) /*  COMPONENT-ENCODING */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[513])(1, T0) /*  ENCODING-EXTERNAL-FORMAT */;
  return value0;
 }
}
/*      local function G3337                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC576__g3337(cl_object v1asdf_component__c)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(cl_slot_boundp(v1asdf_component__c, VV[1063]))) { goto L1; }
  value0 = cl_slot_value(v1asdf_component__c, VV[1063]);
  return value0;
L1:;
  if (Null(ecl_function_dispatch(cl_env_copy,VV[1037])(1, v1asdf_component__c) /*  COMPONENT-PARENT */)) { goto L3; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[1037])(1, v1asdf_component__c) /*  COMPONENT-PARENT */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1062])(1, T0) /*  AROUND-COMPILE-HOOK */;
  return value0;
L3:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G3338                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC577__g3338(cl_object v1asdf_component__c, cl_object v2asdf_component_version)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G3339                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC578__g3339(cl_object v1asdf_component__c, cl_object v2asdf_component_version)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(v2asdf_component_version)) { goto L4; }
  if (Null(cl_slot_boundp(v1asdf_component__c, VV[1064]))) { goto L4; }
  if ((ecl_function_dispatch(cl_env_copy,VV[1036])(1, v1asdf_component__c) /*  COMPONENT-VERSION */)!=ECL_NIL) { goto L1; }
  goto L2;
L4:;
  goto L2;
L2:;
  if (Null(v2asdf_component_version)) { goto L7; }
  (cl_env_copy->function=(ECL_SYM("WARN",903)->symbol.gfdef))->cfun.entry(3, VV[1065], v2asdf_component_version, v1asdf_component__c) /*  WARN */;
L7:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  T0 = ecl_function_dispatch(cl_env_copy,VV[1036])(1, v1asdf_component__c) /*  COMPONENT-VERSION */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1035])(2, T0, v2asdf_component_version) /*  VERSION-SATISFIES */;
  return value0;
 }
}
/*      local function G3340                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC579__g3340(cl_object v1asdf_component__cver, cl_object v2asdf_component_version)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[233])(2, v2asdf_component_version, v1asdf_component__cver) /*  VERSION<= */;
  return value0;
 }
}
/*      function definition for SUB-COMPONENTS                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L582sub_components(cl_narg narg, cl_object v1asdf_component_component, ...)
{
 cl_object env0 = ECL_NIL;
 volatile struct ecl_cclosure aux_closure;
 cl_object CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  ecl_va_list args; ecl_va_start(args,v1asdf_component_component,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L582sub_componentskeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[1])) {
    env0 = ECL_NIL;
    CLV0 = env0 = CONS(ECL_T,env0);               /*  TYPE            */
   } else {
    env0 = ECL_NIL;
    CLV0 = env0 = CONS(keyvars[0],env0);          /*  TYPE            */
   }
  }
  {
   cl_object env1 = env0;
   CLV1 = env1 = CONS(ECL_NIL,env1);
   {cl_object env2 = env1;
    CLV2 = env2 = CONS(ECL_NIL,env2);             /*  RECURSE         */
    ECL_CONS_CAR(CLV2) = ecl_make_cclosure_va((cl_objectfn)LC581recurse,env2,Cblock);
    (aux_closure.env=env2,cl_env_copy->function=(cl_object)&aux_closure,LC581recurse(1, v1asdf_component_component));
   }
   value0 = cl_reverse(ECL_CONS_CAR(CLV1));
   return value0;
  }
 }
}
/*      closure C                                                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC580c(cl_narg narg, cl_object v1uiop_utility__x, ...)
{
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV1) = CONS(v1uiop_utility__x,ECL_CONS_CAR(CLV1));
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 0;
  return value0;
 }
 }
}
/*      closure RECURSE                                               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC581recurse(cl_narg narg, cl_object v1asdf_component__x, ...)
{
 cl_object T0;
 volatile struct ecl_cclosure aux_closure;
 cl_object CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV2 = env0;                                     /*  RECURSE         */
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  {
   cl_object v2asdf_component__it;
   v2asdf_component__it = ecl_function_dispatch(cl_env_copy,VV[2366])(1, v1asdf_component__x) /*  COMPONENT-IF-FEATURE */;
   if (Null(v2asdf_component__it)) { goto L4; }
   if (Null(ecl_function_dispatch(cl_env_copy,VV[249])(1, v2asdf_component__it) /*  FEATUREP */)) { goto L1; }
   goto L2;
L4:;
  }
L2:;
  if (Null(cl_typep(2, v1asdf_component__x, ECL_CONS_CAR(CLV0)))) { goto L6; }
  (aux_closure.env=ecl_nthcdr(1,env0),cl_env_copy->function=(cl_object)&aux_closure,LC580c(1, v1asdf_component__x));
L6:;
  if (Null(si_of_class_p(2, v1asdf_component__x, VV[1054]))) { goto L8; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[2362])(1, v1asdf_component__x) /*  COMPONENT-CHILDREN */;
  value0 = cl_map(3, ECL_NIL, ECL_CONS_CAR(CLV2), T0);
  return value0;
L8:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
 }
}
/*      local function G3349                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC583__g3349(cl_object v1asdf_system__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for RESET-SYSTEM                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L584reset_system(cl_narg narg, cl_object v1asdf_system_system, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_system__keys;
  ecl_va_list args; ecl_va_start(args,v1asdf_system_system,narg,1);
  cl_parse_key(args,0,NULL,NULL,(cl_object*)&v2asdf_system__keys,TRUE);
  ecl_va_end(args);
  T0 = (cl_env_copy->function=(ECL_SYM("CHANGE-CLASS",932)->symbol.gfdef))->cfun.entry(2, v1asdf_system_system, VV[1071]) /*  CHANGE-CLASS */;
  (cl_env_copy->function=(ECL_SYM("CHANGE-CLASS",932)->symbol.gfdef))->cfun.entry(2, T0, VV[1072]) /*  CHANGE-CLASS */;
  value0 = cl_apply(3, ECL_SYM("REINITIALIZE-INSTANCE",963), v1asdf_system_system, v2asdf_system__keys);
  return value0;
 }
}
/*      local function G3350                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC585__g3350(cl_object v1asdf_system__system_name)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[1067])(1, v1asdf_system__system_name) /*  FIND-SYSTEM */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1068])(1, T0) /*  SYSTEM-SOURCE-FILE */;
  return value0;
 }
}
/*      local function G3351                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC586__g3351(cl_object v1asdf_system__system_name)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[1067])(1, v1asdf_system__system_name) /*  FIND-SYSTEM */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1068])(1, T0) /*  SYSTEM-SOURCE-FILE */;
  return value0;
 }
}
/*      function definition for SYSTEM-SOURCE-DIRECTORY               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L587system_source_directory(cl_object v1asdf_system__system_designator)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[1068])(1, v1asdf_system__system_designator) /*  SYSTEM-SOURCE-FILE */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[333])(1, T0) /*  PATHNAME-DIRECTORY-PATHNAME */;
  return value0;
 }
}
/*      function definition for SYSTEM-RELATIVE-PATHNAME              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L588system_relative_pathname(cl_narg narg, cl_object v1asdf_system_system, cl_object v2asdf_component_name, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3type;
  ecl_va_list args; ecl_va_start(args,v2asdf_component_name,narg,2);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L588system_relative_pathnamekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v3type = keyvars[0];
  }
  T0 = ecl_function_dispatch(cl_env_copy,VV[1074])(1, v1asdf_system_system) /*  SYSTEM-SOURCE-DIRECTORY */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[373])(4, T0, v2asdf_component_name, ECL_SYM("TYPE",1330), v3type) /*  SUBPATHNAME */;
  return value0;
 }
}
/*      local function G3364                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC589__g3364(cl_object v1asdf_system_system)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2pathname;
   if (Null(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)))) { goto L5; }
   T0 = ecl_car(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
   T1 = ecl_cdr(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
   value0 = ecl_function_dispatch(cl_env_copy,T0)(2, ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1491)), T1);
   goto L4;
L5:;
   value0 = cl_error(1, VV[1076]);
L4:;
   if ((value0)!=ECL_NIL) { goto L3; }
   v2pathname = ecl_function_dispatch(cl_env_copy,VV[1074])(1, v1asdf_system_system) /*  SYSTEM-SOURCE-DIRECTORY */;
   goto L1;
L3:;
   v2pathname = value0;
   goto L1;
L1:;
   if (Null(cl_slot_boundp(v1asdf_system_system, VV[1061]))) { goto L11; }
   if ((cl_slot_value(v1asdf_system_system, VV[1061]))!=ECL_NIL) { goto L8; }
   goto L9;
L11:;
   goto L9;
L9:;
   (cl_env_copy->function=ECL_CONS_CAR(VV[2231]))->cfun.entry(3, v2pathname, v1asdf_system_system, VV[1061]) /*  (SETF SLOT-VALUE) */;
L8:;
   value0 = v2pathname;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G3368                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC590__g3368(cl_object v1asdf_system_system)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(cl_slot_boundp(v1asdf_system_system, VV[1061]))) { goto L3; }
  T0 = cl_slot_value(v1asdf_system_system, VV[1061]);
  goto L1;
L3:;
  T0 = ECL_NIL;
  goto L1;
L1:;
  T1 = ecl_function_dispatch(cl_env_copy,VV[1074])(1, v1asdf_system_system) /*  SYSTEM-SOURCE-DIRECTORY */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[358])(9, T0, VV[374], ECL_T, ECL_SYM("TYPE",1330), ECL_SYM("DIRECTORY",1229), VV[414], ECL_T, ECL_SYM("DEFAULTS",1226), T1) /*  PARSE-UNIX-NAMESTRING */;
  return value0;
 }
}
/*      local function G3369                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC591__g3369(cl_object v1asdf_system_system)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[1074])(1, v1asdf_system_system) /*  SYSTEM-SOURCE-DIRECTORY */;
  return value0;
 }
}
/*      local function G3370                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC592__g3370(cl_object v1asdf_system__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SET-ASDF-CACHE-ENTRY                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L593set_asdf_cache_entry(cl_object v1asdf_cache__key, cl_object v2asdf_cache__value_list)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_symbol_value(VV[1077]))) { goto L2; }
  T0 = si_hash_set(v1asdf_cache__key, ecl_symbol_value(VV[1077]), v2asdf_cache__value_list);
  goto L1;
L2:;
  T0 = v2asdf_cache__value_list;
L1:;
  value0 = cl_values_list(T0);
  return value0;
 }
}
/*      function definition for UNSET-ASDF-CACHE-ENTRY                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L594unset_asdf_cache_entry(cl_object v1asdf_cache__key)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_symbol_value(VV[1077]))) { goto L1; }
  value0 = cl_remhash(v1asdf_cache__key, ecl_symbol_value(VV[1077]));
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CONSULT-ASDF-CACHE                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L595consult_asdf_cache(cl_narg narg, cl_object v1asdf_cache__key, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_cache__thunk;
  va_list args; va_start(args,v1asdf_cache__key);
  {
   int i = 1;
   if (i >= narg) {
    v2asdf_cache__thunk = ECL_NIL;
   } else {
    i++;
    v2asdf_cache__thunk = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (Null(ecl_symbol_value(VV[1077]))) { goto L2; }
  {
   cl_object v4;                                  /*  RESULTS         */
   cl_object v5;                                  /*  FOUNDP          */
   value0 = cl_gethash(2, v1asdf_cache__key, ecl_symbol_value(VV[1077]));
   v4 = value0;
   v5 = cl_env_copy->values[1];
   if (Null(v5)) { goto L5; }
   value0 = cl_values_list(v4);
   return value0;
L5:;
   {
    struct ecl_stack_frame _ecl_inner_frame_aux;
    cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
    {
     cl_object v6;
     v6 = _ecl_inner_frame;
     {
      cl_object v7;
      v7 = ECL_SYM("LIST",481);
      cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,VV[212])(1, v2asdf_cache__thunk) /*  CALL-FUNCTION */;
      ecl_stack_frame_push_values(v6);cl_env_copy->values[0]=ecl_apply_from_stack_frame(v6,v7);
      value0 = cl_env_copy->values[0];
     }
    }
    ecl_stack_frame_close(_ecl_inner_frame);
   }
   T0 = value0;
   value0 = ecl_function_dispatch(cl_env_copy,VV[1078])(2, v1asdf_cache__key, T0) /*  SET-ASDF-CACHE-ENTRY */;
   return value0;
  }
L2:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[212])(1, v2asdf_cache__thunk) /*  CALL-FUNCTION */;
  return value0;
 }
}
/*      local function DO-ASDF-CACHE                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC596do_asdf_cache(cl_object v1, cl_object v2)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4asdf_cache__key;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4asdf_cache__key = v5;
   }
   T0 = cl_listX(3, ECL_SYM("LAMBDA",452), ECL_NIL, v3);
   T1 = cl_list(2, ECL_SYM("FUNCTION",396), T0);
   value0 = cl_list(3, VV[1080], v4asdf_cache__key, T1);
   return value0;
  }
 }
}
/*      function definition for CALL-WITH-ASDF-CACHE                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L602call_with_asdf_cache(volatile cl_narg narg, cl_object volatile v1asdf_cache__thunk, ...)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0, CLV1, CLV2, CLV3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v2asdf_cache__override;
  ecl_va_list args; ecl_va_start(args,v1asdf_cache__thunk,narg,1);
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1asdf_cache__thunk,env0);   /*  THUNK           */
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,L602call_with_asdf_cachekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v2asdf_cache__override = keyvars[0];
   CLV1 = env0 = CONS(keyvars[1],env0);           /*  KEY             */
  }
  {
   volatile cl_object v3asdf_cache__fun;
   if (Null(ECL_CONS_CAR(CLV1))) { goto L2; }
   {
    cl_object volatile v4;
    v4 = ecl_make_cclosure_va((cl_objectfn)LC597__g3401,env0,Cblock);
    v3asdf_cache__fun = v4;
    goto L1;
   }
L2:;
   v3asdf_cache__fun = ECL_CONS_CAR(CLV0);
L1:;
   if (Null(ecl_symbol_value(VV[1077]))) { goto L4; }
   if ((v2asdf_cache__override)!=ECL_NIL) { goto L4; }
   value0 = ecl_function_dispatch(cl_env_copy,v3asdf_cache__fun)(0);
   return value0;
L4:;
L7:;
   {
    volatile cl_object env1 = env0;
    CLV2 = env1 = CONS(ECL_NIL,env1);
    {
     volatile cl_object env2 = env1;
     CLV3 = env2 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
     if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV3))) {
     if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L9;
     if (cl_env_copy->values[0]==ecl_make_fixnum(1))goto L10;
     ecl_internal_error("GO found an inexistent tag");
     }
     {
      cl_object v4;
      v4 = ecl_make_cclosure_va((cl_objectfn)LC598__g3408,env2,Cblock);
      T0 = v4;
     }
     {
      cl_object v4;
      v4 = ecl_make_cfun((cl_objectfn_fixed)LC599__g3409,ECL_NIL,Cblock,1);
      T1 = v4;
     }
     T2 = ecl_function_dispatch(cl_env_copy,VV[2382])(6, ECL_SYM("NAME",1285), VV[1083], ECL_SYM("FUNCTION",1251), T0, VV[1084], T1) /*  MAKE-RESTART */;
     {
      cl_object v4;
      v4 = ecl_make_cclosure_va((cl_objectfn)LC600__g3410,env2,Cblock);
      T3 = v4;
     }
     {
      cl_object v4;
      v4 = ecl_make_cfun((cl_objectfn_fixed)LC601__g3411,ECL_NIL,Cblock,1);
      T4 = v4;
     }
     T5 = ecl_function_dispatch(cl_env_copy,VV[2382])(6, ECL_SYM("NAME",1285), VV[1086], ECL_SYM("FUNCTION",1251), T3, VV[1084], T4) /*  MAKE-RESTART */;
     T6 = cl_list(2, T2, T5);
     T7 = CONS(T6,ecl_symbol_value(ECL_SYM("*RESTART-CLUSTERS*",4)));
     ecl_bds_bind(cl_env_copy,ECL_SYM("*RESTART-CLUSTERS*",4),T7); /*  *RESTART-CLUSTERS* */
     T0 = cl_make_hash_table(2, ECL_SYM("TEST",1328), ECL_SYM("EQUAL",335));
     ecl_bds_bind(cl_env_copy,VV[1077],T0);       /*  *ASDF-CACHE*    */
     value0 = ecl_function_dispatch(cl_env_copy,v3asdf_cache__fun)(0);
     ecl_frs_pop(cl_env_copy);
     ecl_bds_unwind1(cl_env_copy);
     ecl_bds_unwind1(cl_env_copy);
     return value0;
L9:;
     ecl_frs_pop(cl_env_copy);
     goto L8;
L10:;
     ecl_function_dispatch(cl_env_copy,VV[950])(0) /*  CLEAR-CONFIGURATION */;
     ecl_frs_pop(cl_env_copy);
     goto L8;
    }
   }
L8:;
   goto L7;
  }
 }
}
/*      local function WITH-ASDF-CACHE                                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC603with_asdf_cache(cl_object v1, cl_object v2)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   cl_object v5;
   cl_object v6asdf_cache__key;
   cl_object v7;
   cl_object v8asdf_cache__override;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v9;
    v9 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v9;
   }
   v5 = si_search_keyword(2, v4, ECL_SYM("KEY",1274));
   if (!((v5)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L10; }
   v6asdf_cache__key = ECL_NIL;
   goto L9;
L10:;
   v6asdf_cache__key = v5;
L9:;
   v7 = si_search_keyword(2, v4, VV[1088]);
   if (!((v7)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L14; }
   v8asdf_cache__override = ECL_NIL;
   goto L13;
L14:;
   v8asdf_cache__override = v7;
L13:;
   si_check_keyword(2, v4, VV[1089]);
   T0 = cl_listX(3, ECL_SYM("LAMBDA",452), ECL_NIL, v3);
   T1 = cl_list(2, ECL_SYM("FUNCTION",396), T0);
   value0 = cl_list(6, VV[1082], T1, VV[1088], v8asdf_cache__override, ECL_SYM("KEY",1274), v6asdf_cache__key);
   return value0;
  }
 }
}
/*      function definition for NORMALIZE-NAMESTRING                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L604normalize_namestring(cl_object v1pathname)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2asdf_cache__resolved;
   T0 = ecl_function_dispatch(cl_env_copy,VV[317])(1, v1pathname) /*  PHYSICALIZE-PATHNAME */;
   T1 = ecl_function_dispatch(cl_env_copy,VV[378])(2, T0, VV[415]) /*  ENSURE-ABSOLUTE-PATHNAME */;
   v2asdf_cache__resolved = ecl_function_dispatch(cl_env_copy,VV[433])(1, T1) /*  RESOLVE-SYMLINKS* */;
   ecl_bds_bind(cl_env_copy,ECL_SYM("*DEFAULT-PATHNAME-DEFAULTS*",32),ecl_symbol_value(VV[319])); /*  *DEFAULT-PATHNAME-DEFAULTS* */
   value0 = cl_namestring(v2asdf_cache__resolved);
   ecl_bds_unwind1(cl_env_copy);
   return value0;
  }
 }
}
/*      function definition for COMPUTE-FILE-STAMP                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L605compute_file_stamp(cl_object v1asdf_cache__normalized_namestring)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_bds_bind(cl_env_copy,ECL_SYM("*DEFAULT-PATHNAME-DEFAULTS*",32),ecl_symbol_value(VV[319])); /*  *DEFAULT-PATHNAME-DEFAULTS* */
  value0 = ecl_function_dispatch(cl_env_copy,VV[409])(1, v1asdf_cache__normalized_namestring) /*  SAFE-FILE-WRITE-DATE */;
  ecl_bds_unwind1(cl_env_copy);
  return value0;
 }
}
/*      function definition for REGISTER-FILE-STAMP                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L606register_file_stamp(cl_narg narg, cl_object v1asdf_cache__file, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_cache__stamp;
  cl_object v3asdf_cache__stampp;
  va_list args; va_start(args,v1asdf_cache__file);
  {
   int i = 1;
   if (i >= narg) {
    v2asdf_cache__stamp = ECL_NIL;
    v3asdf_cache__stampp = ECL_NIL;
   } else {
    i++;
    v2asdf_cache__stamp = va_arg(args,cl_object);
    v3asdf_cache__stampp = ECL_T;
   }
  }
  va_end(args);
  {
   cl_object v4namestring;
   cl_object v5asdf_cache__stamp;
   v4namestring = ecl_function_dispatch(cl_env_copy,VV[1091])(1, v1asdf_cache__file) /*  NORMALIZE-NAMESTRING */;
   if (Null(v3asdf_cache__stampp)) { goto L4; }
   v5asdf_cache__stamp = v2asdf_cache__stamp;
   goto L3;
L4:;
   v5asdf_cache__stamp = ecl_function_dispatch(cl_env_copy,VV[1092])(1, v4namestring) /*  COMPUTE-FILE-STAMP */;
L3:;
   T0 = cl_list(2, VV[1094], v4namestring);
   T1 = ecl_list1(v5asdf_cache__stamp);
   value0 = ecl_function_dispatch(cl_env_copy,VV[1078])(2, T0, T1) /*  SET-ASDF-CACHE-ENTRY */;
   return value0;
  }
 }
}
/*      function definition for GET-FILE-STAMP                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L608get_file_stamp(cl_object v1asdf_cache__file)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(v1asdf_cache__file)) { goto L1; }
  {
   cl_object env1 = env0;
   T0 = ecl_function_dispatch(cl_env_copy,VV[1091])(1, v1asdf_cache__file) /*  NORMALIZE-NAMESTRING */;
   env1 = ECL_NIL;
   CLV0 = env1 = CONS(T0,env1);                   /*  NAMESTRING      */
   T0 = cl_list(2, VV[1094], ECL_CONS_CAR(CLV0));
   {
    cl_object v2;
    v2 = ecl_make_cclosure_va((cl_objectfn)LC607__g3429,env1,Cblock);
    T1 = v2;
   }
   value0 = ecl_function_dispatch(cl_env_copy,VV[1080])(2, T0, T1) /*  CONSULT-ASDF-CACHE */;
   return value0;
  }
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      closure G3401                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC597__g3401(cl_narg narg, ...)
{
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  KEY             */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[1080])(2, ECL_CONS_CAR(CLV1), ECL_CONS_CAR(CLV0)) /*  CONSULT-ASDF-CACHE */;
  return value0;
 }
 }
}
/*      closure G3408                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC598__g3408(cl_narg narg, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV3 = env0;                                     /*  TAGBODY         */
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 {
  cl_object v1si__temp;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1si__temp = cl_grab_rest_args(args);
  ecl_va_end(args);
  ECL_CONS_CAR(CLV2) = v1si__temp;
  cl_go(ECL_CONS_CAR(CLV3),ecl_make_fixnum(0));
 }
 }
}
/*      local function G3409                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC599__g3409(cl_object v1asdf_cache__s)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_format(2, v1asdf_cache__s, VV[1085]);
  return value0;
 }
}
/*      closure G3410                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC600__g3410(cl_narg narg, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV3 = env0;                                     /*  TAGBODY         */
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 {
  cl_object v1si__temp;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1si__temp = cl_grab_rest_args(args);
  ecl_va_end(args);
  ECL_CONS_CAR(CLV2) = v1si__temp;
  cl_go(ECL_CONS_CAR(CLV3),ecl_make_fixnum(1));
 }
 }
}
/*      local function G3411                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC601__g3411(cl_object v1asdf_cache__s)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_format(2, v1asdf_cache__s, VV[1087]);
  return value0;
 }
}
/*      closure G3429                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC607__g3429(cl_narg narg, ...)
{
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  NAMESTRING      */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[1092])(1, ECL_CONS_CAR(CLV0)) /*  COMPUTE-FILE-STAMP */;
  return value0;
 }
 }
}
/*      local function G3430                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC610__g3430()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC609__g3431,ECL_NIL,Cblock,2);
   value0 = v1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G3432                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC612__g3432()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC611__g3433,ECL_NIL,Cblock,2);
   value0 = v1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for SYSDEF-ERROR                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L613sysdef_error(cl_narg narg, cl_object v1format, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_find_system__arguments;
  ecl_va_list args; ecl_va_start(args,v1format,narg,1);
  v2asdf_find_system__arguments = cl_grab_rest_args(args);
  ecl_va_end(args);
  value0 = cl_error(5, VV[1096], ECL_SYM("FORMAT-CONTROL",1250), v1format, ECL_SYM("FORMAT-ARGUMENTS",1249), v2asdf_find_system__arguments);
  return value0;
 }
}
/*      function definition for COERCE-NAME                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L614coerce_name(cl_object v1asdf_component_name)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(si_of_class_p(2, v1asdf_component_name, VV[1042]))) { goto L1; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[1029])(1, v1asdf_component_name) /*  COMPONENT-NAME */;
  return value0;
L1:;
  if (!(ECL_SYMBOLP(v1asdf_component_name))) { goto L3; }
  value0 = cl_string_downcase(1, v1asdf_component_name);
  return value0;
L3:;
  if (!(ECL_STRINGP(v1asdf_component_name))) { goto L5; }
  value0 = v1asdf_component_name;
  cl_env_copy->nvalues = 1;
  return value0;
L5:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1099])(2, VV[1101], v1asdf_component_name) /*  SYSDEF-ERROR */;
  return value0;
 }
}
/*      function definition for PRIMARY-SYSTEM-NAME                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L615primary_system_name(cl_object v1asdf_component_name)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[1100])(1, v1asdf_component_name) /*  COERCE-NAME */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[179])(3, T0, VV[227], VV[350]) /*  SPLIT-STRING */;
  value0 = ecl_car(T1);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for COERCE-FILENAME                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L616coerce_filename(cl_object v1asdf_component_name)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[1100])(1, v1asdf_component_name) /*  COERCE-NAME */;
  value0 = L60frob_substrings(3, T0, VV[1104], VV[638]);
  return value0;
 }
}
/*      function definition for SYSTEM-REGISTERED-P                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L617system_registered_p(cl_object v1asdf_component_name)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[1100])(1, v1asdf_component_name) /*  COERCE-NAME */;
  value0 = cl_gethash(2, T0, ecl_symbol_value(VV[1105]));
  return value0;
 }
}
/*      function definition for REGISTERED-SYSTEM                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L618registered_system(cl_object v1asdf_component_name)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[1106])(1, v1asdf_component_name) /*  SYSTEM-REGISTERED-P */;
  value0 = ecl_cdr(T0);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for REGISTERED-SYSTEMS*                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L619registered_systems_()
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v1;
   cl_object v2;
   cl_object v3asdf_find_system__registered;
   cl_object v4;
   v1 = ecl_symbol_value(VV[1105]);
   v2 = ECL_NIL;
   v3asdf_find_system__registered = ECL_NIL;
   v4 = ECL_NIL;
   {
    cl_object v5;
    v5 = si_hash_table_iterator(v1);
    {
     cl_object v6;
     cl_object v7;
     v6 = ecl_list1(ECL_NIL);
     v7 = v6;
L8:;
     {
      cl_object v9;
      cl_object v10;
      cl_object v11;
      value0 = ecl_function_dispatch(cl_env_copy,v5)(0);
      v9 = value0;
      {
       const int v12 = cl_env_copy->nvalues;
       cl_object v13;
       v13 = (v12<=1)? ECL_NIL : cl_env_copy->values[1];
       v10 = v13;
       v13 = (v12<=2)? ECL_NIL : cl_env_copy->values[2];
       v11 = v13;
      }
      if (Null(v9)) { goto L13; }
      v3asdf_find_system__registered = v11;
      v4 = v10;
L13:;
      v2 = v9;
      if ((v2)!=ECL_NIL) { goto L10; }
     }
     goto L9;
L10:;
     {
      cl_object v8;
      v8 = v7;
      if (ecl_unlikely(ECL_ATOM(v8))) FEtype_error_cons(v8);
      T0 = v8;
     }
     T1 = ecl_cdr(v3asdf_find_system__registered);
     v7 = ecl_list1(T1);
     (ECL_CONS_CDR(T0)=v7,T0);
     goto L8;
L9:;
     value0 = ecl_cdr(v6);
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*      function definition for REGISTERED-SYSTEMS                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L620registered_systems()
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v1;
   cl_object v2;
   cl_object v3;
   v1 = ecl_function_dispatch(cl_env_copy,VV[1108])(0) /*  REGISTERED-SYSTEMS* */;
   v2 = ECL_NIL;
   {
    cl_object v4;
    v4 = v1;
    if (ecl_unlikely(!ECL_LISTP(v4))) FEtype_error_list(v4);
    v3 = v4;
   }
   {
    cl_object v4;
    cl_object v5;
    v4 = ecl_list1(ECL_NIL);
    v5 = v4;
L8:;
    if (!(ecl_endp(v3))) { goto L10; }
    goto L9;
L10:;
    v2 = _ecl_car(v3);
    {
     cl_object v6;
     v6 = _ecl_cdr(v3);
     if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
     v3 = v6;
    }
    {
     cl_object v6;
     v6 = v5;
     if (ecl_unlikely(ECL_ATOM(v6))) FEtype_error_cons(v6);
     T0 = v6;
    }
    T1 = ecl_function_dispatch(cl_env_copy,VV[1100])(1, v2);
    v5 = ecl_list1(T1);
    (ECL_CONS_CDR(T0)=v5,T0);
    goto L8;
L9:;
    value0 = ecl_cdr(v4);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for REGISTER-SYSTEM                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L622register_system(cl_object volatile v1asdf_system_system)
{
 cl_object T0, T1, T2, T3, T4, T5;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = v1asdf_system_system;
   if ((si_of_class_p(2, v2, VV[1072]))!=ECL_NIL) { goto L3; }
   v1asdf_system_system = si_do_check_type(v2, VV[1072], ECL_NIL, VV[1072]);
L3:;
  }
  {
   volatile cl_object v2asdf_component_name;
   v2asdf_component_name = ecl_function_dispatch(cl_env_copy,VV[1029])(1, v1asdf_system_system) /*  COMPONENT-NAME */;
   {
    cl_object v3;
    v3 = v2asdf_component_name;
    if (ECL_STRINGP(v3)) { goto L9; }
    v2asdf_component_name = si_do_check_type(v3, ECL_SYM("STRING",805), ECL_NIL, VV[1111]);
L9:;
   }
   ecl_function_dispatch(cl_env_copy,VV[1010])(2, VV[1112], v1asdf_system_system) /*  ASDF-MESSAGE */;
   T0 = ecl_function_dispatch(cl_env_copy,VV[1107])(1, v2asdf_component_name) /*  REGISTERED-SYSTEM */;
   if ((v1asdf_system_system)==(T0)) { goto L13; }
   T0 = ecl_symbol_value(VV[1105]);
   {
    volatile cl_object env1 = env0;
    env1 = ECL_NIL;
    CLV0 = env1 = CONS(ECL_NIL,env1);
    {
     volatile cl_object env2 = env1;
     CLV1 = env2 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
     if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
     if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L16;
     ecl_internal_error("GO found an inexistent tag");
     }
     {
      cl_object v3;
      v3 = ecl_make_cclosure_va((cl_objectfn)LC621__g3514,env2,Cblock);
      T2 = v3;
     }
     T3 = CONS(ECL_SYM("ERROR",337),T2);
     T4 = ecl_list1(T3);
     T5 = CONS(T4,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
     ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T5); /*  *HANDLER-CLUSTERS* */
     T2 = ecl_function_dispatch(cl_env_copy,VV[1068])(1, v1asdf_system_system) /*  SYSTEM-SOURCE-FILE */;
     value0 = ecl_function_dispatch(cl_env_copy,VV[1094])(1, T2) /*  GET-FILE-STAMP */;
     ecl_frs_pop(cl_env_copy);
     T1 = value0;
     ecl_bds_unwind1(cl_env_copy);
     goto L15;
L16:;
     {
      cl_object v3condition;
      v3condition = ECL_CONS_CAR(CLV0);
      cl_env_copy->nvalues = 2;
      cl_env_copy->values[1] = v3condition;
      cl_env_copy->values[0] = ECL_NIL;
      value0 = cl_env_copy->values[0];
      ecl_frs_pop(cl_env_copy);
      T1 = value0;
      goto L15;
     }
    }
   }
L15:;
   T2 = CONS(T1,v1asdf_system_system);
   value0 = si_hash_set(v2asdf_component_name, T0, T2);
   return value0;
L13:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for MAKE-PRELOADED-SYSTEM                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L623make_preloaded_system(cl_object v1asdf_component_name, cl_object v2asdf_find_system__keys)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3asdf_system_system;
   T0 = cl_getf(3, v2asdf_find_system__keys, VV[1115], VV[1072]);
   T1 = cl_getf(2, v2asdf_find_system__keys, VV[1116]);
   T2 = ecl_function_dispatch(cl_env_copy,VV[163])(2, VV[1117], v2asdf_find_system__keys) /*  REMOVE-PLIST-KEYS */;
   v3asdf_system_system = cl_apply(7, ECL_SYM("MAKE-INSTANCE",949), T0, ECL_SYM("NAME",1285), v1asdf_component_name, VV[1116], T1, T2);
   ecl_function_dispatch(cl_env_copy,VV[1359])(1, v3asdf_system_system) /*  MARK-COMPONENT-PRELOADED */;
   value0 = v3asdf_system_system;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for SYSDEF-PRELOADED-SYSTEM-SEARCH        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L624sysdef_preloaded_system_search(cl_object v1asdf_find_system__requested)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2asdf_component_name;
   v2asdf_component_name = ecl_function_dispatch(cl_env_copy,VV[1100])(1, v1asdf_find_system__requested) /*  COERCE-NAME */;
   {
    cl_object v4;                                 /*  KEYS            */
    cl_object v5;                                 /*  FOUNDP          */
    value0 = cl_gethash(2, v2asdf_component_name, ecl_symbol_value(VV[1113]));
    v4 = value0;
    v5 = cl_env_copy->values[1];
    if (Null(v5)) { goto L3; }
    value0 = ecl_function_dispatch(cl_env_copy,VV[1114])(2, v2asdf_component_name, v4) /*  MAKE-PRELOADED-SYSTEM */;
    return value0;
L3:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for ENSURE-PRELOADED-SYSTEM-REGISTERED    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L625ensure_preloaded_system_registered(cl_object v1asdf_component_name)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2asdf_system_system;
   if ((ecl_function_dispatch(cl_env_copy,VV[1107])(1, v1asdf_component_name) /*  REGISTERED-SYSTEM */)!=ECL_NIL) { goto L3; }
   v2asdf_system_system = ecl_function_dispatch(cl_env_copy,VV[1118])(1, v1asdf_component_name) /*  SYSDEF-PRELOADED-SYSTEM-SEARCH */;
   goto L1;
L3:;
   v2asdf_system_system = ECL_NIL;
   goto L1;
L1:;
   if (Null(v2asdf_system_system)) { goto L5; }
   value0 = ecl_function_dispatch(cl_env_copy,VV[1110])(1, v2asdf_system_system) /*  REGISTER-SYSTEM */;
   return value0;
L5:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for ENSURE-ALL-PRELOADED-SYSTEMS-REGISTERED */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L626ensure_all_preloaded_systems_registered()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v1;
   cl_object v2;
   cl_object v3asdf_component_name;
   cl_object v4;
   v1 = ecl_symbol_value(VV[1113]);
   v2 = ECL_NIL;
   v3asdf_component_name = ECL_NIL;
   v4 = ECL_NIL;
   {
    cl_object v5;
    v5 = si_hash_table_iterator(v1);
L6:;
    {
     cl_object v7;
     cl_object v8;
     cl_object v9;
     value0 = ecl_function_dispatch(cl_env_copy,v5)(0);
     v7 = value0;
     {
      const int v10 = cl_env_copy->nvalues;
      cl_object v11;
      v11 = (v10<=1)? ECL_NIL : cl_env_copy->values[1];
      v8 = v11;
      v11 = (v10<=2)? ECL_NIL : cl_env_copy->values[2];
      v9 = v11;
     }
     if (Null(v7)) { goto L11; }
     v4 = v9;
     v3asdf_component_name = v8;
L11:;
     v2 = v7;
     if ((v2)!=ECL_NIL) { goto L8; }
    }
    goto L7;
L8:;
    ecl_function_dispatch(cl_env_copy,VV[1119])(1, v3asdf_component_name) /*  ENSURE-PRELOADED-SYSTEM-REGISTERED */;
    goto L6;
L7:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for REGISTER-PRELOADED-SYSTEM             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L627register_preloaded_system(cl_narg narg, cl_object v1asdf_find_system__system_name, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_find_system__keys;
  cl_object v3asdf_component_version;
  ecl_va_list args; ecl_va_start(args,v1asdf_find_system__system_name,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L627register_preloaded_systemkeys,keyvars,(cl_object*)&v2asdf_find_system__keys,TRUE);
   ecl_va_end(args);
   if (Null(keyvars[1])) {
    v3asdf_component_version = ECL_T;
   } else {
    v3asdf_component_version = keyvars[0];
   }
  }
  {
   cl_object v4asdf_component_name;
   v4asdf_component_name = ecl_function_dispatch(cl_env_copy,VV[1100])(1, v1asdf_find_system__system_name) /*  COERCE-NAME */;
   if (!(ecl_eql(v3asdf_component_version,ECL_T))) { goto L3; }
   {
    cl_object v5asdf_system_system;
    v5asdf_system_system = ecl_function_dispatch(cl_env_copy,VV[1107])(1, v4asdf_component_name) /*  REGISTERED-SYSTEM */;
    if (Null(v5asdf_system_system)) { goto L3; }
    {
     cl_object v6;
     v6 = ecl_function_dispatch(cl_env_copy,VV[1036])(1, v5asdf_system_system) /*  COMPONENT-VERSION */;
     {
      cl_object v7;
      v7 = si_put_f(v2asdf_find_system__keys, v6, ECL_SYM("VERSION",1338));
      v2asdf_find_system__keys = v7;
     }
    }
   }
L3:;
   si_hash_set(v4asdf_component_name, ecl_symbol_value(VV[1113]), v2asdf_find_system__keys);
   value0 = ecl_function_dispatch(cl_env_copy,VV[1119])(1, v1asdf_find_system__system_name) /*  ENSURE-PRELOADED-SYSTEM-REGISTERED */;
   return value0;
  }
 }
}
/*      function definition for SYSDEF-IMMUTABLE-SYSTEM-SEARCH        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L628sysdef_immutable_system_search(cl_object v1asdf_find_system__requested)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2asdf_component_name;
   v2asdf_component_name = ecl_function_dispatch(cl_env_copy,VV[1100])(1, v1asdf_find_system__requested) /*  COERCE-NAME */;
   if (Null(ecl_symbol_value(VV[1122]))) { goto L2; }
   if (Null(ecl_gethash_safe(v2asdf_component_name,ecl_symbol_value(VV[1122]),ECL_NIL))) { goto L2; }
   value0 = ecl_function_dispatch(cl_env_copy,VV[1107])(1, v1asdf_find_system__requested) /*  REGISTERED-SYSTEM */;
   if ((value0)!=ECL_NIL) { goto L6; }
   T0 = ecl_list1(v2asdf_component_name);
   value0 = cl_error(5, VV[1096], ECL_SYM("FORMAT-CONTROL",1250), VV[1124], ECL_SYM("FORMAT-ARGUMENTS",1249), T0);
   return value0;
L6:;
   cl_env_copy->nvalues = 1;
   return value0;
L2:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for REGISTER-IMMUTABLE-SYSTEM             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L629register_immutable_system(cl_narg narg, cl_object v1asdf_find_system__system_name, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_find_system__keys;
  ecl_va_list args; ecl_va_start(args,v1asdf_find_system__system_name,narg,1);
  v2asdf_find_system__keys = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object v3asdf_find_system__system_name;
   v3asdf_find_system__system_name = ecl_function_dispatch(cl_env_copy,VV[1100])(1, v1asdf_find_system__system_name) /*  COERCE-NAME */;
   cl_apply(3, VV[1121], v3asdf_find_system__system_name, v2asdf_find_system__keys);
   if ((ecl_symbol_value(VV[1122]))!=ECL_NIL) { goto L3; }
   cl_set(VV[1122],ecl_function_dispatch(cl_env_copy,VV[221])(1, ECL_NIL) /*  LIST-TO-HASH-SET */);
L3:;
   value0 = si_hash_set(v3asdf_find_system__system_name, ecl_symbol_value(VV[1122]), ECL_T);
   return value0;
  }
 }
}
/*      function definition for CLEAR-SYSTEM                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L630clear_system(cl_object v1asdf_system_system)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2asdf_component_name;
   v2asdf_component_name = ecl_function_dispatch(cl_env_copy,VV[1100])(1, v1asdf_system_system) /*  COERCE-NAME */;
   cl_remhash(v2asdf_component_name, ecl_symbol_value(VV[1105]));
   T0 = cl_list(2, VV[1067], v2asdf_component_name);
   ecl_function_dispatch(cl_env_copy,VV[1079])(1, T0) /*  UNSET-ASDF-CACHE-ENTRY */;
   T0 = ecl_function_dispatch(cl_env_copy,VV[1119])(1, v2asdf_component_name) /*  ENSURE-PRELOADED-SYSTEM-REGISTERED */;
   value0 = Null(T0)?ECL_T:ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for CLEAR-DEFINED-SYSTEMS                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L631clear_defined_systems()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v1;
   cl_object v2;
   cl_object v3asdf_component_name;
   cl_object v4;
   v1 = ecl_symbol_value(VV[1105]);
   v2 = ECL_NIL;
   v3asdf_component_name = ECL_NIL;
   v4 = ECL_NIL;
   {
    cl_object v5;
    v5 = si_hash_table_iterator(v1);
L6:;
    {
     cl_object v7;
     cl_object v8;
     cl_object v9;
     value0 = ecl_function_dispatch(cl_env_copy,v5)(0);
     v7 = value0;
     {
      const int v10 = cl_env_copy->nvalues;
      cl_object v11;
      v11 = (v10<=1)? ECL_NIL : cl_env_copy->values[1];
      v8 = v11;
      v11 = (v10<=2)? ECL_NIL : cl_env_copy->values[2];
      v9 = v11;
     }
     if (Null(v7)) { goto L11; }
     v4 = v9;
     v3asdf_component_name = v8;
L11:;
     v2 = v7;
     if ((v2)!=ECL_NIL) { goto L8; }
    }
    goto L7;
L8:;
    if (ecl_equal(v3asdf_component_name,VV[1128])) { goto L17; }
    ecl_function_dispatch(cl_env_copy,VV[1126])(1, v3asdf_component_name) /*  CLEAR-SYSTEM */;
L17:;
    goto L6;
L7:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for MAP-SYSTEMS                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L632map_systems(cl_object v1asdf_find_system__fn)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   cl_object v3;
   cl_object v4asdf_find_system__registered;
   cl_object v5;
   v2 = ecl_symbol_value(VV[1105]);
   v3 = ECL_NIL;
   v4asdf_find_system__registered = ECL_NIL;
   v5 = ECL_NIL;
   {
    cl_object v6;
    v6 = si_hash_table_iterator(v2);
L6:;
    {
     cl_object v8;
     cl_object v9;
     cl_object v10;
     value0 = ecl_function_dispatch(cl_env_copy,v6)(0);
     v8 = value0;
     {
      const int v11 = cl_env_copy->nvalues;
      cl_object v12;
      v12 = (v11<=1)? ECL_NIL : cl_env_copy->values[1];
      v9 = v12;
      v12 = (v11<=2)? ECL_NIL : cl_env_copy->values[2];
      v10 = v12;
     }
     if (Null(v8)) { goto L11; }
     v4asdf_find_system__registered = v10;
     v5 = v9;
L11:;
     v3 = v8;
     if ((v3)!=ECL_NIL) { goto L8; }
    }
    goto L7;
L8:;
    T0 = ecl_cdr(v4asdf_find_system__registered);
    ecl_function_dispatch(cl_env_copy,v1asdf_find_system__fn)(1, T0);
    goto L6;
L7:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for CLEANUP-SYSTEM-DEFINITION-SEARCH-FUNCTIONS */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L635cleanup_system_definition_search_functions()
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object env1 = env0;
   env1 = ECL_NIL;
   CLV0 = env1 = CONS(VV[1132],env1);             /*  OBSOLETE        */
   {
    cl_object v1;
    v1 = ecl_make_cclosure_va((cl_objectfn)LC633__g3671,env1,Cblock);
    T1 = v1;
   }
   T0 = cl_remove_if(2, T1, ecl_symbol_value(VV[1130]));
  }
  {
   cl_object v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC634__g3672,ECL_NIL,Cblock,1);
   T1 = v1;
  }
  T2 = cl_remove_if(2, T1, VV[1133]);
  cl_set(VV[1130],ecl_append(T0,T2));
  value0 = ecl_symbol_value(VV[1130]);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SEARCH-FOR-SYSTEM-DEFINITION          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L637search_for_system_definition(cl_object volatile v1asdf_system_system)
{
 cl_object T0;
 cl_object volatile env0 = ECL_NIL;
 volatile struct ecl_cclosure aux_closure;
 cl_object volatile CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   env0 = ECL_NIL;
   CLV0 = env0 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env0); /*  SEARCH-FOR-SYSTEM-DEFINITION */
   if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV0))!=0) {
   value0 = cl_env_copy->values[0];
   ecl_frs_pop(cl_env_copy);
   return value0;
   } else {
   {
    cl_object env1 = env0;
    T0 = ecl_function_dispatch(cl_env_copy,VV[1100])(1, v1asdf_system_system) /*  COERCE-NAME */;
    CLV1 = env1 = CONS(T0,env1);                  /*  NAME            */
    {
     cl_object v2;
     v2 = ecl_make_cclosure_va((cl_objectfn)LC636try,env1,Cblock);
     (aux_closure.env=env1,cl_env_copy->function=(cl_object)&aux_closure,LC636try(1, VV[1135]));
     (aux_closure.env=env1,cl_env_copy->function=(cl_object)&aux_closure,LC636try(1, VV[1123]));
     value0 = cl_map(3, ECL_NIL, v2, ecl_symbol_value(VV[1130]));
     ecl_frs_pop(cl_env_copy);
     return value0;
    }
   }}
  }
 }
}
/*      function definition for PROBE-ASD                             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L639probe_asd(cl_narg narg, cl_object v1asdf_component_name, cl_object v2asdf_find_system__defaults, ...)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3truename;
  ecl_va_list args; ecl_va_start(args,v2asdf_find_system__defaults,narg,2);
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v2asdf_find_system__defaults,env0); /*  DEFAULTS */
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L639probe_asdkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v3truename = keyvars[0];
  }
  if (Null(ecl_function_dispatch(cl_env_copy,VV[336])(1, ECL_CONS_CAR(CLV0)) /*  DIRECTORY-PATHNAME-P */)) { goto L1; }
  {
   cl_object v4asdf_find_system__file;
   T0 = ecl_function_dispatch(cl_env_copy,VV[358])(3, v1asdf_component_name, ECL_SYM("TYPE",1330), VV[1138]) /*  PARSE-UNIX-NAMESTRING */;
   {
    cl_object v5;
    v5 = ecl_make_cclosure_va((cl_objectfn)LC638__g3673,env0,Cblock);
    T1 = v5;
   }
   T2 = ecl_function_dispatch(cl_env_copy,VV[378])(3, T0, T1, ECL_NIL) /*  ENSURE-ABSOLUTE-PATHNAME */;
   v4asdf_find_system__file = ecl_function_dispatch(cl_env_copy,VV[410])(3, T2, VV[419], v3truename) /*  PROBE-FILE* */;
   if (Null(v4asdf_find_system__file)) { goto L3; }
   value0 = v4asdf_find_system__file;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L3:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SYSDEF-CENTRAL-REGISTRY-SEARCH        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L645sysdef_central_registry_search(cl_object volatile v1asdf_system_system)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0, CLV1, CLV2, CLV3, CLV4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object v2;
   volatile cl_object v3asdf_find_system__to_remove;
   volatile cl_object v4asdf_find_system__to_replace;
   v2 = ecl_function_dispatch(cl_env_copy,VV[1102])(1, v1asdf_system_system) /*  PRIMARY-SYSTEM-NAME */;
   v3asdf_find_system__to_remove = ECL_NIL;
   v4asdf_find_system__to_replace = ECL_NIL;
   {
    volatile bool unwinding = FALSE;
    cl_index v5=ECL_STACK_INDEX(cl_env_copy),v6;
    ecl_frame_ptr next_fr;
    if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
      unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
    } else {
    {
     volatile cl_object v7;
     v7 = ecl_symbol_value(VV[1136]);
     goto L8;
L7:;
     {
      volatile cl_object env1 = env0;
      T0 = ecl_car(v7);
      env1 = ECL_NIL;
      CLV0 = env1 = CONS(T0,env1);                /*  DIR             */
      {
       volatile cl_object v8;
       volatile cl_object env2 = env1;
       v8 = cl_eval(ECL_CONS_CAR(CLV0));
       CLV1 = env2 = CONS(v8,env2);               /*  DEFAULTS        */
       CLV2 = env2 = CONS(ECL_NIL,env2);          /*  DIRECTORIZED    */
       if (Null(ECL_CONS_CAR(CLV1))) { goto L11; }
       if (Null(ecl_function_dispatch(cl_env_copy,VV[336])(1, ECL_CONS_CAR(CLV1)) /*  DIRECTORY-PATHNAME-P */)) { goto L14; }
       {
        cl_object v9asdf_find_system__file;
        v9asdf_find_system__file = ecl_function_dispatch(cl_env_copy,VV[1137])(4, v2, ECL_CONS_CAR(CLV1), VV[419], ecl_symbol_value(VV[432])) /*  PROBE-ASD */;
        if (Null(v9asdf_find_system__file)) { goto L11; }
        cl_env_copy->values[0] = v9asdf_find_system__file;
        cl_env_copy->nvalues = 1;
        goto L4;
       }
L14:;
       {
        volatile cl_object env3 = env2;
        CLV3 = env3 = CONS(ECL_NIL,env3);
        {
         volatile cl_object env4 = env3;
         CLV4 = env4 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env4); /*  TAGBODY */
         if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV4))) {
         if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L18;
         if (cl_env_copy->values[0]==ecl_make_fixnum(1))goto L19;
         ecl_internal_error("GO found an inexistent tag");
         }
         {
          cl_object v10;
          v10 = ecl_make_cclosure_va((cl_objectfn)LC640__g3734,env4,Cblock);
          T0 = v10;
         }
         {
          cl_object v10;
          v10 = ecl_make_cfun((cl_objectfn_fixed)LC641__g3735,ECL_NIL,Cblock,1);
          T1 = v10;
         }
         T2 = ecl_function_dispatch(cl_env_copy,VV[2382])(6, ECL_SYM("NAME",1285), VV[1140], ECL_SYM("FUNCTION",1251), T0, VV[1084], T1) /*  MAKE-RESTART */;
         {
          cl_object v10;
          v10 = ecl_make_cclosure_va((cl_objectfn)LC642__g3736,env4,Cblock);
          T3 = v10;
         }
         {
          cl_object v10;
          v10 = ecl_make_cclosure_va((cl_objectfn)LC643__g3737,env4,Cblock);
          T4 = v10;
         }
         {
          cl_object v10;
          v10 = ecl_make_cclosure_va((cl_objectfn)LC644__g3738,env4,Cblock);
          T5 = v10;
         }
         T6 = ecl_function_dispatch(cl_env_copy,VV[2382])(8, ECL_SYM("NAME",1285), VV[1142], ECL_SYM("FUNCTION",1251), T3, VV[1084], T4, VV[1144], T5) /*  MAKE-RESTART */;
         T7 = cl_list(2, T2, T6);
         T8 = CONS(T7,ecl_symbol_value(ECL_SYM("*RESTART-CLUSTERS*",4)));
         ecl_bds_bind(cl_env_copy,ECL_SYM("*RESTART-CLUSTERS*",4),T8); /*  *RESTART-CLUSTERS* */
         {
          cl_object v10asdf_find_system__message;
          ecl_bds_bind(cl_env_copy,ECL_SYM("*PRINT-CIRCLE*",47),ECL_NIL); /*  *PRINT-CIRCLE* */
          v10asdf_find_system__message = cl_format(5, ECL_NIL, VV[1145], v1asdf_system_system, ECL_CONS_CAR(CLV0), ECL_CONS_CAR(CLV1));
          cl_error(1, v10asdf_find_system__message);
          ecl_frs_pop(cl_env_copy);
          ecl_bds_unwind1(cl_env_copy);
          ecl_bds_unwind1(cl_env_copy);
          goto L11;
         }
L18:;
         v3asdf_find_system__to_remove = CONS(ECL_CONS_CAR(CLV0),v3asdf_find_system__to_remove);
         ecl_frs_pop(cl_env_copy);
         goto L11;
L19:;
         T0 = CONS(ECL_CONS_CAR(CLV0),ECL_CONS_CAR(CLV2));
         v4asdf_find_system__to_replace = CONS(T0,v4asdf_find_system__to_replace);
         ecl_frs_pop(cl_env_copy);
         goto L11;
        }
       }
      }
L11:;
     }
     v7 = ecl_cdr(v7);
L8:;
     if (Null(v7)) { goto L33; }
     goto L7;
L33:;
     cl_env_copy->values[0] = ECL_NIL;
     cl_env_copy->nvalues = 1;
    }
L4:;
      next_fr = NULL;
    }
    ecl_frs_pop(cl_env_copy);
    v6=ecl_stack_push_values(cl_env_copy);
    {
     cl_object v7;
     v7 = v3asdf_find_system__to_remove;
     goto L40;
L39:;
     {
      cl_object v8asdf_find_system__dir;
      v8asdf_find_system__dir = ecl_car(v7);
      cl_set(VV[1136],cl_remove(2, v8asdf_find_system__dir, ecl_symbol_value(VV[1136])));
     }
     v7 = ecl_cdr(v7);
L40:;
     if (Null(v7)) { goto L48; }
     goto L39;
L48:;
    }
    {
     cl_object v7;
     v7 = v4asdf_find_system__to_replace;
     goto L53;
L52:;
     {
      cl_object v8asdf_find_system__pair;
      v8asdf_find_system__pair = ecl_car(v7);
      {
       cl_object v9asdf_find_system__current;
       cl_object v10asdf_find_system__new;
       cl_object v11position;
       v9asdf_find_system__current = ecl_car(v8asdf_find_system__pair);
       v10asdf_find_system__new = ecl_cdr(v8asdf_find_system__pair);
       v11position = cl_position(2, v9asdf_find_system__current, ecl_symbol_value(VV[1136]));
       T0 = cl_subseq(3, ecl_symbol_value(VV[1136]), ecl_make_fixnum(0), v11position);
       T1 = ecl_list1(v10asdf_find_system__new);
       T2 = ecl_one_plus(v11position);
       T3 = cl_subseq(2, ecl_symbol_value(VV[1136]), T2);
       cl_set(VV[1136],cl_append(3, T0, T1, T3));
      }
     }
     v7 = ecl_cdr(v7);
L53:;
     if (Null(v7)) { goto L64; }
     goto L52;
L64:;
    }
    ecl_stack_pop_values(cl_env_copy,v6);
    if (unwinding) ecl_unwind(cl_env_copy,next_fr);
    ECL_STACK_SET_INDEX(cl_env_copy,v5);
    return cl_env_copy->values[0];
   }
  }
 }
}
/*      local function G3752                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC646__g3752(cl_narg narg, cl_object v1asdf_component_name, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_find_system__error_p;
  va_list args; va_start(args,v1asdf_component_name);
  {
   int i = 1;
   if (i >= narg) {
    v2asdf_find_system__error_p = ECL_T;
   } else {
    i++;
    v2asdf_find_system__error_p = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (Null(v2asdf_find_system__error_p)) { goto L2; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[1099])(1, VV[1146]) /*  SYSDEF-ERROR */;
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G3753                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC647__g3753(cl_narg narg, cl_object v1asdf_component_name, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_find_system__error_p;
  va_list args; va_start(args,v1asdf_component_name);
  {
   int i = 1;
   if (i >= narg) {
    v2asdf_find_system__error_p = ECL_T;
   } else {
    i++;
    v2asdf_find_system__error_p = va_arg(args,cl_object);
   }
  }
  va_end(args);
  T0 = ecl_function_dispatch(cl_env_copy,VV[1100])(1, v1asdf_component_name) /*  COERCE-NAME */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1067])(2, T0, v2asdf_find_system__error_p) /*  FIND-SYSTEM */;
  return value0;
 }
}
/*      function definition for FIND-SYSTEM-IF-BEING-DEFINED          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L648find_system_if_being_defined(cl_object v1asdf_component_name)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[1100])(1, v1asdf_component_name) /*  COERCE-NAME */;
  T1 = cl_list(2, VV[1067], T0);
  T2 = cl_gethash(2, T1, ecl_symbol_value(VV[1077]));
  value0 = ecl_car(T2);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for LOAD-ASD                              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L651load_asd(cl_narg narg, cl_object v1pathname, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  ecl_va_list args; ecl_va_start(args,v1pathname,narg,1);
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1pathname,env0);            /*  PATHNAME        */
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,L651load_asdkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   CLV1 = env0 = CONS(keyvars[0],env0);           /*  NAME            */
   if (Null(keyvars[3])) {
    T0 = ecl_function_dispatch(cl_env_copy,VV[508])(1, ECL_CONS_CAR(CLV0)) /*  DETECT-ENCODING */;
    T1 = ecl_function_dispatch(cl_env_copy,VV[513])(1, T0) /*  ENCODING-EXTERNAL-FORMAT */;
    CLV2 = env0 = CONS(T1,env0);                  /*  EXTERNAL-FORMAT */
   } else {
    CLV2 = env0 = CONS(keyvars[1],env0);          /*  EXTERNAL-FORMAT */
   }
  }
  {
   cl_object env1 = env0;
   CLV3 = env1 = CONS(ecl_symbol_value(ECL_SYM("*READTABLE*",65)),env1); /*  READTABLE */
   CLV4 = env1 = CONS(ecl_symbol_value(ECL_SYM("*PRINT-PPRINT-DISPATCH*",54)),env1); /*  PRINT-PPRINT-DISPATCH */
   {
    cl_object v2;
    v2 = ecl_make_cclosure_va((cl_objectfn)LC650__g3754,env1,Cblock);
    T0 = v2;
   }
   value0 = ecl_function_dispatch(cl_env_copy,VV[1082])(5, T0, VV[1088], ECL_NIL, ECL_SYM("KEY",1274), ECL_NIL) /*  CALL-WITH-ASDF-CACHE */;
   return value0;
  }
 }
}
/*      function definition for CHECK-NOT-OLD-ASDF-SYSTEM             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L653check_not_old_asdf_system(cl_object v1asdf_component_name, cl_object v2pathname)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 cl_object CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v2pathname,env0);            /*  PATHNAME        */
  {
   bool v3;
   v3 = ecl_equal(v1asdf_component_name,VV[1128]);
   value0 = (v3)?ECL_NIL:ECL_T;
  }
  if ((value0)!=ECL_NIL) { goto L2; }
  value0 = ecl_make_bool(ECL_CONS_CAR(CLV0)==ECL_NIL);
  if ((value0)!=ECL_NIL) { goto L2; }
  {
   cl_object v3asdf_find_system__version_pathname;
   cl_object env1 = env0;
   v3asdf_find_system__version_pathname = ecl_function_dispatch(cl_env_copy,VV[373])(2, ECL_CONS_CAR(CLV0), VV[1153]) /*  SUBPATHNAME */;
   if (Null(ecl_function_dispatch(cl_env_copy,VV[410])(3, v3asdf_find_system__version_pathname, VV[419], ECL_NIL) /*  PROBE-FILE* */)) { goto L8; }
   T0 = ecl_function_dispatch(cl_env_copy,VV[559])(1, v3asdf_find_system__version_pathname) /*  READ-FILE-FORM */;
   goto L6;
L8:;
   T0 = ECL_NIL;
   goto L6;
L6:;
   CLV1 = env1 = CONS(T0,env1);                   /*  VERSION         */
   T0 = ecl_function_dispatch(cl_env_copy,VV[1000])(0) /*  ASDF-VERSION */;
   CLV2 = env1 = CONS(T0,env1);                   /*  OLD-VERSION     */
   if (Null(ecl_function_dispatch(cl_env_copy,VV[232])(2, ECL_CONS_CAR(CLV2), ECL_CONS_CAR(CLV1)) /*  VERSION< */)) { goto L10; }
   value0 = ECL_T;
   cl_env_copy->nvalues = 1;
   return value0;
L10:;
   if (!(ecl_equal(ECL_CONS_CAR(CLV2),ECL_CONS_CAR(CLV1)))) { goto L12; }
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L12:;
   T0 = cl_namestring(ECL_CONS_CAR(CLV0));
   T1 = cl_list(2, T0, ECL_CONS_CAR(CLV1));
   {
    cl_object v4;
    v4 = ecl_make_cclosure_va((cl_objectfn)LC652__g3761,env1,Cblock);
    T2 = v4;
   }
   ecl_function_dispatch(cl_env_copy,VV[220])(3, T1, ecl_symbol_value(VV[1151]), T2) /*  ENSURE-GETHASH */;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for LOCATE-SYSTEM                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L655locate_system(cl_object v1asdf_component_name)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1asdf_component_name,env0); /*  NAME            */
  {
   cl_object v2;
   v2 = ecl_make_cclosure_va((cl_objectfn)LC654__g3774,env0,Cblock);
   T0 = v2;
  }
  value0 = ecl_function_dispatch(cl_env_copy,VV[1082])(5, T0, VV[1088], ECL_NIL, ECL_SYM("KEY",1274), ECL_NIL) /*  CALL-WITH-ASDF-CACHE */;
  return value0;
 }
}
/*      local function G3791                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC657__g3791(volatile cl_narg narg, cl_object volatile v1asdf_component_name, ...)
{
 cl_object T0, T1;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  va_list args; va_start(args,v1asdf_component_name);
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1asdf_component_name,env0); /*  NAME            */
  {
   int i = 1;
   if (i >= narg) {
    CLV1 = env0 = CONS(ECL_T,env0);               /*  ERROR-P         */
   } else {
    i++;
    CLV1 = env0 = CONS(va_arg(args,cl_object),env0); /*  ERROR-P      */
   }
  }
  va_end(args);
  {
   CLV2 = env0 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env0); /*  FIND-SYSTEM */
   if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV2))!=0) {
   value0 = cl_env_copy->values[0];
   ecl_frs_pop(cl_env_copy);
   return value0;
   } else {
   {
    cl_object volatile v2;
    v2 = ecl_make_cclosure_va((cl_objectfn)LC656__g3792,env0,Cblock);
    T0 = v2;
   }
   T1 = cl_list(2, VV[1067], ECL_CONS_CAR(CLV0));
   value0 = ecl_function_dispatch(cl_env_copy,VV[1082])(5, T0, VV[1088], ECL_NIL, ECL_SYM("KEY",1274), T1) /*  CALL-WITH-ASDF-CACHE */;
   ecl_frs_pop(cl_env_copy);
   return value0;}
  }
 }
}
/*      local function G3431                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC609__g3431(cl_object v1asdf_find_system__c, cl_object v2asdf_find_system__s)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[2412])(1, v1asdf_find_system__c) /*  FORMAT-CONTROL */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[2413])(1, v1asdf_find_system__c) /*  FORMAT-ARGUMENTS */;
  value0 = cl_apply(4, ECL_SYM("FORMAT",387), v2asdf_find_system__s, T0, T1);
  return value0;
 }
}
/*      local function G3433                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC611__g3433(cl_object v1asdf_find_system__c, cl_object v2asdf_find_system__s)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[2414])(1, v1asdf_find_system__c) /*  ERROR-NAME */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[2415])(1, v1asdf_find_system__c) /*  ERROR-PATHNAME */;
  T2 = ecl_function_dispatch(cl_env_copy,VV[2416])(1, v1asdf_find_system__c) /*  ERROR-CONDITION */;
  value0 = cl_format(5, v2asdf_find_system__s, VV[1098], T0, T1, T2);
  return value0;
 }
}
/*      closure G3514                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC621__g3514(cl_narg narg, cl_object v1si__temp, ...)
{
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  TAGBODY         */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV0) = v1si__temp;
  cl_go(ECL_CONS_CAR(CLV1),ecl_make_fixnum(0));
 }
 }
}
/*      closure G3671                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC633__g3671(cl_narg narg, cl_object v1asdf_find_system__x, ...)
{
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  OBSOLETE        */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = ecl_memql(v1asdf_find_system__x,ECL_CONS_CAR(CLV0));
  cl_env_copy->nvalues = 1;
  return value0;
 }
 }
}
/*      local function G3672                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC634__g3672(cl_object v1asdf_find_system__x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_memql(v1asdf_find_system__x,ecl_symbol_value(VV[1130]));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      closure TRY                                                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC636try(cl_narg narg, cl_object v1asdf_find_system__f, ...)
{
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  NAME            */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  {
   cl_object v2asdf_find_system__x;
   v2asdf_find_system__x = ecl_function_dispatch(cl_env_copy,v1asdf_find_system__f)(1, ECL_CONS_CAR(CLV1));
   if (Null(v2asdf_find_system__x)) { goto L2; }
   cl_env_copy->values[0] = v2asdf_find_system__x;
   cl_env_copy->nvalues = 1;
   cl_return_from(ECL_CONS_CAR(CLV0),ECL_NIL);
L2:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
 }
}
/*      closure G3673                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC638__g3673(cl_narg narg, ...)
{
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  DEFAULTS        */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[378])(3, ECL_CONS_CAR(CLV0), VV[415], ECL_NIL) /*  ENSURE-ABSOLUTE-PATHNAME */;
  return value0;
 }
 }
}
/*      closure G3734                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC640__g3734(cl_narg narg, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV4 = env0;                                     /*  TAGBODY         */
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 {
  cl_object v1si__temp;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1si__temp = cl_grab_rest_args(args);
  ecl_va_end(args);
  ECL_CONS_CAR(CLV3) = v1si__temp;
  cl_go(ECL_CONS_CAR(CLV4),ecl_make_fixnum(0));
 }
 }
}
/*      local function G3735                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC641__g3735(cl_object v1stream)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_write_string(2, VV[1141], v1stream);
  return value0;
 }
}
/*      closure G3736                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC642__g3736(cl_narg narg, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV4 = env0;                                     /*  TAGBODY         */
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 {
  cl_object v1si__temp;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1si__temp = cl_grab_rest_args(args);
  ecl_va_end(args);
  ECL_CONS_CAR(CLV3) = v1si__temp;
  cl_go(ECL_CONS_CAR(CLV4),ecl_make_fixnum(1));
 }
 }
}
/*      closure G3737                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC643__g3737(cl_narg narg, cl_object v1asdf_find_system__s, ...)
{
 cl_object T0;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV4 = env0;
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);                           /*  DIRECTORIZED    */
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  T0 = ECL_CONS_CAR(CLV2);
  value0 = cl_format(4, v1asdf_find_system__s, VV[1143], T0, ECL_CONS_CAR(CLV0));
  return value0;
 }
 }
}
/*      closure G3738                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC644__g3738(cl_narg narg, cl_object v1asdf_find_system__c, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV4 = env0;
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);                           /*  DIRECTORIZED    */
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  if ((ecl_function_dispatch(cl_env_copy,VV[336])(1, ECL_CONS_CAR(CLV1)) /*  DIRECTORY-PATHNAME-P */)!=ECL_NIL) { goto L2; }
  ECL_CONS_CAR(CLV2) = ecl_function_dispatch(cl_env_copy,VV[339])(1, ECL_CONS_CAR(CLV1)) /*  ENSURE-DIRECTORY-PATHNAME */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[336])(1, ECL_CONS_CAR(CLV2)) /*  DIRECTORY-PATHNAME-P */;
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
 }
}
/*      closure G3754                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC650__g3754(cl_narg narg, ...)
{
 cl_object T0, T1, T2, T3;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV4 = env0;                                     /*  PRINT-PPRINT-DISPATCH */
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  {
   cl_object v1;
   v1 = ecl_symbol_value(ECL_SYM("+IO-SYNTAX-PROGV-LIST+",1741));
   {
    cl_object v3, v4; cl_index v2;
    v3 = _ecl_car(v1);
    v4 = _ecl_cdr(v1);
    v2 = ecl_progv(cl_env_copy, v3, v4);
    {
     cl_object v5;
     cl_object v6;
     v5 = cl_find_package(VV[1148]);
     T0 = ecl_function_dispatch(cl_env_copy,VV[317])(1, ECL_CONS_CAR(CLV0)) /*  PHYSICALIZE-PATHNAME */;
     v6 = ecl_function_dispatch(cl_env_copy,VV[333])(1, T0) /*  PATHNAME-DIRECTORY-PATHNAME */;
     ecl_bds_bind(cl_env_copy,ECL_SYM("*PACKAGE*",43),v5); /*  *PACKAGE* */
     ecl_bds_bind(cl_env_copy,ECL_SYM("*READTABLE*",65),ECL_CONS_CAR(CLV3)); /*  *READTABLE* */
     ecl_bds_bind(cl_env_copy,ECL_SYM("*PRINT-PPRINT-DISPATCH*",54),ECL_CONS_CAR(CLV4)); /*  *PRINT-PPRINT-DISPATCH* */
     ecl_bds_bind(cl_env_copy,ECL_SYM("*PRINT-READABLY*",57),ECL_NIL); /*  *PRINT-READABLY* */
     ecl_bds_bind(cl_env_copy,ECL_SYM("*DEFAULT-PATHNAME-DEFAULTS*",32),v6); /*  *DEFAULT-PATHNAME-DEFAULTS* */
     {
      cl_object v7;
      v7 = ecl_make_cclosure_va((cl_objectfn)LC649__g3760,env0,Cblock);
      T0 = v7;
     }
     T1 = CONS(VV[1149],T0);
     T2 = ecl_list1(T1);
     T3 = CONS(T2,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
     ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T3); /*  *HANDLER-CLUSTERS* */
     ecl_function_dispatch(cl_env_copy,VV[1010])(3, VV[1150], ECL_CONS_CAR(CLV1), ECL_CONS_CAR(CLV0)) /*  ASDF-MESSAGE */;
     value0 = ecl_function_dispatch(cl_env_copy,VV[891])(3, ECL_CONS_CAR(CLV0), ECL_SYM("EXTERNAL-FORMAT",1246), ECL_CONS_CAR(CLV2)) /*  LOAD* */;
     ecl_bds_unwind(cl_env_copy,v2);
     return value0;
    }
   }
  }
 }
 }
}
/*      closure G3761                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC652__g3761(cl_narg narg, ...)
{
 cl_object T0;
 cl_object CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV2 = env0;                                     /*  OLD-VERSION     */
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  {
   cl_object v1asdf_find_system__old_pathname;
   {
    cl_object v2asdf_find_system__pair;
    v2asdf_find_system__pair = ecl_function_dispatch(cl_env_copy,VV[1106])(1, VV[1128]) /*  SYSTEM-REGISTERED-P */;
    if (Null(v2asdf_find_system__pair)) { goto L3; }
    T0 = ecl_cdr(v2asdf_find_system__pair);
    v1asdf_find_system__old_pathname = ecl_function_dispatch(cl_env_copy,VV[1068])(1, T0) /*  SYSTEM-SOURCE-FILE */;
    goto L1;
L3:;
    v1asdf_find_system__old_pathname = ECL_NIL;
   }
L1:;
   value0 = (cl_env_copy->function=(ECL_SYM("WARN",903)->symbol.gfdef))->cfun.entry(5, VV[1154], ECL_CONS_CAR(CLV2), v1asdf_find_system__old_pathname, ECL_CONS_CAR(CLV1), ECL_CONS_CAR(CLV0)) /*  WARN */;
   return value0;
  }
 }
 }
}
/*      closure G3774                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC654__g3774(cl_narg narg, ...)
{
 cl_object T0;
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  NAME            */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  {
   cl_object v1asdf_component_name;
   cl_object v2asdf_find_system__in_memory;
   cl_object v3asdf_find_system__previous;
   cl_object v4asdf_find_system__previous;
   cl_object v5asdf_find_system__previous_time;
   cl_object v6asdf_find_system__found;
   cl_object v7asdf_find_system__found_system;
   cl_object v8pathname;
   cl_object v9asdf_find_system__foundp;
   v1asdf_component_name = ecl_function_dispatch(cl_env_copy,VV[1100])(1, ECL_CONS_CAR(CLV0)) /*  COERCE-NAME */;
   v2asdf_find_system__in_memory = ecl_function_dispatch(cl_env_copy,VV[1106])(1, v1asdf_component_name) /*  SYSTEM-REGISTERED-P */;
   v3asdf_find_system__previous = ecl_cdr(v2asdf_find_system__in_memory);
   if (Null(si_of_class_p(2, v3asdf_find_system__previous, VV[1072]))) { goto L6; }
   v4asdf_find_system__previous = v3asdf_find_system__previous;
   goto L4;
L6:;
   v4asdf_find_system__previous = ECL_NIL;
   goto L4;
L4:;
   v5asdf_find_system__previous_time = ecl_car(v2asdf_find_system__in_memory);
   v6asdf_find_system__found = ecl_function_dispatch(cl_env_copy,VV[1134])(1, v1asdf_component_name) /*  SEARCH-FOR-SYSTEM-DEFINITION */;
   if (Null(si_of_class_p(2, v6asdf_find_system__found, VV[1072]))) { goto L12; }
   v7asdf_find_system__found_system = v6asdf_find_system__found;
   goto L10;
L12:;
   v7asdf_find_system__found_system = ECL_NIL;
   goto L10;
L10:;
   if ((cl_pathnamep(v6asdf_find_system__found))!=ECL_NIL) { goto L22; }
   if (!(ECL_STRINGP(v6asdf_find_system__found))) { goto L20; }
   goto L21;
L22:;
L21:;
   value0 = cl_pathname(v6asdf_find_system__found);
   goto L18;
L20:;
   value0 = ECL_NIL;
   goto L18;
L18:;
   if ((value0)!=ECL_NIL) { goto L17; }
   if (Null(v7asdf_find_system__found_system)) { goto L26; }
   value0 = ecl_function_dispatch(cl_env_copy,VV[1068])(1, v7asdf_find_system__found_system) /*  SYSTEM-SOURCE-FILE */;
   goto L24;
L26:;
   value0 = ECL_NIL;
   goto L24;
L24:;
   if ((value0)!=ECL_NIL) { goto L17; }
   if (Null(v4asdf_find_system__previous)) { goto L29; }
   T0 = ecl_function_dispatch(cl_env_copy,VV[1068])(1, v4asdf_find_system__previous) /*  SYSTEM-SOURCE-FILE */;
   goto L15;
L29:;
   T0 = ECL_NIL;
   goto L15;
L17:;
   T0 = value0;
   goto L15;
L15:;
   v8pathname = ecl_function_dispatch(cl_env_copy,VV[364])(5, T0, VV[450], ECL_T, ECL_SYM("RESOLVE-SYMLINKS",1861), ecl_symbol_value(VV[432])) /*  ENSURE-PATHNAME */;
   if ((v7asdf_find_system__found_system)!=ECL_NIL) { goto L35; }
   if ((v8pathname)!=ECL_NIL) { goto L35; }
   if (Null(v4asdf_find_system__previous)) { goto L33; }
   goto L34;
L35:;
L34:;
   v9asdf_find_system__foundp = ECL_T;
   goto L31;
L33:;
   v9asdf_find_system__foundp = ECL_NIL;
   goto L31;
L31:;
   {
    cl_object v10;
    v10 = v6asdf_find_system__found;
    if (v10==ECL_NIL) { goto L40; }
    if ((cl_pathnamep(v10))!=ECL_NIL) { goto L40; }
    if ((si_of_class_p(2, v10, VV[1072]))!=ECL_NIL) { goto L40; }
    v6asdf_find_system__found = si_do_check_type(v10, VV[1156], ECL_NIL, VV[1157]);
L40:;
   }
   if ((ecl_function_dispatch(cl_env_copy,VV[1152])(2, v1asdf_component_name, v8pathname) /*  CHECK-NOT-OLD-ASDF-SYSTEM */)!=ECL_NIL) { goto L45; }
   {
    cl_object v10;
    v10 = v4asdf_find_system__previous;
    if ((si_of_class_p(2, v10, VV[1072]))!=ECL_NIL) { goto L49; }
    v4asdf_find_system__previous = si_do_check_type(v10, VV[1072], ECL_NIL, VV[1158]);
L49:;
   }
   v7asdf_find_system__found_system = ECL_NIL;
   v8pathname = ECL_NIL;
L45:;
   cl_env_copy->nvalues = 5;
   cl_env_copy->values[4] = v5asdf_find_system__previous_time;
   cl_env_copy->values[3] = v4asdf_find_system__previous;
   cl_env_copy->values[2] = v8pathname;
   cl_env_copy->values[1] = v7asdf_find_system__found_system;
   cl_env_copy->values[0] = v9asdf_find_system__foundp;
   return cl_env_copy->values[0];
  }
 }
 }
}
/*      closure G3792                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC656__g3792(cl_narg narg, ...)
{
 cl_object T0, T1;
 cl_object CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV2 = env0;                                     /*  FIND-SYSTEM     */
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  {
   cl_object v1asdf_find_system__primary_name;
   v1asdf_find_system__primary_name = ecl_function_dispatch(cl_env_copy,VV[1102])(1, ECL_CONS_CAR(CLV0)) /*  PRIMARY-SYSTEM-NAME */;
   if (ecl_equal(ECL_CONS_CAR(CLV0),v1asdf_find_system__primary_name)) { goto L1; }
   ecl_function_dispatch(cl_env_copy,VV[1067])(2, v1asdf_find_system__primary_name, ECL_NIL) /*  FIND-SYSTEM */;
  }
L1:;
  if (Null(ecl_symbol_value(VV[1122]))) { goto L8; }
  if (Null(ecl_gethash_safe(ECL_CONS_CAR(CLV0),ecl_symbol_value(VV[1122]),ECL_NIL))) { goto L8; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[1107])(1, ECL_CONS_CAR(CLV0)) /*  REGISTERED-SYSTEM */;
  goto L6;
L8:;
  value0 = ECL_NIL;
  goto L6;
L6:;
  if ((value0)!=ECL_NIL) { goto L5; }
  {
   cl_object v2;                                  /*  FOUNDP          */
   cl_object v3;                                  /*  FOUND-SYSTEM    */
   cl_object v4;                                  /*  PATHNAME        */
   cl_object v5;                                  /*  PREVIOUS        */
   cl_object v6;                                  /*  PREVIOUS-TIME   */
   value0 = ecl_function_dispatch(cl_env_copy,VV[1155])(1, ECL_CONS_CAR(CLV0)) /*  LOCATE-SYSTEM */;
   v2 = value0;
   {
    const int v7 = cl_env_copy->nvalues;
    cl_object v8;
    v8 = (v7<=1)? ECL_NIL : cl_env_copy->values[1];
    v3 = v8;
    v8 = (v7<=2)? ECL_NIL : cl_env_copy->values[2];
    v4 = v8;
    v8 = (v7<=3)? ECL_NIL : cl_env_copy->values[3];
    v5 = v8;
    v8 = (v7<=4)? ECL_NIL : cl_env_copy->values[4];
    v6 = v8;
   }
   goto L14;
L13:;
   si_assert_failure(1, VV[1159]);
L14:;
   if ((v3)!=ECL_NIL) { goto L23; }
   if ((v4)!=ECL_NIL) { goto L23; }
   if (Null(v5)) { goto L21; }
   goto L22;
L23:;
L22:;
   T0 = ECL_T;
   goto L19;
L21:;
   T0 = ECL_NIL;
   goto L19;
L19:;
   if ((v2)==(T0)) { goto L17; }
   goto L13;
L17:;
   {
    cl_object v7;
    cl_object v8;
    if (Null(v5)) { goto L29; }
    v7 = ecl_function_dispatch(cl_env_copy,VV[1068])(1, v5) /*  SYSTEM-SOURCE-FILE */;
    goto L27;
L29:;
    v7 = ECL_NIL;
    goto L27;
L27:;
    value0 = v5;
    if ((value0)!=ECL_NIL) { goto L33; }
    v8 = v3;
    goto L31;
L33:;
    v8 = value0;
    goto L31;
L31:;
    if (Null(v3)) { goto L35; }
    if ((v5)!=ECL_NIL) { goto L35; }
    ecl_function_dispatch(cl_env_copy,VV[1110])(1, v3) /*  REGISTER-SYSTEM */;
L35:;
    if (Null(v8)) { goto L38; }
    if (Null(v4)) { goto L38; }
    (cl_env_copy->function=ecl_fdefinition(VV[2417]))->cfun.entry(2, v4, v8) /*  (SETF SYSTEM-SOURCE-FILE) */;
L38:;
    if (Null(v4)) { goto L26; }
    {
     cl_object v9asdf_find_system__stamp;
     v9asdf_find_system__stamp = ecl_function_dispatch(cl_env_copy,VV[1094])(1, v4) /*  GET-FILE-STAMP */;
     if (Null(v9asdf_find_system__stamp)) { goto L26; }
     if (Null(v5)) { goto L46; }
     if ((ecl_function_dispatch(cl_env_copy,VV[321])(2, v4, v7) /*  PATHNAME-EQUAL */)!=ECL_NIL) { goto L49; }
     if (Null(v4)) { goto L46; }
     if (Null(v7)) { goto L46; }
     T0 = ecl_function_dispatch(cl_env_copy,VV[317])(1, v4) /*  PHYSICALIZE-PATHNAME */;
     T1 = ecl_function_dispatch(cl_env_copy,VV[317])(1, v7) /*  PHYSICALIZE-PATHNAME */;
     if (Null(ecl_function_dispatch(cl_env_copy,VV[321])(2, T0, T1) /*  PATHNAME-EQUAL */)) { goto L46; }
     goto L48;
L49:;
L48:;
     if ((ecl_function_dispatch(cl_env_copy,VV[198])(2, v9asdf_find_system__stamp, v6) /*  STAMP<= */)!=ECL_NIL) { goto L26; }
     goto L41;
L46:;
     goto L41;
    }
L41:;
    ecl_function_dispatch(cl_env_copy,VV[1147])(3, v4, ECL_SYM("NAME",1285), ECL_CONS_CAR(CLV0)) /*  LOAD-ASD */;
   }
L26:;
   {
    cl_object v7asdf_find_system__in_memory;
    v7asdf_find_system__in_memory = ecl_function_dispatch(cl_env_copy,VV[1106])(1, ECL_CONS_CAR(CLV0)) /*  SYSTEM-REGISTERED-P */;
    if (Null(v7asdf_find_system__in_memory)) { goto L54; }
    if (Null(v4)) { goto L56; }
    {
     cl_object v8;
     v8 = ecl_function_dispatch(cl_env_copy,VV[1094])(1, v4) /*  GET-FILE-STAMP */;
     {
      cl_object v9;
      v9 = v7asdf_find_system__in_memory;
      if (ecl_unlikely(ECL_ATOM(v9))) FEtype_error_cons(v9);
      T0 = v9;
     }
     (ECL_CONS_CAR(T0)=v8,T0);
    }
L56:;
    value0 = ecl_cdr(v7asdf_find_system__in_memory);
    cl_env_copy->nvalues = 1;
    return value0;
L54:;
    if (Null(ECL_CONS_CAR(CLV1))) { goto L63; }
    value0 = cl_error(3, VV[1095], VV[1160], ECL_CONS_CAR(CLV0));
    return value0;
L63:;
    cl_env_copy->values[0] = ECL_NIL;
    cl_env_copy->nvalues = 1;
    cl_return_from(ECL_CONS_CAR(CLV2),ECL_NIL);
   }
  }
L5:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
 }
}
/*      closure G3760                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC649__g3760(cl_narg narg, cl_object v1condition, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV4 = env0;
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);                           /*  NAME            */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = cl_error(7, VV[1097], ECL_SYM("NAME",1285), ECL_CONS_CAR(CLV1), ECL_SYM("PATHNAME",1297), ECL_CONS_CAR(CLV0), VV[622], v1condition);
  return value0;
 }
 }
}
/*      local function G3801                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC658__g3801(cl_object v1asdf_find_component__c, cl_object v2asdf_find_component__s)
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)))) { goto L2; }
  T1 = ecl_car(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
  T2 = cl_list(2, v1asdf_find_component__c, ECL_NIL);
  T3 = ecl_cdr(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
  T0 = ecl_function_dispatch(cl_env_copy,T1)(2, T2, T3);
  goto L1;
L2:;
  T0 = cl_error(1, VV[1076]);
L1:;
  T1 = ecl_function_dispatch(cl_env_copy,VV[2418])(1, v1asdf_find_component__c) /*  MISSING-REQUIRED-BY */;
  value0 = cl_format(4, v2asdf_find_component__s, VV[1163], T0, T1);
  return value0;
 }
}
/*      local function G3802                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC659__g3802(cl_object v1asdf_find_component__c, cl_object v2asdf_find_component__s)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[2419])(1, v1asdf_find_component__c) /*  MISSING-REQUIRES */;
  if (Null(ecl_function_dispatch(cl_env_copy,VV[2420])(1, v1asdf_find_component__c) /*  MISSING-PARENT */)) { goto L2; }
  T2 = ecl_function_dispatch(cl_env_copy,VV[2420])(1, v1asdf_find_component__c) /*  MISSING-PARENT */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[1100])(1, T2) /*  COERCE-NAME */;
  goto L1;
L2:;
  T1 = ECL_NIL;
L1:;
  value0 = cl_format(4, v2asdf_find_component__s, VV[1165], T0, T1);
  return value0;
 }
}
/*      local function G3803                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC660__g3803(cl_object v1asdf_find_component__c, cl_object v2asdf_find_component__s)
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[2419])(1, v1asdf_find_component__c) /*  MISSING-REQUIRES */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[2421])(1, v1asdf_find_component__c) /*  MISSING-VERSION */;
  if (Null(ecl_function_dispatch(cl_env_copy,VV[2420])(1, v1asdf_find_component__c) /*  MISSING-PARENT */)) { goto L2; }
  T3 = ecl_function_dispatch(cl_env_copy,VV[2420])(1, v1asdf_find_component__c) /*  MISSING-PARENT */;
  T2 = ecl_function_dispatch(cl_env_copy,VV[1100])(1, T3) /*  COERCE-NAME */;
  goto L1;
L2:;
  T2 = ECL_NIL;
L1:;
  value0 = cl_format(5, v2asdf_find_component__s, VV[1166], T0, T1, T2);
  return value0;
 }
}
/*      local function G3804                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC661__g3804(cl_narg narg, cl_object v1asdf_find_component__base, cl_object v2asdf_find_component__path, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3asdf_find_component__registered;
  ecl_va_list args; ecl_va_start(args,v2asdf_find_component__path,narg,2);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,LC661__g3804keys,keyvars,NULL,TRUE);
   ecl_va_end(args);
   v3asdf_find_component__registered = keyvars[0];
  }
  {
   cl_object v4asdf_find_component__s;
   if (Null(v3asdf_find_component__registered)) { goto L2; }
   v4asdf_find_component__s = ecl_function_dispatch(cl_env_copy,VV[1107])(1, v1asdf_find_component__base) /*  REGISTERED-SYSTEM */;
   goto L1;
L2:;
   v4asdf_find_component__s = ecl_function_dispatch(cl_env_copy,VV[1067])(2, v1asdf_find_component__base, ECL_NIL) /*  FIND-SYSTEM */;
L1:;
   if (Null(v4asdf_find_component__s)) { goto L4; }
   value0 = ecl_function_dispatch(cl_env_copy,VV[1167])(4, v4asdf_find_component__s, v2asdf_find_component__path, VV[1169], v3asdf_find_component__registered) /*  FIND-COMPONENT */;
   return value0;
L4:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G3805                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC662__g3805(cl_narg narg, cl_object v1asdf_find_component__base, cl_object v2asdf_find_component__path, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3asdf_find_component__registered;
  ecl_va_list args; ecl_va_start(args,v2asdf_find_component__path,narg,2);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,LC662__g3805keys,keyvars,NULL,TRUE);
   ecl_va_end(args);
   v3asdf_find_component__registered = keyvars[0];
  }
  if (Null(v1asdf_find_component__base)) { goto L1; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[1100])(1, v1asdf_find_component__base) /*  COERCE-NAME */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1167])(4, T0, v2asdf_find_component__path, VV[1169], v3asdf_find_component__registered) /*  FIND-COMPONENT */;
  return value0;
L1:;
  if (Null(v2asdf_find_component__path)) { goto L3; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[1167])(4, v2asdf_find_component__path, ECL_NIL, VV[1169], v3asdf_find_component__registered) /*  FIND-COMPONENT */;
  return value0;
L3:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G3806                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC663__g3806(cl_narg narg, cl_object v1asdf_find_component__base, cl_object v2asdf_find_component__path, ...)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3asdf_find_component__registered;
  ecl_va_list args; ecl_va_start(args,v2asdf_find_component__path,narg,2);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,LC663__g3806keys,keyvars,NULL,TRUE);
   ecl_va_end(args);
   v3asdf_find_component__registered = keyvars[0];
  }
  T0 = ecl_car(v1asdf_find_component__base);
  T1 = ecl_cdr(v1asdf_find_component__base);
  T2 = CONS(T1,v2asdf_find_component__path);
  value0 = ecl_function_dispatch(cl_env_copy,VV[1167])(4, T0, T2, VV[1169], v3asdf_find_component__registered) /*  FIND-COMPONENT */;
  return value0;
 }
}
/*      local function G3807                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC664__g3807(cl_narg narg, cl_object v1asdf_component_parent, cl_object v2asdf_component_name, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3asdf_find_component__registered;
  ecl_va_list args; ecl_va_start(args,v2asdf_component_name,narg,2);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,LC664__g3807keys,keyvars,NULL,TRUE);
   ecl_va_end(args);
   v3asdf_find_component__registered = keyvars[0];
  }
  ecl_function_dispatch(cl_env_copy,VV[1055])(3, v1asdf_component_parent, VV[1170], ECL_T) /*  COMPUTE-CHILDREN-BY-NAME */;
  T0 = ecl_function_dispatch(cl_env_copy,VV[2424])(1, v1asdf_component_parent) /*  COMPONENT-CHILDREN-BY-NAME */;
  value0 = ecl_gethash_safe(v2asdf_component_name,T0,ECL_NIL);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G3808                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC665__g3808(cl_narg narg, cl_object v1asdf_find_component__base, cl_object v2asdf_component_name, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3asdf_find_component__registered;
  ecl_va_list args; ecl_va_start(args,v2asdf_component_name,narg,2);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,LC665__g3808keys,keyvars,NULL,TRUE);
   ecl_va_end(args);
   v3asdf_find_component__registered = keyvars[0];
  }
  if (Null(v2asdf_component_name)) { goto L1; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[1100])(1, v2asdf_component_name) /*  COERCE-NAME */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1167])(4, v1asdf_find_component__base, T0, VV[1169], v3asdf_find_component__registered) /*  FIND-COMPONENT */;
  return value0;
L1:;
  value0 = v1asdf_find_component__base;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G3809                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC666__g3809(cl_narg narg, cl_object v1asdf_find_component__c, cl_object v2asdf_component_name, ...)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3asdf_find_component__registered;
  ecl_va_list args; ecl_va_start(args,v2asdf_component_name,narg,2);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,LC666__g3809keys,keyvars,NULL,TRUE);
   ecl_va_end(args);
   v3asdf_find_component__registered = keyvars[0];
  }
  T0 = ecl_car(v2asdf_component_name);
  T1 = ecl_function_dispatch(cl_env_copy,VV[1167])(4, v1asdf_find_component__c, T0, VV[1169], v3asdf_find_component__registered) /*  FIND-COMPONENT */;
  T2 = ecl_cdr(v2asdf_component_name);
  value0 = ecl_function_dispatch(cl_env_copy,VV[1167])(4, T1, T2, VV[1169], v3asdf_find_component__registered) /*  FIND-COMPONENT */;
  return value0;
 }
}
/*      local function G3810                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC667__g3810(cl_narg narg, cl_object v1asdf_find_component__base, cl_object v2asdf_find_component__actual, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3asdf_find_component__registered;
  ecl_va_list args; ecl_va_start(args,v2asdf_find_component__actual,narg,2);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,LC667__g3810keys,keyvars,NULL,TRUE);
   ecl_va_end(args);
   v3asdf_find_component__registered = keyvars[0];
  }
  value0 = v2asdf_find_component__actual;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for RESOLVE-DEPENDENCY-NAME               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L671resolve_dependency_name(volatile cl_narg narg, cl_object volatile v1asdf_component_component, cl_object volatile v2asdf_component_name, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0, CLV1, CLV2, CLV3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v3asdf_component_version;
  va_list args; va_start(args,v2asdf_component_name);
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1asdf_component_component,env0); /*  COMPONENT  */
  CLV1 = env0 = CONS(v2asdf_component_name,env0); /*  NAME            */
  {
   int i = 2;
   if (i >= narg) {
    v3asdf_component_version = ECL_NIL;
   } else {
    i++;
    v3asdf_component_version = va_arg(args,cl_object);
   }
  }
  va_end(args);
L2:;
  {
   volatile cl_object env1 = env0;
   CLV2 = env1 = CONS(ECL_NIL,env1);
   {
    volatile cl_object env2 = env1;
    CLV3 = env2 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
    if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV3))) {
    if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L4;
    ecl_internal_error("GO found an inexistent tag");
    }
    {
     cl_object v4;
     v4 = ecl_make_cclosure_va((cl_objectfn)LC668__g3826,env2,Cblock);
     T0 = v4;
    }
    {
     cl_object v4;
     v4 = ecl_make_cclosure_va((cl_objectfn)LC669__g3827,env2,Cblock);
     T1 = v4;
    }
    {
     cl_object v4;
     v4 = ecl_make_cclosure_va((cl_objectfn)LC670__g3828,env2,Cblock);
     T2 = v4;
    }
    T3 = ecl_function_dispatch(cl_env_copy,VV[2382])(8, ECL_SYM("NAME",1285), VV[1083], ECL_SYM("FUNCTION",1251), T0, VV[1084], T1, VV[1144], T2) /*  MAKE-RESTART */;
    T4 = ecl_list1(T3);
    T5 = CONS(T4,ecl_symbol_value(ECL_SYM("*RESTART-CLUSTERS*",4)));
    ecl_bds_bind(cl_env_copy,ECL_SYM("*RESTART-CLUSTERS*",4),T5); /*  *RESTART-CLUSTERS* */
    {
     cl_object v4asdf_find_component__comp;
     T0 = ecl_function_dispatch(cl_env_copy,VV[1037])(1, ECL_CONS_CAR(CLV0)) /*  COMPONENT-PARENT */;
     v4asdf_find_component__comp = ecl_function_dispatch(cl_env_copy,VV[1167])(2, T0, ECL_CONS_CAR(CLV1)) /*  FIND-COMPONENT */;
     if ((v4asdf_find_component__comp)!=ECL_NIL) { goto L10; }
     cl_error(5, VV[1162], VV[1173], ECL_CONS_CAR(CLV0), VV[1160], ECL_CONS_CAR(CLV1));
L10:;
     if (Null(v3asdf_component_version)) { goto L12; }
     if ((ecl_function_dispatch(cl_env_copy,VV[1035])(2, v4asdf_find_component__comp, v3asdf_component_version) /*  VERSION-SATISFIES */)!=ECL_NIL) { goto L12; }
     cl_error(7, VV[1164], VV[1173], ECL_CONS_CAR(CLV0), ECL_SYM("VERSION",1338), v3asdf_component_version, VV[1160], ECL_CONS_CAR(CLV1));
L12:;
     value0 = v4asdf_find_component__comp;
     cl_env_copy->nvalues = 1;
     ecl_frs_pop(cl_env_copy);
     ecl_bds_unwind1(cl_env_copy);
     return value0;
    }
L4:;
    if ((ecl_function_dispatch(cl_env_copy,VV[1037])(1, ECL_CONS_CAR(CLV0)) /*  COMPONENT-PARENT */)!=ECL_NIL) {
    ecl_frs_pop(cl_env_copy); goto L3; }
    {
     cl_object v4asdf_component_name;
     v4asdf_component_name = ecl_function_dispatch(cl_env_copy,VV[1100])(1, ECL_CONS_CAR(CLV1)) /*  COERCE-NAME */;
     T0 = cl_list(2, VV[1067], v4asdf_component_name);
     ecl_function_dispatch(cl_env_copy,VV[1079])(1, T0) /*  UNSET-ASDF-CACHE-ENTRY */;
     T0 = cl_list(2, VV[1155], v4asdf_component_name);
     ecl_function_dispatch(cl_env_copy,VV[1079])(1, T0) /*  UNSET-ASDF-CACHE-ENTRY */;
     ecl_frs_pop(cl_env_copy);
     goto L3;
    }
   }
  }
L3:;
  goto L2;
 }
}
/*      function definition for RESOLVE-DEPENDENCY-SPEC               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L672resolve_dependency_spec(cl_object v1asdf_component_component, cl_object v2asdf_find_component__dep_spec)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3asdf_component_component;
   v3asdf_component_component = ecl_function_dispatch(cl_env_copy,VV[1167])(2, ECL_NIL, v1asdf_component_component) /*  FIND-COMPONENT */;
   if (!(ECL_ATOM(v2asdf_find_component__dep_spec))) { goto L2; }
   value0 = ecl_function_dispatch(cl_env_copy,VV[1171])(2, v3asdf_component_component, v2asdf_find_component__dep_spec) /*  RESOLVE-DEPENDENCY-NAME */;
   return value0;
L2:;
   T0 = ecl_car(v2asdf_find_component__dep_spec);
   T1 = ecl_cdr(v2asdf_find_component__dep_spec);
   value0 = ecl_function_dispatch(cl_env_copy,VV[1168])(3, v3asdf_component_component, T0, T1) /*  RESOLVE-DEPENDENCY-COMBINATION */;
   return value0;
  }
 }
}
/*      local function G3830                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC673__g3830(cl_object v1asdf_component_component, cl_object v2asdf_find_component__combinator, cl_object v3asdf_find_component__arguments)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = CONS(v2asdf_find_component__combinator,v3asdf_find_component__arguments);
  value0 = ecl_function_dispatch(cl_env_copy,VV[248])(4, VV[1175], VV[1168], T0, v1asdf_component_component) /*  PARAMETER-ERROR */;
  return value0;
 }
}
/*      local function G3831                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC674__g3831(cl_object v1asdf_component_component, cl_object v2asdf_find_component__combinator, cl_object v3asdf_find_component__arguments)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_car(v3asdf_find_component__arguments);
  if (Null(ecl_function_dispatch(cl_env_copy,VV[249])(1, T0) /*  FEATUREP */)) { goto L1; }
  T0 = ecl_cadr(v3asdf_find_component__arguments);
  value0 = ecl_function_dispatch(cl_env_copy,VV[1174])(2, v1asdf_component_component, T0) /*  RESOLVE-DEPENDENCY-SPEC */;
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G3832                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC675__g3832(cl_object v1asdf_component_component, cl_object v2asdf_find_component__combinator, cl_object v3asdf_find_component__arguments)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_car(v3asdf_find_component__arguments);
  T1 = ecl_cadr(v3asdf_find_component__arguments);
  value0 = ecl_function_dispatch(cl_env_copy,VV[1171])(3, v1asdf_component_component, T0, T1) /*  RESOLVE-DEPENDENCY-NAME */;
  return value0;
 }
}
/*      closure G3826                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC668__g3826(cl_narg narg, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV3 = env0;                                     /*  TAGBODY         */
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 {
  cl_object v1si__temp;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1si__temp = cl_grab_rest_args(args);
  ecl_va_end(args);
  ECL_CONS_CAR(CLV2) = v1si__temp;
  cl_go(ECL_CONS_CAR(CLV3),ecl_make_fixnum(0));
 }
 }
}
/*      closure G3827                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC669__g3827(cl_narg narg, cl_object v1asdf_find_component__s, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV3 = env0;
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);                           /*  NAME            */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = cl_format(3, v1asdf_find_component__s, VV[1172], ECL_CONS_CAR(CLV1));
  return value0;
 }
 }
}
/*      closure G3828                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC670__g3828(cl_narg narg, cl_object v1asdf_find_component__c, ...)
{
 cl_object T0;
 cl_object CLV0, CLV1, CLV2, CLV3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV3 = env0;
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);                           /*  NAME            */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = ecl_make_bool(v1asdf_find_component__c==ECL_NIL);
  if ((value0)!=ECL_NIL) { goto L2; }
  if (Null(si_of_class_p(2, v1asdf_find_component__c, VV[1162]))) { goto L5; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[2418])(1, v1asdf_find_component__c) /*  MISSING-REQUIRED-BY */;
  if (!((T0)==(ECL_CONS_CAR(CLV0)))) { goto L5; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[2419])(1, v1asdf_find_component__c) /*  MISSING-REQUIRES */;
  value0 = ecl_make_bool(ecl_equal(T0,ECL_CONS_CAR(CLV1)));
  cl_env_copy->nvalues = 1;
  return value0;
L5:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
 }
}
/*      local function G3841                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC676__g3841(cl_narg narg, cl_object v1asdf_operation__o, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_operation__initargs;
  cl_object v3asdf_operation__force;
  cl_object v4asdf_operation__force_not;
  cl_object v5asdf_operation__system;
  cl_object v6asdf_operation__verbose;
  ecl_va_list args; ecl_va_start(args,v1asdf_operation__o,narg,1);
  {
   cl_object keyvars[8];
   cl_parse_key(args,4,LC676__g3841keys,keyvars,(cl_object*)&v2asdf_operation__initargs,TRUE);
   ecl_va_end(args);
   v3asdf_operation__force = keyvars[0];
   v4asdf_operation__force_not = keyvars[1];
   v5asdf_operation__system = keyvars[2];
   v6asdf_operation__verbose = keyvars[3];
  }
  if ((cl_slot_boundp(v1asdf_operation__o, VV[1178]))!=ECL_NIL) { goto L1; }
  value0 = (cl_env_copy->function=ecl_fdefinition(VV[2429]))->cfun.entry(2, v2asdf_operation__initargs, v1asdf_operation__o) /*  (SETF OPERATION-ORIGINAL-INITARGS) */;
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G3868                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC679__g3868(cl_object volatile v1asdf_operation__o, cl_object volatile v2stream)
{
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1asdf_operation__o,env0);   /*  O               */
  CLV1 = env0 = CONS(v2stream,env0);              /*  STREAM          */
  {
   cl_object volatile v3;
   v3 = ecl_make_cclosure_va((cl_objectfn)LC678si___print_unreadable_object_body_,env0,Cblock);
   value0 = si_print_unreadable_object_function(ECL_CONS_CAR(CLV0), ECL_CONS_CAR(CLV1), ECL_T, ECL_NIL, v3);
   return value0;
  }
 }
}
/*      closure .PRINT-UNREADABLE-OBJECT-BODY.                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC678si___print_unreadable_object_body_(volatile cl_narg narg, ...)
{
 cl_object T0, T1, T2, T3;
 cl_object volatile CLV0, CLV1, CLV2, CLV3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile env0 = cl_env_copy->function->cclosure.env;
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  STREAM          */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  {
   volatile cl_object env1 = env0;
   CLV2 = env1 = CONS(ECL_NIL,env1);
   {
    volatile cl_object env2 = env1;
    CLV3 = env2 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
    if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV3))) {
    if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L1;
    ecl_internal_error("GO found an inexistent tag");
    }
    {
     cl_object v1;
     v1 = ecl_make_cclosure_va((cl_objectfn)LC677__g3872,env2,Cblock);
     T0 = v1;
    }
    T1 = CONS(ECL_SYM("ERROR",337),T0);
    T2 = ecl_list1(T1);
    T3 = CONS(T2,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
    ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T3); /*  *HANDLER-CLUSTERS* */
    T0 = ecl_function_dispatch(cl_env_copy,VV[1185])(1, ECL_CONS_CAR(CLV0)) /*  OPERATION-ORIGINAL-INITARGS */;
    value0 = cl_format(3, ECL_CONS_CAR(CLV1), VV[1045], T0);
    ecl_frs_pop(cl_env_copy);
    ecl_bds_unwind1(cl_env_copy);
    return value0;
L1:;
    {
     cl_object v1condition;
     v1condition = ECL_CONS_CAR(CLV2);
     cl_env_copy->nvalues = 2;
     cl_env_copy->values[1] = v1condition;
     cl_env_copy->values[0] = ECL_NIL;
     value0 = cl_env_copy->values[0];
     ecl_frs_pop(cl_env_copy);
     return value0;
    }
   }
  }
 }
 }
}
/*      closure G3872                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC677__g3872(cl_narg narg, cl_object v1si__temp, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV3 = env0;                                     /*  TAGBODY         */
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV2) = v1si__temp;
  cl_go(ECL_CONS_CAR(CLV3),ecl_make_fixnum(0));
 }
 }
}
/*      function definition for %COMPUTE-OPERATIONS-VALUE             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L680_compute_operations_value()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_make_hash_table(2, ECL_SYM("TEST",1328), ECL_SYM("EQUAL",335));
  return value0;
 }
}
/*      function definition for MAKE-OPERATION                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L681make_operation(cl_narg narg, cl_object v1asdf_operation__operation_class, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_operation__initargs;
  ecl_va_list args; ecl_va_start(args,v1asdf_operation__operation_class,narg,1);
  v2asdf_operation__initargs = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object v3class;
   v3class = ecl_function_dispatch(cl_env_copy,VV[215])(7, v1asdf_operation__operation_class, ECL_SYM("PACKAGE",1296), VV[1182], VV[1183], VV[1177], ECL_SYM("ERROR",1239), VV[1099]) /*  COERCE-CLASS */;
   T0 = CONS(v3class,v2asdf_operation__initargs);
   T1 = cl_listX(3, ECL_SYM("MAKE-INSTANCE",949), v3class, v2asdf_operation__initargs);
   value0 = ecl_function_dispatch(cl_env_copy,VV[220])(3, T0, ecl_symbol_value(VV[1180]), T1) /*  ENSURE-GETHASH */;
   return value0;
  }
 }
}
/*      local function G3875                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC682__g3875(cl_object v1asdf_operation__context, cl_object v2asdf_operation__spec)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = v2asdf_operation__spec;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G3876                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC683__g3876(cl_object v1asdf_operation__context, cl_object v2asdf_operation__spec)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(v2asdf_operation__spec)) { goto L1; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[1185])(1, v1asdf_operation__context) /*  OPERATION-ORIGINAL-INITARGS */;
  value0 = cl_apply(3, VV[1181], v2asdf_operation__spec, T0);
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G3877                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC684__g3877(cl_object v1asdf_operation__context, cl_object v2asdf_operation__spec)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[1185])(1, v1asdf_operation__context) /*  OPERATION-ORIGINAL-INITARGS */;
  value0 = cl_apply(3, VV[1181], v2asdf_operation__spec, T0);
  return value0;
 }
}
/*      local function G3878                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC685__g3878(cl_object v1asdf_operation__context)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for ACTION-PATH                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L686action_path(cl_object v1asdf_action_action)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   cl_object v3asdf_action__o;
   v2 = v1asdf_action_action;
   if (!(v2==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1asdf_action_action);
L3:;
   {
    cl_object v4;
    v4 = ecl_car(v2);
    v2 = ecl_cdr(v2);
    v3asdf_action__o = v4;
   }
   T0 = cl_type_of(v3asdf_action__o);
   T1 = ecl_function_dispatch(cl_env_copy,VV[1043])(1, v2) /*  COMPONENT-FIND-PATH */;
   value0 = CONS(T0,T1);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for FIND-ACTION                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L687find_action(cl_object v1asdf_action__path)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   cl_object v3asdf_action__o;
   v2 = v1asdf_action__path;
   if (!(v2==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1asdf_action__path);
L3:;
   {
    cl_object v4;
    v4 = ecl_car(v2);
    v2 = ecl_cdr(v2);
    v3asdf_action__o = v4;
   }
   T0 = ecl_function_dispatch(cl_env_copy,VV[1181])(1, v3asdf_action__o) /*  MAKE-OPERATION */;
   T1 = ecl_function_dispatch(cl_env_copy,VV[1167])(2, ECL_NIL, v2) /*  FIND-COMPONENT */;
   value0 = CONS(T0,T1);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function DEFINE-CONVENIENCE-ACTION-METHODS              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC689define_convenience_action_methods(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20, T21, T22, T23, T24, T25, T26, T27, T28, T29, T30;
 volatile cl_object lex0[5];
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4asdf_action__formals;
   cl_object v5;
   cl_object v6asdf_action__if_no_operation;
   cl_object v7;
   cl_object v8asdf_action__if_no_component;
   cl_object v9;
   cl_object v10asdf_action__operation_initargs;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L2; }
   si_dm_too_few_arguments(v1);
L2:;
   {
    cl_object v11;
    v11 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    T0 = v11;
   }
   lex0[0] = T0;                                  /*  FUNCTION        */
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v11;
    v11 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4asdf_action__formals = v11;
   }
   v5 = si_search_keyword(2, v3, VV[1193]);
   if (!((v5)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L16; }
   v6asdf_action__if_no_operation = ECL_NIL;
   goto L15;
L16:;
   v6asdf_action__if_no_operation = v5;
L15:;
   v7 = si_search_keyword(2, v3, VV[1194]);
   if (!((v7)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L20; }
   v8asdf_action__if_no_component = ECL_NIL;
   goto L19;
L20:;
   v8asdf_action__if_no_component = v7;
L19:;
   v9 = si_search_keyword(2, v3, VV[1195]);
   if (!((v9)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L24; }
   v10asdf_action__operation_initargs = ECL_NIL;
   goto L23;
L24:;
   v10asdf_action__operation_initargs = v9;
L23:;
   si_check_keyword(2, v3, VV[1196]);
   {
    cl_object v11asdf_action__found;
    cl_object v12asdf_action__formals_no_key;
    cl_fixnum v13asdf_action__len;
    cl_object v14asdf_action__opix;
    cl_object v15asdf_action__coix;
    cl_object v16asdf_action__more_args;
    T0 = cl_gensym(1, VV[1197]);
    lex0[1] = T0;                                 /*  REST            */
    v11asdf_action__found = cl_gensym(1, VV[1198]);
    T0 = ecl_last(v4asdf_action__formals,1);
    {
     bool v17;
     v17 = ecl_equal(T0,VV[1199]);
     lex0[2] = ecl_make_bool(v17);                /*  KEYP            */
    }
    if (Null(lex0[2])) { goto L29; }
    v12asdf_action__formals_no_key = ecl_butlast(v4asdf_action__formals,1);
    goto L28;
L29:;
    v12asdf_action__formals_no_key = v4asdf_action__formals;
L28:;
    v13asdf_action__len = ecl_length(v12asdf_action__formals_no_key);
    v14asdf_action__opix = cl_position(2, VV[1177], v4asdf_action__formals);
    v15asdf_action__coix = cl_position(2, VV[1042], v4asdf_action__formals);
    T0 = cl_subseq(3, v4asdf_action__formals, ecl_make_fixnum(0), v14asdf_action__opix);
    lex0[3] = T0;                                 /*  PREFIX          */
    T0 = ecl_one_plus(v15asdf_action__coix);
    T1 = cl_subseq(3, v4asdf_action__formals, T0, ecl_make_fixnum(v13asdf_action__len));
    lex0[4] = T1;                                 /*  SUFFIX          */
    if (Null(lex0[2])) { goto L35; }
    v16asdf_action__more_args = cl_listX(3, ECL_SYM("&REST",12), lex0[1], VV[1200]);
    goto L34;
L35:;
    v16asdf_action__more_args = ECL_NIL;
L34:;
    goto L39;
L38:;
    si_assert_failure(1, VV[1201]);
L39:;
    if (!(ECL_FIXNUMP(v14asdf_action__opix)||ECL_BIGNUMP(v14asdf_action__opix))) { goto L45; }
    if (!(ECL_FIXNUMP(v15asdf_action__coix)||ECL_BIGNUMP(v15asdf_action__coix))) { goto L45; }
    T0 = ecl_one_plus(v14asdf_action__opix);
    if (ecl_number_equalp(v15asdf_action__coix,T0)) { goto L42; }
    goto L43;
L45:;
    goto L43;
L43:;
    goto L38;
L42:;
    T0 = cl_list(2, VV[1177], ECL_SYM("STRING",805));
    T1 = ecl_append(lex0[4],v16asdf_action__more_args);
    T2 = cl_listX(3, T0, VV[1042], T1);
    T3 = ecl_append(lex0[3],T2);
    T4 = cl_list(3, VV[1167], ECL_NIL, VV[1042]);
    T5 = cl_list(2, VV[1042], T4);
    T6 = ecl_list1(T5);
    T8 = cl_listX(3, VV[518], VV[1177], VV[1202]);
    T7 = LC688next_method(lex0, T8, VV[1042]);
    T8 = cl_list(3, ECL_SYM("LET",477), T6, T7);
    T9 = cl_list(4, ECL_SYM("DEFMETHOD",940), lex0[0], T3, T8);
    T10 = cl_list(2, VV[1177], ECL_SYM("SYMBOL",840));
    T11 = ecl_append(lex0[4],v16asdf_action__more_args);
    T12 = cl_listX(3, T10, VV[1042], T11);
    T13 = ecl_append(lex0[3],T12);
    if (Null(v10asdf_action__operation_initargs)) { goto L51; }
    T15 = cl_list(6, ECL_SYM("APPLY",89), VV[1203], VV[1177], VV[1204], lex0[1], lex0[1]);
    goto L50;
L51:;
    T15 = cl_list(2, VV[1181], VV[1177]);
L50:;
    T16 = cl_list(3, VV[1167], ECL_NIL, VV[1042]);
    T17 = cl_list(3, ECL_SYM("OR",614), T16, v8asdf_action__if_no_component);
    T14 = LC688next_method(lex0, T15, T17);
    T15 = cl_list(4, ECL_SYM("IF",946), VV[1177], T14, v6asdf_action__if_no_operation);
    T16 = cl_list(4, ECL_SYM("DEFMETHOD",940), lex0[0], T13, T15);
    T17 = cl_list(2, VV[1177], VV[1177]);
    T18 = ecl_append(lex0[4],v16asdf_action__more_args);
    T19 = cl_listX(3, T17, VV[1042], T18);
    T20 = ecl_append(lex0[3],T19);
    T21 = cl_list(3, ECL_SYM("TYPEP",875), VV[1042], VV[1205]);
    T22 = cl_list(2, ECL_SYM("QUOTE",679), lex0[0]);
    T23 = cl_list(3, ECL_SYM("CONS",251), VV[1177], VV[1042]);
    T24 = cl_list(4, ECL_SYM("ERROR",337), VV[1206], T22, T23);
    T25 = cl_list(3, VV[1167], ECL_NIL, VV[1042]);
    T26 = cl_list(2, v11asdf_action__found, T25);
    T27 = LC688next_method(lex0, VV[1177], v11asdf_action__found);
    T28 = cl_list(4, VV[151], T26, T27, v8asdf_action__if_no_component);
    T29 = cl_list(4, ECL_SYM("IF",946), T21, T24, T28);
    T30 = cl_list(4, ECL_SYM("DEFMETHOD",940), lex0[0], T20, T29);
    value0 = cl_list(4, ECL_SYM("PROGN",671), T9, T16, T30);
    return value0;
   }
  }
 }
}
/*      local function NEXT-METHOD                                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC688next_method(volatile cl_object *lex0, cl_object v1asdf_action__o, cl_object v2asdf_action__c)
{
 cl_object T0, T1, T2, T3, T4;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(lex0[2])) { goto L1; }
  T0 = cl_list(2, ECL_SYM("QUOTE",679), lex0[0]);
  T1 = ecl_list1(lex0[1]);
  T2 = ecl_append(lex0[4],T1);
  T3 = cl_listX(3, v1asdf_action__o, v2asdf_action__c, T2);
  T4 = ecl_append(lex0[3],T3);
  value0 = cl_listX(3, ECL_SYM("APPLY",89), T0, T4);
  return value0;
L1:;
  T0 = cl_listX(3, v1asdf_action__o, v2asdf_action__c, lex0[4]);
  T1 = ecl_append(lex0[3],T0);
  value0 = CONS(lex0[0],T1);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G3913                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC690__g3913(cl_object v1asdf_operation_operation, cl_object v2asdf_component_component)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_type_of(v1asdf_operation_operation);
  value0 = cl_format(4, ECL_NIL, VV[1209], T0, v2asdf_component_component);
  return value0;
 }
}
/*      local function G3914                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC691__g3914(cl_object v1asdf_action__o, cl_object v2asdf_action__c)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[1208])(2, v1asdf_action__o, v2asdf_action__c) /*  ACTION-DESCRIPTION */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1010])(2, VV[1211], T0) /*  ASDF-MESSAGE */;
  return value0;
 }
}
/*      local function G3917                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC692__g3917(cl_object v1asdf_operation_operation, cl_object v2asdf_component_component)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3asdf_component_component;
   v3asdf_component_component = ecl_function_dispatch(cl_env_copy,VV[1167])(2, ECL_NIL, v2asdf_component_component) /*  FIND-COMPONENT */;
   T0 = ecl_function_dispatch(cl_env_copy,VV[518])(3, v1asdf_operation_operation, ECL_SYM("PACKAGE",1296), VV[1182]) /*  SAFE-READ-FROM-STRING */;
   value0 = ecl_function_dispatch(cl_env_copy,VV[1210])(2, T0, v3asdf_component_component) /*  EXPLAIN */;
   return value0;
  }
 }
}
/*      local function G3918                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC693__g3918(cl_object v1asdf_operation_operation, cl_object v2asdf_component_component)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(v1asdf_operation_operation)) { goto L1; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[1181])(1, v1asdf_operation_operation) /*  MAKE-OPERATION */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1167])(2, ECL_NIL, v2asdf_component_component) /*  FIND-COMPONENT */;
  if ((value0)!=ECL_NIL) { goto L5; }
  T1 = ECL_NIL;
  goto L3;
L5:;
  T1 = value0;
  goto L3;
L3:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1210])(2, T0, T1) /*  EXPLAIN */;
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G3919                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC694__g3919(cl_object v1asdf_operation_operation, cl_object v2asdf_component_component)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(si_of_class_p(2, v2asdf_component_component, VV[1042]))) { goto L1; }
  T0 = CONS(v1asdf_operation_operation,v2asdf_component_component);
  value0 = cl_error(3, VV[1206], VV[1210], T0);
  return value0;
L1:;
  {
   cl_object v3;
   v3 = ecl_function_dispatch(cl_env_copy,VV[1167])(2, ECL_NIL, v2asdf_component_component) /*  FIND-COMPONENT */;
   if (Null(v3)) { goto L4; }
   value0 = ecl_function_dispatch(cl_env_copy,VV[1210])(2, v1asdf_operation_operation, v3) /*  EXPLAIN */;
   return value0;
L4:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for FORMAT-ACTION                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L695format_action(cl_narg narg, cl_object v1stream, cl_object v2asdf_action_action, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
 {
  cl_object v3asdf_action__colon_p;
  cl_object v4asdf_action__at_sign_p;
  va_list args; va_start(args,v2asdf_action_action);
  {
   int i = 2;
   if (i >= narg) {
    v3asdf_action__colon_p = ECL_NIL;
   } else {
    i++;
    v3asdf_action__colon_p = va_arg(args,cl_object);
   }
   if (i >= narg) {
    v4asdf_action__at_sign_p = ECL_NIL;
   } else {
    i++;
    v4asdf_action__at_sign_p = va_arg(args,cl_object);
   }
  }
  va_end(args);
  goto L5;
L4:;
  si_assert_failure(1, VV[1213]);
L5:;
  if (v3asdf_action__colon_p==ECL_NIL) { goto L8; }
  goto L4;
L8:;
  goto L12;
L11:;
  si_assert_failure(1, VV[1214]);
L12:;
  if (v4asdf_action__at_sign_p==ECL_NIL) { goto L15; }
  goto L11;
L15:;
  {
   cl_object v5;
   cl_object v6asdf_operation_operation;
   v5 = v2asdf_action_action;
   if (!(v5==ECL_NIL)) { goto L19; }
   si_dm_too_few_arguments(v2asdf_action_action);
L19:;
   {
    cl_object v7;
    v7 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v6asdf_operation_operation = v7;
   }
   T0 = ecl_function_dispatch(cl_env_copy,VV[1208])(2, v6asdf_operation_operation, v5) /*  ACTION-DESCRIPTION */;
   value0 = ecl_princ(T0,v1stream);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G3933                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC696__g3933(cl_object v1asdf_operation_operation, cl_object v2asdf_component_component)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3asdf_component_component;
   v3asdf_component_component = ecl_function_dispatch(cl_env_copy,VV[1167])(2, ECL_NIL, v2asdf_component_component) /*  FIND-COMPONENT */;
   T0 = ecl_function_dispatch(cl_env_copy,VV[518])(3, v1asdf_operation_operation, ECL_SYM("PACKAGE",1296), VV[1182]) /*  SAFE-READ-FROM-STRING */;
   value0 = ecl_function_dispatch(cl_env_copy,VV[1215])(2, T0, v3asdf_component_component) /*  COMPONENT-DEPENDS-ON */;
   return value0;
  }
 }
}
/*      local function G3934                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC697__g3934(cl_object v1asdf_operation_operation, cl_object v2asdf_component_component)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(v1asdf_operation_operation)) { goto L1; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[1181])(1, v1asdf_operation_operation) /*  MAKE-OPERATION */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1167])(2, ECL_NIL, v2asdf_component_component) /*  FIND-COMPONENT */;
  if ((value0)!=ECL_NIL) { goto L5; }
  T1 = ECL_NIL;
  goto L3;
L5:;
  T1 = value0;
  goto L3;
L3:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1215])(2, T0, T1) /*  COMPONENT-DEPENDS-ON */;
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G3935                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC698__g3935(cl_object v1asdf_operation_operation, cl_object v2asdf_component_component)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(si_of_class_p(2, v2asdf_component_component, VV[1042]))) { goto L1; }
  T0 = CONS(v1asdf_operation_operation,v2asdf_component_component);
  value0 = cl_error(3, VV[1206], VV[1215], T0);
  return value0;
L1:;
  {
   cl_object v3;
   v3 = ecl_function_dispatch(cl_env_copy,VV[1167])(2, ECL_NIL, v2asdf_component_component) /*  FIND-COMPONENT */;
   if (Null(v3)) { goto L4; }
   value0 = ecl_function_dispatch(cl_env_copy,VV[1215])(2, v1asdf_operation_operation, v3) /*  COMPONENT-DEPENDS-ON */;
   return value0;
L4:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G3936                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC702__g3936(cl_object v1asdf_action__o, cl_object v2asdf_action__c)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object env1 = env0;
   if (!(ECL_LISTP(ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1491))))) { goto L2; }
   T0 = ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1491));
   goto L1;
L2:;
   T1 = (ECL_SYM("LIST",481)->symbol.gfdef);
   T0 = cl_apply(2, T1, ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1491)));
L1:;
   env1 = ECL_NIL;
   CLV0 = env1 = CONS(T0,env1);                   /*  .CLOSED-COMBINED-METHOD-ARGS. */
   CLV1 = env1 = CONS(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)),env1); /*  .NEXT-METHODS. */
   T0 = cl_list(3, VV[1215], v1asdf_action__o, v2asdf_action__c);
   {
    cl_object v3;
    v3 = ecl_make_cclosure_va((cl_objectfn)LC701__g3937,env1,Cblock);
    T1 = v3;
   }
   value0 = ecl_function_dispatch(cl_env_copy,VV[1080])(2, T0, T1) /*  CONSULT-ASDF-CACHE */;
   return value0;
  }
 }
}
/*      closure CALL-NEXT-METHOD                                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC699call_next_method(cl_narg narg, ...)
{
 cl_object T0, T1, T2;
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  .NEXT-METHODS.  */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 {
  cl_object v1clos__args;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1clos__args = cl_grab_rest_args(args);
  ecl_va_end(args);
  if ((ECL_CONS_CAR(CLV1))!=ECL_NIL) { goto L1; }
  cl_error(1, VV[1216]);
L1:;
  T0 = ecl_car(ECL_CONS_CAR(CLV1));
  value0 = v1clos__args;
  if ((value0)!=ECL_NIL) { goto L6; }
  T1 = ECL_CONS_CAR(CLV0);
  goto L4;
L6:;
  T1 = value0;
  goto L4;
L4:;
  T2 = ecl_cdr(ECL_CONS_CAR(CLV1));
  value0 = ecl_function_dispatch(cl_env_copy,T0)(2, T1, T2);
  return value0;
 }
 }
}
/*      closure G3937                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC701__g3937(cl_narg narg, ...)
{
 volatile struct ecl_cclosure aux_closure;
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  .NEXT-METHODS.  */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = (aux_closure.env=env0,cl_env_copy->function=(cl_object)&aux_closure,LC699call_next_method(0));
  return value0;
 }
 }
}
/*      function definition for DOWNWARD-OPERATION-DEPENDS-ON         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L703downward_operation_depends_on(cl_object v1asdf_action__o, cl_object v2asdf_action__c)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[1217])(1, v1asdf_action__o) /*  DOWNWARD-OPERATION */;
  if ((value0)!=ECL_NIL) { goto L3; }
  T0 = v1asdf_action__o;
  goto L1;
L3:;
  T0 = value0;
  goto L1;
L1:;
  T1 = ecl_function_dispatch(cl_env_copy,VV[2362])(1, v2asdf_action__c) /*  COMPONENT-CHILDREN */;
  T2 = CONS(T0,T1);
  value0 = ecl_list1(T2);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G3938                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC704__g3938(cl_object v1asdf_action__o, cl_object v2asdf_action__c)
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[1218])(2, v1asdf_action__o, v2asdf_action__c) /*  DOWNWARD-OPERATION-DEPENDS-ON */;
  if (Null(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)))) { goto L2; }
  T2 = ecl_car(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
  T3 = ecl_cdr(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
  T1 = ecl_function_dispatch(cl_env_copy,T2)(2, ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1491)), T3);
  goto L1;
L2:;
  T1 = cl_error(1, VV[1076]);
L1:;
  value0 = ecl_append(T0,T1);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for UPWARD-OPERATION-DEPENDS-ON           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L705upward_operation_depends_on(cl_object v1asdf_action__o, cl_object v2asdf_action__c)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3asdf_action__p;
   v3asdf_action__p = ecl_function_dispatch(cl_env_copy,VV[1037])(1, v2asdf_action__c) /*  COMPONENT-PARENT */;
   if (Null(v3asdf_action__p)) { goto L2; }
   value0 = ecl_function_dispatch(cl_env_copy,VV[1219])(1, v1asdf_action__o) /*  UPWARD-OPERATION */;
   if ((value0)!=ECL_NIL) { goto L6; }
   T0 = v1asdf_action__o;
   goto L4;
L6:;
   T0 = value0;
   goto L4;
L4:;
   T1 = cl_list(2, T0, v3asdf_action__p);
   value0 = ecl_list1(T1);
   cl_env_copy->nvalues = 1;
   return value0;
L2:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G3939                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC706__g3939(cl_object v1asdf_action__o, cl_object v2asdf_action__c)
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[1220])(2, v1asdf_action__o, v2asdf_action__c) /*  UPWARD-OPERATION-DEPENDS-ON */;
  if (Null(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)))) { goto L2; }
  T2 = ecl_car(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
  T3 = ecl_cdr(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
  T1 = ecl_function_dispatch(cl_env_copy,T2)(2, ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1491)), T3);
  goto L1;
L2:;
  T1 = cl_error(1, VV[1076]);
L1:;
  value0 = ecl_append(T0,T1);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SIDEWAY-OPERATION-DEPENDS-ON          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L707sideway_operation_depends_on(cl_object v1asdf_action__o, cl_object v2asdf_action__c)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[1221])(1, v1asdf_action__o) /*  SIDEWAY-OPERATION */;
  if ((value0)!=ECL_NIL) { goto L3; }
  T0 = v1asdf_action__o;
  goto L1;
L3:;
  T0 = value0;
  goto L1;
L1:;
  T1 = ecl_function_dispatch(cl_env_copy,VV[2440])(1, v2asdf_action__c) /*  COMPONENT-SIDEWAY-DEPENDENCIES */;
  T2 = CONS(T0,T1);
  value0 = ecl_list1(T2);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G3940                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC708__g3940(cl_object v1asdf_action__o, cl_object v2asdf_action__c)
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[1222])(2, v1asdf_action__o, v2asdf_action__c) /*  SIDEWAY-OPERATION-DEPENDS-ON */;
  if (Null(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)))) { goto L2; }
  T2 = ecl_car(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
  T3 = ecl_cdr(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
  T1 = ecl_function_dispatch(cl_env_copy,T2)(2, ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1491)), T3);
  goto L1;
L2:;
  T1 = cl_error(1, VV[1076]);
L1:;
  value0 = ecl_append(T0,T1);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SELFWARD-OPERATION-DEPENDS-ON         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L709selfward_operation_depends_on(cl_object v1asdf_action__o, cl_object v2asdf_action__c)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4asdf_action__op;
   cl_object v5;
   T0 = ecl_function_dispatch(cl_env_copy,VV[1223])(1, v1asdf_action__o) /*  SELFWARD-OPERATION */;
   v3 = ecl_function_dispatch(cl_env_copy,VV[161])(1, T0) /*  ENSURE-LIST */;
   v4asdf_action__op = ECL_NIL;
   {
    cl_object v6;
    v6 = v3;
    if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
    v5 = v6;
   }
   {
    cl_object v6;
    cl_object v7;
    v6 = ecl_list1(ECL_NIL);
    v7 = v6;
L8:;
    if (!(ecl_endp(v5))) { goto L10; }
    goto L9;
L10:;
    v4asdf_action__op = _ecl_car(v5);
    {
     cl_object v8;
     v8 = _ecl_cdr(v5);
     if (ecl_unlikely(!ECL_LISTP(v8))) FEtype_error_list(v8);
     v5 = v8;
    }
    {
     cl_object v8;
     v8 = v7;
     if (ecl_unlikely(ECL_ATOM(v8))) FEtype_error_cons(v8);
     T0 = v8;
    }
    T1 = cl_list(2, v4asdf_action__op, v2asdf_action__c);
    v7 = ecl_list1(T1);
    (ECL_CONS_CDR(T0)=v7,T0);
    goto L8;
L9:;
    value0 = ecl_cdr(v6);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      local function G3952                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC710__g3952(cl_object v1asdf_action__o, cl_object v2asdf_action__c)
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[1224])(2, v1asdf_action__o, v2asdf_action__c) /*  SELFWARD-OPERATION-DEPENDS-ON */;
  if (Null(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)))) { goto L2; }
  T2 = ecl_car(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
  T3 = ecl_cdr(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
  T1 = ecl_function_dispatch(cl_env_copy,T2)(2, ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1491)), T3);
  goto L1;
L2:;
  T1 = cl_error(1, VV[1076]);
L1:;
  value0 = ecl_append(T0,T1);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G3953                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC711__g3953(cl_narg narg, cl_object v1asdf_action__o, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  ecl_va_list args; ecl_va_start(args,v1asdf_action__o,narg,1);
  cl_parse_key(args,0,NULL,NULL,NULL,TRUE);
  ecl_va_end(args);
  if ((si_of_class_p(2, v1asdf_action__o, VV[1217]))!=ECL_NIL) { goto L1; }
  if ((si_of_class_p(2, v1asdf_action__o, VV[1219]))!=ECL_NIL) { goto L1; }
  if ((si_of_class_p(2, v1asdf_action__o, VV[1221]))!=ECL_NIL) { goto L1; }
  if ((si_of_class_p(2, v1asdf_action__o, VV[1223]))!=ECL_NIL) { goto L1; }
  if ((si_of_class_p(2, v1asdf_action__o, VV[1225]))!=ECL_NIL) { goto L1; }
  T0 = cl_type_of(v1asdf_action__o);
  T1 = ecl_list1(T0);
  value0 = (cl_env_copy->function=(ECL_SYM("WARN",903)->symbol.gfdef))->cfun.entry(5, VV[1226], ECL_SYM("FORMAT-CONTROL",1250), VV[1228], ECL_SYM("FORMAT-ARGUMENTS",1249), T1) /*  WARN */;
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G3955                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC712__g3955(cl_narg narg, cl_object v1asdf_action__o, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  ecl_va_list args; ecl_va_start(args,v1asdf_action__o,narg,1);
  cl_parse_key(args,0,NULL,NULL,NULL,TRUE);
  ecl_va_end(args);
  if ((si_of_class_p(2, v1asdf_action__o, VV[1217]))!=ECL_NIL) { goto L3; }
  if ((si_of_class_p(2, v1asdf_action__o, VV[1219]))!=ECL_NIL) { goto L3; }
  if ((si_of_class_p(2, v1asdf_action__o, VV[1221]))!=ECL_NIL) { goto L3; }
  if (Null(si_of_class_p(2, v1asdf_action__o, VV[1223]))) { goto L1; }
  goto L2;
L3:;
L2:;
  T0 = cl_type_of(v1asdf_action__o);
  T1 = ecl_list1(T0);
  value0 = cl_error(5, VV[1227], ECL_SYM("FORMAT-CONTROL",1250), VV[1229], ECL_SYM("FORMAT-ARGUMENTS",1249), T1);
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G3957                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC713__g3957(cl_object v1asdf_action__o, cl_object v2asdf_action__c)
{
 cl_object T0, T1, T2, T3, T4;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T1 = cl_type_of(v1asdf_action__o);
  T2 = ecl_function_dispatch(cl_env_copy,VV[2441])(1, v2asdf_action__c) /*  COMPONENT-IN-ORDER-TO */;
  T0 = ecl_assql(T1,T2);
  T1 = ecl_cdr(T0);
  if ((si_of_class_p(2, v1asdf_action__o, VV[1217]))!=ECL_NIL) { goto L3; }
  if ((si_of_class_p(2, v1asdf_action__o, VV[1219]))!=ECL_NIL) { goto L3; }
  if ((si_of_class_p(2, v1asdf_action__o, VV[1221]))!=ECL_NIL) { goto L3; }
  if ((si_of_class_p(2, v1asdf_action__o, VV[1223]))!=ECL_NIL) { goto L3; }
  if ((si_of_class_p(2, v1asdf_action__o, VV[1225]))!=ECL_NIL) { goto L3; }
  T3 = ecl_function_dispatch(cl_env_copy,VV[1222])(2, v1asdf_action__o, v2asdf_action__c) /*  SIDEWAY-OPERATION-DEPENDS-ON */;
  if (Null(si_of_class_p(2, v2asdf_action__c, VV[1054]))) { goto L10; }
  T4 = ecl_function_dispatch(cl_env_copy,VV[1218])(2, v1asdf_action__o, v2asdf_action__c) /*  DOWNWARD-OPERATION-DEPENDS-ON */;
  goto L9;
L10:;
  T4 = ECL_NIL;
L9:;
  T2 = ecl_append(T3,T4);
  goto L2;
L3:;
  T2 = ECL_NIL;
L2:;
  value0 = ecl_append(T1,T2);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G3959                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC714__g3959(cl_object v1asdf_action__o)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G3960                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC715__g3960(cl_object v1asdf_action__o)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G3963                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC716__g3963(cl_object v1asdf_operation_operation, cl_object v2asdf_component_component)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3asdf_component_component;
   v3asdf_component_component = ecl_function_dispatch(cl_env_copy,VV[1167])(2, ECL_NIL, v2asdf_component_component) /*  FIND-COMPONENT */;
   T0 = ecl_function_dispatch(cl_env_copy,VV[518])(3, v1asdf_operation_operation, ECL_SYM("PACKAGE",1296), VV[1182]) /*  SAFE-READ-FROM-STRING */;
   value0 = ecl_function_dispatch(cl_env_copy,VV[1230])(2, T0, v3asdf_component_component) /*  OUTPUT-FILES */;
   return value0;
  }
 }
}
/*      local function G3964                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC717__g3964(cl_object v1asdf_operation_operation, cl_object v2asdf_component_component)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(v1asdf_operation_operation)) { goto L1; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[1181])(1, v1asdf_operation_operation) /*  MAKE-OPERATION */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1167])(2, ECL_NIL, v2asdf_component_component) /*  FIND-COMPONENT */;
  if ((value0)!=ECL_NIL) { goto L5; }
  T1 = ECL_NIL;
  goto L3;
L5:;
  T1 = value0;
  goto L3;
L3:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1230])(2, T0, T1) /*  OUTPUT-FILES */;
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G3965                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC718__g3965(cl_object v1asdf_operation_operation, cl_object v2asdf_component_component)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(si_of_class_p(2, v2asdf_component_component, VV[1042]))) { goto L1; }
  T0 = CONS(v1asdf_operation_operation,v2asdf_component_component);
  value0 = cl_error(3, VV[1206], VV[1230], T0);
  return value0;
L1:;
  {
   cl_object v3;
   v3 = ecl_function_dispatch(cl_env_copy,VV[1167])(2, ECL_NIL, v2asdf_component_component) /*  FIND-COMPONENT */;
   if (Null(v3)) { goto L4; }
   value0 = ecl_function_dispatch(cl_env_copy,VV[1230])(2, v1asdf_operation_operation, v3) /*  OUTPUT-FILES */;
   return value0;
L4:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G3968                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC719__g3968(cl_object v1asdf_operation_operation, cl_object v2asdf_component_component)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3asdf_component_component;
   v3asdf_component_component = ecl_function_dispatch(cl_env_copy,VV[1167])(2, ECL_NIL, v2asdf_component_component) /*  FIND-COMPONENT */;
   T0 = ecl_function_dispatch(cl_env_copy,VV[518])(3, v1asdf_operation_operation, ECL_SYM("PACKAGE",1296), VV[1182]) /*  SAFE-READ-FROM-STRING */;
   value0 = ecl_function_dispatch(cl_env_copy,VV[1231])(2, T0, v3asdf_component_component) /*  INPUT-FILES */;
   return value0;
  }
 }
}
/*      local function G3969                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC720__g3969(cl_object v1asdf_operation_operation, cl_object v2asdf_component_component)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(v1asdf_operation_operation)) { goto L1; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[1181])(1, v1asdf_operation_operation) /*  MAKE-OPERATION */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1167])(2, ECL_NIL, v2asdf_component_component) /*  FIND-COMPONENT */;
  if ((value0)!=ECL_NIL) { goto L5; }
  T1 = ECL_NIL;
  goto L3;
L5:;
  T1 = value0;
  goto L3;
L3:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1231])(2, T0, T1) /*  INPUT-FILES */;
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G3970                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC721__g3970(cl_object v1asdf_operation_operation, cl_object v2asdf_component_component)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(si_of_class_p(2, v2asdf_component_component, VV[1042]))) { goto L1; }
  T0 = CONS(v1asdf_operation_operation,v2asdf_component_component);
  value0 = cl_error(3, VV[1206], VV[1231], T0);
  return value0;
L1:;
  {
   cl_object v3;
   v3 = ecl_function_dispatch(cl_env_copy,VV[1167])(2, ECL_NIL, v2asdf_component_component) /*  FIND-COMPONENT */;
   if (Null(v3)) { goto L4; }
   value0 = ecl_function_dispatch(cl_env_copy,VV[1231])(2, v1asdf_operation_operation, v3) /*  INPUT-FILES */;
   return value0;
L4:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G3973                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC722__g3973(cl_object v1asdf_operation_operation, cl_object v2asdf_component_component)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3asdf_component_component;
   v3asdf_component_component = ecl_function_dispatch(cl_env_copy,VV[1167])(2, ECL_NIL, v2asdf_component_component) /*  FIND-COMPONENT */;
   T0 = ecl_function_dispatch(cl_env_copy,VV[518])(3, v1asdf_operation_operation, ECL_SYM("PACKAGE",1296), VV[1182]) /*  SAFE-READ-FROM-STRING */;
   value0 = ecl_function_dispatch(cl_env_copy,VV[1232])(2, T0, v3asdf_component_component) /*  OPERATION-DONE-P */;
   return value0;
  }
 }
}
/*      local function G3974                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC723__g3974(cl_object v1asdf_operation_operation, cl_object v2asdf_component_component)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(v1asdf_operation_operation)) { goto L1; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[1181])(1, v1asdf_operation_operation) /*  MAKE-OPERATION */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1167])(2, ECL_NIL, v2asdf_component_component) /*  FIND-COMPONENT */;
  if ((value0)!=ECL_NIL) { goto L5; }
  T1 = ECL_NIL;
  goto L3;
L5:;
  T1 = value0;
  goto L3;
L3:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1232])(2, T0, T1) /*  OPERATION-DONE-P */;
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G3975                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC724__g3975(cl_object v1asdf_operation_operation, cl_object v2asdf_component_component)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(si_of_class_p(2, v2asdf_component_component, VV[1042]))) { goto L1; }
  T0 = CONS(v1asdf_operation_operation,v2asdf_component_component);
  value0 = cl_error(3, VV[1206], VV[1232], T0);
  return value0;
L1:;
  {
   cl_object v3;
   v3 = ecl_function_dispatch(cl_env_copy,VV[1167])(2, ECL_NIL, v2asdf_component_component) /*  FIND-COMPONENT */;
   if (Null(v3)) { goto L4; }
   value0 = ecl_function_dispatch(cl_env_copy,VV[1232])(2, v1asdf_operation_operation, v3) /*  OPERATION-DONE-P */;
   return value0;
L4:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G3976                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC725__g3976(cl_object v1asdf_action__o, cl_object v2asdf_action__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G3989                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC729__g3989(cl_object v1asdf_operation_operation, cl_object v2asdf_component_component)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 cl_object CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v2asdf_component_component,env0); /*  COMPONENT  */
  {
   cl_object env1 = env0;
   if (!(ECL_LISTP(ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1491))))) { goto L2; }
   T0 = ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1491));
   goto L1;
L2:;
   T1 = (ECL_SYM("LIST",481)->symbol.gfdef);
   T0 = cl_apply(2, T1, ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1491)));
L1:;
   CLV1 = env1 = CONS(T0,env1);                   /*  .CLOSED-COMBINED-METHOD-ARGS. */
   CLV2 = env1 = CONS(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)),env1); /*  .NEXT-METHODS. */
   T0 = cl_list(3, VV[1230], v1asdf_operation_operation, ECL_CONS_CAR(CLV0));
   {
    cl_object v3;
    v3 = ecl_make_cclosure_va((cl_objectfn)LC728__g3990,env1,Cblock);
    T1 = v3;
   }
   value0 = ecl_function_dispatch(cl_env_copy,VV[1080])(2, T0, T1) /*  CONSULT-ASDF-CACHE */;
   return value0;
  }
 }
}
/*      local function G4003                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC730__g4003(cl_object v1asdf_action__o, cl_object v2asdf_action__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for OUTPUT-FILE                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L731output_file(cl_object v1asdf_operation_operation, cl_object v2asdf_component_component)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3asdf_action__files;
   v3asdf_action__files = ecl_function_dispatch(cl_env_copy,VV[1230])(2, v1asdf_operation_operation, v2asdf_component_component) /*  OUTPUT-FILES */;
   goto L4;
L3:;
   si_assert_failure(1, VV[1234]);
L4:;
   if ((ecl_function_dispatch(cl_env_copy,VV[158])(2, v3asdf_action__files, ecl_make_fixnum(1)) /*  LENGTH=N-P */)!=ECL_NIL) { goto L7; }
   goto L3;
L7:;
   value0 = ecl_car(v3asdf_action__files);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G4006                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC735__g4006(cl_object v1asdf_operation_operation, cl_object v2asdf_component_component)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object env1 = env0;
   if (!(ECL_LISTP(ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1491))))) { goto L2; }
   T0 = ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1491));
   goto L1;
L2:;
   T1 = (ECL_SYM("LIST",481)->symbol.gfdef);
   T0 = cl_apply(2, T1, ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1491)));
L1:;
   env1 = ECL_NIL;
   CLV0 = env1 = CONS(T0,env1);                   /*  .CLOSED-COMBINED-METHOD-ARGS. */
   CLV1 = env1 = CONS(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)),env1); /*  .NEXT-METHODS. */
   T0 = cl_list(3, VV[1231], v1asdf_operation_operation, v2asdf_component_component);
   {
    cl_object v3;
    v3 = ecl_make_cclosure_va((cl_objectfn)LC734__g4007,env1,Cblock);
    T1 = v3;
   }
   value0 = ecl_function_dispatch(cl_env_copy,VV[1080])(2, T0, T1) /*  CONSULT-ASDF-CACHE */;
   return value0;
  }
 }
}
/*      local function G4008                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC736__g4008(cl_object v1asdf_action__o, cl_object v2asdf_action__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G4029                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC737__g4029(cl_object v1asdf_action__o, cl_object v2asdf_action__c)
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4asdf_action__dep_o;
   cl_object v5;
   T1 = ecl_function_dispatch(cl_env_copy,VV[1223])(1, v1asdf_action__o) /*  SELFWARD-OPERATION */;
   v3 = ecl_function_dispatch(cl_env_copy,VV[161])(1, T1) /*  ENSURE-LIST */;
   v4asdf_action__dep_o = ECL_NIL;
   {
    cl_object v6;
    v6 = v3;
    if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
    v5 = v6;
   }
   {
    cl_object v6;
    cl_object v7;
    v6 = ecl_list1(ECL_NIL);
    v7 = v6;
L12:;
    if (!(ecl_endp(v5))) { goto L14; }
    goto L13;
L14:;
    v4asdf_action__dep_o = _ecl_car(v5);
    {
     cl_object v8;
     v8 = _ecl_cdr(v5);
     if (ecl_unlikely(!ECL_LISTP(v8))) FEtype_error_list(v8);
     v5 = v8;
    }
    {
     cl_object v8;
     value0 = ecl_function_dispatch(cl_env_copy,VV[1230])(2, v4asdf_action__dep_o, v2asdf_action__c) /*  OUTPUT-FILES */;
     if ((value0)!=ECL_NIL) { goto L27; }
     T1 = ecl_function_dispatch(cl_env_copy,VV[1231])(2, v4asdf_action__dep_o, v2asdf_action__c) /*  INPUT-FILES */;
     goto L25;
L27:;
     T1 = value0;
     goto L25;
L25:;
     v8 = cl_copy_list(T1);
     {
      cl_object v9;
      v9 = v7;
      if (ecl_unlikely(ECL_ATOM(v9))) FEtype_error_cons(v9);
      T1 = v9;
     }
     (ECL_CONS_CDR(T1)=v8,T1);
     if (Null(v8)) { goto L22; }
    }
    T1 = ecl_cdr(v7);
    v7 = ecl_last(T1,1);
L22:;
    goto L12;
L13:;
    value0 = ecl_cdr(v6);
    goto L4;
   }
  }
L4:;
  if ((value0)!=ECL_NIL) { goto L3; }
  {
   cl_object v3pathname;
   v3pathname = ecl_function_dispatch(cl_env_copy,VV[1031])(1, v2asdf_action__c) /*  COMPONENT-PATHNAME */;
   if (Null(v3pathname)) { goto L37; }
   if (Null(ecl_function_dispatch(cl_env_copy,VV[329])(1, v3pathname) /*  FILE-PATHNAME-P */)) { goto L40; }
   T0 = ecl_list1(v3pathname);
   goto L1;
L40:;
   T0 = ECL_NIL;
   goto L1;
L37:;
   T0 = ECL_NIL;
   goto L1;
  }
L3:;
  T0 = value0;
  goto L1;
L1:;
  if (Null(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)))) { goto L43; }
  T2 = ecl_car(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
  T3 = ecl_cdr(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
  T1 = ecl_function_dispatch(cl_env_copy,T2)(2, ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1491)), T3);
  goto L42;
L43:;
  T1 = cl_error(1, VV[1076]);
L42:;
  value0 = ecl_append(T0,T1);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      closure CALL-NEXT-METHOD                                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC726call_next_method(cl_narg narg, ...)
{
 cl_object T0, T1, T2;
 cl_object CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV2 = env0;                                     /*  .NEXT-METHODS.  */
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 {
  cl_object v1clos__args;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1clos__args = cl_grab_rest_args(args);
  ecl_va_end(args);
  if ((ECL_CONS_CAR(CLV2))!=ECL_NIL) { goto L1; }
  cl_error(1, VV[1216]);
L1:;
  T0 = ecl_car(ECL_CONS_CAR(CLV2));
  value0 = v1clos__args;
  if ((value0)!=ECL_NIL) { goto L6; }
  T1 = ECL_CONS_CAR(CLV1);
  goto L4;
L6:;
  T1 = value0;
  goto L4;
L4:;
  T2 = ecl_cdr(ECL_CONS_CAR(CLV2));
  value0 = ecl_function_dispatch(cl_env_copy,T0)(2, T1, T2);
  return value0;
 }
 }
}
/*      closure G3990                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC728__g3990(cl_narg narg, ...)
{
 cl_object T0, T1, T2;
 volatile struct ecl_cclosure aux_closure;
 cl_object CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV2 = env0;                                     /*  .NEXT-METHODS.  */
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  {
   cl_object v2;                                  /*  PATHNAMES       */
   cl_object v3;                                  /*  FIXEDP          */
   value0 = (aux_closure.env=env0,cl_env_copy->function=(cl_object)&aux_closure,LC726call_next_method(0));
   v2 = value0;
   {
    const int v4 = cl_env_copy->nvalues;
    cl_object v5;
    v5 = (v4<=1)? ECL_NIL : cl_env_copy->values[1];
    v3 = v5;
   }
   {
    cl_object v4directory;
    cl_object v5asdf_action__absolute_pathnames;
    T1 = ecl_function_dispatch(cl_env_copy,VV[1167])(2, ECL_NIL, ECL_CONS_CAR(CLV0)) /*  FIND-COMPONENT */;
    T2 = ecl_function_dispatch(cl_env_copy,VV[1031])(1, T1) /*  COMPONENT-PATHNAME */;
    v4directory = ecl_function_dispatch(cl_env_copy,VV[333])(1, T2) /*  PATHNAME-DIRECTORY-PATHNAME */;
    {
     cl_object v6pathname;
     cl_object v7;
     v6pathname = ECL_NIL;
     {
      cl_object v8;
      v8 = v2;
      if (ecl_unlikely(!ECL_LISTP(v8))) FEtype_error_list(v8);
      v7 = v8;
     }
     {
      cl_object v8;
      cl_object v9;
      v8 = ecl_list1(ECL_NIL);
      v9 = v8;
L11:;
      if (!(ecl_endp(v7))) { goto L13; }
      goto L12;
L13:;
      v6pathname = _ecl_car(v7);
      {
       cl_object v10;
       v10 = _ecl_cdr(v7);
       if (ecl_unlikely(!ECL_LISTP(v10))) FEtype_error_list(v10);
       v7 = v10;
      }
      {
       cl_object v10;
       v10 = v9;
       if (ecl_unlikely(ECL_ATOM(v10))) FEtype_error_cons(v10);
       T1 = v10;
      }
      T2 = ecl_function_dispatch(cl_env_copy,VV[378])(2, v6pathname, v4directory) /*  ENSURE-ABSOLUTE-PATHNAME */;
      v9 = ecl_list1(T2);
      (ECL_CONS_CDR(T1)=v9,T1);
      goto L11;
L12:;
      v5asdf_action__absolute_pathnames = ecl_cdr(v8);
      goto L4;
     }
    }
L4:;
    if (Null(v3)) { goto L28; }
    T0 = v5asdf_action__absolute_pathnames;
    goto L1;
L28:;
    {
     cl_object v6;
     v6 = ecl_symbol_value(VV[404]);
     {
      cl_object v7;
      cl_object v8;
      v7 = ECL_NIL;
      {
       cl_object v9;
       v9 = v5asdf_action__absolute_pathnames;
       if (ecl_unlikely(!ECL_LISTP(v9))) FEtype_error_list(v9);
       v8 = v9;
      }
      {
       cl_object v9;
       cl_object v10;
       v9 = ecl_list1(ECL_NIL);
       v10 = v9;
L37:;
       if (!(ecl_endp(v8))) { goto L39; }
       goto L38;
L39:;
       v7 = _ecl_car(v8);
       {
        cl_object v11;
        v11 = _ecl_cdr(v8);
        if (ecl_unlikely(!ECL_LISTP(v11))) FEtype_error_list(v11);
        v8 = v11;
       }
       {
        cl_object v11;
        v11 = v10;
        if (ecl_unlikely(ECL_ATOM(v11))) FEtype_error_cons(v11);
        T1 = v11;
       }
       T2 = ecl_function_dispatch(cl_env_copy,v6)(1, v7);
       v10 = ecl_list1(T2);
       (ECL_CONS_CDR(T1)=v10,T1);
       goto L37;
L38:;
       T0 = ecl_cdr(v9);
       goto L1;
      }
     }
    }
   }
  }
L1:;
  cl_env_copy->nvalues = 2;
  cl_env_copy->values[1] = ECL_T;
  cl_env_copy->values[0] = T0;
  return cl_env_copy->values[0];
 }
 }
}
/*      closure CALL-NEXT-METHOD                                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC732call_next_method(cl_narg narg, ...)
{
 cl_object T0, T1, T2;
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  .NEXT-METHODS.  */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 {
  cl_object v1clos__args;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1clos__args = cl_grab_rest_args(args);
  ecl_va_end(args);
  if ((ECL_CONS_CAR(CLV1))!=ECL_NIL) { goto L1; }
  cl_error(1, VV[1216]);
L1:;
  T0 = ecl_car(ECL_CONS_CAR(CLV1));
  value0 = v1clos__args;
  if ((value0)!=ECL_NIL) { goto L6; }
  T1 = ECL_CONS_CAR(CLV0);
  goto L4;
L6:;
  T1 = value0;
  goto L4;
L4:;
  T2 = ecl_cdr(ECL_CONS_CAR(CLV1));
  value0 = ecl_function_dispatch(cl_env_copy,T0)(2, T1, T2);
  return value0;
 }
 }
}
/*      closure G4007                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC734__g4007(cl_narg narg, ...)
{
 volatile struct ecl_cclosure aux_closure;
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  .NEXT-METHODS.  */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = (aux_closure.env=env0,cl_env_copy->function=(cl_object)&aux_closure,LC732call_next_method(0));
  return value0;
 }
 }
}
/*      local function G4039                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC738__g4039(cl_object v1asdf_operation_operation, cl_object v2asdf_component_component)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3asdf_component_component;
   v3asdf_component_component = ecl_function_dispatch(cl_env_copy,VV[1167])(2, ECL_NIL, v2asdf_component_component) /*  FIND-COMPONENT */;
   T0 = ecl_function_dispatch(cl_env_copy,VV[518])(3, v1asdf_operation_operation, ECL_SYM("PACKAGE",1296), VV[1182]) /*  SAFE-READ-FROM-STRING */;
   value0 = ecl_function_dispatch(cl_env_copy,VV[1235])(2, T0, v3asdf_component_component) /*  COMPONENT-OPERATION-TIME */;
   return value0;
  }
 }
}
/*      local function G4040                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC739__g4040(cl_object v1asdf_operation_operation, cl_object v2asdf_component_component)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(v1asdf_operation_operation)) { goto L1; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[1181])(1, v1asdf_operation_operation) /*  MAKE-OPERATION */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1167])(2, ECL_NIL, v2asdf_component_component) /*  FIND-COMPONENT */;
  if ((value0)!=ECL_NIL) { goto L5; }
  T1 = ECL_NIL;
  goto L3;
L5:;
  T1 = value0;
  goto L3;
L3:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1235])(2, T0, T1) /*  COMPONENT-OPERATION-TIME */;
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G4041                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC740__g4041(cl_object v1asdf_operation_operation, cl_object v2asdf_component_component)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(si_of_class_p(2, v2asdf_component_component, VV[1042]))) { goto L1; }
  T0 = CONS(v1asdf_operation_operation,v2asdf_component_component);
  value0 = cl_error(3, VV[1206], VV[1235], T0);
  return value0;
L1:;
  {
   cl_object v3;
   v3 = ecl_function_dispatch(cl_env_copy,VV[1167])(2, ECL_NIL, v2asdf_component_component) /*  FIND-COMPONENT */;
   if (Null(v3)) { goto L4; }
   value0 = ecl_function_dispatch(cl_env_copy,VV[1235])(2, v1asdf_operation_operation, v3) /*  COMPONENT-OPERATION-TIME */;
   return value0;
L4:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G4082                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC742__g4082(cl_object v1asdf_action__status, cl_object v2stream)
{
 cl_object env0 = ECL_NIL;
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1asdf_action__status,env0); /*  STATUS          */
  CLV1 = env0 = CONS(v2stream,env0);              /*  STREAM          */
  {
   cl_object v3;
   v3 = ecl_make_cclosure_va((cl_objectfn)LC741si___print_unreadable_object_body_,env0,Cblock);
   value0 = si_print_unreadable_object_function(ECL_CONS_CAR(CLV0), ECL_CONS_CAR(CLV1), ECL_T, ECL_NIL, v3);
   return value0;
  }
 }
}
/*      local function G4084                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC743__g4084(cl_object v1asdf_action__o, cl_object v2asdf_action__c)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_type_of(v1asdf_action__o);
  T1 = ecl_function_dispatch(cl_env_copy,VV[2443])(1, v2asdf_action__c) /*  COMPONENT-OPERATION-TIMES */;
  value0 = cl_gethash(2, T0, T1);
  return value0;
 }
}
/*      local function G4097                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC744__g4097(cl_object v1asdf_action_stamp, cl_object v2asdf_action__o, cl_object v3asdf_action__c)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_type_of(v2asdf_action__o);
  T1 = ecl_function_dispatch(cl_env_copy,VV[2443])(1, v3asdf_action__c) /*  COMPONENT-OPERATION-TIMES */;
  value0 = si_hash_set(T0, T1, v1asdf_action_stamp);
  return value0;
 }
}
/*      local function G4113                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC745__g4113(cl_object v1asdf_action__o, cl_object v2asdf_action__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = ecl_function_dispatch(cl_env_copy,VV[1237])(5, ECL_NIL, v1asdf_action__o, v2asdf_action__c, VV[1244], ECL_T) /*  COMPUTE-ACTION-STAMP */;
   value0 = (cl_env_copy->function=ecl_fdefinition(VV[2444]))->cfun.entry(3, v3, v1asdf_action__o, v2asdf_action__c) /*  (SETF COMPONENT-OPERATION-TIME) */;
   return value0;
  }
 }
}
/*      closure .PRINT-UNREADABLE-OBJECT-BODY.                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC741si___print_unreadable_object_body_(cl_narg narg, ...)
{
 cl_object T0, T1;
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  STREAM          */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  T0 = cl_slot_value(ECL_CONS_CAR(CLV0), VV[1241]);
  T1 = cl_slot_value(ECL_CONS_CAR(CLV0), VV[1243]);
  value0 = cl_format(6, ECL_CONS_CAR(CLV1), VV[1239], VV[1240], T0, VV[1242], T1);
  return value0;
 }
 }
}
/*      local function G4119                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC746__g4119(cl_object v1asdf_operation_operation, cl_object v2asdf_component_component)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3asdf_component_component;
   v3asdf_component_component = ecl_function_dispatch(cl_env_copy,VV[1167])(2, ECL_NIL, v2asdf_component_component) /*  FIND-COMPONENT */;
   T0 = ecl_function_dispatch(cl_env_copy,VV[518])(3, v1asdf_operation_operation, ECL_SYM("PACKAGE",1296), VV[1182]) /*  SAFE-READ-FROM-STRING */;
   value0 = ecl_function_dispatch(cl_env_copy,VV[1245])(2, T0, v3asdf_component_component) /*  PERFORM */;
   return value0;
  }
 }
}
/*      local function G4120                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC747__g4120(cl_object v1asdf_operation_operation, cl_object v2asdf_component_component)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(v1asdf_operation_operation)) { goto L1; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[1181])(1, v1asdf_operation_operation) /*  MAKE-OPERATION */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1167])(2, ECL_NIL, v2asdf_component_component) /*  FIND-COMPONENT */;
  if ((value0)!=ECL_NIL) { goto L5; }
  T1 = ECL_NIL;
  goto L3;
L5:;
  T1 = value0;
  goto L3;
L3:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1245])(2, T0, T1) /*  PERFORM */;
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G4121                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC748__g4121(cl_object v1asdf_operation_operation, cl_object v2asdf_component_component)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(si_of_class_p(2, v2asdf_component_component, VV[1042]))) { goto L1; }
  T0 = CONS(v1asdf_operation_operation,v2asdf_component_component);
  value0 = cl_error(3, VV[1206], VV[1245], T0);
  return value0;
L1:;
  {
   cl_object v3;
   v3 = ecl_function_dispatch(cl_env_copy,VV[1167])(2, ECL_NIL, v2asdf_component_component) /*  FIND-COMPONENT */;
   if (Null(v3)) { goto L4; }
   value0 = ecl_function_dispatch(cl_env_copy,VV[1245])(2, v1asdf_operation_operation, v3) /*  PERFORM */;
   return value0;
L4:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G4122                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC749__g4122(cl_object v1asdf_action__o, cl_object v2asdf_action__c)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[1230])(2, v1asdf_action__o, v2asdf_action__c) /*  OUTPUT-FILES */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[481])(1, T0) /*  ENSURE-ALL-DIRECTORIES-EXIST */;
  return value0;
 }
}
/*      local function G4123                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC750__g4123(cl_object v1asdf_action__o, cl_object v2asdf_action__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[1236])(2, v1asdf_action__o, v2asdf_action__c) /*  MARK-OPERATION-DONE */;
  return value0;
 }
}
/*      local function G4124                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC751__g4124(cl_object v1asdf_action__o, cl_object v2asdf_action__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G4125                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC752__g4125(cl_object v1asdf_action__o, cl_object v2asdf_action__c)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if ((si_of_class_p(2, v1asdf_action__o, VV[1217]))!=ECL_NIL) { goto L3; }
  if ((si_of_class_p(2, v1asdf_action__o, VV[1219]))!=ECL_NIL) { goto L3; }
  if ((si_of_class_p(2, v1asdf_action__o, VV[1221]))!=ECL_NIL) { goto L3; }
  if ((si_of_class_p(2, v1asdf_action__o, VV[1223]))!=ECL_NIL) { goto L3; }
  if (Null(si_of_class_p(2, v1asdf_action__o, VV[1225]))) { goto L1; }
  goto L2;
L3:;
L2:;
  T0 = CONS(v1asdf_action__o,v2asdf_action__c);
  value0 = ecl_function_dispatch(cl_env_copy,VV[1099])(3, VV[1246], VV[1245], T0) /*  SYSDEF-ERROR */;
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G4127                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC753__g4127(cl_object v1asdf_operation_operation, cl_object v2asdf_component_component)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[1245])(2, v1asdf_operation_operation, v2asdf_component_component) /*  PERFORM */;
  return value0;
 }
}
/*      local function G4152                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC758__g4152(cl_object volatile v1asdf_operation_operation, cl_object volatile v2asdf_component_component)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0, CLV1, CLV2, CLV3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1asdf_operation_operation,env0); /*  OPERATION  */
  CLV1 = env0 = CONS(v2asdf_component_component,env0); /*  COMPONENT  */
L1:;
  {
   volatile cl_object env1 = env0;
   CLV2 = env1 = CONS(ECL_NIL,env1);
   {
    volatile cl_object env2 = env1;
    CLV3 = env2 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
    if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV3))) {
    if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L3;
    if (cl_env_copy->values[0]==ecl_make_fixnum(1))goto L4;
    ecl_internal_error("GO found an inexistent tag");
    }
    {
     cl_object v3;
     v3 = ecl_make_cclosure_va((cl_objectfn)LC754__g4159,env2,Cblock);
     T0 = v3;
    }
    {
     cl_object v3;
     v3 = ecl_make_cclosure_va((cl_objectfn)LC755__g4160,env2,Cblock);
     T1 = v3;
    }
    T2 = ecl_function_dispatch(cl_env_copy,VV[2382])(6, ECL_SYM("NAME",1285), VV[1083], ECL_SYM("FUNCTION",1251), T0, VV[1084], T1) /*  MAKE-RESTART */;
    {
     cl_object v3;
     v3 = ecl_make_cclosure_va((cl_objectfn)LC756__g4161,env2,Cblock);
     T3 = v3;
    }
    {
     cl_object v3;
     v3 = ecl_make_cclosure_va((cl_objectfn)LC757__g4162,env2,Cblock);
     T4 = v3;
    }
    T5 = ecl_function_dispatch(cl_env_copy,VV[2382])(6, ECL_SYM("NAME",1285), VV[1249], ECL_SYM("FUNCTION",1251), T3, VV[1084], T4) /*  MAKE-RESTART */;
    T6 = cl_list(2, T2, T5);
    T7 = CONS(T6,ecl_symbol_value(ECL_SYM("*RESTART-CLUSTERS*",4)));
    ecl_bds_bind(cl_env_copy,ECL_SYM("*RESTART-CLUSTERS*",4),T7); /*  *RESTART-CLUSTERS* */
    if (Null(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)))) { goto L10; }
    T0 = ecl_car(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
    T1 = ecl_cdr(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
    value0 = ecl_function_dispatch(cl_env_copy,T0)(2, ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1491)), T1);
    ecl_frs_pop(cl_env_copy);
    ecl_bds_unwind1(cl_env_copy);
    return value0;
L10:;
    value0 = cl_error(1, VV[1076]);
    ecl_frs_pop(cl_env_copy);
    ecl_bds_unwind1(cl_env_copy);
    return value0;
L3:;
    ecl_frs_pop(cl_env_copy);
    goto L2;
L4:;
    ecl_function_dispatch(cl_env_copy,VV[1236])(2, ECL_CONS_CAR(CLV0), ECL_CONS_CAR(CLV1)) /*  MARK-OPERATION-DONE */;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    ecl_frs_pop(cl_env_copy);
    return value0;
   }
  }
L2:;
  goto L1;
 }
}
/*      closure G4159                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC754__g4159(cl_narg narg, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV3 = env0;                                     /*  TAGBODY         */
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 {
  cl_object v1si__temp;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1si__temp = cl_grab_rest_args(args);
  ecl_va_end(args);
  ECL_CONS_CAR(CLV2) = v1si__temp;
  cl_go(ECL_CONS_CAR(CLV3),ecl_make_fixnum(0));
 }
 }
}
/*      closure G4160                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC755__g4160(cl_narg narg, cl_object v1asdf_action__s, ...)
{
 cl_object T0;
 cl_object CLV0, CLV1, CLV2, CLV3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV3 = env0;
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);                           /*  COMPONENT       */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[1208])(2, ECL_CONS_CAR(CLV0), ECL_CONS_CAR(CLV1)) /*  ACTION-DESCRIPTION */;
  value0 = cl_format(3, v1asdf_action__s, VV[1248], T0);
  return value0;
 }
 }
}
/*      closure G4161                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC756__g4161(cl_narg narg, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV3 = env0;                                     /*  TAGBODY         */
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 {
  cl_object v1si__temp;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1si__temp = cl_grab_rest_args(args);
  ecl_va_end(args);
  ECL_CONS_CAR(CLV2) = v1si__temp;
  cl_go(ECL_CONS_CAR(CLV3),ecl_make_fixnum(1));
 }
 }
}
/*      closure G4162                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC757__g4162(cl_narg narg, cl_object v1asdf_action__s, ...)
{
 cl_object T0;
 cl_object CLV0, CLV1, CLV2, CLV3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV3 = env0;
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);                           /*  COMPONENT       */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[1208])(2, ECL_CONS_CAR(CLV0), ECL_CONS_CAR(CLV1)) /*  ACTION-DESCRIPTION */;
  value0 = cl_format(3, v1asdf_action__s, VV[1250], T0);
  return value0;
 }
 }
}
/*      local function G4165                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC759__g4165(cl_object v1asdf_lisp_action__o, cl_object v2asdf_lisp_action__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_format(3, ECL_NIL, VV[1262], v2asdf_lisp_action__c);
  return value0;
 }
}
/*      local function G4166                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC760__g4166(cl_object v1asdf_lisp_action__o, cl_object v2asdf_lisp_action__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G4167                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC761__g4167(cl_object v1asdf_lisp_action__o, cl_object v2asdf_lisp_action__s)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3asdf_lisp_action__it;
   v3asdf_lisp_action__it = ecl_function_dispatch(cl_env_copy,VV[1068])(1, v2asdf_lisp_action__s) /*  SYSTEM-SOURCE-FILE */;
   if (Null(v3asdf_lisp_action__it)) { goto L2; }
   value0 = ecl_list1(v3asdf_lisp_action__it);
   cl_env_copy->nvalues = 1;
   return value0;
L2:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G4168                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC762__g4168(cl_object v1asdf_lisp_action__o, cl_object v2asdf_lisp_action__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_format(3, ECL_NIL, VV[1263], v2asdf_lisp_action__c);
  return value0;
 }
}
/*      local function G4169                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC763__g4169(cl_object v1asdf_lisp_action__o, cl_object v2asdf_lisp_action__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_format(3, ECL_NIL, VV[1264], v2asdf_lisp_action__c);
  return value0;
 }
}
/*      local function G4170                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC764__g4170(cl_object v1asdf_lisp_action__c, cl_object v2function)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[1062])(1, v1asdf_lisp_action__c) /*  AROUND-COMPILE-HOOK */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[879])(2, T0, v2function) /*  CALL-AROUND-HOOK */;
  return value0;
 }
}
/*      function definition for PERFORM-LISP-COMPILATION              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L766perform_lisp_compilation(cl_object v1asdf_lisp_action__o, cl_object v2asdf_lisp_action__c)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1asdf_lisp_action__o,env0); /*  O               */
  CLV1 = env0 = CONS(v2asdf_lisp_action__c,env0); /*  C               */
  {
   cl_object v3;
   cl_object v4;
   cl_object env1 = env0;
   T0 = ecl_function_dispatch(cl_env_copy,VV[1231])(2, ECL_CONS_CAR(CLV0), ECL_CONS_CAR(CLV1)) /*  INPUT-FILES */;
   v3 = ecl_car(T0);
   v4 = ecl_function_dispatch(cl_env_copy,VV[1230])(2, ECL_CONS_CAR(CLV0), ECL_CONS_CAR(CLV1)) /*  OUTPUT-FILES */;
   CLV2 = env1 = CONS(v3,env1);                   /*  INPUT-FILE      */
   {
    cl_object v6;                                 /*  OUTPUT          */
    cl_object v7;                                 /*  WARNINGS-P      */
    cl_object v8;                                 /*  FAILURE-P       */
    {
     cl_object v9;
     cl_object env2 = env1;
     v9 = v4;
     if (!(v9==ECL_NIL)) { goto L5; }
     si_dm_too_few_arguments(v4);
L5:;
     {
      cl_object v10;
      v10 = ecl_car(v9);
      v9 = ecl_cdr(v9);
      T0 = v10;
     }
     CLV3 = env2 = CONS(T0,env2);                 /*  OUTPUT-FILE     */
     if (Null(v9)) { goto L12; }
     {
      cl_object v10;
      v10 = ecl_car(v9);
      v9 = ecl_cdr(v9);
      T0 = v10;
      goto L11;
     }
L12:;
     T0 = ECL_NIL;
L11:;
     CLV4 = env2 = CONS(T0,env2);                 /*  OBJECT-FILE     */
     if (Null(v9)) { goto L18; }
     {
      cl_object v10;
      v10 = ecl_car(v9);
      v9 = ecl_cdr(v9);
      T0 = v10;
      goto L17;
     }
L18:;
     T0 = ECL_NIL;
L17:;
     CLV5 = env2 = CONS(T0,env2);                 /*  WARNINGS-FILE   */
     if (Null(ECL_CONS_CAR(CLV5))) { goto L23; }
     T0 = cl_pathname_type(1, ECL_CONS_CAR(CLV5));
     T1 = ecl_function_dispatch(cl_env_copy,VV[842])(0) /*  WARNINGS-FILE-TYPE */;
     if (ecl_equal(T0,T1)) { goto L23; }
     ECL_CONS_CAR(CLV5) = ECL_NIL;
L23:;
     {
      cl_object v10;
      v10 = ecl_make_cclosure_va((cl_objectfn)LC765__g4185,env2,Cblock);
      T0 = v10;
     }
     value0 = ecl_function_dispatch(cl_env_copy,VV[1265])(2, ECL_CONS_CAR(CLV1), T0) /*  CALL-WITH-AROUND-COMPILE-HOOK */;
    }
    v6 = value0;
    {
     const int v9 = cl_env_copy->nvalues;
     cl_object v10;
     v10 = (v9<=1)? ECL_NIL : cl_env_copy->values[1];
     v7 = v10;
     v10 = (v9<=2)? ECL_NIL : cl_env_copy->values[2];
     v8 = v10;
    }
    T0 = CONS(ECL_CONS_CAR(CLV0),ECL_CONS_CAR(CLV1));
    T1 = ecl_list1(T0);
    value0 = ecl_function_dispatch(cl_env_copy,VV[830])(5, v6, v7, v8, VV[1269], T1) /*  CHECK-LISP-COMPILE-RESULTS */;
    return value0;
   }
  }
 }
}
/*      function definition for REPORT-FILE-P                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L767report_file_p(cl_object v1asdf_lisp_action__f)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_pathname_type(1, v1asdf_lisp_action__f);
  value0 = ecl_make_bool(ecl_equalp(T0,VV[1271]));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for PERFORM-LISP-WARNINGS-CHECK           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L768perform_lisp_warnings_check(cl_object volatile v1asdf_lisp_action__o, cl_object volatile v2asdf_lisp_action__c)
{
 cl_object T0, T1;
 cl_object volatile env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object v3asdf_lisp_action__expected_warnings_files;
   volatile cl_object v4asdf_lisp_action__actual_warnings_files;
   T0 = ecl_fdefinition(VV[867]);
   T1 = ecl_function_dispatch(cl_env_copy,VV[1231])(2, v1asdf_lisp_action__o, v2asdf_lisp_action__c) /*  INPUT-FILES */;
   v3asdf_lisp_action__expected_warnings_files = cl_remove_if_not(2, T0, T1);
   {
    cl_object v5asdf_lisp_action__w;
    cl_object v6;
    v5asdf_lisp_action__w = ECL_NIL;
    {
     cl_object v7;
     v7 = v3asdf_lisp_action__expected_warnings_files;
     if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
     v6 = v7;
    }
    {
     cl_object v7;
     cl_object v8;
     v7 = ecl_list1(ECL_NIL);
     v8 = v7;
L10:;
     if (!(ecl_endp(v6))) { goto L12; }
     goto L11;
L12:;
     v5asdf_lisp_action__w = _ecl_car(v6);
     {
      cl_object v9;
      v9 = _ecl_cdr(v6);
      if (ecl_unlikely(!ECL_LISTP(v9))) FEtype_error_list(v9);
      v6 = v9;
     }
     if (Null(ecl_function_dispatch(cl_env_copy,VV[1094])(1, v5asdf_lisp_action__w) /*  GET-FILE-STAMP */)) { goto L21; }
     {
      cl_object v9;
      v9 = v8;
      if (ecl_unlikely(ECL_ATOM(v9))) FEtype_error_cons(v9);
      T0 = v9;
     }
     v8 = ecl_list1(v5asdf_lisp_action__w);
     (ECL_CONS_CDR(T0)=v8,T0);
     goto L20;
L21:;
     T0 = ecl_function_dispatch(cl_env_copy,VV[1208])(2, v1asdf_lisp_action__o, v2asdf_lisp_action__c) /*  ACTION-DESCRIPTION */;
     (cl_env_copy->function=(ECL_SYM("WARN",903)->symbol.gfdef))->cfun.entry(3, VV[1273], v5asdf_lisp_action__w, T0) /*  WARN */;
L20:;
     goto L10;
L11:;
     v4asdf_lisp_action__actual_warnings_files = ecl_cdr(v7);
     goto L3;
    }
   }
L3:;
   ecl_function_dispatch(cl_env_copy,VV[868])(1, v4asdf_lisp_action__actual_warnings_files) /*  CHECK-DEFERRED-WARNINGS */;
   {
    volatile cl_object v5asdf_lisp_action__output;
    volatile cl_object v6asdf_lisp_action__report;
    v5asdf_lisp_action__output = ecl_function_dispatch(cl_env_copy,VV[1230])(2, v1asdf_lisp_action__o, v2asdf_lisp_action__c) /*  OUTPUT-FILES */;
    T0 = ecl_fdefinition(VV[1270]);
    v6asdf_lisp_action__report = cl_find_if(2, T0, v5asdf_lisp_action__output);
    if (Null(v6asdf_lisp_action__report)) { goto L33; }
    {
     volatile cl_object v7asdf_lisp_action__s;
     v7asdf_lisp_action__s = cl_open(5, v6asdf_lisp_action__report, ECL_SYM("DIRECTION",1228), ECL_SYM("OUTPUT",1294), ECL_SYM("IF-EXISTS",1256), ECL_SYM("SUPERSEDE",1326));
     {
      volatile bool unwinding = FALSE;
      cl_index v8=ECL_STACK_INDEX(cl_env_copy),v9;
      ecl_frame_ptr next_fr;
      if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
        unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
      } else {
      {
       struct ecl_stack_frame _ecl_inner_frame_aux;
       volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
       {
        cl_object v10;
        v10 = _ecl_inner_frame;
        cl_env_copy->values[0] = cl_format(2, v7asdf_lisp_action__s, VV[1274]);
        ecl_stack_frame_push_values(v10);
        if (Null(v7asdf_lisp_action__s)) { goto L41; }
        cl_close(1, v7asdf_lisp_action__s);
L41:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v10);
       }
       ecl_stack_frame_close(_ecl_inner_frame);
      }
        next_fr = NULL;
      }
      ecl_frs_pop(cl_env_copy);
      v9=ecl_stack_push_values(cl_env_copy);
      if (Null(v7asdf_lisp_action__s)) { goto L43; }
      cl_close(3, v7asdf_lisp_action__s, ECL_SYM("ABORT",1205), ECL_T);
L43:;
      ecl_stack_pop_values(cl_env_copy,v9);
      if (unwinding) ecl_unwind(cl_env_copy,next_fr);
      ECL_STACK_SET_INDEX(cl_env_copy,v8);
      return cl_env_copy->values[0];
     }
    }
L33:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      local function G4198                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC769__g4198(cl_object v1asdf_lisp_action__o, cl_object v2asdf_lisp_action__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[1266])(2, v1asdf_lisp_action__o, v2asdf_lisp_action__c) /*  PERFORM-LISP-COMPILATION */;
  return value0;
 }
}
/*      function definition for LISP-COMPILATION-OUTPUT-FILES         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L770lisp_compilation_output_files(cl_object v1asdf_lisp_action__o, cl_object v2asdf_lisp_action__c)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3asdf_lisp_action__i;
   cl_object v4asdf_lisp_action__f;
   T0 = ecl_function_dispatch(cl_env_copy,VV[1231])(2, v1asdf_lisp_action__o, v2asdf_lisp_action__c) /*  INPUT-FILES */;
   v3asdf_lisp_action__i = ecl_car(T0);
   v4asdf_lisp_action__f = (cl_env_copy->function=(ECL_SYM("COMPILE-FILE-PATHNAME",235)->symbol.gfdef))->cfun.entry(3, v3asdf_lisp_action__i, ECL_SYM("TYPE",1330), VV[1276]) /*  COMPILE-FILE-PATHNAME */;
   if ((L55use_ecl_byte_compiler_p())!=ECL_NIL) { goto L4; }
   T1 = (cl_env_copy->function=(ECL_SYM("COMPILE-FILE-PATHNAME",235)->symbol.gfdef))->cfun.entry(3, v3asdf_lisp_action__i, ECL_SYM("TYPE",1330), ECL_SYM("OBJECT",1290)) /*  COMPILE-FILE-PATHNAME */;
   T0 = ecl_list1(T1);
   goto L3;
L4:;
   T0 = ECL_NIL;
L3:;
   if (Null(ecl_symbol_value(VV[864]))) { goto L7; }
   T2 = ecl_function_dispatch(cl_env_copy,VV[1030])(1, v2asdf_lisp_action__c) /*  COMPONENT-SYSTEM */;
   if ((ecl_function_dispatch(cl_env_copy,VV[1641])(1, T2) /*  BUILTIN-SYSTEM-P */)!=ECL_NIL) { goto L7; }
   T2 = cl_make_pathname(4, ECL_SYM("TYPE",1330), ecl_symbol_value(VV[864]), ECL_SYM("DEFAULTS",1226), v4asdf_lisp_action__f);
   T1 = ecl_list1(T2);
   goto L6;
L7:;
   T1 = ECL_NIL;
L6:;
   T2 = ecl_append(T0,T1);
   value0 = CONS(v4asdf_lisp_action__f,T2);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G4199                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC771__g4199(cl_object v1asdf_lisp_action__o, cl_object v2asdf_lisp_action__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[1275])(2, v1asdf_lisp_action__o, v2asdf_lisp_action__c) /*  LISP-COMPILATION-OUTPUT-FILES */;
  return value0;
 }
}
/*      local function G4200                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC772__g4200(cl_object v1asdf_lisp_action__o, cl_object v2asdf_lisp_action__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G4201                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC773__g4201(cl_object v1asdf_lisp_action__o, cl_object v2asdf_lisp_action__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_symbol_value(VV[864]))) { goto L1; }
  if ((ecl_function_dispatch(cl_env_copy,VV[1641])(1, v2asdf_lisp_action__c) /*  BUILTIN-SYSTEM-P */)!=ECL_NIL) { goto L1; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[1272])(2, v1asdf_lisp_action__o, v2asdf_lisp_action__c) /*  PERFORM-LISP-WARNINGS-CHECK */;
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G4222                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC774__g4222(cl_object v1asdf_lisp_action__o, cl_object v2asdf_lisp_action__c)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_symbol_value(VV[864]))) { goto L1; }
  if ((ecl_function_dispatch(cl_env_copy,VV[1641])(1, v2asdf_lisp_action__c) /*  BUILTIN-SYSTEM-P */)!=ECL_NIL) { goto L1; }
  {
   cl_object v3;
   cl_object v4asdf_lisp_action__sub;
   cl_object v5;
   v3 = ecl_function_dispatch(cl_env_copy,VV[1066])(3, v2asdf_lisp_action__c, ECL_SYM("TYPE",1330), VV[1251]) /*  SUB-COMPONENTS */;
   v4asdf_lisp_action__sub = ECL_NIL;
   {
    cl_object v6;
    v6 = v3;
    if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
    v5 = v6;
   }
   {
    cl_object v6;
    cl_object v7;
    v6 = ecl_list1(ECL_NIL);
    v7 = v6;
L11:;
    if (!(ecl_endp(v5))) { goto L13; }
    goto L12;
L13:;
    v4asdf_lisp_action__sub = _ecl_car(v5);
    {
     cl_object v8;
     v8 = _ecl_cdr(v5);
     if (ecl_unlikely(!ECL_LISTP(v8))) FEtype_error_list(v8);
     v5 = v8;
    }
    {
     cl_object v8;
     T0 = ecl_function_dispatch(cl_env_copy,VV[1230])(2, v1asdf_lisp_action__o, v4asdf_lisp_action__sub) /*  OUTPUT-FILES */;
     v8 = cl_remove_if_not(2, VV[867], T0);
     {
      cl_object v9;
      v9 = v7;
      if (ecl_unlikely(ECL_ATOM(v9))) FEtype_error_cons(v9);
      T0 = v9;
     }
     (ECL_CONS_CDR(T0)=v8,T0);
     if (Null(v8)) { goto L21; }
    }
    T0 = ecl_cdr(v7);
    v7 = ecl_last(T0,1);
L21:;
    goto L11;
L12:;
    value0 = ecl_cdr(v6);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G4230                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC775__g4230(cl_object v1asdf_lisp_action__o, cl_object v2asdf_lisp_action__c)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_symbol_value(VV[864]))) { goto L1; }
  if ((ecl_function_dispatch(cl_env_copy,VV[1641])(1, v2asdf_lisp_action__c) /*  BUILTIN-SYSTEM-P */)!=ECL_NIL) { goto L1; }
  {
   cl_object v3pathname;
   v3pathname = ecl_function_dispatch(cl_env_copy,VV[1031])(1, v2asdf_lisp_action__c) /*  COMPONENT-PATHNAME */;
   if (Null(v3pathname)) { goto L5; }
   T0 = ecl_function_dispatch(cl_env_copy,VV[1103])(1, v2asdf_lisp_action__c) /*  COERCE-FILENAME */;
   T1 = ecl_function_dispatch(cl_env_copy,VV[373])(4, v3pathname, T0, ECL_SYM("TYPE",1330), VV[1271]) /*  SUBPATHNAME */;
   value0 = ecl_list1(T1);
   cl_env_copy->nvalues = 1;
   return value0;
L5:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      closure G4185                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC765__g4185(cl_narg narg, ...)
{
 cl_object T0, T1, T2, T3;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV5 = env0;                                     /*  WARNINGS-FILE   */
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 {
  cl_object v1asdf_lisp_action_flags;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1asdf_lisp_action_flags = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = ecl_function_dispatch(cl_env_copy,VV[1033])(1, ECL_CONS_CAR(CLV1)) /*  COMPONENT-EXTERNAL-FORMAT */;
  T1 = cl_list(2, VV[1268], ECL_CONS_CAR(CLV4));
  T2 = ecl_function_dispatch(cl_env_copy,VV[2449])(1, ECL_CONS_CAR(CLV0)) /*  COMPILE-OP-FLAGS */;
  T3 = cl_append(3, T1, v1asdf_lisp_action_flags, T2);
  value0 = cl_apply(9, VV[883], ECL_CONS_CAR(CLV2), VV[886], ECL_CONS_CAR(CLV3), ECL_SYM("EXTERNAL-FORMAT",1246), T0, VV[1267], ECL_CONS_CAR(CLV5), T3);
  return value0;
 }
 }
}
/*      local function G4231                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC776__g4231(cl_object v1asdf_lisp_action__o, cl_object v2asdf_lisp_action__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_format(3, ECL_NIL, VV[1277], v2asdf_lisp_action__c);
  return value0;
 }
}
/*      local function G4232                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC777__g4232(cl_object v1asdf_lisp_action__o, cl_object v2asdf_lisp_action__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_format(3, ECL_NIL, VV[1278], v2asdf_lisp_action__c);
  return value0;
 }
}
/*      local function G4233                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC778__g4233(cl_object v1asdf_lisp_action__o, cl_object v2asdf_lisp_action__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_format(3, ECL_NIL, VV[1279], v2asdf_lisp_action__c);
  return value0;
 }
}
/*      local function G4254                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC781__g4254(cl_object volatile v1asdf_lisp_action__o, cl_object volatile v2asdf_lisp_action__c)
{
 cl_object T0, T1, T2, T3, T4;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v2asdf_lisp_action__c,env0); /*  C               */
L1:;
  {
   volatile cl_object env1 = env0;
   CLV1 = env1 = CONS(ECL_NIL,env1);
   {
    volatile cl_object env2 = env1;
    CLV2 = env2 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
    if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV2))) {
    if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L3;
    ecl_internal_error("GO found an inexistent tag");
    }
    {
     cl_object v3;
     v3 = ecl_make_cclosure_va((cl_objectfn)LC779__g4260,env2,Cblock);
     T0 = v3;
    }
    {
     cl_object v3;
     v3 = ecl_make_cclosure_va((cl_objectfn)LC780__g4261,env2,Cblock);
     T1 = v3;
    }
    T2 = ecl_function_dispatch(cl_env_copy,VV[2382])(6, ECL_SYM("NAME",1285), VV[1280], ECL_SYM("FUNCTION",1251), T0, VV[1084], T1) /*  MAKE-RESTART */;
    T3 = ecl_list1(T2);
    T4 = CONS(T3,ecl_symbol_value(ECL_SYM("*RESTART-CLUSTERS*",4)));
    ecl_bds_bind(cl_env_copy,ECL_SYM("*RESTART-CLUSTERS*",4),T4); /*  *RESTART-CLUSTERS* */
    if (Null(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)))) { goto L7; }
    T0 = ecl_car(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
    T1 = ecl_cdr(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
    value0 = ecl_function_dispatch(cl_env_copy,T0)(2, ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1491)), T1);
    ecl_frs_pop(cl_env_copy);
    ecl_bds_unwind1(cl_env_copy);
    return value0;
L7:;
    value0 = cl_error(1, VV[1076]);
    ecl_frs_pop(cl_env_copy);
    ecl_bds_unwind1(cl_env_copy);
    return value0;
L3:;
    T0 = ecl_function_dispatch(cl_env_copy,VV[1184])(2, v1asdf_lisp_action__o, VV[1258]) /*  FIND-OPERATION */;
    ecl_function_dispatch(cl_env_copy,VV[1245])(2, T0, ECL_CONS_CAR(CLV0)) /*  PERFORM */;
    ecl_frs_pop(cl_env_copy);
    goto L2;
   }
  }
L2:;
  goto L1;
 }
}
/*      function definition for PERFORM-LISP-LOAD-FASL                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L782perform_lisp_load_fasl(cl_object v1asdf_lisp_action__o, cl_object v2asdf_lisp_action__c)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3asdf_lisp_action__fasl;
   T0 = ecl_function_dispatch(cl_env_copy,VV[1231])(2, v1asdf_lisp_action__o, v2asdf_lisp_action__c) /*  INPUT-FILES */;
   v3asdf_lisp_action__fasl = ecl_car(T0);
   if (Null(v3asdf_lisp_action__fasl)) { goto L2; }
   value0 = ecl_function_dispatch(cl_env_copy,VV[891])(1, v3asdf_lisp_action__fasl) /*  LOAD* */;
   return value0;
L2:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G4263                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC783__g4263(cl_object v1asdf_lisp_action__o, cl_object v2asdf_lisp_action__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[1282])(2, v1asdf_lisp_action__o, v2asdf_lisp_action__c) /*  PERFORM-LISP-LOAD-FASL */;
  return value0;
 }
}
/*      local function G4264                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC784__g4264(cl_object v1asdf_lisp_action__o, cl_object v2asdf_lisp_action__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      closure G4260                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC779__g4260(cl_narg narg, ...)
{
 cl_object CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV2 = env0;                                     /*  TAGBODY         */
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 {
  cl_object v1si__temp;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1si__temp = cl_grab_rest_args(args);
  ecl_va_end(args);
  ECL_CONS_CAR(CLV1) = v1si__temp;
  cl_go(ECL_CONS_CAR(CLV2),ecl_make_fixnum(0));
 }
 }
}
/*      closure G4261                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC780__g4261(cl_narg narg, cl_object v1asdf_lisp_action__s, ...)
{
 cl_object T0;
 cl_object CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV2 = env0;
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);                           /*  C               */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[1029])(1, ECL_CONS_CAR(CLV0)) /*  COMPONENT-NAME */;
  value0 = cl_format(3, v1asdf_lisp_action__s, VV[1281], T0);
  return value0;
 }
 }
}
/*      local function G4265                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC785__g4265(cl_object v1asdf_lisp_action__o, cl_object v2asdf_lisp_action__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_format(3, ECL_NIL, VV[1283], v2asdf_lisp_action__c);
  return value0;
 }
}
/*      local function G4266                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC786__g4266(cl_object v1asdf_lisp_action__o, cl_object v2asdf_lisp_action__s)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3asdf_lisp_action__it;
   v3asdf_lisp_action__it = ecl_function_dispatch(cl_env_copy,VV[1068])(1, v2asdf_lisp_action__s) /*  SYSTEM-SOURCE-FILE */;
   if (Null(v3asdf_lisp_action__it)) { goto L2; }
   value0 = ecl_list1(v3asdf_lisp_action__it);
   cl_env_copy->nvalues = 1;
   return value0;
L2:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G4267                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC787__g4267(cl_object v1asdf_lisp_action__o, cl_object v2asdf_lisp_action__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G4268                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC788__g4268(cl_object v1asdf_lisp_action__o, cl_object v2asdf_lisp_action__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_format(3, ECL_NIL, VV[1284], v2asdf_lisp_action__c);
  return value0;
 }
}
/*      local function G4269                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC789__g4269(cl_object v1asdf_lisp_action__o, cl_object v2asdf_lisp_action__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_format(3, ECL_NIL, VV[1285], v2asdf_lisp_action__c);
  return value0;
 }
}
/*      function definition for PERFORM-LISP-LOAD-SOURCE              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L791perform_lisp_load_source(cl_object v1asdf_lisp_action__o, cl_object v2asdf_lisp_action__c)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1asdf_lisp_action__o,env0); /*  O               */
  CLV1 = env0 = CONS(v2asdf_lisp_action__c,env0); /*  C               */
  {
   cl_object v3;
   v3 = ecl_make_cclosure_va((cl_objectfn)LC790__g4270,env0,Cblock);
   T0 = v3;
  }
  value0 = ecl_function_dispatch(cl_env_copy,VV[1265])(2, ECL_CONS_CAR(CLV1), T0) /*  CALL-WITH-AROUND-COMPILE-HOOK */;
  return value0;
 }
}
/*      local function G4271                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC792__g4271(cl_object v1asdf_lisp_action__o, cl_object v2asdf_lisp_action__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[1286])(2, v1asdf_lisp_action__o, v2asdf_lisp_action__c) /*  PERFORM-LISP-LOAD-SOURCE */;
  return value0;
 }
}
/*      local function G4272                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC793__g4272(cl_object v1asdf_lisp_action__o, cl_object v2asdf_lisp_action__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      closure G4270                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC790__g4270(cl_narg narg, ...)
{
 cl_object T0, T1, T2;
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  C               */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[1231])(2, ECL_CONS_CAR(CLV0), ECL_CONS_CAR(CLV1)) /*  INPUT-FILES */;
  T1 = ecl_car(T0);
  T2 = ecl_function_dispatch(cl_env_copy,VV[1033])(1, ECL_CONS_CAR(CLV1)) /*  COMPONENT-EXTERNAL-FORMAT */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[891])(3, T1, ECL_SYM("EXTERNAL-FORMAT",1246), T2) /*  LOAD* */;
  return value0;
 }
 }
}
/*      local function G4273                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC794__g4273(cl_object v1asdf_lisp_action__o, cl_object v2asdf_lisp_action__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G4274                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC795__g4274(cl_object v1asdf_lisp_action__o, cl_object v2asdf_lisp_action__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G4275                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC796__g4275()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_make_hash_table(2, ECL_SYM("TEST",1328), ECL_SYM("EQUAL",335));
  return value0;
 }
}
/*      local function G4276                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC797__g4276()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_make_hash_table(2, ECL_SYM("TEST",1328), ECL_SYM("EQUAL",335));
  return value0;
 }
}
/*      local function G4349                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC799__g4349(cl_object v1asdf_plan__status, cl_object v2stream)
{
 cl_object env0 = ECL_NIL;
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1asdf_plan__status,env0);   /*  STATUS          */
  CLV1 = env0 = CONS(v2stream,env0);              /*  STREAM          */
  {
   cl_object v3;
   v3 = ecl_make_cclosure_va((cl_objectfn)LC798si___print_unreadable_object_body_,env0,Cblock);
   value0 = si_print_unreadable_object_function(ECL_CONS_CAR(CLV0), ECL_CONS_CAR(CLV1), ECL_T, ECL_NIL, v3);
   return value0;
  }
 }
}
/*      local function G4351                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC800__g4351(cl_object v1asdf_action_action_status)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for NODE-FOR                              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L801node_for(cl_object v1asdf_plan__o, cl_object v2asdf_plan__c)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_type_of(v1asdf_plan__o);
  value0 = CONS(T0,v2asdf_plan__c);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for ACTION-ALREADY-DONE-P                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L802action_already_done_p(cl_object v1asdf_plan_plan, cl_object v2asdf_operation_operation, cl_object v3asdf_component_component)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[1289])(3, v1asdf_plan_plan, v2asdf_operation_operation, v3asdf_component_component) /*  PLAN-ACTION-STATUS */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[2454])(1, T0) /*  ACTION-DONE-P */;
  return value0;
 }
}
/*      local function G4352                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC803__g4352(cl_object v1asdf_plan_plan, cl_object v2asdf_plan__o, cl_object v3asdf_plan__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v5;                                  /*  STAMP           */
   cl_object v6;                                  /*  DONE-P          */
   value0 = ecl_function_dispatch(cl_env_copy,VV[1235])(2, v2asdf_plan__o, v3asdf_plan__c) /*  COMPONENT-OPERATION-TIME */;
   v5 = value0;
   {
    const int v7 = cl_env_copy->nvalues;
    cl_object v8;
    v8 = (v7<=1)? ECL_NIL : cl_env_copy->values[1];
    v6 = v8;
   }
   value0 = (cl_env_copy->function=(ECL_SYM("MAKE-INSTANCE",949)->symbol.gfdef))->cfun.entry(5, VV[1238], VV[1240], v5, VV[1242], v6) /*  MAKE-INSTANCE */;
   return value0;
  }
 }
}
/*      local function G4365                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC804__g4365(cl_object v1asdf_plan__new_status, cl_object v2asdf_plan_plan, cl_object v3asdf_plan__o, cl_object v4asdf_plan__c)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v5;
   cl_object v6;
   v5 = cl_type_of(v3asdf_plan__o);
   v6 = ecl_function_dispatch(cl_env_copy,VV[2443])(1, v4asdf_plan__c) /*  COMPONENT-OPERATION-TIMES */;
   if (Null(ecl_function_dispatch(cl_env_copy,VV[2454])(1, v1asdf_plan__new_status) /*  ACTION-DONE-P */)) { goto L4; }
   cl_remhash(v5, v6);
   goto L1;
L4:;
   T0 = ecl_function_dispatch(cl_env_copy,VV[2455])(1, v1asdf_plan__new_status) /*  ACTION-STAMP */;
   si_hash_set(v5, v6, T0);
  }
L1:;
  value0 = v1asdf_plan__new_status;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      closure .PRINT-UNREADABLE-OBJECT-BODY.                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC798si___print_unreadable_object_body_(cl_narg narg, ...)
{
 cl_object T0, T1, T2, T3;
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  STREAM          */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  T0 = cl_slot_value(ECL_CONS_CAR(CLV0), VV[1241]);
  T1 = cl_slot_value(ECL_CONS_CAR(CLV0), VV[1243]);
  T2 = cl_slot_value(ECL_CONS_CAR(CLV0), VV[1292]);
  T3 = cl_slot_value(ECL_CONS_CAR(CLV0), VV[1294]);
  value0 = cl_format(10, ECL_CONS_CAR(CLV1), VV[1239], VV[1240], T0, VV[1242], T1, VV[1291], T2, VV[1293], T3);
  return value0;
 }
 }
}
/*      function definition for NORMALIZE-FORCED-SYSTEMS              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L805normalize_forced_systems(cl_object v1asdf_plan__force, cl_object v2asdf_system_system)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!((v1asdf_plan__force)==(ECL_NIL))) { goto L7; }
  goto L3;
  goto L5;
L7:;
  goto L5;
L5:;
  if (!(ecl_eql(v1asdf_plan__force,VV[1302]))) { goto L10; }
  goto L3;
  goto L4;
L10:;
  goto L4;
L4:;
  if ((cl_hash_table_p(v1asdf_plan__force))!=ECL_NIL) { goto L3; }
  if (Null(cl_functionp(v1asdf_plan__force))) { goto L1; }
  goto L2;
L3:;
L2:;
  value0 = v1asdf_plan__force;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (!(ECL_CONSP(v1asdf_plan__force))) { goto L13; }
  {
   cl_object v3;
   v3 = ecl_fdefinition(VV[1100]);
   {
    cl_object v4;
    cl_object v5;
    v4 = ECL_NIL;
    {
     cl_object v6;
     v6 = v1asdf_plan__force;
     if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
     v5 = v6;
    }
    {
     cl_object v6;
     cl_object v7;
     v6 = ecl_list1(ECL_NIL);
     v7 = v6;
L23:;
     if (!(ecl_endp(v5))) { goto L25; }
     goto L24;
L25:;
     v4 = _ecl_car(v5);
     {
      cl_object v8;
      v8 = _ecl_cdr(v5);
      if (ecl_unlikely(!ECL_LISTP(v8))) FEtype_error_list(v8);
      v5 = v8;
     }
     {
      cl_object v8;
      v8 = v7;
      if (ecl_unlikely(ECL_ATOM(v8))) FEtype_error_cons(v8);
      T1 = v8;
     }
     T2 = ecl_function_dispatch(cl_env_copy,v3)(1, v4);
     v7 = ecl_list1(T2);
     (ECL_CONS_CDR(T1)=v7,T1);
     goto L23;
L24:;
     T0 = ecl_cdr(v6);
     goto L15;
    }
   }
  }
L15:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[221])(1, T0) /*  LIST-TO-HASH-SET */;
  return value0;
L13:;
  if (Null(cl_typep(2, v1asdf_plan__force, VV[23]))) { goto L41; }
  if (Null(v2asdf_system_system)) { goto L43; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[1100])(1, v2asdf_system_system) /*  COERCE-NAME */;
  T1 = ecl_list1(T0);
  value0 = ecl_function_dispatch(cl_env_copy,VV[221])(1, T1) /*  LIST-TO-HASH-SET */;
  return value0;
L43:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L41:;
  value0 = si_etypecase_error(v1asdf_plan__force, VV[1304]);
  return value0;
 }
}
/*      function definition for NORMALIZE-FORCED-NOT-SYSTEMS          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L808normalize_forced_not_systems(cl_object v1asdf_plan__force_not, cl_object v2asdf_system_system)
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object env1 = env0;
   if (!((v1asdf_plan__force_not)==(ECL_NIL))) { goto L8; }
   goto L4;
   goto L6;
L8:;
   goto L6;
L6:;
   if (!(ecl_eql(v1asdf_plan__force_not,VV[1302]))) { goto L11; }
   goto L4;
   goto L5;
L11:;
   goto L5;
L5:;
   if ((cl_hash_table_p(v1asdf_plan__force_not))!=ECL_NIL) { goto L4; }
   if (Null(cl_functionp(v1asdf_plan__force_not))) { goto L2; }
   goto L3;
L4:;
L3:;
   T0 = v1asdf_plan__force_not;
   goto L1;
L2:;
   if (!(ECL_CONSP(v1asdf_plan__force_not))) { goto L14; }
   {
    cl_object v3;
    v3 = ecl_fdefinition(VV[1100]);
    {
     cl_object v4;
     cl_object v5;
     v4 = ECL_NIL;
     {
      cl_object v6;
      v6 = v1asdf_plan__force_not;
      if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
      v5 = v6;
     }
     {
      cl_object v6;
      cl_object v7;
      v6 = ecl_list1(ECL_NIL);
      v7 = v6;
L24:;
      if (!(ecl_endp(v5))) { goto L26; }
      goto L25;
L26:;
      v4 = _ecl_car(v5);
      {
       cl_object v8;
       v8 = _ecl_cdr(v5);
       if (ecl_unlikely(!ECL_LISTP(v8))) FEtype_error_list(v8);
       v5 = v8;
      }
      {
       cl_object v8;
       v8 = v7;
       if (ecl_unlikely(ECL_ATOM(v8))) FEtype_error_cons(v8);
       T2 = v8;
      }
      T3 = ecl_function_dispatch(cl_env_copy,v3)(1, v4);
      v7 = ecl_list1(T3);
      (ECL_CONS_CDR(T2)=v7,T2);
      goto L24;
L25:;
      T1 = ecl_cdr(v6);
      goto L16;
     }
    }
   }
L16:;
   T0 = ecl_function_dispatch(cl_env_copy,VV[221])(1, T1) /*  LIST-TO-HASH-SET */;
   goto L1;
L14:;
   if (Null(cl_typep(2, v1asdf_plan__force_not, VV[23]))) { goto L42; }
   if (Null(v2asdf_system_system)) { goto L44; }
   {
    cl_object env2 = env1;
    T1 = ecl_function_dispatch(cl_env_copy,VV[1100])(1, v2asdf_system_system) /*  COERCE-NAME */;
    env2 = ECL_NIL;
    CLV0 = env2 = CONS(T1,env2);                  /*  NAME            */
    {
     cl_object v3;
     v3 = ecl_make_cclosure_va((cl_objectfn)LC806__g4395,env2,Cblock);
     T0 = v3;
     goto L1;
    }
   }
L44:;
   T0 = VV[1302];
   goto L1;
L42:;
   T0 = si_etypecase_error(v1asdf_plan__force_not, VV[1304]);
L1:;
   env1 = ECL_NIL;
   CLV0 = env1 = CONS(T0,env1);                   /*  REQUESTED       */
   if (Null(ecl_symbol_value(VV[1122]))) { goto L46; }
   if (Null(ECL_CONS_CAR(CLV0))) { goto L46; }
   {
    cl_object v3;
    v3 = ecl_make_cclosure_va((cl_objectfn)LC807__g4396,env1,Cblock);
    value0 = v3;
    cl_env_copy->nvalues = 1;
    return value0;
   }
L46:;
   value0 = ecl_symbol_value(VV[1122]);
   if ((value0)!=ECL_NIL) { goto L50; }
   value0 = ECL_CONS_CAR(CLV0);
   cl_env_copy->nvalues = 1;
   return value0;
L50:;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for ACTION-OVERRIDE-P                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L809action_override_p(cl_object v1asdf_plan_plan, cl_object v2asdf_operation_operation, cl_object v3asdf_component_component, cl_object v4asdf_plan__override_accessor)
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,v4asdf_plan__override_accessor)(1, v1asdf_plan_plan);
  T1 = ecl_function_dispatch(cl_env_copy,VV[1167])(2, ECL_NIL, v3asdf_component_component) /*  FIND-COMPONENT */;
  T2 = ecl_function_dispatch(cl_env_copy,VV[1030])(1, T1) /*  COMPONENT-SYSTEM */;
  T3 = ecl_function_dispatch(cl_env_copy,VV[1100])(1, T2) /*  COERCE-NAME */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[212])(2, T0, T3) /*  CALL-FUNCTION */;
  return value0;
 }
}
/*      local function G4397                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC810__g4397(cl_object v1asdf_plan_plan, cl_object v2asdf_operation_operation, cl_object v3asdf_component_component)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_function_dispatch(cl_env_copy,VV[1306])(4, v1asdf_plan_plan, v2asdf_operation_operation, v3asdf_component_component, VV[1307]) /*  ACTION-OVERRIDE-P */)) { goto L2; }
  {
   cl_object v4asdf_system_system;
   v4asdf_system_system = ecl_function_dispatch(cl_env_copy,VV[1030])(1, v3asdf_component_component) /*  COMPONENT-SYSTEM */;
   if (Null(ecl_function_dispatch(cl_env_copy,VV[1641])(1, v4asdf_system_system) /*  BUILTIN-SYSTEM-P */)) { goto L7; }
   T1 = ecl_function_dispatch(cl_env_copy,VV[2459])(1, v1asdf_plan_plan) /*  PLAN-SYSTEM */;
   {
    bool v5;
    v5 = (v4asdf_system_system)==(T1);
    T0 = (v5)?ECL_NIL:ECL_T;
    goto L4;
   }
L7:;
   T0 = ECL_NIL;
   goto L4;
  }
L4:;
  value0 = Null(T0)?ECL_T:ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G4398                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC811__g4398(cl_object v1asdf_plan_plan, cl_object v2asdf_operation_operation, cl_object v3asdf_component_component)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[1306])(4, v1asdf_plan_plan, v2asdf_operation_operation, v3asdf_component_component, VV[1308]) /*  ACTION-OVERRIDE-P */;
  return value0;
 }
}
/*      local function G4399                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC812__g4399(cl_object v1asdf_plan_plan, cl_object v2asdf_operation_operation, cl_object v3asdf_component_component)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G4400                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC813__g4400(cl_object v1asdf_plan_plan, cl_object v2asdf_operation_operation, cl_object v3asdf_component_component)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      closure G4395                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC806__g4395(cl_narg narg, cl_object v1asdf_plan__x, ...)
{
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  NAME            */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  {
   bool v2;
   v2 = ecl_equal(v1asdf_plan__x,ECL_CONS_CAR(CLV0));
   value0 = (v2)?ECL_NIL:ECL_T;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
 }
}
/*      closure G4396                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC807__g4396(cl_narg narg, cl_object v1asdf_plan__x, ...)
{
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  REQUESTED       */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[212])(2, ECL_CONS_CAR(CLV0), v1asdf_plan__x) /*  CALL-FUNCTION */;
  if ((value0)!=ECL_NIL) { goto L2; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[212])(2, ecl_symbol_value(VV[1122]), v1asdf_plan__x) /*  CALL-FUNCTION */;
  return value0;
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
 }
}
/*      local function G4401                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC814__g4401(cl_object v1asdf_plan_plan, cl_object v2asdf_plan__o, cl_object v3asdf_plan__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v4asdf_plan__it;
   v4asdf_plan__it = ecl_function_dispatch(cl_env_copy,VV[2366])(1, v3asdf_plan__c) /*  COMPONENT-IF-FEATURE */;
   if (Null(v4asdf_plan__it)) { goto L2; }
   value0 = ecl_function_dispatch(cl_env_copy,VV[249])(1, v4asdf_plan__it) /*  FEATUREP */;
   return value0;
L2:;
   value0 = ECL_T;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G4402                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC815__g4402(cl_object v1asdf_plan_plan, cl_object v2asdf_plan__o, cl_object v3asdf_plan__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G4403                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC816__g4403(cl_object v1asdf_plan_plan, cl_object v2asdf_plan__o, cl_object v3asdf_plan__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G4404                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC817__g4404(cl_object v1asdf_plan_plan, cl_object v2asdf_plan__o, cl_object v3asdf_plan__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G4405                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC818__g4405(cl_object v1asdf_plan__o, cl_object v2asdf_plan__c)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[1230])(2, v1asdf_plan__o, v2asdf_plan__c) /*  OUTPUT-FILES */;
  value0 = Null(T0)?ECL_T:ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MAP-DIRECT-DEPENDENCIES               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L819map_direct_dependencies(cl_object v1asdf_plan_plan, cl_object v2asdf_operation_operation, cl_object v3asdf_component_component, cl_object v4asdf_plan__fun)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v5;
   cl_object v6asdf_plan__dep_o_spec;
   cl_object v7asdf_plan__dep_c_specs;
   cl_object v8;
   v5 = ecl_function_dispatch(cl_env_copy,VV[1215])(2, v2asdf_operation_operation, v3asdf_component_component) /*  COMPONENT-DEPENDS-ON */;
   v6asdf_plan__dep_o_spec = ECL_NIL;
   v7asdf_plan__dep_c_specs = ECL_NIL;
   {
    cl_object v9;
    v9 = v5;
    if (ecl_unlikely(!ECL_LISTP(v9))) FEtype_error_list(v9);
    v8 = v9;
   }
   {
    cl_object v9asdf_plan__dep_o;
    v9asdf_plan__dep_o = ECL_NIL;
L8:;
    if (!(ecl_endp(v8))) { goto L10; }
    goto L9;
L10:;
    {
     cl_object v10;
     v10 = _ecl_car(v8);
     v6asdf_plan__dep_o_spec = ecl_car(v10);
     v10 = ecl_cdr(v10);
     v7asdf_plan__dep_c_specs = v10;
    }
    {
     cl_object v10;
     v10 = _ecl_cdr(v8);
     if (ecl_unlikely(!ECL_LISTP(v10))) FEtype_error_list(v10);
     v8 = v10;
    }
    v9asdf_plan__dep_o = ecl_function_dispatch(cl_env_copy,VV[1184])(2, v2asdf_operation_operation, v6asdf_plan__dep_o_spec) /*  FIND-OPERATION */;
    if (Null(v9asdf_plan__dep_o)) { goto L25; }
    {
     cl_object v10asdf_plan__dep_c_spec;
     cl_object v11;
     v10asdf_plan__dep_c_spec = ECL_NIL;
     {
      cl_object v12;
      v12 = v7asdf_plan__dep_c_specs;
      if (ecl_unlikely(!ECL_LISTP(v12))) FEtype_error_list(v12);
      v11 = v12;
     }
     {
      cl_object v12asdf_plan__dep_c;
      v12asdf_plan__dep_c = ECL_NIL;
L32:;
      if (!(ecl_endp(v11))) { goto L34; }
      goto L33;
L34:;
      v10asdf_plan__dep_c_spec = _ecl_car(v11);
      {
       cl_object v13;
       v13 = _ecl_cdr(v11);
       if (ecl_unlikely(!ECL_LISTP(v13))) FEtype_error_list(v13);
       v11 = v13;
      }
      if (Null(v10asdf_plan__dep_c_spec)) { goto L45; }
      v12asdf_plan__dep_c = ecl_function_dispatch(cl_env_copy,VV[1174])(2, v3asdf_component_component, v10asdf_plan__dep_c_spec) /*  RESOLVE-DEPENDENCY-SPEC */;
      goto L43;
L45:;
      v12asdf_plan__dep_c = ECL_NIL;
      goto L43;
L43:;
      if (Null(v12asdf_plan__dep_c)) { goto L47; }
      if (Null(ecl_function_dispatch(cl_env_copy,VV[1309])(3, v1asdf_plan_plan, v9asdf_plan__dep_o, v12asdf_plan__dep_c) /*  ACTION-VALID-P */)) { goto L47; }
      ecl_function_dispatch(cl_env_copy,v4asdf_plan__fun)(2, v9asdf_plan__dep_o, v12asdf_plan__dep_c);
L47:;
      goto L32;
L33:;
     }
    }
L25:;
    goto L8;
L9:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for REDUCE-DIRECT-DEPENDENCIES            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L821reduce_direct_dependencies(cl_object v1asdf_plan_plan, cl_object v2asdf_operation_operation, cl_object v3asdf_component_component, cl_object v4asdf_plan__combinator, cl_object v5asdf_plan__seed)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v4asdf_plan__combinator,env0); /*  COMBINATOR    */
  CLV1 = env0 = CONS(v5asdf_plan__seed,env0);     /*  SEED            */
  {
   cl_object v6;
   v6 = ecl_make_cclosure_va((cl_objectfn)LC820__g4421,env0,Cblock);
   T0 = v6;
  }
  ecl_function_dispatch(cl_env_copy,VV[1311])(4, v1asdf_plan_plan, v2asdf_operation_operation, v3asdf_component_component, T0) /*  MAP-DIRECT-DEPENDENCIES */;
  value0 = ECL_CONS_CAR(CLV1);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for DIRECT-DEPENDENCIES                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L822direct_dependencies(cl_object v1asdf_plan_plan, cl_object v2asdf_operation_operation, cl_object v3asdf_component_component)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = (ECL_SYM("ACONS",79)->symbol.gfdef);
  value0 = ecl_function_dispatch(cl_env_copy,VV[1312])(5, v1asdf_plan_plan, v2asdf_operation_operation, v3asdf_component_component, T0, ECL_NIL) /*  REDUCE-DIRECT-DEPENDENCIES */;
  return value0;
 }
}
/*      local function G4455                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC824__g4455(cl_narg narg, cl_object v1asdf_plan_plan, cl_object v2asdf_plan__o, cl_object v3asdf_plan__c, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
 {
  cl_object v4asdf_plan__just_done;
  ecl_va_list args; ecl_va_start(args,v3asdf_plan__c,narg,3);
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1asdf_plan_plan,env0);      /*  PLAN            */
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,LC824__g4455keys,keyvars,NULL,TRUE);
   ecl_va_end(args);
   v4asdf_plan__just_done = keyvars[0];
  }
  {
   cl_object v5asdf_plan__dep_stamp;
   {
    cl_object v6;
    v6 = ecl_make_cclosure_va((cl_objectfn)LC823__g4456,env0,Cblock);
    T0 = v6;
   }
   v5asdf_plan__dep_stamp = ecl_function_dispatch(cl_env_copy,VV[1312])(5, ECL_CONS_CAR(CLV0), v2asdf_plan__o, v3asdf_plan__c, T0, ECL_NIL) /*  REDUCE-DIRECT-DEPENDENCIES */;
   if (!((v5asdf_plan__dep_stamp)==(ECL_T))) { goto L3; }
   if ((v4asdf_plan__just_done)!=ECL_NIL) { goto L3; }
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = ECL_NIL;
   cl_env_copy->values[0] = ECL_T;
   return cl_env_copy->values[0];
L3:;
   {
    cl_object v6asdf_plan__in_files;
    cl_object v7asdf_plan__in_stamps;
    cl_object v8asdf_plan__missing_in;
    cl_object v9asdf_plan__latest_in;
    v6asdf_plan__in_files = ecl_function_dispatch(cl_env_copy,VV[1231])(2, v2asdf_plan__o, v3asdf_plan__c) /*  INPUT-FILES */;
    {
     cl_object v10;
     v10 = ecl_fdefinition(VV[1094]);
     {
      cl_object v11;
      cl_object v12;
      v11 = ECL_NIL;
      {
       cl_object v13;
       v13 = v6asdf_plan__in_files;
       if (ecl_unlikely(!ECL_LISTP(v13))) FEtype_error_list(v13);
       v12 = v13;
      }
      {
       cl_object v13;
       cl_object v14;
       v13 = ecl_list1(ECL_NIL);
       v14 = v13;
L15:;
       if (!(ecl_endp(v12))) { goto L17; }
       goto L16;
L17:;
       v11 = _ecl_car(v12);
       {
        cl_object v15;
        v15 = _ecl_cdr(v12);
        if (ecl_unlikely(!ECL_LISTP(v15))) FEtype_error_list(v15);
        v12 = v15;
       }
       {
        cl_object v15;
        v15 = v14;
        if (ecl_unlikely(ECL_ATOM(v15))) FEtype_error_cons(v15);
        T0 = v15;
       }
       T1 = ecl_function_dispatch(cl_env_copy,v10)(1, v11);
       v14 = ecl_list1(T1);
       (ECL_CONS_CDR(T0)=v14,T0);
       goto L15;
L16:;
       v7asdf_plan__in_stamps = ecl_cdr(v13);
       goto L7;
      }
     }
    }
L7:;
    {
     cl_object v10asdf_plan__f;
     cl_object v11;
     v10asdf_plan__f = ECL_NIL;
     {
      cl_object v12;
      v12 = v6asdf_plan__in_files;
      if (ecl_unlikely(!ECL_LISTP(v12))) FEtype_error_list(v12);
      v11 = v12;
     }
     {
      cl_object v12asdf_plan__s;
      cl_object v13;
      v12asdf_plan__s = ECL_NIL;
      {
       cl_object v14;
       v14 = v7asdf_plan__in_stamps;
       if (ecl_unlikely(!ECL_LISTP(v14))) FEtype_error_list(v14);
       v13 = v14;
      }
      {
       cl_object v14;
       cl_object v15;
       v14 = ecl_list1(ECL_NIL);
       v15 = v14;
L44:;
       if (!(ecl_endp(v11))) { goto L46; }
       goto L45;
L46:;
       v10asdf_plan__f = _ecl_car(v11);
       {
        cl_object v16;
        v16 = _ecl_cdr(v11);
        if (ecl_unlikely(!ECL_LISTP(v16))) FEtype_error_list(v16);
        v11 = v16;
       }
       if (!(ecl_endp(v13))) { goto L54; }
       goto L45;
L54:;
       v12asdf_plan__s = _ecl_car(v13);
       {
        cl_object v16;
        v16 = _ecl_cdr(v13);
        if (ecl_unlikely(!ECL_LISTP(v16))) FEtype_error_list(v16);
        v13 = v16;
       }
       if ((v12asdf_plan__s)!=ECL_NIL) { goto L62; }
       {
        cl_object v16;
        v16 = v15;
        if (ecl_unlikely(ECL_ATOM(v16))) FEtype_error_cons(v16);
        T0 = v16;
       }
       v15 = ecl_list1(v10asdf_plan__f);
       (ECL_CONS_CDR(T0)=v15,T0);
L62:;
       goto L44;
L45:;
       v8asdf_plan__missing_in = ecl_cdr(v14);
       goto L33;
      }
     }
    }
L33:;
    T0 = CONS(v5asdf_plan__dep_stamp,v7asdf_plan__in_stamps);
    v9asdf_plan__latest_in = ecl_function_dispatch(cl_env_copy,VV[204])(1, T0) /*  STAMPS-LATEST */;
    if (Null(v8asdf_plan__missing_in)) { goto L71; }
    if ((v4asdf_plan__just_done)!=ECL_NIL) { goto L71; }
    cl_env_copy->nvalues = 2;
    cl_env_copy->values[1] = ECL_NIL;
    cl_env_copy->values[0] = ECL_T;
    return cl_env_copy->values[0];
L71:;
    {
     cl_object v10asdf_plan__out_files;
     cl_object v11asdf_plan__out_stamps;
     cl_object v12asdf_plan__missing_out;
     cl_object v13asdf_plan__earliest_out;
     T0 = ecl_function_dispatch(cl_env_copy,VV[1230])(2, v2asdf_plan__o, v3asdf_plan__c) /*  OUTPUT-FILES */;
     v10asdf_plan__out_files = cl_remove_if(2, ECL_SYM("NULL",605), T0);
     {
      cl_object v14;
      if (Null(v4asdf_plan__just_done)) { goto L77; }
      v14 = VV[1093];
      goto L76;
L77:;
      v14 = VV[1094];
L76:;
      {
       cl_object v15;
       cl_object v16;
       v15 = ECL_NIL;
       {
        cl_object v17;
        v17 = v10asdf_plan__out_files;
        if (ecl_unlikely(!ECL_LISTP(v17))) FEtype_error_list(v17);
        v16 = v17;
       }
       {
        cl_object v17;
        cl_object v18;
        v17 = ecl_list1(ECL_NIL);
        v18 = v17;
L85:;
        if (!(ecl_endp(v16))) { goto L87; }
        goto L86;
L87:;
        v15 = _ecl_car(v16);
        {
         cl_object v19;
         v19 = _ecl_cdr(v16);
         if (ecl_unlikely(!ECL_LISTP(v19))) FEtype_error_list(v19);
         v16 = v19;
        }
        {
         cl_object v19;
         v19 = v18;
         if (ecl_unlikely(ECL_ATOM(v19))) FEtype_error_cons(v19);
         T0 = v19;
        }
        T1 = ecl_function_dispatch(cl_env_copy,v14)(1, v15);
        v18 = ecl_list1(T1);
        (ECL_CONS_CDR(T0)=v18,T0);
        goto L85;
L86:;
        v11asdf_plan__out_stamps = ecl_cdr(v17);
        goto L75;
       }
      }
     }
L75:;
     {
      cl_object v14asdf_plan__f;
      cl_object v15;
      v14asdf_plan__f = ECL_NIL;
      {
       cl_object v16;
       v16 = v10asdf_plan__out_files;
       if (ecl_unlikely(!ECL_LISTP(v16))) FEtype_error_list(v16);
       v15 = v16;
      }
      {
       cl_object v16asdf_plan__s;
       cl_object v17;
       v16asdf_plan__s = ECL_NIL;
       {
        cl_object v18;
        v18 = v11asdf_plan__out_stamps;
        if (ecl_unlikely(!ECL_LISTP(v18))) FEtype_error_list(v18);
        v17 = v18;
       }
       {
        cl_object v18;
        cl_object v19;
        v18 = ecl_list1(ECL_NIL);
        v19 = v18;
L114:;
        if (!(ecl_endp(v15))) { goto L116; }
        goto L115;
L116:;
        v14asdf_plan__f = _ecl_car(v15);
        {
         cl_object v20;
         v20 = _ecl_cdr(v15);
         if (ecl_unlikely(!ECL_LISTP(v20))) FEtype_error_list(v20);
         v15 = v20;
        }
        if (!(ecl_endp(v17))) { goto L124; }
        goto L115;
L124:;
        v16asdf_plan__s = _ecl_car(v17);
        {
         cl_object v20;
         v20 = _ecl_cdr(v17);
         if (ecl_unlikely(!ECL_LISTP(v20))) FEtype_error_list(v20);
         v17 = v20;
        }
        if ((v16asdf_plan__s)!=ECL_NIL) { goto L132; }
        {
         cl_object v20;
         v20 = v19;
         if (ecl_unlikely(ECL_ATOM(v20))) FEtype_error_cons(v20);
         T0 = v20;
        }
        v19 = ecl_list1(v14asdf_plan__f);
        (ECL_CONS_CDR(T0)=v19,T0);
L132:;
        goto L114;
L115:;
        v12asdf_plan__missing_out = ecl_cdr(v18);
        goto L103;
       }
      }
     }
L103:;
     v13asdf_plan__earliest_out = ecl_function_dispatch(cl_env_copy,VV[200])(1, v11asdf_plan__out_stamps) /*  STAMPS-EARLIEST */;
     if (Null(v12asdf_plan__missing_out)) { goto L141; }
     if ((v4asdf_plan__just_done)!=ECL_NIL) { goto L141; }
     cl_env_copy->nvalues = 2;
     cl_env_copy->values[1] = ECL_NIL;
     cl_env_copy->values[0] = ECL_T;
     return cl_env_copy->values[0];
L141:;
     {
      cl_object v14asdf_plan__out_op;
      cl_object v15asdf_plan__op_time;
      cl_object v16asdf_plan__all_present;
      cl_object v17asdf_plan__up_to_date_p;
      cl_object v18asdf_plan__done_stamp;
      if (Null(v10asdf_plan__out_files)) { goto L146; }
      v14asdf_plan__out_op = ECL_T;
      goto L144;
L146:;
      v14asdf_plan__out_op = ECL_NIL;
      goto L144;
L144:;
      value0 = v4asdf_plan__just_done;
      if ((value0)!=ECL_NIL) { goto L150; }
      v15asdf_plan__op_time = ecl_function_dispatch(cl_env_copy,VV[1235])(2, v2asdf_plan__o, v3asdf_plan__c) /*  COMPONENT-OPERATION-TIME */;
      goto L148;
L150:;
      v15asdf_plan__op_time = value0;
      goto L148;
L148:;
      value0 = v8asdf_plan__missing_in;
      if ((value0)!=ECL_NIL) { goto L155; }
      T0 = v12asdf_plan__missing_out;
      goto L153;
L155:;
      T0 = value0;
      goto L153;
L153:;
      v16asdf_plan__all_present = Null(T0)?ECL_T:ECL_NIL;
      v17asdf_plan__up_to_date_p = ecl_function_dispatch(cl_env_copy,VV[198])(2, v9asdf_plan__latest_in, v13asdf_plan__earliest_out) /*  STAMP<= */;
      T0 = CONS(v9asdf_plan__latest_in,v11asdf_plan__out_stamps);
      v18asdf_plan__done_stamp = ecl_function_dispatch(cl_env_copy,VV[204])(1, T0) /*  STAMPS-LATEST */;
      if (Null(v4asdf_plan__just_done)) { goto L159; }
      if ((v16asdf_plan__all_present)!=ECL_NIL) { goto L159; }
      T0 = ecl_function_dispatch(cl_env_copy,VV[1208])(2, v2asdf_plan__o, v3asdf_plan__c) /*  ACTION-DESCRIPTION */;
      {
       cl_fixnum v19;
       v19 = ecl_length(v8asdf_plan__missing_in);
       if (Null(v8asdf_plan__missing_in)) { goto L164; }
       T1 = v12asdf_plan__missing_out;
       goto L162;
L164:;
       T1 = ECL_NIL;
       goto L162;
L162:;
       {
        cl_fixnum v20;
        v20 = ecl_length(v12asdf_plan__missing_out);
        (cl_env_copy->function=(ECL_SYM("WARN",903)->symbol.gfdef))->cfun.entry(7, VV[1314], T0, v8asdf_plan__missing_in, ecl_make_fixnum(v19), T1, v12asdf_plan__missing_out, ecl_make_fixnum(v20)) /*  WARN */;
       }
      }
L159:;
      if ((v4asdf_plan__just_done)!=ECL_NIL) { goto L168; }
      if (Null(v16asdf_plan__all_present)) { goto L166; }
      if (Null(v17asdf_plan__up_to_date_p)) { goto L166; }
      if (Null(ecl_function_dispatch(cl_env_copy,VV[1232])(2, v2asdf_plan__o, v3asdf_plan__c) /*  OPERATION-DONE-P */)) { goto L166; }
      if ((ecl_function_dispatch(cl_env_copy,VV[1298])(3, ECL_CONS_CAR(CLV0), v2asdf_plan__o, v3asdf_plan__c) /*  ACTION-FORCED-P */)!=ECL_NIL) { goto L166; }
      goto L167;
L168:;
L167:;
      value0 = v4asdf_plan__just_done;
      if ((value0)!=ECL_NIL) { goto L175; }
      value0 = v14asdf_plan__out_op;
      if ((value0)!=ECL_NIL) { goto L175; }
      if (Null(v15asdf_plan__op_time)) { goto L179; }
      T0 = ecl_make_bool(ecl_eql(v15asdf_plan__op_time,v18asdf_plan__done_stamp));
      goto L173;
L179:;
      T0 = ECL_NIL;
      goto L173;
L175:;
      T0 = value0;
      goto L173;
L173:;
      cl_env_copy->nvalues = 2;
      cl_env_copy->values[1] = T0;
      cl_env_copy->values[0] = v18asdf_plan__done_stamp;
      return cl_env_copy->values[0];
L166:;
      cl_env_copy->nvalues = 2;
      cl_env_copy->values[1] = ECL_NIL;
      cl_env_copy->values[0] = ECL_T;
      return cl_env_copy->values[0];
     }
    }
   }
  }
 }
}
/*      closure G4421                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC820__g4421(cl_narg narg, cl_object v1asdf_plan__dep_o, cl_object v2asdf_plan__dep_c, ...)
{
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  SEED            */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=2)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV1) = ecl_function_dispatch(cl_env_copy,ECL_CONS_CAR(CLV0))(3, v1asdf_plan__dep_o, v2asdf_plan__dep_c, ECL_CONS_CAR(CLV1));
  value0 = ECL_CONS_CAR(CLV1);
  cl_env_copy->nvalues = 1;
  return value0;
 }
 }
}
/*      closure G4456                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC823__g4456(cl_narg narg, cl_object v1asdf_plan__o, cl_object v2asdf_plan__c, cl_object v3asdf_action_stamp, ...)
{
 cl_object T0;
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  PLAN            */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=3)) FEwrong_num_arguments_anonym();
 {
TTL:
  {
   cl_object v4asdf_plan__it;
   v4asdf_plan__it = ecl_function_dispatch(cl_env_copy,VV[1289])(3, ECL_CONS_CAR(CLV0), v1asdf_plan__o, v2asdf_plan__c) /*  PLAN-ACTION-STATUS */;
   if (Null(v4asdf_plan__it)) { goto L2; }
   T0 = ecl_function_dispatch(cl_env_copy,VV[2455])(1, v4asdf_plan__it) /*  ACTION-STAMP */;
   value0 = ecl_function_dispatch(cl_env_copy,VV[205])(2, v3asdf_action_stamp, T0) /*  LATEST-STAMP */;
   return value0;
L2:;
   value0 = ECL_T;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
 }
}
/*      local function G4531                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC825__g4531(cl_narg narg, cl_object v1asdf_plan_plan, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_plan__force;
  cl_object v3asdf_plan__force_not;
  cl_object v4asdf_system_system;
  ecl_va_list args; ecl_va_start(args,v1asdf_plan_plan,narg,1);
  {
   cl_object keyvars[6];
   cl_parse_key(args,3,LC825__g4531keys,keyvars,NULL,TRUE);
   ecl_va_end(args);
   v2asdf_plan__force = keyvars[0];
   v3asdf_plan__force_not = keyvars[1];
   v4asdf_system_system = keyvars[2];
  }
  {
   cl_object v5;
   v5 = ecl_function_dispatch(cl_env_copy,VV[1300])(2, v2asdf_plan__force, v4asdf_system_system) /*  NORMALIZE-FORCED-SYSTEMS */;
   (cl_env_copy->function=ECL_CONS_CAR(VV[2231]))->cfun.entry(3, v5, v1asdf_plan_plan, VV[1315]) /*  (SETF SLOT-VALUE) */;
  }
  {
   cl_object v5;
   v5 = ecl_function_dispatch(cl_env_copy,VV[1305])(2, v3asdf_plan__force_not, v4asdf_system_system) /*  NORMALIZE-FORCED-NOT-SYSTEMS */;
   value0 = (cl_env_copy->function=ECL_CONS_CAR(VV[2231]))->cfun.entry(3, v5, v1asdf_plan_plan, VV[1316]) /*  (SETF SLOT-VALUE) */;
   return value0;
  }
 }
}
/*      local function G4539                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC826__g4539(cl_object v1asdf_plan_plan)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = v1asdf_plan_plan;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G4552                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC827__g4552(cl_object v1asdf_plan__new_status, cl_object v2asdf_plan__p, cl_object v3asdf_plan__o, cl_object v4asdf_plan__c)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[1296])(2, v3asdf_plan__o, v4asdf_plan__c) /*  NODE-FOR */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[2463])(1, v2asdf_plan__p) /*  PLAN-VISITED-ACTIONS */;
  value0 = si_hash_set(T0, T1, v1asdf_plan__new_status);
  return value0;
 }
}
/*      local function G4556                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC828__g4556(cl_object v1asdf_plan__p, cl_object v2asdf_plan__o, cl_object v3asdf_plan__c)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_function_dispatch(cl_env_copy,VV[1299])(3, v1asdf_plan__p, v2asdf_plan__o, v3asdf_plan__c) /*  ACTION-FORCED-NOT-P */)) { goto L5; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[1289])(3, ECL_NIL, v2asdf_plan__o, v3asdf_plan__c) /*  PLAN-ACTION-STATUS */;
  goto L3;
L5:;
  value0 = ECL_NIL;
  goto L3;
L3:;
  if ((value0)!=ECL_NIL) { goto L2; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[1296])(2, v2asdf_plan__o, v3asdf_plan__c) /*  NODE-FOR */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[2463])(1, v1asdf_plan__p) /*  PLAN-VISITED-ACTIONS */;
  value0 = ecl_gethash_safe(T0,T1,ECL_NIL);
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G4557                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC829__g4557(cl_object v1asdf_plan__p, cl_object v2asdf_plan__o, cl_object v3asdf_plan__s)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if ((ecl_function_dispatch(cl_env_copy,VV[1299])(3, v1asdf_plan__p, v2asdf_plan__o, v3asdf_plan__s) /*  ACTION-FORCED-NOT-P */)!=ECL_NIL) { goto L2; }
  if (Null(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)))) { goto L4; }
  T0 = ecl_car(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
  T1 = ecl_cdr(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
  value0 = ecl_function_dispatch(cl_env_copy,T0)(2, ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1491)), T1);
  return value0;
L4:;
  value0 = cl_error(1, VV[1076]);
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G4558                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC831__g4558()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC830__g4559,ECL_NIL,Cblock,2);
   value0 = v1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G4624                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC832__g4624(cl_object volatile v1asdf_plan_plan, cl_object volatile v2asdf_operation_operation, cl_object volatile v3asdf_component_component, cl_object volatile v4asdf_plan__fun)
{
 cl_object T0, T1, T2;
 cl_object volatile env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object v5asdf_action_action;
   v5asdf_action_action = CONS(v2asdf_operation_operation,v3asdf_component_component);
   T0 = ecl_function_dispatch(cl_env_copy,VV[2465])(1, v1asdf_plan_plan) /*  PLAN-VISITING-ACTION-SET */;
   if (Null(ecl_gethash_safe(v5asdf_action_action,T0,ECL_NIL))) { goto L2; }
   T1 = ecl_function_dispatch(cl_env_copy,VV[2466])(1, v1asdf_plan_plan) /*  PLAN-VISITING-ACTION-LIST */;
   T2 = cl_reverse(T1);
   T0 = ecl_member(v5asdf_action_action,T2);
   cl_error(3, VV[1319], VV[1322], T0);
L2:;
   T0 = ecl_function_dispatch(cl_env_copy,VV[2465])(1, v1asdf_plan_plan) /*  PLAN-VISITING-ACTION-SET */;
   si_hash_set(v5asdf_action_action, T0, ECL_T);
   {
    cl_object v6;
    T0 = ecl_function_dispatch(cl_env_copy,VV[2466])(1, v1asdf_plan_plan) /*  PLAN-VISITING-ACTION-LIST */;
    v6 = CONS(v5asdf_action_action,T0);
    (cl_env_copy->function=ecl_fdefinition(VV[2467]))->cfun.entry(2, v6, v1asdf_plan_plan) /*  (SETF PLAN-VISITING-ACTION-LIST) */;
   }
   {
    volatile bool unwinding = FALSE;
    cl_index v6=ECL_STACK_INDEX(cl_env_copy),v7;
    ecl_frame_ptr next_fr;
    if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
      unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
    } else {
    cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,v4asdf_plan__fun)(0);
      next_fr = NULL;
    }
    ecl_frs_pop(cl_env_copy);
    v7=ecl_stack_push_values(cl_env_copy);
    {
     cl_object v8;
     v8 = ecl_function_dispatch(cl_env_copy,VV[2466])(1, v1asdf_plan_plan) /*  PLAN-VISITING-ACTION-LIST */;
     {
      cl_object v9;
      v9 = v8;
      if (ecl_unlikely(!ECL_LISTP(v9))) FEtype_error_list(v9);
     }
     if (Null(v8)) { goto L15; }
     {
      cl_object v9;
      v9 = ECL_CONS_CDR(v8);
      (cl_env_copy->function=ecl_fdefinition(VV[2467]))->cfun.entry(2, v9, v1asdf_plan_plan) /*  (SETF PLAN-VISITING-ACTION-LIST) */;
      v8 = ECL_CONS_CAR(v8);
     }
L15:;
    }
    T0 = ecl_function_dispatch(cl_env_copy,VV[2465])(1, v1asdf_plan_plan) /*  PLAN-VISITING-ACTION-SET */;
    si_hash_set(v5asdf_action_action, T0, ECL_NIL);
    ecl_stack_pop_values(cl_env_copy,v7);
    if (unwinding) ecl_unwind(cl_env_copy,next_fr);
    ECL_STACK_SET_INDEX(cl_env_copy,v6);
    return cl_env_copy->values[0];
   }
  }
 }
}
/*      local function WHILE-VISITING-ACTION                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC833while_visiting_action(cl_object v1, cl_object v2)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   cl_object v5;
   cl_object v6asdf_plan__p;
   cl_object v7asdf_plan__o;
   cl_object v8asdf_plan__c;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v9;
    v9 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v9;
   }
   v5 = v4;
   if (!(v5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(v1);
L10:;
   {
    cl_object v9;
    v9 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v6asdf_plan__p = v9;
   }
   if (!(v5==ECL_NIL)) { goto L16; }
   si_dm_too_few_arguments(v1);
L16:;
   {
    cl_object v9;
    v9 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v7asdf_plan__o = v9;
   }
   if (!(v5==ECL_NIL)) { goto L22; }
   si_dm_too_few_arguments(v1);
L22:;
   {
    cl_object v9;
    v9 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v8asdf_plan__c = v9;
   }
   if (Null(v5)) { goto L27; }
   si_dm_too_many_arguments(v1);
L27:;
   T0 = cl_listX(3, ECL_SYM("LAMBDA",452), ECL_NIL, v3);
   T1 = cl_list(2, ECL_SYM("FUNCTION",396), T0);
   value0 = cl_list(5, VV[1321], v6asdf_plan__p, v7asdf_plan__o, v8asdf_plan__c, T1);
   return value0;
  }
 }
}
/*      local function G4559                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC830__g4559(cl_object v1asdf_plan__c, cl_object v2asdf_plan__s)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[2468])(1, v1asdf_plan__c) /*  CIRCULAR-DEPENDENCY-ACTIONS */;
  value0 = cl_format(3, v2asdf_plan__s, VV[1320], T0);
  return value0;
 }
}
/*      local function G4780                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC837__g4780(cl_object v1asdf_plan_plan, cl_object v2asdf_operation_operation, cl_object v3asdf_component_component, cl_object v4asdf_plan_needed_in_image_p)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1asdf_plan_plan,env0);      /*  PLAN            */
  CLV1 = env0 = CONS(v2asdf_operation_operation,env0); /*  OPERATION  */
  CLV2 = env0 = CONS(v3asdf_component_component,env0); /*  COMPONENT  */
  if ((ecl_function_dispatch(cl_env_copy,VV[1309])(3, ECL_CONS_CAR(CLV0), ECL_CONS_CAR(CLV1), ECL_CONS_CAR(CLV2)) /*  ACTION-VALID-P */)!=ECL_NIL) { goto L1; }
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  ecl_function_dispatch(cl_env_copy,VV[1318])(3, ECL_CONS_CAR(CLV0), ECL_CONS_CAR(CLV1), ECL_CONS_CAR(CLV2)) /*  PLAN-RECORD-DEPENDENCY */;
  {
   cl_object env1 = env0;
   T0 = ecl_function_dispatch(cl_env_copy,VV[1310])(2, ECL_CONS_CAR(CLV1), ECL_CONS_CAR(CLV2)) /*  NEEDED-IN-IMAGE-P */;
   CLV3 = env1 = CONS(T0,env1);                   /*  ANIIP           */
   if (Null(ECL_CONS_CAR(CLV3))) { goto L6; }
   T0 = v4asdf_plan_needed_in_image_p;
   goto L4;
L6:;
   T0 = ECL_NIL;
   goto L4;
L4:;
   CLV4 = env1 = CONS(T0,env1);                   /*  ENIIP           */
   T0 = ecl_function_dispatch(cl_env_copy,VV[1289])(3, ECL_CONS_CAR(CLV0), ECL_CONS_CAR(CLV1), ECL_CONS_CAR(CLV2)) /*  PLAN-ACTION-STATUS */;
   CLV5 = env1 = CONS(T0,env1);                   /*  STATUS          */
   if (Null(ECL_CONS_CAR(CLV5))) { goto L8; }
   if ((ecl_function_dispatch(cl_env_copy,VV[2454])(1, ECL_CONS_CAR(CLV5)) /*  ACTION-DONE-P */)!=ECL_NIL) { goto L11; }
   if ((ecl_function_dispatch(cl_env_copy,VV[1295])(1, ECL_CONS_CAR(CLV5)) /*  ACTION-PLANNED-P */)!=ECL_NIL) { goto L11; }
   if ((ECL_CONS_CAR(CLV4))!=ECL_NIL) { goto L8; }
   goto L9;
L11:;
L9:;
   value0 = ecl_function_dispatch(cl_env_copy,VV[2455])(1, ECL_CONS_CAR(CLV5)) /*  ACTION-STAMP */;
   return value0;
L8:;
   {
    cl_object v5;
    v5 = ecl_make_cclosure_va((cl_objectfn)LC836__g4798,env1,Cblock);
    T0 = v5;
   }
   value0 = ecl_function_dispatch(cl_env_copy,VV[1321])(4, ECL_CONS_CAR(CLV0), ECL_CONS_CAR(CLV1), ECL_CONS_CAR(CLV2), T0) /*  CALL-WHILE-VISITING-ACTION */;
   return value0;
  }
 }
}
/*      closure VISIT-ACTION                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC835visit_action(cl_narg narg, cl_object v1asdf_plan__niip, ...)
{
 cl_object T0, T1, T2;
 volatile struct ecl_cclosure aux_closure;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV5 = env0;                                     /*  STATUS          */
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
  CLV6 = env0 = CONS(v1asdf_plan__niip,env0);     /*  NIIP            */
  {
   cl_object v2;
   v2 = ecl_make_cclosure_va((cl_objectfn)LC834__g4781,env0,Cblock);
   T0 = v2;
  }
  ecl_function_dispatch(cl_env_copy,VV[1311])(4, ECL_CONS_CAR(CLV0), ECL_CONS_CAR(CLV1), ECL_CONS_CAR(CLV2), T0) /*  MAP-DIRECT-DEPENDENCIES */;
  {
   cl_object v3;                                  /*  STAMP           */
   cl_object v4;                                  /*  DONE-P          */
   value0 = ecl_function_dispatch(cl_env_copy,VV[1237])(3, ECL_CONS_CAR(CLV0), ECL_CONS_CAR(CLV1), ECL_CONS_CAR(CLV2)) /*  COMPUTE-ACTION-STAMP */;
   v3 = value0;
   {
    const int v5 = cl_env_copy->nvalues;
    cl_object v6;
    v6 = (v5<=1)? ECL_NIL : cl_env_copy->values[1];
    v4 = v6;
   }
   {
    cl_object v5asdf_plan__add_to_plan_p;
    value0 = ecl_make_bool(ecl_eql(v3,ECL_T));
    if ((value0)!=ECL_NIL) { goto L6; }
    if (Null(ECL_CONS_CAR(CLV6))) { goto L9; }
    v5asdf_plan__add_to_plan_p = Null(v4)?ECL_T:ECL_NIL;
    goto L4;
L9:;
    v5asdf_plan__add_to_plan_p = ECL_NIL;
    goto L4;
L6:;
    v5asdf_plan__add_to_plan_p = value0;
    goto L4;
L4:;
    if (Null(v5asdf_plan__add_to_plan_p)) { goto L11; }
    if ((ECL_CONS_CAR(CLV6))!=ECL_NIL) { goto L11; }
    value0 = (aux_closure.env=ecl_nthcdr(1,env0),cl_env_copy->function=(cl_object)&aux_closure,LC835visit_action(1, ECL_T));
    return value0;
L11:;
    {
     cl_object v6;
     if (Null(v4)) { goto L18; }
     T0 = Null(v5asdf_plan__add_to_plan_p)?ECL_T:ECL_NIL;
     goto L16;
L18:;
     T0 = ECL_NIL;
     goto L16;
L16:;
     if (Null(ECL_CONS_CAR(CLV5))) { goto L21; }
     T1 = ecl_function_dispatch(cl_env_copy,VV[2469])(1, ECL_CONS_CAR(CLV5)) /*  ACTION-INDEX */;
     goto L20;
L21:;
     {
      cl_object v7;
      T2 = ecl_function_dispatch(cl_env_copy,VV[2470])(1, ECL_CONS_CAR(CLV0)) /*  PLAN-TOTAL-ACTION-COUNT */;
      v7 = ecl_plus(T2,ecl_make_fixnum(1));
      T1 = (cl_env_copy->function=ecl_fdefinition(VV[2471]))->cfun.entry(2, v7, ECL_CONS_CAR(CLV0)) /*  (SETF PLAN-TOTAL-ACTION-COUNT) */;
     }
L20:;
     v6 = (cl_env_copy->function=(ECL_SYM("MAKE-INSTANCE",949)->symbol.gfdef))->cfun.entry(9, VV[1290], VV[1240], v3, VV[1242], T0, VV[1291], v5asdf_plan__add_to_plan_p, VV[1293], T1) /*  MAKE-INSTANCE */;
     (cl_env_copy->function=ecl_fdefinition(VV[2472]))->cfun.entry(4, v6, ECL_CONS_CAR(CLV0), ECL_CONS_CAR(CLV1), ECL_CONS_CAR(CLV2)) /*  (SETF PLAN-ACTION-STATUS) */;
    }
    if (Null(v4)) { goto L24; }
    if ((v5asdf_plan__add_to_plan_p)!=ECL_NIL) { goto L24; }
    (cl_env_copy->function=ecl_fdefinition(VV[2444]))->cfun.entry(3, v3, ECL_CONS_CAR(CLV1), ECL_CONS_CAR(CLV2)) /*  (SETF COMPONENT-OPERATION-TIME) */;
L24:;
    if (Null(v5asdf_plan__add_to_plan_p)) { goto L27; }
    {
     cl_object v6;
     T0 = ecl_function_dispatch(cl_env_copy,VV[2473])(1, ECL_CONS_CAR(CLV0)) /*  PLAN-PLANNED-ACTION-COUNT */;
     v6 = ecl_plus(T0,ecl_make_fixnum(1));
     (cl_env_copy->function=ecl_fdefinition(VV[2474]))->cfun.entry(2, v6, ECL_CONS_CAR(CLV0)) /*  (SETF PLAN-PLANNED-ACTION-COUNT) */;
    }
    if ((ECL_CONS_CAR(CLV3))!=ECL_NIL) { goto L27; }
    {
     cl_object v6;
     T0 = ecl_function_dispatch(cl_env_copy,VV[2475])(1, ECL_CONS_CAR(CLV0)) /*  PLAN-PLANNED-OUTPUT-ACTION-COUNT */;
     v6 = ecl_plus(T0,ecl_make_fixnum(1));
     (cl_env_copy->function=ecl_fdefinition(VV[2476]))->cfun.entry(2, v6, ECL_CONS_CAR(CLV0)) /*  (SETF PLAN-PLANNED-OUTPUT-ACTION-COUNT) */;
    }
L27:;
    value0 = v3;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
 }
}
/*      closure G4798                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC836__g4798(cl_narg narg, ...)
{
 volatile struct ecl_cclosure aux_closure;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV5 = env0;                                     /*  STATUS          */
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = (aux_closure.env=env0,cl_env_copy->function=(cl_object)&aux_closure,LC835visit_action(1, ECL_CONS_CAR(CLV4)));
  return value0;
 }
 }
}
/*      closure G4781                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC834__g4781(cl_narg narg, cl_object v1asdf_plan__o, cl_object v2asdf_plan__c, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV6 = env0;                                     /*  NIIP            */
 CLV5 = _ecl_cdr(CLV6);
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=2)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[1324])(4, ECL_CONS_CAR(CLV0), v1asdf_plan__o, v2asdf_plan__c, ECL_CONS_CAR(CLV6)) /*  TRAVERSE-ACTION */;
  return value0;
 }
 }
}
/*      local function G4799                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC838__g4799(cl_object v1asdf_plan_plan)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[2477])(1, v1asdf_plan_plan) /*  PLAN-ACTIONS-R */;
  value0 = cl_reverse(T0);
  return value0;
 }
}
/*      local function G4800                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC839__g4800(cl_object v1asdf_plan_plan, cl_object v2asdf_plan__o, cl_object v3asdf_plan__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 0;
  return value0;
 }
}
/*      local function G4813                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC840__g4813(cl_object v1asdf_plan__new_status, cl_object v2asdf_plan__p, cl_object v3asdf_plan__o, cl_object v4asdf_plan__c)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_function_dispatch(cl_env_copy,VV[1295])(1, v1asdf_plan__new_status) /*  ACTION-PLANNED-P */)) { goto L1; }
  {
   cl_object v5;
   cl_object v6;
   v5 = CONS(v3asdf_plan__o,v4asdf_plan__c);
   T0 = ecl_function_dispatch(cl_env_copy,VV[2477])(1, v2asdf_plan__p) /*  PLAN-ACTIONS-R */;
   v6 = CONS(v5,T0);
   value0 = (cl_env_copy->function=ecl_fdefinition(VV[2478]))->cfun.entry(2, v6, v2asdf_plan__p) /*  (SETF PLAN-ACTIONS-R) */;
   return value0;
  }
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G4819                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC841__g4819(cl_narg narg, cl_object v1asdf_plan__plan_class, cl_object v2asdf_operation_operation, cl_object v3asdf_component_component, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
 {
  cl_object v4;
  ecl_va_list args; ecl_va_start(args,v3asdf_component_component,narg,3);
  cl_parse_key(args,0,NULL,NULL,(cl_object*)&v4,TRUE);
  ecl_va_end(args);
  {
   cl_object v5asdf_component_component;
   v5asdf_component_component = ecl_function_dispatch(cl_env_copy,VV[1167])(2, ECL_NIL, v3asdf_component_component) /*  FIND-COMPONENT */;
   T0 = ecl_function_dispatch(cl_env_copy,VV[518])(3, v2asdf_operation_operation, ECL_SYM("PACKAGE",1296), VV[1182]) /*  SAFE-READ-FROM-STRING */;
   value0 = cl_apply(5, VV[1326], v1asdf_plan__plan_class, T0, v5asdf_component_component, v4);
   return value0;
  }
 }
}
/*      local function G4820                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC842__g4820(cl_narg narg, cl_object v1asdf_plan__plan_class, cl_object v2asdf_operation_operation, cl_object v3asdf_component_component, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
 {
  cl_object v4;
  ecl_va_list args; ecl_va_start(args,v3asdf_component_component,narg,3);
  cl_parse_key(args,0,NULL,NULL,(cl_object*)&v4,TRUE);
  ecl_va_end(args);
  if (Null(v2asdf_operation_operation)) { goto L1; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[1181])(1, v2asdf_operation_operation) /*  MAKE-OPERATION */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1167])(2, ECL_NIL, v3asdf_component_component) /*  FIND-COMPONENT */;
  if ((value0)!=ECL_NIL) { goto L5; }
  T1 = ECL_NIL;
  goto L3;
L5:;
  T1 = value0;
  goto L3;
L3:;
  value0 = cl_apply(5, VV[1326], v1asdf_plan__plan_class, T0, T1, v4);
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G4821                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC843__g4821(cl_narg narg, cl_object v1asdf_plan__plan_class, cl_object v2asdf_operation_operation, cl_object v3asdf_component_component, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
 {
  cl_object v4;
  ecl_va_list args; ecl_va_start(args,v3asdf_component_component,narg,3);
  cl_parse_key(args,0,NULL,NULL,(cl_object*)&v4,TRUE);
  ecl_va_end(args);
  if (Null(si_of_class_p(2, v3asdf_component_component, VV[1042]))) { goto L1; }
  T0 = CONS(v2asdf_operation_operation,v3asdf_component_component);
  value0 = cl_error(3, VV[1206], VV[1326], T0);
  return value0;
L1:;
  {
   cl_object v5;
   v5 = ecl_function_dispatch(cl_env_copy,VV[1167])(2, ECL_NIL, v3asdf_component_component) /*  FIND-COMPONENT */;
   if (Null(v5)) { goto L4; }
   value0 = cl_apply(5, VV[1326], v1asdf_plan__plan_class, v2asdf_operation_operation, v5, v4);
   return value0;
L4:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G4822                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC844__g4822(cl_narg narg, cl_object v1asdf_plan__plan_class, cl_object v2asdf_plan__o, cl_object v3asdf_plan__c, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
 {
  cl_object v4asdf_plan__keys;
  ecl_va_list args; ecl_va_start(args,v3asdf_plan__c,narg,3);
  cl_parse_key(args,0,NULL,NULL,(cl_object*)&v4asdf_plan__keys,TRUE);
  ecl_va_end(args);
  {
   cl_object v5asdf_plan_plan;
   value0 = v1asdf_plan__plan_class;
   if ((value0)!=ECL_NIL) { goto L4; }
   T0 = ecl_symbol_value(VV[1329]);
   goto L2;
L4:;
   T0 = value0;
   goto L2;
L2:;
   T1 = ecl_function_dispatch(cl_env_copy,VV[1030])(1, v3asdf_plan__c) /*  COMPONENT-SYSTEM */;
   v5asdf_plan_plan = cl_apply(5, ECL_SYM("MAKE-INSTANCE",949), T0, VV[1330], T1, v4asdf_plan__keys);
   ecl_function_dispatch(cl_env_copy,VV[1324])(4, v5asdf_plan_plan, v2asdf_plan__o, v3asdf_plan__c, ECL_T) /*  TRAVERSE-ACTION */;
   value0 = v5asdf_plan_plan;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G4823                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC845__g4823(cl_narg narg, cl_object v1asdf_plan_plan, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  ecl_va_list args; ecl_va_start(args,v1asdf_plan_plan,narg,1);
  cl_parse_key(args,0,NULL,NULL,NULL,TRUE);
  ecl_va_end(args);
  {
   cl_object v2;
   cl_object v3;
   v2 = ecl_symbol_value(ECL_SYM("*PACKAGE*",43));
   v3 = ecl_symbol_value(ECL_SYM("*READTABLE*",65));
   ecl_bds_bind(cl_env_copy,ECL_SYM("*PACKAGE*",43),v2); /*  *PACKAGE* */
   ecl_bds_bind(cl_env_copy,ECL_SYM("*READTABLE*",65),v3); /*  *READTABLE* */
   if (Null(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)))) { goto L3; }
   T0 = ecl_car(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
   T1 = ecl_cdr(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
   value0 = ecl_function_dispatch(cl_env_copy,T0)(2, ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1491)), T1);
   ecl_bds_unwind1(cl_env_copy);
   ecl_bds_unwind1(cl_env_copy);
   return value0;
L3:;
   value0 = cl_error(1, VV[1076]);
   ecl_bds_unwind1(cl_env_copy);
   ecl_bds_unwind1(cl_env_copy);
   return value0;
  }
 }
}
/*      local function G4826                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC846__g4826(cl_narg narg, cl_object v1asdf_plan_plan, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_plan__keys;
  ecl_va_list args; ecl_va_start(args,v1asdf_plan_plan,narg,1);
  cl_parse_key(args,0,NULL,NULL,(cl_object*)&v2asdf_plan__keys,TRUE);
  ecl_va_end(args);
  T0 = ecl_function_dispatch(cl_env_copy,VV[1317])(1, v1asdf_plan_plan) /*  PLAN-ACTIONS */;
  value0 = cl_apply(3, VV[1327], T0, v2asdf_plan__keys);
  return value0;
 }
}
/*      local function G4831                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC847__g4831(cl_narg narg, cl_object v1asdf_plan__steps, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_plan__force;
  ecl_va_list args; ecl_va_start(args,v1asdf_plan__steps,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,LC847__g4831keys,keyvars,NULL,TRUE);
   ecl_va_end(args);
   v2asdf_plan__force = keyvars[0];
  }
  {
   cl_object v3asdf_plan__o;
   cl_object v4asdf_plan__c;
   cl_object v5;
   v3asdf_plan__o = ECL_NIL;
   v4asdf_plan__c = ECL_NIL;
   {
    cl_object v6;
    v6 = v1asdf_plan__steps;
    if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
    v5 = v6;
   }
L6:;
   if (!(ecl_endp(v5))) { goto L8; }
   goto L7;
L8:;
   {
    cl_object v6;
    v6 = _ecl_car(v5);
    v3asdf_plan__o = ecl_car(v6);
    v6 = ecl_cdr(v6);
    v4asdf_plan__c = v6;
   }
   {
    cl_object v6;
    v6 = _ecl_cdr(v5);
    if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
    v5 = v6;
   }
   if ((v2asdf_plan__force)!=ECL_NIL) { goto L23; }
   {
    struct ecl_stack_frame _ecl_inner_frame_aux;
    cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
    {
     cl_object v6;
     v6 = _ecl_inner_frame;
     {
      cl_object v7;
      v7 = ECL_SYM("LIST",481);
      cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,VV[1237])(3, ECL_NIL, v3asdf_plan__o, v4asdf_plan__c) /*  COMPUTE-ACTION-STAMP */;
      ecl_stack_frame_push_values(v6);cl_env_copy->values[0]=ecl_apply_from_stack_frame(v6,v7);
      value0 = cl_env_copy->values[0];
     }
    }
    ecl_stack_frame_close(_ecl_inner_frame);
   }
   T0 = value0;
   if ((ecl_cadr(T0))!=ECL_NIL) { goto L21; }
   goto L22;
L23:;
L22:;
   ecl_function_dispatch(cl_env_copy,VV[1247])(2, v3asdf_plan__o, v4asdf_plan__c) /*  PERFORM-WITH-RESTARTS */;
L21:;
   goto L6;
L7:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G4838                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC848__g4838(cl_object v1asdf_plan_plan, cl_object v2asdf_plan__component_path)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[1317])(1, v1asdf_plan_plan) /*  PLAN-ACTIONS */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1328])(2, T0, v2asdf_plan__component_path) /*  PLAN-OPERATES-ON-P */;
  return value0;
 }
}
/*      local function G4839                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC849__g4839(cl_object v1asdf_plan_plan, cl_object v2asdf_plan__component_path)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   {
    cl_object v5;
    cl_object v6;
    v5 = ECL_NIL;
    {
     cl_object v7;
     v7 = v1asdf_plan_plan;
     if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
     v6 = v7;
    }
    {
     cl_object v7;
     cl_object v8;
     v7 = ecl_list1(ECL_NIL);
     v8 = v7;
L8:;
     if (!(ecl_endp(v6))) { goto L10; }
     goto L9;
L10:;
     v5 = _ecl_car(v6);
     {
      cl_object v9;
      v9 = _ecl_cdr(v6);
      if (ecl_unlikely(!ECL_LISTP(v9))) FEtype_error_list(v9);
      v6 = v9;
     }
     {
      cl_object v9;
      v9 = v8;
      if (ecl_unlikely(ECL_ATOM(v9))) FEtype_error_cons(v9);
      T0 = v9;
     }
     T1 = ecl_function_dispatch(cl_env_copy,ECL_SYM("CDR",198))(1, v5);
     v8 = ecl_list1(T1);
     (ECL_CONS_CDR(T0)=v8,T0);
     goto L8;
L9:;
     v3 = ecl_cdr(v7);
     goto L1;
    }
   }
L1:;
   v4 = si_make_seq_iterator(2, v3, ecl_make_fixnum(0));
L27:;
   if ((v4)!=ECL_NIL) { goto L29; }
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L29:;
   {
    cl_object v5;
    v5 = si_seq_iterator_ref(v3, v4);
    T0 = ecl_function_dispatch(cl_env_copy,VV[1043])(1, v5);
    if (Null(ecl_function_dispatch(cl_env_copy,ECL_SYM("EQUAL",335))(2, v2asdf_plan__component_path, T0))) { goto L31; }
    value0 = v5;
    cl_env_copy->nvalues = 1;
    return value0;
   }
L31:;
   v4 = si_seq_iterator_next(v3, v4);
   goto L27;
  }
 }
}
/*      local function G4927                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC850__g4927(cl_narg narg, cl_object v1asdf_plan_plan, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_plan__force;
  cl_object v3asdf_plan__force_not;
  cl_object v4asdf_plan__other_systems;
  ecl_va_list args; ecl_va_start(args,v1asdf_plan_plan,narg,1);
  {
   cl_object keyvars[6];
   cl_parse_key(args,3,LC850__g4927keys,keyvars,NULL,TRUE);
   ecl_va_end(args);
   v2asdf_plan__force = keyvars[0];
   v3asdf_plan__force_not = keyvars[1];
   v4asdf_plan__other_systems = keyvars[2];
  }
  {
   cl_object v5;
   if (Null(v4asdf_plan__other_systems)) { goto L4; }
   T0 = VV[1302];
   goto L3;
L4:;
   T0 = ECL_T;
L3:;
   T1 = cl_slot_value(v1asdf_plan_plan, VV[1072]);
   v5 = ecl_function_dispatch(cl_env_copy,VV[1300])(2, T0, T1) /*  NORMALIZE-FORCED-SYSTEMS */;
   (cl_env_copy->function=ECL_CONS_CAR(VV[2231]))->cfun.entry(3, v5, v1asdf_plan_plan, VV[1315]) /*  (SETF SLOT-VALUE) */;
  }
  {
   cl_object v5;
   if (Null(v4asdf_plan__other_systems)) { goto L9; }
   T0 = ECL_NIL;
   goto L8;
L9:;
   T0 = ECL_T;
L8:;
   T1 = cl_slot_value(v1asdf_plan_plan, VV[1072]);
   v5 = ecl_function_dispatch(cl_env_copy,VV[1305])(2, T0, T1) /*  NORMALIZE-FORCED-NOT-SYSTEMS */;
   (cl_env_copy->function=ECL_CONS_CAR(VV[2231]))->cfun.entry(3, v5, v1asdf_plan_plan, VV[1316]) /*  (SETF SLOT-VALUE) */;
  }
  {
   cl_object v5;
   T0 = cl_slot_value(v1asdf_plan_plan, VV[1332]);
   v5 = ecl_function_dispatch(cl_env_copy,VV[207])(1, T0) /*  ENSURE-FUNCTION */;
   value0 = (cl_env_copy->function=ECL_CONS_CAR(VV[2231]))->cfun.entry(3, v5, v1asdf_plan_plan, VV[1332]) /*  (SETF SLOT-VALUE) */;
   return value0;
  }
 }
}
/*      local function G4938                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC851__g4938(cl_object v1asdf_plan_plan, cl_object v2asdf_plan__o, cl_object v3asdf_plan__c)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[2482])(1, v1asdf_plan_plan) /*  PLAN-ACTION-FILTER */;
  if (Null(ecl_function_dispatch(cl_env_copy,T0)(2, v2asdf_plan__o, v3asdf_plan__c))) { goto L2; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[2483])(1, v1asdf_plan_plan) /*  PLAN-COMPONENT-TYPE */;
  if (Null(cl_typep(2, v3asdf_plan__c, T0))) { goto L2; }
  if (Null(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)))) { goto L6; }
  T0 = ecl_car(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
  T1 = ecl_cdr(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
  value0 = ecl_function_dispatch(cl_env_copy,T0)(2, ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1491)), T1);
  return value0;
L6:;
  value0 = cl_error(1, VV[1076]);
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G4943                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC852__g4943(cl_narg narg, cl_object v1asdf_plan__actions, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_plan__keys;
  cl_object v3asdf_plan__plan_class;
  ecl_va_list args; ecl_va_start(args,v1asdf_plan__actions,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,LC852__g4943keys,keyvars,(cl_object*)&v2asdf_plan__keys,TRUE);
   ecl_va_end(args);
   v3asdf_plan__plan_class = keyvars[0];
  }
  {
   cl_object v4asdf_plan_plan;
   value0 = v3asdf_plan__plan_class;
   if ((value0)!=ECL_NIL) { goto L4; }
   T0 = VV[1331];
   goto L2;
L4:;
   T0 = value0;
   goto L2;
L2:;
   v4asdf_plan_plan = cl_apply(3, ECL_SYM("MAKE-INSTANCE",949), T0, v2asdf_plan__keys);
   {
    cl_object v5asdf_plan__o;
    cl_object v6asdf_plan__c;
    cl_object v7;
    v5asdf_plan__o = ECL_NIL;
    v6asdf_plan__c = ECL_NIL;
    {
     cl_object v8;
     v8 = v1asdf_plan__actions;
     if (ecl_unlikely(!ECL_LISTP(v8))) FEtype_error_list(v8);
     v7 = v8;
    }
L12:;
    if (!(ecl_endp(v7))) { goto L14; }
    goto L13;
L14:;
    {
     cl_object v8;
     v8 = _ecl_car(v7);
     v5asdf_plan__o = ecl_car(v8);
     v8 = ecl_cdr(v8);
     v6asdf_plan__c = v8;
    }
    {
     cl_object v8;
     v8 = _ecl_cdr(v7);
     if (ecl_unlikely(!ECL_LISTP(v8))) FEtype_error_list(v8);
     v7 = v8;
    }
    ecl_function_dispatch(cl_env_copy,VV[1324])(4, v4asdf_plan_plan, v5asdf_plan__o, v6asdf_plan__c, ECL_T) /*  TRAVERSE-ACTION */;
    goto L12;
L13:;
   }
   value0 = v4asdf_plan_plan;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G4950                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC853__g4950(cl_narg narg, cl_object v1asdf_operation_operation, cl_object v2asdf_component_component, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3;
  ecl_va_list args; ecl_va_start(args,v2asdf_component_component,narg,2);
  cl_parse_key(args,0,NULL,NULL,(cl_object*)&v3,TRUE);
  ecl_va_end(args);
  {
   cl_object v4asdf_component_component;
   v4asdf_component_component = ecl_function_dispatch(cl_env_copy,VV[1167])(2, ECL_NIL, v2asdf_component_component) /*  FIND-COMPONENT */;
   T0 = ecl_function_dispatch(cl_env_copy,VV[518])(3, v1asdf_operation_operation, ECL_SYM("PACKAGE",1296), VV[1182]) /*  SAFE-READ-FROM-STRING */;
   value0 = cl_apply(4, VV[1189], T0, v4asdf_component_component, v3);
   return value0;
  }
 }
}
/*      local function G4951                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC854__g4951(cl_narg narg, cl_object v1asdf_operation_operation, cl_object v2asdf_component_component, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3;
  ecl_va_list args; ecl_va_start(args,v2asdf_component_component,narg,2);
  cl_parse_key(args,0,NULL,NULL,(cl_object*)&v3,TRUE);
  ecl_va_end(args);
  if (Null(v1asdf_operation_operation)) { goto L1; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[1181])(1, v1asdf_operation_operation) /*  MAKE-OPERATION */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1167])(2, ECL_NIL, v2asdf_component_component) /*  FIND-COMPONENT */;
  if ((value0)!=ECL_NIL) { goto L5; }
  T1 = ECL_NIL;
  goto L3;
L5:;
  T1 = value0;
  goto L3;
L3:;
  value0 = cl_apply(4, VV[1189], T0, T1, v3);
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G4952                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC855__g4952(cl_narg narg, cl_object v1asdf_operation_operation, cl_object v2asdf_component_component, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3;
  ecl_va_list args; ecl_va_start(args,v2asdf_component_component,narg,2);
  cl_parse_key(args,0,NULL,NULL,(cl_object*)&v3,TRUE);
  ecl_va_end(args);
  if (Null(si_of_class_p(2, v2asdf_component_component, VV[1042]))) { goto L1; }
  T0 = CONS(v1asdf_operation_operation,v2asdf_component_component);
  value0 = cl_error(3, VV[1206], VV[1189], T0);
  return value0;
L1:;
  {
   cl_object v4;
   v4 = ecl_function_dispatch(cl_env_copy,VV[1167])(2, ECL_NIL, v2asdf_component_component) /*  FIND-COMPONENT */;
   if (Null(v4)) { goto L4; }
   value0 = cl_apply(4, VV[1189], v1asdf_operation_operation, v4, v3);
   return value0;
L4:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G4953                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC856__g4953(cl_narg narg, cl_object v1asdf_operation_operation, cl_object v2asdf_component_component, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3asdf_plan__keys;
  ecl_va_list args; ecl_va_start(args,v2asdf_component_component,narg,2);
  cl_parse_key(args,0,NULL,NULL,(cl_object*)&v3asdf_plan__keys,TRUE);
  ecl_va_end(args);
  T0 = ecl_function_dispatch(cl_env_copy,VV[1313])(3, ECL_T, v1asdf_operation_operation, v2asdf_component_component) /*  DIRECT-DEPENDENCIES */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[1030])(1, v2asdf_component_component) /*  COMPONENT-SYSTEM */;
  value0 = cl_apply(5, VV[1188], T0, VV[1330], T1, v3asdf_plan__keys);
  return value0;
 }
}
/*      local function G4986                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC857__g4986(cl_object v1asdf_plan_plan)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   cl_object v3asdf_plan__o;
   cl_object v4asdf_plan__c;
   cl_object v5;
   if (Null(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)))) { goto L2; }
   T0 = ecl_car(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
   T1 = ecl_cdr(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
   v2 = ecl_function_dispatch(cl_env_copy,T0)(2, ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1491)), T1);
   goto L1;
L2:;
   v2 = cl_error(1, VV[1076]);
L1:;
   v3asdf_plan__o = ECL_NIL;
   v4asdf_plan__c = ECL_NIL;
   {
    cl_object v6;
    v6 = v2;
    if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
    v5 = v6;
   }
   {
    cl_object v6;
    cl_object v7;
    v6 = ecl_list1(ECL_NIL);
    v7 = v6;
L12:;
    if (!(ecl_endp(v5))) { goto L14; }
    goto L13;
L14:;
    {
     cl_object v8;
     v8 = _ecl_car(v5);
     v3asdf_plan__o = ecl_car(v8);
     v8 = ecl_cdr(v8);
     v4asdf_plan__c = v8;
    }
    {
     cl_object v8;
     v8 = _ecl_cdr(v5);
     if (ecl_unlikely(!ECL_LISTP(v8))) FEtype_error_list(v8);
     v5 = v8;
    }
    T0 = cl_slot_value(v1asdf_plan_plan, VV[1333]);
    if (Null(cl_typep(2, v3asdf_plan__o, T0))) { goto L27; }
    T0 = cl_slot_value(v1asdf_plan_plan, VV[1334]);
    if (Null(cl_typep(2, v4asdf_plan__c, T0))) { goto L27; }
    {
     cl_object v8;
     v8 = v7;
     if (ecl_unlikely(ECL_ATOM(v8))) FEtype_error_cons(v8);
     T0 = v8;
    }
    T1 = CONS(v3asdf_plan__o,v4asdf_plan__c);
    v7 = ecl_list1(T1);
    (ECL_CONS_CDR(T0)=v7,T0);
L27:;
    goto L12;
L13:;
    value0 = ecl_cdr(v6);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      local function G4994                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC858__g4994(cl_narg narg, cl_object v1asdf_system_system, ...)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_plan__keys;
  cl_object v3asdf_plan__goal_operation;
  ecl_va_list args; ecl_va_start(args,v1asdf_system_system,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,LC858__g4994keys,keyvars,(cl_object*)&v2asdf_plan__keys,TRUE);
   ecl_va_end(args);
   if (Null(keyvars[1])) {
    v3asdf_plan__goal_operation = VV[1257];
   } else {
    v3asdf_plan__goal_operation = keyvars[0];
   }
  }
  {
   cl_object v4;
   cl_object v5;
   cl_object v6;
   T1 = ecl_function_dispatch(cl_env_copy,VV[162])(2, VV[1335], v2asdf_plan__keys) /*  REMOVE-PLIST-KEY */;
   T2 = cl_apply(4, VV[1189], v3asdf_plan__goal_operation, v1asdf_system_system, T1);
   v4 = ecl_function_dispatch(cl_env_copy,VV[1317])(1, T2) /*  PLAN-ACTIONS */;
   v5 = ECL_NIL;
   {
    cl_object v7;
    v7 = v4;
    if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
    v6 = v7;
   }
   {
    cl_object v7;
    cl_object v8;
    v7 = ecl_list1(ECL_NIL);
    v8 = v7;
L10:;
    if (!(ecl_endp(v6))) { goto L12; }
    goto L11;
L12:;
    v5 = _ecl_car(v6);
    {
     cl_object v9;
     v9 = _ecl_cdr(v6);
     if (ecl_unlikely(!ECL_LISTP(v9))) FEtype_error_list(v9);
     v6 = v9;
    }
    {
     cl_object v9;
     v9 = v8;
     if (ecl_unlikely(ECL_ATOM(v9))) FEtype_error_cons(v9);
     T1 = v9;
    }
    T2 = ecl_function_dispatch(cl_env_copy,ECL_SYM("CDR",198))(1, v5);
    v8 = ecl_list1(T2);
    (ECL_CONS_CDR(T1)=v8,T1);
    goto L10;
L11:;
    T0 = ecl_cdr(v7);
    goto L2;
   }
  }
L2:;
  value0 = cl_remove_duplicates(3, T0, VV[52], ECL_T);
  return value0;
 }
}
/*      local function G5004                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC859__g5004(cl_narg narg, cl_object v1asdf_operation_operation, cl_object v2asdf_component_component, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3;
  ecl_va_list args; ecl_va_start(args,v2asdf_component_component,narg,2);
  cl_parse_key(args,0,NULL,NULL,(cl_object*)&v3,TRUE);
  ecl_va_end(args);
  {
   cl_object v4asdf_component_component;
   v4asdf_component_component = ecl_function_dispatch(cl_env_copy,VV[1167])(2, ECL_NIL, v2asdf_component_component) /*  FIND-COMPONENT */;
   T0 = ecl_function_dispatch(cl_env_copy,VV[518])(3, v1asdf_operation_operation, ECL_SYM("PACKAGE",1296), VV[1182]) /*  SAFE-READ-FROM-STRING */;
   value0 = cl_apply(4, VV[1336], T0, v4asdf_component_component, v3);
   return value0;
  }
 }
}
/*      local function G5005                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC860__g5005(cl_narg narg, cl_object v1asdf_operation_operation, cl_object v2asdf_component_component, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3;
  ecl_va_list args; ecl_va_start(args,v2asdf_component_component,narg,2);
  cl_parse_key(args,0,NULL,NULL,(cl_object*)&v3,TRUE);
  ecl_va_end(args);
  if (Null(v1asdf_operation_operation)) { goto L1; }
  T0 = cl_apply(5, VV[1181], v1asdf_operation_operation, VV[1204], v3, v3);
  value0 = ecl_function_dispatch(cl_env_copy,VV[1167])(2, ECL_NIL, v2asdf_component_component) /*  FIND-COMPONENT */;
  if ((value0)!=ECL_NIL) { goto L5; }
  T1 = cl_error(3, VV[1095], VV[1160], v2asdf_component_component);
  goto L3;
L5:;
  T1 = value0;
  goto L3;
L3:;
  value0 = cl_apply(4, VV[1336], T0, T1, v3);
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G5006                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC861__g5006(cl_narg narg, cl_object v1asdf_operation_operation, cl_object v2asdf_component_component, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3;
  ecl_va_list args; ecl_va_start(args,v2asdf_component_component,narg,2);
  cl_parse_key(args,0,NULL,NULL,(cl_object*)&v3,TRUE);
  ecl_va_end(args);
  if (Null(si_of_class_p(2, v2asdf_component_component, VV[1042]))) { goto L1; }
  T0 = CONS(v1asdf_operation_operation,v2asdf_component_component);
  value0 = cl_error(3, VV[1206], VV[1336], T0);
  return value0;
L1:;
  {
   cl_object v4;
   v4 = ecl_function_dispatch(cl_env_copy,VV[1167])(2, ECL_NIL, v2asdf_component_component) /*  FIND-COMPONENT */;
   if (Null(v4)) { goto L4; }
   value0 = cl_apply(4, VV[1336], v1asdf_operation_operation, v4, v3);
   return value0;
L4:;
   value0 = cl_error(3, VV[1095], VV[1160], v2asdf_component_component);
   return value0;
  }
 }
}
/*      local function G5011                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC866__g5011(cl_narg narg, cl_object v1asdf_operation_operation, cl_object v2asdf_component_component, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3asdf_operate__keys;
  ecl_va_list args; ecl_va_start(args,v2asdf_component_component,narg,2);
  {
   cl_object keyvars[6];
   cl_parse_key(args,3,LC866__g5011keys,keyvars,(cl_object*)&v3asdf_operate__keys,TRUE);
   ecl_va_end(args);
   env0 = ECL_NIL;
   CLV0 = env0 = CONS(keyvars[0],env0);           /*  VERBOSE         */
   if (Null(keyvars[4])) {
    CLV1 = env0 = CONS(ecl_symbol_value(VV[798]),env0); /*  ON-WARNINGS */
   } else {
    CLV1 = env0 = CONS(keyvars[1],env0);          /*  ON-WARNINGS     */
   }
   if (Null(keyvars[5])) {
    CLV2 = env0 = CONS(ecl_symbol_value(VV[800]),env0); /*  ON-FAILURE */
   } else {
    CLV2 = env0 = CONS(keyvars[2],env0);          /*  ON-FAILURE      */
   }
  }
  {
   cl_object env1 = env0;
   if (!(ECL_LISTP(ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1491))))) { goto L2; }
   T0 = ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1491));
   goto L1;
L2:;
   T1 = (ECL_SYM("LIST",481)->symbol.gfdef);
   T0 = cl_apply(2, T1, ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1491)));
L1:;
   CLV3 = env1 = CONS(T0,env1);                   /*  .CLOSED-COMBINED-METHOD-ARGS. */
   CLV4 = env1 = CONS(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)),env1); /*  .NEXT-METHODS. */
   {
    cl_object v4asdf_operate__systems_being_operated;
    cl_object v5asdf_operate__operation_remaker;
    cl_object v6asdf_operate__component_path;
    v4asdf_operate__systems_being_operated = ecl_symbol_value(VV[1337]);
    value0 = v4asdf_operate__systems_being_operated;
    if ((value0)!=ECL_NIL) { goto L8; }
    T0 = cl_make_hash_table(2, ECL_SYM("TEST",1328), ECL_SYM("EQUAL",335));
    goto L6;
L8:;
    T0 = value0;
    goto L6;
L6:;
    ecl_bds_bind(cl_env_copy,VV[1337],T0);        /*  *SYSTEMS-BEING-OPERATED* */
    if (Null(si_of_class_p(2, v1asdf_operation_operation, VV[1177]))) { goto L11; }
    {
     cl_object v7;
     cl_object v8;
     cl_object env2 = env1;
     v7 = cl_type_of(v1asdf_operation_operation);
     v8 = ecl_function_dispatch(cl_env_copy,VV[1185])(1, v1asdf_operation_operation) /*  OPERATION-ORIGINAL-INITARGS */;
     CLV5 = env2 = CONS(v7,env2);                 /*  NAME            */
     CLV6 = env2 = CONS(v8,env2);                 /*  INITARGS        */
     {
      cl_object v9;
      v9 = ecl_make_cclosure_va((cl_objectfn)LC864__g5015,env2,Cblock);
      v5asdf_operate__operation_remaker = v9;
      goto L10;
     }
    }
L11:;
    if (ECL_SYMBOLP(v1asdf_operation_operation)) { goto L17; }
    if (!(ECL_STRINGP(v1asdf_operation_operation))) { goto L15; }
    goto L16;
L17:;
L16:;
    v5asdf_operate__operation_remaker = cl_constantly(v1asdf_operation_operation);
    goto L10;
L15:;
    v5asdf_operate__operation_remaker = si_etypecase_error(v1asdf_operation_operation, VV[1338]);
L10:;
    if (Null(si_of_class_p(2, v2asdf_component_component, VV[1042]))) { goto L20; }
    v6asdf_operate__component_path = ecl_function_dispatch(cl_env_copy,VV[1043])(1, v2asdf_component_component) /*  COMPONENT-FIND-PATH */;
    goto L19;
L20:;
    v6asdf_operate__component_path = v2asdf_component_component;
L19:;
    if ((v4asdf_operate__systems_being_operated)!=ECL_NIL) { goto L22; }
    if (Null(ecl_function_dispatch(cl_env_copy,VV[1026])(0) /*  UPGRADE-ASDF */)) { goto L22; }
    T0 = ecl_function_dispatch(cl_env_copy,v5asdf_operate__operation_remaker)(0);
    value0 = cl_apply(4, VV[1336], T0, v6asdf_operate__component_path, v3asdf_operate__keys);
    ecl_bds_unwind1(cl_env_copy);
    return value0;
L22:;
    {
     cl_object v7;
     v7 = ecl_make_cclosure_va((cl_objectfn)LC865__g5018,env1,Cblock);
     T0 = v7;
    }
    value0 = ecl_function_dispatch(cl_env_copy,VV[1082])(5, T0, VV[1088], ECL_NIL, ECL_SYM("KEY",1274), ECL_NIL) /*  CALL-WITH-ASDF-CACHE */;
    ecl_bds_unwind1(cl_env_copy);
    return value0;
   }
  }
 }
}
/*      local function G5031                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC867__g5031(cl_narg narg, cl_object v1asdf_operation_operation, cl_object v2asdf_component_component, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3asdf_component_version;
  ecl_va_list args; ecl_va_start(args,v2asdf_component_component,narg,2);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,LC867__g5031keys,keyvars,NULL,TRUE);
   ecl_va_end(args);
   v3asdf_component_version = keyvars[0];
  }
  {
   cl_object v4asdf_system_system;
   v4asdf_system_system = ecl_function_dispatch(cl_env_copy,VV[1030])(1, v2asdf_component_component) /*  COMPONENT-SYSTEM */;
   T0 = ecl_function_dispatch(cl_env_copy,VV[1100])(1, v4asdf_system_system) /*  COERCE-NAME */;
   si_hash_set(T0, ecl_symbol_value(VV[1337]), v4asdf_system_system);
  }
  if ((ecl_function_dispatch(cl_env_copy,VV[1035])(2, v2asdf_component_component, v3asdf_component_version) /*  VERSION-SATISFIES */)!=ECL_NIL) { goto L3; }
  value0 = cl_error(5, VV[1161], VV[1160], v2asdf_component_component, ECL_SYM("VERSION",1338), v3asdf_component_version);
  return value0;
L3:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G5035                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC868__g5035(cl_narg narg, cl_object v1asdf_operation_operation, cl_object v2asdf_component_component, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3asdf_operate__keys;
  cl_object v4asdf_operate__plan_class;
  ecl_va_list args; ecl_va_start(args,v2asdf_component_component,narg,2);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,LC868__g5035keys,keyvars,(cl_object*)&v3asdf_operate__keys,TRUE);
   ecl_va_end(args);
   v4asdf_operate__plan_class = keyvars[0];
  }
  {
   cl_object v5asdf_plan_plan;
   v5asdf_plan_plan = cl_apply(5, VV[1326], v4asdf_operate__plan_class, v1asdf_operation_operation, v2asdf_component_component, v3asdf_operate__keys);
   cl_apply(3, VV[1327], v5asdf_plan_plan, v3asdf_operate__keys);
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = v5asdf_plan_plan;
   cl_env_copy->values[0] = v1asdf_operation_operation;
   return cl_env_copy->values[0];
  }
 }
}
/*      function definition for OOS                                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L869oos(cl_narg narg, cl_object v1asdf_operation_operation, cl_object v2asdf_component_component, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3asdf_operate__args;
  ecl_va_list args; ecl_va_start(args,v2asdf_component_component,narg,2);
  cl_parse_key(args,0,NULL,NULL,(cl_object*)&v3asdf_operate__args,TRUE);
  ecl_va_end(args);
  value0 = cl_apply(4, VV[1336], v1asdf_operation_operation, v2asdf_component_component, v3asdf_operate__args);
  return value0;
 }
}
/*      closure CALL-NEXT-METHOD                                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC862call_next_method(cl_narg narg, ...)
{
 cl_object T0, T1, T2;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV4 = env0;                                     /*  .NEXT-METHODS.  */
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 {
  cl_object v1clos__args;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1clos__args = cl_grab_rest_args(args);
  ecl_va_end(args);
  if ((ECL_CONS_CAR(CLV4))!=ECL_NIL) { goto L1; }
  cl_error(1, VV[1216]);
L1:;
  T0 = ecl_car(ECL_CONS_CAR(CLV4));
  value0 = v1clos__args;
  if ((value0)!=ECL_NIL) { goto L6; }
  T1 = ECL_CONS_CAR(CLV3);
  goto L4;
L6:;
  T1 = value0;
  goto L4;
L4:;
  T2 = ecl_cdr(ECL_CONS_CAR(CLV4));
  value0 = ecl_function_dispatch(cl_env_copy,T0)(2, T1, T2);
  return value0;
 }
 }
}
/*      closure G5015                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC864__g5015(cl_narg narg, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV6 = env0;                                     /*  INITARGS        */
 CLV5 = _ecl_cdr(CLV6);
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = cl_apply(5, VV[1181], ECL_CONS_CAR(CLV5), VV[1204], ECL_CONS_CAR(CLV6), ECL_CONS_CAR(CLV6));
  return value0;
 }
 }
}
/*      closure G5018                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC865__g5018(cl_narg narg, ...)
{
 cl_object T0;
 volatile struct ecl_cclosure aux_closure;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV4 = env0;                                     /*  .NEXT-METHODS.  */
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  if (Null(ECL_CONS_CAR(CLV0))) { goto L3; }
  T0 = ecl_symbol_value(ECL_SYM("*STANDARD-OUTPUT*",67));
  goto L1;
L3:;
  T0 = ECL_NIL;
  goto L1;
L1:;
  ecl_bds_bind(cl_env_copy,VV[1009],T0);          /*  *VERBOSE-OUT*   */
  ecl_bds_bind(cl_env_copy,VV[798],ECL_CONS_CAR(CLV1)); /*  *COMPILE-FILE-WARNINGS-BEHAVIOUR* */
  ecl_bds_bind(cl_env_copy,VV[800],ECL_CONS_CAR(CLV2)); /*  *COMPILE-FILE-FAILURE-BEHAVIOUR* */
  value0 = (aux_closure.env=env0,cl_env_copy->function=(cl_object)&aux_closure,LC862call_next_method(0));
  ecl_bds_unwind1(cl_env_copy);
  ecl_bds_unwind1(cl_env_copy);
  ecl_bds_unwind1(cl_env_copy);
  return value0;
 }
 }
}
/*      local function G5051                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC870__g5051(cl_object v1asdf_operate__o, cl_object v2asdf_operate__s)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4do;
   cl_object v5asdf_operate__dc;
   cl_object v6;
   if (Null(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)))) { goto L2; }
   T0 = ecl_car(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
   T1 = ecl_cdr(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
   v3 = ecl_function_dispatch(cl_env_copy,T0)(2, ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1491)), T1);
   goto L1;
L2:;
   v3 = cl_error(1, VV[1076]);
L1:;
   v4do = ECL_NIL;
   v5asdf_operate__dc = ECL_NIL;
   {
    cl_object v7;
    v7 = v3;
    if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
    v6 = v7;
   }
   {
    cl_object v7;
    cl_object v8;
    v7 = ecl_list1(ECL_NIL);
    v8 = v7;
L12:;
    if (!(ecl_endp(v6))) { goto L14; }
    goto L13;
L14:;
    {
     cl_object v9;
     v9 = _ecl_car(v6);
     v4do = ecl_car(v9);
     v9 = ecl_cdr(v9);
     v5asdf_operate__dc = v9;
    }
    {
     cl_object v9;
     v9 = _ecl_cdr(v6);
     if (ecl_unlikely(!ECL_LISTP(v9))) FEtype_error_list(v9);
     v6 = v9;
    }
    {
     cl_object v9;
     v9 = v8;
     if (ecl_unlikely(ECL_ATOM(v9))) FEtype_error_cons(v9);
     T0 = v9;
    }
    if (!((v4do)==(VV[1257]))) { goto L33; }
    T1 = ecl_symbol_value(VV[1340]);
    goto L32;
L33:;
    T1 = v4do;
L32:;
    T2 = CONS(T1,v5asdf_operate__dc);
    v8 = ecl_list1(T2);
    (ECL_CONS_CDR(T0)=v8,T0);
    goto L12;
L13:;
    value0 = ecl_cdr(v7);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      local function G5058                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC871__g5058(cl_object v1asdf_operate__o, cl_object v2asdf_operate__c)
{
 cl_object T0, T1, T2, T3, T4;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[2495])(1, v2asdf_operate__c) /*  COMPONENT-BUILD-OPERATION */;
  if ((value0)!=ECL_NIL) { goto L3; }
  T0 = ecl_symbol_value(VV[1340]);
  goto L1;
L3:;
  T0 = value0;
  goto L1;
L1:;
  T1 = cl_list(2, T0, v2asdf_operate__c);
  if (Null(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)))) { goto L6; }
  T3 = ecl_car(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
  T4 = ecl_cdr(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
  T2 = ecl_function_dispatch(cl_env_copy,T3)(2, ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1491)), T4);
  goto L5;
L6:;
  T2 = cl_error(1, VV[1076]);
L5:;
  value0 = CONS(T1,T2);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MAKE                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L872make(cl_narg narg, cl_object v1asdf_system_system, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_operate__keys;
  ecl_va_list args; ecl_va_start(args,v1asdf_system_system,narg,1);
  v2asdf_operate__keys = cl_grab_rest_args(args);
  ecl_va_end(args);
  cl_apply(4, VV[1336], VV[1341], v1asdf_system_system, v2asdf_operate__keys);
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for LOAD-SYSTEM                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L873load_system(cl_narg narg, cl_object v1asdf_system_system, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_operate__keys;
  cl_object v3asdf_operate__force;
  cl_object v4asdf_operate__force_not;
  cl_object v5asdf_operate__verbose;
  cl_object v6asdf_component_version;
  ecl_va_list args; ecl_va_start(args,v1asdf_system_system,narg,1);
  {
   cl_object keyvars[8];
   cl_parse_key(args,4,L873load_systemkeys,keyvars,(cl_object*)&v2asdf_operate__keys,TRUE);
   ecl_va_end(args);
   v3asdf_operate__force = keyvars[0];
   v4asdf_operate__force_not = keyvars[1];
   v5asdf_operate__verbose = keyvars[2];
   v6asdf_component_version = keyvars[3];
  }
  cl_apply(4, VV[1336], ecl_symbol_value(VV[1340]), v1asdf_system_system, v2asdf_operate__keys);
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for LOAD-SYSTEMS*                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L874load_systems_(cl_narg narg, cl_object v1asdf_operate__systems, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_operate__keys;
  ecl_va_list args; ecl_va_start(args,v1asdf_operate__systems,narg,1);
  v2asdf_operate__keys = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object v3;
   v3 = v1asdf_operate__systems;
   goto L4;
L3:;
   {
    cl_object v4asdf_operate__s;
    v4asdf_operate__s = ecl_car(v3);
    cl_apply(3, VV[1343], v4asdf_operate__s, v2asdf_operate__keys);
   }
   v3 = ecl_cdr(v3);
L4:;
   if (Null(v3)) { goto L11; }
   goto L3;
L11:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for LOAD-SYSTEMS                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L875load_systems(cl_narg narg, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1asdf_operate__systems;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1asdf_operate__systems = cl_grab_rest_args(args);
  ecl_va_end(args);
  value0 = ecl_function_dispatch(cl_env_copy,VV[1344])(1, v1asdf_operate__systems) /*  LOAD-SYSTEMS* */;
  return value0;
 }
}
/*      function definition for COMPILE-SYSTEM                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L876compile_system(cl_narg narg, cl_object v1asdf_system_system, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_operate__args;
  cl_object v3asdf_operate__force;
  cl_object v4asdf_operate__force_not;
  cl_object v5asdf_operate__verbose;
  cl_object v6asdf_component_version;
  ecl_va_list args; ecl_va_start(args,v1asdf_system_system,narg,1);
  {
   cl_object keyvars[8];
   cl_parse_key(args,4,L876compile_systemkeys,keyvars,(cl_object*)&v2asdf_operate__args,TRUE);
   ecl_va_end(args);
   v3asdf_operate__force = keyvars[0];
   v4asdf_operate__force_not = keyvars[1];
   v5asdf_operate__verbose = keyvars[2];
   v6asdf_component_version = keyvars[3];
  }
  cl_apply(4, VV[1336], VV[1258], v1asdf_system_system, v2asdf_operate__args);
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for TEST-SYSTEM                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L877test_system(cl_narg narg, cl_object v1asdf_system_system, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_operate__args;
  cl_object v3asdf_operate__force;
  cl_object v4asdf_operate__force_not;
  cl_object v5asdf_operate__verbose;
  cl_object v6asdf_component_version;
  ecl_va_list args; ecl_va_start(args,v1asdf_system_system,narg,1);
  {
   cl_object keyvars[8];
   cl_parse_key(args,4,L877test_systemkeys,keyvars,(cl_object*)&v2asdf_operate__args,TRUE);
   ecl_va_end(args);
   v3asdf_operate__force = keyvars[0];
   v4asdf_operate__force_not = keyvars[1];
   v5asdf_operate__verbose = keyvars[2];
   v6asdf_component_version = keyvars[3];
  }
  cl_apply(4, VV[1336], VV[1261], v1asdf_system_system, v2asdf_operate__args);
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for COMPONENT-LOADED-P                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L878component_loaded_p(cl_object v1asdf_component_component)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2asdf_component_component;
   v2asdf_component_component = ecl_function_dispatch(cl_env_copy,VV[1167])(4, v1asdf_component_component, ECL_NIL, VV[1169], ECL_T) /*  FIND-COMPONENT */;
   if (Null(v2asdf_component_component)) { goto L2; }
   T0 = (cl_env_copy->function=(ECL_SYM("MAKE-INSTANCE",949)->symbol.gfdef))->cfun.entry(1, VV[1257]) /*  MAKE-INSTANCE */;
   value0 = ecl_function_dispatch(cl_env_copy,VV[1297])(3, ECL_NIL, T0, v2asdf_component_component) /*  ACTION-ALREADY-DONE-P */;
   return value0;
L2:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for ALREADY-LOADED-SYSTEMS                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L879already_loaded_systems()
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v1;
   cl_object v2;
   cl_object v3;
   T0 = ecl_function_dispatch(cl_env_copy,VV[1108])(0) /*  REGISTERED-SYSTEMS* */;
   v1 = cl_remove_if_not(2, VV[1348], T0);
   v2 = ECL_NIL;
   {
    cl_object v4;
    v4 = v1;
    if (ecl_unlikely(!ECL_LISTP(v4))) FEtype_error_list(v4);
    v3 = v4;
   }
   {
    cl_object v4;
    cl_object v5;
    v4 = ecl_list1(ECL_NIL);
    v5 = v4;
L8:;
    if (!(ecl_endp(v3))) { goto L10; }
    goto L9;
L10:;
    v2 = _ecl_car(v3);
    {
     cl_object v6;
     v6 = _ecl_cdr(v3);
     if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
     v3 = v6;
    }
    {
     cl_object v6;
     v6 = v5;
     if (ecl_unlikely(ECL_ATOM(v6))) FEtype_error_cons(v6);
     T0 = v6;
    }
    T1 = ecl_function_dispatch(cl_env_copy,VV[1100])(1, v2);
    v5 = ecl_list1(T1);
    (ECL_CONS_CDR(T0)=v5,T0);
    goto L8;
L9:;
    value0 = ecl_cdr(v4);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for REQUIRE-SYSTEM                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L880require_system(cl_narg narg, cl_object v1asdf_system_system, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_operate__keys;
  ecl_va_list args; ecl_va_start(args,v1asdf_system_system,narg,1);
  cl_parse_key(args,0,NULL,NULL,(cl_object*)&v2asdf_operate__keys,TRUE);
  ecl_va_end(args);
  if ((ecl_function_dispatch(cl_env_copy,VV[1348])(1, v1asdf_system_system) /*  COMPONENT-LOADED-P */)!=ECL_NIL) { goto L1; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[1349])(0) /*  ALREADY-LOADED-SYSTEMS */;
  value0 = cl_apply(5, VV[1343], v1asdf_system_system, VV[1351], T0, v2asdf_operate__keys);
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G5069                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC881__g5069(cl_object v1asdf_operate__o, cl_object v2asdf_operate__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G5070                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC882__g5070(cl_object v1asdf_operate__o, cl_object v2asdf_operate__s)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3asdf_component_module;
   value0 = ecl_function_dispatch(cl_env_copy,VV[2504])(1, v2asdf_operate__s) /*  REQUIRED-MODULE */;
   if ((value0)!=ECL_NIL) { goto L3; }
   v3asdf_component_module = ecl_function_dispatch(cl_env_copy,VV[1100])(1, v2asdf_operate__s) /*  COERCE-NAME */;
   goto L1;
L3:;
   v3asdf_component_module = value0;
   goto L1;
L1:;
   T0 = CONS(v3asdf_component_module,ecl_symbol_value(VV[1352]));
   ecl_bds_bind(cl_env_copy,VV[1352],T0);         /*  *MODULES-BEING-REQUIRED* */
   goto L7;
L6:;
   si_assert_failure(1, VV[1353]);
L7:;
   T0 = ecl_function_dispatch(cl_env_copy,VV[2362])(1, v2asdf_operate__s) /*  COMPONENT-CHILDREN */;
   if (T0==ECL_NIL) { goto L10; }
   goto L6;
L10:;
   value0 = cl_require(1, v3asdf_component_module);
   ecl_bds_unwind1(cl_env_copy);
   return value0;
  }
 }
}
/*      local function G5073                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC883__g5073(cl_object v1asdf_component_component, cl_object v2asdf_operate__combinator, cl_object v3asdf_operate__arguments)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_function_dispatch(cl_env_copy,VV[158])(2, v3asdf_operate__arguments, ecl_make_fixnum(1)) /*  LENGTH=N-P */)) { goto L4; }
  {
   cl_object v4;
   v4 = ecl_car(v3asdf_operate__arguments);
   if (ECL_STRINGP(v4)) { goto L1; }
   if (!(ECL_SYMBOLP(v4))) { goto L9; }
   if (!(v4==ECL_NIL)) { goto L1; }
   goto L2;
L9:;
   goto L2;
  }
L4:;
  goto L2;
L2:;
  T0 = CONS(v2asdf_operate__combinator,v3asdf_operate__arguments);
  ecl_function_dispatch(cl_env_copy,VV[248])(5, VV[1355], VV[1168], T0, v1asdf_component_component, v2asdf_operate__combinator) /*  PARAMETER-ERROR */;
L1:;
  {
   cl_object v4asdf_component_module;
   cl_object v5asdf_component_name;
   cl_object v6asdf_system_system;
   v4asdf_component_module = ecl_car(v3asdf_operate__arguments);
   v5asdf_component_name = cl_string_downcase(1, v4asdf_component_module);
   v6asdf_system_system = ecl_function_dispatch(cl_env_copy,VV[1067])(2, v5asdf_component_name, ECL_NIL) /*  FIND-SYSTEM */;
   value0 = v6asdf_system_system;
   if ((value0)!=ECL_NIL) { goto L15; }
   {
    cl_object v7asdf_system_system;
    v7asdf_system_system = (cl_env_copy->function=(ECL_SYM("MAKE-INSTANCE",949)->symbol.gfdef))->cfun.entry(3, VV[1350], ECL_SYM("NAME",1285), v5asdf_component_name) /*  MAKE-INSTANCE */;
    ecl_function_dispatch(cl_env_copy,VV[1110])(1, v7asdf_system_system) /*  REGISTER-SYSTEM */;
    value0 = v7asdf_system_system;
    cl_env_copy->nvalues = 1;
    return value0;
   }
L15:;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for MODULE-PROVIDE-ASDF                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L885module_provide_asdf(cl_object v1asdf_component_name)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7;
 cl_object env0 = ECL_NIL;
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1asdf_component_name,env0); /*  NAME            */
  {
   cl_object v2asdf_component_module;
   v2asdf_component_module = cl_string_downcase(1, ECL_CONS_CAR(CLV0));
   if ((ecl_member(v2asdf_component_module,ecl_symbol_value(VV[1352])))!=ECL_NIL) { goto L2; }
   T0 = CONS(v2asdf_component_module,ecl_symbol_value(VV[1352]));
   ecl_bds_bind(cl_env_copy,VV[1352],T0);         /*  *MODULES-BEING-REQUIRED* */
   T0 = (ECL_SYM("MUFFLE-WARNING",571)->symbol.gfdef);
   T1 = CONS(ECL_SYM("STYLE-WARNING",827),T0);
   T2 = cl_constantly(ECL_NIL);
   T3 = CONS(VV[1095],T2);
   {
    cl_object v3;
    v3 = ecl_make_cclosure_va((cl_objectfn)LC884__g5076,env0,Cblock);
    T4 = v3;
   }
   T5 = CONS(VV[613],T4);
   T6 = cl_list(3, T1, T3, T5);
   T7 = CONS(T6,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
   ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T7); /*  *HANDLER-CLUSTERS* */
   T0 = cl_make_broadcast_stream(0);
   ecl_bds_bind(cl_env_copy,VV[1009],T0);         /*  *VERBOSE-OUT*   */
   {
    cl_object v3asdf_system_system;
    v3asdf_system_system = ecl_function_dispatch(cl_env_copy,VV[1067])(2, v2asdf_component_module, ECL_NIL) /*  FIND-SYSTEM */;
    if (Null(v3asdf_system_system)) { goto L7; }
    ecl_function_dispatch(cl_env_copy,VV[1350])(3, v3asdf_system_system, ECL_SYM("VERBOSE",1337), ECL_NIL) /*  REQUIRE-SYSTEM */;
    value0 = ECL_T;
    cl_env_copy->nvalues = 1;
    ecl_bds_unwind1(cl_env_copy);
    ecl_bds_unwind1(cl_env_copy);
    ecl_bds_unwind1(cl_env_copy);
    return value0;
L7:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    ecl_bds_unwind1(cl_env_copy);
    ecl_bds_unwind1(cl_env_copy);
    ecl_bds_unwind1(cl_env_copy);
    return value0;
   }
L2:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      closure G5076                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC884__g5076(cl_narg narg, cl_object v1asdf_operate__e, ...)
{
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  NAME            */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = cl_format(4, ecl_symbol_value(ECL_SYM("*ERROR-OUTPUT*",33)), VV[1357], ECL_CONS_CAR(CLV0), v1asdf_operate__e);
  return value0;
 }
 }
}
/*      function definition for RESTART-UPGRADED-ASDF                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L886restart_upgraded_asdf()
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_symbol_value(VV[1077]))) { goto L1; }
  {
   cl_object v1asdf_operate__l;
   {
    cl_object v2;
    cl_object v3;
    cl_object v4asdf_operate__k;
    cl_object v5;
    v2 = ecl_symbol_value(VV[1077]);
    v3 = ECL_NIL;
    v4asdf_operate__k = ECL_NIL;
    v5 = ECL_NIL;
    {
     cl_object v6;
     v6 = si_hash_table_iterator(v2);
     {
      cl_object v7;
      cl_object v8;
      v7 = ecl_list1(ECL_NIL);
      v8 = v7;
L11:;
      {
       cl_object v10;
       cl_object v11;
       cl_object v12;
       value0 = ecl_function_dispatch(cl_env_copy,v6)(0);
       v10 = value0;
       {
        const int v13 = cl_env_copy->nvalues;
        cl_object v14;
        v14 = (v13<=1)? ECL_NIL : cl_env_copy->values[1];
        v11 = v14;
        v14 = (v13<=2)? ECL_NIL : cl_env_copy->values[2];
        v12 = v14;
       }
       if (Null(v10)) { goto L16; }
       v5 = v12;
       v4asdf_operate__k = v11;
L16:;
       v3 = v10;
       if ((v3)!=ECL_NIL) { goto L13; }
      }
      goto L12;
L13:;
      T0 = ecl_car(v4asdf_operate__k);
      if (!((T0)==(VV[1067]))) { goto L22; }
      {
       cl_object v9;
       v9 = v8;
       if (ecl_unlikely(ECL_ATOM(v9))) FEtype_error_cons(v9);
       T0 = v9;
      }
      T1 = ecl_cadr(v4asdf_operate__k);
      v8 = ecl_list1(T1);
      (ECL_CONS_CDR(T0)=v8,T0);
L22:;
      goto L11;
L12:;
      v1asdf_operate__l = ecl_cdr(v7);
      goto L3;
     }
    }
   }
L3:;
   cl_clrhash(ecl_symbol_value(VV[1077]));
   {
    cl_object v2;
    v2 = v1asdf_operate__l;
    goto L34;
L33:;
    {
     cl_object v3asdf_operate__s;
     v3asdf_operate__s = ecl_car(v2);
     ecl_function_dispatch(cl_env_copy,VV[1067])(2, v3asdf_operate__s, ECL_NIL) /*  FIND-SYSTEM */;
    }
    v2 = ecl_cdr(v2);
L34:;
    if (Null(v2)) { goto L41; }
    goto L33;
L41:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MARK-COMPONENT-PRELOADED              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L887mark_component_preloaded(cl_object v1asdf_component_component)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2asdf_component_component;
   v2asdf_component_component = ecl_function_dispatch(cl_env_copy,VV[1167])(4, v1asdf_component_component, ECL_NIL, VV[1169], ECL_T) /*  FIND-COMPONENT */;
   T0 = ecl_function_dispatch(cl_env_copy,VV[2362])(1, v2asdf_component_component) /*  COMPONENT-CHILDREN */;
   cl_map(3, ECL_NIL, VV[1359], T0);
   {
    cl_object v3asdf_operate__times;
    v3asdf_operate__times = ecl_function_dispatch(cl_env_copy,VV[2443])(1, v2asdf_component_component) /*  COMPONENT-OPERATION-TIMES */;
    {
     cl_object v4;
     v4 = VV[1360];
     goto L7;
L6:;
     {
      cl_object v5asdf_operate__o;
      v5asdf_operate__o = ecl_car(v4);
      si_hash_set(v5asdf_operate__o, v3asdf_operate__times, ecl_make_fixnum(0));
     }
     v4 = ecl_cdr(v4);
L7:;
     if (Null(v4)) { goto L14; }
     goto L6;
L14:;
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*      local function G5138                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC888__g5138()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[1362];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for OUTPUT-TRANSLATIONS                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L889output_translations()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_car(ecl_symbol_value(VV[1363]));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SET-OUTPUT-TRANSLATIONS               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L891set_output_translations(cl_object v1asdf_output_translations__new_value)
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_copy_list(v1asdf_output_translations__new_value);
  T1 = (ECL_SYM(">",75)->symbol.gfdef);
  {
   cl_object v2;
   v2 = ecl_make_cfun((cl_objectfn_fixed)LC890__g5144,ECL_NIL,Cblock,1);
   T2 = v2;
  }
  T3 = cl_stable_sort(4, T0, T1, ECL_SYM("KEY",1274), T2);
  cl_set(VV[1363],ecl_list1(T3));
  value0 = v1asdf_output_translations__new_value;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for (SETF OUTPUT-TRANSLATIONS)            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L892_setf_output_translations_(cl_object v1asdf_output_translations__new_value)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[1365])(1, v1asdf_output_translations__new_value) /*  SET-OUTPUT-TRANSLATIONS */;
  return value0;
 }
}
/*      function definition for OUTPUT-TRANSLATIONS-INITIALIZED-P     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L893output_translations_initialized_p()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_symbol_value(VV[1363]))) { goto L2; }
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CLEAR-OUTPUT-TRANSLATIONS             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L894clear_output_translations()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  cl_set(VV[1363],ECL_NIL);
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 0;
  return value0;
 }
}
/*      function definition for VALIDATE-OUTPUT-TRANSLATIONS-DIRECTIVE */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L895validate_output_translations_directive(cl_object v1asdf_output_translations__directive)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ecl_eql(v1asdf_output_translations__directive,VV[1371]))) { goto L8; }
  value0 = VV[1372];
  goto L6;
L8:;
  value0 = ECL_NIL;
  goto L6;
L6:;
  if ((value0)!=ECL_NIL) { goto L5; }
  if (!(ecl_eql(v1asdf_output_translations__directive,VV[1373]))) { goto L12; }
  value0 = VV[1374];
  goto L10;
L12:;
  value0 = ECL_NIL;
  goto L10;
L10:;
  if ((value0)!=ECL_NIL) { goto L5; }
  if (!((v1asdf_output_translations__directive)==(ECL_NIL))) { goto L15; }
  value0 = VV[304];
  goto L3;
L15:;
  value0 = ECL_NIL;
  goto L3;
L5:;
  goto L3;
L3:;
  if ((value0)!=ECL_NIL) { goto L2; }
  if (!(ECL_CONSP(v1asdf_output_translations__directive))) { goto L18; }
  if (Null(ecl_function_dispatch(cl_env_copy,VV[158])(2, v1asdf_output_translations__directive, ecl_make_fixnum(2)) /*  LENGTH=N-P */)) { goto L24; }
  T0 = ecl_car(v1asdf_output_translations__directive);
  if (!((T0)==(ECL_SYM("INCLUDE",1261)))) { goto L30; }
  {
   cl_object v2;
   v2 = ecl_cadr(v1asdf_output_translations__directive);
   value0 = ecl_make_bool(ECL_STRINGP(v2));
   if ((value0)!=ECL_NIL) { goto L34; }
   value0 = cl_pathnamep(v2);
   if ((value0)!=ECL_NIL) { goto L34; }
   value0 = ecl_make_bool(v2==ECL_NIL);
   goto L28;
L34:;
   goto L28;
  }
L30:;
  value0 = ECL_NIL;
  goto L28;
L28:;
  if ((value0)!=ECL_NIL) { goto L27; }
  T0 = ecl_car(v1asdf_output_translations__directive);
  if (Null(ecl_function_dispatch(cl_env_copy,VV[937])(1, T0) /*  LOCATION-DESIGNATOR-P */)) { goto L38; }
  T0 = ecl_cadr(v1asdf_output_translations__directive);
  value0 = ecl_function_dispatch(cl_env_copy,VV[937])(1, T0) /*  LOCATION-DESIGNATOR-P */;
  if ((value0)!=ECL_NIL) { goto L41; }
  T0 = ecl_cadr(v1asdf_output_translations__directive);
  value0 = ecl_function_dispatch(cl_env_copy,VV[947])(1, T0) /*  LOCATION-FUNCTION-P */;
  goto L22;
L41:;
  goto L22;
L38:;
  value0 = ECL_NIL;
  goto L22;
L27:;
  goto L22;
L24:;
  value0 = ECL_NIL;
  goto L22;
L22:;
  if ((value0)!=ECL_NIL) { goto L21; }
  if (Null(ecl_function_dispatch(cl_env_copy,VV[158])(2, v1asdf_output_translations__directive, ecl_make_fixnum(1)) /*  LENGTH=N-P */)) { goto L44; }
  T0 = ecl_car(v1asdf_output_translations__directive);
  value0 = ecl_function_dispatch(cl_env_copy,VV[937])(1, T0) /*  LOCATION-DESIGNATOR-P */;
  return value0;
L44:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L21:;
  cl_env_copy->nvalues = 1;
  return value0;
L18:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for VALIDATE-OUTPUT-TRANSLATIONS-FORM     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L896validate_output_translations_form(cl_narg narg, cl_object v1asdf_output_translations__form, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_output_translations__location;
  ecl_va_list args; ecl_va_start(args,v1asdf_output_translations__form,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L896validate_output_translations_formkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v2asdf_output_translations__location = keyvars[0];
  }
  value0 = ecl_function_dispatch(cl_env_copy,VV[903])(7, v1asdf_output_translations__form, VV[1376], VV[1370], ECL_SYM("LOCATION",999), v2asdf_output_translations__location, VV[1377], VV[1361]) /*  VALIDATE-CONFIGURATION-FORM */;
  return value0;
 }
}
/*      function definition for VALIDATE-OUTPUT-TRANSLATIONS-FILE     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L897validate_output_translations_file(cl_object v1asdf_output_translations__file)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[908])(4, v1asdf_output_translations__file, VV[1375], ECL_SYM("DESCRIPTION",988), VV[1379]) /*  VALIDATE-CONFIGURATION-FILE */;
  return value0;
 }
}
/*      function definition for VALIDATE-OUTPUT-TRANSLATIONS-DIRECTORY */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L898validate_output_translations_directory(cl_object v1directory)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[910])(5, v1directory, VV[1376], VV[1370], VV[1377], VV[1361]) /*  VALIDATE-CONFIGURATION-DIRECTORY */;
  return value0;
 }
}
/*      function definition for PARSE-OUTPUT-TRANSLATIONS-STRING      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L899parse_output_translations_string(cl_narg narg, cl_object v1string, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_output_translations__location;
  ecl_va_list args; ecl_va_start(args,v1string,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L899parse_output_translations_stringkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v2asdf_output_translations__location = keyvars[0];
  }
  if (v1string==ECL_NIL) { goto L3; }
  if (!(ecl_equal(v1string,VV[56]))) { goto L1; }
  goto L2;
L3:;
L2:;
  value0 = VV[1382];
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (ECL_STRINGP(v1string)) { goto L5; }
  value0 = cl_error(2, VV[1383], v1string);
  return value0;
L5:;
  {
   ecl_character v3;
   v3 = ecl_char(v1string,0);
   if (!((v3)==((ecl_character)(34)))) { goto L7; }
  }
  T0 = cl_read_from_string(1, v1string);
  value0 = ecl_function_dispatch(cl_env_copy,VV[1381])(3, T0, ECL_SYM("LOCATION",999), v2asdf_output_translations__location) /*  PARSE-OUTPUT-TRANSLATIONS-STRING */;
  return value0;
L7:;
  {
   ecl_character v3;
   v3 = ecl_char(v1string,0);
   if (!((v3)==((ecl_character)(40)))) { goto L9; }
  }
  T0 = cl_read_from_string(1, v1string);
  value0 = ecl_function_dispatch(cl_env_copy,VV[1375])(3, T0, ECL_SYM("LOCATION",999), v2asdf_output_translations__location) /*  VALIDATE-OUTPUT-TRANSLATIONS-FORM */;
  return value0;
L9:;
  {
   cl_object v3asdf_output_translations__inherit;
   v3asdf_output_translations__inherit = ECL_NIL;
   {
    cl_object v4asdf_output_translations__directives;
    v4asdf_output_translations__directives = ECL_NIL;
    {
     cl_object v5asdf_output_translations__start;
     v5asdf_output_translations__start = ecl_make_fixnum(0);
     {
      cl_fixnum v6asdf_output_translations__end;
      v6asdf_output_translations__end = ecl_length(v1string);
      {
       cl_object v7asdf_output_translations__source;
       v7asdf_output_translations__source = ECL_NIL;
       {
        cl_object v8asdf_output_translations__separator;
        v8asdf_output_translations__separator = ecl_function_dispatch(cl_env_copy,VV[469])(0) /*  INTER-DIRECTORY-SEPARATOR */;
        {
         cl_object v9asdf_output_translations__i;
         v9asdf_output_translations__i = ECL_NIL;
L18:;
         value0 = cl_position(4, v8asdf_output_translations__separator, v1string, ECL_SYM("START",1322), v5asdf_output_translations__start);
         if ((value0)!=ECL_NIL) { goto L22; }
         v9asdf_output_translations__i = ecl_make_fixnum(v6asdf_output_translations__end);
         goto L20;
L22:;
         v9asdf_output_translations__i = value0;
         goto L20;
L20:;
         {
          cl_object v10asdf_output_translations__s;
          v10asdf_output_translations__s = cl_subseq(3, v1string, v5asdf_output_translations__start, v9asdf_output_translations__i);
          if (Null(v7asdf_output_translations__source)) { goto L27; }
          if (!(ecl_equal(VV[56],v10asdf_output_translations__s))) { goto L32; }
          T0 = ECL_NIL;
          goto L31;
L32:;
          T0 = v10asdf_output_translations__s;
L31:;
          T1 = cl_list(2, v7asdf_output_translations__source, T0);
          v4asdf_output_translations__directives = CONS(T1,v4asdf_output_translations__directives);
          v7asdf_output_translations__source = ECL_NIL;
          goto L26;
L27:;
          if (!(ecl_equal(VV[56],v10asdf_output_translations__s))) { goto L35; }
          if (Null(v3asdf_output_translations__inherit)) { goto L37; }
          cl_error(2, VV[1384], v1string);
L37:;
          v3asdf_output_translations__inherit = ECL_T;
          v4asdf_output_translations__directives = CONS(VV[1385],v4asdf_output_translations__directives);
          goto L26;
L35:;
          v7asdf_output_translations__source = v10asdf_output_translations__s;
L26:;
          v5asdf_output_translations__start = ecl_one_plus(v9asdf_output_translations__i);
          if (!(ecl_number_compare(v5asdf_output_translations__start,ecl_make_fixnum(v6asdf_output_translations__end))>0)) { goto L24; }
          if (Null(v7asdf_output_translations__source)) { goto L46; }
          cl_error(2, VV[1386], v1string);
L46:;
          if ((v3asdf_output_translations__inherit)!=ECL_NIL) { goto L48; }
          v4asdf_output_translations__directives = CONS(VV[1387],v4asdf_output_translations__directives);
L48:;
          T0 = cl_nreverse(v4asdf_output_translations__directives);
          value0 = CONS(VV[1376],T0);
          cl_env_copy->nvalues = 1;
          return value0;
         }
L24:;
         goto L18;
        }
       }
      }
     }
    }
   }
  }
 }
}
/*      function definition for %COMPUTE-DEFAULT-OUTPUT-TRANSLATIONS-VALUE */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L900_compute_default_output_translations_value()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[1388];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for WRAPPING-OUTPUT-TRANSLATIONS          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L901wrapping_output_translations()
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v1asdf_output_translations__h;
   T1 = ecl_function_dispatch(cl_env_copy,VV[478])(0) /*  LISP-IMPLEMENTATION-DIRECTORY */;
   v1asdf_output_translations__h = ecl_function_dispatch(cl_env_copy,VV[433])(1, T1) /*  RESOLVE-SYMLINKS* */;
   if (Null(v1asdf_output_translations__h)) { goto L3; }
   T1 = cl_list(2, v1asdf_output_translations__h, ecl_symbol_value(VV[395]));
   T2 = cl_list(2, T1, ECL_NIL);
   T0 = ecl_list1(T2);
   goto L1;
L3:;
   T0 = ECL_NIL;
  }
L1:;
  T1 = ecl_append(T0,VV[1392]);
  value0 = CONS(VV[1376],T1);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for USER-OUTPUT-TRANSLATIONS-PATHNAME     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L902user_output_translations_pathname(cl_narg narg, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1asdf_output_translations__direction;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L902user_output_translations_pathnamekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[1])) {
    v1asdf_output_translations__direction = ECL_SYM("INPUT",1266);
   } else {
    v1asdf_output_translations__direction = keyvars[0];
   }
  }
  value0 = ecl_function_dispatch(cl_env_copy,VV[990])(2, ecl_symbol_value(VV[1393]), v1asdf_output_translations__direction) /*  XDG-CONFIG-PATHNAME */;
  return value0;
 }
}
/*      function definition for SYSTEM-OUTPUT-TRANSLATIONS-PATHNAME   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L903system_output_translations_pathname(cl_narg narg, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1asdf_output_translations__direction;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L903system_output_translations_pathnamekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[1])) {
    v1asdf_output_translations__direction = ECL_SYM("INPUT",1266);
   } else {
    v1asdf_output_translations__direction = keyvars[0];
   }
  }
  T0 = ecl_function_dispatch(cl_env_copy,VV[980])(1, ecl_symbol_value(VV[1393])) /*  SYSTEM-CONFIG-PATHNAMES */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[985])(3, T0, ECL_SYM("DIRECTION",1228), v1asdf_output_translations__direction) /*  FIND-PREFERRED-FILE */;
  return value0;
 }
}
/*      function definition for USER-OUTPUT-TRANSLATIONS-DIRECTORY-PATHNAME */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L904user_output_translations_directory_pathname(cl_narg narg, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1asdf_output_translations__direction;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L904user_output_translations_directory_pathnamekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[1])) {
    v1asdf_output_translations__direction = ECL_SYM("INPUT",1266);
   } else {
    v1asdf_output_translations__direction = keyvars[0];
   }
  }
  value0 = ecl_function_dispatch(cl_env_copy,VV[990])(2, ecl_symbol_value(VV[1394]), v1asdf_output_translations__direction) /*  XDG-CONFIG-PATHNAME */;
  return value0;
 }
}
/*      function definition for SYSTEM-OUTPUT-TRANSLATIONS-DIRECTORY-PATHNAME */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L905system_output_translations_directory_pathname(cl_narg narg, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1asdf_output_translations__direction;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L905system_output_translations_directory_pathnamekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[1])) {
    v1asdf_output_translations__direction = ECL_SYM("INPUT",1266);
   } else {
    v1asdf_output_translations__direction = keyvars[0];
   }
  }
  T0 = ecl_function_dispatch(cl_env_copy,VV[980])(1, ecl_symbol_value(VV[1394])) /*  SYSTEM-CONFIG-PATHNAMES */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[985])(3, T0, ECL_SYM("DIRECTION",1228), v1asdf_output_translations__direction) /*  FIND-PREFERRED-FILE */;
  return value0;
 }
}
/*      function definition for ENVIRONMENT-OUTPUT-TRANSLATIONS       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L906environment_output_translations()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[272])(1, VV[1400]) /*  GETENV */;
  return value0;
 }
}
/*      function definition for INHERIT-OUTPUT-TRANSLATIONS           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L907inherit_output_translations(cl_narg narg, cl_object v1asdf_output_translations__inherit, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_output_translations__collect;
  ecl_va_list args; ecl_va_start(args,v1asdf_output_translations__inherit,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L907inherit_output_translationskeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v2asdf_output_translations__collect = keyvars[0];
  }
  if (Null(v1asdf_output_translations__inherit)) { goto L1; }
  T0 = ecl_car(v1asdf_output_translations__inherit);
  T1 = ecl_cdr(v1asdf_output_translations__inherit);
  value0 = ecl_function_dispatch(cl_env_copy,VV[1401])(5, T0, VV[1403], v2asdf_output_translations__collect, VV[1404], T1) /*  PROCESS-OUTPUT-TRANSLATIONS */;
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for PROCESS-OUTPUT-TRANSLATIONS-DIRECTIVE */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L908process_output_translations_directive(cl_narg narg, cl_object v1asdf_output_translations__directive, ...)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_output_translations__inherit;
  cl_object v3asdf_output_translations__collect;
  ecl_va_list args; ecl_va_start(args,v1asdf_output_translations__directive,narg,1);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,L908process_output_translations_directivekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v2asdf_output_translations__inherit = keyvars[0];
   v3asdf_output_translations__collect = keyvars[1];
  }
  if (!(ECL_ATOM(v1asdf_output_translations__directive))) { goto L1; }
  if (!(ecl_eql(v1asdf_output_translations__directive,VV[1371]))) { goto L3; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[1405])(3, VV[1407], VV[1403], v3asdf_output_translations__collect) /*  PROCESS-OUTPUT-TRANSLATIONS-DIRECTIVE */;
  return value0;
L3:;
  if (!(ecl_eql(v1asdf_output_translations__directive,VV[1373]))) { goto L6; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[1405])(3, VV[1409], VV[1403], v3asdf_output_translations__collect) /*  PROCESS-OUTPUT-TRANSLATIONS-DIRECTIVE */;
  return value0;
L6:;
  if (!(ecl_eql(v1asdf_output_translations__directive,VV[1385]))) { goto L9; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[1402])(3, v2asdf_output_translations__inherit, VV[1403], v3asdf_output_translations__collect) /*  INHERIT-OUTPUT-TRANSLATIONS */;
  return value0;
L9:;
  if (!(ecl_eql(v1asdf_output_translations__directive,VV[1387]))) { goto L17; }
  goto L14;
  goto L15;
L17:;
  goto L15;
L15:;
  if (!(ecl_eql(v1asdf_output_translations__directive,VV[904]))) { goto L21; }
  goto L14;
  goto L19;
L21:;
  goto L19;
L19:;
  if (!((v1asdf_output_translations__directive)==(ECL_NIL))) { goto L12; }
  goto L13;
L14:;
L13:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L12:;
  value0 = si_ecase_error(v1asdf_output_translations__directive, VV[1412]);
  return value0;
L1:;
  {
   cl_object v4;
   cl_object v5;
   v4 = ecl_car(v1asdf_output_translations__directive);
   v5 = ecl_cadr(v1asdf_output_translations__directive);
   if (!((v4)==(ECL_SYM("INCLUDE",1261)))) { goto L26; }
   if (Null(v5)) { goto L28; }
   T0 = cl_pathname(v5);
   value0 = ecl_function_dispatch(cl_env_copy,VV[1401])(5, T0, VV[1404], ECL_NIL, VV[1403], v3asdf_output_translations__collect) /*  PROCESS-OUTPUT-TRANSLATIONS */;
   return value0;
L28:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L26:;
   if (Null(v4)) { goto L30; }
   {
    cl_object v6asdf_output_translations__trusrc;
    value0 = ecl_make_bool(ecl_eql(v4,ECL_T));
    if ((value0)!=ECL_NIL) { goto L34; }
    {
     cl_object v7asdf_output_translations__loc;
     v7asdf_output_translations__loc = ecl_function_dispatch(cl_env_copy,VV[936])(5, v4, VV[363], ECL_T, VV[914], ECL_T) /*  RESOLVE-LOCATION */;
     if (Null(ecl_function_dispatch(cl_env_copy,VV[326])(1, v7asdf_output_translations__loc) /*  ABSOLUTE-PATHNAME-P */)) { goto L37; }
     v6asdf_output_translations__trusrc = ecl_function_dispatch(cl_env_copy,VV[433])(1, v7asdf_output_translations__loc) /*  RESOLVE-SYMLINKS* */;
     goto L32;
L37:;
     v6asdf_output_translations__trusrc = v7asdf_output_translations__loc;
     goto L32;
    }
L34:;
    v6asdf_output_translations__trusrc = value0;
    goto L32;
L32:;
    if (Null(ecl_function_dispatch(cl_env_copy,VV[947])(1, v5) /*  LOCATION-FUNCTION-P */)) { goto L39; }
    T0 = ecl_cadr(v5);
    T1 = ecl_function_dispatch(cl_env_copy,VV[207])(1, T0) /*  ENSURE-FUNCTION */;
    T2 = cl_list(2, v6asdf_output_translations__trusrc, T1);
    value0 = ecl_function_dispatch(cl_env_copy,v3asdf_output_translations__collect)(1, T2);
    return value0;
L39:;
    if (!((v5)==(ECL_NIL))) { goto L46; }
    goto L43;
    goto L44;
L46:;
    goto L44;
L44:;
    if (!(ecl_eql(v5,ECL_T))) { goto L41; }
    goto L42;
L43:;
L42:;
    T0 = cl_list(2, v6asdf_output_translations__trusrc, ECL_T);
    value0 = ecl_function_dispatch(cl_env_copy,v3asdf_output_translations__collect)(1, T0);
    return value0;
L41:;
    {
     cl_object v7asdf_output_translations__trudst;
     v7asdf_output_translations__trudst = ecl_function_dispatch(cl_env_copy,VV[936])(5, v5, VV[363], ECL_T, VV[914], ECL_T) /*  RESOLVE-LOCATION */;
     T0 = cl_list(2, v7asdf_output_translations__trudst, ECL_T);
     ecl_function_dispatch(cl_env_copy,v3asdf_output_translations__collect)(1, T0);
     T0 = cl_list(2, v6asdf_output_translations__trusrc, v7asdf_output_translations__trudst);
     value0 = ecl_function_dispatch(cl_env_copy,v3asdf_output_translations__collect)(1, T0);
     return value0;
    }
   }
L30:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G5185                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC909__g5185(cl_narg narg, cl_object v1asdf_output_translations__x, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_output_translations__inherit;
  cl_object v3asdf_output_translations__collect;
  ecl_va_list args; ecl_va_start(args,v1asdf_output_translations__x,narg,1);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,LC909__g5185keys,keyvars,NULL,TRUE);
   ecl_va_end(args);
   if (Null(keyvars[2])) {
    v2asdf_output_translations__inherit = ecl_symbol_value(VV[1390]);
   } else {
    v2asdf_output_translations__inherit = keyvars[0];
   }
   v3asdf_output_translations__collect = keyvars[1];
  }
  T0 = ecl_function_dispatch(cl_env_copy,v1asdf_output_translations__x)(0);
  value0 = ecl_function_dispatch(cl_env_copy,VV[1401])(5, T0, VV[1404], v2asdf_output_translations__inherit, VV[1403], v3asdf_output_translations__collect) /*  PROCESS-OUTPUT-TRANSLATIONS */;
  return value0;
 }
}
/*      local function G5186                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC910__g5186(cl_narg narg, cl_object v1pathname, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_output_translations__inherit;
  cl_object v3asdf_output_translations__collect;
  ecl_va_list args; ecl_va_start(args,v1pathname,narg,1);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,LC910__g5186keys,keyvars,NULL,TRUE);
   ecl_va_end(args);
   v2asdf_output_translations__inherit = keyvars[0];
   v3asdf_output_translations__collect = keyvars[1];
  }
  if (Null(ecl_function_dispatch(cl_env_copy,VV[336])(1, v1pathname) /*  DIRECTORY-PATHNAME-P */)) { goto L1; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[1380])(1, v1pathname) /*  VALIDATE-OUTPUT-TRANSLATIONS-DIRECTORY */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1401])(5, T0, VV[1404], v2asdf_output_translations__inherit, VV[1403], v3asdf_output_translations__collect) /*  PROCESS-OUTPUT-TRANSLATIONS */;
  return value0;
L1:;
  if (Null(ecl_function_dispatch(cl_env_copy,VV[410])(3, v1pathname, VV[419], ecl_symbol_value(VV[432])) /*  PROBE-FILE* */)) { goto L3; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[1378])(1, v1pathname) /*  VALIDATE-OUTPUT-TRANSLATIONS-FILE */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1401])(5, T0, VV[1404], v2asdf_output_translations__inherit, VV[1403], v3asdf_output_translations__collect) /*  PROCESS-OUTPUT-TRANSLATIONS */;
  return value0;
L3:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1402])(3, v2asdf_output_translations__inherit, VV[1403], v3asdf_output_translations__collect) /*  INHERIT-OUTPUT-TRANSLATIONS */;
  return value0;
 }
}
/*      local function G5187                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC911__g5187(cl_narg narg, cl_object v1string, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_output_translations__inherit;
  cl_object v3asdf_output_translations__collect;
  ecl_va_list args; ecl_va_start(args,v1string,narg,1);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,LC911__g5187keys,keyvars,NULL,TRUE);
   ecl_va_end(args);
   v2asdf_output_translations__inherit = keyvars[0];
   v3asdf_output_translations__collect = keyvars[1];
  }
  T0 = ecl_function_dispatch(cl_env_copy,VV[1381])(1, v1string) /*  PARSE-OUTPUT-TRANSLATIONS-STRING */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1401])(5, T0, VV[1404], v2asdf_output_translations__inherit, VV[1403], v3asdf_output_translations__collect) /*  PROCESS-OUTPUT-TRANSLATIONS */;
  return value0;
 }
}
/*      local function G5188                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC912__g5188(cl_narg narg, cl_object v1asdf_output_translations__x, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_output_translations__inherit;
  cl_object v3asdf_output_translations__collect;
  ecl_va_list args; ecl_va_start(args,v1asdf_output_translations__x,narg,1);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,LC912__g5188keys,keyvars,NULL,TRUE);
   ecl_va_end(args);
   v2asdf_output_translations__inherit = keyvars[0];
   v3asdf_output_translations__collect = keyvars[1];
  }
  value0 = ecl_function_dispatch(cl_env_copy,VV[1402])(3, v2asdf_output_translations__inherit, VV[1403], v3asdf_output_translations__collect) /*  INHERIT-OUTPUT-TRANSLATIONS */;
  return value0;
 }
}
/*      local function G5189                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC913__g5189(cl_narg narg, cl_object v1asdf_output_translations__form, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_output_translations__inherit;
  cl_object v3asdf_output_translations__collect;
  ecl_va_list args; ecl_va_start(args,v1asdf_output_translations__form,narg,1);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,LC913__g5189keys,keyvars,NULL,TRUE);
   ecl_va_end(args);
   v2asdf_output_translations__inherit = keyvars[0];
   v3asdf_output_translations__collect = keyvars[1];
  }
  {
   cl_object v4;
   T0 = ecl_function_dispatch(cl_env_copy,VV[1375])(1, v1asdf_output_translations__form) /*  VALIDATE-OUTPUT-TRANSLATIONS-FORM */;
   v4 = ecl_cdr(T0);
   goto L4;
L3:;
   {
    cl_object v5asdf_output_translations__directive;
    v5asdf_output_translations__directive = ecl_car(v4);
    ecl_function_dispatch(cl_env_copy,VV[1405])(5, v5asdf_output_translations__directive, VV[1404], v2asdf_output_translations__inherit, VV[1403], v3asdf_output_translations__collect) /*  PROCESS-OUTPUT-TRANSLATIONS-DIRECTIVE */;
   }
   v4 = ecl_cdr(v4);
L4:;
   if (Null(v4)) { goto L11; }
   goto L3;
L11:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for COMPUTE-OUTPUT-TRANSLATIONS           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L915compute_output_translations(cl_narg narg, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object v1asdf_output_translations__parameter;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    v1asdf_output_translations__parameter = ECL_NIL;
   } else {
    i++;
    v1asdf_output_translations__parameter = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object env1 = env0;
   env1 = ECL_NIL;
   CLV0 = env1 = CONS(ECL_NIL,env1);
   {
    cl_object v2;
    v2 = ecl_make_cclosure_va((cl_objectfn)LC914c,env1,Cblock);
    T1 = cl_listX(3, VV[1391], v1asdf_output_translations__parameter, ecl_symbol_value(VV[1390]));
    ecl_function_dispatch(cl_env_copy,VV[1402])(3, T1, VV[1403], v2) /*  INHERIT-OUTPUT-TRANSLATIONS */;
    T0 = cl_reverse(ECL_CONS_CAR(CLV0));
   }
  }
  value0 = cl_remove_duplicates(5, T0, ECL_SYM("TEST",1328), ECL_SYM("EQUAL",335), VV[52], ECL_T);
  return value0;
 }
}
/*      function definition for INITIALIZE-OUTPUT-TRANSLATIONS        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L916initialize_output_translations(cl_narg narg, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object v1asdf_output_translations__parameter;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    v1asdf_output_translations__parameter = ecl_symbol_value(VV[1414]);
   } else {
    i++;
    v1asdf_output_translations__parameter = va_arg(args,cl_object);
   }
  }
  va_end(args);
  cl_set(VV[1414],v1asdf_output_translations__parameter);
  {
   cl_object v2;
   v2 = ecl_function_dispatch(cl_env_copy,VV[1413])(1, v1asdf_output_translations__parameter) /*  COMPUTE-OUTPUT-TRANSLATIONS */;
   value0 = L892_setf_output_translations_(v2);
   return value0;
  }
 }
}
/*      function definition for DISABLE-OUTPUT-TRANSLATIONS           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L917disable_output_translations()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[1415])(1, VV[1417]) /*  INITIALIZE-OUTPUT-TRANSLATIONS */;
  return value0;
 }
}
/*      function definition for ENSURE-OUTPUT-TRANSLATIONS            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L918ensure_output_translations()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_function_dispatch(cl_env_copy,VV[1368])(0) /*  OUTPUT-TRANSLATIONS-INITIALIZED-P */)) { goto L1; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[1364])(0) /*  OUTPUT-TRANSLATIONS */;
  return value0;
L1:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1415])(0) /*  INITIALIZE-OUTPUT-TRANSLATIONS */;
  return value0;
 }
}
/*      function definition for APPLY-OUTPUT-TRANSLATIONS             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L919apply_output_translations(cl_object v1asdf_output_translations__path)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(si_logical_pathname_p(v1asdf_output_translations__path))) { goto L1; }
  value0 = v1asdf_output_translations__path;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if ((cl_pathnamep(v1asdf_output_translations__path))!=ECL_NIL) { goto L5; }
  if (!(ECL_STRINGP(v1asdf_output_translations__path))) { goto L3; }
  goto L4;
L5:;
L4:;
  ecl_function_dispatch(cl_env_copy,VV[1418])(0)  /*  ENSURE-OUTPUT-TRANSLATIONS */;
  {
   cl_object v2asdf_output_translations__p;
   v2asdf_output_translations__p = ecl_function_dispatch(cl_env_copy,VV[433])(1, v1asdf_output_translations__path) /*  RESOLVE-SYMLINKS* */;
   {
    cl_object v3;
    cl_object v4asdf_output_translations__source;
    cl_object v5asdf_output_translations__destination;
    cl_object v6;
    v3 = ecl_car(ecl_symbol_value(VV[1363]));
    v4asdf_output_translations__source = ECL_NIL;
    v5asdf_output_translations__destination = ECL_NIL;
    {
     cl_object v7;
     v7 = v3;
     if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
     v6 = v7;
    }
    {
     cl_object v7asdf_output_translations__root;
     v7asdf_output_translations__root = ECL_NIL;
     {
      cl_object v8asdf_output_translations__absolute_source;
      v8asdf_output_translations__absolute_source = ECL_NIL;
L17:;
      if (!(ecl_endp(v6))) { goto L19; }
      goto L18;
L19:;
      {
       cl_object v9;
       v9 = _ecl_car(v6);
       v4asdf_output_translations__source = ecl_car(v9);
       v9 = ecl_cdr(v9);
       v5asdf_output_translations__destination = ecl_car(v9);
      }
      {
       cl_object v9;
       v9 = _ecl_cdr(v6);
       if (ecl_unlikely(!ECL_LISTP(v9))) FEtype_error_list(v9);
       v6 = v9;
      }
      if ((v4asdf_output_translations__source)==(ECL_T)) { goto L36; }
      if (Null(cl_pathnamep(v4asdf_output_translations__source))) { goto L34; }
      if ((ecl_function_dispatch(cl_env_copy,VV[326])(1, v4asdf_output_translations__source) /*  ABSOLUTE-PATHNAME-P */)!=ECL_NIL) { goto L34; }
      goto L35;
L36:;
L35:;
      v7asdf_output_translations__root = ecl_function_dispatch(cl_env_copy,VV[376])(1, v2asdf_output_translations__p) /*  PATHNAME-ROOT */;
      goto L33;
L34:;
      v7asdf_output_translations__root = ECL_NIL;
L33:;
      if (!((v4asdf_output_translations__source)==(ECL_T))) { goto L41; }
      v8asdf_output_translations__absolute_source = ecl_function_dispatch(cl_env_copy,VV[396])(1, v7asdf_output_translations__root) /*  WILDEN */;
      goto L40;
L41:;
      if (Null(v7asdf_output_translations__root)) { goto L43; }
      v8asdf_output_translations__absolute_source = ecl_function_dispatch(cl_env_copy,VV[311])(2, v4asdf_output_translations__source, v7asdf_output_translations__root) /*  MERGE-PATHNAMES* */;
      goto L40;
L43:;
      v8asdf_output_translations__absolute_source = v4asdf_output_translations__source;
L40:;
      if ((v4asdf_output_translations__source)==(ECL_T)) { goto L47; }
      if (Null(cl_pathname_match_p(v2asdf_output_translations__p, v8asdf_output_translations__absolute_source))) { goto L45; }
      goto L46;
L47:;
L46:;
      value0 = ecl_function_dispatch(cl_env_copy,VV[402])(5, v2asdf_output_translations__p, v8asdf_output_translations__absolute_source, v5asdf_output_translations__destination, v7asdf_output_translations__root, v4asdf_output_translations__source) /*  TRANSLATE-PATHNAME* */;
      return value0;
L45:;
      goto L17;
L18:;
      value0 = v2asdf_output_translations__p;
      cl_env_copy->nvalues = 1;
      return value0;
     }
    }
   }
  }
L3:;
  value0 = si_etypecase_error(v1asdf_output_translations__path, VV[1420]);
  return value0;
 }
}
/*      local function G5144                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC890__g5144(cl_object v1asdf_output_translations__x)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = ecl_car(v1asdf_output_translations__x);
   if (Null(cl_typep(2, v2, VV[23]))) { goto L2; }
   value0 = ecl_make_fixnum(-1);
   cl_env_copy->nvalues = 1;
   return value0;
L2:;
   if (Null(cl_pathnamep(v2))) { goto L4; }
   {
    cl_object v3directory;
    T0 = ecl_car(v1asdf_output_translations__x);
    v3directory = cl_pathname_directory(1, T0);
    if (!(ECL_LISTP(v3directory))) { goto L7; }
    value0 = ecl_make_fixnum(ecl_length(v3directory));
    cl_env_copy->nvalues = 1;
    return value0;
L7:;
    value0 = ecl_make_fixnum(0);
    cl_env_copy->nvalues = 1;
    return value0;
   }
L4:;
   value0 = si_etypecase_error(v2, VV[1366]);
   return value0;
  }
 }
}
/*      closure C                                                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC914c(cl_narg narg, cl_object v1uiop_utility__x, ...)
{
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV0) = CONS(v1uiop_utility__x,ECL_CONS_CAR(CLV0));
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 0;
  return value0;
 }
 }
}
/*      local function G5218                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC920__g5218()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[1422];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SOURCE-REGISTRY-INITIALIZED-P         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L921source_registry_initialized_p()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_hash_table_p(ecl_symbol_value(VV[1425]));
  return value0;
 }
}
/*      function definition for CLEAR-SOURCE-REGISTRY                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L922clear_source_registry()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  cl_set(VV[1425],ECL_NIL);
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 0;
  return value0;
 }
}
/*      function definition for DIRECTORY-ASD-FILES                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L923directory_asd_files(cl_object v1directory)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[423])(2, v1directory, ecl_symbol_value(VV[1429])) /*  DIRECTORY-FILES */;
  return value0;
 }
}
/*      function definition for COLLECT-ASDS-IN-DIRECTORY             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L924collect_asds_in_directory(cl_object v1directory, cl_object v2asdf_source_registry__collect)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3asdf_source_registry__asds;
   v3asdf_source_registry__asds = ecl_function_dispatch(cl_env_copy,VV[1430])(1, v1directory) /*  DIRECTORY-ASD-FILES */;
   cl_map(3, ECL_NIL, v2asdf_source_registry__collect, v3asdf_source_registry__asds);
   value0 = v3asdf_source_registry__asds;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for PROCESS-SOURCE-REGISTRY-CACHE         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L926process_source_registry_cache(cl_object volatile v1directory, cl_object volatile v2asdf_source_registry__collect)
{
 cl_object T0, T1, T2, T3;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object v3asdf_source_registry__cache;
   {
    volatile cl_object env1 = env0;
    env1 = ECL_NIL;
    CLV0 = env1 = CONS(ECL_NIL,env1);
    {
     volatile cl_object env2 = env1;
     CLV1 = env2 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
     if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
     if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L2;
     ecl_internal_error("GO found an inexistent tag");
     }
     {
      cl_object v4;
      v4 = ecl_make_cclosure_va((cl_objectfn)LC925__g5233,env2,Cblock);
      T0 = v4;
     }
     T1 = CONS(ECL_SYM("ERROR",337),T0);
     T2 = ecl_list1(T1);
     T3 = CONS(T2,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
     ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T3); /*  *HANDLER-CLUSTERS* */
     T0 = ecl_function_dispatch(cl_env_copy,VV[373])(2, v1directory, VV[1434]) /*  SUBPATHNAME */;
     value0 = ecl_function_dispatch(cl_env_copy,VV[561])(1, T0) /*  SAFE-READ-FILE-FORM */;
     ecl_frs_pop(cl_env_copy);
     v3asdf_source_registry__cache = value0;
     ecl_bds_unwind1(cl_env_copy);
     goto L1;
L2:;
     {
      cl_object v4condition;
      v4condition = ECL_CONS_CAR(CLV0);
      cl_env_copy->nvalues = 2;
      cl_env_copy->values[1] = v4condition;
      cl_env_copy->values[0] = ECL_NIL;
      value0 = cl_env_copy->values[0];
      ecl_frs_pop(cl_env_copy);
      v3asdf_source_registry__cache = value0;
      goto L1;
     }
    }
   }
L1:;
   if (!(ECL_LISTP(v3asdf_source_registry__cache))) { goto L7; }
   T0 = ecl_car(v3asdf_source_registry__cache);
   if (!((VV[1435])==(T0))) { goto L7; }
   {
    cl_object v4;
    cl_object v5asdf_source_registry__s;
    cl_object v6;
    v4 = ecl_cdr(v3asdf_source_registry__cache);
    v5asdf_source_registry__s = ECL_NIL;
    {
     cl_object v7;
     v7 = v4;
     if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
     v6 = v7;
    }
L16:;
    if (!(ecl_endp(v6))) { goto L18; }
    goto L17;
L18:;
    v5asdf_source_registry__s = _ecl_car(v6);
    {
     cl_object v7;
     v7 = _ecl_cdr(v6);
     if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
     v6 = v7;
    }
    T0 = ecl_function_dispatch(cl_env_copy,VV[373])(2, v1directory, v5asdf_source_registry__s) /*  SUBPATHNAME */;
    ecl_function_dispatch(cl_env_copy,v2asdf_source_registry__collect)(1, T0);
    goto L16;
L17:;
   }
   value0 = ECL_T;
   cl_env_copy->nvalues = 1;
   return value0;
L7:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for COLLECT-SUB*DIRECTORIES-ASD-FILES     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L930collect_sub_directories_asd_files(cl_narg narg, cl_object v1directory, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  ecl_va_list args; ecl_va_start(args,v1directory,narg,1);
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1directory,env0);           /*  DIRECTORY       */
  {
   cl_object keyvars[8];
   cl_parse_key(args,4,L930collect_sub_directories_asd_fileskeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[4])) {
    CLV1 = env0 = CONS(ecl_symbol_value(VV[1423]),env0); /*  EXCLUDE  */
   } else {
    CLV1 = env0 = CONS(keyvars[0],env0);          /*  EXCLUDE         */
   }
   CLV2 = env0 = CONS(keyvars[1],env0);           /*  COLLECT         */
   if (Null(keyvars[6])) {
    CLV3 = env0 = CONS(ecl_symbol_value(VV[1432]),env0); /*  RECURSE-BEYOND-ASDS */
   } else {
    CLV3 = env0 = CONS(keyvars[2],env0);          /*  RECURSE-BEYOND-ASDS */
   }
   CLV4 = env0 = CONS(keyvars[3],env0);           /*  IGNORE-CACHE    */
  }
  {
   cl_object env1 = env0;
   T0 = cl_make_hash_table(2, ECL_SYM("TEST",1328), ECL_SYM("EQUALP",336));
   CLV5 = env1 = CONS(T0,env1);                   /*  VISITED         */
   {
    cl_object v2;
    cl_object v3;
    v2 = ecl_make_cclosure_va((cl_objectfn)LC929recursep,env1,Cblock);
    v3 = ecl_make_cclosure_va((cl_objectfn)LC927collectp,env1,Cblock);
    T0 = cl_constantly(ECL_NIL);
    value0 = ecl_function_dispatch(cl_env_copy,VV[428])(4, ECL_CONS_CAR(CLV0), v3, v2, T0) /*  COLLECT-SUB*DIRECTORIES */;
    return value0;
   }
  }
 }
}
/*      function definition for VALIDATE-SOURCE-REGISTRY-DIRECTIVE    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L931validate_source_registry_directive(cl_object v1asdf_source_registry__directive)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ecl_eql(v1asdf_source_registry__directive,VV[1438]))) { goto L5; }
  value0 = VV[1439];
  goto L3;
L5:;
  value0 = ECL_NIL;
  goto L3;
L3:;
  if ((value0)!=ECL_NIL) { goto L2; }
  if (!(ECL_CONSP(v1asdf_source_registry__directive))) { goto L8; }
  {
   cl_object v2rest;
   v2rest = ecl_cdr(v1asdf_source_registry__directive);
   {
    cl_object v3;
    v3 = ecl_car(v1asdf_source_registry__directive);
    if (!(ecl_eql(v3,ECL_SYM("INCLUDE",1261)))) { goto L17; }
    goto L14;
    goto L15;
L17:;
    goto L15;
L15:;
    if (!(ecl_eql(v3,ECL_SYM("DIRECTORY",1229)))) { goto L21; }
    goto L14;
    goto L19;
L21:;
    goto L19;
L19:;
    if (!(ecl_eql(v3,VV[1442]))) { goto L12; }
    goto L13;
L14:;
L13:;
    if (Null(ecl_function_dispatch(cl_env_copy,VV[158])(2, v2rest, ecl_make_fixnum(1)) /*  LENGTH=N-P */)) { goto L25; }
    T0 = ecl_car(v2rest);
    value0 = ecl_function_dispatch(cl_env_copy,VV[937])(1, T0) /*  LOCATION-DESIGNATOR-P */;
    return value0;
L25:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
L12:;
    if (!(ecl_eql(v3,VV[1444]))) { goto L32; }
    goto L29;
    goto L30;
L32:;
    goto L30;
L30:;
    if (!(ecl_eql(v3,VV[1446]))) { goto L27; }
    goto L28;
L29:;
L28:;
    T0 = (ECL_SYM("STRINGP",825)->symbol.gfdef);
    value0 = cl_every(2, T0, v2rest);
    return value0;
L27:;
    if (!(ecl_eql(v3,VV[1438]))) { goto L36; }
    value0 = ecl_make_bool(v2rest==ECL_NIL);
    cl_env_copy->nvalues = 1;
    return value0;
L36:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
L8:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for VALIDATE-SOURCE-REGISTRY-FORM         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L932validate_source_registry_form(cl_narg narg, cl_object v1asdf_source_registry__form, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_source_registry__location;
  ecl_va_list args; ecl_va_start(args,v1asdf_source_registry__form,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L932validate_source_registry_formkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v2asdf_source_registry__location = keyvars[0];
  }
  value0 = ecl_function_dispatch(cl_env_copy,VV[903])(7, v1asdf_source_registry__form, VV[1449], VV[1437], ECL_SYM("LOCATION",999), v2asdf_source_registry__location, VV[1377], VV[1421]) /*  VALIDATE-CONFIGURATION-FORM */;
  return value0;
 }
}
/*      function definition for VALIDATE-SOURCE-REGISTRY-FILE         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L933validate_source_registry_file(cl_object v1asdf_source_registry__file)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[908])(4, v1asdf_source_registry__file, VV[1448], ECL_SYM("DESCRIPTION",988), VV[1451]) /*  VALIDATE-CONFIGURATION-FILE */;
  return value0;
 }
}
/*      function definition for VALIDATE-SOURCE-REGISTRY-DIRECTORY    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L934validate_source_registry_directory(cl_object v1directory)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[910])(5, v1directory, VV[1449], VV[1437], VV[1377], VV[1421]) /*  VALIDATE-CONFIGURATION-DIRECTORY */;
  return value0;
 }
}
/*      function definition for PARSE-SOURCE-REGISTRY-STRING          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L936parse_source_registry_string(cl_narg narg, cl_object v1string, ...)
{
 cl_object T0, T1, T2;
 volatile cl_object lex0[1];
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_source_registry__location;
  ecl_va_list args; ecl_va_start(args,v1string,narg,1);
  lex0[0] = v1string;                             /*  STRING          */
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L936parse_source_registry_stringkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v2asdf_source_registry__location = keyvars[0];
  }
  if (lex0[0]==ECL_NIL) { goto L3; }
  if (!(ecl_equal(lex0[0],VV[56]))) { goto L1; }
  goto L2;
L3:;
L2:;
  value0 = VV[1454];
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (ECL_STRINGP(lex0[0])) { goto L5; }
  value0 = cl_error(2, VV[1383], lex0[0]);
  return value0;
L5:;
  {
   ecl_character v3;
   v3 = ecl_char(lex0[0],0);
   {
    cl_object v4;
    v4 = si_make_seq_iterator(2, VV[1455], ecl_make_fixnum(0));
L11:;
    if ((v4)!=ECL_NIL) { goto L13; }
    goto L7;
L13:;
    {
     cl_object v5;
     v5 = si_seq_iterator_ref(VV[1455], v4);
     if (!((ECL_CODE_CHAR(v3)==(v5)))) { goto L15; }
     if (Null(v5)) { goto L7; }
     goto L8;
    }
L15:;
    v4 = si_seq_iterator_next(VV[1455], v4);
    goto L11;
   }
  }
L8:;
  T0 = cl_read_from_string(1, lex0[0]);
  value0 = ecl_function_dispatch(cl_env_copy,VV[1448])(3, T0, ECL_SYM("LOCATION",999), v2asdf_source_registry__location) /*  VALIDATE-SOURCE-REGISTRY-FORM */;
  return value0;
L7:;
  {
   cl_object v3asdf_source_registry__inherit;
   v3asdf_source_registry__inherit = ECL_NIL;
   {
    cl_object v4asdf_source_registry__directives;
    v4asdf_source_registry__directives = ECL_NIL;
    {
     cl_object v5asdf_source_registry__start;
     v5asdf_source_registry__start = ecl_make_fixnum(0);
     {
      cl_fixnum v6asdf_source_registry__end;
      v6asdf_source_registry__end = ecl_length(lex0[0]);
      {
       cl_object v7asdf_source_registry__separator;
       v7asdf_source_registry__separator = ecl_function_dispatch(cl_env_copy,VV[469])(0) /*  INTER-DIRECTORY-SEPARATOR */;
       {
        cl_object v8asdf_source_registry__pos;
        v8asdf_source_registry__pos = ECL_NIL;
L26:;
        v8asdf_source_registry__pos = cl_position(4, v7asdf_source_registry__separator, lex0[0], ECL_SYM("START",1322), v5asdf_source_registry__start);
        {
         cl_object v9asdf_source_registry__s;
         value0 = v8asdf_source_registry__pos;
         if ((value0)!=ECL_NIL) { goto L33; }
         T0 = ecl_make_fixnum(v6asdf_source_registry__end);
         goto L31;
L33:;
         T0 = value0;
         goto L31;
L31:;
         v9asdf_source_registry__s = cl_subseq(3, lex0[0], v5asdf_source_registry__start, T0);
         if (!(ecl_equal(VV[56],v9asdf_source_registry__s))) { goto L36; }
         if (Null(v3asdf_source_registry__inherit)) { goto L38; }
         cl_error(2, VV[1384], lex0[0]);
L38:;
         v3asdf_source_registry__inherit = ECL_T;
         v4asdf_source_registry__directives = CONS(VV[1385],v4asdf_source_registry__directives);
         goto L35;
L36:;
         if (Null(ecl_function_dispatch(cl_env_copy,VV[182])(2, v9asdf_source_registry__s, VV[1457]) /*  STRING-SUFFIX-P */)) { goto L43; }
         {
          cl_fixnum v10;
          v10 = ecl_length(v9asdf_source_registry__s);
          T1 = ecl_minus(ecl_make_fixnum(v10),ecl_make_fixnum(2));
          T2 = cl_subseq(3, v9asdf_source_registry__s, ecl_make_fixnum(0), T1);
          T0 = LC935check(lex0, T2);
         }
         T1 = cl_list(2, VV[1442], T0);
         v4asdf_source_registry__directives = CONS(T1,v4asdf_source_registry__directives);
         goto L35;
L43:;
         T0 = LC935check(lex0, v9asdf_source_registry__s);
         T1 = cl_list(2, ECL_SYM("DIRECTORY",1229), T0);
         v4asdf_source_registry__directives = CONS(T1,v4asdf_source_registry__directives);
L35:;
         if (Null(v8asdf_source_registry__pos)) { goto L49; }
         v5asdf_source_registry__start = ecl_one_plus(v8asdf_source_registry__pos);
         goto L29;
L49:;
         if ((v3asdf_source_registry__inherit)!=ECL_NIL) { goto L52; }
         v4asdf_source_registry__directives = CONS(VV[1458],v4asdf_source_registry__directives);
L52:;
         T0 = cl_nreverse(v4asdf_source_registry__directives);
         value0 = CONS(VV[1449],T0);
         cl_env_copy->nvalues = 1;
         return value0;
        }
L29:;
        goto L26;
       }
      }
     }
    }
   }
  }
 }
}
/*      function definition for REGISTER-ASD-DIRECTORY                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L937register_asd_directory(cl_narg narg, cl_object v1directory, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_source_registry__recurse;
  cl_object v3asdf_source_registry__exclude;
  cl_object v4asdf_source_registry__collect;
  ecl_va_list args; ecl_va_start(args,v1directory,narg,1);
  {
   cl_object keyvars[6];
   cl_parse_key(args,3,L937register_asd_directorykeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v2asdf_source_registry__recurse = keyvars[0];
   v3asdf_source_registry__exclude = keyvars[1];
   v4asdf_source_registry__collect = keyvars[2];
  }
  if ((v2asdf_source_registry__recurse)!=ECL_NIL) { goto L1; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[1431])(2, v1directory, v4asdf_source_registry__collect) /*  COLLECT-ASDS-IN-DIRECTORY */;
  return value0;
L1:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1436])(5, v1directory, VV[1444], v3asdf_source_registry__exclude, VV[1403], v4asdf_source_registry__collect) /*  COLLECT-SUB*DIRECTORIES-ASD-FILES */;
  return value0;
 }
}
/*      function definition for %COMPUTE-DEFAULT-SOURCE-REGISTRIES-VALUE */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L938_compute_default_source_registries_value()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[1460];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for WRAPPING-SOURCE-REGISTRY              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L939wrapping_source_registry()
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[478])(0) /*  LISP-IMPLEMENTATION-DIRECTORY */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[433])(1, T0) /*  RESOLVE-SYMLINKS* */;
  T2 = cl_list(2, VV[1442], T1);
  value0 = cl_list(3, VV[1449], T2, VV[1385]);
  return value0;
 }
}
/*      function definition for DEFAULT-USER-SOURCE-REGISTRY          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L940default_user_source_registry()
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[963])(1, VV[1468]) /*  XDG-DATA-HOME */;
  T1 = cl_list(2, ECL_SYM("DIRECTORY",1229), T0);
  T2 = ecl_function_dispatch(cl_env_copy,VV[963])(1, VV[1469]) /*  XDG-DATA-HOME */;
  T3 = cl_list(2, VV[1442], T2);
  value0 = cl_list(5, VV[1449], VV[1467], T1, T3, VV[1385]);
  return value0;
 }
}
/*      function definition for DEFAULT-SYSTEM-SOURCE-REGISTRY        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L941default_system_source_registry()
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v1;
   cl_object v2asdf_source_registry__dir;
   cl_object v3;
   v1 = ecl_function_dispatch(cl_env_copy,VV[969])(1, VV[1471]) /*  XDG-DATA-DIRS */;
   v2asdf_source_registry__dir = ECL_NIL;
   {
    cl_object v4;
    v4 = v1;
    if (ecl_unlikely(!ECL_LISTP(v4))) FEtype_error_list(v4);
    v3 = v4;
   }
   {
    cl_object v4;
    cl_object v5;
    v4 = ecl_list1(ECL_NIL);
    v5 = v4;
L9:;
    if (!(ecl_endp(v3))) { goto L11; }
    goto L10;
L11:;
    v2asdf_source_registry__dir = _ecl_car(v3);
    {
     cl_object v6;
     v6 = _ecl_cdr(v3);
     if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
     v3 = v6;
    }
    {
     cl_object v6;
     v6 = v5;
     if (ecl_unlikely(ECL_ATOM(v6))) FEtype_error_cons(v6);
     T1 = v6;
    }
    T2 = cl_list(2, v2asdf_source_registry__dir, VV[1472]);
    T3 = cl_list(2, ECL_SYM("DIRECTORY",1229), T2);
    v5 = ecl_list1(T3);
    (ECL_CONS_CDR(T1)=v5,T1);
    {
     cl_object v6;
     v6 = v5;
     if (ecl_unlikely(ECL_ATOM(v6))) FEtype_error_cons(v6);
     T1 = v6;
    }
    T2 = cl_list(2, v2asdf_source_registry__dir, VV[1473]);
    T3 = cl_list(2, VV[1442], T2);
    v5 = ecl_list1(T3);
    (ECL_CONS_CDR(T1)=v5,T1);
    goto L9;
L10:;
    T0 = ecl_cdr(v4);
    goto L1;
   }
  }
L1:;
  T1 = ecl_append(T0,VV[912]);
  value0 = CONS(VV[1449],T1);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for USER-SOURCE-REGISTRY                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L942user_source_registry(cl_narg narg, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1asdf_source_registry__direction;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L942user_source_registrykeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[1])) {
    v1asdf_source_registry__direction = ECL_SYM("INPUT",1266);
   } else {
    v1asdf_source_registry__direction = keyvars[0];
   }
  }
  value0 = ecl_function_dispatch(cl_env_copy,VV[990])(2, ecl_symbol_value(VV[1463]), v1asdf_source_registry__direction) /*  XDG-CONFIG-PATHNAME */;
  return value0;
 }
}
/*      function definition for SYSTEM-SOURCE-REGISTRY                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L943system_source_registry(cl_narg narg, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1asdf_source_registry__direction;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L943system_source_registrykeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[1])) {
    v1asdf_source_registry__direction = ECL_SYM("INPUT",1266);
   } else {
    v1asdf_source_registry__direction = keyvars[0];
   }
  }
  T0 = ecl_function_dispatch(cl_env_copy,VV[980])(1, ecl_symbol_value(VV[1463])) /*  SYSTEM-CONFIG-PATHNAMES */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[985])(3, T0, ECL_SYM("DIRECTION",1228), v1asdf_source_registry__direction) /*  FIND-PREFERRED-FILE */;
  return value0;
 }
}
/*      function definition for USER-SOURCE-REGISTRY-DIRECTORY        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L944user_source_registry_directory(cl_narg narg, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1asdf_source_registry__direction;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L944user_source_registry_directorykeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[1])) {
    v1asdf_source_registry__direction = ECL_SYM("INPUT",1266);
   } else {
    v1asdf_source_registry__direction = keyvars[0];
   }
  }
  value0 = ecl_function_dispatch(cl_env_copy,VV[990])(2, ecl_symbol_value(VV[1464]), v1asdf_source_registry__direction) /*  XDG-CONFIG-PATHNAME */;
  return value0;
 }
}
/*      function definition for SYSTEM-SOURCE-REGISTRY-DIRECTORY      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L945system_source_registry_directory(cl_narg narg, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1asdf_source_registry__direction;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L945system_source_registry_directorykeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[1])) {
    v1asdf_source_registry__direction = ECL_SYM("INPUT",1266);
   } else {
    v1asdf_source_registry__direction = keyvars[0];
   }
  }
  T0 = ecl_function_dispatch(cl_env_copy,VV[980])(1, ecl_symbol_value(VV[1464])) /*  SYSTEM-CONFIG-PATHNAMES */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[985])(3, T0, ECL_SYM("DIRECTION",1228), v1asdf_source_registry__direction) /*  FIND-PREFERRED-FILE */;
  return value0;
 }
}
/*      function definition for ENVIRONMENT-SOURCE-REGISTRY           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L946environment_source_registry()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[272])(1, VV[1479]) /*  GETENV */;
  return value0;
 }
}
/*      function definition for INHERIT-SOURCE-REGISTRY               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L947inherit_source_registry(cl_narg narg, cl_object v1asdf_source_registry__inherit, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_source_registry__register;
  ecl_va_list args; ecl_va_start(args,v1asdf_source_registry__inherit,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L947inherit_source_registrykeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v2asdf_source_registry__register = keyvars[0];
  }
  if (Null(v1asdf_source_registry__inherit)) { goto L1; }
  T0 = ecl_car(v1asdf_source_registry__inherit);
  T1 = ecl_cdr(v1asdf_source_registry__inherit);
  value0 = ecl_function_dispatch(cl_env_copy,VV[1480])(5, T0, VV[1482], v2asdf_source_registry__register, VV[1404], T1) /*  PROCESS-SOURCE-REGISTRY */;
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for PROCESS-SOURCE-REGISTRY-DIRECTIVE     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L948process_source_registry_directive(cl_narg narg, cl_object v1asdf_source_registry__directive, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_source_registry__inherit;
  cl_object v3asdf_source_registry__register;
  ecl_va_list args; ecl_va_start(args,v1asdf_source_registry__directive,narg,1);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,L948process_source_registry_directivekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v2asdf_source_registry__inherit = keyvars[0];
   v3asdf_source_registry__register = keyvars[1];
  }
  {
   cl_object v4;
   cl_object v5;
   cl_object v6asdf_source_registry__kw;
   if (!(ECL_CONSP(v1asdf_source_registry__directive))) { goto L3; }
   v4 = v1asdf_source_registry__directive;
   goto L2;
L3:;
   v4 = ecl_list1(v1asdf_source_registry__directive);
L2:;
   v5 = v4;
   if (!(v5==ECL_NIL)) { goto L7; }
   si_dm_too_few_arguments(v4);
L7:;
   {
    cl_object v7;
    v7 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v6asdf_source_registry__kw = v7;
   }
   if (!(ecl_eql(v6asdf_source_registry__kw,ECL_SYM("INCLUDE",1261)))) { goto L12; }
   {
    cl_object v7;
    cl_object v8pathname;
    v7 = v5;
    if (!(v7==ECL_NIL)) { goto L17; }
    si_dm_too_few_arguments(v5);
L17:;
    {
     cl_object v9;
     v9 = ecl_car(v7);
     v7 = ecl_cdr(v7);
     v8pathname = v9;
    }
    if (Null(v7)) { goto L22; }
    si_dm_too_many_arguments(v5);
L22:;
    T0 = ecl_function_dispatch(cl_env_copy,VV[936])(1, v8pathname) /*  RESOLVE-LOCATION */;
    ecl_function_dispatch(cl_env_copy,VV[1480])(5, T0, VV[1404], ECL_NIL, VV[1482], v3asdf_source_registry__register) /*  PROCESS-SOURCE-REGISTRY */;
    goto L1;
   }
L12:;
   if (!(ecl_eql(v6asdf_source_registry__kw,ECL_SYM("DIRECTORY",1229)))) { goto L24; }
   {
    cl_object v9;
    cl_object v10pathname;
    v9 = v5;
    if (!(v9==ECL_NIL)) { goto L29; }
    si_dm_too_few_arguments(v5);
L29:;
    {
     cl_object v11;
     v11 = ecl_car(v9);
     v9 = ecl_cdr(v9);
     v10pathname = v11;
    }
    if (Null(v9)) { goto L34; }
    si_dm_too_many_arguments(v5);
L34:;
    if (Null(v10pathname)) { goto L1; }
    T0 = ecl_function_dispatch(cl_env_copy,VV[936])(3, v10pathname, VV[363], ECL_T) /*  RESOLVE-LOCATION */;
    ecl_function_dispatch(cl_env_copy,v3asdf_source_registry__register)(1, T0);
    goto L1;
   }
L24:;
   if (!(ecl_eql(v6asdf_source_registry__kw,VV[1442]))) { goto L37; }
   {
    cl_object v11;
    cl_object v12pathname;
    v11 = v5;
    if (!(v11==ECL_NIL)) { goto L42; }
    si_dm_too_few_arguments(v5);
L42:;
    {
     cl_object v13;
     v13 = ecl_car(v11);
     v11 = ecl_cdr(v11);
     v12pathname = v13;
    }
    if (Null(v11)) { goto L47; }
    si_dm_too_many_arguments(v5);
L47:;
    if (Null(v12pathname)) { goto L1; }
    T0 = ecl_function_dispatch(cl_env_copy,VV[936])(3, v12pathname, VV[363], ECL_T) /*  RESOLVE-LOCATION */;
    ecl_function_dispatch(cl_env_copy,v3asdf_source_registry__register)(5, T0, VV[1486], ECL_T, VV[1444], ecl_symbol_value(VV[1424]));
    goto L1;
   }
L37:;
   if (!(ecl_eql(v6asdf_source_registry__kw,VV[1444]))) { goto L50; }
   cl_set(VV[1424],v5);
   goto L1;
L50:;
   if (!(ecl_eql(v6asdf_source_registry__kw,VV[1446]))) { goto L54; }
   cl_set(VV[1424],ecl_append(ecl_symbol_value(VV[1424]),v5));
   goto L1;
L54:;
   if (!(ecl_eql(v6asdf_source_registry__kw,VV[1438]))) { goto L58; }
   ecl_function_dispatch(cl_env_copy,VV[1481])(3, VV[1488], VV[1482], v3asdf_source_registry__register) /*  INHERIT-SOURCE-REGISTRY */;
   goto L1;
L58:;
   if (!(ecl_eql(v6asdf_source_registry__kw,VV[1385]))) { goto L61; }
   ecl_function_dispatch(cl_env_copy,VV[1481])(3, v2asdf_source_registry__inherit, VV[1482], v3asdf_source_registry__register) /*  INHERIT-SOURCE-REGISTRY */;
   goto L1;
L61:;
   if (!(ecl_eql(v6asdf_source_registry__kw,VV[1387]))) { goto L66; }
   goto L1;
   goto L64;
L66:;
   goto L64;
L64:;
   si_ecase_error(v6asdf_source_registry__kw, VV[1489]);
  }
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G5345                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC949__g5345(cl_narg narg, cl_object v1asdf_source_registry__x, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_source_registry__inherit;
  cl_object v3asdf_source_registry__register;
  ecl_va_list args; ecl_va_start(args,v1asdf_source_registry__x,narg,1);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,LC949__g5345keys,keyvars,NULL,TRUE);
   ecl_va_end(args);
   v2asdf_source_registry__inherit = keyvars[0];
   v3asdf_source_registry__register = keyvars[1];
  }
  T0 = ecl_function_dispatch(cl_env_copy,v1asdf_source_registry__x)(0);
  value0 = ecl_function_dispatch(cl_env_copy,VV[1480])(5, T0, VV[1404], v2asdf_source_registry__inherit, VV[1482], v3asdf_source_registry__register) /*  PROCESS-SOURCE-REGISTRY */;
  return value0;
 }
}
/*      local function G5346                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC950__g5346(cl_narg narg, cl_object v1pathname, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_source_registry__inherit;
  cl_object v3asdf_source_registry__register;
  ecl_va_list args; ecl_va_start(args,v1pathname,narg,1);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,LC950__g5346keys,keyvars,NULL,TRUE);
   ecl_va_end(args);
   v2asdf_source_registry__inherit = keyvars[0];
   v3asdf_source_registry__register = keyvars[1];
  }
  if (Null(ecl_function_dispatch(cl_env_copy,VV[336])(1, v1pathname) /*  DIRECTORY-PATHNAME-P */)) { goto L1; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[433])(1, v1pathname) /*  RESOLVE-SYMLINKS* */;
  ecl_bds_bind(cl_env_copy,VV[928],T0);           /*  *HERE-DIRECTORY* */
  T0 = ecl_function_dispatch(cl_env_copy,VV[1452])(1, v1pathname) /*  VALIDATE-SOURCE-REGISTRY-DIRECTORY */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1480])(5, T0, VV[1404], v2asdf_source_registry__inherit, VV[1482], v3asdf_source_registry__register) /*  PROCESS-SOURCE-REGISTRY */;
  ecl_bds_unwind1(cl_env_copy);
  return value0;
L1:;
  if (Null(ecl_function_dispatch(cl_env_copy,VV[410])(3, v1pathname, VV[419], ecl_symbol_value(VV[432])) /*  PROBE-FILE* */)) { goto L3; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[333])(1, v1pathname) /*  PATHNAME-DIRECTORY-PATHNAME */;
  ecl_bds_bind(cl_env_copy,VV[928],T0);           /*  *HERE-DIRECTORY* */
  T0 = ecl_function_dispatch(cl_env_copy,VV[1450])(1, v1pathname) /*  VALIDATE-SOURCE-REGISTRY-FILE */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1480])(5, T0, VV[1404], v2asdf_source_registry__inherit, VV[1482], v3asdf_source_registry__register) /*  PROCESS-SOURCE-REGISTRY */;
  ecl_bds_unwind1(cl_env_copy);
  return value0;
L3:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1481])(3, v2asdf_source_registry__inherit, VV[1482], v3asdf_source_registry__register) /*  INHERIT-SOURCE-REGISTRY */;
  return value0;
 }
}
/*      local function G5347                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC951__g5347(cl_narg narg, cl_object v1string, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_source_registry__inherit;
  cl_object v3asdf_source_registry__register;
  ecl_va_list args; ecl_va_start(args,v1string,narg,1);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,LC951__g5347keys,keyvars,NULL,TRUE);
   ecl_va_end(args);
   v2asdf_source_registry__inherit = keyvars[0];
   v3asdf_source_registry__register = keyvars[1];
  }
  T0 = ecl_function_dispatch(cl_env_copy,VV[1453])(1, v1string) /*  PARSE-SOURCE-REGISTRY-STRING */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1480])(5, T0, VV[1404], v2asdf_source_registry__inherit, VV[1482], v3asdf_source_registry__register) /*  PROCESS-SOURCE-REGISTRY */;
  return value0;
 }
}
/*      local function G5348                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC952__g5348(cl_narg narg, cl_object v1asdf_source_registry__x, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_source_registry__inherit;
  cl_object v3asdf_source_registry__register;
  ecl_va_list args; ecl_va_start(args,v1asdf_source_registry__x,narg,1);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,LC952__g5348keys,keyvars,NULL,TRUE);
   ecl_va_end(args);
   v2asdf_source_registry__inherit = keyvars[0];
   v3asdf_source_registry__register = keyvars[1];
  }
  value0 = ecl_function_dispatch(cl_env_copy,VV[1481])(3, v2asdf_source_registry__inherit, VV[1482], v3asdf_source_registry__register) /*  INHERIT-SOURCE-REGISTRY */;
  return value0;
 }
}
/*      local function G5349                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC953__g5349(cl_narg narg, cl_object v1asdf_source_registry__form, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_source_registry__inherit;
  cl_object v3asdf_source_registry__register;
  ecl_va_list args; ecl_va_start(args,v1asdf_source_registry__form,narg,1);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,LC953__g5349keys,keyvars,NULL,TRUE);
   ecl_va_end(args);
   v2asdf_source_registry__inherit = keyvars[0];
   v3asdf_source_registry__register = keyvars[1];
  }
  ecl_bds_bind(cl_env_copy,VV[1424],ecl_symbol_value(VV[1423])); /*  *SOURCE-REGISTRY-EXCLUSIONS* */
  {
   cl_object v4;
   T0 = ecl_function_dispatch(cl_env_copy,VV[1448])(1, v1asdf_source_registry__form) /*  VALIDATE-SOURCE-REGISTRY-FORM */;
   v4 = ecl_cdr(T0);
   goto L4;
L3:;
   {
    cl_object v5asdf_source_registry__directive;
    v5asdf_source_registry__directive = ecl_car(v4);
    ecl_function_dispatch(cl_env_copy,VV[1483])(5, v5asdf_source_registry__directive, VV[1404], v2asdf_source_registry__inherit, VV[1482], v3asdf_source_registry__register) /*  PROCESS-SOURCE-REGISTRY-DIRECTIVE */;
   }
   v4 = ecl_cdr(v4);
L4:;
   if (Null(v4)) { goto L11; }
   goto L3;
L11:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   ecl_bds_unwind1(cl_env_copy);
   return value0;
  }
 }
}
/*      function definition for FLATTEN-SOURCE-REGISTRY               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L956flatten_source_registry(cl_narg narg, ...)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object v1asdf_source_registry__parameter;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    v1asdf_source_registry__parameter = ecl_symbol_value(VV[1426]);
   } else {
    i++;
    v1asdf_source_registry__parameter = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object env1 = env0;
   env1 = ECL_NIL;
   CLV0 = env1 = CONS(ECL_NIL,env1);
   ecl_bds_bind(cl_env_copy,ECL_SYM("*DEFAULT-PATHNAME-DEFAULTS*",32),ecl_symbol_value(VV[319])); /*  *DEFAULT-PATHNAME-DEFAULTS* */
   T1 = cl_listX(3, VV[1465], v1asdf_source_registry__parameter, ecl_symbol_value(VV[1462]));
   {
    cl_object v2;
    v2 = ecl_make_cclosure_va((cl_objectfn)LC955__g5361,env1,Cblock);
    T2 = v2;
   }
   ecl_function_dispatch(cl_env_copy,VV[1481])(3, T1, VV[1482], T2) /*  INHERIT-SOURCE-REGISTRY */;
   ecl_bds_unwind1(cl_env_copy);
   T0 = cl_reverse(ECL_CONS_CAR(CLV0));
  }
  value0 = cl_remove_duplicates(5, T0, ECL_SYM("TEST",1328), ECL_SYM("EQUAL",335), VV[52], ECL_T);
  return value0;
 }
}
/*      function definition for COMPUTE-SOURCE-REGISTRY               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L958compute_source_registry(cl_narg narg, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 cl_object CLV0, CLV1, CLV2, CLV3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v1asdf_source_registry__parameter;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    v1asdf_source_registry__parameter = ecl_symbol_value(VV[1426]);
   } else {
    i++;
    v1asdf_source_registry__parameter = va_arg(args,cl_object);
   }
   if (i >= narg) {
    env0 = ECL_NIL;
    CLV0 = env0 = CONS(ecl_symbol_value(VV[1425]),env0); /*  REGISTRY */
   } else {
    i++;
    env0 = ECL_NIL;
    CLV0 = env0 = CONS(va_arg(args,cl_object),env0); /*  REGISTRY     */
   }
  }
  va_end(args);
  {
   cl_object v2;
   v2 = ecl_function_dispatch(cl_env_copy,VV[1490])(1, v1asdf_source_registry__parameter) /*  FLATTEN-SOURCE-REGISTRY */;
   goto L6;
L5:;
   {
    cl_object v3asdf_source_registry__entry;
    v3asdf_source_registry__entry = ecl_car(v2);
    {
     cl_object v4;
     cl_object v5;
     cl_object v6;
     cl_object v7asdf_source_registry__exclude;
     cl_object env1 = env0;
     v4 = v3asdf_source_registry__entry;
     if (!(v4==ECL_NIL)) { goto L12; }
     si_dm_too_few_arguments(v3asdf_source_registry__entry);
L12:;
     {
      cl_object v8;
      v8 = ecl_car(v4);
      v4 = ecl_cdr(v4);
      T0 = v8;
     }
     CLV1 = env1 = CONS(T0,env1);                 /*  DIRECTORY       */
     v5 = si_search_keyword(2, v4, VV[1486]);
     if (!((v5)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L20; }
     T0 = ECL_NIL;
     goto L19;
L20:;
     T0 = v5;
L19:;
     CLV2 = env1 = CONS(T0,env1);                 /*  RECURSE         */
     v6 = si_search_keyword(2, v4, VV[1444]);
     if (!((v6)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L24; }
     v7asdf_source_registry__exclude = ECL_NIL;
     goto L23;
L24:;
     v7asdf_source_registry__exclude = v6;
L23:;
     si_check_keyword(2, v4, VV[1492]);
     {
      cl_object env2 = env1;
      T0 = cl_make_hash_table(2, ECL_SYM("TEST",1328), ECL_SYM("EQUAL",335));
      CLV3 = env2 = CONS(T0,env2);                /*  H               */
      {
       cl_object v8;
       v8 = ecl_make_cclosure_va((cl_objectfn)LC957__g5410,env2,Cblock);
       T0 = v8;
      }
      ecl_function_dispatch(cl_env_copy,VV[1459])(7, ECL_CONS_CAR(CLV1), VV[1486], ECL_CONS_CAR(CLV2), VV[1444], v7asdf_source_registry__exclude, VV[1403], T0) /*  REGISTER-ASD-DIRECTORY */;
     }
    }
   }
   v2 = ecl_cdr(v2);
L6:;
   if (Null(v2)) { goto L31; }
   goto L5;
L31:;
  }
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 0;
  return value0;
 }
}
/*      function definition for INITIALIZE-SOURCE-REGISTRY            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L959initialize_source_registry(cl_narg narg, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object v1asdf_source_registry__parameter;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    v1asdf_source_registry__parameter = ecl_symbol_value(VV[1426]);
   } else {
    i++;
    v1asdf_source_registry__parameter = va_arg(args,cl_object);
   }
  }
  va_end(args);
  cl_set(VV[1426],v1asdf_source_registry__parameter);
  cl_set(VV[1425],cl_make_hash_table(2, ECL_SYM("TEST",1328), ECL_SYM("EQUAL",335)));
  value0 = ecl_function_dispatch(cl_env_copy,VV[1491])(1, v1asdf_source_registry__parameter) /*  COMPUTE-SOURCE-REGISTRY */;
  return value0;
 }
}
/*      function definition for ENSURE-SOURCE-REGISTRY                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L960ensure_source_registry(cl_narg narg, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object v1asdf_source_registry__parameter;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    v1asdf_source_registry__parameter = ECL_NIL;
   } else {
    i++;
    v1asdf_source_registry__parameter = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if ((ecl_function_dispatch(cl_env_copy,VV[1427])(0) /*  SOURCE-REGISTRY-INITIALIZED-P */)!=ECL_NIL) { goto L2; }
  ecl_function_dispatch(cl_env_copy,VV[1494])(1, v1asdf_source_registry__parameter) /*  INITIALIZE-SOURCE-REGISTRY */;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 0;
  return value0;
 }
}
/*      function definition for SYSDEF-SOURCE-REGISTRY-SEARCH         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L961sysdef_source_registry_search(cl_object v1asdf_source_registry__system)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_function_dispatch(cl_env_copy,VV[1495])(0)  /*  ENSURE-SOURCE-REGISTRY */;
  T0 = ecl_function_dispatch(cl_env_copy,VV[1102])(1, v1asdf_source_registry__system) /*  PRIMARY-SYSTEM-NAME */;
  value0 = ecl_gethash_safe(T0,ecl_symbol_value(VV[1425]),ECL_NIL);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      closure G5233                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC925__g5233(cl_narg narg, cl_object v1si__temp, ...)
{
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  TAGBODY         */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV0) = v1si__temp;
  cl_go(ECL_CONS_CAR(CLV1),ecl_make_fixnum(0));
 }
 }
}
/*      closure RECURSEP                                              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC929recursep(cl_narg narg, cl_object v1asdf_source_registry__x, ...)
{
 cl_object T0, T1, T2;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV5 = env0;                                     /*  VISITED         */
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  T0 = cl_pathname_directory(1, v1asdf_source_registry__x);
  T1 = ecl_last(T0,1);
  T2 = ecl_car(T1);
  if ((ecl_member(T2,ECL_CONS_CAR(CLV1)))!=ECL_NIL) { goto L2; }
  {
   cl_object v2asdf_source_registry__visitedp;
   T0 = LC928pathname_key(v1asdf_source_registry__x);
   v2asdf_source_registry__visitedp = ecl_gethash_safe(T0,ECL_CONS_CAR(CLV5),ECL_NIL);
   if (Null(v2asdf_source_registry__visitedp)) { goto L6; }
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L6:;
   T0 = LC928pathname_key(v1asdf_source_registry__x);
   value0 = si_hash_set(T0, ECL_CONS_CAR(CLV5), ECL_T);
   return value0;
  }
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
 }
}
/*      closure COLLECTP                                              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC927collectp(cl_narg narg, cl_object v1asdf_source_registry__dir, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV5 = env0;
 CLV4 = _ecl_cdr(CLV5);                           /*  IGNORE-CACHE    */
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  if ((ECL_CONS_CAR(CLV4))!=ECL_NIL) { goto L4; }
  if ((ecl_function_dispatch(cl_env_copy,VV[1433])(2, ECL_CONS_CAR(CLV0), ECL_CONS_CAR(CLV2)) /*  PROCESS-SOURCE-REGISTRY-CACHE */)!=ECL_NIL) { goto L1; }
  goto L2;
L4:;
  goto L2;
L2:;
  {
   cl_object v2asdf_source_registry__asds;
   v2asdf_source_registry__asds = ecl_function_dispatch(cl_env_copy,VV[1431])(2, v1asdf_source_registry__dir, ECL_CONS_CAR(CLV2)) /*  COLLECT-ASDS-IN-DIRECTORY */;
   value0 = ECL_CONS_CAR(CLV3);
   if ((value0)!=ECL_NIL) { goto L8; }
   value0 = Null(v2asdf_source_registry__asds)?ECL_T:ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L8:;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
 }
}
/*      local function CHECK                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC935check(volatile cl_object *lex0, cl_object v1asdf_source_registry__dir)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if ((ecl_function_dispatch(cl_env_copy,VV[326])(1, v1asdf_source_registry__dir) /*  ABSOLUTE-PATHNAME-P */)!=ECL_NIL) { goto L1; }
  cl_error(2, VV[1456], lex0[0]);
L1:;
  value0 = v1asdf_source_registry__dir;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      closure COLLECT                                               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC954collect(cl_narg narg, cl_object v1uiop_utility__x, ...)
{
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV0) = CONS(v1uiop_utility__x,ECL_CONS_CAR(CLV0));
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 0;
  return value0;
 }
 }
}
/*      closure G5361                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC955__g5361(cl_narg narg, cl_object v1directory, ...)
{
 cl_object T0;
 volatile struct ecl_cclosure aux_closure;
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_source_registry__recurse;
  cl_object v3asdf_source_registry__exclude;
  ecl_va_list args; ecl_va_start(args,v1directory,narg,1);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,LC955__g5361keys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v2asdf_source_registry__recurse = keyvars[0];
   v3asdf_source_registry__exclude = keyvars[1];
  }
  T0 = cl_list(5, v1directory, VV[1486], v2asdf_source_registry__recurse, VV[1444], v3asdf_source_registry__exclude);
  value0 = (aux_closure.env=env0,cl_env_copy->function=(cl_object)&aux_closure,LC954collect(1, T0));
  return value0;
 }
 }
}
/*      closure G5410                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC957__g5410(cl_narg narg, cl_object v1asdf_source_registry__asd, ...)
{
 cl_object T0;
 cl_object CLV0, CLV1, CLV2, CLV3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV3 = env0;                                     /*  H               */
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  {
   cl_object v2asdf_source_registry__name;
   cl_object v3asdf_source_registry__name;
   v2asdf_source_registry__name = cl_pathname_name(1, v1asdf_source_registry__asd);
   if (Null(si_logical_pathname_p(v1asdf_source_registry__asd))) { goto L3; }
   v3asdf_source_registry__name = cl_string_downcase(1, v2asdf_source_registry__name);
   goto L2;
L3:;
   v3asdf_source_registry__name = v2asdf_source_registry__name;
L2:;
   if (Null(ecl_gethash_safe(v3asdf_source_registry__name,ECL_CONS_CAR(CLV0),ECL_NIL))) { goto L5; }
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L5:;
   if (Null(ecl_gethash_safe(v3asdf_source_registry__name,ECL_CONS_CAR(CLV3),ECL_NIL))) { goto L7; }
   if (Null(ecl_symbol_value(VV[1009]))) { goto L9; }
   T0 = cl_gethash(2, v3asdf_source_registry__name, ECL_CONS_CAR(CLV3));
   value0 = (cl_env_copy->function=(ECL_SYM("WARN",903)->symbol.gfdef))->cfun.entry(6, VV[1493], ECL_CONS_CAR(CLV1), ECL_CONS_CAR(CLV2), v3asdf_source_registry__name, T0, v1asdf_source_registry__asd) /*  WARN */;
   return value0;
L9:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L7:;
   si_hash_set(v3asdf_source_registry__name, ECL_CONS_CAR(CLV0), v1asdf_source_registry__asd);
   value0 = si_hash_set(v3asdf_source_registry__name, ECL_CONS_CAR(CLV3), v1asdf_source_registry__asd);
   return value0;
  }
 }
 }
}
/*      local function PATHNAME-KEY                                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC928pathname_key(cl_object v1asdf_source_registry__x)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[408])(1, v1asdf_source_registry__x) /*  TRUENAME* */;
  value0 = cl_namestring(T0);
  return value0;
 }
}
/*      function definition for DETERMINE-SYSTEM-DIRECTORY            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L963determine_system_directory(cl_object v1pathname)
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = v1pathname;
   if (v2==ECL_NIL) { goto L3; }
   if (ECL_STRINGP(v2)) { goto L3; }
   if ((cl_pathnamep(v2))!=ECL_NIL) { goto L3; }
   v1pathname = si_do_check_type(v2, VV[1498], ECL_NIL, ECL_SYM("PATHNAME",630));
L3:;
  }
  T0 = ecl_function_dispatch(cl_env_copy,VV[358])(3, v1pathname, ECL_SYM("TYPE",1330), ECL_SYM("DIRECTORY",1229)) /*  PARSE-UNIX-NAMESTRING */;
  {
   cl_object v2;
   v2 = ecl_make_cfun((cl_objectfn_fixed)LC962__g5430,ECL_NIL,Cblock,0);
   T1 = v2;
  }
  T2 = ecl_function_dispatch(cl_env_copy,VV[378])(3, T0, T1, ECL_NIL) /*  ENSURE-ABSOLUTE-PATHNAME */;
  T3 = ecl_function_dispatch(cl_env_copy,VV[433])(1, T2) /*  RESOLVE-SYMLINKS* */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[333])(1, T3) /*  PATHNAME-DIRECTORY-PATHNAME */;
  return value0;
 }
}
/*      local function G5430                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC962__g5430()
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[874])(0) /*  LOAD-PATHNAME */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[378])(3, T0, VV[415], ECL_NIL) /*  ENSURE-ABSOLUTE-PATHNAME */;
  return value0;
 }
}
/*      function definition for CLASS-FOR-TYPE                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L964class_for_type(cl_object v1asdf_component_parent, cl_object v2type)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[215])(7, v2type, ECL_SYM("PACKAGE",1296), VV[1182], VV[1183], VV[1042], ECL_SYM("ERROR",1239), ECL_NIL) /*  COERCE-CLASS */;
  if ((value0)!=ECL_NIL) { goto L2; }
  if (!((v2type)==(ECL_SYM("FILE",1247)))) { goto L6; }
  {
   cl_object v3asdf_parse_defsystem__p;
   v3asdf_parse_defsystem__p = ECL_NIL;
   {
    cl_object v4;
    v4 = ECL_NIL;
    v3asdf_parse_defsystem__p = v1asdf_component_parent;
L14:;
    if ((v3asdf_parse_defsystem__p)!=ECL_NIL) { goto L18; }
    goto L15;
L18:;
    v4 = ecl_function_dispatch(cl_env_copy,VV[2572])(1, v3asdf_parse_defsystem__p) /*  MODULE-DEFAULT-COMPONENT-CLASS */;
    if (Null(v4)) { goto L20; }
    value0 = v4;
    goto L11;
L20:;
    v3asdf_parse_defsystem__p = ecl_function_dispatch(cl_env_copy,VV[1037])(1, v3asdf_parse_defsystem__p) /*  COMPONENT-PARENT */;
    goto L14;
L15:;
    value0 = ECL_NIL;
   }
  }
L11:;
  if ((value0)!=ECL_NIL) { goto L10; }
  T0 = ecl_symbol_value(VV[1499]);
  goto L8;
L10:;
  T0 = value0;
  goto L8;
L8:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[215])(7, T0, ECL_SYM("PACKAGE",1296), VV[1182], VV[1183], VV[1042], ECL_SYM("ERROR",1239), ECL_NIL) /*  COERCE-CLASS */;
  goto L4;
L6:;
  value0 = ECL_NIL;
  goto L4;
L4:;
  if ((value0)!=ECL_NIL) { goto L2; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[1099])(2, VV[1501], v2type) /*  SYSDEF-ERROR */;
  return value0;
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G5434                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC966__g5434()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC965__g5435,ECL_NIL,Cblock,2);
   value0 = v1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G5436                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC968__g5436()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC967__g5437,ECL_NIL,Cblock,2);
   value0 = v1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for SYSDEF-ERROR-COMPONENT                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L969sysdef_error_component(cl_object v1asdf_parse_defsystem__msg, cl_object v2type, cl_object v3asdf_component_name, cl_object v4asdf_parse_defsystem__value)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[176])(2, v1asdf_parse_defsystem__msg, VV[1507]) /*  STRCAT */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1099])(4, T0, v2type, v3asdf_component_name, v4asdf_parse_defsystem__value) /*  SYSDEF-ERROR */;
  return value0;
 }
}
/*      function definition for CHECK-COMPONENT-INPUT                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L970check_component_input(cl_object v1type, cl_object v2asdf_component_name, cl_object v3asdf_system__weakly_depends_on, cl_object v4asdf_system__depends_on, cl_object v5asdf_component_components)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (ECL_LISTP(v4asdf_system__depends_on)) { goto L1; }
  ecl_function_dispatch(cl_env_copy,VV[1506])(4, VV[1509], v1type, v2asdf_component_name, v4asdf_system__depends_on) /*  SYSDEF-ERROR-COMPONENT */;
L1:;
  if (ECL_LISTP(v3asdf_system__weakly_depends_on)) { goto L3; }
  ecl_function_dispatch(cl_env_copy,VV[1506])(4, VV[1510], v1type, v2asdf_component_name, v3asdf_system__weakly_depends_on) /*  SYSDEF-ERROR-COMPONENT */;
L3:;
  if (ECL_LISTP(v5asdf_component_components)) { goto L5; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[1506])(4, VV[1511], v1type, v2asdf_component_name, v5asdf_component_components) /*  SYSDEF-ERROR-COMPONENT */;
  return value0;
L5:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for NORMALIZE-VERSION                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L973normalize_version(cl_narg narg, cl_object v1asdf_parse_defsystem__form, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 volatile struct ecl_cclosure aux_closure;
 cl_object CLV0, CLV1, CLV2, CLV3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  ecl_va_list args; ecl_va_start(args,v1asdf_parse_defsystem__form,narg,1);
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1asdf_parse_defsystem__form,env0); /*  FORM     */
  {
   cl_object keyvars[6];
   cl_parse_key(args,3,L973normalize_versionkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   CLV1 = env0 = CONS(keyvars[0],env0);           /*  PATHNAME        */
   CLV2 = env0 = CONS(keyvars[1],env0);           /*  COMPONENT       */
   CLV3 = env0 = CONS(keyvars[2],env0);           /*  PARENT          */
  }
  {
   cl_object v2;
   v2 = ecl_make_cclosure_va((cl_objectfn)LC972invalid_parse,env0,Cblock);
   {
    cl_object v3asdf_parse_defsystem__v;
    if (ECL_STRINGP(ECL_CONS_CAR(CLV0))) { goto L4; }
    if (!(ECL_CONS_CAR(CLV0)==ECL_NIL)) { goto L2; }
    goto L3;
L4:;
L3:;
    v3asdf_parse_defsystem__v = ECL_CONS_CAR(CLV0);
    goto L1;
L2:;
    if (Null(cl_realp(ECL_CONS_CAR(CLV0)))) { goto L6; }
    (aux_closure.env=env0,cl_env_copy->function=(cl_object)&aux_closure,LC971invalid(1, VV[1515]));
    v3asdf_parse_defsystem__v = cl_format(3, ECL_NIL, VV[1516], ECL_CONS_CAR(CLV0));
    goto L1;
L6:;
    if (!(ECL_CONSP(ECL_CONS_CAR(CLV0)))) { goto L9; }
    {
     cl_object v4;
     v4 = ecl_car(ECL_CONS_CAR(CLV0));
     if (!(ecl_eql(v4,VV[1517]))) { goto L12; }
     {
      cl_object v5;
      cl_object v6;
      cl_object v7asdf_parse_defsystem__subpath;
      cl_object v8;
      cl_object v9asdf_parse_defsystem__at;
      v5 = ecl_cdr(ECL_CONS_CAR(CLV0));
      v6 = v5;
      if (!(v6==ECL_NIL)) { goto L18; }
      si_dm_too_few_arguments(v5);
L18:;
      {
       cl_object v10;
       v10 = ecl_car(v6);
       v6 = ecl_cdr(v6);
       v7asdf_parse_defsystem__subpath = v10;
      }
      v8 = si_search_keyword(2, v6, VV[557]);
      if (!((v8)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L25; }
      v9asdf_parse_defsystem__at = ecl_make_fixnum(0);
      goto L24;
L25:;
      v9asdf_parse_defsystem__at = v8;
L24:;
      si_check_keyword(2, v6, VV[1519]);
      T0 = ecl_function_dispatch(cl_env_copy,VV[373])(2, ECL_CONS_CAR(CLV1), v7asdf_parse_defsystem__subpath) /*  SUBPATHNAME */;
      v3asdf_parse_defsystem__v = ecl_function_dispatch(cl_env_copy,VV[561])(5, T0, VV[557], v9asdf_parse_defsystem__at, ECL_SYM("PACKAGE",1296), VV[1148]) /*  SAFE-READ-FILE-FORM */;
      goto L1;
     }
L12:;
     if (!(ecl_eql(v4,VV[1520]))) { goto L28; }
     {
      cl_object v10;
      cl_object v11;
      cl_object v12asdf_parse_defsystem__subpath;
      cl_object v13;
      cl_object v14asdf_parse_defsystem__at;
      v10 = ecl_cdr(ECL_CONS_CAR(CLV0));
      v11 = v10;
      if (!(v11==ECL_NIL)) { goto L34; }
      si_dm_too_few_arguments(v10);
L34:;
      {
       cl_object v15;
       v15 = ecl_car(v11);
       v11 = ecl_cdr(v11);
       v12asdf_parse_defsystem__subpath = v15;
      }
      v13 = si_search_keyword(2, v11, VV[557]);
      if (!((v13)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L41; }
      v14asdf_parse_defsystem__at = ecl_make_fixnum(0);
      goto L40;
L41:;
      v14asdf_parse_defsystem__at = v13;
L40:;
      si_check_keyword(2, v11, VV[1519]);
      T0 = ecl_function_dispatch(cl_env_copy,VV[373])(2, ECL_CONS_CAR(CLV1), v12asdf_parse_defsystem__subpath) /*  SUBPATHNAME */;
      v3asdf_parse_defsystem__v = ecl_function_dispatch(cl_env_copy,VV[560])(3, T0, VV[557], v14asdf_parse_defsystem__at) /*  SAFE-READ-FILE-LINE */;
      goto L1;
     }
L28:;
     v3asdf_parse_defsystem__v = (aux_closure.env=env0,cl_env_copy->function=(cl_object)&aux_closure,LC971invalid(0));
     goto L1;
    }
L9:;
    v3asdf_parse_defsystem__v = (aux_closure.env=env0,cl_env_copy->function=(cl_object)&aux_closure,LC971invalid(0));
L1:;
    if (Null(v3asdf_parse_defsystem__v)) { goto L44; }
    {
     cl_object v4asdf_parse_defsystem__pv;
     v4asdf_parse_defsystem__pv = ecl_function_dispatch(cl_env_copy,VV[224])(2, v3asdf_parse_defsystem__v, v2) /*  PARSE-VERSION */;
     if (Null(v4asdf_parse_defsystem__pv)) { goto L47; }
     value0 = ecl_function_dispatch(cl_env_copy,VV[222])(1, v4asdf_parse_defsystem__pv) /*  UNPARSE-VERSION */;
     return value0;
L47:;
     value0 = (aux_closure.env=env0,cl_env_copy->function=(cl_object)&aux_closure,LC971invalid(0));
     return value0;
    }
L44:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      local function G5435                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC965__g5435(cl_object v1asdf_parse_defsystem__c, cl_object v2asdf_parse_defsystem__s)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[2579])(1, v1asdf_parse_defsystem__c) /*  NON-SYSTEM-SYSTEM-NAME */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[2580])(1, v1asdf_parse_defsystem__c) /*  NON-SYSTEM-SYSTEM-CLASS-NAME */;
  value0 = cl_format(5, v2asdf_parse_defsystem__s, VV[1503], T0, T1, VV[1072]);
  return value0;
 }
}
/*      local function G5437                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC967__g5437(cl_object v1asdf_parse_defsystem__c, cl_object v2asdf_parse_defsystem__s)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[2581])(1, v1asdf_parse_defsystem__c) /*  NON-TOPLEVEL-SYSTEM-PARENT */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[2582])(1, v1asdf_parse_defsystem__c) /*  NON-TOPLEVEL-SYSTEM-NAME */;
  value0 = cl_format(4, v2asdf_parse_defsystem__s, VV[1505], T0, T1);
  return value0;
 }
}
/*      closure INVALID-PARSE                                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC972invalid_parse(cl_narg narg, cl_object v1asdf_parse_defsystem__control, ...)
{
 volatile struct ecl_cclosure aux_closure;
 cl_object CLV0, CLV1, CLV2, CLV3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV3 = env0;                                     /*  PARENT          */
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_parse_defsystem__args;
  ecl_va_list args; ecl_va_start(args,v1asdf_parse_defsystem__control,narg,1);
  v2asdf_parse_defsystem__args = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object v3asdf_parse_defsystem__target;
   v3asdf_parse_defsystem__target = ecl_function_dispatch(cl_env_copy,VV[1167])(2, ECL_CONS_CAR(CLV3), ECL_CONS_CAR(CLV2)) /*  FIND-COMPONENT */;
   if (Null(v3asdf_parse_defsystem__target)) { goto L4; }
   if ((ecl_function_dispatch(cl_env_copy,VV[1641])(1, v3asdf_parse_defsystem__target) /*  BUILTIN-SYSTEM-P */)!=ECL_NIL) { goto L1; }
   goto L2;
L4:;
  }
L2:;
  cl_apply(3, ECL_SYM("WARN",903), v1asdf_parse_defsystem__control, v2asdf_parse_defsystem__args);
  value0 = (aux_closure.env=env0,cl_env_copy->function=(cl_object)&aux_closure,LC971invalid(0));
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
 }
}
/*      closure INVALID                                               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC971invalid(cl_narg narg, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV3 = env0;                                     /*  PARENT          */
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object v1asdf_parse_defsystem__continuation;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    v1asdf_parse_defsystem__continuation = VV[1513];
   } else {
    i++;
    v1asdf_parse_defsystem__continuation = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = (cl_env_copy->function=(ECL_SYM("WARN",903)->symbol.gfdef))->cfun.entry(6, VV[1514], ECL_CONS_CAR(CLV0), ECL_CONS_CAR(CLV2), ECL_CONS_CAR(CLV3), ECL_CONS_CAR(CLV1), v1asdf_parse_defsystem__continuation) /*  WARN */;
  return value0;
 }
 }
}
/*      function definition for %COMPUTE-+ASDF-METHODS+-VALUE         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L974_compute__asdf_methods__value()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[1522];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for %REMOVE-COMPONENT-INLINE-METHODS      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L976_remove_component_inline_methods(cl_object v1asdf_component_component)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = ecl_symbol_value(VV[1524]);
   goto L5;
L4:;
   {
    cl_object env1 = env0;
    T0 = ecl_car(v2);
    env1 = ECL_NIL;
    CLV0 = env1 = CONS(T0,env1);                  /*  NAME            */
    {
     cl_object v3;
     v3 = ecl_make_cclosure_va((cl_objectfn)LC975__g5470,env1,Cblock);
     T0 = v3;
    }
    T1 = ecl_function_dispatch(cl_env_copy,VV[2587])(1, v1asdf_component_component) /*  COMPONENT-INLINE-METHODS */;
    cl_map(3, ECL_NIL, T0, T1);
   }
   v2 = ecl_cdr(v2);
L5:;
   if (Null(v2)) { goto L12; }
   goto L4;
L12:;
  }
  ecl_function_dispatch(cl_env_copy,VV[2587])(1, v1asdf_component_component) /*  COMPONENT-INLINE-METHODS */;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for %DEFINE-COMPONENT-INLINE-METHODS      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L977_define_component_inline_methods(cl_object v1asdf_parse_defsystem__ret, cl_object v2rest)
{
 cl_object T0, T1, T2, T3, T4, T5, T6;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4asdf_parse_defsystem__key;
   cl_object v5asdf_parse_defsystem__value;
   {
    cl_object v6;
    v6 = v2rest;
    if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
    v3 = v6;
   }
   v4asdf_parse_defsystem__key = ECL_NIL;
   v5asdf_parse_defsystem__value = ECL_NIL;
   {
    cl_object v6asdf_component_name;
    v6asdf_component_name = ECL_NIL;
L7:;
    if (!(ECL_ATOM(v3))) { goto L9; }
    goto L8;
L9:;
    {
     cl_object v7;
     v7 = v3;
     v4asdf_parse_defsystem__key = ecl_car(v7);
     v7 = ecl_cdr(v7);
     v5asdf_parse_defsystem__value = ecl_car(v7);
    }
    {
     cl_object v7;
     v7 = ecl_cddr(v3);
     if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
     v3 = v7;
    }
    if (Null(cl_keywordp(v4asdf_parse_defsystem__key))) { goto L25; }
    {
     cl_object v7;
     cl_object v8;
     v7 = ecl_symbol_value(VV[1524]);
     v8 = si_make_seq_iterator(2, v7, ecl_make_fixnum(0));
L29:;
     if ((v8)!=ECL_NIL) { goto L31; }
     v6asdf_component_name = ECL_NIL;
     goto L23;
L31:;
     {
      cl_object v9;
      v9 = si_seq_iterator_ref(v7, v8);
      if (Null(ecl_function_dispatch(cl_env_copy,ECL_SYM("STRING=",822))(2, v4asdf_parse_defsystem__key, v9))) { goto L33; }
      v6asdf_component_name = v9;
      goto L23;
     }
L33:;
     v8 = si_seq_iterator_next(v7, v8);
     goto L29;
    }
L25:;
    v6asdf_component_name = ECL_NIL;
    goto L23;
L23:;
    if (Null(v6asdf_component_name)) { goto L38; }
    {
     cl_object v7;
     cl_object v8asdf_parse_defsystem__op;
     cl_object v9asdf_parse_defsystem__body;
     v7 = v5asdf_parse_defsystem__value;
     if (!(v7==ECL_NIL)) { goto L42; }
     si_dm_too_few_arguments(v5asdf_parse_defsystem__value);
L42:;
     {
      cl_object v10;
      v10 = ecl_car(v7);
      v7 = ecl_cdr(v7);
      v8asdf_parse_defsystem__op = v10;
     }
     v9asdf_parse_defsystem__body = v7;
     {
      cl_object v10asdf_parse_defsystem__arg;
      v10asdf_parse_defsystem__arg = ECL_NIL;
      {
       cl_object v11;
       cl_object v12;
       cl_object v13asdf_parse_defsystem__qualifiers;
       v11 = ecl_list1(ECL_NIL);
       v12 = v11;
       v13asdf_parse_defsystem__qualifiers = ECL_NIL;
L52:;
       {
        cl_object v14;
        v14 = v9asdf_parse_defsystem__body;
        {
         cl_object v15;
         v15 = v14;
         if (ecl_unlikely(!ECL_LISTP(v15))) FEtype_error_list(v15);
        }
        if (Null(v14)) { goto L60; }
        {
         cl_object v15;
         v15 = ECL_CONS_CDR(v14);
         v9asdf_parse_defsystem__body = v15;
         v14 = ECL_CONS_CAR(v14);
        }
L60:;
        v10asdf_parse_defsystem__arg = v14;
       }
       if (ECL_ATOM(v10asdf_parse_defsystem__arg)) { goto L66; }
       goto L53;
L66:;
       {
        cl_object v14;
        v14 = v12;
        if (ecl_unlikely(ECL_ATOM(v14))) FEtype_error_cons(v14);
        T0 = v14;
       }
       v12 = ecl_list1(v10asdf_parse_defsystem__arg);
       (ECL_CONS_CDR(T0)=v12,T0);
       v13asdf_parse_defsystem__qualifiers = ecl_cdr(v11);
       goto L52;
L53:;
       {
        cl_object v14;
        cl_object v15asdf_parse_defsystem__o;
        cl_object v16asdf_parse_defsystem__c;
        v14 = v10asdf_parse_defsystem__arg;
        if (!(v14==ECL_NIL)) { goto L79; }
        si_dm_too_few_arguments(v10asdf_parse_defsystem__arg);
L79:;
        {
         cl_object v17;
         v17 = ecl_car(v14);
         v14 = ecl_cdr(v14);
         v15asdf_parse_defsystem__o = v17;
        }
        if (!(v14==ECL_NIL)) { goto L85; }
        si_dm_too_few_arguments(v10asdf_parse_defsystem__arg);
L85:;
        {
         cl_object v17;
         v17 = ecl_car(v14);
         v14 = ecl_cdr(v14);
         v16asdf_parse_defsystem__c = v17;
        }
        if (Null(v14)) { goto L90; }
        si_dm_too_many_arguments(v10asdf_parse_defsystem__arg);
L90:;
        {
         cl_object v17;
         cl_object v18;
         T0 = cl_list(2, v15asdf_parse_defsystem__o, v8asdf_parse_defsystem__op);
         T1 = cl_list(2, ECL_SYM("EQL",334), v1asdf_parse_defsystem__ret);
         T2 = cl_list(2, v16asdf_parse_defsystem__c, T1);
         T3 = cl_list(2, T0, T2);
         T4 = CONS(T3,v9asdf_parse_defsystem__body);
         T5 = ecl_append(v13asdf_parse_defsystem__qualifiers,T4);
         T6 = cl_listX(3, ECL_SYM("DEFMETHOD",940), v6asdf_component_name, T5);
         v17 = cl_eval(T6);
         T0 = ecl_function_dispatch(cl_env_copy,VV[2587])(1, v1asdf_parse_defsystem__ret) /*  COMPONENT-INLINE-METHODS */;
         v18 = cl_adjoin(2, v17, T0);
         (cl_env_copy->function=ecl_fdefinition(VV[2588]))->cfun.entry(2, v18, v1asdf_parse_defsystem__ret) /*  (SETF COMPONENT-INLINE-METHODS) */;
        }
       }
      }
     }
    }
L38:;
    goto L7;
L8:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for %REFRESH-COMPONENT-INLINE-METHODS     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L978_refresh_component_inline_methods(cl_object v1asdf_component_component, cl_object v2rest)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_function_dispatch(cl_env_copy,VV[1525])(1, v1asdf_component_component) /*  %REMOVE-COMPONENT-INLINE-METHODS */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1526])(2, v1asdf_component_component, v2rest) /*  %DEFINE-COMPONENT-INLINE-METHODS */;
  return value0;
 }
}
/*      closure G5470                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC975__g5470(cl_narg narg, cl_object v1asdf_parse_defsystem__m, ...)
{
 cl_object T0;
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  NAME            */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  T0 = cl_symbol_function(ECL_CONS_CAR(CLV0));
  value0 = (cl_env_copy->function=(ECL_SYM("REMOVE-METHOD",964)->symbol.gfdef))->cfun.entry(2, T0, v1asdf_parse_defsystem__m) /*  REMOVE-METHOD */;
  return value0;
 }
 }
}
/*      function definition for PARSE-DEPENDENCY-DEF                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L979parse_dependency_def(cl_object v1asdf_parse_defsystem__dd)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_LISTP(v1asdf_parse_defsystem__dd))) { goto L1; }
  {
   cl_object v2;
   v2 = ecl_car(v1asdf_parse_defsystem__dd);
   if (!(ecl_eql(v2,VV[1176]))) { goto L4; }
   {
    cl_fixnum v3;
    v3 = ecl_length(v1asdf_parse_defsystem__dd);
    if ((v3)==(3)) { goto L6; }
   }
   ecl_function_dispatch(cl_env_copy,VV[1099])(2, VV[1529], v1asdf_parse_defsystem__dd) /*  SYSDEF-ERROR */;
L6:;
   {
    cl_object v3asdf_parse_defsystem__embedded;
    T0 = ecl_caddr(v1asdf_parse_defsystem__dd);
    v3asdf_parse_defsystem__embedded = ecl_function_dispatch(cl_env_copy,VV[1528])(1, T0) /*  PARSE-DEPENDENCY-DEF */;
    T0 = ecl_cadr(v1asdf_parse_defsystem__dd);
    value0 = cl_list(3, VV[1176], T0, v3asdf_parse_defsystem__embedded);
    return value0;
   }
L4:;
   if (!((v2)==(VV[1530]))) { goto L9; }
   value0 = ecl_function_dispatch(cl_env_copy,VV[1099])(2, VV[1531], v1asdf_parse_defsystem__dd) /*  SYSDEF-ERROR */;
   return value0;
L9:;
   if (!(ecl_eql(v2,VV[1354]))) { goto L11; }
   {
    cl_fixnum v4;
    v4 = ecl_length(v1asdf_parse_defsystem__dd);
    if ((v4)==(2)) { goto L13; }
   }
   ecl_function_dispatch(cl_env_copy,VV[1099])(2, VV[1532], v1asdf_parse_defsystem__dd) /*  SYSDEF-ERROR */;
L13:;
   value0 = v1asdf_parse_defsystem__dd;
   cl_env_copy->nvalues = 1;
   return value0;
L11:;
   if (!(ecl_eql(v2,ECL_SYM("VERSION",1338)))) { goto L15; }
   {
    cl_fixnum v4;
    v4 = ecl_length(v1asdf_parse_defsystem__dd);
    if ((v4)==(3)) { goto L17; }
   }
   ecl_function_dispatch(cl_env_copy,VV[1099])(2, VV[1533], v1asdf_parse_defsystem__dd) /*  SYSDEF-ERROR */;
L17:;
   T0 = ecl_cadr(v1asdf_parse_defsystem__dd);
   T1 = ecl_function_dispatch(cl_env_copy,VV[1100])(1, T0) /*  COERCE-NAME */;
   T2 = ecl_caddr(v1asdf_parse_defsystem__dd);
   value0 = cl_list(3, ECL_SYM("VERSION",1338), T1, T2);
   return value0;
L15:;
   value0 = ecl_function_dispatch(cl_env_copy,VV[1099])(2, VV[1534], v1asdf_parse_defsystem__dd) /*  SYSDEF-ERROR */;
   return value0;
  }
L1:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1100])(1, v1asdf_parse_defsystem__dd) /*  COERCE-NAME */;
  return value0;
 }
}
/*      function definition for PARSE-DEPENDENCY-DEFS                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L980parse_dependency_defs(cl_object v1asdf_parse_defsystem__dd_list)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   cl_object v3;
   v2 = ECL_NIL;
   {
    cl_object v4;
    v4 = v1asdf_parse_defsystem__dd_list;
    if (ecl_unlikely(!ECL_LISTP(v4))) FEtype_error_list(v4);
    v3 = v4;
   }
   {
    cl_object v4;
    cl_object v5;
    v4 = ecl_list1(ECL_NIL);
    v5 = v4;
L7:;
    if (!(ecl_endp(v3))) { goto L9; }
    goto L8;
L9:;
    v2 = _ecl_car(v3);
    {
     cl_object v6;
     v6 = _ecl_cdr(v3);
     if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
     v3 = v6;
    }
    {
     cl_object v6;
     v6 = v5;
     if (ecl_unlikely(ECL_ATOM(v6))) FEtype_error_cons(v6);
     T0 = v6;
    }
    T1 = ecl_function_dispatch(cl_env_copy,VV[1528])(1, v2);
    v5 = ecl_list1(T1);
    (ECL_CONS_CDR(T0)=v5,T0);
    goto L7;
L8:;
    value0 = ecl_cdr(v4);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for PARSE-COMPONENT-FORM                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L982parse_component_form(cl_narg narg, cl_object v1asdf_component_parent, cl_object v2asdf_parse_defsystem__options, ...)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3asdf_parse_defsystem__previous_serial_component;
  ecl_va_list args; ecl_va_start(args,v2asdf_parse_defsystem__options,narg,2);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L982parse_component_formkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v3asdf_parse_defsystem__previous_serial_component = keyvars[0];
  }
  {
   cl_object v4;
   cl_object v5type;
   cl_object v6asdf_component_name;
   cl_object v7;
   cl_object v8asdf_parse_defsystem__bspp;
   cl_object v9;
   cl_object v10asdf_component_components;
   cl_object v11;
   cl_object v12pathname;
   cl_object v13;
   cl_object v14;
   cl_object v15;
   cl_object v16;
   cl_object v17;
   cl_object v18asdf_system__weakly_depends_on;
   cl_object v19;
   cl_object v20asdf_system__depends_on;
   cl_object v21;
   cl_object v22asdf_parse_defsystem__serial;
   cl_object v23;
   cl_object v24asdf_parse_defsystem__do_first;
   cl_object v25;
   cl_object v26asdf_parse_defsystem__if_component_dep_fails;
   cl_object v27;
   cl_object v28asdf_component_version;
   v4 = v2asdf_parse_defsystem__options;
   if (!(v4==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v2asdf_parse_defsystem__options);
L3:;
   {
    cl_object v29;
    v29 = ecl_car(v4);
    v4 = ecl_cdr(v4);
    v5type = v29;
   }
   if (!(v4==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v2asdf_parse_defsystem__options);
L9:;
   {
    cl_object v29;
    v29 = ecl_car(v4);
    v4 = ecl_cdr(v4);
    v6asdf_component_name = v29;
   }
   v7 = si_search_keyword(2, v4, VV[1537]);
   {
    bool v29;
    v29 = (v7)==(ECL_SYM("MISSING-KEYWORD",1955));
    v8asdf_parse_defsystem__bspp = (v29)?ECL_NIL:ECL_T;
   }
   v9 = si_search_keyword(2, v4, VV[1538]);
   if (!((v9)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L18; }
   v10asdf_component_components = ECL_NIL;
   goto L17;
L18:;
   v10asdf_component_components = v9;
L17:;
   v11 = si_search_keyword(2, v4, ECL_SYM("PATHNAME",1297));
   if (!((v11)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L22; }
   v12pathname = ECL_NIL;
   goto L21;
L22:;
   v12pathname = v11;
L21:;
   v13 = si_search_keyword(2, v4, VV[1539]);
   v14 = si_search_keyword(2, v4, VV[1540]);
   v15 = si_search_keyword(2, v4, VV[1541]);
   v16 = si_search_keyword(2, v4, VV[1542]);
   v17 = si_search_keyword(2, v4, VV[1543]);
   if (!((v17)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L30; }
   v18asdf_system__weakly_depends_on = ECL_NIL;
   goto L29;
L30:;
   v18asdf_system__weakly_depends_on = v17;
L29:;
   v19 = si_search_keyword(2, v4, VV[1544]);
   if (!((v19)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L34; }
   v20asdf_system__depends_on = ECL_NIL;
   goto L33;
L34:;
   v20asdf_system__depends_on = v19;
L33:;
   v21 = si_search_keyword(2, v4, VV[1545]);
   if (!((v21)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L38; }
   v22asdf_parse_defsystem__serial = ECL_NIL;
   goto L37;
L38:;
   v22asdf_parse_defsystem__serial = v21;
L37:;
   v23 = si_search_keyword(2, v4, VV[1546]);
   if (!((v23)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L42; }
   v24asdf_parse_defsystem__do_first = ECL_NIL;
   goto L41;
L42:;
   v24asdf_parse_defsystem__do_first = v23;
L41:;
   v25 = si_search_keyword(2, v4, VV[1547]);
   if (!((v25)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L46; }
   v26asdf_parse_defsystem__if_component_dep_fails = ECL_NIL;
   goto L45;
L46:;
   v26asdf_parse_defsystem__if_component_dep_fails = v25;
L45:;
   v27 = si_search_keyword(2, v4, ECL_SYM("VERSION",1338));
   if (!((v27)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L50; }
   v28asdf_component_version = ECL_NIL;
   goto L49;
L50:;
   v28asdf_component_version = v27;
L49:;
   si_check_keyword(3, v4, VV[1548], ECL_T);
   ecl_function_dispatch(cl_env_copy,VV[1508])(5, v5type, v6asdf_component_name, v18asdf_system__weakly_depends_on, v20asdf_system__depends_on, v10asdf_component_components) /*  CHECK-COMPONENT-INPUT */;
   if (Null(v1asdf_component_parent)) { goto L54; }
   if (Null(ecl_function_dispatch(cl_env_copy,VV[1167])(2, v1asdf_component_parent, v6asdf_component_name) /*  FIND-COMPONENT */)) { goto L54; }
   T0 = ecl_function_dispatch(cl_env_copy,VV[1167])(2, v1asdf_component_parent, v6asdf_component_name) /*  FIND-COMPONENT */;
   T1 = ecl_function_dispatch(cl_env_copy,VV[1500])(2, v1asdf_component_parent, v5type) /*  CLASS-FOR-TYPE */;
   if ((cl_typep(2, T0, T1))!=ECL_NIL) { goto L54; }
   cl_error(3, VV[1040], ECL_SYM("NAME",1285), v6asdf_component_name);
L54:;
   if (Null(v24asdf_parse_defsystem__do_first)) { goto L58; }
   cl_error(1, VV[1549]);
L58:;
   {
    cl_object v29asdf_component_name;
    cl_object v30asdf_parse_defsystem__args;
    cl_object v31asdf_component_component;
    cl_object v32class;
    v29asdf_component_name = ecl_function_dispatch(cl_env_copy,VV[1100])(1, v6asdf_component_name) /*  COERCE-NAME */;
    if (Null(v1asdf_component_parent)) { goto L63; }
    T0 = cl_list(2, VV[1550], v1asdf_component_parent);
    goto L62;
L63:;
    T0 = ECL_NIL;
L62:;
    T1 = ecl_function_dispatch(cl_env_copy,VV[163])(2, VV[1551], v4) /*  REMOVE-PLIST-KEYS */;
    T2 = ecl_append(T0,T1);
    v30asdf_parse_defsystem__args = cl_listX(5, ECL_SYM("NAME",1285), v29asdf_component_name, ECL_SYM("PATHNAME",1297), v12pathname, T2);
    v31asdf_component_component = ecl_function_dispatch(cl_env_copy,VV[1167])(2, v1asdf_component_parent, v29asdf_component_name) /*  FIND-COMPONENT */;
    v32class = ecl_function_dispatch(cl_env_copy,VV[1500])(2, v1asdf_component_parent, v5type) /*  CLASS-FOR-TYPE */;
    if (Null(v1asdf_component_parent)) { goto L67; }
    if (Null(cl_subtypep(2, v32class, VV[1072]))) { goto L67; }
    cl_error(5, VV[1504], VV[1550], v1asdf_component_parent, ECL_SYM("NAME",1285), v29asdf_component_name);
L67:;
    if (Null(v31asdf_component_component)) { goto L71; }
    cl_apply(3, ECL_SYM("REINITIALIZE-INSTANCE",963), v31asdf_component_component, v30asdf_parse_defsystem__args);
    goto L70;
L71:;
    v31asdf_component_component = cl_apply(3, ECL_SYM("MAKE-INSTANCE",949), v32class, v30asdf_parse_defsystem__args);
L70:;
    ecl_function_dispatch(cl_env_copy,VV[1031])(1, v31asdf_component_component) /*  COMPONENT-PATHNAME */;
    if (Null(si_of_class_p(2, v31asdf_component_component, VV[1072]))) { goto L75; }
    {
     cl_object v33;
     v33 = ecl_function_dispatch(cl_env_copy,VV[1535])(1, v20asdf_system__depends_on) /*  PARSE-DEPENDENCY-DEFS */;
     (cl_env_copy->function=ECL_CONS_CAR(VV[2231]))->cfun.entry(3, v33, v31asdf_component_component, VV[1552]) /*  (SETF SLOT-VALUE) */;
    }
    {
     cl_object v33;
     {
      cl_object v34;
      cl_object v35;
      v34 = ECL_NIL;
      {
       cl_object v36;
       v36 = v18asdf_system__weakly_depends_on;
       if (ecl_unlikely(!ECL_LISTP(v36))) FEtype_error_list(v36);
       v35 = v36;
      }
      {
       cl_object v36;
       cl_object v37;
       v36 = ecl_list1(ECL_NIL);
       v37 = v36;
L86:;
       if (!(ecl_endp(v35))) { goto L88; }
       goto L87;
L88:;
       v34 = _ecl_car(v35);
       {
        cl_object v38;
        v38 = _ecl_cdr(v35);
        if (ecl_unlikely(!ECL_LISTP(v38))) FEtype_error_list(v38);
        v35 = v38;
       }
       {
        cl_object v38;
        v38 = v37;
        if (ecl_unlikely(ECL_ATOM(v38))) FEtype_error_cons(v38);
        T0 = v38;
       }
       T1 = ecl_function_dispatch(cl_env_copy,VV[1100])(1, v34);
       v37 = ecl_list1(T1);
       (ECL_CONS_CDR(T0)=v37,T0);
       goto L86;
L87:;
       v33 = ecl_cdr(v36);
       goto L79;
      }
     }
L79:;
     (cl_env_copy->function=ECL_CONS_CAR(VV[2231]))->cfun.entry(3, v33, v31asdf_component_component, VV[1553]) /*  (SETF SLOT-VALUE) */;
    }
L75:;
    {
     cl_object v33asdf_parse_defsystem__sysfile;
     T0 = ecl_function_dispatch(cl_env_copy,VV[1030])(1, v31asdf_component_component) /*  COMPONENT-SYSTEM */;
     v33asdf_parse_defsystem__sysfile = ecl_function_dispatch(cl_env_copy,VV[1068])(1, T0) /*  SYSTEM-SOURCE-FILE */;
     if (Null(si_of_class_p(2, v31asdf_component_component, VV[1072]))) { goto L106; }
     if ((v8asdf_parse_defsystem__bspp)!=ECL_NIL) { goto L106; }
     {
      cl_object v34;
      v34 = ecl_function_dispatch(cl_env_copy,VV[480])(1, v33asdf_parse_defsystem__sysfile) /*  LISP-IMPLEMENTATION-PATHNAME-P */;
      (cl_env_copy->function=ecl_fdefinition(VV[2594]))->cfun.entry(2, v34, v31asdf_component_component) /*  (SETF BUILTIN-SYSTEM-P) */;
     }
L106:;
     v28asdf_component_version = ecl_function_dispatch(cl_env_copy,VV[1512])(7, v28asdf_component_version, VV[1554], v29asdf_component_name, VV[1550], v1asdf_component_parent, ECL_SYM("PATHNAME",1297), v33asdf_parse_defsystem__sysfile) /*  NORMALIZE-VERSION */;
    }
    (cl_env_copy->function=ECL_CONS_CAR(VV[2231]))->cfun.entry(3, v28asdf_component_version, v31asdf_component_component, VV[1064]) /*  (SETF SLOT-VALUE) */;
    if (Null(si_of_class_p(2, v31asdf_component_component, VV[1054]))) { goto L112; }
    {
     cl_object v33;
     {
      cl_object v34asdf_parse_defsystem__previous_component;
      v34asdf_parse_defsystem__previous_component = ECL_NIL;
      {
       cl_object v35asdf_parse_defsystem__c_form;
       cl_object v36;
       v35asdf_parse_defsystem__c_form = ECL_NIL;
       {
        cl_object v37;
        v37 = v10asdf_component_components;
        if (ecl_unlikely(!ECL_LISTP(v37))) FEtype_error_list(v37);
        v36 = v37;
       }
       {
        cl_object v37asdf_parse_defsystem__c;
        v37asdf_parse_defsystem__c = ECL_NIL;
        {
         cl_object v38asdf_component_name;
         v38asdf_component_name = ECL_NIL;
         {
          cl_object v39;
          cl_object v40;
          v39 = ecl_list1(ECL_NIL);
          v40 = v39;
L125:;
          if (!(ecl_endp(v36))) { goto L127; }
          goto L126;
L127:;
          v35asdf_parse_defsystem__c_form = _ecl_car(v36);
          {
          cl_object v41;
          v41 = _ecl_cdr(v36);
          if (ecl_unlikely(!ECL_LISTP(v41))) FEtype_error_list(v41);
          v36 = v41;
          }
          v37asdf_parse_defsystem__c = ecl_function_dispatch(cl_env_copy,VV[1536])(4, v31asdf_component_component, v35asdf_parse_defsystem__c_form, VV[1555], v34asdf_parse_defsystem__previous_component) /*  PARSE-COMPONENT-FORM */;
          v38asdf_component_name = ecl_function_dispatch(cl_env_copy,VV[1029])(1, v37asdf_parse_defsystem__c) /*  COMPONENT-NAME */;
          {
          cl_object v41;
          v41 = v40;
          if (ecl_unlikely(ECL_ATOM(v41))) FEtype_error_cons(v41);
          T0 = v41;
          }
          v40 = ecl_list1(v37asdf_parse_defsystem__c);
          (ECL_CONS_CDR(T0)=v40,T0);
          if (Null(v22asdf_parse_defsystem__serial)) { goto L144; }
          v34asdf_parse_defsystem__previous_component = v38asdf_component_name;
L144:;
          goto L125;
L126:;
          v33 = ecl_cdr(v39);
          goto L115;
         }
        }
       }
      }
     }
L115:;
     (cl_env_copy->function=ecl_fdefinition(VV[2595]))->cfun.entry(2, v33, v31asdf_component_component) /*  (SETF COMPONENT-CHILDREN) */;
    }
    ecl_function_dispatch(cl_env_copy,VV[1055])(1, v31asdf_component_component) /*  COMPUTE-CHILDREN-BY-NAME */;
L112:;
    if (Null(v3asdf_parse_defsystem__previous_serial_component)) { goto L149; }
    v20asdf_system__depends_on = CONS(v3asdf_parse_defsystem__previous_serial_component,v20asdf_system__depends_on);
L149:;
    if (Null(v18asdf_system__weakly_depends_on)) { goto L152; }
    {
     cl_object v33;
     {
      cl_object v34;
      v34 = ecl_make_cfun((cl_objectfn_fixed)LC981__g5697,ECL_NIL,Cblock,1);
      T0 = v34;
     }
     T1 = cl_complement(T0);
     v33 = cl_remove_if(2, T1, v18asdf_system__weakly_depends_on);
     v20asdf_system__depends_on = ecl_append(v20asdf_system__depends_on,v33);
    }
L152:;
    (cl_env_copy->function=ecl_fdefinition(VV[2596]))->cfun.entry(2, v20asdf_system__depends_on, v31asdf_component_component) /*  (SETF COMPONENT-SIDEWAY-DEPENDENCIES) */;
    ecl_function_dispatch(cl_env_copy,VV[1527])(2, v31asdf_component_component, v4) /*  %REFRESH-COMPONENT-INLINE-METHODS */;
    if (Null(v26asdf_parse_defsystem__if_component_dep_fails)) { goto L159; }
    T0 = ecl_function_dispatch(cl_env_copy,VV[1030])(1, v31asdf_component_component) /*  COMPONENT-SYSTEM */;
    T1 = ecl_function_dispatch(cl_env_copy,VV[1100])(1, T0) /*  COERCE-NAME */;
    cl_error(2, VV[1556], T1);
L159:;
    value0 = v31asdf_component_component;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for REGISTER-SYSTEM-DEFINITION            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L984register_system_definition(cl_narg narg, cl_object v1asdf_component_name, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_parse_defsystem__options;
  ecl_va_list args; ecl_va_start(args,v1asdf_component_name,narg,1);
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1asdf_component_name,env0); /*  NAME            */
  {
   cl_object keyvars[8];
   cl_parse_key(args,4,L984register_system_definitionkeys,keyvars,(cl_object*)&v2asdf_parse_defsystem__options,TRUE);
   CLV1 = env0 = CONS(v2asdf_parse_defsystem__options,env0); /*  OPTIONS */
   ecl_va_end(args);
   CLV2 = env0 = CONS(keyvars[0],env0);           /*  PATHNAME        */
   if (Null(keyvars[5])) {
    CLV3 = env0 = CONS(VV[1072],env0);            /*  CLASS           */
   } else {
    CLV3 = env0 = CONS(keyvars[1],env0);          /*  CLASS           */
   }
   CLV4 = env0 = CONS(keyvars[2],env0);           /*  SOURCE-FILE     */
   CLV5 = env0 = CONS(keyvars[6],env0);           /*  SFP             */
   CLV6 = env0 = CONS(keyvars[3],env0);           /*  DEFSYSTEM-DEPENDS-ON */
  }
  {
   cl_object v3;
   v3 = ecl_make_cclosure_va((cl_objectfn)LC983__g5708,env0,Cblock);
   T0 = v3;
  }
  value0 = ecl_function_dispatch(cl_env_copy,VV[1082])(5, T0, VV[1088], ECL_NIL, ECL_SYM("KEY",1274), ECL_NIL) /*  CALL-WITH-ASDF-CACHE */;
  return value0;
 }
}
/*      local function DEFSYSTEM                                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC985defsystem(cl_object v1, cl_object v2)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4asdf_component_name;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4asdf_component_name = v5;
   }
   T0 = cl_list(2, ECL_SYM("QUOTE",679), v4asdf_component_name);
   T1 = cl_list(2, ECL_SYM("QUOTE",679), v3);
   value0 = cl_list(4, ECL_SYM("APPLY",89), VV[1562], T0, T1);
   return value0;
  }
 }
}
/*      local function G5697                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC981__g5697(cl_object v1asdf_parse_defsystem__x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[1067])(2, v1asdf_parse_defsystem__x, ECL_NIL) /*  FIND-SYSTEM */;
  return value0;
 }
}
/*      closure G5708                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC983__g5708(cl_narg narg, ...)
{
 cl_object T0, T1;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV6 = env0;                                     /*  DEFSYSTEM-DEPENDS-ON */
 CLV5 = _ecl_cdr(CLV6);
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  {
   cl_object v1asdf_component_name;
   cl_object v2asdf_component_source_file;
   cl_object v3asdf_parse_defsystem__checked_defsystem_depends_on;
   cl_object v4asdf_parse_defsystem__registered;
   cl_object v5asdf_parse_defsystem__registered_;
   cl_object v6asdf_system_system;
   cl_object v7asdf_parse_defsystem__component_options;
   v1asdf_component_name = ecl_function_dispatch(cl_env_copy,VV[1100])(1, ECL_CONS_CAR(CLV0)) /*  COERCE-NAME */;
   if (Null(ECL_CONS_CAR(CLV5))) { goto L3; }
   v2asdf_component_source_file = ECL_CONS_CAR(CLV4);
   goto L2;
L3:;
   T0 = ecl_function_dispatch(cl_env_copy,VV[874])(0) /*  LOAD-PATHNAME */;
   v2asdf_component_source_file = ecl_function_dispatch(cl_env_copy,VV[433])(1, T0) /*  RESOLVE-SYMLINKS* */;
L2:;
   {
    cl_object v8asdf_parse_defsystem__dep_forms;
    cl_object v9asdf_parse_defsystem__deps;
    v8asdf_parse_defsystem__dep_forms = ecl_function_dispatch(cl_env_copy,VV[1535])(1, ECL_CONS_CAR(CLV6)) /*  PARSE-DEPENDENCY-DEFS */;
    {
     cl_object v10asdf_parse_defsystem__spec;
     cl_object v11;
     v10asdf_parse_defsystem__spec = ECL_NIL;
     {
      cl_object v12;
      v12 = v8asdf_parse_defsystem__dep_forms;
      if (ecl_unlikely(!ECL_LISTP(v12))) FEtype_error_list(v12);
      v11 = v12;
     }
     {
      cl_object v12;
      v12 = ECL_NIL;
      {
       cl_object v13;
       cl_object v14;
       v13 = ecl_list1(ECL_NIL);
       v14 = v13;
L15:;
       if (!(ecl_endp(v11))) { goto L17; }
       goto L16;
L17:;
       v10asdf_parse_defsystem__spec = _ecl_car(v11);
       {
        cl_object v15;
        v15 = _ecl_cdr(v11);
        if (ecl_unlikely(!ECL_LISTP(v15))) FEtype_error_list(v15);
        v11 = v15;
       }
       v12 = ecl_function_dispatch(cl_env_copy,VV[1174])(2, ECL_NIL, v10asdf_parse_defsystem__spec) /*  RESOLVE-DEPENDENCY-SPEC */;
       if (Null(v12)) { goto L25; }
       {
        cl_object v15;
        v15 = v14;
        if (ecl_unlikely(ECL_ATOM(v15))) FEtype_error_cons(v15);
        T0 = v15;
       }
       v14 = ecl_list1(v12);
       (ECL_CONS_CDR(T0)=v14,T0);
L25:;
       goto L15;
L16:;
       v9asdf_parse_defsystem__deps = ecl_cdr(v13);
       goto L7;
      }
     }
    }
L7:;
    ecl_function_dispatch(cl_env_copy,VV[1344])(1, v9asdf_parse_defsystem__deps) /*  LOAD-SYSTEMS* */;
    v3asdf_parse_defsystem__checked_defsystem_depends_on = v8asdf_parse_defsystem__dep_forms;
   }
   v4asdf_parse_defsystem__registered = ecl_function_dispatch(cl_env_copy,VV[1106])(1, v1asdf_component_name) /*  SYSTEM-REGISTERED-P */;
   if (Null(v4asdf_parse_defsystem__registered)) { goto L37; }
   {
    cl_object v8;
    v8 = v4asdf_parse_defsystem__registered;
    if (ecl_unlikely(ECL_ATOM(v8))) FEtype_error_cons(v8);
    T0 = v8;
   }
   T1 = ecl_function_dispatch(cl_env_copy,VV[1094])(1, v2asdf_component_source_file) /*  GET-FILE-STAMP */;
   v5asdf_parse_defsystem__registered_ = (ECL_CONS_CAR(T0)=T1,T0);
   goto L36;
L37:;
   T0 = (cl_env_copy->function=(ECL_SYM("MAKE-INSTANCE",949)->symbol.gfdef))->cfun.entry(5, VV[1072], ECL_SYM("NAME",1285), v1asdf_component_name, VV[1116], v2asdf_component_source_file) /*  MAKE-INSTANCE */;
   v5asdf_parse_defsystem__registered_ = ecl_function_dispatch(cl_env_copy,VV[1110])(1, T0) /*  REGISTER-SYSTEM */;
L36:;
   T0 = ecl_cdr(v5asdf_parse_defsystem__registered_);
   v6asdf_system_system = ecl_function_dispatch(cl_env_copy,VV[1073])(5, T0, ECL_SYM("NAME",1285), v1asdf_component_name, VV[1116], v2asdf_component_source_file) /*  RESET-SYSTEM */;
   T0 = ecl_function_dispatch(cl_env_copy,VV[163])(2, VV[1558], ECL_CONS_CAR(CLV1)) /*  REMOVE-PLIST-KEYS */;
   if (Null(v3asdf_parse_defsystem__checked_defsystem_depends_on)) { goto L45; }
   T1 = cl_list(2, VV[1559], v3asdf_parse_defsystem__checked_defsystem_depends_on);
   goto L44;
L45:;
   T1 = ECL_NIL;
L44:;
   v7asdf_parse_defsystem__component_options = ecl_append(T0,T1);
   T0 = cl_list(2, VV[1067], v1asdf_component_name);
   T1 = ecl_list1(v6asdf_system_system);
   ecl_function_dispatch(cl_env_copy,VV[1078])(2, T0, T1) /*  SET-ASDF-CACHE-ENTRY */;
   {
    cl_object v8class;
    v8class = ecl_function_dispatch(cl_env_copy,VV[1500])(2, ECL_NIL, ECL_CONS_CAR(CLV3)) /*  CLASS-FOR-TYPE */;
    if ((cl_subtypep(2, v8class, VV[1072]))!=ECL_NIL) { goto L50; }
    T0 = (cl_env_copy->function=(ECL_SYM("CLASS-NAME",934)->symbol.gfdef))->cfun.entry(1, v8class) /*  CLASS-NAME */;
    cl_error(5, VV[1502], ECL_SYM("NAME",1285), v1asdf_component_name, VV[1560], T0);
L50:;
    T0 = cl_type_of(v6asdf_system_system);
    if ((T0)==(v8class)) { goto L48; }
    (cl_env_copy->function=(ECL_SYM("CHANGE-CLASS",932)->symbol.gfdef))->cfun.entry(2, v6asdf_system_system, v8class) /*  CHANGE-CLASS */;
   }
L48:;
   T0 = ecl_function_dispatch(cl_env_copy,VV[1497])(1, ECL_CONS_CAR(CLV2)) /*  DETERMINE-SYSTEM-DIRECTORY */;
   T1 = cl_listX(5, VV[1561], v1asdf_component_name, ECL_SYM("PATHNAME",1297), T0, v7asdf_parse_defsystem__component_options);
   value0 = ecl_function_dispatch(cl_env_copy,VV[1536])(2, ECL_NIL, T1) /*  PARSE-COMPONENT-FORM */;
   return value0;
  }
 }
 }
}
/*      local function G5722                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC986__g5722(cl_object v1asdf_bundle__x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G5723                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC987__g5723(cl_object v1asdf_bundle__x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G5724                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC988__g5724(cl_object v1asdf_bundle__x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G5725                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC989__g5725(cl_object v1asdf_bundle__x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G5726                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC990__g5726(cl_object v1asdf_bundle__x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G5727                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC991__g5727(cl_object v1asdf_bundle__x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G5728                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC992__g5728(cl_object v1asdf_bundle__x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for OPERATION-MONOLITHIC-P                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L993operation_monolithic_p(cl_object v1asdf_bundle__op)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = si_of_class_p(2, v1asdf_bundle__op, VV[1565]);
  return value0;
 }
}
/*      local function G5729                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC994__g5729(cl_object v1asdf_bundle__o, cl_object v2asdf_bundle__s)
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3asdf_bundle__mono;
   cl_object v4go;
   cl_object v5asdf_bundle__bundle_p;
   cl_object v6asdf_bundle__component_type;
   cl_object v7asdf_bundle__keep_component;
   cl_object v8asdf_bundle__deps;
   v3asdf_bundle__mono = ecl_function_dispatch(cl_env_copy,VV[1577])(1, v1asdf_bundle__o) /*  OPERATION-MONOLITHIC-P */;
   value0 = ecl_function_dispatch(cl_env_copy,VV[1576])(1, v1asdf_bundle__o) /*  GATHER-OP */;
   if ((value0)!=ECL_NIL) { goto L5; }
   T0 = VV[1258];
   goto L3;
L5:;
   T0 = value0;
   goto L3;
L3:;
   v4go = ecl_function_dispatch(cl_env_copy,VV[1181])(1, T0) /*  MAKE-OPERATION */;
   v5asdf_bundle__bundle_p = si_of_class_p(2, v4go, VV[1564]);
   if (Null(v3asdf_bundle__mono)) { goto L9; }
   if (Null(v5asdf_bundle__bundle_p)) { goto L11; }
   v6asdf_bundle__component_type = VV[1072];
   goto L8;
L11:;
   v6asdf_bundle__component_type = ECL_T;
   goto L8;
L9:;
   v6asdf_bundle__component_type = VV[1578];
L8:;
   if (Null(v5asdf_bundle__bundle_p)) { goto L14; }
   v7asdf_bundle__keep_component = VV[1072];
   goto L13;
L14:;
   v7asdf_bundle__keep_component = VV[1578];
L13:;
   T0 = ecl_function_dispatch(cl_env_copy,VV[1184])(2, v1asdf_bundle__o, VV[1257]) /*  FIND-OPERATION */;
   v8asdf_bundle__deps = ecl_function_dispatch(cl_env_copy,VV[1190])(11, v2asdf_bundle__s, VV[1579], v3asdf_bundle__mono, VV[1580], v6asdf_bundle__component_type, VV[1581], v7asdf_bundle__keep_component, VV[1335], T0, VV[1582], VV[1255]) /*  REQUIRED-COMPONENTS */;
   T0 = CONS(v4go,v8asdf_bundle__deps);
   if (Null(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)))) { goto L18; }
   T2 = ecl_car(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
   T3 = ecl_cdr(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
   T1 = ecl_function_dispatch(cl_env_copy,T2)(2, ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1491)), T3);
   goto L17;
L18:;
   T1 = cl_error(1, VV[1076]);
L17:;
   value0 = CONS(T0,T1);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for BUNDLE-PATHNAME-TYPE                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L995bundle_pathname_type(cl_object v1bundle_type)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (v1bundle_type==ECL_NIL) { goto L3; }
  if (!(ECL_STRINGP(v1bundle_type))) { goto L1; }
  goto L2;
L3:;
L2:;
  value0 = v1bundle_type;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (Null(cl_typep(2, v1bundle_type, VV[1598]))) { goto L5; }
  value0 = cl_error(1, VV[1599]);
  return value0;
L5:;
  if (Null(cl_typep(2, v1bundle_type, VV[1600]))) { goto L7; }
  value0 = VV[1601];
  cl_env_copy->nvalues = 1;
  return value0;
L7:;
  if (!(ecl_eql(v1bundle_type,VV[651]))) { goto L9; }
  value0 = VV[1602];
  cl_env_copy->nvalues = 1;
  return value0;
L9:;
  if (Null(cl_typep(2, v1bundle_type, VV[1603]))) { goto L12; }
  value0 = VV[1604];
  cl_env_copy->nvalues = 1;
  return value0;
L12:;
  if (!(ecl_eql(v1bundle_type,VV[1605]))) { goto L19; }
  goto L16;
  goto L17;
L19:;
  goto L17;
L17:;
  if (!(ecl_eql(v1bundle_type,VV[1607]))) { goto L14; }
  goto L15;
L16:;
L15:;
  value0 = VV[1609];
  cl_env_copy->nvalues = 1;
  return value0;
L14:;
  if (!(ecl_eql(v1bundle_type,VV[1610]))) { goto L27; }
  goto L24;
  goto L25;
L27:;
  goto L25;
L25:;
  if (!(ecl_eql(v1bundle_type,VV[1612]))) { goto L22; }
  goto L23;
L24:;
L23:;
  value0 = VV[1614];
  cl_env_copy->nvalues = 1;
  return value0;
L22:;
  if (Null(cl_typep(2, v1bundle_type, VV[1615]))) { goto L30; }
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L30:;
  value0 = si_etypecase_error(v1bundle_type, VV[1616]);
  return value0;
 }
}
/*      function definition for BUNDLE-OUTPUT-FILES                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L996bundle_output_files(cl_object v1asdf_bundle__o, cl_object v2asdf_bundle__c)
{
 cl_object T0, T1, T2, T3, T4, T5;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3bundle_type;
   v3bundle_type = ecl_function_dispatch(cl_env_copy,VV[2604])(1, v1asdf_bundle__o) /*  BUNDLE-TYPE */;
   if ((v3bundle_type)==(VV[1618])) { goto L2; }
   T0 = ecl_function_dispatch(cl_env_copy,VV[1231])(2, v1asdf_bundle__o, v2asdf_bundle__c) /*  INPUT-FILES */;
   if (!(T0==ECL_NIL)) { goto L6; }
   if (!(ecl_eql(v3bundle_type,VV[651]))) { goto L11; }
   goto L8;
   goto L9;
L11:;
   goto L9;
L9:;
   if (!(ecl_eql(v3bundle_type,VV[653]))) { goto L2; }
   goto L3;
L8:;
   goto L3;
L6:;
   goto L3;
L3:;
   {
    cl_object v4;
    cl_object v5;
    value0 = ecl_function_dispatch(cl_env_copy,VV[1069])(1, v2asdf_bundle__c) /*  COMPONENT-BUILD-PATHNAME */;
    if ((value0)!=ECL_NIL) { goto L16; }
    T0 = ecl_function_dispatch(cl_env_copy,VV[1029])(1, v2asdf_bundle__c) /*  COMPONENT-NAME */;
    T1 = cl_slot_value(v1asdf_bundle__o, VV[1621]);
    v4 = cl_format(4, ECL_NIL, VV[1620], T0, T1);
    goto L14;
L16:;
    v4 = value0;
    goto L14;
L14:;
    v5 = ecl_function_dispatch(cl_env_copy,VV[1597])(1, v3bundle_type) /*  BUNDLE-PATHNAME-TYPE */;
    T0 = ecl_function_dispatch(cl_env_copy,VV[1031])(1, v2asdf_bundle__c) /*  COMPONENT-PATHNAME */;
    T1 = ecl_function_dispatch(cl_env_copy,VV[373])(4, T0, v4, ECL_SYM("TYPE",1330), v5) /*  SUBPATHNAME */;
    T2 = ecl_list1(T1);
    T3 = cl_class_of(v1asdf_bundle__o);
    T4 = ecl_function_dispatch(cl_env_copy,VV[2495])(1, v2asdf_bundle__c) /*  COMPONENT-BUILD-OPERATION */;
    T5 = ecl_function_dispatch(cl_env_copy,VV[215])(7, T4, ECL_SYM("PACKAGE",1296), VV[1182], VV[1183], VV[1177], ECL_SYM("ERROR",1239), ECL_NIL) /*  COERCE-CLASS */;
    {
     bool v6;
     v6 = (T3)==(T5);
     cl_env_copy->nvalues = 2;
     cl_env_copy->values[1] = ecl_make_bool(v6);
     cl_env_copy->values[0] = T2;
     return cl_env_copy->values[0];
    }
   }
L2:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G5740                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC997__g5740(cl_object v1asdf_bundle__o, cl_object v2asdf_bundle__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[1617])(2, v1asdf_bundle__o, v2asdf_bundle__c) /*  BUNDLE-OUTPUT-FILES */;
  return value0;
 }
}
/*      local function G5805                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC998__g5805(cl_narg narg, cl_object v1asdf_bundle__instance, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2name_suffix;
  cl_object v3asdf_bundle__name_suffix_p;
  ecl_va_list args; ecl_va_start(args,v1asdf_bundle__instance,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,LC998__g5805keys,keyvars,NULL,TRUE);
   ecl_va_end(args);
   v2name_suffix = keyvars[0];
   v3asdf_bundle__name_suffix_p = keyvars[1];
  }
  if ((v3asdf_bundle__name_suffix_p)!=ECL_NIL) { goto L1; }
  {
   cl_object v4;
   if ((si_of_class_p(2, v1asdf_bundle__instance, VV[1596]))!=ECL_NIL) { goto L4; }
   if (Null(ecl_function_dispatch(cl_env_copy,VV[1577])(1, v1asdf_bundle__instance) /*  OPERATION-MONOLITHIC-P */)) { goto L6; }
   v4 = VV[1625];
   goto L3;
L6:;
   v4 = ECL_NIL;
   goto L3;
L4:;
   v4 = ECL_NIL;
L3:;
   (cl_env_copy->function=ECL_CONS_CAR(VV[2231]))->cfun.entry(3, v4, v1asdf_bundle__instance, VV[1621]) /*  (SETF SLOT-VALUE) */;
  }
L1:;
  if (Null(si_of_class_p(2, v1asdf_bundle__instance, VV[1566]))) { goto L8; }
  {
   cl_object v4;
   cl_object v5;
   cl_object v6asdf_bundle__lisp_files;
   cl_object v7;
   cl_object v8prologue_code;
   cl_object v9;
   cl_object v10epilogue_code;
   v4 = ecl_function_dispatch(cl_env_copy,VV[1185])(1, v1asdf_bundle__instance) /*  OPERATION-ORIGINAL-INITARGS */;
   v5 = si_search_keyword(2, v4, VV[661]);
   if (!((v5)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L13; }
   v6asdf_bundle__lisp_files = ECL_NIL;
   goto L12;
L13:;
   v6asdf_bundle__lisp_files = v5;
L12:;
   v7 = si_search_keyword(2, v4, VV[664]);
   if (!((v7)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L17; }
   v8prologue_code = ECL_NIL;
   goto L16;
L17:;
   v8prologue_code = v7;
L16:;
   v9 = si_search_keyword(2, v4, VV[665]);
   if (!((v9)==(ECL_SYM("MISSING-KEYWORD",1955)))) { goto L21; }
   v10epilogue_code = ECL_NIL;
   goto L20;
L21:;
   v10epilogue_code = v9;
L20:;
   si_check_keyword(3, v4, VV[1626], ECL_T);
   (cl_env_copy->function=ecl_fdefinition(VV[2607]))->cfun.entry(2, v8prologue_code, v1asdf_bundle__instance) /*  (SETF PROLOGUE-CODE) */;
   (cl_env_copy->function=ecl_fdefinition(VV[2608]))->cfun.entry(2, v10epilogue_code, v1asdf_bundle__instance) /*  (SETF EPILOGUE-CODE) */;
   (cl_env_copy->function=ecl_fdefinition(VV[2609]))->cfun.entry(2, v6asdf_bundle__lisp_files, v1asdf_bundle__instance) /*  (SETF EXTRA-OBJECT-FILES) */;
  }
L8:;
  {
   cl_object v4;
   T0 = ecl_function_dispatch(cl_env_copy,VV[1185])(1, v1asdf_bundle__instance) /*  OPERATION-ORIGINAL-INITARGS */;
   v4 = ecl_function_dispatch(cl_env_copy,VV[163])(2, VV[1627], T0) /*  REMOVE-PLIST-KEYS */;
   value0 = (cl_env_copy->function=ecl_fdefinition(VV[2610]))->cfun.entry(2, v4, v1asdf_bundle__instance) /*  (SETF EXTRA-BUILD-ARGS) */;
   return value0;
  }
 }
}
/*      function definition for USER-SYSTEM-P                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L999user_system_p(cl_object v1asdf_bundle__s)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(si_of_class_p(2, v1asdf_bundle__s, VV[1072]))) { goto L2; }
  if ((ecl_function_dispatch(cl_env_copy,VV[1641])(1, v1asdf_bundle__s) /*  BUILTIN-SYSTEM-P */)!=ECL_NIL) { goto L2; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[1628])(1, v1asdf_bundle__s) /*  TRIVIAL-SYSTEM-P */;
  value0 = Null(T0)?ECL_T:ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for DIRECT-DEPENDENCY-FILES               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1002direct_dependency_files(cl_narg narg, cl_object v1asdf_bundle__o, cl_object v2asdf_bundle__c, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 cl_object CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  ecl_va_list args; ecl_va_start(args,v2asdf_bundle__c,narg,2);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,L1002direct_dependency_fileskeys,keyvars,NULL,TRUE);
   ecl_va_end(args);
   if (Null(keyvars[2])) {
    env0 = ECL_NIL;
    CLV0 = env0 = CONS(ECL_SYM("IDENTITY",426),env0); /*  TEST        */
   } else {
    env0 = ECL_NIL;
    CLV0 = env0 = CONS(keyvars[0],env0);          /*  TEST            */
   }
   if (Null(keyvars[3])) {
    CLV1 = env0 = CONS(VV[1230],env0);            /*  KEY             */
   } else {
    CLV1 = env0 = CONS(keyvars[1],env0);          /*  KEY             */
   }
  }
  {
   cl_object env1 = env0;
   CLV2 = env1 = CONS(ECL_NIL,env1);
   {
    cl_object v3;
    v3 = ecl_make_cclosure_va((cl_objectfn)LC1001__g5834,env1,Cblock);
    T0 = v3;
   }
   ecl_function_dispatch(cl_env_copy,VV[1311])(4, ECL_T, v1asdf_bundle__o, v2asdf_bundle__c, T0) /*  MAP-DIRECT-DEPENDENCIES */;
   value0 = cl_reverse(ECL_CONS_CAR(CLV2));
   return value0;
  }
 }
}
/*      function definition for PATHNAME-TYPE-EQUAL-FUNCTION          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1004pathname_type_equal_function(cl_object v1type)
{
 cl_object env0 = ECL_NIL;
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1type,env0);                /*  TYPE            */
  {
   cl_object v2;
   v2 = ecl_make_cclosure_va((cl_objectfn)LC1003__g5838,env0,Cblock);
   value0 = v2;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G5839                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1005__g5839(cl_object v1asdf_bundle__o, cl_object v2asdf_bundle__c)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[2604])(1, v1asdf_bundle__o) /*  BUNDLE-TYPE */;
  if ((T0)==(VV[1618])) { goto L1; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[2618])(1, v1asdf_bundle__o) /*  GATHER-TYPE */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[1597])(1, T0) /*  BUNDLE-PATHNAME-TYPE */;
  T2 = ecl_function_dispatch(cl_env_copy,VV[1632])(1, T1) /*  PATHNAME-TYPE-EQUAL-FUNCTION */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1631])(6, v1asdf_bundle__o, v2asdf_bundle__c, ECL_SYM("KEY",1274), VV[1230], ECL_SYM("TEST",1328), T2) /*  DIRECT-DEPENDENCY-FILES */;
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SELECT-BUNDLE-OPERATION               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1006select_bundle_operation(cl_narg narg, cl_object v1type, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_bundle__monolithic;
  va_list args; va_start(args,v1type);
  {
   int i = 1;
   if (i >= narg) {
    v2asdf_bundle__monolithic = ECL_NIL;
   } else {
    i++;
    v2asdf_bundle__monolithic = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (!(ecl_eql(v1type,VV[1610]))) { goto L7; }
  goto L4;
  goto L5;
L7:;
  goto L5;
L5:;
  if (!(ecl_eql(v1type,VV[1612]))) { goto L2; }
  goto L3;
L4:;
L3:;
  if (Null(v2asdf_bundle__monolithic)) { goto L10; }
  value0 = VV[1594];
  cl_env_copy->nvalues = 1;
  return value0;
L10:;
  value0 = VV[1588];
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  if (!(ecl_eql(v1type,VV[1605]))) { goto L17; }
  goto L14;
  goto L15;
L17:;
  goto L15;
L15:;
  if (!(ecl_eql(v1type,VV[1607]))) { goto L12; }
  goto L13;
L14:;
L13:;
  if (Null(v2asdf_bundle__monolithic)) { goto L20; }
  value0 = VV[1593];
  cl_env_copy->nvalues = 1;
  return value0;
L20:;
  value0 = VV[1585];
  cl_env_copy->nvalues = 1;
  return value0;
L12:;
  if (!(ecl_eql(v1type,VV[1276]))) { goto L22; }
  if (Null(v2asdf_bundle__monolithic)) { goto L25; }
  value0 = VV[1591];
  cl_env_copy->nvalues = 1;
  return value0;
L25:;
  value0 = VV[1586];
  cl_env_copy->nvalues = 1;
  return value0;
L22:;
  if (!(ecl_eql(v1type,VV[651]))) { goto L27; }
  value0 = VV[1595];
  cl_env_copy->nvalues = 1;
  return value0;
L27:;
  if (!(ecl_eql(v1type,VV[653]))) { goto L30; }
  value0 = VV[1596];
  cl_env_copy->nvalues = 1;
  return value0;
L30:;
  value0 = si_ecase_error(v1type, VV[1635]);
  return value0;
 }
}
/*      function definition for MAKE-BUILD                            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1008make_build(volatile cl_narg narg, cl_object volatile v1asdf_system_system, ...)
{
 cl_object T0, T1, T2, T3;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v2asdf_bundle__args;
  cl_object volatile v3asdf_bundle__monolithic;
  cl_object volatile v4type;
  cl_object volatile v5asdf_bundle__move_here;
  cl_object volatile v6asdf_bundle__move_here_p;
  ecl_va_list args; ecl_va_start(args,v1asdf_system_system,narg,1);
  {
   cl_object keyvars[6];
   cl_parse_key(args,3,L1008make_buildkeys,keyvars,(cl_object*)&v2asdf_bundle__args,TRUE);
   ecl_va_end(args);
   v3asdf_bundle__monolithic = keyvars[0];
   if (Null(keyvars[4])) {
    v4type = VV[1276];
   } else {
    v4type = keyvars[1];
   }
   v5asdf_bundle__move_here = keyvars[2];
   v6asdf_bundle__move_here_p = keyvars[5];
  }
  {
   volatile cl_object v7asdf_bundle__operation_name;
   volatile cl_object v8asdf_bundle__move_here_path;
   volatile cl_object v9asdf_operation_operation;
   volatile cl_object v10asdf_system_system;
   volatile cl_object v11asdf_bundle__files;
   v7asdf_bundle__operation_name = ecl_function_dispatch(cl_env_copy,VV[1633])(2, v4type, v3asdf_bundle__monolithic) /*  SELECT-BUNDLE-OPERATION */;
   if (Null(v5asdf_bundle__move_here)) { goto L4; }
   if ((cl_pathnamep(v5asdf_bundle__move_here))!=ECL_NIL) { goto L7; }
   if (!(ECL_STRINGP(v5asdf_bundle__move_here))) { goto L4; }
   goto L5;
L7:;
L5:;
   v8asdf_bundle__move_here_path = ecl_function_dispatch(cl_env_copy,VV[364])(5, v5asdf_bundle__move_here, VV[411], VV[412], VV[363], ECL_T) /*  ENSURE-PATHNAME */;
   goto L3;
L4:;
   v8asdf_bundle__move_here_path = ecl_function_dispatch(cl_env_copy,VV[1075])(2, v1asdf_system_system, VV[1637]) /*  SYSTEM-RELATIVE-PATHNAME */;
L3:;
   T0 = ecl_function_dispatch(cl_env_copy,VV[163])(2, VV[1638], v2asdf_bundle__args) /*  REMOVE-PLIST-KEYS */;
   v9asdf_operation_operation = cl_apply(4, VV[1336], v7asdf_bundle__operation_name, v1asdf_system_system, T0);
   v10asdf_system_system = ecl_function_dispatch(cl_env_copy,VV[1067])(1, v1asdf_system_system) /*  FIND-SYSTEM */;
   if (Null(v10asdf_system_system)) { goto L13; }
   v11asdf_bundle__files = ecl_function_dispatch(cl_env_copy,VV[1230])(2, v9asdf_operation_operation, v10asdf_system_system) /*  OUTPUT-FILES */;
   goto L11;
L13:;
   v11asdf_bundle__files = ECL_NIL;
   goto L11;
L11:;
   if ((v5asdf_bundle__move_here)!=ECL_NIL) { goto L17; }
   if (!(v6asdf_bundle__move_here_p==ECL_NIL)) { goto L15; }
   if (!(ecl_eql(v7asdf_bundle__operation_name,VV[653]))) { goto L23; }
   goto L20;
   goto L21;
L23:;
   goto L21;
L21:;
   if (!(ecl_eql(v7asdf_bundle__operation_name,VV[651]))) { goto L15; }
   goto L16;
L20:;
   goto L16;
L17:;
L16:;
   {
    volatile cl_object v12asdf_bundle__dest_path;
    T0 = cl_ensure_directories_exist(1, v8asdf_bundle__move_here_path);
    v12asdf_bundle__dest_path = ecl_function_dispatch(cl_env_copy,VV[433])(1, T0) /*  RESOLVE-SYMLINKS* */;
    {
     volatile cl_object v13asdf_bundle__f;
     volatile cl_object v14;
     v13asdf_bundle__f = ECL_NIL;
     {
      cl_object v15;
      v15 = v11asdf_bundle__files;
      if (ecl_unlikely(!ECL_LISTP(v15))) FEtype_error_list(v15);
      v14 = v15;
     }
     {
      volatile cl_object v15asdf_bundle__new_f;
      v15asdf_bundle__new_f = ECL_NIL;
      {
       volatile cl_object v16;
       volatile cl_object v17;
       v16 = ecl_list1(ECL_NIL);
       v17 = v16;
L34:;
       if (!(ecl_endp(v14))) { goto L36; }
       goto L35;
L36:;
       v13asdf_bundle__f = _ecl_car(v14);
       {
        cl_object v18;
        v18 = _ecl_cdr(v14);
        if (ecl_unlikely(!ECL_LISTP(v18))) FEtype_error_list(v18);
        v14 = v18;
       }
       T0 = cl_pathname_name(1, v13asdf_bundle__f);
       T1 = cl_pathname_type(1, v13asdf_bundle__f);
       v15asdf_bundle__new_f = cl_make_pathname(6, ECL_SYM("NAME",1285), T0, ECL_SYM("TYPE",1330), T1, ECL_SYM("DEFAULTS",1226), v12asdf_bundle__dest_path);
       {
        volatile cl_object env1 = env0;
        env1 = ECL_NIL;
        CLV0 = env1 = CONS(ECL_NIL,env1);
        {
         volatile cl_object env2 = env1;
         CLV1 = env2 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
         if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
         if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L47;
         ecl_internal_error("GO found an inexistent tag");
         }
         {
          cl_object v18;
          v18 = ecl_make_cclosure_va((cl_objectfn)LC1007__g5871,env2,Cblock);
          T0 = v18;
         }
         T1 = CONS(ECL_SYM("FILE-ERROR",353),T0);
         T2 = ecl_list1(T1);
         T3 = CONS(T2,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
         ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T3); /*  *HANDLER-CLUSTERS* */
         ecl_function_dispatch(cl_env_copy,VV[483])(2, v13asdf_bundle__f, v15asdf_bundle__new_f) /*  RENAME-FILE-OVERWRITING-TARGET */;
         ecl_frs_pop(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
         goto L46;
L47:;
         ecl_function_dispatch(cl_env_copy,VV[547])(2, v13asdf_bundle__f, v15asdf_bundle__new_f) /*  COPY-FILE */;
         ecl_function_dispatch(cl_env_copy,VV[482])(1, v13asdf_bundle__f) /*  DELETE-FILE-IF-EXISTS */;
         ecl_frs_pop(cl_env_copy);
         goto L46;
        }
       }
L46:;
       {
        cl_object v18;
        v18 = v17;
        if (ecl_unlikely(ECL_ATOM(v18))) FEtype_error_cons(v18);
        T0 = v18;
       }
       v17 = ecl_list1(v15asdf_bundle__new_f);
       (ECL_CONS_CDR(T0)=v17,T0);
       goto L34;
L35:;
       value0 = ecl_cdr(v16);
       cl_env_copy->nvalues = 1;
       return value0;
      }
     }
    }
   }
L15:;
   value0 = v11asdf_bundle__files;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for BUNDLE-SYSTEM                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1009bundle_system(cl_narg narg, cl_object v1asdf_system_system, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_bundle__args;
  cl_object v3asdf_bundle__force;
  cl_object v4asdf_bundle__verbose;
  cl_object v5asdf_component_version;
  ecl_va_list args; ecl_va_start(args,v1asdf_system_system,narg,1);
  {
   cl_object keyvars[6];
   cl_parse_key(args,3,L1009bundle_systemkeys,keyvars,(cl_object*)&v2asdf_bundle__args,TRUE);
   ecl_va_end(args);
   v3asdf_bundle__force = keyvars[0];
   if (Null(keyvars[4])) {
    v4asdf_bundle__verbose = ECL_T;
   } else {
    v4asdf_bundle__verbose = keyvars[1];
   }
   v5asdf_component_version = keyvars[2];
  }
  value0 = cl_apply(4, VV[1336], VV[1589], v1asdf_system_system, v2asdf_bundle__args);
  return value0;
 }
}
/*      closure COLLECT                                               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1000collect(cl_narg narg, cl_object v1uiop_utility__x, ...)
{
 cl_object CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV2 = env0;
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV2) = CONS(v1uiop_utility__x,ECL_CONS_CAR(CLV2));
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 0;
  return value0;
 }
 }
}
/*      closure G5834                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1001__g5834(cl_narg narg, cl_object v1asdf_bundle__sub_o, cl_object v2asdf_bundle__sub_c, ...)
{
 volatile struct ecl_cclosure aux_closure;
 cl_object CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV2 = env0;
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=2)) FEwrong_num_arguments_anonym();
 {
TTL:
  {
   cl_object v3;
   cl_object v4asdf_bundle__f;
   cl_object v5;
   v3 = ecl_function_dispatch(cl_env_copy,ECL_CONS_CAR(CLV1))(2, v1asdf_bundle__sub_o, v2asdf_bundle__sub_c);
   v4asdf_bundle__f = ECL_NIL;
   {
    cl_object v6;
    v6 = v3;
    if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
    v5 = v6;
   }
L6:;
   if (!(ecl_endp(v5))) { goto L8; }
   goto L7;
L8:;
   v4asdf_bundle__f = _ecl_car(v5);
   {
    cl_object v6;
    v6 = _ecl_cdr(v5);
    if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
    v5 = v6;
   }
   if (Null(ecl_function_dispatch(cl_env_copy,ECL_CONS_CAR(CLV0))(1, v4asdf_bundle__f))) { goto L16; }
   (aux_closure.env=env0,cl_env_copy->function=(cl_object)&aux_closure,LC1000collect(1, v4asdf_bundle__f));
L16:;
   goto L6;
L7:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
 }
}
/*      closure G5838                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1003__g5838(cl_narg narg, cl_object v1asdf_bundle__p, ...)
{
 cl_object T0;
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  TYPE            */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  T0 = cl_pathname_type(1, v1asdf_bundle__p);
  value0 = ecl_make_bool(ecl_equalp(T0,ECL_CONS_CAR(CLV0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
 }
}
/*      closure G5871                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1007__g5871(cl_narg narg, cl_object v1si__temp, ...)
{
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  TAGBODY         */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV0) = v1si__temp;
  cl_go(ECL_CONS_CAR(CLV1),ecl_make_fixnum(0));
 }
 }
}
/*      local function G5872                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1010__g5872(cl_object v1asdf_bundle__o, cl_object v2asdf_bundle__c)
{
 cl_object T0, T1, T2, T3, T4, T5, T6;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[2440])(1, v2asdf_bundle__c) /*  COMPONENT-SIDEWAY-DEPENDENCIES */;
  T1 = CONS(v1asdf_bundle__o,T0);
  if (Null(ecl_function_dispatch(cl_env_copy,VV[1629])(1, v2asdf_bundle__c) /*  USER-SYSTEM-P */)) { goto L2; }
  T2 = VV[1586];
  goto L1;
L2:;
  T2 = VV[1257];
L1:;
  T3 = cl_list(2, T2, v2asdf_bundle__c);
  if (Null(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)))) { goto L5; }
  T5 = ecl_car(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
  T6 = ecl_cdr(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
  T4 = ecl_function_dispatch(cl_env_copy,T5)(2, ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1491)), T6);
  goto L4;
L5:;
  T4 = cl_error(1, VV[1076]);
L4:;
  value0 = cl_listX(3, T1, T3, T4);
  return value0;
 }
}
/*      local function G5873                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1011__g5873(cl_object v1asdf_bundle__o, cl_object v2asdf_bundle__c)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_function_dispatch(cl_env_copy,VV[1629])(1, v2asdf_bundle__c) /*  USER-SYSTEM-P */)) { goto L1; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[1184])(2, v1asdf_bundle__o, VV[1586]) /*  FIND-OPERATION */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1230])(2, T0, v2asdf_bundle__c) /*  OUTPUT-FILES */;
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G5874                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1012__g5874(cl_object v1asdf_bundle__o, cl_object v2asdf_bundle__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_function_dispatch(cl_env_copy,VV[1231])(2, v1asdf_bundle__o, v2asdf_bundle__c) /*  INPUT-FILES */)) { goto L1; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[1282])(2, v1asdf_bundle__o, v2asdf_bundle__c) /*  PERFORM-LISP-LOAD-FASL */;
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G5875                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1013__g5875(cl_object v1asdf_bundle__o, cl_object v2asdf_bundle__c)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[1184])(2, v1asdf_bundle__o, VV[1257]) /*  FIND-OPERATION */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1236])(2, T0, v2asdf_bundle__c) /*  MARK-OPERATION-DONE */;
  return value0;
 }
}
/*      local function G5876                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1015__g5876(cl_object v1asdf_bundle__s)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = ecl_make_cfun((cl_objectfn_fixed)LC1014__g5877,ECL_NIL,Cblock,1);
   T0 = v2;
  }
  T1 = ecl_function_dispatch(cl_env_copy,VV[2362])(1, v1asdf_bundle__s) /*  COMPONENT-CHILDREN */;
  value0 = cl_every(2, T0, T1);
  return value0;
 }
}
/*      local function G5878                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1016__g5878(cl_object v1asdf_bundle__o, cl_object v2asdf_bundle__c)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[1031])(1, v2asdf_bundle__c) /*  COMPONENT-PATHNAME */;
  value0 = ecl_list1(T0);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G5879                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1017__g5879(cl_object v1asdf_bundle__o, cl_object v2asdf_bundle__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[1282])(2, v1asdf_bundle__o, v2asdf_bundle__c) /*  PERFORM-LISP-LOAD-FASL */;
  return value0;
 }
}
/*      local function G5880                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1018__g5880(cl_object v1asdf_bundle__o, cl_object v2asdf_bundle__c)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[1184])(2, v1asdf_bundle__o, VV[1257]) /*  FIND-OPERATION */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1245])(2, T0, v2asdf_bundle__c) /*  PERFORM */;
  return value0;
 }
}
/*      local function G5881                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1019__g5881(cl_object v1asdf_bundle__o, cl_object v2asdf_bundle__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G5877                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1014__g5877(cl_object v1asdf_bundle__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = si_of_class_p(2, v1asdf_bundle__c, VV[1622]);
  return value0;
 }
}
/*      local function G5882                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1020__g5882(cl_object v1asdf_bundle__s)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G5883                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1021__g5883(cl_object v1asdf_bundle__o, cl_object v2asdf_bundle__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G5884                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1022__g5884(cl_object v1asdf_bundle__o, cl_object v2asdf_bundle__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G5885                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1023__g5885(cl_object v1asdf_bundle__o, cl_object v2asdf_bundle__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G5886                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1024__g5886(cl_object v1asdf_bundle__o, cl_object v2asdf_bundle__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G5887                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1025__g5887(cl_object v1asdf_bundle__o, cl_object v2asdf_bundle__c)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G5888                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1026__g5888(cl_object v1asdf_bundle__o, cl_object v2asdf_bundle__c)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[2625])(1, v2asdf_bundle__c) /*  PREBUILT-SYSTEM-STATIC-LIBRARY */;
  T1 = ecl_list1(T0);
  cl_env_copy->nvalues = 2;
  cl_env_copy->values[1] = ECL_T;
  cl_env_copy->values[0] = T1;
  return cl_env_copy->values[0];
 }
}
/*      local function G5889                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1027__g5889(cl_object v1asdf_bundle__o, cl_object v2asdf_bundle__s)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[1029])(1, v2asdf_bundle__s) /*  COMPONENT-NAME */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[1031])(1, v2asdf_bundle__s) /*  COMPONENT-PATHNAME */;
  T2 = cl_make_pathname(6, ECL_SYM("NAME",1285), T0, ECL_SYM("TYPE",1330), VV[1138], ECL_SYM("DEFAULTS",1226), T1);
  value0 = ecl_list1(T2);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G5896                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1030__g5896(cl_object volatile v1asdf_bundle__o, cl_object volatile v2asdf_bundle__s)
{
 cl_object T0, T1, T2, T3, T4;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object v3asdf_bundle__inputs;
   volatile cl_object v4asdf_bundle__fasl;
   volatile cl_object v5asdf_bundle__library;
   volatile cl_object v6asdf_bundle__asd;
   volatile cl_object v7asdf_component_name;
   volatile cl_object v8asdf_component_version;
   volatile cl_object v9asdf_bundle__dependencies;
   volatile cl_object v10asdf_bundle__depends_on;
   v3asdf_bundle__inputs = ecl_function_dispatch(cl_env_copy,VV[1231])(2, v1asdf_bundle__o, v2asdf_bundle__s) /*  INPUT-FILES */;
   v4asdf_bundle__fasl = ecl_car(v3asdf_bundle__inputs);
   v5asdf_bundle__library = ecl_cadr(v3asdf_bundle__inputs);
   T0 = ecl_function_dispatch(cl_env_copy,VV[1230])(2, v1asdf_bundle__o, v2asdf_bundle__s) /*  OUTPUT-FILES */;
   v6asdf_bundle__asd = ecl_car(T0);
   if (Null(v4asdf_bundle__fasl)) { goto L6; }
   if (Null(v6asdf_bundle__asd)) { goto L6; }
   v7asdf_component_name = cl_pathname_name(1, v6asdf_bundle__asd);
   goto L5;
L6:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L5:;
   v8asdf_component_version = ecl_function_dispatch(cl_env_copy,VV[1036])(1, v2asdf_bundle__s) /*  COMPONENT-VERSION */;
   if (Null(ecl_function_dispatch(cl_env_copy,VV[1577])(1, v1asdf_bundle__o) /*  OPERATION-MONOLITHIC-P */)) { goto L11; }
   T0 = ecl_function_dispatch(cl_env_copy,VV[1190])(5, v2asdf_bundle__s, VV[1580], VV[1072], VV[1582], VV[1254]) /*  REQUIRED-COMPONENTS */;
   v9asdf_bundle__dependencies = cl_remove_if_not(2, VV[1641], T0);
   goto L10;
L11:;
   {
    cl_object env1 = env0;
    env1 = ECL_NIL;
    CLV0 = env1 = CONS(ECL_NIL,env1);
    {
     cl_object v11;
     v11 = ecl_make_cclosure_va((cl_objectfn)LC1029__g5899,env1,Cblock);
     T0 = v11;
    }
    ecl_function_dispatch(cl_env_copy,VV[1311])(4, ECL_T, VV[1257], v2asdf_bundle__s, T0) /*  MAP-DIRECT-DEPENDENCIES */;
    v9asdf_bundle__dependencies = cl_reverse(ECL_CONS_CAR(CLV0));
   }
L10:;
   {
    cl_object v11;
    cl_object v12;
    v11 = ECL_NIL;
    {
     cl_object v13;
     v13 = v9asdf_bundle__dependencies;
     if (ecl_unlikely(!ECL_LISTP(v13))) FEtype_error_list(v13);
     v12 = v13;
    }
    {
     cl_object v13;
     cl_object v14;
     v13 = ecl_list1(ECL_NIL);
     v14 = v13;
L22:;
     if (!(ecl_endp(v12))) { goto L24; }
     goto L23;
L24:;
     v11 = _ecl_car(v12);
     {
      cl_object v15;
      v15 = _ecl_cdr(v12);
      if (ecl_unlikely(!ECL_LISTP(v15))) FEtype_error_list(v15);
      v12 = v15;
     }
     {
      cl_object v15;
      v15 = v14;
      if (ecl_unlikely(ECL_ATOM(v15))) FEtype_error_cons(v15);
      T0 = v15;
     }
     T1 = ecl_function_dispatch(cl_env_copy,VV[1100])(1, v11);
     v14 = ecl_list1(T1);
     (ECL_CONS_CDR(T0)=v14,T0);
     goto L22;
L23:;
     v10asdf_bundle__depends_on = ecl_cdr(v13);
     goto L15;
    }
   }
L15:;
   T0 = ecl_function_dispatch(cl_env_copy,VV[1068])(1, v2asdf_bundle__s) /*  SYSTEM-SOURCE-FILE */;
   if (Null(ecl_function_dispatch(cl_env_copy,VV[321])(2, v6asdf_bundle__asd, T0) /*  PATHNAME-EQUAL */)) { goto L40; }
   T0 = CONS(v1asdf_bundle__o,v2asdf_bundle__s);
   cl_cerror(4, VV[1642], VV[1643], T0, v6asdf_bundle__asd);
L40:;
   {
    volatile cl_object v11asdf_bundle__s;
    v11asdf_bundle__s = cl_open(7, v6asdf_bundle__asd, ECL_SYM("DIRECTION",1228), ECL_SYM("OUTPUT",1294), ECL_SYM("IF-EXISTS",1256), ECL_SYM("SUPERSEDE",1326), ECL_SYM("IF-DOES-NOT-EXIST",1254), ECL_SYM("CREATE",1223));
    {
     volatile bool unwinding = FALSE;
     cl_index v12=ECL_STACK_INDEX(cl_env_copy),v13;
     ecl_frame_ptr next_fr;
     if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
       unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
     } else {
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       cl_object v14;
       v14 = _ecl_inner_frame;
       T0 = ecl_function_dispatch(cl_env_copy,VV[1577])(1, v1asdf_bundle__o) /*  OPERATION-MONOLITHIC-P */;
       cl_format(4, v11asdf_bundle__s, VV[1644], T0, v7asdf_component_name);
       T0 = cl_lisp_implementation_type();
       T1 = cl_lisp_implementation_version();
       T2 = cl_software_type();
       T3 = cl_machine_type();
       T4 = cl_software_version();
       cl_format(7, v11asdf_bundle__s, VV[1645], T0, T1, T2, T3, T4);
       T0 = cl_find_package(VV[1148]);
       ecl_bds_bind(cl_env_copy,ECL_SYM("*PACKAGE*",43),T0); /*  *PACKAGE* */
       T0 = cl_pathname_name(1, v4asdf_bundle__fasl);
       T1 = cl_list(2, VV[1646], T0);
       T2 = ecl_list1(T1);
       if (Null(v5asdf_bundle__library)) { goto L52; }
       T4 = cl_file_namestring(v5asdf_bundle__library);
       T3 = cl_list(2, VV[1605], T4);
       goto L51;
L52:;
       T3 = ECL_NIL;
L51:;
       T4 = cl_listX(11, VV[1563], v7asdf_component_name, VV[1115], VV[1624], ECL_SYM("VERSION",1338), v8asdf_component_version, VV[1544], v10asdf_bundle__depends_on, VV[1538], T2, T3);
       cl_pprint(2, T4, v11asdf_bundle__s);
       T0 = ecl_terpri(v11asdf_bundle__s);
       ecl_bds_unwind1(cl_env_copy);
       cl_env_copy->values[0] = T0;
       cl_env_copy->nvalues = 1;
       ecl_stack_frame_push_values(v14);
       if (Null(v11asdf_bundle__s)) { goto L54; }
       cl_close(1, v11asdf_bundle__s);
L54:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v14);
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
       next_fr = NULL;
     }
     ecl_frs_pop(cl_env_copy);
     v13=ecl_stack_push_values(cl_env_copy);
     if (Null(v11asdf_bundle__s)) { goto L56; }
     cl_close(3, v11asdf_bundle__s, ECL_SYM("ABORT",1205), ECL_T);
L56:;
     ecl_stack_pop_values(cl_env_copy,v13);
     if (unwinding) ecl_unwind(cl_env_copy,next_fr);
     ECL_STACK_SET_INDEX(cl_env_copy,v12);
     return cl_env_copy->values[0];
    }
   }
  }
 }
}
/*      local function G5908                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1031__g5908(cl_object v1asdf_bundle__o, cl_object v2asdf_bundle__s)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[1184])(2, v1asdf_bundle__o, VV[1586]) /*  FIND-OPERATION */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1617])(2, T0, v2asdf_bundle__s) /*  BUNDLE-OUTPUT-FILES */;
  return value0;
 }
}
/*      local function G5909                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1032__g5909(cl_object v1asdf_bundle__o, cl_object v2asdf_bundle__s)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[1282])(2, v1asdf_bundle__o, v2asdf_bundle__s) /*  PERFORM-LISP-LOAD-FASL */;
  return value0;
 }
}
/*      local function G5910                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1033__g5910(cl_object v1asdf_bundle__o, cl_object v2asdf_bundle__s)
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, VV[1257], v2asdf_bundle__s);
  if (Null(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)))) { goto L2; }
  T2 = ecl_car(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
  T3 = ecl_cdr(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
  T1 = ecl_function_dispatch(cl_env_copy,T2)(2, ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1491)), T3);
  goto L1;
L2:;
  T1 = cl_error(1, VV[1076]);
L1:;
  value0 = CONS(T0,T1);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      closure X                                                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1028x(cl_narg narg, cl_object v1uiop_utility__x, ...)
{
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV0) = CONS(v1uiop_utility__x,ECL_CONS_CAR(CLV0));
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 0;
  return value0;
 }
 }
}
/*      closure G5899                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1029__g5899(cl_narg narg, cl_object v1asdf_bundle__o, cl_object v2asdf_bundle__c, ...)
{
 volatile struct ecl_cclosure aux_closure;
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=2)) FEwrong_num_arguments_anonym();
 {
TTL:
  if (Null(si_of_class_p(2, v1asdf_bundle__o, VV[1257]))) { goto L1; }
  if (Null(si_of_class_p(2, v2asdf_bundle__c, VV[1072]))) { goto L1; }
  value0 = (aux_closure.env=env0,cl_env_copy->function=(cl_object)&aux_closure,LC1028x(1, v2asdf_bundle__c));
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
 }
}
/*      function definition for SYSTEM-MODULE-PATHNAME                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1034system_module_pathname(cl_object v1asdf_component_module)
{
 cl_object T0, T1, T2, T3, T4;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2asdf_component_name;
   v2asdf_component_name = ecl_function_dispatch(cl_env_copy,VV[1100])(1, v1asdf_component_module) /*  COERCE-NAME */;
   T0 = cl_make_pathname(4, ECL_SYM("NAME",1285), v2asdf_component_name, ECL_SYM("DEFAULTS",1226), VV[1648]);
   T1 = (cl_env_copy->function=(ECL_SYM("COMPILE-FILE-PATHNAME",235)->symbol.gfdef))->cfun.entry(3, T0, ECL_SYM("TYPE",1330), VV[1605]) /*  COMPILE-FILE-PATHNAME */;
   T2 = cl_make_pathname(4, ECL_SYM("NAME",1285), v2asdf_component_name, ECL_SYM("DEFAULTS",1226), VV[1648]);
   T3 = (cl_env_copy->function=(ECL_SYM("COMPILE-FILE-PATHNAME",235)->symbol.gfdef))->cfun.entry(3, T2, ECL_SYM("TYPE",1330), ECL_SYM("OBJECT",1290)) /*  COMPILE-FILE-PATHNAME */;
   T4 = cl_list(2, T1, T3);
   value0 = cl_some(2, VV[420], T4);
   return value0;
  }
 }
}
/*      function definition for MAKE-PREBUILT-SYSTEM                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1035make_prebuilt_system(cl_narg narg, cl_object v1asdf_component_name, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2pathname;
  va_list args; va_start(args,v1asdf_component_name);
  {
   int i = 1;
   if (i >= narg) {
    v2pathname = ecl_function_dispatch(cl_env_copy,VV[1647])(1, v1asdf_component_name) /*  SYSTEM-MODULE-PATHNAME */;
   } else {
    i++;
    v2pathname = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (Null(v2pathname)) { goto L2; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[1100])(1, v1asdf_component_name) /*  COERCE-NAME */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[433])(1, v2pathname) /*  RESOLVE-SYMLINKS* */;
  value0 = (cl_env_copy->function=(ECL_SYM("MAKE-INSTANCE",949)->symbol.gfdef))->cfun.entry(5, VV[1624], ECL_SYM("NAME",1285), T0, VV[1607], T1) /*  MAKE-INSTANCE */;
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G5927                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1038__g5927(cl_object v1asdf_bundle__o, cl_object v2asdf_bundle__c)
{
 cl_object T0, T1, T2;
 volatile cl_object lex0[1];
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   cl_object v5;
   cl_object v6;
   cl_object v7lib_op;
   if (Null(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)))) { goto L2; }
   T0 = ecl_car(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
   T1 = ecl_cdr(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1493)));
   v3 = ecl_function_dispatch(cl_env_copy,T0)(2, ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1491)), T1);
   goto L1;
L2:;
   v3 = cl_error(1, VV[1076]);
L1:;
   v4 = v3;
   if (!(v4==ECL_NIL)) { goto L7; }
   si_dm_too_few_arguments(v3);
L7:;
   {
    cl_object v8;
    v8 = ecl_car(v4);
    v4 = ecl_cdr(v4);
    v5 = v8;
   }
   v6 = v5;
   if (!(v6==ECL_NIL)) { goto L14; }
   si_dm_too_few_arguments(v3);
L14:;
   {
    cl_object v8;
    v8 = ecl_car(v6);
    v6 = ecl_cdr(v6);
    v7lib_op = v8;
   }
   lex0[0] = v6;                                  /*  DEPS            */
   if (Null(v4)) { goto L19; }
   si_dm_too_many_arguments(v3);
L19:;
   if ((ecl_function_dispatch(cl_env_copy,VV[1570])(1, v2asdf_bundle__c) /*  NO-UIOP */)!=ECL_NIL) { goto L22; }
   T1 = LC1037ensure_linkable_system(lex0, VV[1650]);
   value0 = LC1037ensure_linkable_system(lex0, VV[1651]);
   if ((value0)!=ECL_NIL) { goto L27; }
   T2 = LC1037ensure_linkable_system(lex0, VV[1128]);
   goto L25;
L27:;
   T2 = value0;
   goto L25;
L25:;
   T0 = ecl_append(T1,T2);
   goto L21;
L22:;
   T0 = ECL_NIL;
L21:;
   T1 = ecl_append(T0,lex0[0]);
   T2 = CONS(v7lib_op,T1);
   value0 = ecl_list1(T2);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G5942                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1039__g5942(cl_object v1asdf_bundle__o, cl_object v2asdf_bundle__c)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3asdf_bundle__object_files;
   cl_object v4asdf_bundle__output;
   cl_object v5asdf_bundle__bundle;
   cl_object v6asdf_bundle__programp;
   cl_object v7asdf_bundle__kind;
   v3asdf_bundle__object_files = ecl_function_dispatch(cl_env_copy,VV[1231])(2, v1asdf_bundle__o, v2asdf_bundle__c) /*  INPUT-FILES */;
   v4asdf_bundle__output = ecl_function_dispatch(cl_env_copy,VV[1230])(2, v1asdf_bundle__o, v2asdf_bundle__c) /*  OUTPUT-FILES */;
   v5asdf_bundle__bundle = ecl_car(v4asdf_bundle__output);
   v6asdf_bundle__programp = si_of_class_p(2, v1asdf_bundle__o, VV[1596]);
   v7asdf_bundle__kind = ecl_function_dispatch(cl_env_copy,VV[2604])(1, v1asdf_bundle__o) /*  BUNDLE-TYPE */;
   if (Null(v4asdf_bundle__output)) { goto L6; }
   if (Null(v6asdf_bundle__programp)) { goto L9; }
   T0 = ecl_function_dispatch(cl_env_copy,VV[1571])(1, v2asdf_bundle__c) /*  PREFIX-LISP-OBJECT-FILES */;
   goto L8;
L9:;
   T0 = ECL_NIL;
L8:;
   if (Null(v6asdf_bundle__programp)) { goto L12; }
   T1 = ecl_function_dispatch(cl_env_copy,VV[1572])(1, v2asdf_bundle__c) /*  POSTFIX-LISP-OBJECT-FILES */;
   goto L11;
L12:;
   T1 = ECL_NIL;
L11:;
   T2 = cl_append(3, T0, v3asdf_bundle__object_files, T1);
   value0 = ecl_function_dispatch(cl_env_copy,VV[1568])(1, v1asdf_bundle__o) /*  PROLOGUE-CODE */;
   if ((value0)!=ECL_NIL) { goto L16; }
   if (Null(v6asdf_bundle__programp)) { goto L18; }
   T3 = ecl_function_dispatch(cl_env_copy,VV[1568])(1, v2asdf_bundle__c) /*  PROLOGUE-CODE */;
   goto L14;
L18:;
   T3 = ECL_NIL;
   goto L14;
L16:;
   T3 = value0;
   goto L14;
L14:;
   value0 = ecl_function_dispatch(cl_env_copy,VV[1569])(1, v1asdf_bundle__o) /*  EPILOGUE-CODE */;
   if ((value0)!=ECL_NIL) { goto L22; }
   if (Null(v6asdf_bundle__programp)) { goto L24; }
   T4 = ecl_function_dispatch(cl_env_copy,VV[1569])(1, v2asdf_bundle__c) /*  EPILOGUE-CODE */;
   goto L20;
L24:;
   T4 = ECL_NIL;
   goto L20;
L22:;
   T4 = value0;
   goto L20;
L20:;
   value0 = ecl_function_dispatch(cl_env_copy,VV[1574])(1, v1asdf_bundle__o) /*  EXTRA-BUILD-ARGS */;
   if ((value0)!=ECL_NIL) { goto L28; }
   if (Null(v6asdf_bundle__programp)) { goto L30; }
   T5 = ecl_function_dispatch(cl_env_copy,VV[1574])(1, v2asdf_bundle__c) /*  EXTRA-BUILD-ARGS */;
   goto L26;
L30:;
   T5 = ECL_NIL;
   goto L26;
L28:;
   T5 = value0;
   goto L26;
L26:;
   value0 = ecl_function_dispatch(cl_env_copy,VV[1573])(1, v1asdf_bundle__o) /*  EXTRA-OBJECT-FILES */;
   if ((value0)!=ECL_NIL) { goto L34; }
   if (Null(v6asdf_bundle__programp)) { goto L36; }
   T6 = ecl_function_dispatch(cl_env_copy,VV[1573])(1, v2asdf_bundle__c) /*  EXTRA-OBJECT-FILES */;
   goto L32;
L36:;
   T6 = ECL_NIL;
   goto L32;
L34:;
   T6 = value0;
   goto L32;
L32:;
   T7 = ecl_function_dispatch(cl_env_copy,VV[1570])(1, v2asdf_bundle__c) /*  NO-UIOP */;
   if (Null(v6asdf_bundle__programp)) { goto L39; }
   T9 = ecl_function_dispatch(cl_env_copy,VV[1070])(1, v2asdf_bundle__c) /*  COMPONENT-ENTRY-POINT */;
   T8 = cl_list(2, VV[1655], T9);
   goto L38;
L39:;
   T8 = ECL_NIL;
L38:;
   value0 = cl_apply(16, VV[650], v5asdf_bundle__bundle, T2, VV[663], v7asdf_bundle__kind, VV[664], T3, VV[665], T4, VV[1652], T5, VV[1653], T6, VV[1654], T7, T8);
   return value0;
L6:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function ENSURE-LINKABLE-SYSTEM                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1037ensure_linkable_system(volatile cl_object *lex0, cl_object v1asdf_bundle__x)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if ((LC1036has_it_p(lex0, v1asdf_bundle__x))!=ECL_NIL) { goto L1; }
  {
   cl_object v2asdf_bundle__s;
   v2asdf_bundle__s = ecl_function_dispatch(cl_env_copy,VV[1067])(1, v1asdf_bundle__x) /*  FIND-SYSTEM */;
   if (Null(v2asdf_bundle__s)) { goto L7; }
   if (Null(ecl_function_dispatch(cl_env_copy,VV[1074])(1, v1asdf_bundle__x) /*  SYSTEM-SOURCE-DIRECTORY */)) { goto L10; }
   value0 = ecl_list1(v2asdf_bundle__s);
   goto L5;
L10:;
   value0 = ECL_NIL;
   goto L5;
L7:;
   value0 = ECL_NIL;
  }
L5:;
  if ((value0)!=ECL_NIL) { goto L4; }
  {
   cl_object v2asdf_bundle__p;
   v2asdf_bundle__p = ecl_function_dispatch(cl_env_copy,VV[1647])(1, v1asdf_bundle__x) /*  SYSTEM-MODULE-PATHNAME */;
   if (Null(v2asdf_bundle__p)) { goto L13; }
   T0 = ecl_function_dispatch(cl_env_copy,VV[1649])(2, v1asdf_bundle__x, v2asdf_bundle__p) /*  MAKE-PREBUILT-SYSTEM */;
   value0 = ecl_list1(T0);
   cl_env_copy->nvalues = 1;
   return value0;
L13:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L4:;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function HAS-IT-P                                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1036has_it_p(volatile cl_object *lex0, cl_object v1asdf_bundle__x)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = si_make_seq_iterator(2, lex0[0], ecl_make_fixnum(0));
L2:;
   if ((v2)!=ECL_NIL) { goto L4; }
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L4:;
   {
    cl_object v3;
    v3 = si_seq_iterator_ref(lex0[0], v2);
    T0 = ecl_function_dispatch(cl_env_copy,VV[1100])(1, v3);
    if (Null(ecl_function_dispatch(cl_env_copy,ECL_SYM("EQUAL",335))(2, v1asdf_bundle__x, T0))) { goto L6; }
    value0 = v3;
    cl_env_copy->nvalues = 1;
    return value0;
   }
L6:;
   v2 = si_seq_iterator_next(lex0[0], v2);
   goto L2;
  }
 }
}
/*      local function G5983                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1041__g5983(cl_object v1asdf_operation_operation, cl_object v2asdf_concatenate_source__s)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3asdf_concatenate_source__encoding;
   value0 = ecl_function_dispatch(cl_env_copy,VV[1034])(1, v2asdf_concatenate_source__s) /*  COMPONENT-ENCODING */;
   if ((value0)!=ECL_NIL) { goto L3; }
   v3asdf_concatenate_source__encoding = ecl_symbol_value(VV[504]);
   goto L1;
L3:;
   v3asdf_concatenate_source__encoding = value0;
   goto L1;
L1:;
   {
    cl_object v4asdf_concatenate_source__other_encodings;
    v4asdf_concatenate_source__other_encodings = ECL_NIL;
    {
     cl_object v5asdf_component_around_compile;
     v5asdf_component_around_compile = ecl_function_dispatch(cl_env_copy,VV[1062])(1, v2asdf_concatenate_source__s) /*  AROUND-COMPILE-HOOK */;
     {
      cl_object v6asdf_concatenate_source__other_around_compile;
      v6asdf_concatenate_source__other_around_compile = ECL_NIL;
      {
       cl_object v7;
       cl_object v8asdf_concatenate_source__c;
       cl_object v9;
       T0 = ecl_function_dispatch(cl_env_copy,VV[1577])(1, v1asdf_operation_operation) /*  OPERATION-MONOLITHIC-P */;
       v7 = ecl_function_dispatch(cl_env_copy,VV[1190])(7, v2asdf_concatenate_source__s, VV[1335], VV[1258], VV[1582], VV[1255], VV[1579], T0) /*  REQUIRED-COMPONENTS */;
       v8asdf_concatenate_source__c = ECL_NIL;
       {
        cl_object v10;
        v10 = v7;
        if (ecl_unlikely(!ECL_LISTP(v10))) FEtype_error_list(v10);
        v9 = v10;
       }
       {
        cl_object v10;
        cl_object v11;
        cl_object v12asdf_concatenate_source__inputs;
        v10 = ecl_list1(ECL_NIL);
        v11 = v10;
        v12asdf_concatenate_source__inputs = ECL_NIL;
L16:;
        if (!(ecl_endp(v9))) { goto L18; }
        goto L17;
L18:;
        v8asdf_concatenate_source__c = _ecl_car(v9);
        {
         cl_object v13;
         v13 = _ecl_cdr(v9);
         if (ecl_unlikely(!ECL_LISTP(v13))) FEtype_error_list(v13);
         v9 = v13;
        }
        {
         cl_object v13;
         if (Null(si_of_class_p(2, v8asdf_concatenate_source__c, VV[1251]))) { goto L31; }
         {
          cl_object v14asdf_concatenate_source__e;
          v14asdf_concatenate_source__e = ecl_function_dispatch(cl_env_copy,VV[1034])(1, v8asdf_concatenate_source__c) /*  COMPONENT-ENCODING */;
          if (ecl_equal(v14asdf_concatenate_source__e,v3asdf_concatenate_source__encoding)) { goto L33; }
          {
          cl_object v15asdf_concatenate_source__a;
          v15asdf_concatenate_source__a = ecl_assql(v14asdf_concatenate_source__e,v4asdf_concatenate_source__other_encodings);
          if (Null(v15asdf_concatenate_source__a)) { goto L37; }
          {
          cl_object v16;
          cl_object v17;
          v16 = ecl_function_dispatch(cl_env_copy,VV[1043])(1, v8asdf_concatenate_source__c) /*  COMPONENT-FIND-PATH */;
          T1 = ecl_cdr(v15asdf_concatenate_source__a);
          v17 = CONS(v16,T1);
          {
          cl_object v18;
          v18 = v15asdf_concatenate_source__a;
          if (ecl_unlikely(ECL_ATOM(v18))) FEtype_error_cons(v18);
          T1 = v18;
          }
          (ECL_CONS_CDR(T1)=v17,T1);
          goto L33;
          }
L37:;
          T1 = ecl_function_dispatch(cl_env_copy,VV[1043])(1, v8asdf_concatenate_source__c) /*  COMPONENT-FIND-PATH */;
          T2 = cl_list(2, v15asdf_concatenate_source__a, T1);
          v4asdf_concatenate_source__other_encodings = CONS(T2,v4asdf_concatenate_source__other_encodings);
          }
         }
L33:;
         T1 = ecl_function_dispatch(cl_env_copy,VV[1062])(1, v8asdf_concatenate_source__c) /*  AROUND-COMPILE-HOOK */;
         if (ecl_equal(v5asdf_component_around_compile,T1)) { goto L46; }
         T1 = ecl_function_dispatch(cl_env_copy,VV[1043])(1, v8asdf_concatenate_source__c) /*  COMPONENT-FIND-PATH */;
         v6asdf_concatenate_source__other_around_compile = CONS(T1,v6asdf_concatenate_source__other_around_compile);
L46:;
         T1 = ecl_function_dispatch(cl_env_copy,VV[1181])(1, VV[1258]) /*  MAKE-OPERATION */;
         T0 = ecl_function_dispatch(cl_env_copy,VV[1231])(2, T1, v8asdf_concatenate_source__c) /*  INPUT-FILES */;
         goto L30;
L31:;
         T0 = ECL_NIL;
L30:;
         v13 = cl_copy_list(T0);
         {
          cl_object v14;
          v14 = v11;
          if (ecl_unlikely(ECL_ATOM(v14))) FEtype_error_cons(v14);
          T0 = v14;
         }
         (ECL_CONS_CDR(T0)=v13,T0);
         if (Null(v13)) { goto L27; }
        }
        T0 = ecl_cdr(v11);
        v11 = ecl_last(T0,1);
L27:;
        v12asdf_concatenate_source__inputs = ecl_cdr(v10);
        goto L16;
L17:;
        if (Null(v4asdf_concatenate_source__other_encodings)) { goto L57; }
        {
         cl_object v13;
         {
          cl_object v14;
          v14 = ecl_make_cfun((cl_objectfn_fixed)LC1040__g6001,ECL_NIL,Cblock,1);
          v13 = v14;
         }
         {
          cl_object v14;
          cl_object v15;
          v14 = ECL_NIL;
          {
          cl_object v16;
          v16 = v4asdf_concatenate_source__other_encodings;
          if (ecl_unlikely(!ECL_LISTP(v16))) FEtype_error_list(v16);
          v15 = v16;
          }
          {
          cl_object v16;
          cl_object v17;
          v16 = ecl_list1(ECL_NIL);
          v17 = v16;
L67:;
          if (!(ecl_endp(v15))) { goto L69; }
          goto L68;
L69:;
          v14 = _ecl_car(v15);
          {
          cl_object v18;
          v18 = _ecl_cdr(v15);
          if (ecl_unlikely(!ECL_LISTP(v18))) FEtype_error_list(v18);
          v15 = v18;
          }
          {
          cl_object v18;
          v18 = v17;
          if (ecl_unlikely(ECL_ATOM(v18))) FEtype_error_cons(v18);
          T1 = v18;
          }
          T2 = ecl_function_dispatch(cl_env_copy,v13)(1, v14);
          v17 = ecl_list1(T2);
          (ECL_CONS_CDR(T1)=v17,T1);
          goto L67;
L68:;
          T0 = ecl_cdr(v16);
          goto L59;
          }
         }
        }
L59:;
        (cl_env_copy->function=(ECL_SYM("WARN",903)->symbol.gfdef))->cfun.entry(4, VV[1668], v1asdf_operation_operation, v3asdf_concatenate_source__encoding, T0) /*  WARN */;
L57:;
        if (Null(v6asdf_concatenate_source__other_around_compile)) { goto L85; }
        (cl_env_copy->function=(ECL_SYM("WARN",903)->symbol.gfdef))->cfun.entry(4, VV[1669], v1asdf_operation_operation, v5asdf_component_around_compile, v6asdf_concatenate_source__other_around_compile) /*  WARN */;
L85:;
        value0 = v12asdf_concatenate_source__inputs;
        cl_env_copy->nvalues = 1;
        return value0;
        value0 = ECL_NIL;
        cl_env_copy->nvalues = 1;
        return value0;
       }
      }
     }
    }
   }
  }
 }
}
/*      local function G6004                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1042__g6004(cl_object v1asdf_concatenate_source__o, cl_object v2asdf_concatenate_source__s)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[1275])(2, v1asdf_concatenate_source__o, v2asdf_concatenate_source__s) /*  LISP-COMPILATION-OUTPUT-FILES */;
  return value0;
 }
}
/*      local function G6005                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1043__g6005(cl_object v1asdf_concatenate_source__o, cl_object v2asdf_concatenate_source__s)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3asdf_concatenate_source__ins;
   cl_object v4asdf_concatenate_source__out;
   cl_object v5asdf_concatenate_source__tmp;
   v3asdf_concatenate_source__ins = ecl_function_dispatch(cl_env_copy,VV[1231])(2, v1asdf_concatenate_source__o, v2asdf_concatenate_source__s) /*  INPUT-FILES */;
   v4asdf_concatenate_source__out = ecl_function_dispatch(cl_env_copy,VV[1233])(2, v1asdf_concatenate_source__o, v2asdf_concatenate_source__s) /*  OUTPUT-FILE */;
   v5asdf_concatenate_source__tmp = ecl_function_dispatch(cl_env_copy,VV[599])(1, v4asdf_concatenate_source__out) /*  TMPIZE-PATHNAME */;
   ecl_function_dispatch(cl_env_copy,VV[546])(2, v3asdf_concatenate_source__ins, v5asdf_concatenate_source__tmp) /*  CONCATENATE-FILES */;
   value0 = ecl_function_dispatch(cl_env_copy,VV[483])(2, v5asdf_concatenate_source__tmp, v4asdf_concatenate_source__out) /*  RENAME-FILE-OVERWRITING-TARGET */;
   return value0;
  }
 }
}
/*      local function G6006                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1044__g6006(cl_object v1asdf_concatenate_source__o, cl_object v2asdf_concatenate_source__s)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[1286])(2, v1asdf_concatenate_source__o, v2asdf_concatenate_source__s) /*  PERFORM-LISP-LOAD-SOURCE */;
  return value0;
 }
}
/*      local function G6007                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1045__g6007(cl_object v1asdf_concatenate_source__o, cl_object v2asdf_concatenate_source__s)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[1266])(2, v1asdf_concatenate_source__o, v2asdf_concatenate_source__s) /*  PERFORM-LISP-COMPILATION */;
  return value0;
 }
}
/*      local function G6008                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1046__g6008(cl_object v1asdf_concatenate_source__o, cl_object v2asdf_concatenate_source__s)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[1282])(2, v1asdf_concatenate_source__o, v2asdf_concatenate_source__s) /*  PERFORM-LISP-LOAD-FASL */;
  return value0;
 }
}
/*      local function G6001                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1040__g6001(cl_object v1asdf_concatenate_source__x)
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_car(v1asdf_concatenate_source__x);
  T1 = ecl_cdr(v1asdf_concatenate_source__x);
  T2 = cl_reverse(T1);
  T3 = ecl_list1(T2);
  value0 = CONS(T0,T3);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for INITIAL-PACKAGE-INFERRED-SYSTEMS-TABLE */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1047initial_package_inferred_systems_table()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v1asdf_package_inferred_system__h;
   v1asdf_package_inferred_system__h = cl_make_hash_table(2, ECL_SYM("TEST",1328), ECL_SYM("EQUAL",335));
   {
    cl_object v2;
    v2 = cl_list_all_packages();
    goto L6;
L5:;
    {
     cl_object v3asdf_package_inferred_system__p;
     v3asdf_package_inferred_system__p = ecl_car(v2);
     {
      cl_object v4;
      v4 = L31package_names(v3asdf_package_inferred_system__p);
      goto L14;
L13:;
      {
       cl_object v5asdf_package_inferred_system__n;
       v5asdf_package_inferred_system__n = ecl_car(v4);
       si_hash_set(v5asdf_package_inferred_system__n, v1asdf_package_inferred_system__h, ECL_T);
      }
      v4 = ecl_cdr(v4);
L14:;
      if (Null(v4)) { goto L21; }
      goto L13;
L21:;
     }
    }
    v2 = ecl_cdr(v2);
L6:;
    if (Null(v2)) { goto L25; }
    goto L5;
L25:;
   }
   value0 = v1asdf_package_inferred_system__h;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for DEFPACKAGE-FORM-P                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1048defpackage_form_p(cl_object v1asdf_package_inferred_system__form)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_CONSP(v1asdf_package_inferred_system__form))) { goto L2; }
  T0 = ecl_car(v1asdf_package_inferred_system__form);
  value0 = ecl_memql(T0,ecl_symbol_value(VV[1670]));
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for STREAM-DEFPACKAGE-FORM                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1049stream_defpackage_form(cl_object v1stream)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2asdf_package_inferred_system__form;
   v2asdf_package_inferred_system__form = ECL_NIL;
L2:;
   v2asdf_package_inferred_system__form = cl_read(3, v1stream, ECL_NIL, ECL_NIL);
   if ((v2asdf_package_inferred_system__form)!=ECL_NIL) { goto L6; }
   goto L3;
L6:;
   if (Null(ecl_function_dispatch(cl_env_copy,VV[1675])(1, v2asdf_package_inferred_system__form) /*  DEFPACKAGE-FORM-P */)) { goto L8; }
   value0 = v2asdf_package_inferred_system__form;
   cl_env_copy->nvalues = 1;
   return value0;
L8:;
   goto L2;
L3:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for FILE-DEFPACKAGE-FORM                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1051file_defpackage_form(cl_object v1asdf_package_inferred_system__file)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = ecl_make_cfun((cl_objectfn_fixed)LC1050__g6042,ECL_NIL,Cblock,1);
   T0 = v2;
  }
  value0 = ecl_function_dispatch(cl_env_copy,VV[528])(2, v1asdf_package_inferred_system__file, T0) /*  CALL-WITH-INPUT-FILE */;
  return value0;
 }
}
/*      local function G6043                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1053__g6043()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1052__g6044,ECL_NIL,Cblock,2);
   value0 = v1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for PACKAGE-DEPENDENCIES                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1055package_dependencies(cl_object v1asdf_package_inferred_system__defpackage_form)
{
 cl_object T0, T1, T2;
 volatile cl_object lex0[1];
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  goto L3;
L2:;
  si_assert_failure(1, VV[1681]);
L3:;
  if ((ecl_function_dispatch(cl_env_copy,VV[1675])(1, v1asdf_package_inferred_system__defpackage_form) /*  DEFPACKAGE-FORM-P */)!=ECL_NIL) { goto L6; }
  goto L2;
L6:;
  lex0[0] = ECL_NIL;
  {
   cl_object v2;
   cl_object v3asdf_package_inferred_system__option;
   cl_object v4asdf_package_inferred_system__arguments;
   cl_object v5;
   v2 = ecl_cddr(v1asdf_package_inferred_system__defpackage_form);
   v3asdf_package_inferred_system__option = ECL_NIL;
   v4asdf_package_inferred_system__arguments = ECL_NIL;
   {
    cl_object v6;
    v6 = v2;
    if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
    v5 = v6;
   }
L16:;
   if (!(ecl_endp(v5))) { goto L18; }
   goto L17;
L18:;
   {
    cl_object v6;
    v6 = _ecl_car(v5);
    v3asdf_package_inferred_system__option = ecl_car(v6);
    v6 = ecl_cdr(v6);
    v4asdf_package_inferred_system__arguments = v6;
   }
   {
    cl_object v6;
    v6 = _ecl_cdr(v5);
    if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
    v5 = v6;
   }
   {
    cl_object v6;
    v6 = v3asdf_package_inferred_system__option;
    if (Null(ecl_memql(v6,VV[1682]))) { goto L33; }
    {
     cl_object v7;
     v7 = v4asdf_package_inferred_system__arguments;
     goto L38;
L37:;
     {
      cl_object v8asdf_package_inferred_system__p;
      v8asdf_package_inferred_system__p = ecl_car(v7);
      T1 = cl_string(v8asdf_package_inferred_system__p);
      LC1054dep(lex0, T1);
     }
     v7 = ecl_cdr(v7);
L38:;
     if (Null(v7)) { goto L45; }
     goto L37;
L45:;
     goto L31;
    }
L33:;
    if (!(ecl_eql(v6,ECL_SYM("IMPORT-FROM",1260)))) { goto L52; }
    goto L49;
    goto L50;
L52:;
    goto L50;
L50:;
    if (!(ecl_eql(v6,VV[66]))) { goto L47; }
    goto L48;
L49:;
L48:;
    T1 = ecl_car(v4asdf_package_inferred_system__arguments);
    T2 = cl_string(T1);
    LC1054dep(lex0, T2);
    goto L31;
L47:;
    if ((ecl_memql(v6,VV[1685]))!=ECL_NIL) { goto L31; }
    si_ecase_error(v3asdf_package_inferred_system__option, VV[1686]);
   }
L31:;
   goto L16;
L17:;
  }
  T0 = cl_reverse(lex0[0]);
  value0 = cl_remove_duplicates(5, T0, VV[52], ECL_T, ECL_SYM("TEST",1328), ECL_SYM("EQUAL",335));
  return value0;
 }
}
/*      function definition for PACKAGE-DESIGNATOR-NAME               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1056package_designator_name(cl_object v1package)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(cl_packagep(v1package))) { goto L1; }
  value0 = cl_package_name(v1package);
  return value0;
L1:;
  if (!(ECL_STRINGP(v1package))) { goto L3; }
  value0 = v1package;
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  if (!(ECL_SYMBOLP(v1package))) { goto L5; }
  value0 = cl_string(v1package);
  return value0;
L5:;
  value0 = si_etypecase_error(v1package, VV[1688]);
  return value0;
 }
}
/*      function definition for REGISTER-SYSTEM-PACKAGES              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1057register_system_packages(cl_object v1asdf_system_system, cl_object v2asdf_package_inferred_system__packages)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3asdf_component_name;
   value0 = ecl_make_bool((v1asdf_system_system)==(ECL_T));
   if ((value0)!=ECL_NIL) { goto L3; }
   v3asdf_component_name = ecl_function_dispatch(cl_env_copy,VV[1100])(1, v1asdf_system_system) /*  COERCE-NAME */;
   goto L1;
L3:;
   v3asdf_component_name = value0;
   goto L1;
L1:;
   {
    cl_object v4;
    v4 = ecl_function_dispatch(cl_env_copy,VV[161])(1, v2asdf_package_inferred_system__packages) /*  ENSURE-LIST */;
    goto L8;
L7:;
    {
     cl_object v5asdf_package_inferred_system__p;
     v5asdf_package_inferred_system__p = ecl_car(v4);
     T0 = ecl_function_dispatch(cl_env_copy,VV[1687])(1, v5asdf_package_inferred_system__p) /*  PACKAGE-DESIGNATOR-NAME */;
     si_hash_set(T0, ecl_symbol_value(VV[1672]), v3asdf_component_name);
    }
    v4 = ecl_cdr(v4);
L8:;
    if (Null(v4)) { goto L15; }
    goto L7;
L15:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for PACKAGE-NAME-SYSTEM                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1058package_name_system(cl_object v1package_name)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = v1package_name;
   if (ECL_STRINGP(v2)) { goto L3; }
   v1package_name = si_do_check_type(v2, ECL_SYM("STRING",805), ECL_NIL, ECL_SYM("PACKAGE-NAME",620));
L3:;
  }
  {
   cl_object v2asdf_package_inferred_system__system_name;
   v2asdf_package_inferred_system__system_name = ecl_gethash_safe(v1package_name,ecl_symbol_value(VV[1672]),ECL_NIL);
   if (Null(v2asdf_package_inferred_system__system_name)) { goto L7; }
   value0 = v2asdf_package_inferred_system__system_name;
   cl_env_copy->nvalues = 1;
   return value0;
L7:;
   value0 = cl_string_downcase(1, v1package_name);
   return value0;
  }
 }
}
/*      function definition for PACKAGE-INFERRED-SYSTEM-FILE-DEPENDENCIES */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1059package_inferred_system_file_dependencies(cl_narg narg, cl_object v1asdf_package_inferred_system__file, ...)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2asdf_system_system;
  va_list args; va_start(args,v1asdf_package_inferred_system__file);
  {
   int i = 1;
   if (i >= narg) {
    v2asdf_system_system = ECL_NIL;
   } else {
    i++;
    v2asdf_system_system = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object v3asdf_package_inferred_system__defpackage_form;
   v3asdf_package_inferred_system__defpackage_form = ecl_function_dispatch(cl_env_copy,VV[1677])(1, v1asdf_package_inferred_system__file) /*  FILE-DEFPACKAGE-FORM */;
   if (Null(v3asdf_package_inferred_system__defpackage_form)) { goto L3; }
   {
    cl_object v4;
    cl_object v5;
    cl_object v6;
    v4 = ecl_function_dispatch(cl_env_copy,VV[1680])(1, v3asdf_package_inferred_system__defpackage_form) /*  PACKAGE-DEPENDENCIES */;
    v5 = ECL_NIL;
    {
     cl_object v7;
     v7 = v4;
     if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
     v6 = v7;
    }
    {
     cl_object v7;
     cl_object v8;
     v7 = ecl_list1(ECL_NIL);
     v8 = v7;
L13:;
     if (!(ecl_endp(v6))) { goto L15; }
     goto L14;
L15:;
     v5 = _ecl_car(v6);
     {
      cl_object v9;
      v9 = _ecl_cdr(v6);
      if (ecl_unlikely(!ECL_LISTP(v9))) FEtype_error_list(v9);
      v6 = v9;
     }
     {
      cl_object v9;
      v9 = v8;
      if (ecl_unlikely(ECL_ATOM(v9))) FEtype_error_cons(v9);
      T1 = v9;
     }
     T2 = ecl_function_dispatch(cl_env_copy,VV[1690])(1, v5);
     v8 = ecl_list1(T2);
     (ECL_CONS_CDR(T1)=v8,T1);
     goto L13;
L14:;
     T0 = ecl_cdr(v7);
     goto L5;
    }
   }
L5:;
   value0 = cl_remove(2, ECL_T, T0);
   return value0;
L3:;
   value0 = cl_error(5, VV[1678], VV[1330], v2asdf_system_system, ECL_SYM("PATHNAME",1297), v1asdf_package_inferred_system__file);
   return value0;
  }
 }
}
/*      function definition for SAME-PACKAGE-INFERRED-SYSTEM-P        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1060same_package_inferred_system_p(cl_object v1asdf_system_system, cl_object v2asdf_component_name, cl_object v3directory, cl_object v4asdf_package_inferred_system__subpath, cl_object v5asdf_component_around_compile, cl_object v6asdf_package_inferred_system__dependencies)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_type_of(v1asdf_system_system);
  if (!((T0)==(VV[1673]))) { goto L2; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[1029])(1, v1asdf_system_system) /*  COMPONENT-NAME */;
  if (!(ecl_equal(T0,v2asdf_component_name))) { goto L2; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[1031])(1, v1asdf_system_system) /*  COMPONENT-PATHNAME */;
  if (Null(ecl_function_dispatch(cl_env_copy,VV[321])(2, v3directory, T0) /*  PATHNAME-EQUAL */)) { goto L2; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[2440])(1, v1asdf_system_system) /*  COMPONENT-SIDEWAY-DEPENDENCIES */;
  if (!(ecl_equal(v6asdf_package_inferred_system__dependencies,T0))) { goto L2; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[1062])(1, v1asdf_system_system) /*  AROUND-COMPILE-HOOK */;
  if (!(ecl_equal(v5asdf_component_around_compile,T0))) { goto L2; }
  {
   cl_object v7asdf_component_children;
   v7asdf_component_children = ecl_function_dispatch(cl_env_copy,VV[2362])(1, v1asdf_system_system) /*  COMPONENT-CHILDREN */;
   if (Null(ecl_function_dispatch(cl_env_copy,VV[158])(2, v7asdf_component_children, ecl_make_fixnum(1)) /*  LENGTH=N-P */)) { goto L10; }
   {
    cl_object v8asdf_package_inferred_system__child;
    v8asdf_package_inferred_system__child = ecl_car(v7asdf_component_children);
    T0 = cl_type_of(v8asdf_package_inferred_system__child);
    if (!((T0)==(VV[1251]))) { goto L14; }
    T0 = ecl_function_dispatch(cl_env_copy,VV[1029])(1, v8asdf_package_inferred_system__child) /*  COMPONENT-NAME */;
    if (!(ecl_equal(T0,VV[876]))) { goto L14; }
    if (Null(cl_slot_boundp(v8asdf_package_inferred_system__child, VV[1061]))) { goto L18; }
    T0 = cl_slot_value(v8asdf_package_inferred_system__child, VV[1061]);
    value0 = ecl_make_bool(ecl_equal(T0,v4asdf_package_inferred_system__subpath));
    cl_env_copy->nvalues = 1;
    return value0;
L18:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
L14:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
L10:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SYSDEF-PACKAGE-INFERRED-SYSTEM-SEARCH */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1061sysdef_package_inferred_system_search(cl_object v1asdf_system_system)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2asdf_package_inferred_system__primary;
   v2asdf_package_inferred_system__primary = ecl_function_dispatch(cl_env_copy,VV[1102])(1, v1asdf_system_system) /*  PRIMARY-SYSTEM-NAME */;
   if (ecl_equal(v2asdf_package_inferred_system__primary,v1asdf_system_system)) { goto L2; }
   {
    cl_object v3asdf_package_inferred_system__top;
    v3asdf_package_inferred_system__top = ecl_function_dispatch(cl_env_copy,VV[1067])(2, v2asdf_package_inferred_system__primary, ECL_NIL) /*  FIND-SYSTEM */;
    if (Null(si_of_class_p(2, v3asdf_package_inferred_system__top, VV[1673]))) { goto L5; }
    {
     cl_object v4asdf_package_inferred_system__dir;
     v4asdf_package_inferred_system__dir = ecl_function_dispatch(cl_env_copy,VV[1031])(1, v3asdf_package_inferred_system__top) /*  COMPONENT-PATHNAME */;
     if (Null(v4asdf_package_inferred_system__dir)) { goto L8; }
     {
      cl_object v5asdf_package_inferred_system__sub;
      cl_object v6asdf_package_inferred_system__f;
      {
       cl_fixnum v7;
       v7 = ecl_length(v2asdf_package_inferred_system__primary);
       T0 = ecl_make_integer((v7)+1);
       v5asdf_package_inferred_system__sub = cl_subseq(2, v1asdf_system_system, T0);
      }
      T0 = ecl_function_dispatch(cl_env_copy,VV[373])(4, v4asdf_package_inferred_system__dir, v5asdf_package_inferred_system__sub, ECL_SYM("TYPE",1330), VV[876]) /*  SUBPATHNAME */;
      v6asdf_package_inferred_system__f = ecl_function_dispatch(cl_env_copy,VV[410])(3, T0, VV[419], ecl_symbol_value(VV[432])) /*  PROBE-FILE* */;
      if (Null(ecl_function_dispatch(cl_env_copy,VV[329])(1, v6asdf_package_inferred_system__f) /*  FILE-PATHNAME-P */)) { goto L12; }
      {
       cl_object v7;
       cl_object v8;
       cl_object v9;
       v7 = ecl_function_dispatch(cl_env_copy,VV[1691])(2, v6asdf_package_inferred_system__f, v1asdf_system_system) /*  PACKAGE-INFERRED-SYSTEM-FILE-DEPENDENCIES */;
       v8 = ecl_function_dispatch(cl_env_copy,VV[1107])(1, v1asdf_system_system) /*  REGISTERED-SYSTEM */;
       v9 = ecl_function_dispatch(cl_env_copy,VV[1062])(1, v3asdf_package_inferred_system__top) /*  AROUND-COMPILE-HOOK */;
       if (Null(ecl_function_dispatch(cl_env_copy,VV[1692])(6, v8, v1asdf_system_system, v4asdf_package_inferred_system__dir, v5asdf_package_inferred_system__sub, v9, v7) /*  SAME-PACKAGE-INFERRED-SYSTEM-P */)) { goto L17; }
       value0 = v8;
       cl_env_copy->nvalues = 1;
       return value0;
L17:;
       T0 = cl_list(4, VV[1251], VV[876], ECL_SYM("PATHNAME",1297), v5asdf_package_inferred_system__sub);
       T1 = ecl_list1(T0);
       T2 = cl_list(14, VV[1563], v1asdf_system_system, VV[1115], VV[1673], VV[1116], ECL_NIL, ECL_SYM("PATHNAME",1297), v4asdf_package_inferred_system__dir, VV[1544], v7, VV[1694], v9, VV[1538], T1);
       value0 = cl_eval(T2);
       return value0;
      }
L12:;
      value0 = ECL_NIL;
      cl_env_copy->nvalues = 1;
      return value0;
     }
L8:;
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 1;
     return value0;
    }
L5:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
L2:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G6042                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1050__g6042(cl_object v1asdf_package_inferred_system__f)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[1676])(1, v1asdf_package_inferred_system__f) /*  STREAM-DEFPACKAGE-FORM */;
  return value0;
 }
}
/*      local function G6044                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1052__g6044(cl_object v1asdf_package_inferred_system__c, cl_object v2asdf_package_inferred_system__s)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[2639])(1, v1asdf_package_inferred_system__c) /*  ERROR-SYSTEM */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[2415])(1, v1asdf_package_inferred_system__c) /*  ERROR-PATHNAME */;
  value0 = cl_format(4, v2asdf_package_inferred_system__s, VV[1679], T0, T1);
  return value0;
 }
}
/*      local function DEP                                            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1054dep(volatile cl_object *lex0, cl_object v1uiop_utility__x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  lex0[0] = CONS(v1uiop_utility__x,lex0[0]);
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 0;
  return value0;
 }
}
/*      function definition for LOAD-SYSDEF                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1062load_sysdef(cl_object v1asdf_backward_internals__name, cl_object v2pathname)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_error(1, VV[1698]);
  return value0;
 }
}
/*      local function G6110                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1064__g6110()
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1063__g6111,ECL_NIL,Cblock,2);
   value0 = v1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for COMPONENT-LOAD-DEPENDENCIES           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1065component_load_dependencies(cl_object v1asdf_component_component)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[2440])(1, v1asdf_component_component) /*  COMPONENT-SIDEWAY-DEPENDENCIES */;
  return value0;
 }
}
/*      local function G6112                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1066__g6112(cl_object v1asdf_backward_interface__o)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[1185])(1, v1asdf_backward_interface__o) /*  OPERATION-ORIGINAL-INITARGS */;
  value0 = cl_getf(2, T0, VV[1706]);
  return value0;
 }
}
/*      local function G6113                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1067__g6113(cl_object v1asdf_backward_interface__o)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_symbol_value(VV[798]);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G6114                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1068__g6114(cl_object v1asdf_backward_interface__o)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_symbol_value(VV[800]);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G6119                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1069__g6119(cl_object v1asdf_backward_interface__x, cl_object v2asdf_backward_interface__o)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  cl_set(VV[798],v1asdf_backward_interface__x);
  value0 = ecl_symbol_value(VV[798]);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G6125                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1070__g6125(cl_object v1asdf_backward_interface__x, cl_object v2asdf_backward_interface__o)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  cl_set(VV[800],v1asdf_backward_interface__x);
  value0 = ecl_symbol_value(VV[800]);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SYSTEM-DEFINITION-PATHNAME            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1071system_definition_pathname(cl_object v1asdf_backward_interface__x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[1068])(1, v1asdf_backward_interface__x) /*  SYSTEM-SOURCE-FILE */;
  return value0;
 }
}
/*      local function G6129                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1072__g6129(cl_narg narg, cl_object v1asdf_operation_operation, cl_object v2asdf_component_component, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3;
  ecl_va_list args; ecl_va_start(args,v2asdf_component_component,narg,2);
  cl_parse_key(args,0,NULL,NULL,(cl_object*)&v3,TRUE);
  ecl_va_end(args);
  {
   cl_object v4asdf_component_component;
   v4asdf_component_component = ecl_function_dispatch(cl_env_copy,VV[1167])(2, ECL_NIL, v2asdf_component_component) /*  FIND-COMPONENT */;
   T0 = ecl_function_dispatch(cl_env_copy,VV[518])(3, v1asdf_operation_operation, ECL_SYM("PACKAGE",1296), VV[1182]) /*  SAFE-READ-FROM-STRING */;
   value0 = cl_apply(4, VV[1710], T0, v4asdf_component_component, v3);
   return value0;
  }
 }
}
/*      local function G6130                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1073__g6130(cl_narg narg, cl_object v1asdf_operation_operation, cl_object v2asdf_component_component, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3;
  ecl_va_list args; ecl_va_start(args,v2asdf_component_component,narg,2);
  cl_parse_key(args,0,NULL,NULL,(cl_object*)&v3,TRUE);
  ecl_va_end(args);
  if (Null(v1asdf_operation_operation)) { goto L1; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[1181])(1, v1asdf_operation_operation) /*  MAKE-OPERATION */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[1167])(2, ECL_NIL, v2asdf_component_component) /*  FIND-COMPONENT */;
  if ((value0)!=ECL_NIL) { goto L5; }
  T1 = ECL_NIL;
  goto L3;
L5:;
  T1 = value0;
  goto L3;
L3:;
  value0 = cl_apply(4, VV[1710], T0, T1, v3);
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G6131                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1074__g6131(cl_narg narg, cl_object v1asdf_operation_operation, cl_object v2asdf_component_component, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3;
  ecl_va_list args; ecl_va_start(args,v2asdf_component_component,narg,2);
  cl_parse_key(args,0,NULL,NULL,(cl_object*)&v3,TRUE);
  ecl_va_end(args);
  if (Null(si_of_class_p(2, v2asdf_component_component, VV[1042]))) { goto L1; }
  T0 = CONS(v1asdf_operation_operation,v2asdf_component_component);
  value0 = cl_error(3, VV[1206], VV[1710], T0);
  return value0;
L1:;
  {
   cl_object v4;
   v4 = ecl_function_dispatch(cl_env_copy,VV[1167])(2, ECL_NIL, v2asdf_component_component) /*  FIND-COMPONENT */;
   if (Null(v4)) { goto L4; }
   value0 = cl_apply(4, VV[1710], v1asdf_operation_operation, v4, v3);
   return value0;
L4:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G6132                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1075__g6132(cl_narg narg, cl_object v1asdf_backward_interface__o, cl_object v2asdf_backward_interface__c, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3asdf_backward_interface__keys;
  cl_object v4asdf_backward_interface__plan_class;
  ecl_va_list args; ecl_va_start(args,v2asdf_backward_interface__c,narg,2);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,LC1075__g6132keys,keyvars,(cl_object*)&v3asdf_backward_interface__keys,TRUE);
   ecl_va_end(args);
   v4asdf_backward_interface__plan_class = keyvars[0];
  }
  T0 = cl_apply(5, VV[1326], v4asdf_backward_interface__plan_class, v1asdf_backward_interface__o, v2asdf_backward_interface__c, v3asdf_backward_interface__keys);
  value0 = ecl_function_dispatch(cl_env_copy,VV[1317])(1, T0) /*  PLAN-ACTIONS */;
  return value0;
 }
}
/*      local function G6111                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1063__g6111(cl_object v1asdf_backward_interface__c, cl_object v2asdf_backward_interface__s)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_type_of(v1asdf_backward_interface__c);
  T1 = ecl_function_dispatch(cl_env_copy,VV[2643])(1, v1asdf_backward_interface__c) /*  ERROR-OPERATION */;
  T2 = ecl_function_dispatch(cl_env_copy,VV[2644])(1, v1asdf_backward_interface__c) /*  ERROR-COMPONENT */;
  value0 = cl_format(5, v2asdf_backward_interface__s, VV[1700], T0, T1, T2);
  return value0;
 }
}
/*      function definition for ENABLE-ASDF-BINARY-LOCATIONS-COMPATIBILITY */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1076enable_asdf_binary_locations_compatibility(cl_narg narg, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1asdf_backward_interface__centralize_lisp_binaries;
  cl_object v2asdf_backward_interface__default_toplevel_directory;
  cl_object v3asdf_backward_interface__include_per_user_information;
  cl_object v4asdf_backward_interface__map_all_source_files;
  cl_object v5asdf_backward_interface__source_to_target_mappings;
  cl_object v6asdf_backward_interface__file_types;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[12];
   cl_parse_key(args,6,L1076enable_asdf_binary_locations_compatibilitykeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v1asdf_backward_interface__centralize_lisp_binaries = keyvars[0];
   if (Null(keyvars[7])) {
    T0 = cl_user_homedir_pathname(0);
    v2asdf_backward_interface__default_toplevel_directory = ecl_function_dispatch(cl_env_copy,VV[373])(2, T0, VV[1712]) /*  SUBPATHNAME */;
   } else {
    v2asdf_backward_interface__default_toplevel_directory = keyvars[1];
   }
   v3asdf_backward_interface__include_per_user_information = keyvars[2];
   if (Null(keyvars[9])) {
    value0 = ECL_T;
    if ((value0)!=ECL_NIL) { goto L4; }
    v4asdf_backward_interface__map_all_source_files = ECL_NIL;
    goto L2;
L4:;
    v4asdf_backward_interface__map_all_source_files = value0;
    goto L2;
L2:;
   } else {
    v4asdf_backward_interface__map_all_source_files = keyvars[3];
   }
   v5asdf_backward_interface__source_to_target_mappings = keyvars[4];
   if (Null(keyvars[11])) {
    T0 = ecl_function_dispatch(cl_env_copy,VV[877])(0) /*  COMPILE-FILE-TYPE */;
    v6asdf_backward_interface__file_types = CONS(T0,VV[1713]);
   } else {
    v6asdf_backward_interface__file_types = keyvars[5];
   }
  }
  if (!(v4asdf_backward_interface__map_all_source_files==ECL_NIL)) { goto L7; }
  cl_error(1, VV[1714]);
L7:;
  {
   cl_object v7asdf_backward_interface__patterns;
   cl_object v8asdf_backward_interface__destination_directory;
   if (Null(v4asdf_backward_interface__map_all_source_files)) { goto L10; }
   v7asdf_backward_interface__patterns = ecl_list1(ecl_symbol_value(VV[391]));
   goto L9;
L10:;
   {
    cl_object v9type;
    cl_object v10;
    v9type = ECL_NIL;
    {
     cl_object v11;
     v11 = v6asdf_backward_interface__file_types;
     if (ecl_unlikely(!ECL_LISTP(v11))) FEtype_error_list(v11);
     v10 = v11;
    }
    {
     cl_object v11;
     cl_object v12;
     v11 = ecl_list1(ECL_NIL);
     v12 = v11;
L18:;
     if (!(ecl_endp(v10))) { goto L20; }
     goto L19;
L20:;
     v9type = _ecl_car(v10);
     {
      cl_object v13;
      v13 = _ecl_cdr(v10);
      if (ecl_unlikely(!ECL_LISTP(v13))) FEtype_error_list(v13);
      v10 = v13;
     }
     {
      cl_object v13;
      v13 = v12;
      if (ecl_unlikely(ECL_ATOM(v13))) FEtype_error_cons(v13);
      T0 = v13;
     }
     T1 = cl_make_pathname(4, ECL_SYM("TYPE",1330), v9type, ECL_SYM("DEFAULTS",1226), ecl_symbol_value(VV[391]));
     v12 = ecl_list1(T1);
     (ECL_CONS_CDR(T0)=v12,T0);
     goto L18;
L19:;
     v7asdf_backward_interface__patterns = ecl_cdr(v11);
     goto L9;
    }
   }
L9:;
   if (Null(v1asdf_backward_interface__centralize_lisp_binaries)) { goto L36; }
   if (Null(v3asdf_backward_interface__include_per_user_information)) { goto L39; }
   T1 = cl_user_homedir_pathname(0);
   T2 = cl_pathname_directory(1, T1);
   T0 = ecl_cdr(T2);
   goto L38;
L39:;
   T0 = ECL_NIL;
L38:;
   T1 = cl_list(2, VV[993], ecl_symbol_value(VV[394]));
   T2 = ecl_append(T0,T1);
   v8asdf_backward_interface__destination_directory = CONS(v2asdf_backward_interface__default_toplevel_directory,T2);
   goto L35;
L36:;
   v8asdf_backward_interface__destination_directory = cl_list(3, VV[938], ecl_symbol_value(VV[394]), VV[993]);
L35:;
   {
    cl_object v9asdf_backward_interface__pattern;
    cl_object v10;
    v9asdf_backward_interface__pattern = ECL_NIL;
    {
     cl_object v11;
     v11 = v7asdf_backward_interface__patterns;
     if (ecl_unlikely(!ECL_LISTP(v11))) FEtype_error_list(v11);
     v10 = v11;
    }
    {
     cl_object v11;
     cl_object v12;
     v11 = ecl_list1(ECL_NIL);
     v12 = v11;
L48:;
     if (!(ecl_endp(v10))) { goto L50; }
     goto L49;
L50:;
     v9asdf_backward_interface__pattern = _ecl_car(v10);
     {
      cl_object v13;
      v13 = _ecl_cdr(v10);
      if (ecl_unlikely(!ECL_LISTP(v13))) FEtype_error_list(v13);
      v10 = v13;
     }
     {
      cl_object v13;
      v13 = v12;
      if (ecl_unlikely(ECL_ATOM(v13))) FEtype_error_cons(v13);
      T1 = v13;
     }
     T2 = cl_list(3, VV[938], ecl_symbol_value(VV[394]), v9asdf_backward_interface__pattern);
     T3 = ecl_list1(v9asdf_backward_interface__pattern);
     T4 = ecl_append(v8asdf_backward_interface__destination_directory,T3);
     T5 = cl_list(2, T2, T4);
     v12 = ecl_list1(T5);
     (ECL_CONS_CDR(T1)=v12,T1);
     goto L48;
L49:;
     T0 = ecl_cdr(v11);
     goto L41;
    }
   }
L41:;
   T1 = cl_append(3, v5asdf_backward_interface__source_to_target_mappings, T0, VV[1715]);
   T2 = CONS(VV[1376],T1);
   value0 = ecl_function_dispatch(cl_env_copy,VV[1415])(1, T2) /*  INITIALIZE-OUTPUT-TRANSLATIONS */;
   return value0;
  }
 }
}
/*      local function G6155                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1077__g6155(cl_narg narg, cl_object v1asdf_backward_interface__operation_class, cl_object v2asdf_system_system, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  ecl_va_list args; ecl_va_start(args,v2asdf_system_system,narg,2);
  cl_parse_key(args,0,NULL,NULL,NULL,TRUE);
  ecl_va_end(args);
  if (Null(L2find_symbol_(3, VV[1716], VV[1001], ECL_NIL))) { goto L1; }
  value0 = cl_error(1, VV[1717]);
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for RUN-SHELL-COMMAND                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1079run_shell_command(volatile cl_narg narg, cl_object volatile v1asdf_backward_interface__control_string, ...)
{
 cl_object T0, T1, T2, T3;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v2asdf_backward_interface__args;
  ecl_va_list args; ecl_va_start(args,v1asdf_backward_interface__control_string,narg,1);
  v2asdf_backward_interface__args = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   volatile cl_object v3asdf_backward_interface__command;
   v3asdf_backward_interface__command = cl_apply(4, ECL_SYM("FORMAT",387), ECL_NIL, v1asdf_backward_interface__control_string, v2asdf_backward_interface__args);
   ecl_function_dispatch(cl_env_copy,VV[1010])(2, VV[1719], v3asdf_backward_interface__command) /*  ASDF-MESSAGE */;
   {
    volatile cl_object v4asdf_backward_interface__exit_code;
    {
     volatile cl_object env1 = env0;
     env1 = ECL_NIL;
     CLV0 = env1 = CONS(ECL_NIL,env1);
     {
      volatile cl_object env2 = env1;
      CLV1 = env2 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
      if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
      if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L4;
      ecl_internal_error("GO found an inexistent tag");
      }
      {
       cl_object v5;
       v5 = ecl_make_cclosure_va((cl_objectfn)LC1078__g6167,env2,Cblock);
       T0 = v5;
      }
      T1 = CONS(ECL_SYM("ERROR",337),T0);
      T2 = ecl_list1(T1);
      T3 = CONS(T2,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
      ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T3); /*  *HANDLER-CLUSTERS* */
      {
       struct ecl_stack_frame _ecl_inner_frame_aux;
       cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
       {
        cl_object v5;
        v5 = _ecl_inner_frame;
        {
         cl_object v6;
         v6 = ECL_SYM("LIST",481);
         cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,VV[759])(7, v3asdf_backward_interface__command, VV[1720], ECL_T, VV[780], ECL_T, ECL_SYM("OUTPUT",1294), ecl_symbol_value(VV[1009])) /*  RUN-PROGRAM */;
         ecl_stack_frame_push_values(v5);cl_env_copy->values[0]=ecl_apply_from_stack_frame(v5,v6);
         value0 = cl_env_copy->values[0];
        }
       }
       ecl_stack_frame_close(_ecl_inner_frame);
      }
      T0 = value0;
      value0 = ecl_caddr(T0);
      cl_env_copy->nvalues = 1;
      ecl_frs_pop(cl_env_copy);
      v4asdf_backward_interface__exit_code = value0;
      ecl_bds_unwind1(cl_env_copy);
      goto L3;
L4:;
      {
       cl_object v5condition;
       v5condition = ECL_CONS_CAR(CLV0);
       cl_env_copy->nvalues = 2;
       cl_env_copy->values[1] = v5condition;
       cl_env_copy->values[0] = ECL_NIL;
       value0 = cl_env_copy->values[0];
       ecl_frs_pop(cl_env_copy);
       v4asdf_backward_interface__exit_code = value0;
       goto L3;
      }
     }
    }
L3:;
    {
     cl_fixnum v5;
     v5 = 0;
     if (!(ECL_FIXNUMP(v4asdf_backward_interface__exit_code))) { goto L15; }
     v5 = ecl_fixnum(v4asdf_backward_interface__exit_code);
     if (!((v5)<=(255))) { goto L15; }
     if (!((v5)>=(0))) { goto L15; }
    }
    value0 = v4asdf_backward_interface__exit_code;
    cl_env_copy->nvalues = 1;
    return value0;
L15:;
    value0 = ecl_make_fixnum(255);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      closure G6167                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1078__g6167(cl_narg narg, cl_object v1si__temp, ...)
{
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  TAGBODY         */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV0) = v1si__temp;
  cl_go(ECL_CONS_CAR(CLV1),ecl_make_fixnum(0));
 }
 }
}
/*      local function G6176                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1080__g6176(cl_object v1asdf_backward_interface__c, cl_object v2asdf_backward_interface__property)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T1 = cl_slot_value(v1asdf_backward_interface__c, VV[1723]);
  T0 = ecl_assoc(v2asdf_backward_interface__property,T1);
  value0 = ecl_cdr(T0);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G6197                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1081__g6197(cl_object v1asdf_backward_interface__new_value, cl_object v2asdf_backward_interface__c, cl_object v3asdf_backward_interface__property)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v4asdf_backward_interface__a;
   T0 = cl_slot_value(v2asdf_backward_interface__c, VV[1723]);
   v4asdf_backward_interface__a = ecl_assoc(v3asdf_backward_interface__property,T0);
   if (Null(v4asdf_backward_interface__a)) { goto L3; }
   {
    cl_object v5;
    v5 = v1asdf_backward_interface__new_value;
    {
     cl_object v6;
     v6 = v4asdf_backward_interface__a;
     if (ecl_unlikely(ECL_ATOM(v6))) FEtype_error_cons(v6);
     T0 = v6;
    }
    (ECL_CONS_CDR(T0)=v5,T0);
    goto L1;
   }
L3:;
   {
    cl_object v6;
    T0 = cl_slot_value(v2asdf_backward_interface__c, VV[1723]);
    v6 = cl_acons(v3asdf_backward_interface__property, v1asdf_backward_interface__new_value, T0);
    (cl_env_copy->function=ECL_CONS_CAR(VV[2231]))->cfun.entry(3, v6, v2asdf_backward_interface__c, VV[1723]) /*  (SETF SLOT-VALUE) */;
   }
  }
L1:;
  value0 = v1asdf_backward_interface__new_value;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for WRAP-MODULE-PROVIDER                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1082wrap_module_provider(cl_object v1provider, cl_object v2name)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3results;
   {
    struct ecl_stack_frame _ecl_inner_frame_aux;
    cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
    {
     cl_object v4;
     v4 = _ecl_inner_frame;
     {
      cl_object v5;
      v5 = ECL_SYM("LIST",481);
      cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,v1provider)(1, v2name);
      ecl_stack_frame_push_values(v4);cl_env_copy->values[0]=ecl_apply_from_stack_frame(v4,v5);
      value0 = cl_env_copy->values[0];
     }
    }
    ecl_stack_frame_close(_ecl_inner_frame);
   }
   v3results = value0;
   if (Null(ecl_car(v3results))) { goto L7; }
   T0 = ecl_function_dispatch(cl_env_copy,VV[1100])(1, v2name) /*  COERCE-NAME */;
   ecl_function_dispatch(cl_env_copy,VV[1121])(1, T0) /*  REGISTER-PRELOADED-SYSTEM */;
L7:;
   value0 = cl_values_list(v3results);
   return value0;
  }
 }
}
/*      function definition for WRAP-MODULE-PROVIDER-FUNCTION         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1084wrap_module_provider_function(cl_object v1provider)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1provider,env0);            /*  PROVIDER        */
  T0 = ecl_symbol_value(VV[1724]);
  {
   cl_object v2;
   v2 = ecl_make_cclosure_va((cl_objectfn)LC1083__g6213,env0,Cblock);
   T1 = v2;
  }
  T2 = cl_constantly(T1);
  value0 = ecl_function_dispatch(cl_env_copy,VV[220])(3, ECL_CONS_CAR(CLV0), T0, T2) /*  ENSURE-GETHASH */;
  return value0;
 }
}
/*      closure G6213                                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1083__g6213(cl_narg narg, cl_object v1module_name, ...)
{
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  PROVIDER        */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = L1082wrap_module_provider(ECL_CONS_CAR(CLV0), v1module_name);
  return value0;
 }
 }
}

#include "ext/asdf.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclLoWkIob7_yWGAP531(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("EXT:ASDF;ASDF.LISP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = (const cl_object *)"@EcLtAg:_eclLoWkIob7_yWGAP531@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
  ecl_function_dispatch(cl_env_copy,VV[1727])(11, _ecl_static_0, ECL_NIL, ECL_NIL, ECL_NIL, VVtemp[0], ECL_NIL, ECL_NIL, VVtemp[1], ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
  si_select_package(_ecl_static_0);
  ecl_cmp_defun(VV[1728]);                        /*  FIND-PACKAGE*   */
  ecl_cmp_defun(VV[1729]);                        /*  FIND-SYMBOL*    */
  ecl_cmp_defun(VV[1730]);                        /*  SYMBOL-CALL     */
  ecl_cmp_defun(VV[1731]);                        /*  INTERN*         */
  ecl_cmp_defun(VV[1732]);                        /*  EXPORT*         */
  ecl_cmp_defun(VV[1733]);                        /*  IMPORT*         */
  ecl_cmp_defun(VV[1734]);                        /*  SHADOWING-IMPORT* */
  ecl_cmp_defun(VV[1735]);                        /*  SHADOW*         */
  ecl_cmp_defun(VV[1736]);                        /*  MAKE-SYMBOL*    */
  ecl_cmp_defun(VV[1737]);                        /*  UNINTERN*       */
  ecl_cmp_defun(VV[1738]);                        /*  SYMBOL-SHADOWING-P */
  ecl_cmp_defun(VV[1739]);                        /*  HOME-PACKAGE-P  */
  ecl_cmp_defun(VV[1740]);                        /*  SYMBOL-PACKAGE-NAME */
  ecl_cmp_defun(VV[1741]);                        /*  STANDARD-COMMON-LISP-SYMBOL-P */
  ecl_cmp_defun(VV[1742]);                        /*  REIFY-PACKAGE   */
  ecl_cmp_defun(VV[1743]);                        /*  UNREIFY-PACKAGE */
  ecl_cmp_defun(VV[1744]);                        /*  REIFY-SYMBOL    */
  ecl_cmp_defun(VV[1745]);                        /*  UNREIFY-SYMBOL  */
  si_Xmake_special(VV[31]);
  if (ecl_boundp(cl_env_copy,VV[31])) { goto L76; }
  cl_set(VV[31],ECL_NIL);
L76:;
  si_Xmake_special(VV[32]);
  if (ecl_boundp(cl_env_copy,VV[32])) { goto L83; }
  cl_set(VV[32],ecl_list1(ECL_T));
L83:;
  ecl_cmp_defun(VV[1746]);                        /*  RECORD-FISHY    */
  ecl_cmp_defmacro(VV[1747]);                     /*  WHEN-PACKAGE-FISHINESS */
  ecl_cmp_defmacro(VV[1748]);                     /*  NOTE-PACKAGE-FISHINESS */
  ecl_cmp_defun(VV[1749]);                        /*  SET-DUMMY-SYMBOL */
  ecl_cmp_defun(VV[1750]);                        /*  MAKE-DUMMY-SYMBOL */
  ecl_cmp_defun(VV[1751]);                        /*  DUMMY-SYMBOL    */
  ecl_cmp_defun(VV[1752]);                        /*  GET-DUMMY-SYMBOL */
  ecl_cmp_defun(VV[1753]);                        /*  NUKE-SYMBOL-IN-PACKAGE */
  ecl_cmp_defun(VV[1754]);                        /*  NUKE-SYMBOL     */
  ecl_cmp_defun(VV[1755]);                        /*  REHOME-SYMBOL   */
  ecl_cmp_defun(VV[1756]);                        /*  ENSURE-PACKAGE-UNUSED */
  ecl_cmp_defun(VV[1757]);                        /*  DELETE-PACKAGE* */
  ecl_cmp_defun(VV[1758]);                        /*  PACKAGE-NAMES   */
  ecl_cmp_defun(VV[1759]);                        /*  PACKAGES-FROM-NAMES */
  ecl_cmp_defun(VV[1760]);                        /*  FRESH-PACKAGE-NAME */
  ecl_cmp_defun(VV[1761]);                        /*  RENAME-PACKAGE-AWAY */
  ecl_cmp_defun(VV[1766]);                        /*  PACKAGE-DEFINITION-FORM */
  ecl_cmp_defun(VV[1775]);                        /*  ENSURE-SHADOWING-IMPORT */
  ecl_cmp_defun(VV[1776]);                        /*  ENSURE-IMPORTED */
  ecl_cmp_defun(VV[1777]);                        /*  ENSURE-IMPORT   */
  ecl_cmp_defun(VV[1778]);                        /*  ENSURE-INHERITED */
  ecl_cmp_defun(VV[1779]);                        /*  ENSURE-MIX      */
  ecl_cmp_defun(VV[1780]);                        /*  RECYCLE-SYMBOL  */
  ecl_cmp_defun(VV[1781]);                        /*  SYMBOL-RECYCLED-P */
  ecl_cmp_defun(VV[1782]);                        /*  ENSURE-SYMBOL   */
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[2]) /*  MAPC */;
  ecl_cmp_defun(VV[1783]);                        /*  ENSURE-EXPORTED-TO-USER */
  ecl_cmp_defun(VV[1784]);                        /*  ENSURE-EXPORTED */
  ecl_cmp_defun(VV[1785]);                        /*  ENSURE-EXPORT   */
  ecl_cmp_defun(VV[1786]);                        /*  ENSURE-PACKAGE  */
  ecl_cmp_defun(VV[1800]);                        /*  PARSE-DEFINE-PACKAGE-FORM */
  ecl_cmp_defmacro(VV[1801]);                     /*  DEFINE-PACKAGE  */
  ecl_function_dispatch(cl_env_copy,VV[1727])(11, _ecl_static_1, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
  cl_apply(2, VV[112], VVtemp[3]);
  ecl_function_dispatch(cl_env_copy,VV[1727])(11, _ecl_static_2, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
  cl_apply(2, VV[112], VVtemp[4]);
  si_select_package(_ecl_static_2);
  if (Null(ecl_memql(VV[127],ecl_symbol_value(ECL_SYM("*FEATURES*",34))))) { goto L215; }
  cl_set(ECL_SYM("*FEATURES*",34),cl_adjoin(2, VV[128], ecl_symbol_value(ECL_SYM("*FEATURES*",34))));
L215:;
  cl_set(ECL_SYM("*LOAD-VERBOSE*",39),ECL_NIL);
  ecl_cmp_defun(VV[1802]);                        /*  USE-ECL-BYTE-COMPILER-P */
  if ((L55use_ecl_byte_compiler_p())!=ECL_NIL) { goto L224; }
  cl_require(1, VV[131]);
L224:;
  ecl_cmp_defmacro(VV[1803]);                     /*  LOOP*           */
  ecl_cmp_defun(VV[1804]);                        /*  FROB-SUBSTRINGS */
  ecl_cmp_defmacro(VV[1805]);                     /*  COMPATFMT       */
  ecl_function_dispatch(cl_env_copy,VV[1727])(11, _ecl_static_3, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
  cl_apply(2, VV[112], VVtemp[5]);
  si_select_package(_ecl_static_3);
  ecl_cmp_defun(VV[1809]);                        /*  UNDEFINE-FUNCTION */
  ecl_cmp_defun(VV[1810]);                        /*  UNDEFINE-FUNCTIONS */
  ecl_cmp_defmacro(VV[1811]);                     /*  DEFGENERIC*     */
  ecl_cmp_defmacro(VV[1812]);                     /*  DEFUN*          */
  ecl_cmp_defmacro(VV[1813]);                     /*  WITH-UPGRADABILITY */
  si_Xmake_special(VV[145]);
  if (ecl_boundp(cl_env_copy,VV[145])) { goto L252; }
  cl_set(VV[145],VVtemp[6]);
L252:;
  ecl_cmp_defmacro(VV[1814]);                     /*  UIOP-DEBUG      */
  L62undefine_function(VV[146]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[7]) /*  MAPC */;
  ecl_cmp_defun(VV[1815]);                        /*  LOAD-UIOP-DEBUG-UTILITY */
  ecl_cmp_defmacro(VV[1818]);                     /*  NEST            */
  ecl_cmp_defmacro(VV[1819]);                     /*  IF-LET          */
  ecl_cmp_defmacro(VV[1820]);                     /*  WHILE-COLLECTING */
  ecl_cmp_defmacro(VV[1821]);                     /*  APPENDF         */
  L62undefine_function(VV[158]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[8]) /*  MAPC */;
  ecl_cmp_defun(VV[1822]);                        /*  LENGTH=N-P      */
  L62undefine_function(VV[161]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[9]) /*  MAPC */;
  ecl_cmp_defun(VV[1823]);                        /*  ENSURE-LIST     */
  L62undefine_function(VV[162]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[10]) /*  MAPC */;
  ecl_cmp_defun(VV[1824]);                        /*  REMOVE-PLIST-KEY */
  L62undefine_function(VV[163]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[11]) /*  MAPC */;
  ecl_cmp_defun(VV[1825]);                        /*  REMOVE-PLIST-KEYS */
  L62undefine_function(VV[164]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[12]) /*  MAPC */;
  ecl_cmp_defun(VV[1826]);                        /*  EMPTYP          */
  si_Xmake_special(VV[165]);
  cl_set(VV[165],VVtemp[13]);
  si_Xmake_special(VV[166]);
  {
   cl_fixnum v1;
   v1 = ecl_length(ecl_symbol_value(VV[165]));
   cl_set(VV[166],ecl_make_integer((v1)-1));
  }
  {
   bool v1;
   v1 = ecl_plusp(ecl_symbol_value(VV[166]));
   si_Xmake_constant(VV[167], ecl_make_bool(v1));
  }
  cl_set(ECL_SYM("*FEATURES*",34),cl_adjoin(2, VV[168], ecl_symbol_value(ECL_SYM("*FEATURES*",34))));
  L62undefine_function(VV[169]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[14]) /*  MAPC */;
  ecl_cmp_defun(VV[1827]);                        /*  CHARACTER-TYPE-INDEX */
  L62undefine_function(VV[171]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[15]) /*  MAPC */;
  ecl_cmp_defun(VV[1828]);                        /*  BASE-STRING-P   */
  L62undefine_function(VV[172]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[16]) /*  MAPC */;
  ecl_cmp_defun(VV[1829]);                        /*  STRINGS-COMMON-ELEMENT-TYPE */
  L62undefine_function(VV[174]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[17]) /*  MAPC */;
  ecl_cmp_defun(VV[1830]);                        /*  REDUCE/STRCAT   */
  L62undefine_function(VV[176]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[18]) /*  MAPC */;
  ecl_cmp_defun(VV[1831]);                        /*  STRCAT          */
  L62undefine_function(VV[177]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[19]) /*  MAPC */;
  ecl_cmp_defun(VV[1832]);                        /*  FIRST-CHAR      */
  L62undefine_function(VV[178]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[20]) /*  MAPC */;
  ecl_cmp_defun(VV[1833]);                        /*  LAST-CHAR       */
  L62undefine_function(VV[179]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[21]) /*  MAPC */;
  ecl_cmp_defun(VV[1834]);                        /*  SPLIT-STRING    */
  L62undefine_function(VV[181]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[22]) /*  MAPC */;
  ecl_cmp_defun(VV[1835]);                        /*  STRING-PREFIX-P */
  L62undefine_function(VV[182]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[23]) /*  MAPC */;
  ecl_cmp_defun(VV[1836]);                        /*  STRING-SUFFIX-P */
  L62undefine_function(VV[183]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[24]) /*  MAPC */;
  ecl_cmp_defun(VV[1837]);                        /*  STRING-ENCLOSED-P */
  si_Xmake_special(VV[184]);
  if (ecl_boundp(cl_env_copy,VV[184])) { goto L406; }
  cl_set(VV[184],si_coerce_to_vector(VVtemp[25], ECL_SYM("CHARACTER",222), ECL_SYM("*",18), ECL_NIL));
L406:;
  si_Xmake_special(VV[185]);
  if (ecl_boundp(cl_env_copy,VV[185])) { goto L413; }
  cl_set(VV[185],si_coerce_to_vector(VVtemp[26], ECL_SYM("CHARACTER",222), ECL_SYM("*",18), ECL_NIL));
L413:;
  si_Xmake_special(VV[186]);
  if (ecl_boundp(cl_env_copy,VV[186])) { goto L420; }
  cl_set(VV[186],si_coerce_to_vector(VVtemp[27], ECL_SYM("CHARACTER",222), ECL_SYM("*",18), ECL_NIL));
L420:;
  L62undefine_function(VV[187]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[28]) /*  MAPC */;
  ecl_cmp_defun(VV[1838]);                        /*  STRIPLN         */
  L62undefine_function(VV[188]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[29]) /*  MAPC */;
  ecl_cmp_defun(VV[1839]);                        /*  STANDARD-CASE-SYMBOL-NAME */
  L62undefine_function(VV[191]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[30]) /*  MAPC */;
  ecl_cmp_defun(VV[1840]);                        /*  FIND-STANDARD-CASE-SYMBOL */
  si_do_deftype(3, VV[193], VVtemp[31], VVtemp[32]);
  L62undefine_function(VV[194]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[33]) /*  MAPC */;
  ecl_cmp_defun(VV[1846]);                        /*  STAMP<          */
  L62undefine_function(VV[196]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[34]) /*  MAPC */;
  ecl_cmp_defun(VV[1847]);                        /*  STAMPS<         */
  L62undefine_function(VV[197]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[35]) /*  MAPC */;
  ecl_cmp_defun(VV[1848]);                        /*  STAMP*<         */
  L62undefine_function(VV[198]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[36]) /*  MAPC */;
  ecl_cmp_defun(VV[1849]);                        /*  STAMP<=         */
  L62undefine_function(VV[199]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[37]) /*  MAPC */;
  ecl_cmp_defun(VV[1850]);                        /*  EARLIER-STAMP   */
  L62undefine_function(VV[200]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[38]) /*  MAPC */;
  ecl_cmp_defun(VV[1851]);                        /*  STAMPS-EARLIEST */
  L62undefine_function(VV[202]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[39]) /*  MAPC */;
  ecl_cmp_defun(VV[1852]);                        /*  EARLIEST-STAMP  */
  L62undefine_function(VV[203]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[40]) /*  MAPC */;
  ecl_cmp_defun(VV[1853]);                        /*  LATER-STAMP     */
  L62undefine_function(VV[204]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[41]) /*  MAPC */;
  ecl_cmp_defun(VV[1854]);                        /*  STAMPS-LATEST   */
  L62undefine_function(VV[205]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[42]) /*  MAPC */;
  ecl_cmp_defun(VV[1855]);                        /*  LATEST-STAMP    */
  ecl_cmp_defmacro(VV[1856]);                     /*  LATEST-STAMP-F  */
  L62undefine_function(VV[207]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[43]) /*  MAPC */;
  ecl_cmp_defun(VV[1857]);                        /*  ENSURE-FUNCTION */
  L62undefine_function(VV[209]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[44]) /*  MAPC */;
  ecl_cmp_defun(VV[1858]);                        /*  ACCESS-AT       */
  L62undefine_function(VV[211]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[45]) /*  MAPC */;
  ecl_cmp_defun(VV[1859]);                        /*  ACCESS-AT-COUNT */
  L62undefine_function(VV[212]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[46]) /*  MAPC */;
  ecl_cmp_defun(VV[1860]);                        /*  CALL-FUNCTION   */
  L62undefine_function(VV[213]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[47]) /*  MAPC */;
  ecl_cmp_defun(VV[1861]);                        /*  CALL-FUNCTIONS  */
  L62undefine_function(VV[214]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[48]) /*  MAPC */;
  ecl_cmp_defun(VV[1862]);                        /*  REGISTER-HOOK-FUNCTION */
  L62undefine_function(VV[215]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[49]) /*  MAPC */;
  ecl_cmp_defun(VV[1863]);                        /*  COERCE-CLASS    */
  L62undefine_function(VV[220]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[50]) /*  MAPC */;
  ecl_cmp_defun(VV[1867]);                        /*  ENSURE-GETHASH  */
  L62undefine_function(VV[221]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[51]) /*  MAPC */;
  ecl_cmp_defun(VV[1868]);                        /*  LIST-TO-HASH-SET */
  L62undefine_function(VV[222]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[52]) /*  MAPC */;
  ecl_cmp_defun(VV[1869]);                        /*  UNPARSE-VERSION */
  L62undefine_function(VV[224]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[53]) /*  MAPC */;
  ecl_cmp_defun(VV[1870]);                        /*  PARSE-VERSION   */
  L62undefine_function(VV[230]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[54]) /*  MAPC */;
  ecl_cmp_defun(VV[1871]);                        /*  LEXICOGRAPHIC<  */
  L62undefine_function(VV[231]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[55]) /*  MAPC */;
  ecl_cmp_defun(VV[1872]);                        /*  LEXICOGRAPHIC<= */
  L62undefine_function(VV[232]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[56]) /*  MAPC */;
  ecl_cmp_defun(VV[1873]);                        /*  VERSION<        */
  L62undefine_function(VV[233]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[57]) /*  MAPC */;
  ecl_cmp_defun(VV[1874]);                        /*  VERSION<=       */
  L62undefine_function(VV[234]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[58]) /*  MAPC */;
  ecl_cmp_defun(VV[1875]);                        /*  VERSION-COMPATIBLE-P */
  si_Xmake_special(VV[235]);
  cl_set(VV[235],VV[236]);
  L62undefine_function(VV[237]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[59]) /*  MAPC */;
  ecl_cmp_defun(VV[1876]);                        /*  MATCH-CONDITION-P */
  L62undefine_function(VV[239]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[60]) /*  MAPC */;
  ecl_cmp_defun(VV[1877]);                        /*  MATCH-ANY-CONDITION-P */
  L62undefine_function(VV[240]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[61]) /*  MAPC */;
  ecl_cmp_defun(VV[1878]);                        /*  CALL-WITH-MUFFLED-CONDITIONS */
  ecl_cmp_defmacro(VV[1879]);                     /*  WITH-MUFFLED-CONDITIONS */
 {
  cl_object T0, T1, T2;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC141__g1513,ECL_NIL,Cblock,0);
   T0 = v1;
  }
  T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[63]);
  T2 = cl_list(4, T1, VVtemp[64], VVtemp[65], VVtemp[66]);
  clos_load_defclass(VV[242], VVtemp[62], T2, ECL_NIL);
  L62undefine_function(VV[242]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[67]) /*  MAPC */;
  ecl_cmp_defun(VV[1880]);                        /*  NOT-IMPLEMENTED-ERROR */
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC144__g1515,ECL_NIL,Cblock,0);
   T0 = v1;
  }
  T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[68]);
  T2 = cl_list(4, T1, VVtemp[64], VVtemp[65], VVtemp[66]);
  clos_load_defclass(VV[248], VVtemp[62], T2, ECL_NIL);
  L62undefine_function(VV[248]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[69]) /*  MAPC */;
  ecl_cmp_defun(VV[1881]);                        /*  PARAMETER-ERROR */
 }
  ecl_function_dispatch(cl_env_copy,VV[1727])(11, _ecl_static_4, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
  cl_apply(2, VV[112], VVtemp[70]);
  si_select_package(_ecl_static_4);
  L62undefine_function(VV[249]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[71]) /*  MAPC */;
  ecl_cmp_defun(VV[1882]);                        /*  FEATUREP        */
  L62undefine_function(VV[255]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[72]) /*  MAPC */;
  ecl_cmp_defun(VV[1883]);                        /*  OS-MACOSX-P     */
  L62undefine_function(VV[257]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[73]) /*  MAPC */;
  ecl_cmp_defun(VV[1884]);                        /*  OS-UNIX-P       */
  L62undefine_function(VV[259]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[74]) /*  MAPC */;
  ecl_cmp_defun(VV[1885]);                        /*  OS-WINDOWS-P    */
  L62undefine_function(VV[261]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[75]) /*  MAPC */;
  ecl_cmp_defun(VV[1886]);                        /*  OS-GENERA-P     */
  L62undefine_function(VV[263]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[76]) /*  MAPC */;
  ecl_cmp_defun(VV[1887]);                        /*  OS-OLDMAC-P     */
  L62undefine_function(VV[265]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[77]) /*  MAPC */;
  ecl_cmp_defun(VV[1888]);                        /*  OS-HAIKU-P      */
  L62undefine_function(VV[267]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[78]) /*  MAPC */;
  ecl_cmp_defun(VV[1889]);                        /*  DETECT-OS       */
  ecl_cmp_defmacro(VV[1890]);                     /*  OS-COND         */
  ecl_function_dispatch(cl_env_copy,VV[267])(0)   /*  DETECT-OS       */;
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  L62undefine_function(VV[272]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[79]) /*  MAPC */;
  ecl_cmp_defun(VV[1891]);                        /*  GETENV          */
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC156getenv,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_do_defsetf(3, VV[272], T0, ecl_make_fixnum(1));
  L62undefine_function(VV[273]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[80]) /*  MAPC */;
  ecl_cmp_defun(VV[1892]);                        /*  GETENVP         */
 }
  L62undefine_function(VV[274]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[81]) /*  MAPC */;
  ecl_cmp_defun(VV[1893]);                        /*  FIRST-FEATURE   */
  L62undefine_function(VV[275]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[82]) /*  MAPC */;
  ecl_cmp_defun(VV[1894]);                        /*  IMPLEMENTATION-TYPE */
  si_Xmake_special(VV[277]);
  if (ecl_boundp(cl_env_copy,VV[277])) { goto L775; }
  cl_set(VV[277],ecl_function_dispatch(cl_env_copy,VV[275])(0) /*  IMPLEMENTATION-TYPE */);
L775:;
  L62undefine_function(VV[278]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[83]) /*  MAPC */;
  ecl_cmp_defun(VV[1895]);                        /*  OPERATING-SYSTEM */
  L62undefine_function(VV[280]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[84]) /*  MAPC */;
  ecl_cmp_defun(VV[1896]);                        /*  ARCHITECTURE    */
  L62undefine_function(VV[282]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[85]) /*  MAPC */;
  ecl_cmp_defun(VV[1897]);                        /*  LISP-VERSION-STRING */
  L62undefine_function(VV[284]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[86]) /*  MAPC */;
  ecl_cmp_defun(VV[1898]);                        /*  IMPLEMENTATION-IDENTIFIER */
  L62undefine_function(VV[287]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[87]) /*  MAPC */;
  ecl_cmp_defun(VV[1899]);                        /*  HOSTNAME        */
  L62undefine_function(VV[288]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[88]) /*  MAPC */;
  ecl_cmp_defun(VV[1900]);                        /*  GETCWD          */
  L62undefine_function(VV[290]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[89]) /*  MAPC */;
  ecl_cmp_defun(VV[1901]);                        /*  CHDIR           */
  si_Xmake_special(VV[291]);
  cl_set(VV[291],ecl_make_fixnum(76));
  si_Xmake_special(VV[292]);
  cl_set(VV[292],VVtemp[90]);
  L62undefine_function(VV[293]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[91]) /*  MAPC */;
  ecl_cmp_defun(VV[1902]);                        /*  READ-NULL-TERMINATED-STRING */
  L62undefine_function(VV[294]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[92]) /*  MAPC */;
  ecl_cmp_defun(VV[1903]);                        /*  READ-LITTLE-ENDIAN */
  L62undefine_function(VV[295]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[93]) /*  MAPC */;
  ecl_cmp_defun(VV[1904]);                        /*  PARSE-FILE-LOCATION-INFO */
  L62undefine_function(VV[296]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[94]) /*  MAPC */;
  ecl_cmp_defun(VV[1905]);                        /*  PARSE-WINDOWS-SHORTCUT */
  ecl_function_dispatch(cl_env_copy,VV[1727])(11, _ecl_static_5, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
  cl_apply(2, VV[112], VVtemp[95]);
  si_select_package(_ecl_static_5);
 {
  cl_object T0, T1;
  cl_object volatile env0 = ECL_NIL;
  L62undefine_function(VV[298]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[96]) /*  MAPC */;
  ecl_cmp_defun(VV[1906]);                        /*  NORMALIZE-PATHNAME-DIRECTORY-COMPONENT */
  L62undefine_function(VV[302]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[97]) /*  MAPC */;
  ecl_cmp_defun(VV[1907]);                        /*  DENORMALIZE-PATHNAME-DIRECTORY-COMPONENT */
  L62undefine_function(VV[303]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[98]) /*  MAPC */;
  ecl_cmp_defun(VV[1908]);                        /*  MERGE-PATHNAME-DIRECTORY-COMPONENTS */
  si_Xmake_special(VV[306]);
  cl_set(VV[306],ECL_NIL);
  L62undefine_function(VV[307]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[99]) /*  MAPC */;
  ecl_cmp_defun(VV[1909]);                        /*  MAKE-PATHNAME*  */
  L62undefine_function(VV[308]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[100]) /*  MAPC */;
  ecl_cmp_defun(VV[1910]);                        /*  MAKE-PATHNAME-COMPONENT-LOGICAL */
  L62undefine_function(VV[310]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[101]) /*  MAPC */;
  ecl_cmp_defun(VV[1911]);                        /*  MAKE-PATHNAME-LOGICAL */
  L62undefine_function(VV[311]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[102]) /*  MAPC */;
  ecl_cmp_defun(VV[1912]);                        /*  MERGE-PATHNAMES* */
  L62undefine_function(VV[315]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[103]) /*  MAPC */;
  ecl_cmp_defun(VV[1913]);                        /*  LOGICAL-PATHNAME-P */
  L62undefine_function(VV[316]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[104]) /*  MAPC */;
  ecl_cmp_defun(VV[1914]);                        /*  PHYSICAL-PATHNAME-P */
  L62undefine_function(VV[317]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[105]) /*  MAPC */;
  ecl_cmp_defun(VV[1915]);                        /*  PHYSICALIZE-PATHNAME */
  L62undefine_function(VV[318]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[106]) /*  MAPC */;
  ecl_cmp_defun(VV[1916]);                        /*  NIL-PATHNAME    */
  si_Xmake_special(VV[319]);
  if (ecl_boundp(cl_env_copy,VV[319])) { goto L957; }
  T0 = cl_user_homedir_pathname(0);
  T1 = ecl_function_dispatch(cl_env_copy,VV[317])(1, T0) /*  PHYSICALIZE-PATHNAME */;
  cl_set(VV[319],ecl_function_dispatch(cl_env_copy,VV[318])(1, T1) /*  NIL-PATHNAME */);
L957:;
  ecl_cmp_defmacro(VV[1917]);                     /*  WITH-PATHNAME-DEFAULTS */
 }
  L62undefine_function(VV[321]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[107]) /*  MAPC */;
  ecl_cmp_defun(VV[1925]);                        /*  PATHNAME-EQUAL  */
  L62undefine_function(VV[326]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[108]) /*  MAPC */;
  ecl_cmp_defun(VV[1926]);                        /*  ABSOLUTE-PATHNAME-P */
  L62undefine_function(VV[327]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[109]) /*  MAPC */;
  ecl_cmp_defun(VV[1927]);                        /*  RELATIVE-PATHNAME-P */
  L62undefine_function(VV[328]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[110]) /*  MAPC */;
  ecl_cmp_defun(VV[1928]);                        /*  HIDDEN-PATHNAME-P */
  L62undefine_function(VV[329]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[111]) /*  MAPC */;
  ecl_cmp_defun(VV[1929]);                        /*  FILE-PATHNAME-P */
  L62undefine_function(VV[333]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[112]) /*  MAPC */;
  ecl_cmp_defun(VV[1930]);                        /*  PATHNAME-DIRECTORY-PATHNAME */
  L62undefine_function(VV[334]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[113]) /*  MAPC */;
  ecl_cmp_defun(VV[1931]);                        /*  PATHNAME-PARENT-DIRECTORY-PATHNAME */
  L62undefine_function(VV[336]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[114]) /*  MAPC */;
  ecl_cmp_defun(VV[1932]);                        /*  DIRECTORY-PATHNAME-P */
  L62undefine_function(VV[339]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[115]) /*  MAPC */;
  ecl_cmp_defun(VV[1933]);                        /*  ENSURE-DIRECTORY-PATHNAME */
  L62undefine_function(VV[343]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[116]) /*  MAPC */;
  ecl_cmp_defun(VV[1934]);                        /*  SPLIT-UNIX-NAMESTRING-DIRECTORY-COMPONENTS */
  L62undefine_function(VV[354]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[117]) /*  MAPC */;
  ecl_cmp_defun(VV[1935]);                        /*  SPLIT-NAME-TYPE */
  L62undefine_function(VV[358]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[118]) /*  MAPC */;
  ecl_cmp_defun(VV[1936]);                        /*  PARSE-UNIX-NAMESTRING */
  L62undefine_function(VV[344]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[119]) /*  MAPC */;
  ecl_cmp_defun(VV[1937]);                        /*  UNIX-NAMESTRING */
  L62undefine_function(VV[373]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[120]) /*  MAPC */;
  ecl_cmp_defun(VV[1944]);                        /*  SUBPATHNAME     */
  L62undefine_function(VV[375]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[121]) /*  MAPC */;
  ecl_cmp_defun(VV[1945]);                        /*  SUBPATHNAME*    */
  L62undefine_function(VV[376]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[122]) /*  MAPC */;
  ecl_cmp_defun(VV[1946]);                        /*  PATHNAME-ROOT   */
  L62undefine_function(VV[377]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[123]) /*  MAPC */;
  ecl_cmp_defun(VV[1947]);                        /*  PATHNAME-HOST-PATHNAME */
  L62undefine_function(VV[378]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[124]) /*  MAPC */;
  ecl_cmp_defun(VV[1948]);                        /*  ENSURE-ABSOLUTE-PATHNAME */
  L62undefine_function(VV[383]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[125]) /*  MAPC */;
  ecl_cmp_defun(VV[1949]);                        /*  SUBPATHP        */
  L62undefine_function(VV[384]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[126]) /*  MAPC */;
  ecl_cmp_defun(VV[1950]);                        /*  ENOUGH-PATHNAME */
  L62undefine_function(VV[385]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[127]) /*  MAPC */;
  ecl_cmp_defun(VV[1951]);                        /*  CALL-WITH-ENOUGH-PATHNAME */
  ecl_cmp_defmacro(VV[1952]);                     /*  WITH-ENOUGH-PATHNAME */
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  si_Xmake_special(VV[388]);
  cl_set(VV[388],ECL_SYM("WILD",1339));
  si_Xmake_special(VV[389]);
  cl_set(VV[389],ECL_SYM("WILD",1339));
  si_Xmake_special(VV[390]);
  cl_set(VV[390],ECL_SYM("WILD-INFERIORS",1340));
  si_Xmake_special(VV[391]);
  cl_set(VV[391],cl_make_pathname(8, ECL_SYM("DIRECTORY",1229), ECL_NIL, ECL_SYM("NAME",1285), ecl_symbol_value(VV[388]), ECL_SYM("TYPE",1330), ecl_symbol_value(VV[388]), ECL_SYM("VERSION",1338), ecl_symbol_value(VV[388])));
  si_Xmake_special(VV[392]);
  cl_set(VV[392],cl_make_pathname(8, ECL_SYM("DIRECTORY",1229), ECL_NIL, ECL_SYM("NAME",1285), ecl_symbol_value(VV[388]), ECL_SYM("TYPE",1330), ecl_symbol_value(VV[388]), ECL_SYM("VERSION",1338), ecl_symbol_value(VV[388])));
  si_Xmake_special(VV[393]);
  T0 = cl_list(2, ECL_SYM("RELATIVE",1311), ecl_symbol_value(VV[389]));
  cl_set(VV[393],cl_make_pathname(8, ECL_SYM("DIRECTORY",1229), T0, ECL_SYM("NAME",1285), ECL_NIL, ECL_SYM("TYPE",1330), ECL_NIL, ECL_SYM("VERSION",1338), ECL_NIL));
  si_Xmake_special(VV[394]);
  T0 = cl_list(2, ECL_SYM("RELATIVE",1311), ecl_symbol_value(VV[390]));
  cl_set(VV[394],cl_make_pathname(8, ECL_SYM("DIRECTORY",1229), T0, ECL_SYM("NAME",1285), ECL_NIL, ECL_SYM("TYPE",1330), ECL_NIL, ECL_SYM("VERSION",1338), ECL_NIL));
  si_Xmake_special(VV[395]);
  cl_set(VV[395],ecl_function_dispatch(cl_env_copy,VV[311])(2, ecl_symbol_value(VV[391]), ecl_symbol_value(VV[394])) /*  MERGE-PATHNAMES* */);
  L62undefine_function(VV[396]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[128]) /*  MAPC */;
  ecl_cmp_defun(VV[1953]);                        /*  WILDEN          */
 }
  L62undefine_function(VV[397]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[129]) /*  MAPC */;
  ecl_cmp_defun(VV[1954]);                        /*  RELATIVIZE-DIRECTORY-COMPONENT */
  L62undefine_function(VV[398]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[130]) /*  MAPC */;
  ecl_cmp_defun(VV[1955]);                        /*  RELATIVIZE-PATHNAME-DIRECTORY */
  L62undefine_function(VV[399]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[131]) /*  MAPC */;
  ecl_cmp_defun(VV[1956]);                        /*  DIRECTORY-SEPARATOR-FOR-HOST */
  L62undefine_function(VV[401]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[132]) /*  MAPC */;
  ecl_cmp_defun(VV[1957]);                        /*  DIRECTORIZE-PATHNAME-HOST-DEVICE */
  L62undefine_function(VV[402]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[133]) /*  MAPC */;
  ecl_cmp_defun(VV[1958]);                        /*  TRANSLATE-PATHNAME* */
  si_Xmake_special(VV[404]);
  if (ecl_boundp(cl_env_copy,VV[404])) { goto L1205; }
  cl_set(VV[404],ECL_SYM("IDENTITY",426));
L1205:;
  ecl_function_dispatch(cl_env_copy,VV[1727])(11, _ecl_static_6, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
  cl_apply(2, VV[112], VVtemp[134]);
  si_select_package(_ecl_static_6);
  L62undefine_function(VV[405]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[135]) /*  MAPC */;
  ecl_cmp_defun(VV[1959]);                        /*  NATIVE-NAMESTRING */
  L62undefine_function(VV[406]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[136]) /*  MAPC */;
  ecl_cmp_defun(VV[1960]);                        /*  PARSE-NATIVE-NAMESTRING */
  L62undefine_function(VV[408]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[137]) /*  MAPC */;
  ecl_cmp_defun(VV[1961]);                        /*  TRUENAME*       */
  L62undefine_function(VV[409]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[138]) /*  MAPC */;
  ecl_cmp_defun(VV[1962]);                        /*  SAFE-FILE-WRITE-DATE */
  L62undefine_function(VV[410]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[139]) /*  MAPC */;
  ecl_cmp_defun(VV[1963]);                        /*  PROBE-FILE*     */
  L62undefine_function(VV[418]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[140]) /*  MAPC */;
  ecl_cmp_defun(VV[1964]);                        /*  DIRECTORY-EXISTS-P */
  L62undefine_function(VV[420]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[141]) /*  MAPC */;
  ecl_cmp_defun(VV[1965]);                        /*  FILE-EXISTS-P   */
  L62undefine_function(VV[421]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[142]) /*  MAPC */;
  ecl_cmp_defun(VV[1966]);                        /*  DIRECTORY*      */
  L62undefine_function(VV[422]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[143]) /*  MAPC */;
  ecl_cmp_defun(VV[1967]);                        /*  FILTER-LOGICAL-DIRECTORY-RESULTS */
  L62undefine_function(VV[423]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[144]) /*  MAPC */;
  ecl_cmp_defun(VV[1968]);                        /*  DIRECTORY-FILES */
  L62undefine_function(VV[427]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[145]) /*  MAPC */;
  ecl_cmp_defun(VV[1969]);                        /*  SUBDIRECTORIES  */
  L62undefine_function(VV[428]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[146]) /*  MAPC */;
  ecl_cmp_defun(VV[1970]);                        /*  COLLECT-SUB*DIRECTORIES */
  L62undefine_function(VV[429]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[147]) /*  MAPC */;
  ecl_cmp_defun(VV[1971]);                        /*  TRUENAMIZE      */
  L62undefine_function(VV[431]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[148]) /*  MAPC */;
  ecl_cmp_defun(VV[1972]);                        /*  RESOLVE-SYMLINKS */
  si_Xmake_special(VV[432]);
  if (ecl_boundp(cl_env_copy,VV[432])) { goto L1313; }
  cl_set(VV[432],ECL_T);
L1313:;
  L62undefine_function(VV[433]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[149]) /*  MAPC */;
  ecl_cmp_defun(VV[1973]);                        /*  RESOLVE-SYMLINKS* */
  L62undefine_function(VV[364]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[150]) /*  MAPC */;
  ecl_cmp_defun(VV[1974]);                        /*  ENSURE-PATHNAME */
  L62undefine_function(VV[415]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[151]) /*  MAPC */;
  ecl_cmp_defun(VV[2000]);                        /*  GET-PATHNAME-DEFAULTS */
  L62undefine_function(VV[467]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[152]) /*  MAPC */;
  ecl_cmp_defun(VV[2001]);                        /*  CALL-WITH-CURRENT-DIRECTORY */
  ecl_cmp_defmacro(VV[2002]);                     /*  WITH-CURRENT-DIRECTORY */
  L62undefine_function(VV[469]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[153]) /*  MAPC */;
  ecl_cmp_defun(VV[2003]);                        /*  INTER-DIRECTORY-SEPARATOR */
  L62undefine_function(VV[470]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[154]) /*  MAPC */;
  ecl_cmp_defun(VV[2004]);                        /*  SPLIT-NATIVE-PATHNAMES-STRING */
  L62undefine_function(VV[471]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[155]) /*  MAPC */;
  ecl_cmp_defun(VV[2005]);                        /*  GETENV-PATHNAME */
  L62undefine_function(VV[473]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[156]) /*  MAPC */;
  ecl_cmp_defun(VV[2006]);                        /*  GETENV-PATHNAMES */
  L62undefine_function(VV[476]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[157]) /*  MAPC */;
  ecl_cmp_defun(VV[2007]);                        /*  GETENV-ABSOLUTE-DIRECTORY */
  L62undefine_function(VV[477]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[158]) /*  MAPC */;
  ecl_cmp_defun(VV[2008]);                        /*  GETENV-ABSOLUTE-DIRECTORIES */
  L62undefine_function(VV[478]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[159]) /*  MAPC */;
  ecl_cmp_defun(VV[2009]);                        /*  LISP-IMPLEMENTATION-DIRECTORY */
  L62undefine_function(VV[480]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[160]) /*  MAPC */;
  ecl_cmp_defun(VV[2010]);                        /*  LISP-IMPLEMENTATION-PATHNAME-P */
  L62undefine_function(VV[481]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[161]) /*  MAPC */;
  ecl_cmp_defun(VV[2014]);                        /*  ENSURE-ALL-DIRECTORIES-EXIST */
  L62undefine_function(VV[482]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[162]) /*  MAPC */;
  ecl_cmp_defun(VV[2015]);                        /*  DELETE-FILE-IF-EXISTS */
  L62undefine_function(VV[483]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[163]) /*  MAPC */;
  ecl_cmp_defun(VV[2016]);                        /*  RENAME-FILE-OVERWRITING-TARGET */
  L62undefine_function(VV[484]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[164]) /*  MAPC */;
  ecl_cmp_defun(VV[2017]);                        /*  DELETE-EMPTY-DIRECTORY */
  L62undefine_function(VV[485]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[165]) /*  MAPC */;
  ecl_cmp_defun(VV[2018]);                        /*  DELETE-DIRECTORY-TREE */
  ecl_function_dispatch(cl_env_copy,VV[1727])(11, _ecl_static_7, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
  cl_apply(2, VV[112], VVtemp[166]);
  si_select_package(_ecl_static_7);
  si_Xmake_special(VV[497]);
  if (ecl_boundp(cl_env_copy,VV[497])) { goto L1444; }
  cl_set(VV[497],ECL_SYM("DEFAULT",1225));
L1444:;
  si_Xmake_special(VV[498]);
  if (ecl_boundp(cl_env_copy,VV[498])) { goto L1451; }
  cl_set(VV[498],ecl_symbol_value(ECL_SYM("*STANDARD-INPUT*",66)));
L1451:;
  L62undefine_function(VV[499]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[167]) /*  MAPC */;
  ecl_cmp_defun(VV[2021]);                        /*  SETUP-STDIN     */
  si_Xmake_special(VV[500]);
  if (ecl_boundp(cl_env_copy,VV[500])) { goto L1465; }
  cl_set(VV[500],ecl_symbol_value(ECL_SYM("*STANDARD-OUTPUT*",67)));
L1465:;
  L62undefine_function(VV[501]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[168]) /*  MAPC */;
  ecl_cmp_defun(VV[2022]);                        /*  SETUP-STDOUT    */
  si_Xmake_special(VV[502]);
  if (ecl_boundp(cl_env_copy,VV[502])) { goto L1479; }
  cl_set(VV[502],ecl_symbol_value(ECL_SYM("*ERROR-OUTPUT*",33)));
L1479:;
  L62undefine_function(VV[503]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[169]) /*  MAPC */;
  ecl_cmp_defun(VV[2023]);                        /*  SETUP-STDERR    */
  ecl_function_dispatch(cl_env_copy,VV[499])(0)   /*  SETUP-STDIN     */;
  ecl_function_dispatch(cl_env_copy,VV[501])(0)   /*  SETUP-STDOUT    */;
  ecl_function_dispatch(cl_env_copy,VV[503])(0)   /*  SETUP-STDERR    */;
  si_Xmake_special(VV[504]);
  {
   cl_object v1uiop_stream__previous;
   if (!(ecl_boundp(cl_env_copy,VV[504]))) { goto L1503; }
   v1uiop_stream__previous = cl_symbol_value(VV[504]);
   goto L1501;
L1503:;
   v1uiop_stream__previous = ECL_NIL;
   goto L1501;
L1501:;
   if (Null(v1uiop_stream__previous)) { goto L1505; }
   if ((v1uiop_stream__previous)==(ECL_SYM("DEFAULT",1225))) { goto L1507; }
   value0 = v1uiop_stream__previous;
   goto L1500;
L1507:;
   value0 = ECL_NIL;
   goto L1500;
L1505:;
   value0 = ECL_NIL;
  }
L1500:;
  if ((value0)!=ECL_NIL) { goto L1499; }
  cl_set(VV[504],ECL_SYM("UTF-8",1701));
  goto L1497;
L1499:;
  cl_set(VV[504],value0);
  goto L1497;
L1497:;
  si_Xmake_special(VV[505]);
  if (Null(ecl_function_dispatch(cl_env_copy,VV[249])(1, VV[128]) /*  FEATUREP */)) { goto L1515; }
  cl_set(VV[505],ECL_SYM("UTF-8",1701));
  goto L1514;
L1515:;
  cl_set(VV[505],ECL_SYM("DEFAULT",1225));
L1514:;
  L62undefine_function(VV[506]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[170]) /*  MAPC */;
  ecl_cmp_defun(VV[2024]);                        /*  ALWAYS-DEFAULT-ENCODING */
  si_Xmake_special(VV[507]);
  if (ecl_boundp(cl_env_copy,VV[507])) { goto L1528; }
  cl_set(VV[507],ecl_fdefinition(VV[506]));
L1528:;
  L62undefine_function(VV[508]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[171]) /*  MAPC */;
  ecl_cmp_defun(VV[2025]);                        /*  DETECT-ENCODING */
  L62undefine_function(VV[509]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[172]) /*  MAPC */;
  ecl_cmp_defun(VV[2026]);                        /*  DEFAULT-ENCODING-EXTERNAL-FORMAT */
  si_Xmake_special(VV[512]);
  if (ecl_boundp(cl_env_copy,VV[512])) { goto L1549; }
  cl_set(VV[512],ecl_fdefinition(VV[509]));
L1549:;
  L62undefine_function(VV[513]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[173]) /*  MAPC */;
  ecl_cmp_defun(VV[2027]);                        /*  ENCODING-EXTERNAL-FORMAT */
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  si_Xmake_special(VV[514]);
  if (ecl_boundp(cl_env_copy,VV[514])) { goto L1563; }
  {
   cl_object v1;
   v1 = ecl_symbol_value(ECL_SYM("+IO-SYNTAX-PROGV-LIST+",1741));
   {
    cl_object v3, v4; cl_index v2;
    v3 = _ecl_car(v1);
    v4 = _ecl_cdr(v1);
    v2 = ecl_progv(cl_env_copy, v3, v4);
    T0 = ecl_symbol_value(ECL_SYM("*READTABLE*",65));
    ecl_bds_unwind(cl_env_copy,v2);
    cl_set(VV[514],T0);
   }
  }
L1563:;
  ecl_cmp_defmacro(VV[2028]);                     /*  WITH-SAFE-IO-SYNTAX */
  L62undefine_function(VV[516]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[174]) /*  MAPC */;
  ecl_cmp_defun(VV[2029]);                        /*  CALL-WITH-SAFE-IO-SYNTAX */
  L62undefine_function(VV[518]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[175]) /*  MAPC */;
  ecl_cmp_defun(VV[2030]);                        /*  SAFE-READ-FROM-STRING */
 }
  L62undefine_function(VV[520]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[176]) /*  MAPC */;
  ecl_cmp_defun(VV[2037]);                        /*  CALL-WITH-OUTPUT-FILE */
  ecl_cmp_defmacro(VV[2038]);                     /*  WITH-OUTPUT-FILE */
  L62undefine_function(VV[523]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[177]) /*  MAPC */;
  ecl_cmp_defun(VV[2039]);                        /*  CALL-WITH-OUTPUT */
  ecl_cmp_defmacro(VV[2040]);                     /*  WITH-OUTPUT     */
  L62undefine_function(VV[527]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[178]) /*  MAPC */;
  ecl_cmp_defun(VV[2041]);                        /*  OUTPUT-STRING   */
  L62undefine_function(VV[528]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[179]) /*  MAPC */;
  ecl_cmp_defun(VV[2046]);                        /*  CALL-WITH-INPUT-FILE */
  ecl_cmp_defmacro(VV[2047]);                     /*  WITH-INPUT-FILE */
  L62undefine_function(VV[531]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[180]) /*  MAPC */;
  ecl_cmp_defun(VV[2048]);                        /*  CALL-WITH-INPUT */
  ecl_cmp_defmacro(VV[2049]);                     /*  WITH-INPUT      */
  L62undefine_function(VV[533]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[181]) /*  MAPC */;
  ecl_cmp_defun(VV[2050]);                        /*  INPUT-STRING    */
  L62undefine_function(VV[535]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[182]) /*  MAPC */;
  ecl_cmp_defun(VV[2054]);                        /*  NULL-DEVICE-PATHNAME */
  L62undefine_function(VV[537]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[183]) /*  MAPC */;
  ecl_cmp_defun(VV[2055]);                        /*  CALL-WITH-NULL-INPUT */
  ecl_cmp_defmacro(VV[2056]);                     /*  WITH-NULL-INPUT */
  L62undefine_function(VV[539]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[184]) /*  MAPC */;
  ecl_cmp_defun(VV[2057]);                        /*  CALL-WITH-NULL-OUTPUT */
  ecl_cmp_defmacro(VV[2058]);                     /*  WITH-NULL-OUTPUT */
  L62undefine_function(VV[542]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[185]) /*  MAPC */;
  ecl_cmp_defun(VV[2059]);                        /*  FINISH-OUTPUTS  */
  L62undefine_function(VV[543]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[186]) /*  MAPC */;
  ecl_cmp_defun(VV[2060]);                        /*  FORMAT!         */
  L62undefine_function(VV[544]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[187]) /*  MAPC */;
  ecl_cmp_defun(VV[2061]);                        /*  SAFE-FORMAT!    */
  L62undefine_function(VV[545]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[188]) /*  MAPC */;
  ecl_cmp_defun(VV[2062]);                        /*  COPY-STREAM-TO-STREAM */
  L62undefine_function(VV[546]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[189]) /*  MAPC */;
  ecl_cmp_defun(VV[2063]);                        /*  CONCATENATE-FILES */
  L62undefine_function(VV[547]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[190]) /*  MAPC */;
  ecl_cmp_defun(VV[2064]);                        /*  COPY-FILE       */
  L62undefine_function(VV[534]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[191]) /*  MAPC */;
  ecl_cmp_defun(VV[2065]);                        /*  SLURP-STREAM-STRING */
  L62undefine_function(VV[548]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[192]) /*  MAPC */;
  ecl_cmp_defun(VV[2066]);                        /*  SLURP-STREAM-LINES */
  L62undefine_function(VV[550]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[193]) /*  MAPC */;
  ecl_cmp_defun(VV[2067]);                        /*  SLURP-STREAM-LINE */
  L62undefine_function(VV[551]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[194]) /*  MAPC */;
  ecl_cmp_defun(VV[2068]);                        /*  SLURP-STREAM-FORMS */
  L62undefine_function(VV[553]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[195]) /*  MAPC */;
  ecl_cmp_defun(VV[2069]);                        /*  SLURP-STREAM-FORM */
  L62undefine_function(VV[554]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[196]) /*  MAPC */;
  ecl_cmp_defun(VV[2070]);                        /*  READ-FILE-STRING */
  L62undefine_function(VV[555]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[197]) /*  MAPC */;
  ecl_cmp_defun(VV[2071]);                        /*  READ-FILE-LINES */
  L62undefine_function(VV[556]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[198]) /*  MAPC */;
  ecl_cmp_defun(VV[2072]);                        /*  READ-FILE-LINE  */
  L62undefine_function(VV[558]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[199]) /*  MAPC */;
  ecl_cmp_defun(VV[2073]);                        /*  READ-FILE-FORMS */
  L62undefine_function(VV[559]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[200]) /*  MAPC */;
  ecl_cmp_defun(VV[2074]);                        /*  READ-FILE-FORM  */
  L62undefine_function(VV[560]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[201]) /*  MAPC */;
  ecl_cmp_defun(VV[2075]);                        /*  SAFE-READ-FILE-LINE */
  L62undefine_function(VV[561]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[202]) /*  MAPC */;
  ecl_cmp_defun(VV[2076]);                        /*  SAFE-READ-FILE-FORM */
  L62undefine_function(VV[562]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[203]) /*  MAPC */;
  ecl_cmp_defun(VV[2077]);                        /*  EVAL-INPUT      */
  L62undefine_function(VV[564]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[204]) /*  MAPC */;
  ecl_cmp_defun(VV[2078]);                        /*  EVAL-THUNK      */
  L62undefine_function(VV[566]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[205]) /*  MAPC */;
  ecl_cmp_defun(VV[2079]);                        /*  STANDARD-EVAL-THUNK */
  L62undefine_function(VV[567]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[206]) /*  MAPC */;
  ecl_cmp_defun(VV[2087]);                        /*  PRINTLN         */
  L62undefine_function(VV[568]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[207]) /*  MAPC */;
  ecl_cmp_defun(VV[2088]);                        /*  WRITELN         */
  L62undefine_function(VV[569]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[208]) /*  MAPC */;
  ecl_cmp_defun(VV[2090]);                        /*  DEFAULT-TEMPORARY-DIRECTORY */
  si_Xmake_special(VV[572]);
  if (ecl_boundp(cl_env_copy,VV[572])) { goto L1832; }
  cl_set(VV[572],ECL_NIL);
L1832:;
  L62undefine_function(VV[573]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[209]) /*  MAPC */;
  ecl_cmp_defun(VV[2091]);                        /*  TEMPORARY-DIRECTORY */
  L62undefine_function(VV[574]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[210]) /*  MAPC */;
  ecl_cmp_defun(VV[2092]);                        /*  SETUP-TEMPORARY-DIRECTORY */
  L62undefine_function(VV[575]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[211]) /*  MAPC */;
  ecl_cmp_defun(VV[2093]);                        /*  CALL-WITH-TEMPORARY-FILE */
  ecl_cmp_defmacro(VV[2094]);                     /*  WITH-TEMPORARY-FILE */
  L62undefine_function(VV[597]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[212]) /*  MAPC */;
  ecl_cmp_defun(VV[2095]);                        /*  GET-TEMPORARY-FILE */
  L62undefine_function(VV[598]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[213]) /*  MAPC */;
  ecl_cmp_defun(VV[2096]);                        /*  ADD-PATHNAME-SUFFIX */
  L62undefine_function(VV[599]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[214]) /*  MAPC */;
  ecl_cmp_defun(VV[2097]);                        /*  TMPIZE-PATHNAME */
  L62undefine_function(VV[600]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[215]) /*  MAPC */;
  ecl_cmp_defun(VV[2098]);                        /*  CALL-WITH-STAGING-PATHNAME */
  ecl_cmp_defmacro(VV[2099]);                     /*  WITH-STAGING-PATHNAME */
  L62undefine_function(VV[602]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[216]) /*  MAPC */;
  ecl_cmp_defun(VV[2115]);                        /*  FILE-STREAM-P   */
  L62undefine_function(VV[603]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[217]) /*  MAPC */;
  ecl_cmp_defun(VV[2116]);                        /*  FILE-OR-SYNONYM-STREAM-P */
  ecl_function_dispatch(cl_env_copy,VV[1727])(11, _ecl_static_8, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
  cl_apply(2, VV[112], VVtemp[218]);
  si_select_package(_ecl_static_8);
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  si_Xmake_special(VV[604]);
  if (ecl_boundp(cl_env_copy,VV[604])) { goto L1909; }
  cl_set(VV[604],ECL_T);
L1909:;
  si_Xmake_special(VV[605]);
  if (ecl_boundp(cl_env_copy,VV[605])) { goto L1916; }
  cl_set(VV[605],ECL_NIL);
L1916:;
  si_Xmake_special(VV[606]);
  if (ecl_boundp(cl_env_copy,VV[606])) { goto L1923; }
  cl_set(VV[606],ECL_NIL);
L1923:;
  si_Xmake_special(VV[607]);
  if (ecl_boundp(cl_env_copy,VV[607])) { goto L1930; }
  cl_set(VV[607],ECL_NIL);
L1930:;
  si_Xmake_special(VV[608]);
  if (ecl_boundp(cl_env_copy,VV[608])) { goto L1937; }
  cl_set(VV[608],ECL_NIL);
L1937:;
  si_Xmake_special(VV[609]);
  if (ecl_boundp(cl_env_copy,VV[609])) { goto L1944; }
  cl_set(VV[609],ECL_NIL);
L1944:;
  si_Xmake_special(VV[610]);
  if (ecl_boundp(cl_env_copy,VV[610])) { goto L1951; }
  cl_set(VV[610],ECL_NIL);
L1951:;
  si_Xmake_special(VV[611]);
  if (ecl_boundp(cl_env_copy,VV[611])) { goto L1958; }
  cl_set(VV[611],ECL_NIL);
L1958:;
  si_Xmake_special(VV[612]);
  if (ecl_boundp(cl_env_copy,VV[612])) { goto L1965; }
  cl_set(VV[612],ECL_NIL);
L1965:;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC340fatal_condition,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  si_do_deftype(3, VV[613], VVtemp[219], T0);
 }
  L62undefine_function(VV[615]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[220]) /*  MAPC */;
  ecl_cmp_defun(VV[2117]);                        /*  QUIT            */
  L62undefine_function(VV[616]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[221]) /*  MAPC */;
  ecl_cmp_defun(VV[2118]);                        /*  DIE             */
  L62undefine_function(VV[618]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[222]) /*  MAPC */;
  ecl_cmp_defun(VV[2119]);                        /*  RAW-PRINT-BACKTRACE */
  L62undefine_function(VV[620]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[223]) /*  MAPC */;
  ecl_cmp_defun(VV[2120]);                        /*  PRINT-BACKTRACE */
  L62undefine_function(VV[621]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[224]) /*  MAPC */;
  ecl_cmp_defun(VV[2121]);                        /*  PRINT-CONDITION-BACKTRACE */
  L62undefine_function(VV[624]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[225]) /*  MAPC */;
  ecl_cmp_defun(VV[2122]);                        /*  FATAL-CONDITION-P */
  L62undefine_function(VV[625]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[226]) /*  MAPC */;
  ecl_cmp_defun(VV[2123]);                        /*  HANDLE-FATAL-CONDITION */
  L62undefine_function(VV[628]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[227]) /*  MAPC */;
  ecl_cmp_defun(VV[2124]);                        /*  CALL-WITH-FATAL-CONDITION-HANDLER */
  ecl_cmp_defmacro(VV[2125]);                     /*  WITH-FATAL-CONDITION-HANDLER */
  L62undefine_function(VV[630]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[228]) /*  MAPC */;
  ecl_cmp_defun(VV[2126]);                        /*  SHELL-BOOLEAN-EXIT */
  L62undefine_function(VV[631]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[229]) /*  MAPC */;
  ecl_cmp_defun(VV[2130]);                        /*  REGISTER-IMAGE-RESTORE-HOOK */
  L62undefine_function(VV[632]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[230]) /*  MAPC */;
  ecl_cmp_defun(VV[2131]);                        /*  REGISTER-IMAGE-DUMP-HOOK */
  L62undefine_function(VV[633]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[231]) /*  MAPC */;
  ecl_cmp_defun(VV[2132]);                        /*  CALL-IMAGE-RESTORE-HOOK */
  L62undefine_function(VV[634]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[232]) /*  MAPC */;
  ecl_cmp_defun(VV[2133]);                        /*  CALL-IMAGE-DUMP-HOOK */
  L62undefine_function(VV[635]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[233]) /*  MAPC */;
  ecl_cmp_defun(VV[2134]);                        /*  RAW-COMMAND-LINE-ARGUMENTS */
  L62undefine_function(VV[636]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[234]) /*  MAPC */;
  ecl_cmp_defun(VV[2135]);                        /*  COMMAND-LINE-ARGUMENTS */
  L62undefine_function(VV[639]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[235]) /*  MAPC */;
  ecl_cmp_defun(VV[2136]);                        /*  ARGV0           */
  L62undefine_function(VV[641]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[236]) /*  MAPC */;
  ecl_cmp_defun(VV[2137]);                        /*  SETUP-COMMAND-LINE-ARGUMENTS */
  L62undefine_function(VV[642]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[237]) /*  MAPC */;
  ecl_cmp_defun(VV[2138]);                        /*  RESTORE-IMAGE   */
  L62undefine_function(VV[646]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[238]) /*  MAPC */;
  ecl_cmp_defun(VV[2144]);                        /*  DUMP-IMAGE      */
  L62undefine_function(VV[650]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[239]) /*  MAPC */;
  ecl_cmp_defun(VV[2145]);                        /*  CREATE-IMAGE    */
  cl_map(3, ECL_NIL, VV[631], VVtemp[240]);
  ecl_function_dispatch(cl_env_copy,VV[1727])(11, _ecl_static_9, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
  cl_apply(2, VV[112], VVtemp[241]);
  si_select_package(_ecl_static_9);
  L62undefine_function(VV[666]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[242]) /*  MAPC */;
  ecl_cmp_defun(VV[2161]);                        /*  REQUIRES-ESCAPING-P */
  L62undefine_function(VV[669]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[243]) /*  MAPC */;
  ecl_cmp_defun(VV[2162]);                        /*  ESCAPE-TOKEN    */
  L62undefine_function(VV[673]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[244]) /*  MAPC */;
  ecl_cmp_defun(VV[2163]);                        /*  ESCAPE-WINDOWS-TOKEN-WITHIN-DOUBLE-QUOTES */
  L62undefine_function(VV[676]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[245]) /*  MAPC */;
  ecl_cmp_defun(VV[2164]);                        /*  EASY-WINDOWS-CHARACTER-P */
  L62undefine_function(VV[678]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[246]) /*  MAPC */;
  ecl_cmp_defun(VV[2165]);                        /*  ESCAPE-WINDOWS-TOKEN */
  L62undefine_function(VV[680]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[247]) /*  MAPC */;
  ecl_cmp_defun(VV[2166]);                        /*  ESCAPE-SH-TOKEN-WITHIN-DOUBLE-QUOTES */
  L62undefine_function(VV[682]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[248]) /*  MAPC */;
  ecl_cmp_defun(VV[2167]);                        /*  EASY-SH-CHARACTER-P */
  L62undefine_function(VV[684]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[249]) /*  MAPC */;
  ecl_cmp_defun(VV[2168]);                        /*  ESCAPE-SH-TOKEN */
  L62undefine_function(VV[685]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[250]) /*  MAPC */;
  ecl_cmp_defun(VV[2169]);                        /*  ESCAPE-SHELL-TOKEN */
  L62undefine_function(VV[686]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[251]) /*  MAPC */;
  ecl_cmp_defun(VV[2170]);                        /*  ESCAPE-COMMAND  */
  L62undefine_function(VV[688]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[252]) /*  MAPC */;
  ecl_cmp_defun(VV[2171]);                        /*  ESCAPE-WINDOWS-COMMAND */
  L62undefine_function(VV[689]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[253]) /*  MAPC */;
  ecl_cmp_defun(VV[2172]);                        /*  ESCAPE-SH-COMMAND */
  L62undefine_function(VV[690]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[254]) /*  MAPC */;
  ecl_cmp_defun(VV[2173]);                        /*  ESCAPE-SHELL-COMMAND */
 {
  cl_object T0, T1, T2;
  cl_object volatile env0 = ECL_NIL;
  L62undefine_function(VV[691]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[255]) /*  MAPC */;
  ecl_cmp_defun(VV[2179]);                        /*  CALL-STREAM-PROCESSOR */
  L62undefine_function(VV[692]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[256]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[692], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[257], ECL_SYM("DOCUMENTATION",1232), VVtemp[258]) /*  ENSURE-GENERIC-FUNCTION */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC388__g2573,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[692], ECL_NIL, VVtemp[259], VVtemp[260], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC389__g2574,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[692], ECL_NIL, VVtemp[261], VVtemp[262], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC390__g2575,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[692], ECL_NIL, VVtemp[263], VVtemp[264], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC391__g2576,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[692], ECL_NIL, VVtemp[265], VVtemp[266], T0);
  T0 = cl_list(2, ECL_SYM("EQL",334), VV[697]);
  T1 = cl_list(2, T0, ECL_T);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC392__g2577,ECL_NIL,Cblock);
   T2 = v1;
  }
  clos_install_method(5, VV[692], ECL_NIL, T1, VVtemp[266], T2);
  T0 = cl_list(2, ECL_SYM("EQL",334), ECL_SYM("LINES",1277));
  T1 = cl_list(2, T0, ECL_T);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC393__g2578,ECL_NIL,Cblock);
   T2 = v1;
  }
  clos_install_method(5, VV[692], ECL_NIL, T1, VVtemp[267], T2);
  T0 = cl_list(2, ECL_SYM("EQL",334), ECL_SYM("LINE",1620));
  T1 = cl_list(2, T0, ECL_T);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC394__g2579,ECL_NIL,Cblock);
   T2 = v1;
  }
  clos_install_method(5, VV[692], ECL_NIL, T1, VVtemp[268], T2);
  T0 = cl_list(2, ECL_SYM("EQL",334), VV[698]);
  T1 = cl_list(2, T0, ECL_T);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC395__g2580,ECL_NIL,Cblock);
   T2 = v1;
  }
  clos_install_method(5, VV[692], ECL_NIL, T1, VVtemp[267], T2);
  T0 = cl_list(2, ECL_SYM("EQL",334), VV[699]);
  T1 = cl_list(2, T0, ECL_T);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC396__g2581,ECL_NIL,Cblock);
   T2 = v1;
  }
  clos_install_method(5, VV[692], ECL_NIL, T1, VVtemp[268], T2);
  T0 = cl_list(2, ECL_SYM("EQL",334), ECL_T);
  T1 = cl_list(2, T0, ECL_T);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC397__g2582,ECL_NIL,Cblock);
   T2 = v1;
  }
  clos_install_method(5, VV[692], ECL_NIL, T1, VVtemp[269], T2);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC398__g2583,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[692], ECL_NIL, VVtemp[270], VVtemp[271], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC400__g2584,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[692], ECL_NIL, VVtemp[272], VVtemp[273], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC401__g2586,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[692], ECL_NIL, VVtemp[274], VVtemp[275], T0);
 }
 {
  cl_object T0, T1, T2;
  cl_object volatile env0 = ECL_NIL;
  L62undefine_function(VV[701]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[276]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[701], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[277], ECL_SYM("DOCUMENTATION",1232), VVtemp[278]) /*  ENSURE-GENERIC-FUNCTION */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC402__g2587,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[701], ECL_NIL, VVtemp[259], VVtemp[279], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC403__g2588,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[701], ECL_NIL, VVtemp[261], VVtemp[280], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC404__g2589,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[701], ECL_NIL, VVtemp[263], VVtemp[281], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC405__g2590,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[701], ECL_NIL, VVtemp[282], VVtemp[283], T0);
  T0 = cl_list(2, ECL_SYM("EQL",334), ECL_T);
  T1 = cl_list(2, T0, ECL_T);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC406__g2591,ECL_NIL,Cblock);
   T2 = v1;
  }
  clos_install_method(5, VV[701], ECL_NIL, T1, VVtemp[269], T2);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC407__g2592,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[701], ECL_NIL, VVtemp[270], VVtemp[271], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC409__g2593,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[701], ECL_NIL, VVtemp[272], VVtemp[273], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC410__g2595,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[701], ECL_NIL, VVtemp[274], VVtemp[275], T0);
 }
 {
  cl_object T0, T1, T2;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC412__g2596,ECL_NIL,Cblock,0);
   T0 = v1;
  }
  T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[284]);
  T2 = cl_list(4, T1, VVtemp[285], VVtemp[286], VVtemp[287]);
  clos_load_defclass(VV[703], VVtemp[62], T2, ECL_NIL);
  L62undefine_function(VV[705]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[288]) /*  MAPC */;
  ecl_cmp_defun(VV[2192]);                        /*  %CMD-SHELL-PATHNAME */
  L62undefine_function(VV[707]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[289]) /*  MAPC */;
  ecl_cmp_defun(VV[2193]);                        /*  %NORMALIZE-COMMAND */
  L62undefine_function(VV[710]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[290]) /*  MAPC */;
  ecl_cmp_defun(VV[2194]);                        /*  %ACTIVE-IO-SPECIFIER-P */
  L62undefine_function(VV[713]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[291]) /*  MAPC */;
  ecl_cmp_defun(VV[2195]);                        /*  %NORMALIZE-IO-SPECIFIER */
  L62undefine_function(VV[720]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[292]) /*  MAPC */;
  ecl_cmp_defun(VV[2196]);                        /*  %NORMALIZE-IF-EXISTS */
  L62undefine_function(VV[724]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[293]) /*  MAPC */;
  ecl_cmp_defun(VV[2197]);                        /*  %INTERACTIVEP   */
  L62undefine_function(VV[725]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[294]) /*  MAPC */;
  ecl_cmp_defun(VV[2198]);                        /*  %SIGNAL-TO-EXIT-CODE */
  clos_load_defclass(VV[726], ECL_NIL, VVtemp[295], ECL_NIL);
  L62undefine_function(VV[727]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[296]) /*  MAPC */;
  ecl_cmp_defun(VV[2199]);                        /*  %RUN-PROGRAM    */
  L62undefine_function(VV[736]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[297]) /*  MAPC */;
  ecl_cmp_defun(VV[2200]);                        /*  PROCESS-INFO-ERROR-OUTPUT */
  L62undefine_function(VV[738]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[298]) /*  MAPC */;
  ecl_cmp_defun(VV[2201]);                        /*  PROCESS-INFO-INPUT */
  L62undefine_function(VV[739]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[299]) /*  MAPC */;
  ecl_cmp_defun(VV[2202]);                        /*  PROCESS-INFO-OUTPUT */
  L62undefine_function(VV[740]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[300]) /*  MAPC */;
  ecl_cmp_defun(VV[2203]);                        /*  PROCESS-INFO-PID */
  L62undefine_function(VV[741]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[301]) /*  MAPC */;
  ecl_cmp_defun(VV[2204]);                        /*  %PROCESS-STATUS */
  L62undefine_function(VV[742]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[302]) /*  MAPC */;
  ecl_cmp_defun(VV[2205]);                        /*  PROCESS-ALIVE-P */
  L62undefine_function(VV[746]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[303]) /*  MAPC */;
  ecl_cmp_defun(VV[2206]);                        /*  WAIT-PROCESS    */
  L62undefine_function(VV[747]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[304]) /*  MAPC */;
  ecl_cmp_defun(VV[2207]);                        /*  %CHECK-RESULT   */
  L62undefine_function(VV[750]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[305]) /*  MAPC */;
  ecl_cmp_defun(VV[2208]);                        /*  CLOSE-STREAMS   */
  L62undefine_function(VV[751]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[306]) /*  MAPC */;
  ecl_cmp_defun(VV[2209]);                        /*  %POSIX-SEND-SIGNAL */
  L62undefine_function(VV[753]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[307]) /*  MAPC */;
  ecl_cmp_defun(VV[2210]);                        /*  TERMINATE-PROCESS */
  L62undefine_function(VV[756]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[308]) /*  MAPC */;
  ecl_cmp_defun(VV[2211]);                        /*  %CALL-WITH-PROGRAM-IO */
  ecl_cmp_defmacro(VV[2212]);                     /*  PLACE-SETTER    */
  ecl_cmp_defmacro(VV[2213]);                     /*  WITH-PROGRAM-INPUT */
  ecl_cmp_defmacro(VV[2214]);                     /*  WITH-PROGRAM-OUTPUT */
  ecl_cmp_defmacro(VV[2215]);                     /*  WITH-PROGRAM-ERROR-OUTPUT */
  L62undefine_function(VV[776]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[309]) /*  MAPC */;
  ecl_cmp_defun(VV[2216]);                        /*  %USE-RUN-PROGRAM */
  L62undefine_function(VV[781]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[310]) /*  MAPC */;
  ecl_cmp_defun(VV[2217]);                        /*  %NORMALIZE-SYSTEM-COMMAND */
  L62undefine_function(VV[783]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[311]) /*  MAPC */;
  ecl_cmp_defun(VV[2218]);                        /*  %REDIRECTED-SYSTEM-COMMAND */
  L62undefine_function(VV[794]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[312]) /*  MAPC */;
  ecl_cmp_defun(VV[2219]);                        /*  %SYSTEM         */
  L62undefine_function(VV[795]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[313]) /*  MAPC */;
  ecl_cmp_defun(VV[2220]);                        /*  %USE-SYSTEM     */
  L62undefine_function(VV[796]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[314]) /*  MAPC */;
  ecl_cmp_defun(VV[2221]);                        /*  LAUNCH-PROGRAM  */
  L62undefine_function(VV[759]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[315]) /*  MAPC */;
  ecl_cmp_defun(VV[2222]);                        /*  RUN-PROGRAM     */
 }
  ecl_function_dispatch(cl_env_copy,VV[1727])(11, _ecl_static_10, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
  cl_apply(2, VV[112], VVtemp[316]);
  si_select_package(_ecl_static_10);
  si_Xmake_special(VV[798]);
  if (ecl_boundp(cl_env_copy,VV[798])) { goto L2472; }
  cl_set(VV[798],VV[799]);
L2472:;
  si_Xmake_special(VV[800]);
  if (ecl_boundp(cl_env_copy,VV[800])) { goto L2479; }
  cl_set(VV[800],VV[799]);
L2479:;
  si_Xmake_special(VV[801]);
  if (ecl_boundp(cl_env_copy,VV[801])) { goto L2486; }
  cl_set(VV[801],ECL_NIL);
L2486:;
  si_Xmake_special(VV[802]);
  if (ecl_boundp(cl_env_copy,VV[802])) { goto L2493; }
  cl_set(VV[802],ECL_NIL);
L2493:;
  si_Xmake_special(VV[803]);
  if (ecl_boundp(cl_env_copy,VV[803])) { goto L2500; }
  cl_set(VV[803],ECL_NIL);
L2500:;
  si_Xmake_special(VV[804]);
  if ((L55use_ecl_byte_compiler_p())!=ECL_NIL) { goto L2509; }
  cl_set(VV[804],VVtemp[317]);
  goto L2508;
L2509:;
  cl_set(VV[804],ECL_NIL);
L2508:;
  L62undefine_function(VV[805]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[318]) /*  MAPC */;
  ecl_cmp_defun(VV[2265]);                        /*  GET-OPTIMIZATION-SETTINGS */
  L62undefine_function(VV[807]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[319]) /*  MAPC */;
  ecl_cmp_defun(VV[2266]);                        /*  PROCLAIM-OPTIMIZATION-SETTINGS */
  ecl_cmp_defmacro(VV[2267]);                     /*  WITH-OPTIMIZATION-SETTINGS */
  si_Xmake_special(VV[810]);
  if (ecl_boundp(cl_env_copy,VV[810])) { goto L2531; }
  cl_set(VV[810],cl_append(1, VVtemp[320]));
L2531:;
  si_Xmake_special(VV[811]);
  if (ecl_boundp(cl_env_copy,VV[811])) { goto L2538; }
  cl_set(VV[811],ECL_NIL);
L2538:;
  si_Xmake_special(VV[812]);
  if (ecl_boundp(cl_env_copy,VV[812])) { goto L2545; }
  cl_set(VV[812],ECL_NIL);
L2545:;
  si_Xmake_special(VV[813]);
  if (ecl_boundp(cl_env_copy,VV[813])) { goto L2552; }
  cl_set(VV[813],cl_append(1, VVtemp[321]));
L2552:;
  L62undefine_function(VV[814]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[322]) /*  MAPC */;
  ecl_cmp_defun(VV[2268]);                        /*  CALL-WITH-MUFFLED-COMPILER-CONDITIONS */
  ecl_cmp_defmacro(VV[2269]);                     /*  WITH-MUFFLED-COMPILER-CONDITIONS */
  L62undefine_function(VV[816]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[323]) /*  MAPC */;
  ecl_cmp_defun(VV[2270]);                        /*  CALL-WITH-MUFFLED-LOADER-CONDITIONS */
  ecl_cmp_defmacro(VV[2271]);                     /*  WITH-MUFFLED-LOADER-CONDITIONS */
 {
  cl_object T0, T1, T2;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC477__g2959,ECL_NIL,Cblock,0);
   T0 = v1;
  }
  T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[325]);
  T2 = cl_list(4, T1, VVtemp[326], VVtemp[327], VVtemp[328]);
  clos_load_defclass(VV[818], VVtemp[324], T2, ECL_NIL);
  clos_load_defclass(VV[820], VVtemp[329], ECL_NIL, ECL_NIL);
  clos_load_defclass(VV[821], VVtemp[330], ECL_NIL, ECL_NIL);
  clos_load_defclass(VV[822], VVtemp[329], ECL_NIL, ECL_NIL);
  clos_load_defclass(VV[823], VVtemp[330], ECL_NIL, ECL_NIL);
  clos_load_defclass(VV[824], VVtemp[329], ECL_NIL, ECL_NIL);
  L62undefine_function(VV[825]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[331]) /*  MAPC */;
  ecl_cmp_defun(VV[2272]);                        /*  CHECK-LISP-COMPILE-WARNINGS */
  L62undefine_function(VV[830]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[332]) /*  MAPC */;
  ecl_cmp_defun(VV[2273]);                        /*  CHECK-LISP-COMPILE-RESULTS */
 }
  L62undefine_function(VV[831]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[333]) /*  MAPC */;
  ecl_cmp_defun(VV[2277]);                        /*  REIFY-SIMPLE-SEXP */
  L62undefine_function(VV[833]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[334]) /*  MAPC */;
  ecl_cmp_defun(VV[2278]);                        /*  UNREIFY-SIMPLE-SEXP */
  L62undefine_function(VV[836]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[335]) /*  MAPC */;
  ecl_cmp_defun(VV[2279]);                        /*  REIFY-DEFERRED-WARNINGS */
  L62undefine_function(VV[838]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[336]) /*  MAPC */;
  ecl_cmp_defun(VV[2280]);                        /*  UNREIFY-DEFERRED-WARNINGS */
  L62undefine_function(VV[839]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[337]) /*  MAPC */;
  ecl_cmp_defun(VV[2281]);                        /*  RESET-DEFERRED-WARNINGS */
  L62undefine_function(VV[841]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[338]) /*  MAPC */;
  ecl_cmp_defun(VV[2282]);                        /*  SAVE-DEFERRED-WARNINGS */
  L62undefine_function(VV[842]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[339]) /*  MAPC */;
  ecl_cmp_defun(VV[2283]);                        /*  WARNINGS-FILE-TYPE */
  si_Xmake_special(VV[864]);
  if (ecl_boundp(cl_env_copy,VV[864])) { goto L2653; }
  cl_set(VV[864],ECL_NIL);
L2653:;
  L62undefine_function(VV[865]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[340]) /*  MAPC */;
  ecl_cmp_defun(VV[2284]);                        /*  ENABLE-DEFERRED-WARNINGS-CHECK */
  L62undefine_function(VV[866]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[341]) /*  MAPC */;
  ecl_cmp_defun(VV[2285]);                        /*  DISABLE-DEFERRED-WARNINGS-CHECK */
  L62undefine_function(VV[867]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[342]) /*  MAPC */;
  ecl_cmp_defun(VV[2286]);                        /*  WARNINGS-FILE-P */
  L62undefine_function(VV[868]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[343]) /*  MAPC */;
  ecl_cmp_defun(VV[2287]);                        /*  CHECK-DEFERRED-WARNINGS */
  L62undefine_function(VV[869]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[344]) /*  MAPC */;
  ecl_cmp_defun(VV[2288]);                        /*  CALL-WITH-SAVED-DEFERRED-WARNINGS */
  ecl_cmp_defmacro(VV[2289]);                     /*  WITH-SAVED-DEFERRED-WARNINGS */
  L62undefine_function(VV[873]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[345]) /*  MAPC */;
  ecl_cmp_defun(VV[2290]);                        /*  CURRENT-LISP-FILE-PATHNAME */
  L62undefine_function(VV[874]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[346]) /*  MAPC */;
  ecl_cmp_defun(VV[2291]);                        /*  LOAD-PATHNAME   */
  L62undefine_function(VV[875]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[347]) /*  MAPC */;
  ecl_cmp_defun(VV[2292]);                        /*  LISPIZE-PATHNAME */
  L62undefine_function(VV[877]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[348]) /*  MAPC */;
  ecl_cmp_defun(VV[2293]);                        /*  COMPILE-FILE-TYPE */
  L62undefine_function(VV[879]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[349]) /*  MAPC */;
  ecl_cmp_defun(VV[2294]);                        /*  CALL-AROUND-HOOK */
  L62undefine_function(VV[880]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[350]) /*  MAPC */;
  ecl_cmp_defun(VV[2295]);                        /*  COMPILE-FILE-PATHNAME* */
  si_Xmake_special(VV[882]);
  if (ecl_boundp(cl_env_copy,VV[882])) { goto L2739; }
  cl_set(VV[882],ECL_NIL);
L2739:;
  L62undefine_function(VV[883]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[351]) /*  MAPC */;
  ecl_cmp_defun(VV[2296]);                        /*  COMPILE-FILE*   */
  L62undefine_function(VV[891]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[352]) /*  MAPC */;
  ecl_cmp_defun(VV[2297]);                        /*  LOAD*           */
  L62undefine_function(VV[893]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[353]) /*  MAPC */;
  ecl_cmp_defun(VV[2298]);                        /*  LOAD-FROM-STRING */
  L62undefine_function(VV[894]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[354]) /*  MAPC */;
  ecl_cmp_defun(VV[2304]);                        /*  COMBINE-FASLS   */
  ecl_function_dispatch(cl_env_copy,VV[1727])(11, _ecl_static_11, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
  cl_apply(2, VV[112], VVtemp[355]);
  si_select_package(_ecl_static_11);
 {
  cl_object T0, T1, T2;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC512__g3075,ECL_NIL,Cblock,0);
   T0 = v1;
  }
  T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[356]);
  T2 = cl_list(5, T1, VVtemp[357], VVtemp[358], VVtemp[359], VVtemp[360]);
  clos_load_defclass(VV[896], VVtemp[324], T2, ECL_NIL);
  L62undefine_function(VV[898]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[361]) /*  MAPC */;
  ecl_cmp_defun(VV[2305]);                        /*  CONFIGURATION-INHERITANCE-DIRECTIVE-P */
  L62undefine_function(VV[900]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[362]) /*  MAPC */;
  ecl_cmp_defun(VV[2306]);                        /*  REPORT-INVALID-FORM */
  si_Xmake_special(VV[902]);
  if (ecl_boundp(cl_env_copy,VV[902])) { goto L2794; }
  cl_set(VV[902],ECL_NIL);
L2794:;
  L62undefine_function(VV[903]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[363]) /*  MAPC */;
  ecl_cmp_defun(VV[2307]);                        /*  VALIDATE-CONFIGURATION-FORM */
  L62undefine_function(VV[908]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[364]) /*  MAPC */;
  ecl_cmp_defun(VV[2308]);                        /*  VALIDATE-CONFIGURATION-FILE */
  L62undefine_function(VV[910]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[365]) /*  MAPC */;
  ecl_cmp_defun(VV[2309]);                        /*  VALIDATE-CONFIGURATION-DIRECTORY */
  L62undefine_function(VV[913]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[366]) /*  MAPC */;
  ecl_cmp_defun(VV[2310]);                        /*  RESOLVE-RELATIVE-LOCATION */
  si_Xmake_special(VV[928]);
  if (ecl_boundp(cl_env_copy,VV[928])) { goto L2829; }
  cl_set(VV[928],ECL_NIL);
L2829:;
  si_Xmake_special(VV[929]);
  if (ecl_boundp(cl_env_copy,VV[929])) { goto L2836; }
  cl_set(VV[929],ECL_NIL);
L2836:;
  L62undefine_function(VV[930]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[367]) /*  MAPC */;
  ecl_cmp_defun(VV[2311]);                        /*  RESOLVE-ABSOLUTE-LOCATION */
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[368]) /*  MAPC */;
  L62undefine_function(VV[936]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[369]) /*  MAPC */;
  ecl_cmp_defun(VV[2312]);                        /*  RESOLVE-LOCATION */
  L62undefine_function(VV[937]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[370]) /*  MAPC */;
  ecl_cmp_defun(VV[2313]);                        /*  LOCATION-DESIGNATOR-P */
  L62undefine_function(VV[947]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[371]) /*  MAPC */;
  ecl_cmp_defun(VV[2314]);                        /*  LOCATION-FUNCTION-P */
  si_Xmake_special(VV[948]);
  if (ecl_boundp(cl_env_copy,VV[948])) { goto L2873; }
  cl_set(VV[948],ECL_NIL);
L2873:;
  L62undefine_function(VV[949]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[372]) /*  MAPC */;
  ecl_cmp_defun(VV[2315]);                        /*  REGISTER-CLEAR-CONFIGURATION-HOOK */
  L62undefine_function(VV[950]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[373]) /*  MAPC */;
  ecl_cmp_defun(VV[2316]);                        /*  CLEAR-CONFIGURATION */
  ecl_function_dispatch(cl_env_copy,VV[632])(1, VV[950]) /*  REGISTER-IMAGE-DUMP-HOOK */;
  L62undefine_function(VV[951]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[374]) /*  MAPC */;
  ecl_cmp_defun(VV[2317]);                        /*  UPGRADE-CONFIGURATION */
  L62undefine_function(VV[952]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[375]) /*  MAPC */;
  ecl_cmp_defun(VV[2318]);                        /*  GET-FOLDER-PATH */
  L62undefine_function(VV[963]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[376]) /*  MAPC */;
  ecl_cmp_defun(VV[2319]);                        /*  XDG-DATA-HOME   */
  L62undefine_function(VV[966]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[377]) /*  MAPC */;
  ecl_cmp_defun(VV[2320]);                        /*  XDG-CONFIG-HOME */
  L62undefine_function(VV[969]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[378]) /*  MAPC */;
  ecl_cmp_defun(VV[2321]);                        /*  XDG-DATA-DIRS   */
  L62undefine_function(VV[972]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[379]) /*  MAPC */;
  ecl_cmp_defun(VV[2322]);                        /*  XDG-CONFIG-DIRS */
  L62undefine_function(VV[975]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[380]) /*  MAPC */;
  ecl_cmp_defun(VV[2323]);                        /*  XDG-CACHE-HOME  */
  L62undefine_function(VV[978]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[381]) /*  MAPC */;
  ecl_cmp_defun(VV[2324]);                        /*  XDG-RUNTIME-DIR */
  L62undefine_function(VV[980]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[382]) /*  MAPC */;
  ecl_cmp_defun(VV[2325]);                        /*  SYSTEM-CONFIG-PATHNAMES */
  L62undefine_function(VV[982]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[383]) /*  MAPC */;
  ecl_cmp_defun(VV[2326]);                        /*  FILTER-PATHNAME-SET */
  L62undefine_function(VV[983]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[384]) /*  MAPC */;
  ecl_cmp_defun(VV[2327]);                        /*  XDG-DATA-PATHNAMES */
  L62undefine_function(VV[984]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[385]) /*  MAPC */;
  ecl_cmp_defun(VV[2328]);                        /*  XDG-CONFIG-PATHNAMES */
  L62undefine_function(VV[985]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[386]) /*  MAPC */;
  ecl_cmp_defun(VV[2329]);                        /*  FIND-PREFERRED-FILE */
  L62undefine_function(VV[989]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[387]) /*  MAPC */;
  ecl_cmp_defun(VV[2330]);                        /*  XDG-DATA-PATHNAME */
  L62undefine_function(VV[990]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[388]) /*  MAPC */;
  ecl_cmp_defun(VV[2331]);                        /*  XDG-CONFIG-PATHNAME */
  L62undefine_function(VV[991]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[389]) /*  MAPC */;
  ecl_cmp_defun(VV[2332]);                        /*  COMPUTE-USER-CACHE */
  ecl_function_dispatch(cl_env_copy,VV[631])(1, VV[991]) /*  REGISTER-IMAGE-RESTORE-HOOK */;
 }
  ecl_function_dispatch(cl_env_copy,VV[1727])(11, _ecl_static_12, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
  cl_apply(2, VV[112], VVtemp[390]);
  si_select_package(_ecl_static_12);
  L62undefine_function(VV[994]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[391]) /*  MAPC */;
  ecl_cmp_defun(VV[2345]);                        /*  COERCE-PATHNAME */
  L62undefine_function(VV[995]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[392]) /*  MAPC */;
  ecl_cmp_defun(VV[2346]);                        /*  USER-CONFIGURATION-DIRECTORIES */
  L62undefine_function(VV[996]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[393]) /*  MAPC */;
  ecl_cmp_defun(VV[2347]);                        /*  SYSTEM-CONFIGURATION-DIRECTORIES */
  L62undefine_function(VV[997]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[394]) /*  MAPC */;
  ecl_cmp_defun(VV[2348]);                        /*  IN-FIRST-DIRECTORY */
  L62undefine_function(VV[998]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[395]) /*  MAPC */;
  ecl_cmp_defun(VV[2349]);                        /*  IN-USER-CONFIGURATION-DIRECTORY */
  L62undefine_function(VV[999]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[396]) /*  MAPC */;
  ecl_cmp_defun(VV[2350]);                        /*  IN-SYSTEM-CONFIGURATION-DIRECTORY */
  ecl_function_dispatch(cl_env_copy,VV[1727])(11, _ecl_static_13, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
  cl_apply(2, VV[112], VVtemp[397]);
  cl_provide(VVtemp[398]);
  cl_provide(VVtemp[399]);
  ecl_function_dispatch(cl_env_copy,VV[1727])(11, _ecl_static_14, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
  cl_apply(2, VV[112], VVtemp[400]);
  si_select_package(_ecl_static_14);
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  L62undefine_function(VV[1000]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[401]) /*  MAPC */;
  ecl_cmp_defun(VV[2351]);                        /*  ASDF-VERSION    */
  si_Xmake_special(VV[1006]);
  if (ecl_boundp(cl_env_copy,VV[1006])) { goto L3067; }
  {
   cl_object v1asdf_upgrade__previous;
   v1asdf_upgrade__previous = ecl_function_dispatch(cl_env_copy,VV[1000])(0) /*  ASDF-VERSION */;
   if (Null(v1asdf_upgrade__previous)) { goto L3071; }
   if (Null(ecl_function_dispatch(cl_env_copy,VV[232])(2, v1asdf_upgrade__previous, VVtemp[402]) /*  VERSION< */)) { goto L3071; }
   {
    cl_object v2asdf_upgrade__away;
    v2asdf_upgrade__away = cl_format(4, ECL_NIL, VVtemp[403], VV[1001], v1asdf_upgrade__previous);
    cl_rename_package(2, VV[1001], v2asdf_upgrade__away);
    if (Null(ecl_symbol_value(ECL_SYM("*LOAD-VERBOSE*",39)))) { goto L3071; }
    cl_format(4, ECL_T, VVtemp[404], VV[1001], v2asdf_upgrade__away);
   }
L3071:;
   cl_set(VV[1006],ecl_list1(v1asdf_upgrade__previous));
  }
L3067:;
  si_Xmake_special(VV[1007]);
  if (ecl_boundp(cl_env_copy,VV[1007])) { goto L3081; }
  cl_set(VV[1007],ECL_NIL);
L3081:;
  si_Xmake_special(VV[1008]);
  cl_set(VV[1008],VVtemp[405]);
  si_Xmake_special(VV[1009]);
  if (ecl_boundp(cl_env_copy,VV[1009])) { goto L3094; }
  cl_set(VV[1009],ECL_NIL);
L3094:;
  L62undefine_function(VV[1010]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[406]) /*  MAPC */;
  ecl_cmp_defun(VV[2352]);                        /*  ASDF-MESSAGE    */
  si_Xmake_special(VV[1011]);
  if (ecl_boundp(cl_env_copy,VV[1011])) { goto L3108; }
  cl_set(VV[1011],ECL_NIL);
L3108:;
  si_Xmake_special(VV[1012]);
  if (ecl_boundp(cl_env_copy,VV[1012])) { goto L3115; }
  cl_set(VV[1012],ECL_NIL);
L3115:;
  L62undefine_function(VV[1013]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[407]) /*  MAPC */;
  ecl_cmp_defun(VV[2353]);                        /*  UPGRADING-P     */
  ecl_cmp_defmacro(VV[2354]);                     /*  DEFPARAMETER*   */
  ecl_cmp_defmacro(VV[2355]);                     /*  WHEN-UPGRADING  */
  {
   cl_object v1asdf_upgrade__existing_version;
   v1asdf_upgrade__existing_version = ecl_function_dispatch(cl_env_copy,VV[1000])(0) /*  ASDF-VERSION */;
   cl_set(VV[1007],VVtemp[408]);
   if (Null(v1asdf_upgrade__existing_version)) { goto L3132; }
   if (ecl_equal(VVtemp[408],v1asdf_upgrade__existing_version)) { goto L3132; }
   cl_set(VV[1006],CONS(v1asdf_upgrade__existing_version,ecl_symbol_value(VV[1006])));
   if ((ecl_symbol_value(VV[1009]))!=ECL_NIL) { goto L3141; }
   if (Null(ecl_symbol_value(ECL_SYM("*LOAD-VERBOSE*",39)))) { goto L3132; }
   goto L3140;
L3141:;
L3140:;
   value0 = ecl_symbol_value(VV[1009]);
   if ((value0)!=ECL_NIL) { goto L3145; }
   T0 = ecl_symbol_value(ECL_SYM("*TRACE-OUTPUT*",69));
   goto L3143;
L3145:;
   T0 = value0;
   goto L3143;
L3143:;
   cl_format(4, T0, VVtemp[409], v1asdf_upgrade__existing_version, VVtemp[408]);
  }
L3132:;
 }
 {
  cl_object T0, T1, T2, T3;
  cl_object volatile env0 = ECL_NIL;
  if (Null(ecl_function_dispatch(cl_env_copy,VV[1013])(1, VVtemp[405]) /*  UPGRADING-P */)) { goto L3147; }
  T0 = (ECL_SYM("MUFFLE-WARNING",571)->symbol.gfdef);
  T1 = CONS(ECL_SYM("STYLE-WARNING",827),T0);
  T2 = ecl_list1(T1);
  T3 = CONS(T2,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
  ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T3); /*  *HANDLER-CLUSTERS* */
  cl_eval(VVtemp[410]);
  ecl_bds_unwind1(cl_env_copy);
L3147:;
 }
  L62undefine_function(VV[1023]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[411]) /*  MAPC */;
  ecl_cmp_defun(VV[2356]);                        /*  CLEANUP-UPGRADED-ASDF */
  L62undefine_function(VV[1026]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[412]) /*  MAPC */;
  ecl_cmp_defun(VV[2357]);                        /*  UPGRADE-ASDF    */
  ecl_function_dispatch(cl_env_copy,VV[214])(2, VV[1011], VV[951]) /*  REGISTER-HOOK-FUNCTION */;
  ecl_function_dispatch(cl_env_copy,VV[1727])(11, _ecl_static_15, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
  cl_apply(2, VV[112], VVtemp[413]);
  si_select_package(_ecl_static_15);
 {
  cl_object T0, T1, T2;
  cl_object volatile env0 = ECL_NIL;
  L62undefine_function(VV[1029]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[414]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1029], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[415], ECL_SYM("DOCUMENTATION",1232), VVtemp[416]) /*  ENSURE-GENERIC-FUNCTION */;
  L62undefine_function(VV[1030]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[417]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1030], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[415], ECL_SYM("DOCUMENTATION",1232), VVtemp[418]) /*  ENSURE-GENERIC-FUNCTION */;
  L62undefine_function(VV[1031]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[419]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1031], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[415], ECL_SYM("DOCUMENTATION",1232), VVtemp[420]) /*  ENSURE-GENERIC-FUNCTION */;
  L62undefine_function(VV[1032]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[421]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1032], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[415], ECL_SYM("DOCUMENTATION",1232), VVtemp[422]) /*  ENSURE-GENERIC-FUNCTION */;
  L62undefine_function(VV[1033]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[423]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1033], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[415], ECL_SYM("DOCUMENTATION",1232), VVtemp[424]) /*  ENSURE-GENERIC-FUNCTION */;
  L62undefine_function(VV[1034]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[425]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1034], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[415], ECL_SYM("DOCUMENTATION",1232), VVtemp[426]) /*  ENSURE-GENERIC-FUNCTION */;
  L62undefine_function(VV[1035]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[427]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1035], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[428], ECL_SYM("DOCUMENTATION",1232), VVtemp[429]) /*  ENSURE-GENERIC-FUNCTION */;
  L62undefine_function(VV[1036]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[430]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1036], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[415], ECL_SYM("DOCUMENTATION",1232), VVtemp[431]) /*  ENSURE-GENERIC-FUNCTION */;
  L62undefine_function(VVtemp[432]);
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VVtemp[432], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[433], ECL_SYM("DOCUMENTATION",1232), VVtemp[434]) /*  ENSURE-GENERIC-FUNCTION */;
  L62undefine_function(VV[1037]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[435]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1037], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[415], ECL_SYM("DOCUMENTATION",1232), VVtemp[436]) /*  ENSURE-GENERIC-FUNCTION */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC560__g3265,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  clos_install_method(5, VV[1037], ECL_NIL, VVtemp[437], VVtemp[415], T0);
  L62undefine_function(VV[1038]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[438]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1038], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[439], ECL_SYM("DOCUMENTATION",1232), VVtemp[440]) /*  ENSURE-GENERIC-FUNCTION */;
  clos_load_defclass(VV[1039], VVtemp[62], ECL_NIL, ECL_NIL);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC562__g3266,ECL_NIL,Cblock,0);
   T0 = v1;
  }
  T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[442]);
  T2 = cl_list(2, T1, VVtemp[443]);
  clos_load_defclass(VV[1040], VVtemp[441], T2, ECL_NIL);
 }
 {
  cl_object T0, T1, T2, T3;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC563__g3268,ECL_NIL,Cblock,0);
   T0 = v1;
  }
  T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[454]);
  T2 = cl_list(16, VVtemp[444], VVtemp[445], VVtemp[446], VVtemp[447], VVtemp[448], VVtemp[449], VVtemp[450], VVtemp[451], VVtemp[452], VVtemp[453], T1, VVtemp[455], VVtemp[456], VVtemp[457], VVtemp[458], VVtemp[459]);
  T3 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[460]);
  clos_load_defclass(VV[1042], ECL_NIL, T2, T3);
  L62undefine_function(VV[1043]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[461]) /*  MAPC */;
  ecl_cmp_defun(VV[2359]);                        /*  COMPONENT-FIND-PATH */
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC566__g3282,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, ECL_SYM("PRINT-OBJECT",961), ECL_NIL, VVtemp[462], VVtemp[463], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC567__g3283,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  clos_install_method(5, VV[1030], ECL_NIL, VVtemp[415], VVtemp[415], T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[464]);
  clos_load_defclass(VV[1046], VVtemp[415], ECL_NIL, T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[467]);
  clos_load_defclass(VV[1047], VVtemp[465], VVtemp[466], T0);
  clos_load_defclass(VV[1048], VVtemp[468], VVtemp[469], ECL_NIL);
  clos_load_defclass(VV[1049], VVtemp[470], VVtemp[471], ECL_NIL);
  clos_load_defclass(VV[1050], VVtemp[470], VVtemp[472], ECL_NIL);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[474]);
  clos_load_defclass(VV[1051], VVtemp[470], VVtemp[473], T0);
  clos_load_defclass(VV[1052], VVtemp[475], ECL_NIL, ECL_NIL);
  clos_load_defclass(VV[1053], VVtemp[476], VVtemp[477], ECL_NIL);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[479]);
  clos_load_defclass(VV[1054], VVtemp[415], VVtemp[478], T0);
 }
  L62undefine_function(VV[1055]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[480]) /*  MAPC */;
  ecl_cmp_defun(VV[2360]);                        /*  COMPUTE-CHILDREN-BY-NAME */
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[482]);
  clos_load_defclass(VV[1057], VVtemp[481], ECL_NIL, T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  L62undefine_function(VV[1058]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[483]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1058], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[415], ECL_SYM("DOCUMENTATION",1232), VVtemp[484]) /*  ENSURE-GENERIC-FUNCTION */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC569__g3310,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  clos_install_method(5, VV[1058], ECL_NIL, VV[85], VVtemp[415], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC570__g3323,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  clos_install_method(5, VV[1031], ECL_NIL, VVtemp[415], VVtemp[415], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC571__g3327,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  clos_install_method(5, VV[1032], ECL_NIL, VVtemp[415], VVtemp[415], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC572__g3328,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1038], ECL_NIL, VVtemp[485], VVtemp[439], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC573__g3329,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1038], ECL_NIL, VVtemp[486], VVtemp[439], T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC574__g3334,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  clos_install_method(5, VV[1034], ECL_NIL, VVtemp[415], VVtemp[487], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC575__g3336,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  clos_install_method(5, VV[1033], ECL_NIL, VVtemp[415], VVtemp[487], T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  L62undefine_function(VV[1062]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[488]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1062], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[415], ECL_SYM("DOCUMENTATION",1232), VVtemp[489]) /*  ENSURE-GENERIC-FUNCTION */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC576__g3337,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  clos_install_method(5, VV[1062], ECL_NIL, VVtemp[415], VVtemp[487], T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC577__g3338,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1035], VVtemp[490], VVtemp[491], VVtemp[492], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC578__g3339,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1035], ECL_NIL, VVtemp[462], VVtemp[492], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC579__g3340,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1035], ECL_NIL, VVtemp[282], VVtemp[493], T0);
 }
  L62undefine_function(VV[1066]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[494]) /*  MAPC */;
  ecl_cmp_defun(VV[2365]);                        /*  SUB-COMPONENTS  */
  ecl_function_dispatch(cl_env_copy,VV[1727])(11, _ecl_static_16, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
  cl_apply(2, VV[112], VVtemp[495]);
  si_select_package(_ecl_static_16);
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  L62undefine_function(VV[1067]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[496]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1067], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[497], ECL_SYM("DOCUMENTATION",1232), VVtemp[498]) /*  ENSURE-GENERIC-FUNCTION */;
  L62undefine_function(VV[1068]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[499]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1068], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[500], ECL_SYM("DOCUMENTATION",1232), VVtemp[501]) /*  ENSURE-GENERIC-FUNCTION */;
  L62undefine_function(VV[1069]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[502]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1069], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[415], ECL_SYM("DOCUMENTATION",1232), VVtemp[503]) /*  ENSURE-GENERIC-FUNCTION */;
  L62undefine_function(VV[1070]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[504]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1070], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[415], ECL_SYM("DOCUMENTATION",1232), VVtemp[505]) /*  ENSURE-GENERIC-FUNCTION */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC583__g3349,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  clos_install_method(5, VV[1070], ECL_NIL, VVtemp[415], VVtemp[506], T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[508]);
  clos_load_defclass(VV[1071], ECL_NIL, VVtemp[507], T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[511]);
  clos_load_defclass(VV[1072], VVtemp[509], VVtemp[510], T0);
  L62undefine_function(VV[1073]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[512]) /*  MAPC */;
  ecl_cmp_defun(VV[2367]);                        /*  RESET-SYSTEM    */
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC585__g3350,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  clos_install_method(5, VV[1068], ECL_NIL, VVtemp[513], VVtemp[514], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC586__g3351,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  clos_install_method(5, VV[1068], ECL_NIL, VVtemp[515], VVtemp[514], T0);
  L62undefine_function(VV[1074]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[516]) /*  MAPC */;
  ecl_cmp_defun(VV[2368]);                        /*  SYSTEM-SOURCE-DIRECTORY */
  L62undefine_function(VV[1075]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[517]) /*  MAPC */;
  ecl_cmp_defun(VV[2369]);                        /*  SYSTEM-RELATIVE-PATHNAME */
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC589__g3364,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  clos_install_method(7, VV[1031], ECL_NIL, VVtemp[500], VVtemp[500], T0, ECL_SYM("DOCUMENTATION",1232), VVtemp[518]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC590__g3368,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  clos_install_method(5, VV[1032], ECL_NIL, VVtemp[500], VVtemp[500], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC591__g3369,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  clos_install_method(5, VV[1058], ECL_NIL, VVtemp[500], VVtemp[500], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC592__g3370,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  clos_install_method(5, VV[1069], ECL_NIL, VVtemp[415], VVtemp[506], T0);
 }
  ecl_function_dispatch(cl_env_copy,VV[1727])(11, _ecl_static_17, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
  cl_apply(2, VV[112], VVtemp[519]);
  si_select_package(_ecl_static_17);
  si_Xmake_special(VV[1077]);
  if (ecl_boundp(cl_env_copy,VV[1077])) { goto L3344; }
  cl_set(VV[1077],ECL_NIL);
L3344:;
  L62undefine_function(VV[1078]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[520]) /*  MAPC */;
  ecl_cmp_defun(VV[2370]);                        /*  SET-ASDF-CACHE-ENTRY */
  L62undefine_function(VV[1079]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[521]) /*  MAPC */;
  ecl_cmp_defun(VV[2371]);                        /*  UNSET-ASDF-CACHE-ENTRY */
  L62undefine_function(VV[1080]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[522]) /*  MAPC */;
  ecl_cmp_defun(VV[2372]);                        /*  CONSULT-ASDF-CACHE */
  ecl_cmp_defmacro(VV[2373]);                     /*  DO-ASDF-CACHE   */
  L62undefine_function(VV[1082]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[523]) /*  MAPC */;
  ecl_cmp_defun(VV[2374]);                        /*  CALL-WITH-ASDF-CACHE */
  ecl_cmp_defmacro(VV[2375]);                     /*  WITH-ASDF-CACHE */
  L62undefine_function(VV[1091]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[524]) /*  MAPC */;
  ecl_cmp_defun(VV[2376]);                        /*  NORMALIZE-NAMESTRING */
  L62undefine_function(VV[1092]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[525]) /*  MAPC */;
  ecl_cmp_defun(VV[2377]);                        /*  COMPUTE-FILE-STAMP */
  L62undefine_function(VV[1093]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[526]) /*  MAPC */;
  ecl_cmp_defun(VV[2378]);                        /*  REGISTER-FILE-STAMP */
  L62undefine_function(VV[1094]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[527]) /*  MAPC */;
  ecl_cmp_defun(VV[2379]);                        /*  GET-FILE-STAMP  */
  ecl_function_dispatch(cl_env_copy,VV[1727])(11, _ecl_static_18, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
  cl_apply(2, VV[112], VVtemp[528]);
  si_select_package(_ecl_static_18);
 {
  cl_object T0, T1, T2;
  cl_object volatile env0 = ECL_NIL;
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[529]) /*  MAPC */;
  clos_load_defclass(VV[1095], VVtemp[441], VVtemp[530], ECL_NIL);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC610__g3430,ECL_NIL,Cblock,0);
   T0 = v1;
  }
  T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[531]);
  T2 = cl_list(3, T1, VVtemp[532], VVtemp[533]);
  clos_load_defclass(VV[1096], VVtemp[441], T2, ECL_NIL);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC612__g3432,ECL_NIL,Cblock,0);
   T0 = v1;
  }
  T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[534]);
  T2 = cl_list(4, T1, VVtemp[535], VVtemp[536], VVtemp[537]);
  clos_load_defclass(VV[1097], VVtemp[441], T2, ECL_NIL);
  L62undefine_function(VV[1099]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[538]) /*  MAPC */;
  ecl_cmp_defun(VV[2383]);                        /*  SYSDEF-ERROR    */
  L62undefine_function(VV[1100]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[539]) /*  MAPC */;
  ecl_cmp_defun(VV[2384]);                        /*  COERCE-NAME     */
  L62undefine_function(VV[1102]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[540]) /*  MAPC */;
  ecl_cmp_defun(VV[2385]);                        /*  PRIMARY-SYSTEM-NAME */
  L62undefine_function(VV[1103]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[541]) /*  MAPC */;
  ecl_cmp_defun(VV[2386]);                        /*  COERCE-FILENAME */
  si_Xmake_special(VV[1105]);
  if (ecl_boundp(cl_env_copy,VV[1105])) { goto L3452; }
  cl_set(VV[1105],cl_make_hash_table(2, ECL_SYM("TEST",1328), ECL_SYM("EQUAL",335)));
L3452:;
  L62undefine_function(VV[1106]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[542]) /*  MAPC */;
  ecl_cmp_defun(VV[2387]);                        /*  SYSTEM-REGISTERED-P */
  L62undefine_function(VV[1107]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[543]) /*  MAPC */;
  ecl_cmp_defun(VV[2388]);                        /*  REGISTERED-SYSTEM */
  L62undefine_function(VV[1108]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[544]) /*  MAPC */;
  ecl_cmp_defun(VV[2389]);                        /*  REGISTERED-SYSTEMS* */
  L62undefine_function(VV[1109]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[545]) /*  MAPC */;
  ecl_cmp_defun(VV[2390]);                        /*  REGISTERED-SYSTEMS */
  L62undefine_function(VV[1110]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[546]) /*  MAPC */;
  ecl_cmp_defun(VV[2391]);                        /*  REGISTER-SYSTEM */
  si_Xmake_special(VV[1113]);
  if (ecl_boundp(cl_env_copy,VV[1113])) { goto L3494; }
  cl_set(VV[1113],cl_make_hash_table(2, ECL_SYM("TEST",1328), ECL_SYM("EQUAL",335)));
L3494:;
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[547]) /*  MAPC */;
  L62undefine_function(VV[1114]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[548]) /*  MAPC */;
  ecl_cmp_defun(VV[2392]);                        /*  MAKE-PRELOADED-SYSTEM */
  L62undefine_function(VV[1118]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[549]) /*  MAPC */;
  ecl_cmp_defun(VV[2393]);                        /*  SYSDEF-PRELOADED-SYSTEM-SEARCH */
  L62undefine_function(VV[1119]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[550]) /*  MAPC */;
  ecl_cmp_defun(VV[2394]);                        /*  ENSURE-PRELOADED-SYSTEM-REGISTERED */
  L62undefine_function(VV[1120]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[551]) /*  MAPC */;
  ecl_cmp_defun(VV[2395]);                        /*  ENSURE-ALL-PRELOADED-SYSTEMS-REGISTERED */
  ecl_function_dispatch(cl_env_copy,VV[214])(2, VV[1012], VV[1120]) /*  REGISTER-HOOK-FUNCTION */;
  L62undefine_function(VV[1121]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[552]) /*  MAPC */;
  ecl_cmp_defun(VV[2396]);                        /*  REGISTER-PRELOADED-SYSTEM */
  si_Xmake_special(VV[1122]);
  if (ecl_boundp(cl_env_copy,VV[1122])) { goto L3539; }
  cl_set(VV[1122],ECL_NIL);
L3539:;
  L62undefine_function(VV[1123]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[553]) /*  MAPC */;
  ecl_cmp_defun(VV[2397]);                        /*  SYSDEF-IMMUTABLE-SYSTEM-SEARCH */
  L62undefine_function(VV[1125]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[554]) /*  MAPC */;
  ecl_cmp_defun(VV[2398]);                        /*  REGISTER-IMMUTABLE-SYSTEM */
  L62undefine_function(VV[1126]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[555]) /*  MAPC */;
  ecl_cmp_defun(VV[2399]);                        /*  CLEAR-SYSTEM    */
  L62undefine_function(VV[1127]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[556]) /*  MAPC */;
  ecl_cmp_defun(VV[2400]);                        /*  CLEAR-DEFINED-SYSTEMS */
  ecl_function_dispatch(cl_env_copy,VV[214])(3, VV[1011], VV[1127], ECL_NIL) /*  REGISTER-HOOK-FUNCTION */;
  L62undefine_function(VV[1129]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[557]) /*  MAPC */;
  ecl_cmp_defun(VV[2401]);                        /*  MAP-SYSTEMS     */
  si_Xmake_special(VV[1130]);
  if (ecl_boundp(cl_env_copy,VV[1130])) { goto L3582; }
  cl_set(VV[1130],ECL_NIL);
L3582:;
  L62undefine_function(VV[1131]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[558]) /*  MAPC */;
  ecl_cmp_defun(VV[2402]);                        /*  CLEANUP-SYSTEM-DEFINITION-SEARCH-FUNCTIONS */
  ecl_function_dispatch(cl_env_copy,VV[1131])(0)  /*  CLEANUP-SYSTEM-DEFINITION-SEARCH-FUNCTIONS */;
  L62undefine_function(VV[1134]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[559]) /*  MAPC */;
  ecl_cmp_defun(VV[2403]);                        /*  SEARCH-FOR-SYSTEM-DEFINITION */
  si_Xmake_special(VV[1136]);
  if (ecl_boundp(cl_env_copy,VV[1136])) { goto L3604; }
  cl_set(VV[1136],ECL_NIL);
L3604:;
  L62undefine_function(VV[1137]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[560]) /*  MAPC */;
  ecl_cmp_defun(VV[2404]);                        /*  PROBE-ASD       */
  L62undefine_function(VV[1139]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[561]) /*  MAPC */;
  ecl_cmp_defun(VV[2405]);                        /*  SYSDEF-CENTRAL-REGISTRY-SEARCH */
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC646__g3752,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1067], ECL_NIL, VVtemp[437], VVtemp[562], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC647__g3753,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1067], ECL_NIL, VV[85], VVtemp[562], T0);
  L62undefine_function(VV[1135]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[563]) /*  MAPC */;
  ecl_cmp_defun(VV[2406]);                        /*  FIND-SYSTEM-IF-BEING-DEFINED */
  L62undefine_function(VV[1147]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[564]) /*  MAPC */;
  ecl_cmp_defun(VV[2407]);                        /*  LOAD-ASD        */
  si_Xmake_special(VV[1151]);
  if (ecl_boundp(cl_env_copy,VV[1151])) { goto L3643; }
  cl_set(VV[1151],cl_make_hash_table(2, ECL_SYM("TEST",1328), ECL_SYM("EQUAL",335)));
L3643:;
  L62undefine_function(VV[1152]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[565]) /*  MAPC */;
  ecl_cmp_defun(VV[2408]);                        /*  CHECK-NOT-OLD-ASDF-SYSTEM */
  L62undefine_function(VV[1155]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[566]) /*  MAPC */;
  ecl_cmp_defun(VV[2409]);                        /*  LOCATE-SYSTEM   */
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC657__g3791,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1067], ECL_NIL, VVtemp[513], VVtemp[562], T0);
 }
  ecl_function_dispatch(cl_env_copy,VV[1727])(11, _ecl_static_19, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
  cl_apply(2, VV[112], VVtemp[567]);
  si_select_package(_ecl_static_19);
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  clos_load_defclass(VV[1161], VVtemp[568], VVtemp[569], ECL_NIL);
  clos_load_defclass(VV[1162], VVtemp[568], VVtemp[570], ECL_NIL);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC658__g3801,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, ECL_SYM("PRINT-OBJECT",961), ECL_NIL, VVtemp[571], VVtemp[572], T0);
  clos_load_defclass(VV[1164], VVtemp[573], ECL_NIL, ECL_NIL);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC659__g3802,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, ECL_SYM("PRINT-OBJECT",961), ECL_NIL, VVtemp[574], VVtemp[572], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC660__g3803,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, ECL_SYM("PRINT-OBJECT",961), ECL_NIL, VVtemp[575], VVtemp[572], T0);
 }
 {
  cl_object T0, T1, T2;
  cl_object volatile env0 = ECL_NIL;
  L62undefine_function(VV[1167]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[576]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1167], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[577], ECL_SYM("DOCUMENTATION",1232), VVtemp[578]) /*  ENSURE-GENERIC-FUNCTION */;
  L62undefine_function(VV[1168]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[579]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1168], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[580], ECL_SYM("DOCUMENTATION",1232), VVtemp[581]) /*  ENSURE-GENERIC-FUNCTION */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC661__g3804,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1167], ECL_NIL, VVtemp[282], VVtemp[577], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC662__g3805,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1167], ECL_NIL, VVtemp[582], VVtemp[577], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC663__g3806,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1167], ECL_NIL, VVtemp[261], VVtemp[577], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC664__g3807,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1167], ECL_NIL, VVtemp[583], VVtemp[584], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC665__g3808,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1167], ECL_NIL, VVtemp[585], VVtemp[586], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC666__g3809,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1167], ECL_NIL, VVtemp[587], VVtemp[588], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC667__g3810,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1167], ECL_NIL, VVtemp[589], VVtemp[590], T0);
  L62undefine_function(VV[1171]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[591]) /*  MAPC */;
  ecl_cmp_defun(VV[2422]);                        /*  RESOLVE-DEPENDENCY-NAME */
  L62undefine_function(VV[1174]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[592]) /*  MAPC */;
  ecl_cmp_defun(VV[2423]);                        /*  RESOLVE-DEPENDENCY-SPEC */
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC673__g3830,ECL_NIL,Cblock,3);
   T0 = v1;
  }
  clos_install_method(5, VV[1168], ECL_NIL, VVtemp[593], VVtemp[580], T0);
  T0 = cl_list(2, ECL_SYM("EQL",334), VV[1176]);
  T1 = cl_list(3, ECL_T, T0, ECL_T);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC674__g3831,ECL_NIL,Cblock,3);
   T2 = v1;
  }
  clos_install_method(5, VV[1168], ECL_NIL, T1, VVtemp[580], T2);
  T0 = cl_list(2, ECL_SYM("EQL",334), ECL_SYM("VERSION",1338));
  T1 = cl_list(3, ECL_T, T0, ECL_T);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC675__g3832,ECL_NIL,Cblock,3);
   T2 = v1;
  }
  clos_install_method(5, VV[1168], ECL_NIL, T1, VVtemp[580], T2);
 }
  ecl_function_dispatch(cl_env_copy,VV[1727])(11, _ecl_static_20, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
  cl_apply(2, VV[112], VVtemp[594]);
  si_select_package(_ecl_static_20);
 {
  cl_object T0, T1, T2, T3;
  cl_object volatile env0 = ECL_NIL;
  if (Null(ecl_function_dispatch(cl_env_copy,VV[1013])(1, VVtemp[405]) /*  UPGRADING-P */)) { goto L3725; }
  if (Null(cl_find_class(2, VV[1177], ECL_NIL))) { goto L3725; }
  T0 = (ECL_SYM("MUFFLE-WARNING",571)->symbol.gfdef);
  T1 = CONS(ECL_SYM("STYLE-WARNING",827),T0);
  T2 = ecl_list1(T1);
  T3 = CONS(T2,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
  ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T3); /*  *HANDLER-CLUSTERS* */
  cl_eval(VVtemp[595]);
  ecl_bds_unwind1(cl_env_copy);
L3725:;
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[597]);
  clos_load_defclass(VV[1177], ECL_NIL, VVtemp[596], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC676__g3841,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, ECL_SYM("INITIALIZE-INSTANCE",947), VVtemp[598], VVtemp[599], VVtemp[600], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC679__g3868,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, ECL_SYM("PRINT-OBJECT",961), ECL_NIL, VVtemp[601], VVtemp[602], T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  ecl_cmp_defun(VV[2430]);                        /*  %COMPUTE-OPERATIONS-VALUE */
  si_Xmake_special(VV[1180]);
  if (ecl_boundp(cl_env_copy,VV[1180])) { goto L3739; }
  cl_set(VV[1180],L680_compute_operations_value());
L3739:;
  if (Null(ecl_function_dispatch(cl_env_copy,VV[1013])(1, VVtemp[405]) /*  UPGRADING-P */)) { goto L3745; }
  cl_set(VV[1180],L680_compute_operations_value());
L3745:;
  L62undefine_function(VV[1181]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[603]) /*  MAPC */;
  ecl_cmp_defun(VV[2431]);                        /*  MAKE-OPERATION  */
  L62undefine_function(VV[1184]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[604]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1184], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[605], ECL_SYM("DOCUMENTATION",1232), VVtemp[606]) /*  ENSURE-GENERIC-FUNCTION */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC682__g3875,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1184], ECL_NIL, VVtemp[607], VVtemp[605], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC683__g3876,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1184], ECL_NIL, VVtemp[585], VVtemp[605], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC684__g3877,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1184], ECL_NIL, VVtemp[608], VVtemp[605], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC685__g3878,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  clos_install_method(5, VV[1185], ECL_NIL, VVtemp[515], VVtemp[609], T0);
 }
  ecl_function_dispatch(cl_env_copy,VV[1727])(11, _ecl_static_21, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
  cl_apply(2, VV[112], VVtemp[610]);
  si_select_package(_ecl_static_21);
  si_do_deftype(3, VV[1186], VVtemp[611], VVtemp[612]);
  si_do_deftype(3, VV[1187], VVtemp[613], VVtemp[614]);
  L62undefine_function(VV[1188]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[615]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(5, VV[1188], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[616]) /*  ENSURE-GENERIC-FUNCTION */;
  L62undefine_function(VV[1189]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[617]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(5, VV[1189], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[618]) /*  ENSURE-GENERIC-FUNCTION */;
  L62undefine_function(VV[1190]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[619]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(5, VV[1190], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[620]) /*  ENSURE-GENERIC-FUNCTION */;
  L62undefine_function(VV[1191]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[621]) /*  MAPC */;
  ecl_cmp_defun(VV[2432]);                        /*  ACTION-PATH     */
  L62undefine_function(VV[1192]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[622]) /*  MAPC */;
  ecl_cmp_defun(VV[2433]);                        /*  FIND-ACTION     */
  ecl_cmp_defmacro(VV[2434]);                     /*  DEFINE-CONVENIENCE-ACTION-METHODS */
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  L62undefine_function(VV[1208]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[623]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1208], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[624], ECL_SYM("DOCUMENTATION",1232), VVtemp[625]) /*  ENSURE-GENERIC-FUNCTION */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC690__g3913,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1208], ECL_NIL, VVtemp[274], VVtemp[624], T0);
  L62undefine_function(VV[1210]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[626]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1210], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[624], ECL_SYM("DOCUMENTATION",1232), VVtemp[627]) /*  ENSURE-GENERIC-FUNCTION */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC691__g3914,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1210], ECL_NIL, VVtemp[624], VVtemp[628], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC692__g3917,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1210], ECL_NIL, VVtemp[282], VVtemp[624], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC693__g3918,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1210], ECL_NIL, VVtemp[582], VVtemp[624], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC694__g3919,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1210], ECL_NIL, VVtemp[601], VVtemp[624], T0);
  L62undefine_function(VV[1212]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[629]) /*  MAPC */;
  ecl_cmp_defun(VV[2435]);                        /*  FORMAT-ACTION   */
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  L62undefine_function(VV[1215]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[630]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1215], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[624], ECL_SYM("DOCUMENTATION",1232), VVtemp[631]) /*  ENSURE-GENERIC-FUNCTION */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC696__g3933,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1215], ECL_NIL, VVtemp[282], VVtemp[624], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC697__g3934,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1215], ECL_NIL, VVtemp[582], VVtemp[624], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC698__g3935,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1215], ECL_NIL, VVtemp[601], VVtemp[624], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC702__g3936,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1215], VVtemp[490], VVtemp[624], VVtemp[628], T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[633]);
  clos_load_defclass(VV[1217], VVtemp[599], VVtemp[632], T0);
  L62undefine_function(VV[1218]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[634]) /*  MAPC */;
  ecl_cmp_defun(VV[2436]);                        /*  DOWNWARD-OPERATION-DEPENDS-ON */
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC704__g3938,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1215], ECL_NIL, VVtemp[635], VVtemp[628], T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[637]);
  clos_load_defclass(VV[1219], VVtemp[599], VVtemp[636], T0);
  L62undefine_function(VV[1220]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[638]) /*  MAPC */;
  ecl_cmp_defun(VV[2437]);                        /*  UPWARD-OPERATION-DEPENDS-ON */
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC706__g3939,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1215], ECL_NIL, VVtemp[639], VVtemp[628], T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[641]);
  clos_load_defclass(VV[1221], VVtemp[599], VVtemp[640], T0);
  L62undefine_function(VV[1222]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[642]) /*  MAPC */;
  ecl_cmp_defun(VV[2438]);                        /*  SIDEWAY-OPERATION-DEPENDS-ON */
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC708__g3940,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1215], ECL_NIL, VVtemp[643], VVtemp[628], T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[645]);
  clos_load_defclass(VV[1223], VVtemp[599], VVtemp[644], T0);
  L62undefine_function(VV[1224]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[646]) /*  MAPC */;
  ecl_cmp_defun(VV[2439]);                        /*  SELFWARD-OPERATION-DEPENDS-ON */
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC710__g3952,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1215], ECL_NIL, VVtemp[647], VVtemp[628], T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[648]);
  clos_load_defclass(VV[1225], VVtemp[599], ECL_NIL, T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[650]);
  clos_load_defclass(VV[1226], VVtemp[649], ECL_NIL, T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[652]);
  clos_load_defclass(VV[1227], VVtemp[651], ECL_NIL, T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC711__g3953,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, ECL_SYM("INITIALIZE-INSTANCE",947), VVtemp[653], VVtemp[599], VVtemp[654], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC712__g3955,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, ECL_SYM("INITIALIZE-INSTANCE",947), VVtemp[653], VVtemp[655], VVtemp[654], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC713__g3957,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1215], ECL_NIL, VVtemp[624], VVtemp[628], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC714__g3959,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  clos_install_method(5, VV[1217], ECL_NIL, VVtemp[599], VVtemp[656], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC715__g3960,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  clos_install_method(5, VV[1221], ECL_NIL, VVtemp[599], VVtemp[656], T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  L62undefine_function(VV[1230]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[657]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1230], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[624], ECL_SYM("DOCUMENTATION",1232), VVtemp[658]) /*  ENSURE-GENERIC-FUNCTION */;
  L62undefine_function(VV[1231]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[659]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1231], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[624], ECL_SYM("DOCUMENTATION",1232), VVtemp[660]) /*  ENSURE-GENERIC-FUNCTION */;
  L62undefine_function(VV[1232]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[661]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1232], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[624], ECL_SYM("DOCUMENTATION",1232), VVtemp[662]) /*  ENSURE-GENERIC-FUNCTION */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC716__g3963,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1230], ECL_NIL, VVtemp[282], VVtemp[624], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC717__g3964,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1230], ECL_NIL, VVtemp[582], VVtemp[624], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC718__g3965,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1230], ECL_NIL, VVtemp[601], VVtemp[624], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC719__g3968,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1231], ECL_NIL, VVtemp[282], VVtemp[624], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC720__g3969,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1231], ECL_NIL, VVtemp[582], VVtemp[624], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC721__g3970,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1231], ECL_NIL, VVtemp[601], VVtemp[624], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC722__g3973,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1232], ECL_NIL, VVtemp[282], VVtemp[624], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC723__g3974,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1232], ECL_NIL, VVtemp[582], VVtemp[624], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC724__g3975,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1232], ECL_NIL, VVtemp[601], VVtemp[624], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC725__g3976,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1232], ECL_NIL, VVtemp[624], VVtemp[628], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC729__g3989,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1230], VVtemp[490], VVtemp[274], VVtemp[624], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC730__g4003,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1230], ECL_NIL, VVtemp[624], VVtemp[628], T0);
  L62undefine_function(VV[1233]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[663]) /*  MAPC */;
  ecl_cmp_defun(VV[2442]);                        /*  OUTPUT-FILE     */
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC735__g4006,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1231], VVtemp[490], VVtemp[274], VVtemp[624], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC736__g4008,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1231], ECL_NIL, VVtemp[624], VVtemp[628], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC737__g4029,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1231], ECL_NIL, VVtemp[647], VVtemp[628], T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  L62undefine_function(VV[1235]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[664]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1235], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[624], ECL_SYM("DOCUMENTATION",1232), VVtemp[665]) /*  ENSURE-GENERIC-FUNCTION */;
  L62undefine_function(VVtemp[666]);
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VVtemp[666], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[667], ECL_SYM("DOCUMENTATION",1232), VVtemp[668]) /*  ENSURE-GENERIC-FUNCTION */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC738__g4039,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1235], ECL_NIL, VVtemp[282], VVtemp[624], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC739__g4040,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1235], ECL_NIL, VVtemp[582], VVtemp[624], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC740__g4041,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1235], ECL_NIL, VVtemp[601], VVtemp[624], T0);
  L62undefine_function(VV[1236]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[669]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1236], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[624], ECL_SYM("DOCUMENTATION",1232), VVtemp[670]) /*  ENSURE-GENERIC-FUNCTION */;
  L62undefine_function(VV[1237]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[671]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1237], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[672], ECL_SYM("DOCUMENTATION",1232), VVtemp[673]) /*  ENSURE-GENERIC-FUNCTION */;
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[675]);
  clos_load_defclass(VV[1238], ECL_NIL, VVtemp[674], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC742__g4082,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, ECL_SYM("PRINT-OBJECT",961), ECL_NIL, VVtemp[676], VVtemp[677], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC743__g4084,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1235], ECL_NIL, VVtemp[624], VVtemp[628], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC744__g4097,ECL_NIL,Cblock,3);
   T0 = v1;
  }
  clos_install_method(5, VVtemp[666], ECL_NIL, VVtemp[678], VVtemp[679], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC745__g4113,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1236], ECL_NIL, VVtemp[624], VVtemp[628], T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  L62undefine_function(VV[1245]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[680]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1245], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[624], ECL_SYM("DOCUMENTATION",1232), VVtemp[681]) /*  ENSURE-GENERIC-FUNCTION */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC746__g4119,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1245], ECL_NIL, VVtemp[282], VVtemp[624], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC747__g4120,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1245], ECL_NIL, VVtemp[582], VVtemp[624], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC748__g4121,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1245], ECL_NIL, VVtemp[601], VVtemp[624], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC749__g4122,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1245], VVtemp[653], VVtemp[624], VVtemp[628], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC750__g4123,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1245], VVtemp[598], VVtemp[624], VVtemp[628], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC751__g4124,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1245], ECL_NIL, VVtemp[682], VVtemp[628], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC752__g4125,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1245], ECL_NIL, VVtemp[683], VVtemp[628], T0);
  L62undefine_function(VV[1247]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[684]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1247], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[624], ECL_SYM("DOCUMENTATION",1232), VVtemp[685]) /*  ENSURE-GENERIC-FUNCTION */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC753__g4127,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1247], ECL_NIL, VVtemp[274], VVtemp[624], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC758__g4152,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1247], VVtemp[490], VVtemp[274], VVtemp[624], T0);
 }
  ecl_function_dispatch(cl_env_copy,VV[1727])(11, _ecl_static_22, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
  cl_apply(2, VV[112], VVtemp[686]);
  si_select_package(_ecl_static_22);
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[688]);
  clos_load_defclass(VV[1251], VVtemp[470], VVtemp[687], T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[691]);
  clos_load_defclass(VV[1252], VVtemp[689], VVtemp[690], T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[693]);
  clos_load_defclass(VV[1253], VVtemp[689], VVtemp[692], T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[694]);
  clos_load_defclass(VV[1254], VVtemp[599], ECL_NIL, T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[696]);
  clos_load_defclass(VV[1255], VVtemp[599], VVtemp[695], T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[699]);
  clos_load_defclass(VV[1256], VVtemp[697], VVtemp[698], T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[702]);
  clos_load_defclass(VV[1257], VVtemp[700], VVtemp[701], T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[705]);
  clos_load_defclass(VV[1258], VVtemp[703], VVtemp[704], T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[707]);
  clos_load_defclass(VV[1259], VVtemp[697], VVtemp[706], T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[709]);
  clos_load_defclass(VV[1260], VVtemp[700], VVtemp[708], T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[712]);
  clos_load_defclass(VV[1261], VVtemp[710], VVtemp[711], T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC759__g4165,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1208], ECL_NIL, VVtemp[713], VVtemp[714], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC760__g4166,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1245], ECL_NIL, VVtemp[713], VVtemp[714], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC761__g4167,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1231], ECL_NIL, VVtemp[715], VVtemp[716], T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC762__g4168,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1208], ECL_NIL, VVtemp[717], VVtemp[714], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC763__g4169,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1208], ECL_NIL, VVtemp[718], VVtemp[714], T0);
  L62undefine_function(VV[1265]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[719]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1265], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[720], ECL_SYM("DOCUMENTATION",1232), VVtemp[721]) /*  ENSURE-GENERIC-FUNCTION */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC764__g4170,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1265], ECL_NIL, VVtemp[462], VVtemp[722], T0);
  L62undefine_function(VV[1266]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[723]) /*  MAPC */;
  ecl_cmp_defun(VV[2445]);                        /*  PERFORM-LISP-COMPILATION */
  L62undefine_function(VV[1270]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[724]) /*  MAPC */;
  ecl_cmp_defun(VV[2446]);                        /*  REPORT-FILE-P   */
  L62undefine_function(VV[1272]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[725]) /*  MAPC */;
  ecl_cmp_defun(VV[2447]);                        /*  PERFORM-LISP-WARNINGS-CHECK */
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC769__g4198,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1245], ECL_NIL, VVtemp[726], VVtemp[714], T0);
  L62undefine_function(VV[1275]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[727]) /*  MAPC */;
  ecl_cmp_defun(VV[2448]);                        /*  LISP-COMPILATION-OUTPUT-FILES */
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC771__g4199,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1230], ECL_NIL, VVtemp[726], VVtemp[714], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC772__g4200,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1245], ECL_NIL, VVtemp[728], VVtemp[714], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC773__g4201,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1245], ECL_NIL, VVtemp[729], VVtemp[714], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC774__g4222,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1231], ECL_NIL, VVtemp[729], VVtemp[714], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC775__g4230,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1230], ECL_NIL, VVtemp[729], VVtemp[714], T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC776__g4231,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1208], ECL_NIL, VVtemp[730], VVtemp[714], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC777__g4232,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1208], ECL_NIL, VVtemp[731], VVtemp[714], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC778__g4233,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1208], ECL_NIL, VVtemp[732], VVtemp[714], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC781__g4254,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1247], ECL_NIL, VVtemp[730], VVtemp[714], T0);
  L62undefine_function(VV[1282]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[733]) /*  MAPC */;
  ecl_cmp_defun(VV[2450]);                        /*  PERFORM-LISP-LOAD-FASL */
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC783__g4263,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1245], ECL_NIL, VVtemp[730], VVtemp[714], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC784__g4264,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1245], ECL_NIL, VVtemp[734], VVtemp[714], T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC785__g4265,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1208], ECL_NIL, VVtemp[735], VVtemp[714], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC786__g4266,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1231], ECL_NIL, VVtemp[736], VVtemp[716], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC787__g4267,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1245], ECL_NIL, VVtemp[735], VVtemp[714], T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC788__g4268,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1208], ECL_NIL, VVtemp[737], VVtemp[714], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC789__g4269,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1208], ECL_NIL, VVtemp[738], VVtemp[714], T0);
  L62undefine_function(VV[1286]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[739]) /*  MAPC */;
  ecl_cmp_defun(VV[2451]);                        /*  PERFORM-LISP-LOAD-SOURCE */
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC792__g4271,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1245], ECL_NIL, VVtemp[740], VVtemp[714], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC793__g4272,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1245], ECL_NIL, VVtemp[741], VVtemp[714], T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC794__g4273,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1245], ECL_NIL, VVtemp[742], VVtemp[714], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC795__g4274,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(7, VV[1232], ECL_NIL, VVtemp[743], VVtemp[714], T0, ECL_SYM("DOCUMENTATION",1232), VVtemp[744]);
 }
  ecl_function_dispatch(cl_env_copy,VV[1727])(11, _ecl_static_23, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
  cl_apply(2, VV[112], VVtemp[745]);
  si_select_package(_ecl_static_23);
 {
  cl_object T0, T1, T2, T3, T4, T5;
  cl_object volatile env0 = ECL_NIL;
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[746]);
  clos_load_defclass(VV[1287], ECL_NIL, ECL_NIL, T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC796__g4275,ECL_NIL,Cblock,0);
   T0 = v1;
  }
  T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[754]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC797__g4276,ECL_NIL,Cblock,0);
   T2 = v1;
  }
  T3 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T2, VVtemp[755]);
  T4 = cl_list(9, VVtemp[748], VVtemp[749], VVtemp[750], VVtemp[751], VVtemp[752], VVtemp[753], T1, T3, VVtemp[756]);
  T5 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[757]);
  clos_load_defclass(VV[1288], VVtemp[747], T4, T5);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  L62undefine_function(VV[1289]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[758]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1289], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[759], ECL_SYM("DOCUMENTATION",1232), VVtemp[760]) /*  ENSURE-GENERIC-FUNCTION */;
  L62undefine_function(VVtemp[761]);
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VVtemp[761], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[762], ECL_SYM("DOCUMENTATION",1232), VVtemp[763]) /*  ENSURE-GENERIC-FUNCTION */;
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[766]);
  clos_load_defclass(VV[1290], VVtemp[764], VVtemp[765], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC799__g4349,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, ECL_SYM("PRINT-OBJECT",961), ECL_NIL, VVtemp[767], VVtemp[768], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC800__g4351,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  clos_install_method(5, VV[1295], ECL_NIL, VV[85], VVtemp[764], T0);
  L62undefine_function(VV[1296]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[769]) /*  MAPC */;
  ecl_cmp_defun(VV[2452]);                        /*  NODE-FOR        */
  L62undefine_function(VV[1297]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[770]) /*  MAPC */;
  ecl_cmp_defun(VV[2453]);                        /*  ACTION-ALREADY-DONE-P */
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC803__g4352,ECL_NIL,Cblock,3);
   T0 = v1;
  }
  clos_install_method(5, VV[1289], ECL_NIL, VVtemp[771], VVtemp[772], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC804__g4365,ECL_NIL,Cblock,4);
   T0 = v1;
  }
  clos_install_method(5, VVtemp[761], ECL_NIL, VVtemp[773], VVtemp[774], T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  L62undefine_function(VV[1298]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[775]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1298], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[759], ECL_SYM("DOCUMENTATION",1232), VVtemp[776]) /*  ENSURE-GENERIC-FUNCTION */;
  L62undefine_function(VV[1299]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[777]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1299], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[759], ECL_SYM("DOCUMENTATION",1232), VVtemp[778]) /*  ENSURE-GENERIC-FUNCTION */;
  L62undefine_function(VV[1300]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[779]) /*  MAPC */;
  ecl_cmp_defun(VV[2456]);                        /*  NORMALIZE-FORCED-SYSTEMS */
  L62undefine_function(VV[1305]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[780]) /*  MAPC */;
  ecl_cmp_defun(VV[2457]);                        /*  NORMALIZE-FORCED-NOT-SYSTEMS */
  L62undefine_function(VV[1306]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[781]) /*  MAPC */;
  ecl_cmp_defun(VV[2458]);                        /*  ACTION-OVERRIDE-P */
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC810__g4397,ECL_NIL,Cblock,3);
   T0 = v1;
  }
  clos_install_method(5, VV[1298], ECL_NIL, VVtemp[593], VVtemp[759], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC811__g4398,ECL_NIL,Cblock,3);
   T0 = v1;
  }
  clos_install_method(5, VV[1299], ECL_NIL, VVtemp[593], VVtemp[759], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC812__g4399,ECL_NIL,Cblock,3);
   T0 = v1;
  }
  clos_install_method(5, VV[1298], ECL_NIL, VVtemp[771], VVtemp[759], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC813__g4400,ECL_NIL,Cblock,3);
   T0 = v1;
  }
  clos_install_method(5, VV[1299], ECL_NIL, VVtemp[771], VVtemp[759], T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  L62undefine_function(VV[1309]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[782]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1309], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[759], ECL_SYM("DOCUMENTATION",1232), VVtemp[783]) /*  ENSURE-GENERIC-FUNCTION */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC814__g4401,ECL_NIL,Cblock,3);
   T0 = v1;
  }
  clos_install_method(5, VV[1309], ECL_NIL, VVtemp[678], VVtemp[772], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC815__g4402,ECL_NIL,Cblock,3);
   T0 = v1;
  }
  clos_install_method(5, VV[1309], ECL_NIL, VVtemp[784], VVtemp[772], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC816__g4403,ECL_NIL,Cblock,3);
   T0 = v1;
  }
  clos_install_method(5, VV[1309], ECL_NIL, VVtemp[785], VVtemp[772], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC817__g4404,ECL_NIL,Cblock,3);
   T0 = v1;
  }
  clos_install_method(5, VV[1309], ECL_NIL, VVtemp[771], VVtemp[772], T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  L62undefine_function(VV[1310]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[786]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1310], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[624], ECL_SYM("DOCUMENTATION",1232), VVtemp[787]) /*  ENSURE-GENERIC-FUNCTION */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC818__g4405,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1310], ECL_NIL, VVtemp[624], VVtemp[788], T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  L62undefine_function(VV[1311]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[789]) /*  MAPC */;
  ecl_cmp_defun(VV[2460]);                        /*  MAP-DIRECT-DEPENDENCIES */
  L62undefine_function(VV[1312]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[790]) /*  MAPC */;
  ecl_cmp_defun(VV[2461]);                        /*  REDUCE-DIRECT-DEPENDENCIES */
  L62undefine_function(VV[1313]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[791]) /*  MAPC */;
  ecl_cmp_defun(VV[2462]);                        /*  DIRECT-DEPENDENCIES */
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC824__g4455,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1237], ECL_NIL, VVtemp[678], VVtemp[792], T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC825__g4531,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, ECL_SYM("INITIALIZE-INSTANCE",947), VVtemp[598], VVtemp[793], VVtemp[794], T0);
  L62undefine_function(VV[1317]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[795]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1317], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[747], ECL_SYM("DOCUMENTATION",1232), VVtemp[796]) /*  ENSURE-GENERIC-FUNCTION */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC826__g4539,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  clos_install_method(5, VV[1317], ECL_NIL, VVtemp[797], VVtemp[747], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC827__g4552,ECL_NIL,Cblock,4);
   T0 = v1;
  }
  clos_install_method(5, VVtemp[761], ECL_NIL, VVtemp[798], VVtemp[799], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC828__g4556,ECL_NIL,Cblock,3);
   T0 = v1;
  }
  clos_install_method(5, VV[1289], ECL_NIL, VVtemp[800], VVtemp[801], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC829__g4557,ECL_NIL,Cblock,3);
   T0 = v1;
  }
  clos_install_method(5, VV[1309], ECL_NIL, VVtemp[802], VVtemp[803], T0);
  L62undefine_function(VV[1318]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[804]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1318], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[759], ECL_SYM("DOCUMENTATION",1232), VVtemp[805]) /*  ENSURE-GENERIC-FUNCTION */;
 }
 {
  cl_object T0, T1, T2;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC831__g4558,ECL_NIL,Cblock,0);
   T0 = v1;
  }
  T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[806]);
  T2 = cl_list(2, T1, VVtemp[807]);
  clos_load_defclass(VV[1319], VVtemp[441], T2, ECL_NIL);
  L62undefine_function(VV[1321]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[808]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1321], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[809], ECL_SYM("DOCUMENTATION",1232), VVtemp[810]) /*  ENSURE-GENERIC-FUNCTION */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC832__g4624,ECL_NIL,Cblock,4);
   T0 = v1;
  }
  clos_install_method(5, VV[1321], ECL_NIL, VVtemp[811], VVtemp[812], T0);
  ecl_cmp_defmacro(VV[2464]);                     /*  WHILE-VISITING-ACTION */
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  L62undefine_function(VV[1324]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[813]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(5, VV[1324], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[814]) /*  ENSURE-GENERIC-FUNCTION */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC837__g4780,ECL_NIL,Cblock,4);
   T0 = v1;
  }
  clos_install_method(5, VV[1324], ECL_NIL, VVtemp[815], VVtemp[814], T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[817]);
  clos_load_defclass(VV[1325], VVtemp[793], VVtemp[816], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC838__g4799,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  clos_install_method(5, VV[1317], ECL_NIL, VVtemp[818], VVtemp[747], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC839__g4800,ECL_NIL,Cblock,3);
   T0 = v1;
  }
  clos_install_method(5, VV[1318], ECL_NIL, VVtemp[819], VVtemp[772], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC840__g4813,ECL_NIL,Cblock,4);
   T0 = v1;
  }
  clos_install_method(5, VVtemp[761], VVtemp[598], VVtemp[820], VVtemp[799], T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  L62undefine_function(VV[1326]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[821]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1326], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[822], ECL_SYM("DOCUMENTATION",1232), VVtemp[823]) /*  ENSURE-GENERIC-FUNCTION */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC841__g4819,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1326], ECL_NIL, VVtemp[824], VVtemp[825], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC842__g4820,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1326], ECL_NIL, VVtemp[826], VVtemp[825], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC843__g4821,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1326], ECL_NIL, VVtemp[827], VVtemp[825], T0);
  L62undefine_function(VV[1327]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[828]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1327], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[829], ECL_SYM("DOCUMENTATION",1232), VVtemp[830]) /*  ENSURE-GENERIC-FUNCTION */;
  L62undefine_function(VV[1328]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[831]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1328], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[832], ECL_SYM("DOCUMENTATION",1232), VVtemp[833]) /*  ENSURE-GENERIC-FUNCTION */;
  si_Xmake_special(VV[1329]);
  if (ecl_boundp(cl_env_copy,VV[1329])) { goto L4285; }
  cl_set(VV[1329],VV[1325]);
L4285:;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC844__g4822,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1326], ECL_NIL, VVtemp[678], VVtemp[834], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC845__g4823,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1327], VVtemp[490], VV[85], VVtemp[829], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC846__g4826,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1327], ECL_NIL, VV[85], VVtemp[835], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC847__g4831,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1327], ECL_NIL, VVtemp[797], VVtemp[836], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC848__g4838,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1328], ECL_NIL, VVtemp[837], VVtemp[838], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC849__g4839,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1328], ECL_NIL, VVtemp[839], VVtemp[838], T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[841]);
  clos_load_defclass(VV[1331], VVtemp[818], VVtemp[840], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC850__g4927,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, ECL_SYM("INITIALIZE-INSTANCE",947), VVtemp[598], VVtemp[842], VVtemp[843], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC851__g4938,ECL_NIL,Cblock,3);
   T0 = v1;
  }
  clos_install_method(5, VV[1309], ECL_NIL, VVtemp[844], VVtemp[772], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC852__g4943,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(7, VV[1188], ECL_NIL, VV[85], VVtemp[845], T0, ECL_SYM("DOCUMENTATION",1232), VVtemp[846]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC853__g4950,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1189], ECL_NIL, VVtemp[282], VVtemp[847], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC854__g4951,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1189], ECL_NIL, VVtemp[582], VVtemp[847], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC855__g4952,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1189], ECL_NIL, VVtemp[601], VVtemp[847], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC856__g4953,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1189], ECL_NIL, VVtemp[624], VVtemp[848], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC857__g4986,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  clos_install_method(5, VV[1317], ECL_NIL, VVtemp[842], VVtemp[747], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC858__g4994,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(7, VV[1190], ECL_NIL, VV[85], VVtemp[849], T0, ECL_SYM("DOCUMENTATION",1232), VVtemp[850]);
 }
  ecl_function_dispatch(cl_env_copy,VV[1727])(11, _ecl_static_24, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
  cl_apply(2, VV[112], VVtemp[851]);
  si_select_package(_ecl_static_24);
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  L62undefine_function(VV[1336]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[852]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1336], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[618], ECL_SYM("DOCUMENTATION",1232), VVtemp[853]) /*  ENSURE-GENERIC-FUNCTION */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC859__g5004,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1336], ECL_NIL, VVtemp[282], VVtemp[854], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC860__g5005,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1336], ECL_NIL, VVtemp[582], VVtemp[854], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC861__g5006,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1336], ECL_NIL, VVtemp[601], VVtemp[854], T0);
  si_Xmake_special(VV[1337]);
  if (ecl_boundp(cl_env_copy,VV[1337])) { goto L4336; }
  cl_set(VV[1337],ECL_NIL);
L4336:;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC866__g5011,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1336], VVtemp[490], VVtemp[274], VVtemp[855], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC867__g5031,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1336], VVtemp[653], VVtemp[624], VVtemp[856], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC868__g5035,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1336], ECL_NIL, VVtemp[624], VVtemp[857], T0);
  L62undefine_function(VV[1339]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[858]) /*  MAPC */;
  ecl_cmp_defun(VV[2485]);                        /*  OOS             */
  {
   cl_object v1;
   T0 = (cl_env_copy->function=(ECL_SYM("DOCUMENTATION",312)->symbol.gfdef))->cfun.entry(2, VV[1336], ECL_SYM("FUNCTION",396)) /*  DOCUMENTATION */;
   v1 = cl_format(3, ECL_NIL, VVtemp[859], T0);
   (cl_env_copy->function=ECL_CONS_CAR(VV[1799]))->cfun.entry(3, v1, VV[1339], ECL_SYM("FUNCTION",396)) /*  (SETF DOCUMENTATION) */;
  }
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  si_Xmake_special(VV[1340]);
  if (ecl_boundp(cl_env_copy,VV[1340])) { goto L4358; }
  cl_set(VV[1340],VV[1257]);
L4358:;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC870__g5051,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1215], ECL_NIL, VVtemp[715], VVtemp[860], T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[861]);
  clos_load_defclass(VV[1341], VVtemp[655], ECL_NIL, T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC871__g5058,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1215], ECL_NIL, VVtemp[862], VVtemp[863], T0);
  L62undefine_function(VV[1342]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[864]) /*  MAPC */;
  ecl_cmp_defun(VV[2489]);                        /*  MAKE            */
  L62undefine_function(VV[1343]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[865]) /*  MAPC */;
  ecl_cmp_defun(VV[2490]);                        /*  LOAD-SYSTEM     */
  L62undefine_function(VV[1344]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[866]) /*  MAPC */;
  ecl_cmp_defun(VV[2491]);                        /*  LOAD-SYSTEMS*   */
  L62undefine_function(VV[1345]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[867]) /*  MAPC */;
  ecl_cmp_defun(VV[2492]);                        /*  LOAD-SYSTEMS    */
  L62undefine_function(VV[1346]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[868]) /*  MAPC */;
  ecl_cmp_defun(VV[2493]);                        /*  COMPILE-SYSTEM  */
  L62undefine_function(VV[1347]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[869]) /*  MAPC */;
  ecl_cmp_defun(VV[2494]);                        /*  TEST-SYSTEM     */
 }
  L62undefine_function(VV[1348]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[870]) /*  MAPC */;
  ecl_cmp_defun(VV[2500]);                        /*  COMPONENT-LOADED-P */
  L62undefine_function(VV[1349]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[871]) /*  MAPC */;
  ecl_cmp_defun(VV[2501]);                        /*  ALREADY-LOADED-SYSTEMS */
  L62undefine_function(VV[1350]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[872]) /*  MAPC */;
  ecl_cmp_defun(VV[2502]);                        /*  REQUIRE-SYSTEM  */
 {
  cl_object T0, T1, T2;
  cl_object volatile env0 = ECL_NIL;
  si_Xmake_special(VV[1352]);
  if (ecl_boundp(cl_env_copy,VV[1352])) { goto L4433; }
  cl_set(VV[1352],ECL_NIL);
L4433:;
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[874]);
  clos_load_defclass(VV[1350], VVtemp[500], VVtemp[873], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC881__g5069,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1245], ECL_NIL, VVtemp[875], VVtemp[863], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC882__g5070,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1245], ECL_NIL, VVtemp[876], VVtemp[860], T0);
  T0 = cl_list(2, ECL_SYM("EQL",334), VV[1354]);
  T1 = cl_list(3, ECL_T, T0, ECL_T);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC883__g5073,ECL_NIL,Cblock,3);
   T2 = v1;
  }
  clos_install_method(5, VV[1168], ECL_NIL, T1, VVtemp[877], T2);
  L62undefine_function(VV[1356]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[878]) /*  MAPC */;
  ecl_cmp_defun(VV[2503]);                        /*  MODULE-PROVIDE-ASDF */
 }
  L62undefine_function(VV[1358]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[879]) /*  MAPC */;
  ecl_cmp_defun(VV[2505]);                        /*  RESTART-UPGRADED-ASDF */
  ecl_function_dispatch(cl_env_copy,VV[214])(2, VV[1012], VV[1358]) /*  REGISTER-HOOK-FUNCTION */;
  L62undefine_function(VV[1359]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[880]) /*  MAPC */;
  ecl_cmp_defun(VV[2506]);                        /*  MARK-COMPONENT-PRELOADED */
  ecl_function_dispatch(cl_env_copy,VV[1727])(11, _ecl_static_25, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
  cl_apply(2, VV[112], VVtemp[881]);
  si_select_package(_ecl_static_25);
 {
  cl_object T0, T1, T2, T3;
  cl_object volatile env0 = ECL_NIL;
  if (Null(ecl_function_dispatch(cl_env_copy,VV[1013])(1, VVtemp[405]) /*  UPGRADING-P */)) { goto L4471; }
  T0 = (ECL_SYM("MUFFLE-WARNING",571)->symbol.gfdef);
  T1 = CONS(ECL_SYM("STYLE-WARNING",827),T0);
  T2 = ecl_list1(T1);
  T3 = CONS(T2,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
  ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T3); /*  *HANDLER-CLUSTERS* */
  cl_eval(VVtemp[882]);
  ecl_bds_unwind1(cl_env_copy);
L4471:;
 }
 {
  cl_object T0, T1, T2;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC888__g5138,ECL_NIL,Cblock,0);
   T0 = v1;
  }
  T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[884]);
  T2 = ecl_list1(T1);
  clos_load_defclass(VV[1361], VVtemp[883], T2, ECL_NIL);
  si_Xmake_special(VV[1363]);
  if (ecl_boundp(cl_env_copy,VV[1363])) { goto L4478; }
  cl_set(VV[1363],ECL_NIL);
L4478:;
  L62undefine_function(VV[1364]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[885]) /*  MAPC */;
  ecl_cmp_defun(VV[2507]);                        /*  OUTPUT-TRANSLATIONS */
  L62undefine_function(VV[1365]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[886]) /*  MAPC */;
  ecl_cmp_defun(VV[2508]);                        /*  SET-OUTPUT-TRANSLATIONS */
  L62undefine_function(VVtemp[887]);
  ecl_cmp_defun(VV[2509]);                        /*  (SETF OUTPUT-TRANSLATIONS) */
  L62undefine_function(VV[1368]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[888]) /*  MAPC */;
  ecl_cmp_defun(VV[2510]);                        /*  OUTPUT-TRANSLATIONS-INITIALIZED-P */
  L62undefine_function(VV[1369]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[889]) /*  MAPC */;
  ecl_cmp_defun(VV[2511]);                        /*  CLEAR-OUTPUT-TRANSLATIONS */
  ecl_function_dispatch(cl_env_copy,VV[949])(1, VV[1369]) /*  REGISTER-CLEAR-CONFIGURATION-HOOK */;
  L62undefine_function(VV[1370]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[890]) /*  MAPC */;
  ecl_cmp_defun(VV[2512]);                        /*  VALIDATE-OUTPUT-TRANSLATIONS-DIRECTIVE */
  L62undefine_function(VV[1375]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[891]) /*  MAPC */;
  ecl_cmp_defun(VV[2513]);                        /*  VALIDATE-OUTPUT-TRANSLATIONS-FORM */
  L62undefine_function(VV[1378]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[892]) /*  MAPC */;
  ecl_cmp_defun(VV[2514]);                        /*  VALIDATE-OUTPUT-TRANSLATIONS-FILE */
  L62undefine_function(VV[1380]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[893]) /*  MAPC */;
  ecl_cmp_defun(VV[2515]);                        /*  VALIDATE-OUTPUT-TRANSLATIONS-DIRECTORY */
  L62undefine_function(VV[1381]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[894]) /*  MAPC */;
  ecl_cmp_defun(VV[2516]);                        /*  PARSE-OUTPUT-TRANSLATIONS-STRING */
  ecl_cmp_defun(VV[2517]);                        /*  %COMPUTE-DEFAULT-OUTPUT-TRANSLATIONS-VALUE */
  si_Xmake_special(VV[1390]);
  if (ecl_boundp(cl_env_copy,VV[1390])) { goto L4558; }
  cl_set(VV[1390],L900_compute_default_output_translations_value());
L4558:;
  if (Null(ecl_function_dispatch(cl_env_copy,VV[1013])(1, VVtemp[405]) /*  UPGRADING-P */)) { goto L4564; }
  cl_set(VV[1390],L900_compute_default_output_translations_value());
L4564:;
  L62undefine_function(VV[1391]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[895]) /*  MAPC */;
  ecl_cmp_defun(VV[2518]);                        /*  WRAPPING-OUTPUT-TRANSLATIONS */
  si_Xmake_special(VV[1393]);
  cl_set(VV[1393],ecl_function_dispatch(cl_env_copy,VV[358])(1, VVtemp[896]) /*  PARSE-UNIX-NAMESTRING */);
  si_Xmake_special(VV[1394]);
  cl_set(VV[1394],ecl_function_dispatch(cl_env_copy,VV[358])(1, VVtemp[897]) /*  PARSE-UNIX-NAMESTRING */);
  L62undefine_function(VV[1395]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[898]) /*  MAPC */;
  ecl_cmp_defun(VV[2519]);                        /*  USER-OUTPUT-TRANSLATIONS-PATHNAME */
  L62undefine_function(VV[1396]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[899]) /*  MAPC */;
  ecl_cmp_defun(VV[2520]);                        /*  SYSTEM-OUTPUT-TRANSLATIONS-PATHNAME */
  L62undefine_function(VV[1397]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[900]) /*  MAPC */;
  ecl_cmp_defun(VV[2521]);                        /*  USER-OUTPUT-TRANSLATIONS-DIRECTORY-PATHNAME */
  L62undefine_function(VV[1398]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[901]) /*  MAPC */;
  ecl_cmp_defun(VV[2522]);                        /*  SYSTEM-OUTPUT-TRANSLATIONS-DIRECTORY-PATHNAME */
  L62undefine_function(VV[1399]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[902]) /*  MAPC */;
  ecl_cmp_defun(VV[2523]);                        /*  ENVIRONMENT-OUTPUT-TRANSLATIONS */
  L62undefine_function(VV[1401]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[903]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(5, VV[1401], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[904]) /*  ENSURE-GENERIC-FUNCTION */;
  L62undefine_function(VV[1402]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[905]) /*  MAPC */;
  ecl_cmp_defun(VV[2524]);                        /*  INHERIT-OUTPUT-TRANSLATIONS */
  L62undefine_function(VV[1405]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[906]) /*  MAPC */;
  ecl_cmp_defun(VV[2525]);                        /*  PROCESS-OUTPUT-TRANSLATIONS-DIRECTIVE */
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC909__g5185,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1401], ECL_NIL, VVtemp[515], VVtemp[907], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC910__g5186,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1401], ECL_NIL, VVtemp[908], VVtemp[909], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC911__g5187,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1401], ECL_NIL, VVtemp[513], VVtemp[910], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC912__g5188,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1401], ECL_NIL, VVtemp[437], VVtemp[911], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC913__g5189,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1401], ECL_NIL, VVtemp[912], VVtemp[913], T0);
  L62undefine_function(VV[1413]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[914]) /*  MAPC */;
  ecl_cmp_defun(VV[2526]);                        /*  COMPUTE-OUTPUT-TRANSLATIONS */
  si_Xmake_special(VV[1414]);
  if (ecl_boundp(cl_env_copy,VV[1414])) { goto L4657; }
  cl_set(VV[1414],ECL_NIL);
L4657:;
  L62undefine_function(VV[1415]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[915]) /*  MAPC */;
  ecl_cmp_defun(VV[2527]);                        /*  INITIALIZE-OUTPUT-TRANSLATIONS */
  L62undefine_function(VV[1416]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[916]) /*  MAPC */;
  ecl_cmp_defun(VV[2528]);                        /*  DISABLE-OUTPUT-TRANSLATIONS */
  L62undefine_function(VV[1418]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[917]) /*  MAPC */;
  ecl_cmp_defun(VV[2529]);                        /*  ENSURE-OUTPUT-TRANSLATIONS */
  L62undefine_function(VV[1419]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[918]) /*  MAPC */;
  ecl_cmp_defun(VV[2530]);                        /*  APPLY-OUTPUT-TRANSLATIONS */
  cl_set(VV[404],VV[1419]);
 }
  ecl_function_dispatch(cl_env_copy,VV[1727])(11, _ecl_static_26, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
  cl_apply(2, VV[112], VVtemp[919]);
  si_select_package(_ecl_static_26);
 {
  cl_object T0, T1, T2;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC920__g5218,ECL_NIL,Cblock,0);
   T0 = v1;
  }
  T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[920]);
  T2 = ecl_list1(T1);
  clos_load_defclass(VV[1421], VVtemp[883], T2, ECL_NIL);
  si_Xmake_special(VV[1423]);
  if (ecl_boundp(cl_env_copy,VV[1423])) { goto L4700; }
  cl_set(VV[1423],VVtemp[921]);
L4700:;
  si_Xmake_special(VV[1424]);
  if (ecl_boundp(cl_env_copy,VV[1424])) { goto L4707; }
  cl_set(VV[1424],ecl_symbol_value(VV[1423]));
L4707:;
  si_Xmake_special(VV[1425]);
  if (ecl_boundp(cl_env_copy,VV[1425])) { goto L4714; }
  cl_set(VV[1425],ECL_NIL);
L4714:;
  si_Xmake_special(VV[1426]);
  if (ecl_boundp(cl_env_copy,VV[1426])) { goto L4721; }
  cl_set(VV[1426],ECL_NIL);
L4721:;
  L62undefine_function(VV[1427]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[922]) /*  MAPC */;
  ecl_cmp_defun(VV[2533]);                        /*  SOURCE-REGISTRY-INITIALIZED-P */
  L62undefine_function(VV[1428]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[923]) /*  MAPC */;
  ecl_cmp_defun(VV[2534]);                        /*  CLEAR-SOURCE-REGISTRY */
  ecl_function_dispatch(cl_env_copy,VV[949])(1, VV[1428]) /*  REGISTER-CLEAR-CONFIGURATION-HOOK */;
  si_Xmake_special(VV[1429]);
  cl_set(VV[1429],cl_make_pathname(8, ECL_SYM("DIRECTORY",1229), ECL_NIL, ECL_SYM("NAME",1285), ecl_symbol_value(VV[388]), ECL_SYM("TYPE",1330), VV[1138], ECL_SYM("VERSION",1338), ECL_SYM("NEWEST",1288)));
  L62undefine_function(VV[1430]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[924]) /*  MAPC */;
  ecl_cmp_defun(VV[2535]);                        /*  DIRECTORY-ASD-FILES */
  L62undefine_function(VV[1431]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[925]) /*  MAPC */;
  ecl_cmp_defun(VV[2536]);                        /*  COLLECT-ASDS-IN-DIRECTORY */
  si_Xmake_special(VV[1432]);
  if (ecl_boundp(cl_env_copy,VV[1432])) { goto L4763; }
  cl_set(VV[1432],ECL_T);
L4763:;
  L62undefine_function(VV[1433]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[926]) /*  MAPC */;
  ecl_cmp_defun(VV[2537]);                        /*  PROCESS-SOURCE-REGISTRY-CACHE */
  L62undefine_function(VV[1436]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[927]) /*  MAPC */;
  ecl_cmp_defun(VV[2538]);                        /*  COLLECT-SUB*DIRECTORIES-ASD-FILES */
  L62undefine_function(VV[1437]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[928]) /*  MAPC */;
  ecl_cmp_defun(VV[2539]);                        /*  VALIDATE-SOURCE-REGISTRY-DIRECTIVE */
  L62undefine_function(VV[1448]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[929]) /*  MAPC */;
  ecl_cmp_defun(VV[2540]);                        /*  VALIDATE-SOURCE-REGISTRY-FORM */
  L62undefine_function(VV[1450]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[930]) /*  MAPC */;
  ecl_cmp_defun(VV[2541]);                        /*  VALIDATE-SOURCE-REGISTRY-FILE */
  L62undefine_function(VV[1452]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[931]) /*  MAPC */;
  ecl_cmp_defun(VV[2542]);                        /*  VALIDATE-SOURCE-REGISTRY-DIRECTORY */
  L62undefine_function(VV[1453]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[932]) /*  MAPC */;
  ecl_cmp_defun(VV[2543]);                        /*  PARSE-SOURCE-REGISTRY-STRING */
  L62undefine_function(VV[1459]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[933]) /*  MAPC */;
  ecl_cmp_defun(VV[2544]);                        /*  REGISTER-ASD-DIRECTORY */
  ecl_cmp_defun(VV[2545]);                        /*  %COMPUTE-DEFAULT-SOURCE-REGISTRIES-VALUE */
  si_Xmake_special(VV[1462]);
  if (ecl_boundp(cl_env_copy,VV[1462])) { goto L4830; }
  cl_set(VV[1462],L938_compute_default_source_registries_value());
L4830:;
  if (Null(ecl_function_dispatch(cl_env_copy,VV[1013])(1, VVtemp[934]) /*  UPGRADING-P */)) { goto L4836; }
  cl_set(VV[1462],L938_compute_default_source_registries_value());
L4836:;
  si_Xmake_special(VV[1463]);
  cl_set(VV[1463],ecl_function_dispatch(cl_env_copy,VV[358])(1, VVtemp[935]) /*  PARSE-UNIX-NAMESTRING */);
  si_Xmake_special(VV[1464]);
  cl_set(VV[1464],ecl_function_dispatch(cl_env_copy,VV[358])(1, VVtemp[936]) /*  PARSE-UNIX-NAMESTRING */);
  L62undefine_function(VV[1465]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[937]) /*  MAPC */;
  ecl_cmp_defun(VV[2546]);                        /*  WRAPPING-SOURCE-REGISTRY */
  L62undefine_function(VV[1466]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[938]) /*  MAPC */;
  ecl_cmp_defun(VV[2547]);                        /*  DEFAULT-USER-SOURCE-REGISTRY */
  L62undefine_function(VV[1470]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[939]) /*  MAPC */;
  ecl_cmp_defun(VV[2548]);                        /*  DEFAULT-SYSTEM-SOURCE-REGISTRY */
  L62undefine_function(VV[1474]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[940]) /*  MAPC */;
  ecl_cmp_defun(VV[2549]);                        /*  USER-SOURCE-REGISTRY */
  L62undefine_function(VV[1475]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[941]) /*  MAPC */;
  ecl_cmp_defun(VV[2550]);                        /*  SYSTEM-SOURCE-REGISTRY */
  L62undefine_function(VV[1476]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[942]) /*  MAPC */;
  ecl_cmp_defun(VV[2551]);                        /*  USER-SOURCE-REGISTRY-DIRECTORY */
  L62undefine_function(VV[1477]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[943]) /*  MAPC */;
  ecl_cmp_defun(VV[2552]);                        /*  SYSTEM-SOURCE-REGISTRY-DIRECTORY */
  L62undefine_function(VV[1478]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[944]) /*  MAPC */;
  ecl_cmp_defun(VV[2553]);                        /*  ENVIRONMENT-SOURCE-REGISTRY */
  L62undefine_function(VV[1480]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[945]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(5, VV[1480], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[946]) /*  ENSURE-GENERIC-FUNCTION */;
  L62undefine_function(VV[1481]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[947]) /*  MAPC */;
  ecl_cmp_defun(VV[2554]);                        /*  INHERIT-SOURCE-REGISTRY */
  L62undefine_function(VV[1483]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[948]) /*  MAPC */;
  ecl_cmp_defun(VV[2555]);                        /*  PROCESS-SOURCE-REGISTRY-DIRECTIVE */
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC949__g5345,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1480], ECL_NIL, VVtemp[515], VVtemp[949], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC950__g5346,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1480], ECL_NIL, VVtemp[908], VVtemp[950], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC951__g5347,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1480], ECL_NIL, VVtemp[513], VVtemp[951], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC952__g5348,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1480], ECL_NIL, VVtemp[437], VVtemp[949], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC953__g5349,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1480], ECL_NIL, VVtemp[912], VVtemp[952], T0);
  L62undefine_function(VV[1490]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[953]) /*  MAPC */;
  ecl_cmp_defun(VV[2556]);                        /*  FLATTEN-SOURCE-REGISTRY */
  L62undefine_function(VV[1491]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[954]) /*  MAPC */;
  ecl_cmp_defun(VV[2557]);                        /*  COMPUTE-SOURCE-REGISTRY */
  L62undefine_function(VV[1494]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[955]) /*  MAPC */;
  ecl_cmp_defun(VV[2558]);                        /*  INITIALIZE-SOURCE-REGISTRY */
  L62undefine_function(VV[1495]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[956]) /*  MAPC */;
  ecl_cmp_defun(VV[2559]);                        /*  ENSURE-SOURCE-REGISTRY */
  L62undefine_function(VV[1496]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[957]) /*  MAPC */;
  ecl_cmp_defun(VV[2560]);                        /*  SYSDEF-SOURCE-REGISTRY-SEARCH */
 }
  ecl_function_dispatch(cl_env_copy,VV[1727])(11, _ecl_static_27, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
  cl_apply(2, VV[112], VVtemp[958]);
  si_select_package(_ecl_static_27);
  L62undefine_function(VV[1497]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[959]) /*  MAPC */;
  ecl_cmp_defun(VV[2570]);                        /*  DETERMINE-SYSTEM-DIRECTORY */
  si_Xmake_special(VV[1499]);
  if (ecl_boundp(cl_env_copy,VV[1499])) { goto L4981; }
  cl_set(VV[1499],VV[1251]);
L4981:;
  L62undefine_function(VV[1500]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[960]) /*  MAPC */;
  ecl_cmp_defun(VV[2571]);                        /*  CLASS-FOR-TYPE  */
 {
  cl_object T0, T1, T2;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC966__g5434,ECL_NIL,Cblock,0);
   T0 = v1;
  }
  T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[961]);
  T2 = cl_list(3, T1, VVtemp[962], VVtemp[963]);
  clos_load_defclass(VV[1502], VVtemp[441], T2, ECL_NIL);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC968__g5436,ECL_NIL,Cblock,0);
   T0 = v1;
  }
  T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[964]);
  T2 = cl_list(3, T1, VVtemp[965], VVtemp[966]);
  clos_load_defclass(VV[1504], VVtemp[441], T2, ECL_NIL);
  L62undefine_function(VV[1506]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[967]) /*  MAPC */;
  ecl_cmp_defun(VV[2573]);                        /*  SYSDEF-ERROR-COMPONENT */
  L62undefine_function(VV[1508]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[968]) /*  MAPC */;
  ecl_cmp_defun(VV[2574]);                        /*  CHECK-COMPONENT-INPUT */
  L62undefine_function(VV[1512]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[969]) /*  MAPC */;
  ecl_cmp_defun(VV[2575]);                        /*  NORMALIZE-VERSION */
 }
  ecl_cmp_defun(VV[2583]);                        /*  %COMPUTE-+ASDF-METHODS+-VALUE */
  si_Xmake_special(VV[1524]);
  if (ecl_boundp(cl_env_copy,VV[1524])) { goto L5026; }
  cl_set(VV[1524],L974_compute__asdf_methods__value());
L5026:;
  if (Null(ecl_function_dispatch(cl_env_copy,VV[1013])(1, VVtemp[405]) /*  UPGRADING-P */)) { goto L5032; }
  cl_set(VV[1524],L974_compute__asdf_methods__value());
L5032:;
  L62undefine_function(VV[1525]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[970]) /*  MAPC */;
  ecl_cmp_defun(VV[2584]);                        /*  %REMOVE-COMPONENT-INLINE-METHODS */
  L62undefine_function(VV[1526]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[971]) /*  MAPC */;
  ecl_cmp_defun(VV[2585]);                        /*  %DEFINE-COMPONENT-INLINE-METHODS */
  L62undefine_function(VV[1527]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[972]) /*  MAPC */;
  ecl_cmp_defun(VV[2586]);                        /*  %REFRESH-COMPONENT-INLINE-METHODS */
  L62undefine_function(VV[1528]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[973]) /*  MAPC */;
  ecl_cmp_defun(VV[2589]);                        /*  PARSE-DEPENDENCY-DEF */
  L62undefine_function(VV[1535]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[974]) /*  MAPC */;
  ecl_cmp_defun(VV[2590]);                        /*  PARSE-DEPENDENCY-DEFS */
  L62undefine_function(VV[1536]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[975]) /*  MAPC */;
  ecl_cmp_defun(VV[2591]);                        /*  PARSE-COMPONENT-FORM */
  L62undefine_function(VV[1557]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[976]) /*  MAPC */;
  ecl_cmp_defun(VV[2592]);                        /*  REGISTER-SYSTEM-DEFINITION */
  ecl_cmp_defmacro(VV[2593]);                     /*  DEFSYSTEM       */
  ecl_function_dispatch(cl_env_copy,VV[1727])(11, _ecl_static_28, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
  cl_apply(2, VV[112], VVtemp[977]);
  si_select_package(_ecl_static_28);
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[980]);
  clos_load_defclass(VV[1564], VVtemp[978], VVtemp[979], T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[981]);
  clos_load_defclass(VV[1565], VVtemp[599], ECL_NIL, T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[984]);
  clos_load_defclass(VV[1566], VVtemp[982], VVtemp[983], T0);
  clos_load_defclass(VV[1567], VVtemp[500], VVtemp[985], ECL_NIL);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC986__g5722,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  clos_install_method(5, VV[1568], ECL_NIL, VV[85], VVtemp[986], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC987__g5723,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  clos_install_method(5, VV[1569], ECL_NIL, VV[85], VVtemp[986], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC988__g5724,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  clos_install_method(5, VV[1570], ECL_NIL, VV[85], VVtemp[986], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC989__g5725,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  clos_install_method(5, VV[1571], ECL_NIL, VV[85], VVtemp[986], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC990__g5726,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  clos_install_method(5, VV[1572], ECL_NIL, VV[85], VVtemp[986], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC991__g5727,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  clos_install_method(5, VV[1573], ECL_NIL, VV[85], VVtemp[986], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC992__g5728,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  clos_install_method(5, VV[1574], ECL_NIL, VV[85], VVtemp[986], T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[988]);
  clos_load_defclass(VV[1575], VVtemp[987], ECL_NIL, T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[990]);
  clos_load_defclass(VV[1576], VVtemp[987], VVtemp[989], T0);
  L62undefine_function(VV[1577]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[991]) /*  MAPC */;
  ecl_cmp_defun(VV[2601]);                        /*  OPERATION-MONOLITHIC-P */
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC994__g5729,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1215], ECL_NIL, VVtemp[992], VVtemp[993], T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[995]);
  clos_load_defclass(VV[1583], VVtemp[987], VVtemp[994], T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[998]);
  clos_load_defclass(VV[1584], VVtemp[996], VVtemp[997], T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[1001]);
  clos_load_defclass(VV[1585], VVtemp[999], VVtemp[1000], T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[1004]);
  clos_load_defclass(VV[1586], VVtemp[1002], VVtemp[1003], T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[1007]);
  clos_load_defclass(VV[1587], VVtemp[1005], VVtemp[1006], T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[1009]);
  clos_load_defclass(VV[1588], VVtemp[999], VVtemp[1008], T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[1012]);
  clos_load_defclass(VV[1589], VVtemp[1010], VVtemp[1011], T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[1015]);
  clos_load_defclass(VV[1590], VVtemp[1013], VVtemp[1014], T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[1017]);
  clos_load_defclass(VV[1591], VVtemp[1016], ECL_NIL, T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[1020]);
  clos_load_defclass(VV[1592], VVtemp[1018], VVtemp[1019], T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[1023]);
  clos_load_defclass(VV[1593], VVtemp[1021], VVtemp[1022], T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[1025]);
  clos_load_defclass(VV[1594], VVtemp[1024], VVtemp[1022], T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[1028]);
  clos_load_defclass(VV[1595], VVtemp[1026], VVtemp[1027], T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[1031]);
  clos_load_defclass(VV[1596], VVtemp[1029], VVtemp[1030], T0);
  L62undefine_function(VV[1597]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[1032]) /*  MAPC */;
  ecl_cmp_defun(VV[2602]);                        /*  BUNDLE-PATHNAME-TYPE */
  L62undefine_function(VV[1617]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[1033]) /*  MAPC */;
  ecl_cmp_defun(VV[2603]);                        /*  BUNDLE-OUTPUT-FILES */
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC997__g5740,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1230], ECL_NIL, VVtemp[1034], VVtemp[1035], T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[1037]);
  clos_load_defclass(VV[1622], VVtemp[468], VVtemp[1036], T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[1039]);
  clos_load_defclass(VV[1623], VVtemp[500], VVtemp[1038], T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[1041]);
  clos_load_defclass(VV[1624], VVtemp[500], VVtemp[1040], T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC998__g5805,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, ECL_SYM("INITIALIZE-INSTANCE",947), VVtemp[598], VVtemp[987], VVtemp[1042], T0);
  L62undefine_function(VV[1628]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[1043]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(5, VV[1628], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[415]) /*  ENSURE-GENERIC-FUNCTION */;
  L62undefine_function(VV[1629]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[1044]) /*  MAPC */;
  ecl_cmp_defun(VV[2605]);                        /*  USER-SYSTEM-P   */
 }
  si_do_deftype(3, VV[1630], VVtemp[1045], VVtemp[1046]);
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  L62undefine_function(VV[1631]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[1047]) /*  MAPC */;
  ecl_cmp_defun(VV[2611]);                        /*  DIRECT-DEPENDENCY-FILES */
  L62undefine_function(VV[1632]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[1048]) /*  MAPC */;
  ecl_cmp_defun(VV[2612]);                        /*  PATHNAME-TYPE-EQUAL-FUNCTION */
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1005__g5839,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1231], ECL_NIL, VVtemp[992], VVtemp[1035], T0);
  L62undefine_function(VV[1633]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[1049]) /*  MAPC */;
  ecl_cmp_defun(VV[2613]);                        /*  SELECT-BUNDLE-OPERATION */
  L62undefine_function(VV[1636]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[1050]) /*  MAPC */;
  ecl_cmp_defun(VV[2614]);                        /*  MAKE-BUILD      */
  L62undefine_function(VV[1640]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[1051]) /*  MAPC */;
  ecl_cmp_defun(VV[2615]);                        /*  BUNDLE-SYSTEM   */
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1010__g5872,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1215], ECL_NIL, VVtemp[1052], VVtemp[1035], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1011__g5873,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1231], ECL_NIL, VVtemp[1052], VVtemp[1035], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1012__g5874,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1245], ECL_NIL, VVtemp[1052], VVtemp[1035], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1013__g5875,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1236], VVtemp[598], VVtemp[1052], VVtemp[1035], T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1015__g5876,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  clos_install_method(5, VV[1628], ECL_NIL, VVtemp[500], VVtemp[1053], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1016__g5878,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1231], ECL_NIL, VVtemp[1054], VVtemp[1035], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1017__g5879,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1245], ECL_NIL, VVtemp[1055], VVtemp[1035], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1018__g5880,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1245], ECL_NIL, VVtemp[1056], VVtemp[1035], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1019__g5881,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1245], ECL_NIL, VVtemp[1054], VVtemp[1035], T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1020__g5882,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  clos_install_method(5, VV[1628], ECL_NIL, VVtemp[1057], VVtemp[1053], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1021__g5883,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1245], ECL_NIL, VVtemp[1058], VVtemp[1035], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1022__g5884,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1245], ECL_NIL, VVtemp[1059], VVtemp[1035], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1023__g5885,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1245], ECL_NIL, VVtemp[1060], VVtemp[1035], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1024__g5886,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1245], ECL_NIL, VVtemp[1061], VVtemp[1035], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1025__g5887,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1215], ECL_NIL, VVtemp[1062], VVtemp[1035], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1026__g5888,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1230], ECL_NIL, VVtemp[1060], VVtemp[1035], T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1027__g5889,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1230], ECL_NIL, VVtemp[1063], VVtemp[993], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1030__g5896,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1245], ECL_NIL, VVtemp[1063], VVtemp[993], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1031__g5908,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1231], ECL_NIL, VVtemp[1064], VVtemp[993], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1032__g5909,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1245], ECL_NIL, VVtemp[1064], VVtemp[993], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1033__g5910,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1215], ECL_NIL, VVtemp[1065], VVtemp[993], T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  L62undefine_function(VV[1647]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[1066]) /*  MAPC */;
  ecl_cmp_defun(VV[2626]);                        /*  SYSTEM-MODULE-PATHNAME */
  L62undefine_function(VV[1649]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[1067]) /*  MAPC */;
  ecl_cmp_defun(VV[2627]);                        /*  MAKE-PREBUILT-SYSTEM */
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1038__g5927,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1215], VVtemp[490], VVtemp[1068], VVtemp[1035], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1039__g5942,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1245], ECL_NIL, VVtemp[1069], VVtemp[1035], T0);
 }
  ecl_function_dispatch(cl_env_copy,VV[1727])(11, _ecl_static_29, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
  cl_apply(2, VV[112], VVtemp[1070]);
  si_select_package(_ecl_static_29);
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  clos_load_defclass(VV[1656], VVtemp[987], VVtemp[1071], ECL_NIL);
  clos_load_defclass(VV[1657], VVtemp[1005], ECL_NIL, ECL_NIL);
  clos_load_defclass(VV[1658], VVtemp[1010], ECL_NIL, ECL_NIL);
  clos_load_defclass(VV[1659], VVtemp[1005], ECL_NIL, ECL_NIL);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[1073]);
  clos_load_defclass(VV[1660], VVtemp[1072], ECL_NIL, T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[1076]);
  clos_load_defclass(VV[1661], VVtemp[1074], VVtemp[1075], T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[1078]);
  clos_load_defclass(VV[1662], VVtemp[1077], VVtemp[1075], T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[1081]);
  clos_load_defclass(VV[1663], VVtemp[1079], VVtemp[1080], T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[1083]);
  clos_load_defclass(VV[1664], VVtemp[1082], ECL_NIL, T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[1085]);
  clos_load_defclass(VV[1665], VVtemp[1074], VVtemp[1084], T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[1086]);
  clos_load_defclass(VV[1666], VVtemp[1077], VVtemp[1084], T0);
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[1088]);
  clos_load_defclass(VV[1667], VVtemp[1079], VVtemp[1087], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1041__g5983,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1231], ECL_NIL, VVtemp[1089], VVtemp[1090], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1042__g6004,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1230], ECL_NIL, VVtemp[1091], VVtemp[1092], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1043__g6005,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1245], ECL_NIL, VVtemp[1089], VVtemp[1092], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1044__g6006,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1245], ECL_NIL, VVtemp[1093], VVtemp[1092], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1045__g6007,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1245], ECL_NIL, VVtemp[1091], VVtemp[1092], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1046__g6008,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1245], ECL_NIL, VVtemp[1094], VVtemp[1092], T0);
 }
  ecl_function_dispatch(cl_env_copy,VV[1727])(11, _ecl_static_30, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
  cl_apply(2, VV[112], VVtemp[1095]);
  si_select_package(_ecl_static_30);
 {
  cl_object T0, T1, T2;
  cl_object volatile env0 = ECL_NIL;
  si_Xmake_special(VV[1670]);
  cl_set(VV[1670],VVtemp[1096]);
  L62undefine_function(VV[1671]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[1097]) /*  MAPC */;
  ecl_cmp_defun(VV[2628]);                        /*  INITIAL-PACKAGE-INFERRED-SYSTEMS-TABLE */
  si_Xmake_special(VV[1672]);
  if (ecl_boundp(cl_env_copy,VV[1672])) { goto L5306; }
  cl_set(VV[1672],ecl_function_dispatch(cl_env_copy,VV[1671])(0) /*  INITIAL-PACKAGE-INFERRED-SYSTEMS-TABLE */);
L5306:;
  T0 = cl_list(2, ECL_SYM("DOCUMENTATION",1232), VVtemp[1098]);
  clos_load_defclass(VV[1673], VVtemp[500], ECL_NIL, T0);
  clos_load_defclass(VV[1674], VVtemp[1099], ECL_NIL, ECL_NIL);
  L62undefine_function(VV[1675]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[1100]) /*  MAPC */;
  ecl_cmp_defun(VV[2629]);                        /*  DEFPACKAGE-FORM-P */
  L62undefine_function(VV[1676]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[1101]) /*  MAPC */;
  ecl_cmp_defun(VV[2630]);                        /*  STREAM-DEFPACKAGE-FORM */
  L62undefine_function(VV[1677]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[1102]) /*  MAPC */;
  ecl_cmp_defun(VV[2631]);                        /*  FILE-DEFPACKAGE-FORM */
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1053__g6043,ECL_NIL,Cblock,0);
   T0 = v1;
  }
  T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[1103]);
  T2 = cl_list(3, T1, VVtemp[1104], VVtemp[536]);
  clos_load_defclass(VV[1678], VVtemp[441], T2, ECL_NIL);
  L62undefine_function(VV[1680]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[1105]) /*  MAPC */;
  ecl_cmp_defun(VV[2632]);                        /*  PACKAGE-DEPENDENCIES */
  L62undefine_function(VV[1687]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[1106]) /*  MAPC */;
  ecl_cmp_defun(VV[2633]);                        /*  PACKAGE-DESIGNATOR-NAME */
  L62undefine_function(VV[1689]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[1107]) /*  MAPC */;
  ecl_cmp_defun(VV[2634]);                        /*  REGISTER-SYSTEM-PACKAGES */
  L62undefine_function(VV[1690]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[1108]) /*  MAPC */;
  ecl_cmp_defun(VV[2635]);                        /*  PACKAGE-NAME-SYSTEM */
  L62undefine_function(VV[1691]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[1109]) /*  MAPC */;
  ecl_cmp_defun(VV[2636]);                        /*  PACKAGE-INFERRED-SYSTEM-FILE-DEPENDENCIES */
  L62undefine_function(VV[1692]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[1110]) /*  MAPC */;
  ecl_cmp_defun(VV[2637]);                        /*  SAME-PACKAGE-INFERRED-SYSTEM-P */
  L62undefine_function(VV[1693]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[1111]) /*  MAPC */;
  ecl_cmp_defun(VV[2638]);                        /*  SYSDEF-PACKAGE-INFERRED-SYSTEM-SEARCH */
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  cl_set(VV[1130],cl_adjoin(2, VV[1693], ecl_symbol_value(VV[1130])));
  T0 = L2find_symbol_(3, VV[1695], VV[1696], ECL_NIL);
  cl_set(VV[1130],cl_remove(2, T0, ecl_symbol_value(VV[1130])));
 }
  ecl_function_dispatch(cl_env_copy,VV[1727])(11, _ecl_static_31, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
  cl_apply(2, VV[112], VVtemp[1112]);
  si_select_package(_ecl_static_31);
  L62undefine_function(VV[1697]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[1113]) /*  MAPC */;
  ecl_cmp_defun(VV[2640]);                        /*  LOAD-SYSDEF     */
  ecl_function_dispatch(cl_env_copy,VV[1727])(11, _ecl_static_32, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
  cl_apply(2, VV[112], VVtemp[1114]);
  si_select_package(_ecl_static_32);
 {
  cl_object T0, T1, T2;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1064__g6110,ECL_NIL,Cblock,0);
   T0 = v1;
  }
  T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[1115]);
  T2 = cl_list(3, T1, VVtemp[1116], VVtemp[1117]);
  clos_load_defclass(VV[1699], VVtemp[62], T2, ECL_NIL);
  clos_load_defclass(VV[1701], VVtemp[1118], ECL_NIL, ECL_NIL);
  clos_load_defclass(VV[1702], VVtemp[1119], ECL_NIL, ECL_NIL);
  clos_load_defclass(VV[1703], VVtemp[1119], ECL_NIL, ECL_NIL);
  L62undefine_function(VV[1704]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[1120]) /*  MAPC */;
  ecl_cmp_defun(VV[2641]);                        /*  COMPONENT-LOAD-DEPENDENCIES */
  L62undefine_function(VV[1705]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[1121]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1705], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[599], ECL_SYM("DOCUMENTATION",1232), VVtemp[1122]) /*  ENSURE-GENERIC-FUNCTION */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1066__g6112,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  clos_install_method(5, VV[1705], ECL_NIL, VVtemp[599], VVtemp[1123], T0);
  L62undefine_function(VV[1707]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[1124]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1707], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[599], ECL_SYM("DOCUMENTATION",1232), VVtemp[1125]) /*  ENSURE-GENERIC-FUNCTION */;
  L62undefine_function(VV[1708]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[1126]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1708], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[599], ECL_SYM("DOCUMENTATION",1232), VVtemp[1127]) /*  ENSURE-GENERIC-FUNCTION */;
  L62undefine_function(VVtemp[1128]);
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VVtemp[1128], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[1129], ECL_SYM("DOCUMENTATION",1232), VVtemp[1130]) /*  ENSURE-GENERIC-FUNCTION */;
  L62undefine_function(VVtemp[1131]);
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VVtemp[1131], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[1129], ECL_SYM("DOCUMENTATION",1232), VVtemp[1132]) /*  ENSURE-GENERIC-FUNCTION */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1067__g6113,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  clos_install_method(5, VV[1707], ECL_NIL, VVtemp[599], VVtemp[1123], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1068__g6114,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  clos_install_method(5, VV[1708], ECL_NIL, VVtemp[599], VVtemp[1123], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1069__g6119,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VVtemp[1128], ECL_NIL, VVtemp[607], VVtemp[1133], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1070__g6125,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VVtemp[1131], ECL_NIL, VVtemp[607], VVtemp[1133], T0);
  L62undefine_function(VV[1709]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[1134]) /*  MAPC */;
  ecl_cmp_defun(VV[2642]);                        /*  SYSTEM-DEFINITION-PATHNAME */
  L62undefine_function(VV[1710]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[1135]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7, VV[1710], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[618], ECL_SYM("DOCUMENTATION",1232), VVtemp[1136]) /*  ENSURE-GENERIC-FUNCTION */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC1072__g6129,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1710], ECL_NIL, VVtemp[282], VVtemp[1137], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC1073__g6130,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1710], ECL_NIL, VVtemp[582], VVtemp[1137], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC1074__g6131,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1710], ECL_NIL, VVtemp[601], VVtemp[1137], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC1075__g6132,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1710], ECL_NIL, VVtemp[624], VVtemp[1138], T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  L62undefine_function(VV[1711]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[1139]) /*  MAPC */;
  ecl_cmp_defun(VV[2645]);                        /*  ENABLE-ASDF-BINARY-LOCATIONS-COMPATIBILITY */
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC1077__g6155,ECL_NIL,Cblock);
   T0 = v1;
  }
  clos_install_method(5, VV[1336], VVtemp[653], VV[1409], VVtemp[1140], T0);
 }
  L62undefine_function(VV[1718]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[1141]) /*  MAPC */;
  ecl_cmp_defun(VV[2652]);                        /*  RUN-SHELL-COMMAND */
  si_Xmake_special(VV[1721]);
  if (ecl_boundp(cl_env_copy,VV[1721])) { goto L5482; }
  cl_set(VV[1721],ECL_NIL);
L5482:;
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  L62undefine_function(VV[1722]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[1142]) /*  MAPC */;
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(5, VV[1722], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[1143]) /*  ENSURE-GENERIC-FUNCTION */;
  L62undefine_function(VVtemp[1144]);
  (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(5, VVtemp[1144], VV[693], ECL_T, ECL_SYM("LAMBDA-LIST",998), VVtemp[1145]) /*  ENSURE-GENERIC-FUNCTION */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1080__g6176,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(5, VV[1722], ECL_NIL, VVtemp[462], VVtemp[1146], T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1081__g6197,ECL_NIL,Cblock,3);
   T0 = v1;
  }
  clos_install_method(5, VVtemp[1144], ECL_NIL, VVtemp[1147], VVtemp[1148], T0);
 }
  ecl_function_dispatch(cl_env_copy,VV[1727])(11, _ecl_static_33, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
  cl_apply(2, VV[112], VVtemp[1149]);
  ecl_function_dispatch(cl_env_copy,VV[1727])(11, _ecl_static_34, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
  cl_apply(2, VV[112], VVtemp[1150]);
  ecl_function_dispatch(cl_env_copy,VV[1727])(11, _ecl_static_35, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
  cl_apply(2, VV[112], VVtemp[1151]);
  si_select_package(_ecl_static_35);
  {
   cl_object v1;
   v1 = VVtemp[1152];
   goto L5509;
L5508:;
   {
    cl_object v2s;
    v2s = ecl_car(v1);
    ecl_function_dispatch(cl_env_copy,VV[1121])(3, v2s, ECL_SYM("VERSION",1338), ecl_symbol_value(VV[1007])) /*  REGISTER-PRELOADED-SYSTEM */;
   }
   v1 = ecl_cdr(v1);
L5509:;
   if (Null(v1)) { goto L5516; }
   goto L5508;
L5516:;
  }
 {
  cl_object T0, T1;
  cl_object volatile env0 = ECL_NIL;
  cl_set(ECL_SYM("*MODULE-PROVIDER-FUNCTIONS*",42),cl_adjoin(2, VV[1356], ecl_symbol_value(ECL_SYM("*MODULE-PROVIDER-FUNCTIONS*",42))));
  cl_set(ECL_SYM("*LOAD-HOOKS*",1025),cl_adjoin(6, VVtemp[1153], ecl_symbol_value(ECL_SYM("*LOAD-HOOKS*",1025)), ECL_SYM("TEST",1328), ECL_SYM("EQUAL",335), ECL_SYM("KEY",1274), ECL_SYM("CAR",180)));
  si_Xmake_special(VV[1724]);
  if (ecl_boundp(cl_env_copy,VV[1724])) { goto L5523; }
  cl_set(VV[1724],cl_make_hash_table(0));
L5523:;
  si_hash_set(VV[1356], ecl_symbol_value(VV[1724]), VV[1356]);
  ecl_cmp_defun(VV[2653]);                        /*  WRAP-MODULE-PROVIDER */
  ecl_cmp_defun(VV[2654]);                        /*  WRAP-MODULE-PROVIDER-FUNCTION */
  {
   cl_object v1;
   v1 = ecl_fdefinition(VV[1726]);
   {
    cl_object v2;
    cl_object v3;
    cl_object v4;
    v2 = ecl_symbol_value(ECL_SYM("*MODULE-PROVIDER-FUNCTIONS*",42));
    v3 = ECL_NIL;
    {
     cl_object v5;
     v5 = v2;
     if (ecl_unlikely(!ECL_LISTP(v5))) FEtype_error_list(v5);
     v4 = v5;
    }
    {
     cl_object v5;
     cl_object v6;
     v5 = ecl_list1(ECL_NIL);
     v6 = v5;
L5548:;
     if (!(ecl_endp(v4))) { goto L5550; }
     goto L5549;
L5550:;
     v3 = _ecl_car(v4);
     {
      cl_object v7;
      v7 = _ecl_cdr(v4);
      if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
      v4 = v7;
     }
     {
      cl_object v7;
      v7 = v6;
      if (ecl_unlikely(ECL_ATOM(v7))) FEtype_error_cons(v7);
      T0 = v7;
     }
     T1 = ecl_function_dispatch(cl_env_copy,v1)(1, v3);
     v6 = ecl_list1(T1);
     (ECL_CONS_CDR(T0)=v6,T0);
     goto L5548;
L5549:;
     cl_set(ECL_SYM("*MODULE-PROVIDER-FUNCTIONS*",42),ecl_cdr(v5));
     goto L5539;
    }
   }
  }
L5539:;
 }
  {
   cl_object v1;
   v1 = VVtemp[1154];
   goto L5570;
L5569:;
   {
    cl_object v2f;
    v2f = ecl_car(v1);
    cl_set(ECL_SYM("*FEATURES*",34),cl_adjoin(2, v2f, ecl_symbol_value(ECL_SYM("*FEATURES*",34))));
   }
   v1 = ecl_cdr(v1);
L5570:;
   if (Null(v1)) { goto L5578; }
   goto L5569;
L5578:;
  }
  cl_provide(VV[1128]);
  cl_provide(VVtemp[1155]);
  ecl_function_dispatch(cl_env_copy,VV[1023])(0)  /*  CLEANUP-UPGRADED-ASDF */;
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  if (Null(ecl_symbol_value(ECL_SYM("*LOAD-VERBOSE*",39)))) { goto L5583; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[1000])(0) /*  ASDF-VERSION */;
  ecl_function_dispatch(cl_env_copy,VV[1010])(2, VVtemp[1156], T0) /*  ASDF-MESSAGE */;
L5583:;
 }
}
